#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::BaseJob
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 1: return (void*)(Attica::BaseJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::GetJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Metadata
      switch(to) {
        case 3: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::PlatformDependent
      switch(to) {
        case 4: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::PostJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Provider
      switch(to) {
        case 6: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::ProviderManager
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 8:   //QByteArray
      switch(to) {
        case 8: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QEvent
      switch(to) {
        case 10: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QIODevice
      switch(to) {
        case 17: return (void*)(QObject*)(QIODevice*)xptr;
        case 12: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 13:   //QMetaObject
      switch(to) {
        case 13: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 14:   //QNetworkAccessManager
      switch(to) {
        case 17: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 14: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 15:   //QNetworkReply
      switch(to) {
        case 15: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 16:   //QNetworkRequest
      switch(to) {
        case 16: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 17:   //QObject
      switch(to) {
        case 17: return (void*)(QObject*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 1: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 2: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 5: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 18:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QUrl
      switch(to) {
        case 19: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    17, 0,	// 1: QObject
    1, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//1
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//2
    { "Attica::Metadata", true, 0, 0, 0, 0, 0 },	//3
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//4
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//5
    { "Attica::Provider", true, 0, 0, 0, 0, 0 },	//6
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//7
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//11
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//12
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//13
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//14
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//15
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//16
    { "QObject", true, 0, 0, 0, 0, 0 },	//17
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QUrl", true, 0, 0, 0, 0, 0 },	//19
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::BaseJob*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Attica::Metadata", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "Attica::PlatformDependent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Attica::Provider", 6, Smoke::t_class|Smoke::tf_stack },	//4
    { "Attica::ProviderManager*", 7, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QIODevice*", 12, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 13, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QNetworkAccessManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QNetworkReply*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QObject*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//16
    { "QTimerEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QtMsgType", 11, Smoke::t_enum|Smoke::tf_stack },	//89
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//90
    { "const Attica::Metadata&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//91
    { "const Attica::PlatformDependent&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//92
    { "const Attica::Provider&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//93
    { "const QByteArray&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//94
    { "const QMetaObject&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//95
    { "const QMetaObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//96
    { "const QNetworkRequest&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//97
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//98
    { "const QUrl&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//99
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//100
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//101
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//102
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//103
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//105
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//106
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//107
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    100, 0,	//1  const char*
    100, 100, 0,	//3  const char*, const char*
    100, 100, 102, 0,	//6  const char*, const char*, int
    11, 102, 106, 0,	//10  QMetaObject::Call, int, void**
    1, 0,	//14  Attica::BaseJob*
    91, 0,	//16  const Attica::Metadata&
    98, 0,	//18  const QString&
    99, 0,	//20  const QUrl&
    99, 16, 16, 0,	//22  const QUrl&, QString&, QString&
    99, 98, 98, 0,	//26  const QUrl&, const QString&, const QString&
    97, 0,	//30  const QNetworkRequest&
    97, 8, 0,	//32  const QNetworkRequest&, QIODevice*
    97, 94, 0,	//35  const QNetworkRequest&, const QByteArray&
    92, 0,	//38  const Attica::PlatformDependent&
    90, 0,	//40  bool
    93, 0,	//42  const Attica::Provider&
    7, 0,	//44  QEvent*
    14, 7, 0,	//46  QObject*, QEvent*
    17, 0,	//49  QTimerEvent*
    6, 0,	//51  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "PlatformDependent",	//1
    "PlatformDependent#",	//2
    "ProviderManager",	//3
    "Q_COMPLEX_TYPE",	//4
    "Q_DUMMY_TYPE",	//5
    "Q_MOVABLE_TYPE",	//6
    "Q_PRIMITIVE_TYPE",	//7
    "Q_STATIC_TYPE",	//8
    "QtCriticalMsg",	//9
    "QtDebugMsg",	//10
    "QtFatalMsg",	//11
    "QtSystemMsg",	//12
    "QtWarningMsg",	//13
    "abort",	//14
    "addProviderFile",	//15
    "addProviderFile#",	//16
    "addProviderFromXml",	//17
    "addProviderFromXml$",	//18
    "askForCredentials",	//19
    "askForCredentials#$$",	//20
    "authenticationCredentialsMissing",	//21
    "authenticationCredentialsMissing#",	//22
    "childEvent",	//23
    "clear",	//24
    "connectNotify",	//25
    "contains",	//26
    "contains$",	//27
    "customEvent",	//28
    "dataFinished",	//29
    "defaultProvidersLoaded",	//30
    "disconnectNotify",	//31
    "event",	//32
    "eventFilter",	//33
    "executeRequest",	//34
    "finished",	//35
    "finished#",	//36
    "get",	//37
    "get#",	//38
    "getDefaultProviderFiles",	//39
    "hasCredentials",	//40
    "hasCredentials#",	//41
    "internals",	//42
    "loadCredentials",	//43
    "loadCredentials#$$",	//44
    "loadDefaultProviders",	//45
    "metaObject",	//46
    "metadata",	//47
    "nam",	//48
    "parse",	//49
    "parse$",	//50
    "post",	//51
    "post##",	//52
    "providerAdded",	//53
    "providerAdded#",	//54
    "providerByUrl",	//55
    "providerByUrl#",	//56
    "providerFiles",	//57
    "providers",	//58
    "qt_metacall",	//59
    "qt_metacall$$?",	//60
    "qt_metacast",	//61
    "qt_metacast$",	//62
    "saveCredentials",	//63
    "saveCredentials#$$",	//64
    "setAuthenticationSuppressed",	//65
    "setAuthenticationSuppressed$",	//66
    "setMetadata",	//67
    "setMetadata#",	//68
    "start",	//69
    "staticMetaObject",	//70
    "timerEvent",	//71
    "tr",	//72
    "tr$",	//73
    "tr$$",	//74
    "tr$$$",	//75
    "trUtf8",	//76
    "trUtf8$",	//77
    "trUtf8$$",	//78
    "trUtf8$$$",	//79
    "~BaseJob",	//80
    "~GetJob",	//81
    "~PlatformDependent",	//82
    "~PostJob",	//83
    "~ProviderManager",	//84
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 46, 0, 0, Smoke::mf_const, 96, 1},	//1 Attica::BaseJob::metaObject() const
    {1, 61, 1, 1, 0, 105, 2},	//2 Attica::BaseJob::qt_metacast(const char*)
    {1, 72, 3, 2, Smoke::mf_static, 15, 3},	//3 Attica::BaseJob::tr(const char*, const char*)
    {1, 76, 3, 2, Smoke::mf_static, 15, 4},	//4 Attica::BaseJob::trUtf8(const char*, const char*)
    {1, 72, 6, 3, Smoke::mf_static, 15, 5},	//5 Attica::BaseJob::tr(const char*, const char*, int)
    {1, 76, 6, 3, Smoke::mf_static, 15, 6},	//6 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {1, 59, 10, 3, 0, 102, 7},	//7 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {1, 47, 0, 0, Smoke::mf_const, 2, 8},	//8 Attica::BaseJob::metadata() const
    {1, 69, 0, 0, Smoke::mf_slot, 0, 9},	//9 Attica::BaseJob::start()
    {1, 14, 0, 0, Smoke::mf_slot, 0, 10},	//10 Attica::BaseJob::abort()
    {1, 35, 14, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//11 Attica::BaseJob::finished(Attica::BaseJob*)
    {1, 29, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//12 Attica::BaseJob::dataFinished()
    {1, 67, 16, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//13 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {1, 34, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 13, 14},	//14 Attica::BaseJob::executeRequest() [pure virtual]
    {1, 49, 18, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//15 Attica::BaseJob::parse(const QString&) [pure virtual]
    {1, 42, 0, 0, Smoke::mf_protected, 3, 16},	//16 Attica::BaseJob::internals()
    {1, 72, 1, 1, Smoke::mf_static, 15, 17},	//17 Attica::BaseJob::tr(const char*)
    {1, 76, 1, 1, Smoke::mf_static, 15, 18},	//18 Attica::BaseJob::trUtf8(const char*)
    {1, 70, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 95, 19},	//19 Attica::BaseJob::staticMetaObject() const
    {1, 80, 0, 0, Smoke::mf_dtor, 0, 20 },	//20 Attica::BaseJob::~BaseJob()
    {2, 46, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 96, 1},	//21 Attica::GetJob::metaObject() const
    {2, 61, 1, 1, Smoke::mf_virtual, 105, 2},	//22 Attica::GetJob::qt_metacast(const char*)
    {2, 72, 3, 2, Smoke::mf_static, 15, 3},	//23 Attica::GetJob::tr(const char*, const char*)
    {2, 76, 3, 2, Smoke::mf_static, 15, 4},	//24 Attica::GetJob::trUtf8(const char*, const char*)
    {2, 72, 6, 3, Smoke::mf_static, 15, 5},	//25 Attica::GetJob::tr(const char*, const char*, int)
    {2, 76, 6, 3, Smoke::mf_static, 15, 6},	//26 Attica::GetJob::trUtf8(const char*, const char*, int)
    {2, 59, 10, 3, Smoke::mf_virtual, 102, 7},	//27 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {2, 72, 1, 1, Smoke::mf_static, 15, 8},	//28 Attica::GetJob::tr(const char*)
    {2, 76, 1, 1, Smoke::mf_static, 15, 9},	//29 Attica::GetJob::trUtf8(const char*)
    {2, 70, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 95, 10},	//30 Attica::GetJob::staticMetaObject() const
    {2, 81, 0, 0, Smoke::mf_dtor, 0, 11 },	//31 Attica::GetJob::~GetJob()
    {4, 39, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 10, 1},	//32 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {4, 40, 20, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 2},	//33 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {4, 43, 22, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 3},	//34 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 19, 22, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 4},	//35 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 63, 26, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 5},	//36 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {4, 37, 30, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 6},	//37 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {4, 51, 32, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 7},	//38 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {4, 51, 35, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 8},	//39 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {4, 48, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 9},	//40 Attica::PlatformDependent::nam() [pure virtual]
    {4, 1, 0, 0, Smoke::mf_ctor, 3, 10},	//41 Attica::PlatformDependent::PlatformDependent()
    {4, 1, 38, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 11},	//42 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {4, 82, 0, 0, Smoke::mf_dtor, 0, 12 },	//43 Attica::PlatformDependent::~PlatformDependent()
    {5, 46, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 96, 1},	//44 Attica::PostJob::metaObject() const
    {5, 61, 1, 1, Smoke::mf_virtual, 105, 2},	//45 Attica::PostJob::qt_metacast(const char*)
    {5, 72, 3, 2, Smoke::mf_static, 15, 3},	//46 Attica::PostJob::tr(const char*, const char*)
    {5, 76, 3, 2, Smoke::mf_static, 15, 4},	//47 Attica::PostJob::trUtf8(const char*, const char*)
    {5, 72, 6, 3, Smoke::mf_static, 15, 5},	//48 Attica::PostJob::tr(const char*, const char*, int)
    {5, 76, 6, 3, Smoke::mf_static, 15, 6},	//49 Attica::PostJob::trUtf8(const char*, const char*, int)
    {5, 59, 10, 3, Smoke::mf_virtual, 102, 7},	//50 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {5, 72, 1, 1, Smoke::mf_static, 15, 8},	//51 Attica::PostJob::tr(const char*)
    {5, 76, 1, 1, Smoke::mf_static, 15, 9},	//52 Attica::PostJob::trUtf8(const char*)
    {5, 70, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 95, 10},	//53 Attica::PostJob::staticMetaObject() const
    {5, 83, 0, 0, Smoke::mf_dtor, 0, 11 },	//54 Attica::PostJob::~PostJob()
    {7, 46, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 96, 1},	//55 Attica::ProviderManager::metaObject() const
    {7, 61, 1, 1, Smoke::mf_virtual, 105, 2},	//56 Attica::ProviderManager::qt_metacast(const char*)
    {7, 72, 3, 2, Smoke::mf_static, 15, 3},	//57 Attica::ProviderManager::tr(const char*, const char*)
    {7, 76, 3, 2, Smoke::mf_static, 15, 4},	//58 Attica::ProviderManager::trUtf8(const char*, const char*)
    {7, 72, 6, 3, Smoke::mf_static, 15, 5},	//59 Attica::ProviderManager::tr(const char*, const char*, int)
    {7, 76, 6, 3, Smoke::mf_static, 15, 6},	//60 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {7, 59, 10, 3, Smoke::mf_virtual, 102, 7},	//61 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {7, 3, 0, 0, Smoke::mf_ctor, 5, 8},	//62 Attica::ProviderManager::ProviderManager()
    {7, 45, 0, 0, 0, 0, 9},	//63 Attica::ProviderManager::loadDefaultProviders()
    {7, 65, 40, 1, 0, 0, 10},	//64 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {7, 24, 0, 0, 0, 0, 11},	//65 Attica::ProviderManager::clear()
    {7, 17, 18, 1, 0, 0, 12},	//66 Attica::ProviderManager::addProviderFromXml(const QString&)
    {7, 15, 20, 1, 0, 0, 13},	//67 Attica::ProviderManager::addProviderFile(const QUrl&)
    {7, 57, 0, 0, Smoke::mf_const, 10, 14},	//68 Attica::ProviderManager::providerFiles() const
    {7, 58, 0, 0, Smoke::mf_const, 9, 15},	//69 Attica::ProviderManager::providers() const
    {7, 26, 18, 1, Smoke::mf_const, 90, 16},	//70 Attica::ProviderManager::contains(const QString&) const
    {7, 55, 20, 1, Smoke::mf_const, 4, 17},	//71 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {7, 53, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//72 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {7, 30, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//73 Attica::ProviderManager::defaultProvidersLoaded()
    {7, 21, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//74 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {7, 72, 1, 1, Smoke::mf_static, 15, 21},	//75 Attica::ProviderManager::tr(const char*)
    {7, 76, 1, 1, Smoke::mf_static, 15, 22},	//76 Attica::ProviderManager::trUtf8(const char*)
    {7, 70, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 95, 23},	//77 Attica::ProviderManager::staticMetaObject() const
    {7, 84, 0, 0, Smoke::mf_dtor, 0, 24 },	//78 Attica::ProviderManager::~ProviderManager()
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 1},	//79 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 2},	//80 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 3},	//81 QGlobalSpace::Q_STATIC_TYPE (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 4},	//82 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 5},	//83 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 6},	//84 QGlobalSpace::QtDebugMsg (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 7},	//85 QGlobalSpace::QtWarningMsg (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 8},	//86 QGlobalSpace::QtCriticalMsg (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 9},	//87 QGlobalSpace::QtFatalMsg (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 10},	//88 QGlobalSpace::QtSystemMsg (enum)
    {17, 32, 44, 1, Smoke::mf_virtual, 90, 0},	//89 QObject::event(QEvent*)
    {17, 33, 46, 2, Smoke::mf_virtual, 90, 0},	//90 QObject::eventFilter(QObject*, QEvent*)
    {17, 71, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//91 QObject::timerEvent(QTimerEvent*)
    {17, 23, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//92 QObject::childEvent(QChildEvent*)
    {17, 28, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//93 QObject::customEvent(QEvent*)
    {17, 25, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//94 QObject::connectNotify(const char*)
    {17, 31, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//95 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    38,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    39,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 14, 10},	// Attica::BaseJob::abort
    {1, 29, 12},	// Attica::BaseJob::dataFinished
    {1, 34, 14},	// Attica::BaseJob::executeRequest
    {1, 36, 11},	// Attica::BaseJob::finished#
    {1, 42, 16},	// Attica::BaseJob::internals
    {1, 46, 1},	// Attica::BaseJob::metaObject
    {1, 47, 8},	// Attica::BaseJob::metadata
    {1, 50, 15},	// Attica::BaseJob::parse$
    {1, 60, 7},	// Attica::BaseJob::qt_metacall$$?
    {1, 62, 2},	// Attica::BaseJob::qt_metacast$
    {1, 68, 13},	// Attica::BaseJob::setMetadata#
    {1, 69, 9},	// Attica::BaseJob::start
    {1, 70, 19},	// Attica::BaseJob::staticMetaObject
    {1, 73, 17},	// Attica::BaseJob::tr$
    {1, 74, 3},	// Attica::BaseJob::tr$$
    {1, 75, 5},	// Attica::BaseJob::tr$$$
    {1, 77, 18},	// Attica::BaseJob::trUtf8$
    {1, 78, 4},	// Attica::BaseJob::trUtf8$$
    {1, 79, 6},	// Attica::BaseJob::trUtf8$$$
    {1, 80, 20},	// Attica::BaseJob::~BaseJob
    {2, 46, 21},	// Attica::GetJob::metaObject
    {2, 60, 27},	// Attica::GetJob::qt_metacall$$?
    {2, 62, 22},	// Attica::GetJob::qt_metacast$
    {2, 70, 30},	// Attica::GetJob::staticMetaObject
    {2, 73, 28},	// Attica::GetJob::tr$
    {2, 74, 23},	// Attica::GetJob::tr$$
    {2, 75, 25},	// Attica::GetJob::tr$$$
    {2, 77, 29},	// Attica::GetJob::trUtf8$
    {2, 78, 24},	// Attica::GetJob::trUtf8$$
    {2, 79, 26},	// Attica::GetJob::trUtf8$$$
    {2, 81, 31},	// Attica::GetJob::~GetJob
    {4, 1, 41},	// Attica::PlatformDependent::PlatformDependent
    {4, 2, 42},	// Attica::PlatformDependent::PlatformDependent#
    {4, 20, 35},	// Attica::PlatformDependent::askForCredentials#$$
    {4, 38, 37},	// Attica::PlatformDependent::get#
    {4, 39, 32},	// Attica::PlatformDependent::getDefaultProviderFiles
    {4, 41, 33},	// Attica::PlatformDependent::hasCredentials#
    {4, 44, 34},	// Attica::PlatformDependent::loadCredentials#$$
    {4, 48, 40},	// Attica::PlatformDependent::nam
    {4, 52, -1},	// Attica::PlatformDependent::post##
    {4, 64, 36},	// Attica::PlatformDependent::saveCredentials#$$
    {4, 82, 43},	// Attica::PlatformDependent::~PlatformDependent
    {5, 46, 44},	// Attica::PostJob::metaObject
    {5, 60, 50},	// Attica::PostJob::qt_metacall$$?
    {5, 62, 45},	// Attica::PostJob::qt_metacast$
    {5, 70, 53},	// Attica::PostJob::staticMetaObject
    {5, 73, 51},	// Attica::PostJob::tr$
    {5, 74, 46},	// Attica::PostJob::tr$$
    {5, 75, 48},	// Attica::PostJob::tr$$$
    {5, 77, 52},	// Attica::PostJob::trUtf8$
    {5, 78, 47},	// Attica::PostJob::trUtf8$$
    {5, 79, 49},	// Attica::PostJob::trUtf8$$$
    {5, 83, 54},	// Attica::PostJob::~PostJob
    {7, 3, 62},	// Attica::ProviderManager::ProviderManager
    {7, 16, 67},	// Attica::ProviderManager::addProviderFile#
    {7, 18, 66},	// Attica::ProviderManager::addProviderFromXml$
    {7, 22, 74},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {7, 24, 65},	// Attica::ProviderManager::clear
    {7, 27, 70},	// Attica::ProviderManager::contains$
    {7, 30, 73},	// Attica::ProviderManager::defaultProvidersLoaded
    {7, 45, 63},	// Attica::ProviderManager::loadDefaultProviders
    {7, 46, 55},	// Attica::ProviderManager::metaObject
    {7, 54, 72},	// Attica::ProviderManager::providerAdded#
    {7, 56, 71},	// Attica::ProviderManager::providerByUrl#
    {7, 57, 68},	// Attica::ProviderManager::providerFiles
    {7, 58, 69},	// Attica::ProviderManager::providers
    {7, 60, 61},	// Attica::ProviderManager::qt_metacall$$?
    {7, 62, 56},	// Attica::ProviderManager::qt_metacast$
    {7, 66, 64},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {7, 70, 77},	// Attica::ProviderManager::staticMetaObject
    {7, 73, 75},	// Attica::ProviderManager::tr$
    {7, 74, 57},	// Attica::ProviderManager::tr$$
    {7, 75, 59},	// Attica::ProviderManager::tr$$$
    {7, 77, 76},	// Attica::ProviderManager::trUtf8$
    {7, 78, 58},	// Attica::ProviderManager::trUtf8$$
    {7, 79, 60},	// Attica::ProviderManager::trUtf8$$$
    {7, 84, 78},	// Attica::ProviderManager::~ProviderManager
    {11, 4, 79},	// QGlobalSpace::Q_COMPLEX_TYPE
    {11, 5, 83},	// QGlobalSpace::Q_DUMMY_TYPE
    {11, 6, 82},	// QGlobalSpace::Q_MOVABLE_TYPE
    {11, 7, 80},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {11, 8, 81},	// QGlobalSpace::Q_STATIC_TYPE
    {11, 9, 86},	// QGlobalSpace::QtCriticalMsg
    {11, 10, 84},	// QGlobalSpace::QtDebugMsg
    {11, 11, 87},	// QGlobalSpace::QtFatalMsg
    {11, 12, 88},	// QGlobalSpace::QtSystemMsg
    {11, 13, 85},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 19,
        __smokeattica::methods, 96,
        __smokeattica::methodMaps, 88,
        __smokeattica::methodNames, 84,
        __smokeattica::types, 107,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
