#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Button
      switch(to) {
        case 8: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 59: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 10: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 80: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 49: return (void*)(QObject*)(KNS::Button*)xptr;
        case 7: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 8:   //KPushButton
      switch(to) {
        case 59: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 10: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 80: return (void*)(QWidget*)(KPushButton*)xptr;
        case 49: return (void*)(QObject*)(KPushButton*)xptr;
        case 8: return (void*)(KPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 9:   //KStandardDirs
      switch(to) {
        case 9: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 10:   //QAbstractButton
      switch(to) {
        case 80: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 49: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 10: return (void*)(QAbstractButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 11:   //QActionEvent
      switch(to) {
        case 11: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QBool
      switch(to) {
        case 12: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 13:   //QBrush
      switch(to) {
        case 13: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 14:   //QByteArray
      switch(to) {
        case 14: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 15:   //QChar
      switch(to) {
        case 15: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 16:   //QChildEvent
      switch(to) {
        case 16: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QCloseEvent
      switch(to) {
        case 17: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QColor
      switch(to) {
        case 18: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 19:   //QContextMenuEvent
      switch(to) {
        case 19: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QCursor
      switch(to) {
        case 20: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 21:   //QDataStream
      switch(to) {
        case 21: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 22:   //QDate
      switch(to) {
        case 22: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 23:   //QDateTime
      switch(to) {
        case 23: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 24:   //QDrag
      switch(to) {
        case 24: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 25:   //QDragEnterEvent
      switch(to) {
        case 25: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QDragLeaveEvent
      switch(to) {
        case 26: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QDragMoveEvent
      switch(to) {
        case 27: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QDropEvent
      switch(to) {
        case 28: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QEvent
      switch(to) {
        case 29: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QFocusEvent
      switch(to) {
        case 30: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QFont
      switch(to) {
        case 31: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 33:   //QHashDummyValue
      switch(to) {
        case 33: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 34:   //QHideEvent
      switch(to) {
        case 34: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QIcon
      switch(to) {
        case 35: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 36:   //QImage
      switch(to) {
        case 36: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 37:   //QIncompatibleFlag
      switch(to) {
        case 37: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 38:   //QInputMethodEvent
      switch(to) {
        case 38: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QKeyEvent
      switch(to) {
        case 39: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QKeySequence
      switch(to) {
        case 40: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 41:   //QLatin1String
      switch(to) {
        case 41: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 42:   //QLine
      switch(to) {
        case 42: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 43:   //QLineF
      switch(to) {
        case 43: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 44:   //QMargins
      switch(to) {
        case 44: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 45:   //QMatrix
      switch(to) {
        case 45: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 46:   //QMetaObject
      switch(to) {
        case 46: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 47:   //QMouseEvent
      switch(to) {
        case 47: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QMoveEvent
      switch(to) {
        case 48: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 7: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPaintEngine
      switch(to) {
        case 50: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 51:   //QPaintEvent
      switch(to) {
        case 51: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QPainterPath
      switch(to) {
        case 52: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 53:   //QPalette
      switch(to) {
        case 53: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 54:   //QPixmap
      switch(to) {
        case 54: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 55:   //QPoint
      switch(to) {
        case 55: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 56:   //QPointF
      switch(to) {
        case 56: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 57:   //QPolygon
      switch(to) {
        case 57: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 58:   //QPolygonF
      switch(to) {
        case 58: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 59:   //QPushButton
      switch(to) {
        case 10: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 80: return (void*)(QWidget*)(QPushButton*)xptr;
        case 49: return (void*)(QObject*)(QPushButton*)xptr;
        case 59: return (void*)(QPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 60:   //QRect
      switch(to) {
        case 60: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 61:   //QRectF
      switch(to) {
        case 61: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 62:   //QRegExp
      switch(to) {
        case 62: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 63:   //QRegion
      switch(to) {
        case 63: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 64:   //QResizeEvent
      switch(to) {
        case 64: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QShowEvent
      switch(to) {
        case 65: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSize
      switch(to) {
        case 66: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 67:   //QSizeF
      switch(to) {
        case 67: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 68:   //QSizePolicy
      switch(to) {
        case 68: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 69:   //QString::Null
      switch(to) {
        case 69: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 70:   //QStringRef
      switch(to) {
        case 70: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTime
      switch(to) {
        case 73: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 74:   //QTimerEvent
      switch(to) {
        case 74: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QTransform
      switch(to) {
        case 75: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 76:   //QUrl
      switch(to) {
        case 76: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //QWheelEvent
      switch(to) {
        case 79: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QWidget
      switch(to) {
        case 49: return (void*)(QObject*)(QWidget*)xptr;
        case 80: return (void*)(QWidget*)xptr;
        case 7: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    8, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS__Installation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//7
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//8
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//9
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//10
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QBool", true, 0, 0, 0, 0, 0 },	//12
    { "QBrush", true, 0, 0, 0, 0, 0 },	//13
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//14
    { "QChar", true, 0, 0, 0, 0, 0 },	//15
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QColor", true, 0, 0, 0, 0, 0 },	//18
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QCursor", true, 0, 0, 0, 0, 0 },	//20
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//21
    { "QDate", true, 0, 0, 0, 0, 0 },	//22
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//23
    { "QDrag", true, 0, 0, 0, 0, 0 },	//24
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QFont", true, 0, 0, 0, 0, 0 },	//31
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//32
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//33
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QIcon", true, 0, 0, 0, 0, 0 },	//35
    { "QImage", true, 0, 0, 0, 0, 0 },	//36
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//37
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//40
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//41
    { "QLine", true, 0, 0, 0, 0, 0 },	//42
    { "QLineF", true, 0, 0, 0, 0, 0 },	//43
    { "QMargins", true, 0, 0, 0, 0, 0 },	//44
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//45
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//46
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//50
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//52
    { "QPalette", true, 0, 0, 0, 0, 0 },	//53
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//54
    { "QPoint", true, 0, 0, 0, 0, 0 },	//55
    { "QPointF", true, 0, 0, 0, 0, 0 },	//56
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//57
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//58
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//59
    { "QRect", true, 0, 0, 0, 0, 0 },	//60
    { "QRectF", true, 0, 0, 0, 0, 0 },	//61
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//62
    { "QRegion", true, 0, 0, 0, 0, 0 },	//63
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSize", true, 0, 0, 0, 0, 0 },	//66
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//67
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//68
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//69
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTime", true, 0, 0, 0, 0, 0 },	//73
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QTransform", true, 0, 0, 0, 0, 0 },	//75
    { "QUrl", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QWidget", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Button*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "KStandardDirs*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KUrl::CleanPathOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "KUrl::DirectoryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KUrl::EncodedPathAndQueryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KUrl::EqualsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KUrl::QueryItemsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QActionEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QBool", 12, Smoke::t_class|Smoke::tf_stack },	//21
    { "QBrush&", 13, Smoke::t_class|Smoke::tf_ref },	//22
    { "QByteArray&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QChar", 15, Smoke::t_class|Smoke::tf_stack },	//24
    { "QChar&", 15, Smoke::t_class|Smoke::tf_ref },	//25
    { "QChildEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QCloseEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QColor&", 18, Smoke::t_class|Smoke::tf_ref },	//28
    { "QContextMenuEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QCursor&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDataStream&", 21, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDate&", 22, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDateTime&", 23, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDrag*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDragEnterEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QDragLeaveEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDropEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QFlags<KUrl::CleanPathOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QFlags<KUrl::DirectoryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QFlags<KUrl::EqualsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QFlags<KUrl::QueryItemsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QFocusEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFont&", 31, Smoke::t_class|Smoke::tf_ref },	//67
    { "QHideEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QIcon&", 35, Smoke::t_class|Smoke::tf_ref },	//70
    { "QImage&", 36, Smoke::t_class|Smoke::tf_ref },	//71
    { "QIncompatibleFlag", 37, Smoke::t_class|Smoke::tf_stack },	//72
    { "QInputMethodEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QKeyEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref },	//75
    { "QLine", 42, Smoke::t_class|Smoke::tf_stack },	//76
    { "QLine&", 42, Smoke::t_class|Smoke::tf_ref },	//77
    { "QLineF", 43, Smoke::t_class|Smoke::tf_stack },	//78
    { "QLineF&", 43, Smoke::t_class|Smoke::tf_ref },	//79
    { "QMatrix&", 45, Smoke::t_class|Smoke::tf_ref },	//80
    { "QMetaObject::Call", 46, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QMouseEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QMoveEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QPaintEngine*", 50, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QPaintEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QPainterPath", 52, Smoke::t_class|Smoke::tf_stack },	//88
    { "QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref },	//89
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QPalette&", 53, Smoke::t_class|Smoke::tf_ref },	//91
    { "QPixmap&", 54, Smoke::t_class|Smoke::tf_ref },	//92
    { "QPoint", 55, Smoke::t_class|Smoke::tf_stack },	//93
    { "QPoint&", 55, Smoke::t_class|Smoke::tf_ref },	//94
    { "QPointF", 56, Smoke::t_class|Smoke::tf_stack },	//95
    { "QPointF&", 56, Smoke::t_class|Smoke::tf_ref },	//96
    { "QPolygon", 57, Smoke::t_class|Smoke::tf_stack },	//97
    { "QPolygon&", 57, Smoke::t_class|Smoke::tf_ref },	//98
    { "QPolygonF", 58, Smoke::t_class|Smoke::tf_stack },	//99
    { "QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref },	//100
    { "QRect&", 60, Smoke::t_class|Smoke::tf_ref },	//101
    { "QRectF&", 61, Smoke::t_class|Smoke::tf_ref },	//102
    { "QRegExp&", 62, Smoke::t_class|Smoke::tf_ref },	//103
    { "QRegion", 63, Smoke::t_class|Smoke::tf_stack },	//104
    { "QRegion&", 63, Smoke::t_class|Smoke::tf_ref },	//105
    { "QResizeEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QShowEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSize", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSize&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QSizeF&", 67, Smoke::t_class|Smoke::tf_ref },	//110
    { "QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//114
    { "QString::Null", 69, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//120
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QTime&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTimerEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QTransform", 75, Smoke::t_class|Smoke::tf_stack },	//124
    { "QTransform&", 75, Smoke::t_class|Smoke::tf_ref },	//125
    { "QUrl&", 76, Smoke::t_class|Smoke::tf_ref },	//126
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//128
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//129
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//130
    { "QWheelEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWidget*", 80, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//133
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//169
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//187
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//190
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//203
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//208
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//211
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtMsgType", 32, Smoke::t_enum|Smoke::tf_stack },	//221
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//223
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//224
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QBrush&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QByteArray", 14, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//227
    { "const QByteArray&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QChar&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QColor&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QCursor&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDate&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QDateTime&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QFont&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QHashDummyValue&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QIcon&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QImage&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QLatin1String&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QLine&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QLineF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QMargins&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QMatrix&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QMetaObject&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QMetaObject*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QPalette&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QPixmap&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QPoint", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//250
    { "const QPoint&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QPointF", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//252
    { "const QPointF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QPolygon&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QRectF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QRegExp&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QRegion&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QSize", 66, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//260
    { "const QSize&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QSizeF", 67, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//262
    { "const QSizeF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QStringRef&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QTime&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QTransform&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QUrl&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//276
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//278
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//279
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//280
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//281
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//282
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//283
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//284
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    276, 0,	//1  const char*
    276, 276, 0,	//3  const char*, const char*
    276, 276, 279, 0,	//6  const char*, const char*, int
    81, 279, 283, 0,	//10  QMetaObject::Call, int, void**
    266, 266, 266, 132, 0,	//14  const QString&, const QString&, const QString&, QWidget*
    132, 0,	//19  QWidget*
    266, 0,	//21  const QString&
    82, 0,	//23  QMouseEvent*
    87, 0,	//25  QPaintEvent*
    251, 0,	//27  const QPoint&
    74, 0,	//29  QKeyEvent*
    39, 0,	//31  QEvent*
    123, 0,	//33  QTimerEvent*
    251, 278, 0,	//35  const QPoint&, double
    278, 253, 0,	//38  double, const QPointF&
    242, 242, 0,	//41  const QMargins&, const QMargins&
    278, 263, 0,	//44  double, const QSizeF&
    31, 71, 0,	//47  QDataStream&, QImage&
    31, 264, 0,	//50  QDataStream&, const QSizePolicy&
    208, 208, 0,	//53  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    256, 256, 0,	//56  const QRect&, const QRect&
    261, 261, 0,	//59  const QSize&, const QSize&
    31, 271, 0,	//62  QDataStream&, const QTransform&
    253, 243, 0,	//65  const QPointF&, const QMatrix&
    240, 271, 0,	//68  const QLine&, const QTransform&
    158, 52, 0,	//71  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    116, 279, 0,	//74  QString::SectionFlags::enum_type, int
    127, 279, 0,	//77  QUrl::FormattingOptions::enum_type, int
    263, 278, 0,	//80  const QSizeF&, double
    31, 240, 0,	//83  QDataStream&, const QLine&
    276, 239, 0,	//86  const char*, const QLatin1String&
    263, 263, 0,	//89  const QSizeF&, const QSizeF&
    228, 228, 0,	//92  const QByteArray&, const QByteArray&
    239, 269, 0,	//95  const QLatin1String&, const QStringRef&
    273, 275, 0,	//98  const QVariant&, const QVariantComparisonHelper&
    21, 21, 0,	//101  QBool, QBool
    115, 115, 0,	//104  QString::Null, QString::Null
    31, 257, 0,	//107  QDataStream&, const QRectF&
    24, 266, 0,	//110  QChar, const QString&
    31, 248, 0,	//113  QDataStream&, const QPalette&
    8, 0,	//116  KIconLoader::Group&
    31, 228, 0,	//118  QDataStream&, const QByteArray&
    112, 279, 0,	//121  QSizePolicy::ControlTypes::enum_type, int
    215, 279, 0,	//124  Qt::WindowFlags::enum_type, int
    255, 271, 0,	//127  const QPolygonF&, const QTransform&
    169, 169, 0,	//130  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    31, 267, 0,	//133  QDataStream&, const QStringList&
    19, 44, 0,	//136  KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>
    31, 28, 0,	//139  QDataStream&, QColor&
    180, 180, 0,	//142  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    31, 258, 0,	//145  QDataStream&, const QRegExp&
    228, 276, 0,	//148  const QByteArray&, const char*
    19, 279, 0,	//151  KUrl::QueryItemsOptions::enum_type, int
    211, 211, 0,	//154  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    240, 243, 0,	//157  const QLine&, const QMatrix&
    241, 243, 0,	//160  const QLineF&, const QMatrix&
    247, 243, 0,	//163  const QPainterPath&, const QMatrix&
    31, 96, 0,	//166  QDataStream&, QPointF&
    31, 238, 0,	//169  QDataStream&, const QKeySequence&
    266, 276, 0,	//172  const QString&, const char*
    31, 231, 0,	//175  QDataStream&, const QCursor&
    184, 184, 0,	//178  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    31, 32, 0,	//181  QDataStream&, QDate&
    190, 190, 0,	//184  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    224, 228, 0,	//187  char, const QByteArray&
    169, 54, 0,	//190  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    276, 266, 0,	//193  const char*, const QString&
    276, 228, 0,	//196  const char*, const QByteArray&
    164, 279, 0,	//199  Qt::GestureFlags::enum_type, int
    31, 23, 0,	//202  QDataStream&, QByteArray&
    31, 129, 0,	//205  QDataStream&, QVariant&
    31, 103, 0,	//208  QDataStream&, QRegExp&
    253, 253, 0,	//211  const QPointF&, const QPointF&
    271, 278, 0,	//214  const QTransform&, double
    203, 279, 0,	//217  Qt::TextInteractionFlags::enum_type, int
    176, 176, 0,	//220  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    269, 269, 0,	//223  const QStringRef&, const QStringRef&
    184, 58, 0,	//226  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    24, 24, 0,	//229  QChar, QChar
    247, 271, 0,	//232  const QPainterPath&, const QTransform&
    31, 226, 0,	//235  QDataStream&, const QBrush&
    127, 48, 0,	//238  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    133, 279, 0,	//241  QWidget::RenderFlags::enum_type, int
    31, 105, 0,	//244  QDataStream&, QRegion&
    190, 279, 0,	//247  Qt::Orientations::enum_type, int
    253, 278, 0,	//250  const QPointF&, double
    172, 279, 0,	//253  Qt::InputMethodHints::enum_type, int
    15, 40, 0,	//256  KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>
    31, 232, 0,	//259  QDataStream&, const QDate&
    18, 279, 0,	//262  KUrl::EqualsOptions::enum_type, int
    203, 203, 0,	//265  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    31, 30, 0,	//268  QDataStream&, QCursor&
    187, 187, 0,	//271  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    31, 125, 0,	//274  QDataStream&, QTransform&
    254, 243, 0,	//277  const QPolygon&, const QMatrix&
    16, 41, 0,	//280  KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>
    266, 115, 0,	//283  const QString&, QString::Null
    31, 110, 0,	//286  QDataStream&, QSizeF&
    253, 0,	//289  const QPointF&
    31, 249, 0,	//291  QDataStream&, const QPixmap&
    228, 266, 0,	//294  const QByteArray&, const QString&
    253, 271, 0,	//297  const QPointF&, const QTransform&
    266, 224, 0,	//300  const QString&, char
    69, 69, 0,	//303  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    31, 272, 0,	//306  QDataStream&, const QUrl&
    184, 279, 0,	//309  Qt::MatchFlags::enum_type, int
    211, 279, 0,	//312  Qt::TouchPointStates::enum_type, int
    31, 273, 0,	//315  QDataStream&, const QVariant&
    31, 77, 0,	//318  QDataStream&, QLine&
    15, 15, 0,	//321  KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type
    251, 243, 0,	//324  const QPoint&, const QMatrix&
    251, 251, 0,	//327  const QPoint&, const QPoint&
    269, 266, 0,	//330  const QStringRef&, const QString&
    239, 239, 0,	//333  const QLatin1String&, const QLatin1String&
    235, 235, 0,	//336  const QHashDummyValue&, const QHashDummyValue&
    31, 70, 0,	//339  QDataStream&, QIcon&
    15, 279, 0,	//342  KUrl::CleanPathOptions::enum_type, int
    31, 254, 0,	//345  QDataStream&, const QPolygon&
    269, 276, 0,	//348  const QStringRef&, const char*
    169, 279, 0,	//351  Qt::ImageConversionFlags::enum_type, int
    18, 43, 0,	//354  KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>
    31, 241, 0,	//357  QDataStream&, const QLineF&
    69, 45, 0,	//360  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    134, 279, 0,	//363  Qt::Alignment::enum_type, int
    158, 158, 0,	//366  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    116, 47, 0,	//369  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    31, 22, 0,	//372  QDataStream&, QBrush&
    31, 253, 0,	//375  QDataStream&, const QPointF&
    215, 215, 0,	//378  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    266, 266, 0,	//381  const QString&, const QString&
    266, 269, 0,	//384  const QString&, const QStringRef&
    17, 42, 0,	//387  KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>
    203, 61, 0,	//390  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    215, 64, 0,	//393  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    69, 279, 0,	//396  QIODevice::OpenMode::enum_type, int
    31, 111, 0,	//399  QDataStream&, QSizePolicy&
    208, 62, 0,	//402  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    158, 279, 0,	//405  Qt::DropActions::enum_type, int
    276, 269, 0,	//408  const char*, const QStringRef&
    31, 80, 0,	//411  QDataStream&, QMatrix&
    31, 109, 0,	//414  QDataStream&, QSize&
    31, 130, 0,	//417  QDataStream&, QVariant::Type&
    241, 271, 0,	//420  const QLineF&, const QTransform&
    269, 239, 0,	//423  const QStringRef&, const QLatin1String&
    164, 164, 0,	//426  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    31, 255, 0,	//429  QDataStream&, const QPolygonF&
    31, 263, 0,	//432  QDataStream&, const QSizeF&
    172, 55, 0,	//435  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    31, 234, 0,	//438  QDataStream&, const QFont&
    31, 243, 0,	//441  QDataStream&, const QMatrix&
    156, 156, 0,	//444  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    224, 266, 0,	//447  char, const QString&
    156, 279, 0,	//450  Qt::DockWidgetAreas::enum_type, int
    31, 100, 0,	//453  QDataStream&, QPolygonF&
    31, 91, 0,	//456  QDataStream&, QPalette&
    31, 247, 0,	//459  QDataStream&, const QPainterPath&
    257, 257, 0,	//462  const QRectF&, const QRectF&
    17, 17, 0,	//465  KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type
    278, 261, 0,	//468  double, const QSize&
    278, 251, 0,	//471  double, const QPoint&
    31, 251, 0,	//474  QDataStream&, const QPoint&
    31, 237, 0,	//477  QDataStream&, const QImage&
    16, 16, 0,	//480  KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type
    228, 224, 0,	//483  const QByteArray&, char
    219, 65, 0,	//486  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    219, 219, 0,	//489  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    18, 18, 0,	//492  KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type
    112, 112, 0,	//495  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    112, 46, 0,	//498  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    180, 57, 0,	//501  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    31, 67, 0,	//504  QDataStream&, QFont&
    31, 261, 0,	//507  QDataStream&, const QSize&
    31, 102, 0,	//510  QDataStream&, QRectF&
    211, 63, 0,	//513  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    31, 229, 0,	//516  QDataStream&, const QChar&
    223, 21, 0,	//519  bool, QBool
    254, 271, 0,	//522  const QPolygon&, const QTransform&
    21, 223, 0,	//525  QBool, bool
    31, 118, 0,	//528  QDataStream&, QStringList&
    31, 256, 0,	//531  QDataStream&, const QRect&
    31, 259, 0,	//534  QDataStream&, const QRegion&
    180, 279, 0,	//537  Qt::KeyboardModifiers::enum_type, int
    16, 279, 0,	//540  KUrl::DirectoryOptions::enum_type, int
    31, 230, 0,	//543  QDataStream&, const QColor&
    261, 278, 0,	//546  const QSize&, double
    115, 266, 0,	//549  QString::Null, const QString&
    208, 279, 0,	//552  Qt::ToolBarAreas::enum_type, int
    31, 94, 0,	//555  QDataStream&, QPoint&
    31, 33, 0,	//558  QDataStream&, QDateTime&
    176, 279, 0,	//561  Qt::ItemFlags::enum_type, int
    31, 270, 0,	//564  QDataStream&, const QTime&
    31, 75, 0,	//567  QDataStream&, QKeySequence&
    219, 279, 0,	//570  Qt::WindowStates::enum_type, int
    19, 19, 0,	//573  KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type
    259, 271, 0,	//576  const QRegion&, const QTransform&
    127, 127, 0,	//579  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    255, 243, 0,	//582  const QPolygonF&, const QMatrix&
    31, 98, 0,	//585  QDataStream&, QPolygon&
    190, 60, 0,	//588  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    31, 114, 0,	//591  QDataStream&, QString&
    31, 266, 0,	//594  QDataStream&, const QString&
    176, 56, 0,	//597  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    31, 25, 0,	//600  QDataStream&, QChar&
    133, 49, 0,	//603  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    31, 92, 0,	//606  QDataStream&, QPixmap&
    266, 228, 0,	//609  const QString&, const QByteArray&
    17, 279, 0,	//612  KUrl::EncodedPathAndQueryOptions::enum_type, int
    31, 101, 0,	//615  QDataStream&, QRect&
    31, 236, 0,	//618  QDataStream&, const QIcon&
    31, 274, 0,	//621  QDataStream&, const QVariant::Type
    31, 79, 0,	//624  QDataStream&, QLineF&
    31, 89, 0,	//627  QDataStream&, QPainterPath&
    134, 50, 0,	//630  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    251, 271, 0,	//633  const QPoint&, const QTransform&
    31, 233, 0,	//636  QDataStream&, const QDateTime&
    133, 133, 0,	//639  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    187, 279, 0,	//642  Qt::MouseButtons::enum_type, int
    31, 122, 0,	//645  QDataStream&, QTime&
    156, 51, 0,	//648  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    172, 172, 0,	//651  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    259, 243, 0,	//654  const QRegion&, const QMatrix&
    164, 53, 0,	//657  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    116, 116, 0,	//660  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    31, 126, 0,	//663  QDataStream&, QUrl&
    266, 24, 0,	//666  const QString&, QChar
    134, 134, 0,	//669  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    187, 59, 0,	//672  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    8, 279, 0,	//675  KIconLoader::Group&, int
    84, 39, 0,	//678  QObject*, QEvent*
    26, 0,	//681  QChildEvent*
    66, 0,	//683  QFocusEvent*
    223, 0,	//685  bool
    279, 0,	//687  int
    131, 0,	//689  QWheelEvent*
    83, 0,	//691  QMoveEvent*
    106, 0,	//693  QResizeEvent*
    27, 0,	//695  QCloseEvent*
    29, 0,	//697  QContextMenuEvent*
    121, 0,	//699  QTabletEvent*
    20, 0,	//701  QActionEvent*
    35, 0,	//703  QDragEnterEvent*
    37, 0,	//705  QDragMoveEvent*
    36, 0,	//707  QDragLeaveEvent*
    38, 0,	//709  QDropEvent*
    107, 0,	//711  QShowEvent*
    68, 0,	//713  QHideEvent*
    222, 0,	//715  _XEvent*
    85, 0,	//717  QPaintDevice::PaintDeviceMetric
    73, 0,	//719  QInputMethodEvent*
    173, 0,	//721  Qt::InputMethodQuery
    120, 0,	//723  QStyle&
    248, 0,	//725  const QPalette&
    234, 0,	//727  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Button",	//1
    "Button#",	//2
    "Button$$$#",	//3
    "DrawChildren",	//4
    "DrawWindowBackground",	//5
    "IgnoreMask",	//6
    "Q_COMPLEX_TYPE",	//7
    "Q_DUMMY_TYPE",	//8
    "Q_MOVABLE_TYPE",	//9
    "Q_PRIMITIVE_TYPE",	//10
    "Q_STATIC_TYPE",	//11
    "QtCriticalMsg",	//12
    "QtDebugMsg",	//13
    "QtFatalMsg",	//14
    "QtSystemMsg",	//15
    "QtWarningMsg",	//16
    "aboutToShowDialog",	//17
    "actionEvent",	//18
    "changeEvent",	//19
    "checkStateSet",	//20
    "childEvent",	//21
    "closeEvent",	//22
    "connectNotify",	//23
    "contextMenuEvent",	//24
    "customEvent",	//25
    "devType",	//26
    "dialogFinished",	//27
    "disconnectNotify",	//28
    "dragEnterEvent",	//29
    "dragLeaveEvent",	//30
    "dragMoveEvent",	//31
    "dragObject",	//32
    "dropEvent",	//33
    "enabledChange",	//34
    "enterEvent",	//35
    "event",	//36
    "eventFilter",	//37
    "focusInEvent",	//38
    "focusNextPrevChild",	//39
    "focusOutEvent",	//40
    "fontChange",	//41
    "heightForWidth",	//42
    "hideEvent",	//43
    "hitButton",	//44
    "inputMethodEvent",	//45
    "inputMethodQuery",	//46
    "keyPressEvent",	//47
    "keyReleaseEvent",	//48
    "languageChange",	//49
    "leaveEvent",	//50
    "metaObject",	//51
    "metric",	//52
    "minimumSizeHint",	//53
    "mouseDoubleClickEvent",	//54
    "mouseMoveEvent",	//55
    "mousePressEvent",	//56
    "mouseReleaseEvent",	//57
    "moveEvent",	//58
    "nextCheckState",	//59
    "operator!=",	//60
    "operator!=##",	//61
    "operator!=#$",	//62
    "operator!=$#",	//63
    "operator!=$$",	//64
    "operator*",	//65
    "operator*##",	//66
    "operator*#$",	//67
    "operator*$#",	//68
    "operator+",	//69
    "operator+##",	//70
    "operator+#$",	//71
    "operator+$#",	//72
    "operator+$$",	//73
    "operator++",	//74
    "operator++$",	//75
    "operator++$$",	//76
    "operator-",	//77
    "operator-#",	//78
    "operator-##",	//79
    "operator-#$",	//80
    "operator/",	//81
    "operator/#$",	//82
    "operator<",	//83
    "operator<##",	//84
    "operator<#$",	//85
    "operator<$#",	//86
    "operator<$$",	//87
    "operator<<",	//88
    "operator<<##",	//89
    "operator<<#$",	//90
    "operator<<#?",	//91
    "operator<=",	//92
    "operator<=##",	//93
    "operator<=#$",	//94
    "operator<=$#",	//95
    "operator<=$$",	//96
    "operator==",	//97
    "operator==##",	//98
    "operator==#$",	//99
    "operator==$#",	//100
    "operator==$$",	//101
    "operator>",	//102
    "operator>##",	//103
    "operator>#$",	//104
    "operator>$#",	//105
    "operator>$$",	//106
    "operator>=",	//107
    "operator>=##",	//108
    "operator>=#$",	//109
    "operator>=$#",	//110
    "operator>=$$",	//111
    "operator>>",	//112
    "operator>>##",	//113
    "operator>>#$",	//114
    "operator>>#?",	//115
    "operator|",	//116
    "operator|?$",	//117
    "operator|??",	//118
    "paintEngine",	//119
    "paintEvent",	//120
    "paletteChange",	//121
    "qt_metacall",	//122
    "qt_metacall$$?",	//123
    "qt_metacast",	//124
    "qt_metacast$",	//125
    "resizeEvent",	//126
    "setButtonText",	//127
    "setButtonText$",	//128
    "setProviderList",	//129
    "setProviderList$",	//130
    "setResourceType",	//131
    "setResourceType$",	//132
    "setVisible",	//133
    "showDialog",	//134
    "showEvent",	//135
    "sizeHint",	//136
    "startDrag",	//137
    "staticMetaObject",	//138
    "styleChange",	//139
    "tabletEvent",	//140
    "timerEvent",	//141
    "tr",	//142
    "tr$",	//143
    "tr$$",	//144
    "tr$$$",	//145
    "trUtf8",	//146
    "trUtf8$",	//147
    "trUtf8$$",	//148
    "trUtf8$$$",	//149
    "wheelEvent",	//150
    "windowActivationChange",	//151
    "x11Event",	//152
    "~Button",	//153
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 51, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//1 KNS::Button::metaObject() const
    {7, 124, 1, 1, Smoke::mf_virtual, 282, 2},	//2 KNS::Button::qt_metacast(const char*)
    {7, 142, 3, 2, Smoke::mf_static, 113, 3},	//3 KNS::Button::tr(const char*, const char*)
    {7, 146, 3, 2, Smoke::mf_static, 113, 4},	//4 KNS::Button::trUtf8(const char*, const char*)
    {7, 142, 6, 3, Smoke::mf_static, 113, 5},	//5 KNS::Button::tr(const char*, const char*, int)
    {7, 146, 6, 3, Smoke::mf_static, 113, 6},	//6 KNS::Button::trUtf8(const char*, const char*, int)
    {7, 122, 10, 3, Smoke::mf_virtual, 279, 7},	//7 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {7, 1, 14, 4, Smoke::mf_ctor, 10, 8},	//8 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {7, 1, 19, 1, Smoke::mf_ctor, 10, 9},	//9 KNS::Button::Button(QWidget*)
    {7, 129, 21, 1, 0, 0, 10},	//10 KNS::Button::setProviderList(const QString&)
    {7, 131, 21, 1, 0, 0, 11},	//11 KNS::Button::setResourceType(const QString&)
    {7, 127, 21, 1, 0, 0, 12},	//12 KNS::Button::setButtonText(const QString&)
    {7, 17, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//13 KNS::Button::aboutToShowDialog()
    {7, 27, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//14 KNS::Button::dialogFinished()
    {7, 134, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//15 KNS::Button::showDialog()
    {7, 142, 1, 1, Smoke::mf_static, 113, 16},	//16 KNS::Button::tr(const char*)
    {7, 146, 1, 1, Smoke::mf_static, 113, 17},	//17 KNS::Button::trUtf8(const char*)
    {7, 138, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 18},	//18 KNS::Button::staticMetaObject() const
    {7, 153, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 KNS::Button::~Button()
    {8, 136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//20 KPushButton::sizeHint() const
    {8, 32, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 34, 0},	//21 KPushButton::dragObject()
    {8, 56, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 KPushButton::mousePressEvent(QMouseEvent*)
    {8, 55, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 KPushButton::mouseMoveEvent(QMouseEvent*)
    {8, 120, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 KPushButton::paintEvent(QPaintEvent*)
    {8, 137, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 KPushButton::startDrag()
    {10, 44, 27, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 223, 0},	//26 QAbstractButton::hitButton(const QPoint&) const
    {10, 20, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QAbstractButton::checkStateSet()
    {10, 59, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QAbstractButton::nextCheckState()
    {10, 48, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {10, 57, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {10, 19, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QAbstractButton::changeEvent(QEvent*)
    {10, 141, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QAbstractButton::timerEvent(QTimerEvent*)
    {32, 65, 35, 2, Smoke::mf_static, 250, 1},	//33 QGlobalSpace::operator*(const QPoint&, double)
    {32, 65, 38, 2, Smoke::mf_static, 252, 2},	//34 QGlobalSpace::operator*(double, const QPointF&)
    {32, 60, 41, 2, Smoke::mf_static, 223, 3},	//35 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {32, 65, 44, 2, Smoke::mf_static, 262, 4},	//36 QGlobalSpace::operator*(double, const QSizeF&)
    {32, 112, 47, 2, Smoke::mf_static, 31, 5},	//37 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {32, 88, 50, 2, Smoke::mf_static, 31, 6},	//38 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {32, 116, 53, 2, Smoke::mf_static, 62, 7},	//39 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {32, 60, 56, 2, Smoke::mf_static, 223, 8},	//40 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {32, 69, 59, 2, Smoke::mf_static, 260, 9},	//41 QGlobalSpace::operator+(const QSize&, const QSize&)
    {32, 88, 62, 2, Smoke::mf_static, 31, 10},	//42 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {32, 65, 65, 2, Smoke::mf_static, 95, 11},	//43 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {32, 65, 68, 2, Smoke::mf_static, 76, 12},	//44 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {32, 116, 71, 2, Smoke::mf_static, 52, 13},	//45 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {32, 116, 74, 2, Smoke::mf_static, 72, 14},	//46 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {32, 97, 41, 2, Smoke::mf_static, 223, 15},	//47 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {32, 116, 77, 2, Smoke::mf_static, 72, 16},	//48 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {32, 65, 80, 2, Smoke::mf_static, 262, 17},	//49 QGlobalSpace::operator*(const QSizeF&, double)
    {32, 88, 83, 2, Smoke::mf_static, 31, 18},	//50 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {32, 102, 86, 2, Smoke::mf_static, 223, 19},	//51 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {32, 77, 89, 2, Smoke::mf_static, 262, 20},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {32, 107, 92, 2, Smoke::mf_static, 223, 21},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {32, 97, 95, 2, Smoke::mf_static, 223, 22},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {32, 60, 98, 2, Smoke::mf_static, 223, 23},	//55 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {32, 97, 101, 2, Smoke::mf_static, 223, 24},	//56 QGlobalSpace::operator==(QBool, QBool)
    {32, 97, 104, 2, Smoke::mf_static, 223, 25},	//57 QGlobalSpace::operator==(QString::Null, QString::Null)
    {32, 88, 107, 2, Smoke::mf_static, 31, 26},	//58 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {32, 69, 110, 2, Smoke::mf_static, 265, 27},	//59 QGlobalSpace::operator+(QChar, const QString&)
    {32, 88, 113, 2, Smoke::mf_static, 31, 28},	//60 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {32, 74, 116, 1, Smoke::mf_static, 8, 29},	//61 QGlobalSpace::operator++(KIconLoader::Group&)
    {32, 88, 118, 2, Smoke::mf_static, 31, 30},	//62 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {32, 116, 121, 2, Smoke::mf_static, 72, 31},	//63 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {32, 116, 124, 2, Smoke::mf_static, 72, 32},	//64 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {32, 65, 127, 2, Smoke::mf_static, 99, 33},	//65 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {32, 116, 130, 2, Smoke::mf_static, 54, 34},	//66 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {32, 69, 89, 2, Smoke::mf_static, 262, 35},	//67 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {32, 88, 133, 2, Smoke::mf_static, 31, 36},	//68 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {32, 116, 136, 2, Smoke::mf_static, 44, 37},	//69 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    {32, 112, 139, 2, Smoke::mf_static, 31, 38},	//70 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {32, 116, 142, 2, Smoke::mf_static, 57, 39},	//71 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {32, 88, 145, 2, Smoke::mf_static, 31, 40},	//72 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {32, 83, 148, 2, Smoke::mf_static, 223, 41},	//73 QGlobalSpace::operator<(const QByteArray&, const char*)
    {32, 116, 151, 2, Smoke::mf_static, 72, 42},	//74 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    {32, 116, 154, 2, Smoke::mf_static, 63, 43},	//75 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {32, 65, 157, 2, Smoke::mf_static, 76, 44},	//76 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {32, 65, 160, 2, Smoke::mf_static, 78, 45},	//77 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {32, 65, 163, 2, Smoke::mf_static, 88, 46},	//78 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {32, 112, 166, 2, Smoke::mf_static, 31, 47},	//79 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {32, 88, 169, 2, Smoke::mf_static, 31, 48},	//80 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {32, 69, 172, 2, Smoke::mf_static, 265, 49},	//81 QGlobalSpace::operator+(const QString&, const char*)
    {32, 88, 175, 2, Smoke::mf_static, 31, 50},	//82 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {32, 116, 178, 2, Smoke::mf_static, 58, 51},	//83 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {32, 112, 181, 2, Smoke::mf_static, 31, 52},	//84 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {32, 116, 184, 2, Smoke::mf_static, 60, 53},	//85 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {32, 69, 187, 2, Smoke::mf_static, 227, 54},	//86 QGlobalSpace::operator+(char, const QByteArray&)
    {32, 81, 35, 2, Smoke::mf_static, 250, 55},	//87 QGlobalSpace::operator/(const QPoint&, double)
    {32, 116, 190, 2, Smoke::mf_static, 54, 56},	//88 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {32, 69, 193, 2, Smoke::mf_static, 265, 57},	//89 QGlobalSpace::operator+(const char*, const QString&)
    {32, 97, 196, 2, Smoke::mf_static, 223, 58},	//90 QGlobalSpace::operator==(const char*, const QByteArray&)
    {32, 116, 199, 2, Smoke::mf_static, 72, 59},	//91 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {32, 112, 202, 2, Smoke::mf_static, 31, 60},	//92 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {32, 112, 205, 2, Smoke::mf_static, 31, 61},	//93 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {32, 112, 208, 2, Smoke::mf_static, 31, 62},	//94 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {32, 97, 211, 2, Smoke::mf_static, 223, 63},	//95 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {32, 81, 214, 2, Smoke::mf_static, 124, 64},	//96 QGlobalSpace::operator/(const QTransform&, double)
    {32, 92, 193, 2, Smoke::mf_static, 223, 65},	//97 QGlobalSpace::operator<=(const char*, const QString&)
    {32, 116, 217, 2, Smoke::mf_static, 72, 66},	//98 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {32, 116, 220, 2, Smoke::mf_static, 56, 67},	//99 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {32, 60, 223, 2, Smoke::mf_static, 223, 68},	//100 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {32, 116, 226, 2, Smoke::mf_static, 58, 69},	//101 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {32, 83, 229, 2, Smoke::mf_static, 223, 70},	//102 QGlobalSpace::operator<(QChar, QChar)
    {32, 65, 232, 2, Smoke::mf_static, 88, 71},	//103 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {32, 88, 235, 2, Smoke::mf_static, 31, 72},	//104 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {32, 107, 86, 2, Smoke::mf_static, 223, 73},	//105 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {32, 116, 238, 2, Smoke::mf_static, 48, 74},	//106 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {32, 116, 241, 2, Smoke::mf_static, 72, 75},	//107 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {32, 112, 244, 2, Smoke::mf_static, 31, 76},	//108 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {32, 116, 247, 2, Smoke::mf_static, 72, 77},	//109 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {32, 65, 250, 2, Smoke::mf_static, 252, 78},	//110 QGlobalSpace::operator*(const QPointF&, double)
    {32, 116, 253, 2, Smoke::mf_static, 72, 79},	//111 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {32, 97, 59, 2, Smoke::mf_static, 223, 80},	//112 QGlobalSpace::operator==(const QSize&, const QSize&)
    {32, 116, 256, 2, Smoke::mf_static, 40, 81},	//113 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    {32, 88, 259, 2, Smoke::mf_static, 31, 82},	//114 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {32, 116, 262, 2, Smoke::mf_static, 72, 83},	//115 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    {32, 97, 86, 2, Smoke::mf_static, 223, 84},	//116 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {32, 116, 265, 2, Smoke::mf_static, 61, 85},	//117 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {32, 60, 92, 2, Smoke::mf_static, 223, 86},	//118 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {32, 112, 268, 2, Smoke::mf_static, 31, 87},	//119 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {32, 81, 80, 2, Smoke::mf_static, 262, 88},	//120 QGlobalSpace::operator/(const QSizeF&, double)
    {32, 116, 271, 2, Smoke::mf_static, 59, 89},	//121 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {32, 112, 274, 2, Smoke::mf_static, 31, 90},	//122 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {32, 65, 277, 2, Smoke::mf_static, 97, 91},	//123 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {32, 102, 229, 2, Smoke::mf_static, 223, 92},	//124 QGlobalSpace::operator>(QChar, QChar)
    {32, 116, 280, 2, Smoke::mf_static, 41, 93},	//125 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    {32, 107, 196, 2, Smoke::mf_static, 223, 94},	//126 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {32, 97, 283, 2, Smoke::mf_static, 223, 95},	//127 QGlobalSpace::operator==(const QString&, QString::Null)
    {32, 83, 92, 2, Smoke::mf_static, 223, 96},	//128 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {32, 112, 286, 2, Smoke::mf_static, 31, 97},	//129 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {32, 77, 289, 1, Smoke::mf_static, 252, 98},	//130 QGlobalSpace::operator-(const QPointF&)
    {32, 88, 291, 2, Smoke::mf_static, 31, 99},	//131 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {32, 69, 294, 2, Smoke::mf_static, 265, 100},	//132 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {32, 65, 297, 2, Smoke::mf_static, 95, 101},	//133 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {32, 69, 300, 2, Smoke::mf_static, 265, 102},	//134 QGlobalSpace::operator+(const QString&, char)
    {32, 107, 223, 2, Smoke::mf_static, 223, 103},	//135 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {32, 97, 98, 2, Smoke::mf_static, 223, 104},	//136 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {32, 116, 303, 2, Smoke::mf_static, 45, 105},	//137 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {32, 88, 306, 2, Smoke::mf_static, 31, 106},	//138 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {32, 116, 309, 2, Smoke::mf_static, 72, 107},	//139 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {32, 116, 312, 2, Smoke::mf_static, 72, 108},	//140 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {32, 88, 315, 2, Smoke::mf_static, 31, 109},	//141 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {32, 112, 318, 2, Smoke::mf_static, 31, 110},	//142 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {32, 116, 321, 2, Smoke::mf_static, 40, 111},	//143 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    {32, 83, 196, 2, Smoke::mf_static, 223, 112},	//144 QGlobalSpace::operator<(const char*, const QByteArray&)
    {32, 65, 324, 2, Smoke::mf_static, 93, 113},	//145 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {32, 60, 59, 2, Smoke::mf_static, 223, 114},	//146 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {32, 92, 148, 2, Smoke::mf_static, 223, 115},	//147 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {32, 60, 327, 2, Smoke::mf_static, 223, 116},	//148 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {32, 97, 330, 2, Smoke::mf_static, 223, 117},	//149 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {32, 107, 333, 2, Smoke::mf_static, 223, 118},	//150 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {32, 97, 336, 2, Smoke::mf_static, 223, 119},	//151 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {32, 112, 339, 2, Smoke::mf_static, 31, 120},	//152 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {32, 116, 342, 2, Smoke::mf_static, 72, 121},	//153 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    {32, 88, 345, 2, Smoke::mf_static, 31, 122},	//154 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {32, 65, 214, 2, Smoke::mf_static, 124, 123},	//155 QGlobalSpace::operator*(const QTransform&, double)
    {32, 83, 223, 2, Smoke::mf_static, 223, 124},	//156 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {32, 60, 348, 2, Smoke::mf_static, 223, 125},	//157 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {32, 60, 196, 2, Smoke::mf_static, 223, 126},	//158 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {32, 102, 223, 2, Smoke::mf_static, 223, 127},	//159 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {32, 116, 351, 2, Smoke::mf_static, 72, 128},	//160 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {32, 116, 354, 2, Smoke::mf_static, 43, 129},	//161 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    {32, 88, 357, 2, Smoke::mf_static, 31, 130},	//162 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {32, 116, 360, 2, Smoke::mf_static, 45, 131},	//163 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {32, 116, 363, 2, Smoke::mf_static, 72, 132},	//164 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {32, 116, 366, 2, Smoke::mf_static, 52, 133},	//165 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {32, 116, 369, 2, Smoke::mf_static, 47, 134},	//166 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {32, 112, 372, 2, Smoke::mf_static, 31, 135},	//167 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {32, 88, 375, 2, Smoke::mf_static, 31, 136},	//168 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {32, 116, 378, 2, Smoke::mf_static, 64, 137},	//169 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {32, 69, 381, 2, Smoke::mf_static, 265, 138},	//170 QGlobalSpace::operator+(const QString&, const QString&)
    {32, 83, 193, 2, Smoke::mf_static, 223, 139},	//171 QGlobalSpace::operator<(const char*, const QString&)
    {32, 60, 193, 2, Smoke::mf_static, 223, 140},	//172 QGlobalSpace::operator!=(const char*, const QString&)
    {32, 60, 148, 2, Smoke::mf_static, 223, 141},	//173 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {32, 60, 384, 2, Smoke::mf_static, 223, 142},	//174 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {32, 116, 387, 2, Smoke::mf_static, 42, 143},	//175 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    {32, 116, 390, 2, Smoke::mf_static, 61, 144},	//176 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {32, 116, 393, 2, Smoke::mf_static, 64, 145},	//177 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {32, 116, 396, 2, Smoke::mf_static, 72, 146},	//178 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {32, 112, 399, 2, Smoke::mf_static, 31, 147},	//179 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {32, 102, 92, 2, Smoke::mf_static, 223, 148},	//180 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {32, 92, 86, 2, Smoke::mf_static, 223, 149},	//181 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {32, 97, 327, 2, Smoke::mf_static, 223, 150},	//182 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {32, 116, 402, 2, Smoke::mf_static, 62, 151},	//183 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {32, 116, 405, 2, Smoke::mf_static, 72, 152},	//184 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {32, 97, 408, 2, Smoke::mf_static, 223, 153},	//185 QGlobalSpace::operator==(const char*, const QStringRef&)
    {32, 69, 196, 2, Smoke::mf_static, 227, 154},	//186 QGlobalSpace::operator+(const char*, const QByteArray&)
    {32, 112, 411, 2, Smoke::mf_static, 31, 155},	//187 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {32, 92, 223, 2, Smoke::mf_static, 223, 156},	//188 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {32, 112, 414, 2, Smoke::mf_static, 31, 157},	//189 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {32, 112, 417, 2, Smoke::mf_static, 31, 158},	//190 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {32, 97, 229, 2, Smoke::mf_static, 223, 159},	//191 QGlobalSpace::operator==(QChar, QChar)
    {32, 60, 330, 2, Smoke::mf_static, 223, 160},	//192 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {32, 65, 420, 2, Smoke::mf_static, 78, 161},	//193 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {32, 60, 423, 2, Smoke::mf_static, 223, 162},	//194 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {32, 116, 426, 2, Smoke::mf_static, 53, 163},	//195 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {32, 88, 429, 2, Smoke::mf_static, 31, 164},	//196 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {32, 88, 432, 2, Smoke::mf_static, 31, 165},	//197 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {32, 116, 435, 2, Smoke::mf_static, 55, 166},	//198 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {32, 88, 438, 2, Smoke::mf_static, 31, 167},	//199 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {32, 88, 441, 2, Smoke::mf_static, 31, 168},	//200 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {32, 116, 444, 2, Smoke::mf_static, 51, 169},	//201 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {32, 69, 447, 2, Smoke::mf_static, 265, 170},	//202 QGlobalSpace::operator+(char, const QString&)
    {32, 60, 95, 2, Smoke::mf_static, 223, 171},	//203 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {32, 60, 229, 2, Smoke::mf_static, 223, 172},	//204 QGlobalSpace::operator!=(QChar, QChar)
    {32, 97, 333, 2, Smoke::mf_static, 223, 173},	//205 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {32, 116, 450, 2, Smoke::mf_static, 72, 174},	//206 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {32, 97, 89, 2, Smoke::mf_static, 223, 175},	//207 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {32, 112, 453, 2, Smoke::mf_static, 31, 176},	//208 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {32, 112, 456, 2, Smoke::mf_static, 31, 177},	//209 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {32, 88, 459, 2, Smoke::mf_static, 31, 178},	//210 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {32, 97, 223, 2, Smoke::mf_static, 223, 179},	//211 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {32, 60, 462, 2, Smoke::mf_static, 223, 180},	//212 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {32, 116, 465, 2, Smoke::mf_static, 42, 181},	//213 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    {32, 65, 468, 2, Smoke::mf_static, 260, 182},	//214 QGlobalSpace::operator*(double, const QSize&)
    {32, 107, 148, 2, Smoke::mf_static, 223, 183},	//215 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {32, 65, 471, 2, Smoke::mf_static, 250, 184},	//216 QGlobalSpace::operator*(double, const QPoint&)
    {32, 88, 474, 2, Smoke::mf_static, 31, 185},	//217 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {32, 88, 477, 2, Smoke::mf_static, 31, 186},	//218 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {32, 116, 480, 2, Smoke::mf_static, 41, 187},	//219 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    {32, 69, 483, 2, Smoke::mf_static, 227, 188},	//220 QGlobalSpace::operator+(const QByteArray&, char)
    {32, 81, 250, 2, Smoke::mf_static, 252, 189},	//221 QGlobalSpace::operator/(const QPointF&, double)
    {32, 107, 229, 2, Smoke::mf_static, 223, 190},	//222 QGlobalSpace::operator>=(QChar, QChar)
    {32, 116, 486, 2, Smoke::mf_static, 65, 191},	//223 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {32, 92, 92, 2, Smoke::mf_static, 223, 192},	//224 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {32, 116, 489, 2, Smoke::mf_static, 65, 193},	//225 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {32, 116, 492, 2, Smoke::mf_static, 43, 194},	//226 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    {32, 116, 495, 2, Smoke::mf_static, 46, 195},	//227 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {32, 116, 498, 2, Smoke::mf_static, 46, 196},	//228 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {32, 116, 501, 2, Smoke::mf_static, 57, 197},	//229 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {32, 112, 504, 2, Smoke::mf_static, 31, 198},	//230 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {32, 92, 333, 2, Smoke::mf_static, 223, 199},	//231 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {32, 88, 507, 2, Smoke::mf_static, 31, 200},	//232 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {32, 102, 196, 2, Smoke::mf_static, 223, 201},	//233 QGlobalSpace::operator>(const char*, const QByteArray&)
    {32, 112, 510, 2, Smoke::mf_static, 31, 202},	//234 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {32, 116, 513, 2, Smoke::mf_static, 63, 203},	//235 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {32, 88, 516, 2, Smoke::mf_static, 31, 204},	//236 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {32, 97, 462, 2, Smoke::mf_static, 223, 205},	//237 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {32, 60, 519, 2, Smoke::mf_static, 223, 206},	//238 QGlobalSpace::operator!=(bool, QBool)
    {32, 65, 522, 2, Smoke::mf_static, 97, 207},	//239 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {32, 60, 525, 2, Smoke::mf_static, 223, 208},	//240 QGlobalSpace::operator!=(QBool, bool)
    {32, 77, 327, 2, Smoke::mf_static, 250, 209},	//241 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {32, 112, 528, 2, Smoke::mf_static, 31, 210},	//242 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {32, 69, 148, 2, Smoke::mf_static, 227, 211},	//243 QGlobalSpace::operator+(const QByteArray&, const char*)
    {32, 88, 531, 2, Smoke::mf_static, 31, 212},	//244 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {32, 60, 89, 2, Smoke::mf_static, 223, 213},	//245 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {32, 92, 196, 2, Smoke::mf_static, 223, 214},	//246 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {32, 88, 534, 2, Smoke::mf_static, 31, 215},	//247 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {32, 97, 384, 2, Smoke::mf_static, 223, 216},	//248 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {32, 116, 537, 2, Smoke::mf_static, 72, 217},	//249 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {32, 60, 333, 2, Smoke::mf_static, 223, 218},	//250 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {32, 116, 540, 2, Smoke::mf_static, 72, 219},	//251 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    {32, 88, 543, 2, Smoke::mf_static, 31, 220},	//252 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {32, 65, 546, 2, Smoke::mf_static, 260, 221},	//253 QGlobalSpace::operator*(const QSize&, double)
    {32, 97, 549, 2, Smoke::mf_static, 223, 222},	//254 QGlobalSpace::operator==(QString::Null, const QString&)
    {32, 116, 552, 2, Smoke::mf_static, 72, 223},	//255 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {32, 112, 555, 2, Smoke::mf_static, 31, 224},	//256 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {32, 97, 148, 2, Smoke::mf_static, 223, 225},	//257 QGlobalSpace::operator==(const QByteArray&, const char*)
    {32, 112, 558, 2, Smoke::mf_static, 31, 226},	//258 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {32, 102, 193, 2, Smoke::mf_static, 223, 227},	//259 QGlobalSpace::operator>(const char*, const QString&)
    {32, 116, 561, 2, Smoke::mf_static, 72, 228},	//260 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {32, 88, 564, 2, Smoke::mf_static, 31, 229},	//261 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {32, 112, 567, 2, Smoke::mf_static, 31, 230},	//262 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {32, 102, 148, 2, Smoke::mf_static, 223, 231},	//263 QGlobalSpace::operator>(const QByteArray&, const char*)
    {32, 83, 86, 2, Smoke::mf_static, 223, 232},	//264 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {32, 116, 570, 2, Smoke::mf_static, 72, 233},	//265 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {32, 69, 327, 2, Smoke::mf_static, 250, 234},	//266 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {32, 92, 229, 2, Smoke::mf_static, 223, 235},	//267 QGlobalSpace::operator<=(QChar, QChar)
    {32, 116, 573, 2, Smoke::mf_static, 44, 236},	//268 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    {32, 65, 576, 2, Smoke::mf_static, 104, 237},	//269 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {32, 60, 549, 2, Smoke::mf_static, 223, 238},	//270 QGlobalSpace::operator!=(QString::Null, const QString&)
    {32, 102, 333, 2, Smoke::mf_static, 223, 239},	//271 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {32, 116, 579, 2, Smoke::mf_static, 48, 240},	//272 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {32, 60, 283, 2, Smoke::mf_static, 223, 241},	//273 QGlobalSpace::operator!=(const QString&, QString::Null)
    {32, 65, 582, 2, Smoke::mf_static, 99, 242},	//274 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {32, 77, 27, 1, Smoke::mf_static, 250, 243},	//275 QGlobalSpace::operator-(const QPoint&)
    {32, 112, 585, 2, Smoke::mf_static, 31, 244},	//276 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {32, 116, 588, 2, Smoke::mf_static, 60, 245},	//277 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {32, 112, 591, 2, Smoke::mf_static, 31, 246},	//278 QGlobalSpace::operator>>(QDataStream&, QString&)
    {32, 97, 92, 2, Smoke::mf_static, 223, 247},	//279 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {32, 88, 594, 2, Smoke::mf_static, 31, 248},	//280 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {32, 77, 211, 2, Smoke::mf_static, 252, 249},	//281 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {32, 116, 597, 2, Smoke::mf_static, 56, 250},	//282 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {32, 83, 333, 2, Smoke::mf_static, 223, 251},	//283 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {32, 112, 600, 2, Smoke::mf_static, 31, 252},	//284 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {32, 69, 214, 2, Smoke::mf_static, 124, 253},	//285 QGlobalSpace::operator+(const QTransform&, double)
    {32, 116, 603, 2, Smoke::mf_static, 49, 254},	//286 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {32, 97, 348, 2, Smoke::mf_static, 223, 255},	//287 QGlobalSpace::operator==(const QStringRef&, const char*)
    {32, 60, 408, 2, Smoke::mf_static, 223, 256},	//288 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {32, 112, 606, 2, Smoke::mf_static, 31, 257},	//289 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {32, 69, 92, 2, Smoke::mf_static, 227, 258},	//290 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {32, 69, 609, 2, Smoke::mf_static, 265, 259},	//291 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {32, 116, 612, 2, Smoke::mf_static, 72, 260},	//292 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    {32, 112, 615, 2, Smoke::mf_static, 31, 261},	//293 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {32, 97, 193, 2, Smoke::mf_static, 223, 262},	//294 QGlobalSpace::operator==(const char*, const QString&)
    {32, 88, 618, 2, Smoke::mf_static, 31, 263},	//295 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {32, 88, 621, 2, Smoke::mf_static, 31, 264},	//296 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {32, 81, 546, 2, Smoke::mf_static, 260, 265},	//297 QGlobalSpace::operator/(const QSize&, double)
    {32, 112, 624, 2, Smoke::mf_static, 31, 266},	//298 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {32, 112, 627, 2, Smoke::mf_static, 31, 267},	//299 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {32, 97, 519, 2, Smoke::mf_static, 223, 268},	//300 QGlobalSpace::operator==(bool, QBool)
    {32, 116, 630, 2, Smoke::mf_static, 50, 269},	//301 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {32, 65, 633, 2, Smoke::mf_static, 93, 270},	//302 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {32, 107, 193, 2, Smoke::mf_static, 223, 271},	//303 QGlobalSpace::operator>=(const char*, const QString&)
    {32, 88, 636, 2, Smoke::mf_static, 31, 272},	//304 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {32, 116, 639, 2, Smoke::mf_static, 49, 273},	//305 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {32, 116, 642, 2, Smoke::mf_static, 72, 274},	//306 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {32, 112, 645, 2, Smoke::mf_static, 31, 275},	//307 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {32, 60, 211, 2, Smoke::mf_static, 223, 276},	//308 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {32, 116, 648, 2, Smoke::mf_static, 51, 277},	//309 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {32, 77, 59, 2, Smoke::mf_static, 260, 278},	//310 QGlobalSpace::operator-(const QSize&, const QSize&)
    {32, 116, 651, 2, Smoke::mf_static, 55, 279},	//311 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {32, 60, 86, 2, Smoke::mf_static, 223, 280},	//312 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {32, 69, 211, 2, Smoke::mf_static, 252, 281},	//313 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {32, 65, 654, 2, Smoke::mf_static, 104, 282},	//314 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {32, 97, 525, 2, Smoke::mf_static, 223, 283},	//315 QGlobalSpace::operator==(QBool, bool)
    {32, 97, 56, 2, Smoke::mf_static, 223, 284},	//316 QGlobalSpace::operator==(const QRect&, const QRect&)
    {32, 116, 657, 2, Smoke::mf_static, 53, 285},	//317 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {32, 116, 660, 2, Smoke::mf_static, 47, 286},	//318 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {32, 112, 663, 2, Smoke::mf_static, 31, 287},	//319 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {32, 69, 666, 2, Smoke::mf_static, 265, 288},	//320 QGlobalSpace::operator+(const QString&, QChar)
    {32, 60, 104, 2, Smoke::mf_static, 223, 289},	//321 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {32, 60, 101, 2, Smoke::mf_static, 223, 290},	//322 QGlobalSpace::operator!=(QBool, QBool)
    {32, 116, 669, 2, Smoke::mf_static, 50, 291},	//323 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {32, 116, 672, 2, Smoke::mf_static, 59, 292},	//324 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {32, 97, 423, 2, Smoke::mf_static, 223, 293},	//325 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {32, 77, 214, 2, Smoke::mf_static, 124, 294},	//326 QGlobalSpace::operator-(const QTransform&, double)
    {32, 74, 675, 2, Smoke::mf_static, 7, 295},	//327 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {32, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 296},	//328 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {32, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 297},	//329 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {32, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 298},	//330 QGlobalSpace::Q_STATIC_TYPE (enum)
    {32, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 299},	//331 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {32, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 300},	//332 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {32, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 301},	//333 QGlobalSpace::QtDebugMsg (enum)
    {32, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 302},	//334 QGlobalSpace::QtWarningMsg (enum)
    {32, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 303},	//335 QGlobalSpace::QtCriticalMsg (enum)
    {32, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 304},	//336 QGlobalSpace::QtFatalMsg (enum)
    {32, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 305},	//337 QGlobalSpace::QtSystemMsg (enum)
    {49, 37, 678, 2, Smoke::mf_virtual, 223, 0},	//338 QObject::eventFilter(QObject*, QEvent*)
    {49, 21, 681, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//339 QObject::childEvent(QChildEvent*)
    {49, 25, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//340 QObject::customEvent(QEvent*)
    {49, 23, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//341 QObject::connectNotify(const char*)
    {49, 28, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//342 QObject::disconnectNotify(const char*)
    {59, 53, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//343 QPushButton::minimumSizeHint() const
    {59, 36, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 223, 0},	//344 QPushButton::event(QEvent*)
    {59, 47, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//345 QPushButton::keyPressEvent(QKeyEvent*)
    {59, 38, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//346 QPushButton::focusInEvent(QFocusEvent*)
    {59, 40, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//347 QPushButton::focusOutEvent(QFocusEvent*)
    {80, 26, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//348 QWidget::devType() const
    {80, 133, 685, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//349 QWidget::setVisible(bool)
    {80, 42, 687, 1, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//350 QWidget::heightForWidth(int) const
    {80, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 86, 0},	//351 QWidget::paintEngine() const
    {80, 54, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//352 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {80, 150, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//353 QWidget::wheelEvent(QWheelEvent*)
    {80, 35, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//354 QWidget::enterEvent(QEvent*)
    {80, 50, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//355 QWidget::leaveEvent(QEvent*)
    {80, 58, 691, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//356 QWidget::moveEvent(QMoveEvent*)
    {80, 126, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//357 QWidget::resizeEvent(QResizeEvent*)
    {80, 22, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//358 QWidget::closeEvent(QCloseEvent*)
    {80, 24, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//359 QWidget::contextMenuEvent(QContextMenuEvent*)
    {80, 140, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//360 QWidget::tabletEvent(QTabletEvent*)
    {80, 18, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//361 QWidget::actionEvent(QActionEvent*)
    {80, 29, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//362 QWidget::dragEnterEvent(QDragEnterEvent*)
    {80, 31, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//363 QWidget::dragMoveEvent(QDragMoveEvent*)
    {80, 30, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//364 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {80, 33, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//365 QWidget::dropEvent(QDropEvent*)
    {80, 135, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//366 QWidget::showEvent(QShowEvent*)
    {80, 43, 713, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//367 QWidget::hideEvent(QHideEvent*)
    {80, 152, 715, 1, Smoke::mf_protected|Smoke::mf_virtual, 223, 0},	//368 QWidget::x11Event(_XEvent*)
    {80, 52, 717, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 279, 0},	//369 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {80, 45, 719, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//370 QWidget::inputMethodEvent(QInputMethodEvent*)
    {80, 46, 721, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//371 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {80, 39, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 223, 0},	//372 QWidget::focusNextPrevChild(bool)
    {80, 139, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//373 QWidget::styleChange(QStyle&)
    {80, 34, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//374 QWidget::enabledChange(bool)
    {80, 121, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//375 QWidget::paletteChange(const QPalette&)
    {80, 41, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//376 QWidget::fontChange(const QFont&)
    {80, 151, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//377 QWidget::windowActivationChange(bool)
    {80, 49, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//378 QWidget::languageChange()
    {80, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 32},	//379 QWidget::DrawWindowBackground (enum)
    {80, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 33},	//380 QWidget::DrawChildren (enum)
    {80, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 34},	//381 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    35,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    40,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    55,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    100,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    118,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    146,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    148,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    194,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    203,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    204,  // QGlobalSpace::operator!=(QChar, QChar)
    212,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    245,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    250,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    308,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    321,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    322,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    157,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    173,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    192,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    240,  // QGlobalSpace::operator!=(QBool, bool)
    270,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    158,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    174,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    238,  // QGlobalSpace::operator!=(bool, QBool)
    273,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    288,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    312,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    43,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    44,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    65,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    76,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    77,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    78,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    103,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    123,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    133,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    145,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    193,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    239,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    269,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    274,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    302,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    314,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    33,  // QGlobalSpace::operator*(const QPoint&, double)
    49,  // QGlobalSpace::operator*(const QSizeF&, double)
    110,  // QGlobalSpace::operator*(const QPointF&, double)
    155,  // QGlobalSpace::operator*(const QTransform&, double)
    253,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    34,  // QGlobalSpace::operator*(double, const QPointF&)
    36,  // QGlobalSpace::operator*(double, const QSizeF&)
    214,  // QGlobalSpace::operator*(double, const QSize&)
    216,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    41,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    67,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    266,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    290,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    313,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    59,  // QGlobalSpace::operator+(QChar, const QString&)
    132,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    220,  // QGlobalSpace::operator+(const QByteArray&, char)
    243,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    285,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    86,  // QGlobalSpace::operator+(char, const QByteArray&)
    186,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    291,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    320,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    81,  // QGlobalSpace::operator+(const QString&, const char*)
    89,  // QGlobalSpace::operator+(const char*, const QString&)
    134,  // QGlobalSpace::operator+(const QString&, char)
    170,  // QGlobalSpace::operator+(const QString&, const QString&)
    202,  // QGlobalSpace::operator+(char, const QString&)
    0,
    130,  // QGlobalSpace::operator-(const QPointF&)
    275,  // QGlobalSpace::operator-(const QPoint&)
    0,
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    241,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    281,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    310,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    87,  // QGlobalSpace::operator/(const QPoint&, double)
    96,  // QGlobalSpace::operator/(const QTransform&, double)
    120,  // QGlobalSpace::operator/(const QSizeF&, double)
    221,  // QGlobalSpace::operator/(const QPointF&, double)
    297,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    102,  // QGlobalSpace::operator<(QChar, QChar)
    128,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    156,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    283,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    144,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    264,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    38,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    42,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    58,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    60,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    72,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    80,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    104,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    114,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    131,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    138,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    141,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    154,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    162,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    168,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    196,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    197,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    200,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    210,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    217,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    232,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    236,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    244,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    247,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    252,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    261,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    295,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    280,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    188,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    224,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    231,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    267,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    181,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    246,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    47,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    56,  // QGlobalSpace::operator==(QBool, QBool)
    57,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    95,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    112,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    136,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    151,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    182,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    191,  // QGlobalSpace::operator==(QChar, QChar)
    205,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    207,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    211,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    237,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    279,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    316,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    325,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    149,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    254,  // QGlobalSpace::operator==(QString::Null, const QString&)
    257,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    287,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    315,  // QGlobalSpace::operator==(QBool, bool)
    0,
    90,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    116,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    127,  // QGlobalSpace::operator==(const QString&, QString::Null)
    185,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    248,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    300,  // QGlobalSpace::operator==(bool, QBool)
    0,
    124,  // QGlobalSpace::operator>(QChar, QChar)
    159,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    180,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    271,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    51,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    233,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    135,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    150,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    222,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    105,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    126,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    37,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    70,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    79,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    84,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    92,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    93,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    94,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    108,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    119,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    122,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    129,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    142,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    152,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    167,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    179,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    189,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    209,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    230,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    256,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    258,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    276,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    284,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    289,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    293,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    298,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    299,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    307,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    319,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    190,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    278,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    46,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    48,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    63,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    64,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    74,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    91,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    98,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    107,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    109,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    111,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    115,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    139,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    140,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    153,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    160,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    164,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    178,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    184,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    206,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    249,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    251,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    255,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    260,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    265,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    292,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    306,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    39,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    45,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    66,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    69,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    71,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    75,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    83,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    85,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    88,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    99,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    101,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    106,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    113,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    117,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    121,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    125,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    137,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    143,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    161,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    163,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    165,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    166,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    169,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    175,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    176,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    177,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    183,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    195,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    198,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    201,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    213,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    219,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    223,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    225,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    226,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    227,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    228,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    229,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    235,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    268,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    272,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    277,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    282,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    286,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    301,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    305,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    309,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    311,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    317,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    318,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    323,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    324,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 2, 9},	// KNS::Button::Button#
    {7, 3, 8},	// KNS::Button::Button$$$#
    {7, 17, 13},	// KNS::Button::aboutToShowDialog
    {7, 27, 14},	// KNS::Button::dialogFinished
    {7, 51, 1},	// KNS::Button::metaObject
    {7, 123, 7},	// KNS::Button::qt_metacall$$?
    {7, 125, 2},	// KNS::Button::qt_metacast$
    {7, 128, 12},	// KNS::Button::setButtonText$
    {7, 130, 10},	// KNS::Button::setProviderList$
    {7, 132, 11},	// KNS::Button::setResourceType$
    {7, 134, 15},	// KNS::Button::showDialog
    {7, 138, 18},	// KNS::Button::staticMetaObject
    {7, 143, 16},	// KNS::Button::tr$
    {7, 144, 3},	// KNS::Button::tr$$
    {7, 145, 5},	// KNS::Button::tr$$$
    {7, 147, 17},	// KNS::Button::trUtf8$
    {7, 148, 4},	// KNS::Button::trUtf8$$
    {7, 149, 6},	// KNS::Button::trUtf8$$$
    {7, 153, 19},	// KNS::Button::~Button
    {32, 7, 328},	// QGlobalSpace::Q_COMPLEX_TYPE
    {32, 8, 332},	// QGlobalSpace::Q_DUMMY_TYPE
    {32, 9, 331},	// QGlobalSpace::Q_MOVABLE_TYPE
    {32, 10, 329},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {32, 11, 330},	// QGlobalSpace::Q_STATIC_TYPE
    {32, 12, 335},	// QGlobalSpace::QtCriticalMsg
    {32, 13, 333},	// QGlobalSpace::QtDebugMsg
    {32, 14, 336},	// QGlobalSpace::QtFatalMsg
    {32, 15, 337},	// QGlobalSpace::QtSystemMsg
    {32, 16, 334},	// QGlobalSpace::QtWarningMsg
    {32, 61, -1},	// QGlobalSpace::operator!=##
    {32, 62, -18},	// QGlobalSpace::operator!=#$
    {32, 63, -24},	// QGlobalSpace::operator!=$#
    {32, 64, 172},	// QGlobalSpace::operator!=$$
    {32, 66, -31},	// QGlobalSpace::operator*##
    {32, 67, -48},	// QGlobalSpace::operator*#$
    {32, 68, -54},	// QGlobalSpace::operator*$#
    {32, 70, -59},	// QGlobalSpace::operator+##
    {32, 71, -65},	// QGlobalSpace::operator+#$
    {32, 72, -71},	// QGlobalSpace::operator+$#
    {32, 73, -76},	// QGlobalSpace::operator+$$
    {32, 75, 61},	// QGlobalSpace::operator++$
    {32, 76, 327},	// QGlobalSpace::operator++$$
    {32, 78, -82},	// QGlobalSpace::operator-#
    {32, 79, -85},	// QGlobalSpace::operator-##
    {32, 80, 326},	// QGlobalSpace::operator-#$
    {32, 82, -90},	// QGlobalSpace::operator/#$
    {32, 84, -96},	// QGlobalSpace::operator<##
    {32, 85, 73},	// QGlobalSpace::operator<#$
    {32, 86, -101},	// QGlobalSpace::operator<$#
    {32, 87, 171},	// QGlobalSpace::operator<$$
    {32, 89, -104},	// QGlobalSpace::operator<<##
    {32, 90, -137},	// QGlobalSpace::operator<<#$
    {32, 91, 68},	// QGlobalSpace::operator<<#?
    {32, 93, -140},	// QGlobalSpace::operator<=##
    {32, 94, 147},	// QGlobalSpace::operator<=#$
    {32, 95, -145},	// QGlobalSpace::operator<=$#
    {32, 96, 97},	// QGlobalSpace::operator<=$$
    {32, 98, -148},	// QGlobalSpace::operator==##
    {32, 99, -166},	// QGlobalSpace::operator==#$
    {32, 100, -172},	// QGlobalSpace::operator==$#
    {32, 101, 294},	// QGlobalSpace::operator==$$
    {32, 103, -179},	// QGlobalSpace::operator>##
    {32, 104, 263},	// QGlobalSpace::operator>#$
    {32, 105, -184},	// QGlobalSpace::operator>$#
    {32, 106, 259},	// QGlobalSpace::operator>$$
    {32, 108, -187},	// QGlobalSpace::operator>=##
    {32, 109, 215},	// QGlobalSpace::operator>=#$
    {32, 110, -192},	// QGlobalSpace::operator>=$#
    {32, 111, 303},	// QGlobalSpace::operator>=$$
    {32, 113, -195},	// QGlobalSpace::operator>>##
    {32, 114, -228},	// QGlobalSpace::operator>>#$
    {32, 115, 242},	// QGlobalSpace::operator>>#?
    {32, 117, -231},	// QGlobalSpace::operator|?$
    {32, 118, -258},	// QGlobalSpace::operator|??
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 80,
        __smokeknewstuff2::methods, 382,
        __smokeknewstuff2::methodMaps, 75,
        __smokeknewstuff2::methodNames, 153,
        __smokeknewstuff2::types, 285,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
