#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 14: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::Query
      switch(to) {
        case 14: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 33: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 17: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 18: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::Result
      switch(to) {
        case 20: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::Term
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 18: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Resource
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Types::Class
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 25: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Entity
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Property
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 27: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 28:   //QBool
      switch(to) {
        case 28: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 29:   //QChildEvent
      switch(to) {
        case 29: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QMetaObject
      switch(to) {
        case 32: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 33:   //QObject
      switch(to) {
        case 33: return (void*)(QObject*)xptr;
        case 17: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QTimerEvent
      switch(to) {
        case 35: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::LanguageTag
      switch(to) {
        case 36: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::LiteralValue
      switch(to) {
        case 37: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Node
      switch(to) {
        case 38: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    21, 0,	// 3: Nepomuk::Query::SimpleTerm
    14, 0,	// 5: Nepomuk::Query::Query
    22, 0,	// 7: Nepomuk::Query::Term
    33, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//13
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//14
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//15
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//16
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//17
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//18
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//19
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//20
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//21
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//22
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//27
    { "QBool", true, 0, 0, 0, 0, 0 },	//28
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//32
    { "QObject", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//36
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//38
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//17
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::Query::OrTerm", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "Nepomuk::Query::OrTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "Nepomuk::Query::OrTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Query::Query", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "Nepomuk::Query::Query&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "Nepomuk::Query::Query*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Query::Query::RequestProperty&", 15, Smoke::t_class|Smoke::tf_ref },	//32
    { "Nepomuk::Query::Query::RequestProperty*", 15, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Nepomuk::Query::Query::SparqlFlag", 14, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Nepomuk::Query::Query::SparqlFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "Nepomuk::Query::QueryParser*", 16, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::Query::QueryServiceClient*", 17, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::ResourceTerm", 18, Smoke::t_class|Smoke::tf_stack },	//38
    { "Nepomuk::Query::ResourceTerm&", 18, Smoke::t_class|Smoke::tf_ref },	//39
    { "Nepomuk::Query::ResourceTerm*", 18, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::ResourceTypeTerm", 19, Smoke::t_class|Smoke::tf_stack },	//41
    { "Nepomuk::Query::ResourceTypeTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//42
    { "Nepomuk::Query::ResourceTypeTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::Query::Result&", 20, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Query::Result*", 20, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Query::SimpleTerm*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Nepomuk::Query::Term", 22, Smoke::t_class|Smoke::tf_stack },	//47
    { "Nepomuk::Query::Term&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "Nepomuk::Query::Term*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Nepomuk::Query::Term::Type", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Nepomuk::Query::TermPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Resource", 24, Smoke::t_class|Smoke::tf_stack },	//52
    { "Nepomuk::Types::Class", 25, Smoke::t_class|Smoke::tf_stack },	//53
    { "Nepomuk::Types::Property", 27, Smoke::t_class|Smoke::tf_stack },	//54
    { "QBool", 28, Smoke::t_class|Smoke::tf_stack },	//55
    { "QChildEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QMetaObject::Call", 32, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QObject*", 33, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//65
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//68
    { "QTimerEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Soprano::LiteralValue", 37, Smoke::t_class|Smoke::tf_stack },	//142
    { "Soprano::Node", 38, Smoke::t_class|Smoke::tf_stack },	//143
    { "__codecvt_result", 31, Smoke::t_enum|Smoke::tf_stack },	//144
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//145
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//147
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//150
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//151
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//154
    { "const Nepomuk::Query::OrTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const Nepomuk::Query::Query&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const Nepomuk::Query::Query::RequestProperty&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const Nepomuk::Query::QueryParser&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Nepomuk::Query::ResourceTerm&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Nepomuk::Query::ResourceTypeTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const Nepomuk::Query::Result&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Nepomuk::Query::SimpleTerm&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const Nepomuk::Query::Term&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const Nepomuk::Types::Class&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const Nepomuk::Types::Entity&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const Nepomuk::Types::Property&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const QMetaObject&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const QMetaObject*", 32, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//174
    { "const QObject*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//175
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//178
    { "const Soprano::LanguageTag&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Soprano::LiteralValue&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Soprano::Node&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//182
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//183
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//184
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//185
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//186
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//187
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    163, 0,	//1  const Nepomuk::Query::Term&
    156, 0,	//3  const Nepomuk::Query::Query&
    149, 0,	//5  const Nepomuk::Query::AndTerm&
    163, 163, 163, 163, 163, 163, 0,	//7  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    171, 0,	//14  const QList<Nepomuk::Query::Term>&
    163, 163, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    163, 163, 163, 0,	//19  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    163, 163, 163, 163, 0,	//23  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    163, 163, 163, 163, 163, 0,	//28  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    150, 0,	//34  const Nepomuk::Query::ComparisonTerm&
    167, 163, 16, 0,	//36  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    16, 0,	//40  Nepomuk::Query::ComparisonTerm::Comparator
    167, 0,	//42  const Nepomuk::Types::Property&
    167, 163, 0,	//44  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    147, 0,	//47  const KUrl&
    148, 0,	//49  const KUrl::List&
    151, 0,	//51  const Nepomuk::Query::FileQuery&
    51, 0,	//53  Nepomuk::Query::TermPrivate*
    51, 163, 163, 163, 163, 163, 163, 0,	//55  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    152, 0,	//63  const Nepomuk::Query::GroupTerm&
    51, 163, 163, 0,	//65  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 163, 163, 163, 0,	//69  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 163, 163, 163, 163, 0,	//74  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 163, 163, 163, 163, 163, 0,	//80  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    153, 0,	//87  const Nepomuk::Query::LiteralTerm&
    180, 0,	//89  const Soprano::LiteralValue&
    154, 0,	//91  const Nepomuk::Query::NegationTerm&
    155, 0,	//93  const Nepomuk::Query::OrTerm&
    184, 0,	//95  int
    157, 0,	//97  const Nepomuk::Query::Query::RequestProperty&
    169, 0,	//99  const QList<Nepomuk::Query::Query::RequestProperty>&
    35, 0,	//101  Nepomuk::Query::Query::SparqlFlags
    167, 145, 0,	//103  const Nepomuk::Types::Property&, bool
    177, 0,	//106  const QString&
    158, 0,	//108  const Nepomuk::Query::QueryParser&
    182, 0,	//110  const char*
    182, 182, 0,	//112  const char*, const char*
    182, 182, 184, 0,	//115  const char*, const char*, int
    63, 184, 188, 0,	//119  QMetaObject::Call, int, void**
    64, 0,	//123  QObject*
    177, 168, 0,	//125  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    170, 0,	//128  const QList<Nepomuk::Query::Result>&
    172, 0,	//130  const QList<QUrl>&
    159, 0,	//132  const Nepomuk::Query::ResourceTerm&
    164, 0,	//134  const Nepomuk::Resource&
    160, 0,	//136  const Nepomuk::Query::ResourceTypeTerm&
    165, 0,	//138  const Nepomuk::Types::Class&
    164, 183, 0,	//140  const Nepomuk::Resource&, double
    161, 0,	//143  const Nepomuk::Query::Result&
    183, 0,	//145  double
    167, 181, 0,	//147  const Nepomuk::Types::Property&, const Soprano::Node&
    162, 0,	//150  const Nepomuk::Query::SimpleTerm&
    57, 0,	//152  QEvent*
    64, 57, 0,	//154  QObject*, QEvent*
    69, 0,	//157  QTimerEvent*
    56, 0,	//159  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Comparison",	//10
    "ComparisonTerm",	//11
    "ComparisonTerm#",	//12
    "ComparisonTerm##",	//13
    "ComparisonTerm##$",	//14
    "Contains",	//15
    "CreateCountQuery",	//16
    "Equal",	//17
    "FileQuery",	//18
    "FileQuery#",	//19
    "Greater",	//20
    "GreaterOrEqual",	//21
    "GroupTerm",	//22
    "GroupTerm#",	//23
    "GroupTerm###",	//24
    "GroupTerm####",	//25
    "GroupTerm#####",	//26
    "GroupTerm######",	//27
    "GroupTerm#######",	//28
    "HandleInverseProperties",	//29
    "Invalid",	//30
    "Literal",	//31
    "LiteralTerm",	//32
    "LiteralTerm#",	//33
    "Negation",	//34
    "NegationTerm",	//35
    "NegationTerm#",	//36
    "NoFlags",	//37
    "Or",	//38
    "OrTerm",	//39
    "OrTerm#",	//40
    "OrTerm##",	//41
    "OrTerm###",	//42
    "OrTerm####",	//43
    "OrTerm#####",	//44
    "OrTerm######",	//45
    "OrTerm?",	//46
    "Q_COMPLEX_TYPE",	//47
    "Q_DUMMY_TYPE",	//48
    "Q_MOVABLE_TYPE",	//49
    "Q_PRIMITIVE_TYPE",	//50
    "Q_STATIC_TYPE",	//51
    "QtCriticalMsg",	//52
    "QtDebugMsg",	//53
    "QtFatalMsg",	//54
    "QtSystemMsg",	//55
    "QtWarningMsg",	//56
    "Query",	//57
    "Query#",	//58
    "QueryParser",	//59
    "QueryParser#",	//60
    "QueryServiceClient",	//61
    "QueryServiceClient#",	//62
    "Regexp",	//63
    "RequestProperty",	//64
    "RequestProperty#",	//65
    "RequestProperty#$",	//66
    "Resource",	//67
    "ResourceTerm",	//68
    "ResourceTerm#",	//69
    "ResourceType",	//70
    "ResourceTypeTerm",	//71
    "ResourceTypeTerm#",	//72
    "Result",	//73
    "Result#",	//74
    "Result#$",	//75
    "SimpleTerm",	//76
    "SimpleTerm#",	//77
    "Smaller",	//78
    "SmallerOrEqual",	//79
    "Term",	//80
    "Term#",	//81
    "__codecvt_error",	//82
    "__codecvt_noconv",	//83
    "__codecvt_ok",	//84
    "__codecvt_partial",	//85
    "addExcludeFolder",	//86
    "addExcludeFolder#",	//87
    "addIncludeFolder",	//88
    "addIncludeFolder#",	//89
    "addRequestProperty",	//90
    "addRequestProperty#",	//91
    "addRequestProperty##",	//92
    "addSubTerm",	//93
    "addSubTerm#",	//94
    "blockingDesktopQuery",	//95
    "blockingDesktopQuery$",	//96
    "blockingQuery",	//97
    "blockingQuery#",	//98
    "blockingSparqlQuery",	//99
    "blockingSparqlQuery$",	//100
    "blockingSparqlQuery$?",	//101
    "childEvent",	//102
    "close",	//103
    "comparator",	//104
    "connectNotify",	//105
    "customEvent",	//106
    "desktopQuery",	//107
    "desktopQuery$",	//108
    "disconnectNotify",	//109
    "entriesRemoved",	//110
    "entriesRemoved?",	//111
    "event",	//112
    "eventFilter",	//113
    "excludeFolders",	//114
    "finishedListing",	//115
    "includeFolders",	//116
    "isAndTerm",	//117
    "isComparisonTerm",	//118
    "isLiteralTerm",	//119
    "isNegationTerm",	//120
    "isOrTerm",	//121
    "isResourceTerm",	//122
    "isResourceTypeTerm",	//123
    "isValid",	//124
    "limit",	//125
    "matchProperty",	//126
    "matchProperty$",	//127
    "metaObject",	//128
    "negateTerm",	//129
    "negateTerm#",	//130
    "newEntries",	//131
    "newEntries?",	//132
    "operator=",	//133
    "operator=#",	//134
    "operator==",	//135
    "operator==#",	//136
    "operator[]",	//137
    "operator[]#",	//138
    "optional",	//139
    "parse",	//140
    "parse$",	//141
    "parseQuery",	//142
    "parseQuery$",	//143
    "property",	//144
    "qHash",	//145
    "qHash#",	//146
    "qt_metacall",	//147
    "qt_metacall$$?",	//148
    "qt_metacast",	//149
    "qt_metacast$",	//150
    "query",	//151
    "query#",	//152
    "requestProperties",	//153
    "requestProperty",	//154
    "requestProperty#",	//155
    "requestPropertyMap",	//156
    "resource",	//157
    "score",	//158
    "serviceAvailable",	//159
    "setComparator",	//160
    "setComparator$",	//161
    "setExcludeFolders",	//162
    "setExcludeFolders?",	//163
    "setIncludeFolders",	//164
    "setIncludeFolders?",	//165
    "setLimit",	//166
    "setLimit$",	//167
    "setProperty",	//168
    "setProperty#",	//169
    "setRequestProperties",	//170
    "setRequestProperties?",	//171
    "setResource",	//172
    "setResource#",	//173
    "setScore",	//174
    "setScore$",	//175
    "setSubTerm",	//176
    "setSubTerm#",	//177
    "setSubTerms",	//178
    "setSubTerms?",	//179
    "setTerm",	//180
    "setTerm#",	//181
    "setType",	//182
    "setType#",	//183
    "setValue",	//184
    "setValue#",	//185
    "sparqlQuery",	//186
    "sparqlQuery$",	//187
    "sparqlQuery$?",	//188
    "staticMetaObject",	//189
    "subTerm",	//190
    "subTerms",	//191
    "term",	//192
    "timerEvent",	//193
    "toAndTerm",	//194
    "toComparisonTerm",	//195
    "toLiteralTerm",	//196
    "toNegationTerm",	//197
    "toOrTerm",	//198
    "toResourceTerm",	//199
    "toResourceTypeTerm",	//200
    "toSearchUrl",	//201
    "toSearchUrl$",	//202
    "toSparqlQuery",	//203
    "toSparqlQuery$",	//204
    "tr",	//205
    "tr$",	//206
    "tr$$",	//207
    "tr$$$",	//208
    "trUtf8",	//209
    "trUtf8$",	//210
    "trUtf8$$",	//211
    "trUtf8$$$",	//212
    "type",	//213
    "value",	//214
    "~AndTerm",	//215
    "~ComparisonTerm",	//216
    "~FileQuery",	//217
    "~GroupTerm",	//218
    "~LiteralTerm",	//219
    "~NegationTerm",	//220
    "~OrTerm",	//221
    "~Query",	//222
    "~QueryParser",	//223
    "~QueryServiceClient",	//224
    "~RequestProperty",	//225
    "~ResourceTerm",	//226
    "~ResourceTypeTerm",	//227
    "~Result",	//228
    "~SimpleTerm",	//229
    "~Term",	//230
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 145, 1, 1, Smoke::mf_static, 186, 1},	//1 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 145, 3, 1, Smoke::mf_static, 186, 2},	//2 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//3 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//4 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 7, 6, Smoke::mf_ctor, 12, 3},	//5 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 14, 1, Smoke::mf_ctor, 12, 4},	//6 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 133, 5, 1, 0, 11, 5},	//7 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 2, Smoke::mf_ctor, 12, 6},	//8 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 19, 3, Smoke::mf_ctor, 12, 7},	//9 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 4, Smoke::mf_ctor, 12, 8},	//10 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 28, 5, Smoke::mf_ctor, 12, 9},	//11 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 215, 0, 0, Smoke::mf_dtor, 0, 10 },	//12 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 11, 0, 0, Smoke::mf_ctor, 15, 1},	//13 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 11, 34, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//14 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 11, 36, 3, Smoke::mf_ctor, 15, 3},	//15 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 133, 34, 1, 0, 14, 4},	//16 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 104, 0, 0, Smoke::mf_const, 16, 5},	//17 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 144, 0, 0, Smoke::mf_const, 54, 6},	//18 Nepomuk::Query::ComparisonTerm::property() const
    {8, 160, 40, 1, 0, 0, 7},	//19 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 168, 42, 1, 0, 0, 8},	//20 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 11, 44, 2, Smoke::mf_ctor, 15, 9},	//21 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 10},	//22 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 11},	//23 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 12},	//24 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 13},	//25 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 14},	//26 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 15},	//27 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 16},	//28 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 216, 0, 0, Smoke::mf_dtor, 0, 17 },	//29 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 18, 0, 0, Smoke::mf_ctor, 18, 1},	//30 Nepomuk::Query::FileQuery::FileQuery()
    {9, 18, 3, 1, Smoke::mf_ctor, 18, 2},	//31 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 133, 3, 1, 0, 17, 3},	//32 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 88, 47, 1, 0, 0, 4},	//33 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 164, 49, 1, 0, 0, 5},	//34 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 116, 0, 0, Smoke::mf_const, 8, 6},	//35 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 86, 47, 1, 0, 0, 7},	//36 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 162, 49, 1, 0, 0, 8},	//37 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 114, 0, 0, Smoke::mf_const, 8, 9},	//38 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 18, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 10},	//39 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 217, 0, 0, Smoke::mf_dtor, 0, 11 },	//40 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 191, 0, 0, Smoke::mf_const, 61, 1},	//41 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 178, 14, 1, 0, 0, 2},	//42 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 93, 1, 1, 0, 0, 3},	//43 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 22, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 19, 4},	//44 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 22, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 19, 5},	//45 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 22, 55, 7, Smoke::mf_ctor|Smoke::mf_protected, 19, 6},	//46 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 7},	//47 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 22, 65, 3, Smoke::mf_ctor|Smoke::mf_protected, 19, 8},	//48 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 69, 4, Smoke::mf_ctor|Smoke::mf_protected, 19, 9},	//49 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 74, 5, Smoke::mf_ctor|Smoke::mf_protected, 19, 10},	//50 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 80, 6, Smoke::mf_ctor|Smoke::mf_protected, 19, 11},	//51 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 218, 0, 0, Smoke::mf_dtor, 0, 12 },	//52 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 32, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 1},	//53 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 32, 89, 1, Smoke::mf_ctor, 22, 2},	//54 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 133, 87, 1, 0, 21, 3},	//55 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 214, 0, 0, Smoke::mf_const, 142, 4},	//56 Nepomuk::Query::LiteralTerm::value() const
    {11, 184, 89, 1, 0, 0, 5},	//57 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 32, 0, 0, Smoke::mf_ctor, 22, 6},	//58 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 219, 0, 0, Smoke::mf_dtor, 0, 7 },	//59 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 35, 0, 0, Smoke::mf_ctor, 25, 1},	//60 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 35, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//61 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 133, 91, 1, 0, 24, 3},	//62 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 129, 1, 1, Smoke::mf_static, 47, 4},	//63 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 220, 0, 0, Smoke::mf_dtor, 0, 5 },	//64 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 39, 0, 0, Smoke::mf_ctor, 28, 1},	//65 Nepomuk::Query::OrTerm::OrTerm()
    {13, 39, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//66 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {13, 39, 7, 6, Smoke::mf_ctor, 28, 3},	//67 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 39, 14, 1, Smoke::mf_ctor, 28, 4},	//68 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {13, 133, 93, 1, 0, 27, 5},	//69 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {13, 39, 16, 2, Smoke::mf_ctor, 28, 6},	//70 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 39, 19, 3, Smoke::mf_ctor, 28, 7},	//71 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 39, 23, 4, Smoke::mf_ctor, 28, 8},	//72 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 39, 28, 5, Smoke::mf_ctor, 28, 9},	//73 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 221, 0, 0, Smoke::mf_dtor, 0, 10 },	//74 Nepomuk::Query::OrTerm::~OrTerm()
    {14, 57, 0, 0, Smoke::mf_ctor, 31, 1},	//75 Nepomuk::Query::Query::Query()
    {14, 57, 1, 1, Smoke::mf_ctor, 31, 2},	//76 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {14, 57, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//77 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {14, 133, 3, 1, 0, 30, 4},	//78 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {14, 124, 0, 0, Smoke::mf_const, 145, 5},	//79 Nepomuk::Query::Query::isValid() const
    {14, 192, 0, 0, Smoke::mf_const, 47, 6},	//80 Nepomuk::Query::Query::term() const
    {14, 125, 0, 0, Smoke::mf_const, 184, 7},	//81 Nepomuk::Query::Query::limit() const
    {14, 180, 1, 1, 0, 0, 8},	//82 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {14, 166, 95, 1, 0, 0, 9},	//83 Nepomuk::Query::Query::setLimit(int)
    {14, 90, 97, 1, 0, 0, 10},	//84 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {14, 170, 99, 1, 0, 0, 11},	//85 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {14, 153, 0, 0, Smoke::mf_const, 60, 12},	//86 Nepomuk::Query::Query::requestProperties() const
    {14, 203, 101, 1, Smoke::mf_const, 66, 13},	//87 Nepomuk::Query::Query::toSparqlQuery(Nepomuk::Query::Query::SparqlFlags) const
    {14, 201, 101, 1, Smoke::mf_const, 7, 14},	//88 Nepomuk::Query::Query::toSearchUrl(Nepomuk::Query::Query::SparqlFlags) const
    {14, 156, 0, 0, Smoke::mf_const, 59, 15},	//89 Nepomuk::Query::Query::requestPropertyMap() const
    {14, 135, 3, 1, Smoke::mf_const, 145, 16},	//90 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {14, 203, 0, 0, Smoke::mf_const, 66, 17},	//91 Nepomuk::Query::Query::toSparqlQuery() const
    {14, 201, 0, 0, Smoke::mf_const, 7, 18},	//92 Nepomuk::Query::Query::toSearchUrl() const
    {14, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 19},	//93 Nepomuk::Query::Query::NoFlags (enum)
    {14, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 20},	//94 Nepomuk::Query::Query::CreateCountQuery (enum)
    {14, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 21},	//95 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {14, 222, 0, 0, Smoke::mf_dtor, 0, 22 },	//96 Nepomuk::Query::Query::~Query()
    {15, 64, 103, 2, Smoke::mf_ctor, 33, 1},	//97 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {15, 64, 97, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//98 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 133, 97, 1, 0, 32, 3},	//99 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {15, 135, 97, 1, Smoke::mf_const, 145, 4},	//100 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {15, 144, 0, 0, Smoke::mf_const, 54, 5},	//101 Nepomuk::Query::Query::RequestProperty::property() const
    {15, 139, 0, 0, Smoke::mf_const, 145, 6},	//102 Nepomuk::Query::Query::RequestProperty::optional() const
    {15, 64, 42, 1, Smoke::mf_ctor, 33, 7},	//103 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {15, 225, 0, 0, Smoke::mf_dtor, 0, 8 },	//104 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {16, 59, 0, 0, Smoke::mf_ctor, 36, 1},	//105 Nepomuk::Query::QueryParser::QueryParser()
    {16, 140, 106, 1, Smoke::mf_const, 29, 2},	//106 Nepomuk::Query::QueryParser::parse(const QString&) const
    {16, 126, 106, 1, Smoke::mf_const, 62, 3},	//107 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {16, 142, 106, 1, Smoke::mf_static, 29, 4},	//108 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {16, 59, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 5},	//109 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {16, 223, 0, 0, Smoke::mf_dtor, 0, 6 },	//110 Nepomuk::Query::QueryParser::~QueryParser()
    {17, 128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 174, 1},	//111 Nepomuk::Query::QueryServiceClient::metaObject() const
    {17, 149, 110, 1, Smoke::mf_virtual, 187, 2},	//112 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {17, 205, 112, 2, Smoke::mf_static, 66, 3},	//113 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {17, 209, 112, 2, Smoke::mf_static, 66, 4},	//114 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {17, 205, 115, 3, Smoke::mf_static, 66, 5},	//115 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {17, 209, 115, 3, Smoke::mf_static, 66, 6},	//116 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {17, 147, 119, 3, Smoke::mf_virtual, 184, 7},	//117 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {17, 61, 123, 1, Smoke::mf_ctor, 37, 8},	//118 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {17, 159, 0, 0, Smoke::mf_static, 145, 9},	//119 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {17, 151, 3, 1, Smoke::mf_slot, 145, 10},	//120 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {17, 186, 125, 2, Smoke::mf_slot, 145, 11},	//121 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {17, 107, 106, 1, Smoke::mf_slot, 145, 12},	//122 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {17, 97, 3, 1, Smoke::mf_slot, 145, 13},	//123 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {17, 99, 125, 2, Smoke::mf_slot, 145, 14},	//124 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {17, 95, 106, 1, Smoke::mf_slot, 145, 15},	//125 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {17, 103, 0, 0, Smoke::mf_slot, 0, 16},	//126 Nepomuk::Query::QueryServiceClient::close()
    {17, 131, 128, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//127 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {17, 110, 130, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//128 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {17, 115, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//129 Nepomuk::Query::QueryServiceClient::finishedListing()
    {17, 205, 110, 1, Smoke::mf_static, 66, 20},	//130 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {17, 209, 110, 1, Smoke::mf_static, 66, 21},	//131 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {17, 61, 0, 0, Smoke::mf_ctor, 37, 22},	//132 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {17, 186, 106, 1, Smoke::mf_slot, 145, 23},	//133 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {17, 99, 106, 1, Smoke::mf_slot, 145, 24},	//134 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {17, 189, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 173, 25},	//135 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {17, 224, 0, 0, Smoke::mf_dtor, 0, 26 },	//136 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {18, 68, 132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//137 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {18, 68, 134, 1, Smoke::mf_ctor, 40, 2},	//138 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {18, 133, 132, 1, 0, 39, 3},	//139 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {18, 157, 0, 0, Smoke::mf_const, 52, 4},	//140 Nepomuk::Query::ResourceTerm::resource() const
    {18, 172, 134, 1, 0, 0, 5},	//141 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {18, 68, 0, 0, Smoke::mf_ctor, 40, 6},	//142 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {18, 226, 0, 0, Smoke::mf_dtor, 0, 7 },	//143 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {19, 71, 136, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 1},	//144 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {19, 71, 138, 1, Smoke::mf_ctor, 43, 2},	//145 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {19, 133, 136, 1, 0, 42, 3},	//146 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {19, 213, 0, 0, Smoke::mf_const, 53, 4},	//147 Nepomuk::Query::ResourceTypeTerm::type() const
    {19, 182, 138, 1, 0, 0, 5},	//148 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {19, 71, 0, 0, Smoke::mf_ctor, 43, 6},	//149 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {19, 227, 0, 0, Smoke::mf_dtor, 0, 7 },	//150 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {20, 73, 0, 0, Smoke::mf_ctor, 45, 1},	//151 Nepomuk::Query::Result::Result()
    {20, 73, 140, 2, Smoke::mf_ctor, 45, 2},	//152 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {20, 73, 143, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 3},	//153 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {20, 133, 143, 1, 0, 44, 4},	//154 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {20, 158, 0, 0, Smoke::mf_const, 183, 5},	//155 Nepomuk::Query::Result::score() const
    {20, 157, 0, 0, Smoke::mf_const, 52, 6},	//156 Nepomuk::Query::Result::resource() const
    {20, 174, 145, 1, 0, 0, 7},	//157 Nepomuk::Query::Result::setScore(double)
    {20, 90, 147, 2, 0, 0, 8},	//158 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {20, 153, 0, 0, Smoke::mf_const, 58, 9},	//159 Nepomuk::Query::Result::requestProperties() const
    {20, 137, 42, 1, Smoke::mf_const, 143, 10},	//160 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {20, 154, 42, 1, Smoke::mf_const, 143, 11},	//161 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {20, 135, 143, 1, Smoke::mf_const, 145, 12},	//162 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {20, 73, 134, 1, Smoke::mf_ctor, 45, 13},	//163 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {20, 228, 0, 0, Smoke::mf_dtor, 0, 14 },	//164 Nepomuk::Query::Result::~Result()
    {21, 190, 0, 0, Smoke::mf_const, 47, 1},	//165 Nepomuk::Query::SimpleTerm::subTerm() const
    {21, 176, 1, 1, 0, 0, 2},	//166 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {21, 76, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 3},	//167 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {21, 76, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 4},	//168 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {21, 76, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 5},	//169 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {21, 229, 0, 0, Smoke::mf_dtor, 0, 6 },	//170 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {22, 80, 0, 0, Smoke::mf_ctor, 49, 1},	//171 Nepomuk::Query::Term::Term()
    {22, 80, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//172 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {22, 133, 1, 1, 0, 48, 3},	//173 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {22, 124, 0, 0, Smoke::mf_const, 145, 4},	//174 Nepomuk::Query::Term::isValid() const
    {22, 213, 0, 0, Smoke::mf_const, 50, 5},	//175 Nepomuk::Query::Term::type() const
    {22, 119, 0, 0, Smoke::mf_const, 145, 6},	//176 Nepomuk::Query::Term::isLiteralTerm() const
    {22, 122, 0, 0, Smoke::mf_const, 145, 7},	//177 Nepomuk::Query::Term::isResourceTerm() const
    {22, 120, 0, 0, Smoke::mf_const, 145, 8},	//178 Nepomuk::Query::Term::isNegationTerm() const
    {22, 117, 0, 0, Smoke::mf_const, 145, 9},	//179 Nepomuk::Query::Term::isAndTerm() const
    {22, 121, 0, 0, Smoke::mf_const, 145, 10},	//180 Nepomuk::Query::Term::isOrTerm() const
    {22, 118, 0, 0, Smoke::mf_const, 145, 11},	//181 Nepomuk::Query::Term::isComparisonTerm() const
    {22, 123, 0, 0, Smoke::mf_const, 145, 12},	//182 Nepomuk::Query::Term::isResourceTypeTerm() const
    {22, 196, 0, 0, Smoke::mf_const, 20, 13},	//183 Nepomuk::Query::Term::toLiteralTerm() const
    {22, 199, 0, 0, Smoke::mf_const, 38, 14},	//184 Nepomuk::Query::Term::toResourceTerm() const
    {22, 197, 0, 0, Smoke::mf_const, 23, 15},	//185 Nepomuk::Query::Term::toNegationTerm() const
    {22, 194, 0, 0, Smoke::mf_const, 10, 16},	//186 Nepomuk::Query::Term::toAndTerm() const
    {22, 198, 0, 0, Smoke::mf_const, 26, 17},	//187 Nepomuk::Query::Term::toOrTerm() const
    {22, 195, 0, 0, Smoke::mf_const, 13, 18},	//188 Nepomuk::Query::Term::toComparisonTerm() const
    {22, 200, 0, 0, Smoke::mf_const, 41, 19},	//189 Nepomuk::Query::Term::toResourceTypeTerm() const
    {22, 196, 0, 0, 0, 21, 20},	//190 Nepomuk::Query::Term::toLiteralTerm()
    {22, 199, 0, 0, 0, 39, 21},	//191 Nepomuk::Query::Term::toResourceTerm()
    {22, 197, 0, 0, 0, 24, 22},	//192 Nepomuk::Query::Term::toNegationTerm()
    {22, 194, 0, 0, 0, 11, 23},	//193 Nepomuk::Query::Term::toAndTerm()
    {22, 198, 0, 0, 0, 27, 24},	//194 Nepomuk::Query::Term::toOrTerm()
    {22, 195, 0, 0, 0, 14, 25},	//195 Nepomuk::Query::Term::toComparisonTerm()
    {22, 200, 0, 0, 0, 42, 26},	//196 Nepomuk::Query::Term::toResourceTypeTerm()
    {22, 135, 1, 1, Smoke::mf_const, 145, 27},	//197 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {22, 80, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 49, 28},	//198 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {22, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//199 Nepomuk::Query::Term::Invalid (enum)
    {22, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 30},	//200 Nepomuk::Query::Term::Literal (enum)
    {22, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 31},	//201 Nepomuk::Query::Term::Resource (enum)
    {22, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 32},	//202 Nepomuk::Query::Term::And (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 33},	//203 Nepomuk::Query::Term::Or (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 34},	//204 Nepomuk::Query::Term::Comparison (enum)
    {22, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 35},	//205 Nepomuk::Query::Term::ResourceType (enum)
    {22, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 36},	//206 Nepomuk::Query::Term::Negation (enum)
    {22, 230, 0, 0, Smoke::mf_dtor, 0, 37 },	//207 Nepomuk::Query::Term::~Term()
    {31, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 1},	//208 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {31, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 2},	//209 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 3},	//210 QGlobalSpace::Q_STATIC_TYPE (enum)
    {31, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 4},	//211 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {31, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 5},	//212 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {31, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 6},	//213 QGlobalSpace::QtDebugMsg (enum)
    {31, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 7},	//214 QGlobalSpace::QtWarningMsg (enum)
    {31, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 8},	//215 QGlobalSpace::QtCriticalMsg (enum)
    {31, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 9},	//216 QGlobalSpace::QtFatalMsg (enum)
    {31, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 10},	//217 QGlobalSpace::QtSystemMsg (enum)
    {31, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 11},	//218 QGlobalSpace::__codecvt_ok (enum)
    {31, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 12},	//219 QGlobalSpace::__codecvt_partial (enum)
    {31, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 13},	//220 QGlobalSpace::__codecvt_error (enum)
    {31, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 14},	//221 QGlobalSpace::__codecvt_noconv (enum)
    {33, 112, 152, 1, Smoke::mf_virtual, 145, 0},	//222 QObject::event(QEvent*)
    {33, 113, 154, 2, Smoke::mf_virtual, 145, 0},	//223 QObject::eventFilter(QObject*, QEvent*)
    {33, 193, 157, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//224 QObject::timerEvent(QTimerEvent*)
    {33, 102, 159, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//225 QObject::childEvent(QChildEvent*)
    {33, 106, 152, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//226 QObject::customEvent(QEvent*)
    {33, 105, 110, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//227 QObject::connectNotify(const char*)
    {33, 109, 110, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//228 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    144,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    145,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    31,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    39,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    76,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    77,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    172,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    198,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    186,  // Nepomuk::Query::Term::toAndTerm() const
    193,  // Nepomuk::Query::Term::toAndTerm()
    0,
    188,  // Nepomuk::Query::Term::toComparisonTerm() const
    195,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    183,  // Nepomuk::Query::Term::toLiteralTerm() const
    190,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    185,  // Nepomuk::Query::Term::toNegationTerm() const
    192,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    187,  // Nepomuk::Query::Term::toOrTerm() const
    194,  // Nepomuk::Query::Term::toOrTerm()
    0,
    184,  // Nepomuk::Query::Term::toResourceTerm() const
    191,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    189,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    196,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    153,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    163,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    98,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    103,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    167,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    168,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    169,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    44,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    45,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    47,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    1,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    2,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    137,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    138,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    53,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    54,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 146, -48},	// Nepomuk::Query::qHash#
    {7, 2, 3},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 4},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 8},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 9},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 10},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 11},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 5},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 6},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 134, 7},	// Nepomuk::Query::AndTerm::operator=#
    {7, 215, 12},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 11, 13},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 12, 14},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 13, 21},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 14, 15},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 15, 22},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 24},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 20, 25},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 21, 27},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 63, 23},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 78, 26},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 79, 28},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 104, 17},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 134, 16},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 144, 18},	// Nepomuk::Query::ComparisonTerm::property
    {8, 161, 19},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 169, 20},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 216, 29},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 18, 30},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 19, -4},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 87, 36},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 89, 33},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 114, 38},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 116, 35},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 134, 32},	// Nepomuk::Query::FileQuery::operator=#
    {9, 163, 37},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 165, 34},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 217, 40},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 23, -44},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 24, 48},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 25, 49},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 26, 50},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 27, 51},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 28, 46},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 94, 43},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 179, 42},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 191, 41},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 218, 52},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 32, 58},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 33, -54},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 134, 55},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 185, 57},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 214, 56},	// Nepomuk::Query::LiteralTerm::value
    {11, 219, 59},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 35, 60},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 36, 61},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 130, 63},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 134, 62},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 220, 64},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 39, 65},	// Nepomuk::Query::OrTerm::OrTerm
    {13, 40, 66},	// Nepomuk::Query::OrTerm::OrTerm#
    {13, 41, 70},	// Nepomuk::Query::OrTerm::OrTerm##
    {13, 42, 71},	// Nepomuk::Query::OrTerm::OrTerm###
    {13, 43, 72},	// Nepomuk::Query::OrTerm::OrTerm####
    {13, 44, 73},	// Nepomuk::Query::OrTerm::OrTerm#####
    {13, 45, 67},	// Nepomuk::Query::OrTerm::OrTerm######
    {13, 46, 68},	// Nepomuk::Query::OrTerm::OrTerm?
    {13, 134, 69},	// Nepomuk::Query::OrTerm::operator=#
    {13, 221, 74},	// Nepomuk::Query::OrTerm::~OrTerm
    {14, 16, 94},	// Nepomuk::Query::Query::CreateCountQuery
    {14, 29, 95},	// Nepomuk::Query::Query::HandleInverseProperties
    {14, 37, 93},	// Nepomuk::Query::Query::NoFlags
    {14, 57, 75},	// Nepomuk::Query::Query::Query
    {14, 58, -7},	// Nepomuk::Query::Query::Query#
    {14, 91, 84},	// Nepomuk::Query::Query::addRequestProperty#
    {14, 124, 79},	// Nepomuk::Query::Query::isValid
    {14, 125, 81},	// Nepomuk::Query::Query::limit
    {14, 134, 78},	// Nepomuk::Query::Query::operator=#
    {14, 136, 90},	// Nepomuk::Query::Query::operator==#
    {14, 153, 86},	// Nepomuk::Query::Query::requestProperties
    {14, 156, 89},	// Nepomuk::Query::Query::requestPropertyMap
    {14, 167, 83},	// Nepomuk::Query::Query::setLimit$
    {14, 171, 85},	// Nepomuk::Query::Query::setRequestProperties?
    {14, 181, 82},	// Nepomuk::Query::Query::setTerm#
    {14, 192, 80},	// Nepomuk::Query::Query::term
    {14, 201, 92},	// Nepomuk::Query::Query::toSearchUrl
    {14, 202, 88},	// Nepomuk::Query::Query::toSearchUrl$
    {14, 203, 91},	// Nepomuk::Query::Query::toSparqlQuery
    {14, 204, 87},	// Nepomuk::Query::Query::toSparqlQuery$
    {14, 222, 96},	// Nepomuk::Query::Query::~Query
    {15, 65, -37},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {15, 66, 97},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {15, 134, 99},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {15, 136, 100},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {15, 139, 102},	// Nepomuk::Query::Query::RequestProperty::optional
    {15, 144, 101},	// Nepomuk::Query::Query::RequestProperty::property
    {15, 225, 104},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {16, 59, 105},	// Nepomuk::Query::QueryParser::QueryParser
    {16, 60, 109},	// Nepomuk::Query::QueryParser::QueryParser#
    {16, 127, 107},	// Nepomuk::Query::QueryParser::matchProperty$
    {16, 141, 106},	// Nepomuk::Query::QueryParser::parse$
    {16, 143, 108},	// Nepomuk::Query::QueryParser::parseQuery$
    {16, 223, 110},	// Nepomuk::Query::QueryParser::~QueryParser
    {17, 61, 132},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {17, 62, 118},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {17, 96, 125},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {17, 98, 123},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {17, 100, 134},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {17, 101, 124},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {17, 103, 126},	// Nepomuk::Query::QueryServiceClient::close
    {17, 108, 122},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {17, 111, 128},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {17, 115, 129},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {17, 128, 111},	// Nepomuk::Query::QueryServiceClient::metaObject
    {17, 132, 127},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {17, 148, 117},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {17, 150, 112},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {17, 152, 120},	// Nepomuk::Query::QueryServiceClient::query#
    {17, 159, 119},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {17, 187, 133},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {17, 188, 121},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {17, 189, 135},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {17, 206, 130},	// Nepomuk::Query::QueryServiceClient::tr$
    {17, 207, 113},	// Nepomuk::Query::QueryServiceClient::tr$$
    {17, 208, 115},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {17, 210, 131},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {17, 211, 114},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {17, 212, 116},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {17, 224, 136},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {18, 68, 142},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {18, 69, -51},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {18, 134, 139},	// Nepomuk::Query::ResourceTerm::operator=#
    {18, 157, 140},	// Nepomuk::Query::ResourceTerm::resource
    {18, 173, 141},	// Nepomuk::Query::ResourceTerm::setResource#
    {18, 226, 143},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {19, 71, 149},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {19, 72, -1},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {19, 134, 146},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {19, 183, 148},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {19, 213, 147},	// Nepomuk::Query::ResourceTypeTerm::type
    {19, 227, 150},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {20, 73, 151},	// Nepomuk::Query::Result::Result
    {20, 74, -34},	// Nepomuk::Query::Result::Result#
    {20, 75, 152},	// Nepomuk::Query::Result::Result#$
    {20, 92, 158},	// Nepomuk::Query::Result::addRequestProperty##
    {20, 134, 154},	// Nepomuk::Query::Result::operator=#
    {20, 136, 162},	// Nepomuk::Query::Result::operator==#
    {20, 138, 160},	// Nepomuk::Query::Result::operator[]#
    {20, 153, 159},	// Nepomuk::Query::Result::requestProperties
    {20, 155, 161},	// Nepomuk::Query::Result::requestProperty#
    {20, 157, 156},	// Nepomuk::Query::Result::resource
    {20, 158, 155},	// Nepomuk::Query::Result::score
    {20, 175, 157},	// Nepomuk::Query::Result::setScore$
    {20, 228, 164},	// Nepomuk::Query::Result::~Result
    {21, 77, -40},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {21, 177, 166},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {21, 190, 165},	// Nepomuk::Query::SimpleTerm::subTerm
    {21, 229, 170},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {22, 1, 202},	// Nepomuk::Query::Term::And
    {22, 10, 204},	// Nepomuk::Query::Term::Comparison
    {22, 30, 199},	// Nepomuk::Query::Term::Invalid
    {22, 31, 200},	// Nepomuk::Query::Term::Literal
    {22, 34, 206},	// Nepomuk::Query::Term::Negation
    {22, 38, 203},	// Nepomuk::Query::Term::Or
    {22, 67, 201},	// Nepomuk::Query::Term::Resource
    {22, 70, 205},	// Nepomuk::Query::Term::ResourceType
    {22, 80, 171},	// Nepomuk::Query::Term::Term
    {22, 81, -10},	// Nepomuk::Query::Term::Term#
    {22, 117, 179},	// Nepomuk::Query::Term::isAndTerm
    {22, 118, 181},	// Nepomuk::Query::Term::isComparisonTerm
    {22, 119, 176},	// Nepomuk::Query::Term::isLiteralTerm
    {22, 120, 178},	// Nepomuk::Query::Term::isNegationTerm
    {22, 121, 180},	// Nepomuk::Query::Term::isOrTerm
    {22, 122, 177},	// Nepomuk::Query::Term::isResourceTerm
    {22, 123, 182},	// Nepomuk::Query::Term::isResourceTypeTerm
    {22, 124, 174},	// Nepomuk::Query::Term::isValid
    {22, 134, 173},	// Nepomuk::Query::Term::operator=#
    {22, 136, 197},	// Nepomuk::Query::Term::operator==#
    {22, 194, -13},	// Nepomuk::Query::Term::toAndTerm
    {22, 195, -16},	// Nepomuk::Query::Term::toComparisonTerm
    {22, 196, -19},	// Nepomuk::Query::Term::toLiteralTerm
    {22, 197, -22},	// Nepomuk::Query::Term::toNegationTerm
    {22, 198, -25},	// Nepomuk::Query::Term::toOrTerm
    {22, 199, -28},	// Nepomuk::Query::Term::toResourceTerm
    {22, 200, -31},	// Nepomuk::Query::Term::toResourceTypeTerm
    {22, 213, 175},	// Nepomuk::Query::Term::type
    {22, 230, 207},	// Nepomuk::Query::Term::~Term
    {31, 47, 208},	// QGlobalSpace::Q_COMPLEX_TYPE
    {31, 48, 212},	// QGlobalSpace::Q_DUMMY_TYPE
    {31, 49, 211},	// QGlobalSpace::Q_MOVABLE_TYPE
    {31, 50, 209},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {31, 51, 210},	// QGlobalSpace::Q_STATIC_TYPE
    {31, 52, 215},	// QGlobalSpace::QtCriticalMsg
    {31, 53, 213},	// QGlobalSpace::QtDebugMsg
    {31, 54, 216},	// QGlobalSpace::QtFatalMsg
    {31, 55, 217},	// QGlobalSpace::QtSystemMsg
    {31, 56, 214},	// QGlobalSpace::QtWarningMsg
    {31, 82, 220},	// QGlobalSpace::__codecvt_error
    {31, 83, 221},	// QGlobalSpace::__codecvt_noconv
    {31, 84, 218},	// QGlobalSpace::__codecvt_ok
    {31, 85, 219},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();
SMOKE_IMPORT void init_nepomuk_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    init_nepomuk_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 38,
        __smokenepomukquery::methods, 229,
        __smokenepomukquery::methodMaps, 202,
        __smokenepomukquery::methodNames, 230,
        __smokenepomukquery::types, 188,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
