#include <qtscript_includes.h>

#include <smoke.h>
#include <qtscript_smoke.h>

namespace __smokeqtscript {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDateTime
      switch(to) {
        case 3: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QFactoryInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QFactoryInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 7:   //QLatin1String
      switch(to) {
        case 7: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 8:   //QMetaObject
      switch(to) {
        case 8: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 9:   //QObject
      switch(to) {
        case 9: return (void*)(QObject*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QObject*)xptr;
        case 17: return (void*)(QScriptEngine*)(QObject*)xptr;
        default: return xptr;
      }
    case 10:   //QRegExp
      switch(to) {
        case 10: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 11:   //QScriptClass
      switch(to) {
        case 11: return (void*)(QScriptClass*)xptr;
        default: return xptr;
      }
    case 12:   //QScriptClassPrivate
      switch(to) {
        case 12: return (void*)(QScriptClassPrivate*)xptr;
        default: return xptr;
      }
    case 13:   //QScriptClassPropertyIterator
      switch(to) {
        case 13: return (void*)(QScriptClassPropertyIterator*)xptr;
        default: return xptr;
      }
    case 14:   //QScriptClassPropertyIteratorPrivate
      switch(to) {
        case 14: return (void*)(QScriptClassPropertyIteratorPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //QScriptContext
      switch(to) {
        case 15: return (void*)(QScriptContext*)xptr;
        default: return xptr;
      }
    case 16:   //QScriptContextInfo
      switch(to) {
        case 16: return (void*)(QScriptContextInfo*)xptr;
        default: return xptr;
      }
    case 17:   //QScriptEngine
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptEngine*)xptr;
        case 17: return (void*)(QScriptEngine*)xptr;
        default: return xptr;
      }
    case 18:   //QScriptEngineAgent
      switch(to) {
        case 18: return (void*)(QScriptEngineAgent*)xptr;
        default: return xptr;
      }
    case 19:   //QScriptEngineAgentPrivate
      switch(to) {
        case 19: return (void*)(QScriptEngineAgentPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //QScriptEnginePrivate
      switch(to) {
        case 20: return (void*)(QScriptEnginePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //QScriptExtensionInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionInterface*)xptr;
        default: return xptr;
      }
    case 22:   //QScriptExtensionPlugin
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptExtensionPlugin*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QScriptExtensionPlugin*)xptr;
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionPlugin*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)xptr;
        default: return xptr;
      }
    case 23:   //QScriptProgram
      switch(to) {
        case 23: return (void*)(QScriptProgram*)xptr;
        default: return xptr;
      }
    case 24:   //QScriptString
      switch(to) {
        case 24: return (void*)(QScriptString*)xptr;
        default: return xptr;
      }
    case 25:   //QScriptSyntaxCheckResult
      switch(to) {
        case 25: return (void*)(QScriptSyntaxCheckResult*)xptr;
        default: return xptr;
      }
    case 26:   //QScriptValue
      switch(to) {
        case 26: return (void*)(QScriptValue*)xptr;
        default: return xptr;
      }
    case 27:   //QScriptValueIterator
      switch(to) {
        case 27: return (void*)(QScriptValueIterator*)xptr;
        default: return xptr;
      }
    case 28:   //QScriptable
      switch(to) {
        case 28: return (void*)(QScriptable*)xptr;
        default: return xptr;
      }
    case 29:   //QTimerEvent
      switch(to) {
        case 29: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QVariant
      switch(to) {
        case 30: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    9, 0,	// 1: QObject
    5, 0,	// 3: QFactoryInterface
    9, 21, 0,	// 5: QObject, QScriptExtensionInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptClass(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptSyntaxCheckResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContextInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngineAgent(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClass(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClassPropertyIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContextInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngineAgent(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptString(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptSyntaxCheckResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValue(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValueIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptable(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//5
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//6
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//7
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//8
    { "QObject", true, 0, 0, 0, 0, 0 },	//9
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//10
    { "QScriptClass", false, 0, xcall_QScriptClass, xenum_QScriptClass, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClass) },	//11
    { "QScriptClassPrivate", true, 0, 0, 0, 0, 0 },	//12
    { "QScriptClassPropertyIterator", false, 0, xcall_QScriptClassPropertyIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClassPropertyIterator) },	//13
    { "QScriptClassPropertyIteratorPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "QScriptContext", false, 0, xcall_QScriptContext, xenum_QScriptContext, 0, sizeof(QScriptContext) },	//15
    { "QScriptContextInfo", false, 0, xcall_QScriptContextInfo, xenum_QScriptContextInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptContextInfo) },	//16
    { "QScriptEngine", false, 1, xcall_QScriptEngine, xenum_QScriptEngine, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngine) },	//17
    { "QScriptEngineAgent", false, 0, xcall_QScriptEngineAgent, xenum_QScriptEngineAgent, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngineAgent) },	//18
    { "QScriptEngineAgentPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "QScriptEnginePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "QScriptExtensionInterface", false, 3, xcall_QScriptExtensionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QScriptExtensionInterface) },	//21
    { "QScriptExtensionPlugin", false, 5, xcall_QScriptExtensionPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptExtensionPlugin) },	//22
    { "QScriptProgram", true, 0, 0, 0, 0, 0 },	//23
    { "QScriptString", false, 0, xcall_QScriptString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptString) },	//24
    { "QScriptSyntaxCheckResult", false, 0, xcall_QScriptSyntaxCheckResult, xenum_QScriptSyntaxCheckResult, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptSyntaxCheckResult) },	//25
    { "QScriptValue", false, 0, xcall_QScriptValue, xenum_QScriptValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptValue) },	//26
    { "QScriptValueIterator", false, 0, xcall_QScriptValueIterator, 0, Smoke::cf_constructor, sizeof(QScriptValueIterator) },	//27
    { "QScriptable", false, 0, xcall_QScriptable, 0, Smoke::cf_constructor, sizeof(QScriptable) },	//28
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QVariant", true, 0, 0, 0, 0, 0 },	//30
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDateTime", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QList<QScriptValue>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QMetaObject::Call", 8, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QObject*", 9, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QRegExp", 10, Smoke::t_class|Smoke::tf_stack },	//8
    { "QRegExp&", 10, Smoke::t_class|Smoke::tf_ref },	//9
    { "QScriptClass*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QScriptClass::Extension", 11, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QScriptClass::QueryFlag", 11, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QScriptClass::QueryFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//13
    { "QScriptClassPrivate&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "QScriptClassPropertyIterator*", 13, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QScriptClassPropertyIteratorPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//16
    { "QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QScriptContext::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QScriptContext::ExecutionState", 15, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref },	//20
    { "QScriptContextInfo*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QScriptContextInfo::FunctionType", 16, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QScriptEngine*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QScriptEngine::QObjectWrapOption", 17, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QScriptEngine::ValueOwnership", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QScriptEngineAgent*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QScriptEngineAgent::Extension", 18, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QScriptEngineAgentPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//28
    { "QScriptEnginePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "QScriptExtensionInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QScriptExtensionPlugin*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QScriptString", 24, Smoke::t_class|Smoke::tf_stack },	//32
    { "QScriptString&", 24, Smoke::t_class|Smoke::tf_ref },	//33
    { "QScriptString*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QScriptSyntaxCheckResult", 25, Smoke::t_class|Smoke::tf_stack },	//35
    { "QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref },	//36
    { "QScriptSyntaxCheckResult*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QScriptSyntaxCheckResult::State", 25, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QScriptValue", 26, Smoke::t_class|Smoke::tf_stack },	//39
    { "QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref },	//40
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*)", 26, Smoke::t_class|Smoke::tf_stack },	//41
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*,void*)", 26, Smoke::t_class|Smoke::tf_stack },	//42
    { "QScriptValue*", 26, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QScriptValue::PropertyFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QScriptValue::PropertyFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QScriptValue::ResolveFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QScriptValue::SpecialValue", 26, Smoke::t_enum|Smoke::tf_stack },	//47
    { "QScriptValueIterator&", 27, Smoke::t_class|Smoke::tf_ref },	//48
    { "QScriptValueIterator*", 27, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QScriptable*", 28, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QtMsgType", 6, Smoke::t_enum|Smoke::tf_stack },	//127
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//128
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "const QDateTime&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//130
    { "const QLatin1String&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QList<QScriptValue>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QMetaObject&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QMetaObject*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//134
    { "const QRegExp&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//136
    { "const QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QScriptEngine::QObjectWrapOptions&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QScriptExtensionInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QScriptProgram&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QScriptString&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const QScriptValue::PropertyFlags&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QScriptValue::ResolveFlags&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//147
    { "const QVariant&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//149
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//151
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//152
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//153
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//154
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//156
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//157
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//159
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//160
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    7, 149, 143, 143, 0,	//1  QObject*, const char*, const QScriptValue&, const QScriptValue&
    4, 0,	//6  QEvent*
    7, 4, 0,	//8  QObject*, QEvent*
    54, 0,	//11  QTimerEvent*
    2, 0,	//13  QChildEvent*
    149, 0,	//15  const char*
    23, 0,	//17  QScriptEngine*
    143, 141, 13, 156, 0,	//19  const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, unsigned int*
    143, 141, 155, 0,	//24  const QScriptValue&, const QScriptString&, unsigned int
    40, 141, 155, 143, 0,	//28  QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&
    143, 0,	//33  const QScriptValue&
    11, 0,	//35  QScriptClass::Extension
    11, 148, 0,	//37  QScriptClass::Extension, const QVariant&
    23, 14, 0,	//40  QScriptEngine*, QScriptClassPrivate&
    143, 16, 0,	//43  const QScriptValue&, QScriptClassPropertyIteratorPrivate&
    152, 0,	//46  int
    18, 146, 0,	//48  QScriptContext::Error, const QString&
    146, 0,	//51  const QString&
    136, 0,	//53  const QScriptContext*
    137, 0,	//55  const QScriptContextInfo&
    149, 149, 0,	//57  const char*, const char*
    149, 149, 152, 0,	//60  const char*, const char*, int
    6, 152, 159, 0,	//64  QMetaObject::Call, int, void**
    7, 0,	//68  QObject*
    146, 146, 152, 0,	//70  const QString&, const QString&, int
    140, 0,	//74  const QScriptProgram&
    41, 152, 0,	//76  QScriptValue(*)(QScriptContext*,QScriptEngine*), int
    41, 143, 152, 0,	//79  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int
    42, 158, 0,	//83  QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*
    148, 0,	//86  const QVariant&
    143, 148, 0,	//88  const QScriptValue&, const QVariant&
    135, 0,	//91  const QRegExp&
    10, 143, 0,	//93  QScriptClass*, const QScriptValue&
    155, 0,	//96  unsigned int
    146, 146, 0,	//98  const QString&, const QString&
    151, 0,	//101  double
    130, 0,	//103  const QDateTime&
    7, 25, 138, 0,	//105  QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&
    143, 7, 25, 138, 0,	//109  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&
    134, 143, 0,	//114  const QMetaObject*, const QScriptValue&
    152, 143, 0,	//117  int, const QScriptValue&
    26, 0,	//120  QScriptEngineAgent*
    154, 0,	//122  long long
    29, 7, 0,	//124  QScriptEnginePrivate&, QObject*
    41, 0,	//127  QScriptValue(*)(QScriptContext*,QScriptEngine*)
    41, 143, 0,	//129  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&
    10, 0,	//132  QScriptClass*
    7, 25, 0,	//134  QObject*, QScriptEngine::ValueOwnership
    143, 7, 0,	//137  const QScriptValue&, QObject*
    143, 7, 25, 0,	//140  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership
    134, 0,	//144  const QMetaObject*
    29, 0,	//146  QScriptEnginePrivate&
    154, 146, 146, 152, 0,	//148  long long, const QString&, const QString&, int
    154, 143, 0,	//153  long long, const QScriptValue&
    154, 152, 152, 0,	//156  long long, int, int
    154, 143, 128, 0,	//160  long long, const QScriptValue&, bool
    27, 0,	//164  QScriptEngineAgent::Extension
    27, 148, 0,	//166  QScriptEngineAgent::Extension, const QVariant&
    28, 23, 0,	//169  QScriptEngineAgentPrivate&, QScriptEngine*
    146, 23, 0,	//172  const QString&, QScriptEngine*
    139, 0,	//175  const QScriptExtensionInterface&
    141, 0,	//177  const QScriptString&
    129, 0,	//179  bool*
    142, 0,	//181  const QScriptSyntaxCheckResult&
    23, 47, 0,	//183  QScriptEngine*, QScriptValue::SpecialValue
    23, 128, 0,	//186  QScriptEngine*, bool
    23, 152, 0,	//189  QScriptEngine*, int
    23, 155, 0,	//192  QScriptEngine*, unsigned int
    23, 151, 0,	//195  QScriptEngine*, double
    23, 146, 0,	//198  QScriptEngine*, const QString&
    23, 149, 0,	//201  QScriptEngine*, const char*
    47, 0,	//204  QScriptValue::SpecialValue
    128, 0,	//206  bool
    131, 0,	//208  const QLatin1String&
    146, 145, 0,	//210  const QString&, const QScriptValue::ResolveFlags&
    146, 143, 144, 0,	//213  const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&
    155, 145, 0,	//217  unsigned int, const QScriptValue::ResolveFlags&
    155, 143, 144, 0,	//220  unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&
    141, 145, 0,	//224  const QScriptString&, const QScriptValue::ResolveFlags&
    141, 143, 144, 0,	//227  const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&
    143, 132, 0,	//231  const QScriptValue&, const QList<QScriptValue>&
    143, 143, 0,	//234  const QScriptValue&, const QScriptValue&
    132, 0,	//237  const QList<QScriptValue>&
    146, 143, 0,	//239  const QString&, const QScriptValue&
    155, 143, 0,	//242  unsigned int, const QScriptValue&
    141, 143, 0,	//245  const QScriptString&, const QScriptValue&
    40, 0,	//248  QScriptValue&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AutoCreateDynamicProperties",	//1
    "AutoOwnership",	//2
    "Callable",	//3
    "DebuggerInvocationRequest",	//4
    "Error",	//5
    "ExceptionState",	//6
    "ExcludeChildObjects",	//7
    "ExcludeDeleteLater",	//8
    "ExcludeSuperClassContents",	//9
    "ExcludeSuperClassMethods",	//10
    "ExcludeSuperClassProperties",	//11
    "HandlesReadAccess",	//12
    "HandlesWriteAccess",	//13
    "HasInstance",	//14
    "Intermediate",	//15
    "KeepExistingFlags",	//16
    "NativeFunction",	//17
    "NormalState",	//18
    "NullValue",	//19
    "PreferExistingWrapperObject",	//20
    "PropertyGetter",	//21
    "PropertySetter",	//22
    "QObjectMember",	//23
    "QScriptClass",	//24
    "QScriptClass#",	//25
    "QScriptClass##",	//26
    "QScriptClassPropertyIterator",	//27
    "QScriptClassPropertyIterator#",	//28
    "QScriptClassPropertyIterator##",	//29
    "QScriptContextInfo",	//30
    "QScriptContextInfo#",	//31
    "QScriptEngine",	//32
    "QScriptEngine#",	//33
    "QScriptEngine##",	//34
    "QScriptEngineAgent",	//35
    "QScriptEngineAgent#",	//36
    "QScriptEngineAgent##",	//37
    "QScriptExtensionInterface",	//38
    "QScriptExtensionInterface#",	//39
    "QScriptExtensionPlugin",	//40
    "QScriptExtensionPlugin#",	//41
    "QScriptString",	//42
    "QScriptString#",	//43
    "QScriptSyntaxCheckResult",	//44
    "QScriptSyntaxCheckResult#",	//45
    "QScriptValue",	//46
    "QScriptValue#",	//47
    "QScriptValue#$",	//48
    "QScriptValue$",	//49
    "QScriptValueIterator",	//50
    "QScriptValueIterator#",	//51
    "QScriptable",	//52
    "Q_COMPLEX_TYPE",	//53
    "Q_DUMMY_TYPE",	//54
    "Q_MOVABLE_TYPE",	//55
    "Q_PRIMITIVE_TYPE",	//56
    "Q_STATIC_TYPE",	//57
    "QtCriticalMsg",	//58
    "QtDebugMsg",	//59
    "QtFatalMsg",	//60
    "QtFunction",	//61
    "QtOwnership",	//62
    "QtPropertyFunction",	//63
    "QtSystemMsg",	//64
    "QtWarningMsg",	//65
    "RangeError",	//66
    "ReadOnly",	//67
    "ReferenceError",	//68
    "ResolveFull",	//69
    "ResolveLocal",	//70
    "ResolvePrototype",	//71
    "ResolveScope",	//72
    "ScriptFunction",	//73
    "ScriptOwnership",	//74
    "SkipInEnumeration",	//75
    "SkipMethodsInEnumeration",	//76
    "SyntaxError",	//77
    "TypeError",	//78
    "URIError",	//79
    "UndefinedValue",	//80
    "Undeletable",	//81
    "UnknownError",	//82
    "UserRange",	//83
    "Valid",	//84
    "abortEvaluation",	//85
    "abortEvaluation#",	//86
    "activationObject",	//87
    "agent",	//88
    "argument",	//89
    "argument$",	//90
    "argumentCount",	//91
    "argumentsObject",	//92
    "availableExtensions",	//93
    "backtrace",	//94
    "call",	//95
    "call#",	//96
    "call##",	//97
    "call#?",	//98
    "callee",	//99
    "canEvaluate",	//100
    "canEvaluate$",	//101
    "checkSyntax",	//102
    "checkSyntax$",	//103
    "childEvent",	//104
    "clearExceptions",	//105
    "collectGarbage",	//106
    "columnNumber",	//107
    "connectNotify",	//108
    "construct",	//109
    "construct#",	//110
    "construct?",	//111
    "context",	//112
    "contextPop",	//113
    "contextPush",	//114
    "currentContext",	//115
    "customEvent",	//116
    "data",	//117
    "defaultPrototype",	//118
    "defaultPrototype$",	//119
    "disconnectNotify",	//120
    "engine",	//121
    "equals",	//122
    "equals#",	//123
    "errorColumnNumber",	//124
    "errorLineNumber",	//125
    "errorMessage",	//126
    "evaluate",	//127
    "evaluate#",	//128
    "evaluate$",	//129
    "evaluate$$",	//130
    "evaluate$$$",	//131
    "event",	//132
    "eventFilter",	//133
    "exceptionCatch",	//134
    "exceptionCatch$#",	//135
    "exceptionThrow",	//136
    "exceptionThrow$#$",	//137
    "extension",	//138
    "extension$",	//139
    "extension$#",	//140
    "fileName",	//141
    "flags",	//142
    "functionEndLineNumber",	//143
    "functionEntry",	//144
    "functionEntry$",	//145
    "functionExit",	//146
    "functionExit$#",	//147
    "functionMetaIndex",	//148
    "functionName",	//149
    "functionParameterNames",	//150
    "functionStartLineNumber",	//151
    "functionType",	//152
    "globalObject",	//153
    "hasNext",	//154
    "hasPrevious",	//155
    "hasUncaughtException",	//156
    "id",	//157
    "importExtension",	//158
    "importExtension$",	//159
    "importedExtensions",	//160
    "initialize",	//161
    "initialize$#",	//162
    "installTranslatorFunctions",	//163
    "installTranslatorFunctions#",	//164
    "instanceOf",	//165
    "instanceOf#",	//166
    "isArray",	//167
    "isBool",	//168
    "isBoolean",	//169
    "isCalledAsConstructor",	//170
    "isDate",	//171
    "isError",	//172
    "isEvaluating",	//173
    "isFunction",	//174
    "isNull",	//175
    "isNumber",	//176
    "isObject",	//177
    "isQMetaObject",	//178
    "isQObject",	//179
    "isRegExp",	//180
    "isString",	//181
    "isUndefined",	//182
    "isValid",	//183
    "isVariant",	//184
    "keys",	//185
    "lessThan",	//186
    "lessThan#",	//187
    "lineNumber",	//188
    "metaObject",	//189
    "name",	//190
    "newActivationObject",	//191
    "newArray",	//192
    "newArray$",	//193
    "newDate",	//194
    "newDate#",	//195
    "newDate$",	//196
    "newFunction",	//197
    "newFunction#",	//198
    "newFunction##",	//199
    "newFunction##$",	//200
    "newFunction#$",	//201
    "newIterator",	//202
    "newIterator#",	//203
    "newObject",	//204
    "newObject#",	//205
    "newObject##",	//206
    "newQMetaObject",	//207
    "newQMetaObject#",	//208
    "newQMetaObject##",	//209
    "newQObject",	//210
    "newQObject#",	//211
    "newQObject##",	//212
    "newQObject##$",	//213
    "newQObject##$?",	//214
    "newQObject#$",	//215
    "newQObject#$?",	//216
    "newRegExp",	//217
    "newRegExp#",	//218
    "newRegExp$$",	//219
    "newVariant",	//220
    "newVariant#",	//221
    "newVariant##",	//222
    "next",	//223
    "nullValue",	//224
    "object",	//225
    "objectById",	//226
    "objectById$",	//227
    "objectId",	//228
    "operator QString",	//229
    "operator!=",	//230
    "operator!=#",	//231
    "operator=",	//232
    "operator=#",	//233
    "operator==",	//234
    "operator==#",	//235
    "parentContext",	//236
    "popContext",	//237
    "popScope",	//238
    "positionChange",	//239
    "positionChange$$$",	//240
    "previous",	//241
    "processEventsInterval",	//242
    "property",	//243
    "property#",	//244
    "property##$",	//245
    "property#?",	//246
    "property$",	//247
    "property$?",	//248
    "propertyFlags",	//249
    "propertyFlags#",	//250
    "propertyFlags##$",	//251
    "propertyFlags#?",	//252
    "propertyFlags$",	//253
    "propertyFlags$?",	//254
    "prototype",	//255
    "pushContext",	//256
    "pushScope",	//257
    "pushScope#",	//258
    "qScriptConnect",	//259
    "qScriptConnect#$##",	//260
    "qt_metacall",	//261
    "qt_metacall$$?",	//262
    "qt_metacast",	//263
    "qt_metacast$",	//264
    "queryProperty",	//265
    "queryProperty##$$",	//266
    "remove",	//267
    "returnValue",	//268
    "scope",	//269
    "scopeChain",	//270
    "scriptClass",	//271
    "scriptId",	//272
    "scriptLoad",	//273
    "scriptLoad$$$$",	//274
    "scriptName",	//275
    "scriptUnload",	//276
    "scriptUnload$",	//277
    "setActivationObject",	//278
    "setActivationObject#",	//279
    "setAgent",	//280
    "setAgent#",	//281
    "setData",	//282
    "setData#",	//283
    "setDefaultPrototype",	//284
    "setDefaultPrototype$#",	//285
    "setGlobalObject",	//286
    "setGlobalObject#",	//287
    "setProcessEventsInterval",	//288
    "setProcessEventsInterval$",	//289
    "setProperty",	//290
    "setProperty##",	//291
    "setProperty##$#",	//292
    "setProperty##?",	//293
    "setProperty$#",	//294
    "setProperty$#?",	//295
    "setPrototype",	//296
    "setPrototype#",	//297
    "setReturnValue",	//298
    "setReturnValue#",	//299
    "setScope",	//300
    "setScope#",	//301
    "setScriptClass",	//302
    "setScriptClass#",	//303
    "setThisObject",	//304
    "setThisObject#",	//305
    "setValue",	//306
    "setValue#",	//307
    "setupPackage",	//308
    "setupPackage$#",	//309
    "signalHandlerException",	//310
    "signalHandlerException#",	//311
    "state",	//312
    "staticMetaObject",	//313
    "strictlyEquals",	//314
    "strictlyEquals#",	//315
    "supportsExtension",	//316
    "supportsExtension$",	//317
    "thisObject",	//318
    "throwError",	//319
    "throwError$",	//320
    "throwError$$",	//321
    "throwValue",	//322
    "throwValue#",	//323
    "timerEvent",	//324
    "toArrayIndex",	//325
    "toArrayIndex$",	//326
    "toBack",	//327
    "toBool",	//328
    "toBoolean",	//329
    "toDateTime",	//330
    "toFront",	//331
    "toInt32",	//332
    "toInteger",	//333
    "toNumber",	//334
    "toObject",	//335
    "toObject#",	//336
    "toQMetaObject",	//337
    "toQObject",	//338
    "toRegExp",	//339
    "toString",	//340
    "toStringHandle",	//341
    "toStringHandle$",	//342
    "toUInt16",	//343
    "toUInt32",	//344
    "toVariant",	//345
    "tr",	//346
    "tr$",	//347
    "tr$$",	//348
    "tr$$$",	//349
    "trUtf8",	//350
    "trUtf8$",	//351
    "trUtf8$$",	//352
    "trUtf8$$$",	//353
    "uncaughtException",	//354
    "uncaughtExceptionBacktrace",	//355
    "uncaughtExceptionLineNumber",	//356
    "undefinedValue",	//357
    "value",	//358
    "~QScriptClass",	//359
    "~QScriptClassPropertyIterator",	//360
    "~QScriptContext",	//361
    "~QScriptContextInfo",	//362
    "~QScriptEngine",	//363
    "~QScriptEngineAgent",	//364
    "~QScriptExtensionInterface",	//365
    "~QScriptExtensionPlugin",	//366
    "~QScriptString",	//367
    "~QScriptSyntaxCheckResult",	//368
    "~QScriptValue",	//369
    "~QScriptValueIterator",	//370
    "~QScriptable",	//371
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 0},	//1 QFactoryInterface::keys() const [pure virtual]
    {6, 259, 1, 4, Smoke::mf_static, 128, 1},	//2 QGlobalSpace::qScriptConnect(QObject*, const char*, const QScriptValue&, const QScriptValue&)
    {6, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 2},	//3 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {6, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 3},	//4 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {6, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 4},	//5 QGlobalSpace::Q_STATIC_TYPE (enum)
    {6, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 5},	//6 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {6, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 6},	//7 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {6, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 7},	//8 QGlobalSpace::QtDebugMsg (enum)
    {6, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 8},	//9 QGlobalSpace::QtWarningMsg (enum)
    {6, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 9},	//10 QGlobalSpace::QtCriticalMsg (enum)
    {6, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 10},	//11 QGlobalSpace::QtFatalMsg (enum)
    {6, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 11},	//12 QGlobalSpace::QtSystemMsg (enum)
    {9, 132, 6, 1, Smoke::mf_virtual, 128, 0},	//13 QObject::event(QEvent*)
    {9, 133, 8, 2, Smoke::mf_virtual, 128, 0},	//14 QObject::eventFilter(QObject*, QEvent*)
    {9, 324, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::timerEvent(QTimerEvent*)
    {9, 104, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::childEvent(QChildEvent*)
    {9, 116, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::customEvent(QEvent*)
    {9, 108, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::connectNotify(const char*)
    {9, 120, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::disconnectNotify(const char*)
    {11, 24, 17, 1, Smoke::mf_ctor, 10, 1},	//20 QScriptClass::QScriptClass(QScriptEngine*)
    {11, 121, 0, 0, Smoke::mf_const, 23, 2},	//21 QScriptClass::engine() const
    {11, 265, 19, 4, Smoke::mf_virtual, 13, 3},	//22 QScriptClass::queryProperty(const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, unsigned int*)
    {11, 243, 24, 3, Smoke::mf_virtual, 39, 4},	//23 QScriptClass::property(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 290, 28, 4, Smoke::mf_virtual, 0, 5},	//24 QScriptClass::setProperty(QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&)
    {11, 249, 24, 3, Smoke::mf_virtual, 45, 6},	//25 QScriptClass::propertyFlags(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 202, 33, 1, Smoke::mf_virtual, 15, 7},	//26 QScriptClass::newIterator(const QScriptValue&)
    {11, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 8},	//27 QScriptClass::prototype() const
    {11, 190, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 9},	//28 QScriptClass::name() const
    {11, 316, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 10},	//29 QScriptClass::supportsExtension(QScriptClass::Extension) const
    {11, 138, 37, 2, Smoke::mf_virtual, 55, 11},	//30 QScriptClass::extension(QScriptClass::Extension, const QVariant&)
    {11, 24, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 10, 12},	//31 QScriptClass::QScriptClass(QScriptEngine*, QScriptClassPrivate&)
    {11, 138, 35, 1, 0, 55, 13},	//32 QScriptClass::extension(QScriptClass::Extension)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//33 QScriptClass::HandlesReadAccess (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//34 QScriptClass::HandlesWriteAccess (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 16},	//35 QScriptClass::Callable (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 17},	//36 QScriptClass::HasInstance (enum)
    {11, 359, 0, 0, Smoke::mf_dtor, 0, 18 },	//37 QScriptClass::~QScriptClass()
    {13, 27, 33, 1, Smoke::mf_ctor|Smoke::mf_protected, 15, 1},	//38 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&)
    {13, 225, 0, 0, Smoke::mf_const, 39, 2},	//39 QScriptClassPropertyIterator::object() const
    {13, 154, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 3},	//40 QScriptClassPropertyIterator::hasNext() const [pure virtual]
    {13, 223, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//41 QScriptClassPropertyIterator::next() [pure virtual]
    {13, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 5},	//42 QScriptClassPropertyIterator::hasPrevious() const [pure virtual]
    {13, 241, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//43 QScriptClassPropertyIterator::previous() [pure virtual]
    {13, 331, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//44 QScriptClassPropertyIterator::toFront() [pure virtual]
    {13, 327, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//45 QScriptClassPropertyIterator::toBack() [pure virtual]
    {13, 190, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 32, 9},	//46 QScriptClassPropertyIterator::name() const [pure virtual]
    {13, 157, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 155, 10},	//47 QScriptClassPropertyIterator::id() const
    {13, 142, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 11},	//48 QScriptClassPropertyIterator::flags() const
    {13, 27, 43, 2, Smoke::mf_ctor|Smoke::mf_protected, 15, 12},	//49 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&, QScriptClassPropertyIteratorPrivate&)
    {13, 360, 0, 0, Smoke::mf_dtor, 0, 13 },	//50 QScriptClassPropertyIterator::~QScriptClassPropertyIterator()
    {15, 236, 0, 0, Smoke::mf_const, 17, 1},	//51 QScriptContext::parentContext() const
    {15, 121, 0, 0, Smoke::mf_const, 23, 2},	//52 QScriptContext::engine() const
    {15, 312, 0, 0, Smoke::mf_const, 19, 3},	//53 QScriptContext::state() const
    {15, 99, 0, 0, Smoke::mf_const, 39, 4},	//54 QScriptContext::callee() const
    {15, 91, 0, 0, Smoke::mf_const, 152, 5},	//55 QScriptContext::argumentCount() const
    {15, 89, 46, 1, Smoke::mf_const, 39, 6},	//56 QScriptContext::argument(int) const
    {15, 92, 0, 0, Smoke::mf_const, 39, 7},	//57 QScriptContext::argumentsObject() const
    {15, 270, 0, 0, Smoke::mf_const, 5, 8},	//58 QScriptContext::scopeChain() const
    {15, 257, 33, 1, 0, 0, 9},	//59 QScriptContext::pushScope(const QScriptValue&)
    {15, 238, 0, 0, 0, 39, 10},	//60 QScriptContext::popScope()
    {15, 268, 0, 0, Smoke::mf_const, 39, 11},	//61 QScriptContext::returnValue() const
    {15, 298, 33, 1, 0, 0, 12},	//62 QScriptContext::setReturnValue(const QScriptValue&)
    {15, 87, 0, 0, Smoke::mf_const, 39, 13},	//63 QScriptContext::activationObject() const
    {15, 278, 33, 1, 0, 0, 14},	//64 QScriptContext::setActivationObject(const QScriptValue&)
    {15, 318, 0, 0, Smoke::mf_const, 39, 15},	//65 QScriptContext::thisObject() const
    {15, 304, 33, 1, 0, 0, 16},	//66 QScriptContext::setThisObject(const QScriptValue&)
    {15, 170, 0, 0, Smoke::mf_const, 128, 17},	//67 QScriptContext::isCalledAsConstructor() const
    {15, 322, 33, 1, 0, 39, 18},	//68 QScriptContext::throwValue(const QScriptValue&)
    {15, 319, 48, 2, 0, 39, 19},	//69 QScriptContext::throwError(QScriptContext::Error, const QString&)
    {15, 319, 51, 1, 0, 39, 20},	//70 QScriptContext::throwError(const QString&)
    {15, 94, 0, 0, Smoke::mf_const, 52, 21},	//71 QScriptContext::backtrace() const
    {15, 340, 0, 0, Smoke::mf_const, 51, 22},	//72 QScriptContext::toString() const
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 23},	//73 QScriptContext::NormalState (enum)
    {15, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 24},	//74 QScriptContext::ExceptionState (enum)
    {15, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 25},	//75 QScriptContext::UnknownError (enum)
    {15, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 26},	//76 QScriptContext::ReferenceError (enum)
    {15, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 27},	//77 QScriptContext::SyntaxError (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 28},	//78 QScriptContext::TypeError (enum)
    {15, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 29},	//79 QScriptContext::RangeError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 30},	//80 QScriptContext::URIError (enum)
    {15, 361, 0, 0, Smoke::mf_dtor, 0, 31 },	//81 QScriptContext::~QScriptContext()
    {16, 30, 53, 1, Smoke::mf_ctor, 21, 1},	//82 QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    {16, 30, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 2},	//83 QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    {16, 30, 0, 0, Smoke::mf_ctor, 21, 3},	//84 QScriptContextInfo::QScriptContextInfo()
    {16, 232, 55, 1, 0, 20, 4},	//85 QScriptContextInfo::operator=(const QScriptContextInfo&)
    {16, 175, 0, 0, Smoke::mf_const, 128, 5},	//86 QScriptContextInfo::isNull() const
    {16, 272, 0, 0, Smoke::mf_const, 154, 6},	//87 QScriptContextInfo::scriptId() const
    {16, 141, 0, 0, Smoke::mf_const, 51, 7},	//88 QScriptContextInfo::fileName() const
    {16, 188, 0, 0, Smoke::mf_const, 152, 8},	//89 QScriptContextInfo::lineNumber() const
    {16, 107, 0, 0, Smoke::mf_const, 152, 9},	//90 QScriptContextInfo::columnNumber() const
    {16, 149, 0, 0, Smoke::mf_const, 51, 10},	//91 QScriptContextInfo::functionName() const
    {16, 152, 0, 0, Smoke::mf_const, 22, 11},	//92 QScriptContextInfo::functionType() const
    {16, 150, 0, 0, Smoke::mf_const, 52, 12},	//93 QScriptContextInfo::functionParameterNames() const
    {16, 151, 0, 0, Smoke::mf_const, 152, 13},	//94 QScriptContextInfo::functionStartLineNumber() const
    {16, 143, 0, 0, Smoke::mf_const, 152, 14},	//95 QScriptContextInfo::functionEndLineNumber() const
    {16, 148, 0, 0, Smoke::mf_const, 152, 15},	//96 QScriptContextInfo::functionMetaIndex() const
    {16, 234, 55, 1, Smoke::mf_const, 128, 16},	//97 QScriptContextInfo::operator==(const QScriptContextInfo&) const
    {16, 230, 55, 1, Smoke::mf_const, 128, 17},	//98 QScriptContextInfo::operator!=(const QScriptContextInfo&) const
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 18},	//99 QScriptContextInfo::ScriptFunction (enum)
    {16, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 19},	//100 QScriptContextInfo::QtFunction (enum)
    {16, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 20},	//101 QScriptContextInfo::QtPropertyFunction (enum)
    {16, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 21},	//102 QScriptContextInfo::NativeFunction (enum)
    {16, 362, 0, 0, Smoke::mf_dtor, 0, 22 },	//103 QScriptContextInfo::~QScriptContextInfo()
    {17, 189, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 134, 1},	//104 QScriptEngine::metaObject() const
    {17, 263, 15, 1, Smoke::mf_virtual, 158, 2},	//105 QScriptEngine::qt_metacast(const char*)
    {17, 346, 57, 2, Smoke::mf_static, 51, 3},	//106 QScriptEngine::tr(const char*, const char*)
    {17, 350, 57, 2, Smoke::mf_static, 51, 4},	//107 QScriptEngine::trUtf8(const char*, const char*)
    {17, 346, 60, 3, Smoke::mf_static, 51, 5},	//108 QScriptEngine::tr(const char*, const char*, int)
    {17, 350, 60, 3, Smoke::mf_static, 51, 6},	//109 QScriptEngine::trUtf8(const char*, const char*, int)
    {17, 261, 64, 3, Smoke::mf_virtual, 152, 7},	//110 QScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {17, 32, 0, 0, Smoke::mf_ctor, 23, 8},	//111 QScriptEngine::QScriptEngine()
    {17, 32, 68, 1, Smoke::mf_ctor, 23, 9},	//112 QScriptEngine::QScriptEngine(QObject*)
    {17, 153, 0, 0, Smoke::mf_const, 39, 10},	//113 QScriptEngine::globalObject() const
    {17, 286, 33, 1, 0, 0, 11},	//114 QScriptEngine::setGlobalObject(const QScriptValue&)
    {17, 115, 0, 0, Smoke::mf_const, 17, 12},	//115 QScriptEngine::currentContext() const
    {17, 256, 0, 0, 0, 17, 13},	//116 QScriptEngine::pushContext()
    {17, 237, 0, 0, 0, 0, 14},	//117 QScriptEngine::popContext()
    {17, 100, 51, 1, Smoke::mf_const, 128, 15},	//118 QScriptEngine::canEvaluate(const QString&) const
    {17, 102, 51, 1, Smoke::mf_static, 35, 16},	//119 QScriptEngine::checkSyntax(const QString&)
    {17, 127, 70, 3, 0, 39, 17},	//120 QScriptEngine::evaluate(const QString&, const QString&, int)
    {17, 127, 74, 1, 0, 39, 18},	//121 QScriptEngine::evaluate(const QScriptProgram&)
    {17, 173, 0, 0, Smoke::mf_const, 128, 19},	//122 QScriptEngine::isEvaluating() const
    {17, 85, 33, 1, 0, 0, 20},	//123 QScriptEngine::abortEvaluation(const QScriptValue&)
    {17, 156, 0, 0, Smoke::mf_const, 128, 21},	//124 QScriptEngine::hasUncaughtException() const
    {17, 354, 0, 0, Smoke::mf_const, 39, 22},	//125 QScriptEngine::uncaughtException() const
    {17, 356, 0, 0, Smoke::mf_const, 152, 23},	//126 QScriptEngine::uncaughtExceptionLineNumber() const
    {17, 355, 0, 0, Smoke::mf_const, 52, 24},	//127 QScriptEngine::uncaughtExceptionBacktrace() const
    {17, 105, 0, 0, 0, 0, 25},	//128 QScriptEngine::clearExceptions()
    {17, 224, 0, 0, 0, 39, 26},	//129 QScriptEngine::nullValue()
    {17, 357, 0, 0, 0, 39, 27},	//130 QScriptEngine::undefinedValue()
    {17, 197, 76, 2, 0, 39, 28},	//131 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    {17, 197, 79, 3, 0, 39, 29},	//132 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int)
    {17, 197, 83, 2, 0, 39, 30},	//133 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    {17, 220, 86, 1, 0, 39, 31},	//134 QScriptEngine::newVariant(const QVariant&)
    {17, 220, 88, 2, 0, 39, 32},	//135 QScriptEngine::newVariant(const QScriptValue&, const QVariant&)
    {17, 217, 91, 1, 0, 39, 33},	//136 QScriptEngine::newRegExp(const QRegExp&)
    {17, 204, 0, 0, 0, 39, 34},	//137 QScriptEngine::newObject()
    {17, 204, 93, 2, 0, 39, 35},	//138 QScriptEngine::newObject(QScriptClass*, const QScriptValue&)
    {17, 192, 96, 1, 0, 39, 36},	//139 QScriptEngine::newArray(unsigned int)
    {17, 217, 98, 2, 0, 39, 37},	//140 QScriptEngine::newRegExp(const QString&, const QString&)
    {17, 194, 101, 1, 0, 39, 38},	//141 QScriptEngine::newDate(double)
    {17, 194, 103, 1, 0, 39, 39},	//142 QScriptEngine::newDate(const QDateTime&)
    {17, 191, 0, 0, 0, 39, 40},	//143 QScriptEngine::newActivationObject()
    {17, 210, 105, 3, 0, 39, 41},	//144 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
    {17, 210, 109, 4, 0, 39, 42},	//145 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
    {17, 207, 114, 2, 0, 39, 43},	//146 QScriptEngine::newQMetaObject(const QMetaObject*, const QScriptValue&)
    {17, 118, 46, 1, Smoke::mf_const, 39, 44},	//147 QScriptEngine::defaultPrototype(int) const
    {17, 284, 117, 2, 0, 0, 45},	//148 QScriptEngine::setDefaultPrototype(int, const QScriptValue&)
    {17, 163, 33, 1, 0, 0, 46},	//149 QScriptEngine::installTranslatorFunctions(const QScriptValue&)
    {17, 158, 51, 1, 0, 39, 47},	//150 QScriptEngine::importExtension(const QString&)
    {17, 93, 0, 0, Smoke::mf_const, 52, 48},	//151 QScriptEngine::availableExtensions() const
    {17, 160, 0, 0, Smoke::mf_const, 52, 49},	//152 QScriptEngine::importedExtensions() const
    {17, 106, 0, 0, 0, 0, 50},	//153 QScriptEngine::collectGarbage()
    {17, 288, 46, 1, 0, 0, 51},	//154 QScriptEngine::setProcessEventsInterval(int)
    {17, 242, 0, 0, Smoke::mf_const, 152, 52},	//155 QScriptEngine::processEventsInterval() const
    {17, 280, 120, 1, 0, 0, 53},	//156 QScriptEngine::setAgent(QScriptEngineAgent*)
    {17, 88, 0, 0, Smoke::mf_const, 26, 54},	//157 QScriptEngine::agent() const
    {17, 341, 51, 1, 0, 32, 55},	//158 QScriptEngine::toStringHandle(const QString&)
    {17, 335, 33, 1, 0, 39, 56},	//159 QScriptEngine::toObject(const QScriptValue&)
    {17, 226, 122, 1, Smoke::mf_const, 39, 57},	//160 QScriptEngine::objectById(long long) const
    {17, 310, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//161 QScriptEngine::signalHandlerException(const QScriptValue&)
    {17, 32, 124, 2, Smoke::mf_ctor|Smoke::mf_protected, 23, 59},	//162 QScriptEngine::QScriptEngine(QScriptEnginePrivate&, QObject*)
    {17, 346, 15, 1, Smoke::mf_static, 51, 60},	//163 QScriptEngine::tr(const char*)
    {17, 350, 15, 1, Smoke::mf_static, 51, 61},	//164 QScriptEngine::trUtf8(const char*)
    {17, 127, 51, 1, 0, 39, 62},	//165 QScriptEngine::evaluate(const QString&)
    {17, 127, 98, 2, 0, 39, 63},	//166 QScriptEngine::evaluate(const QString&, const QString&)
    {17, 85, 0, 0, 0, 0, 64},	//167 QScriptEngine::abortEvaluation()
    {17, 197, 127, 1, 0, 39, 65},	//168 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*))
    {17, 197, 129, 2, 0, 39, 66},	//169 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&)
    {17, 204, 132, 1, 0, 39, 67},	//170 QScriptEngine::newObject(QScriptClass*)
    {17, 192, 0, 0, 0, 39, 68},	//171 QScriptEngine::newArray()
    {17, 210, 68, 1, 0, 39, 69},	//172 QScriptEngine::newQObject(QObject*)
    {17, 210, 134, 2, 0, 39, 70},	//173 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership)
    {17, 210, 137, 2, 0, 39, 71},	//174 QScriptEngine::newQObject(const QScriptValue&, QObject*)
    {17, 210, 140, 3, 0, 39, 72},	//175 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership)
    {17, 207, 144, 1, 0, 39, 73},	//176 QScriptEngine::newQMetaObject(const QMetaObject*)
    {17, 163, 0, 0, 0, 0, 74},	//177 QScriptEngine::installTranslatorFunctions()
    {17, 32, 146, 1, Smoke::mf_ctor|Smoke::mf_protected, 23, 75},	//178 QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    {17, 313, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 133, 76},	//179 QScriptEngine::staticMetaObject() const
    {17, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 77},	//180 QScriptEngine::QtOwnership (enum)
    {17, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 78},	//181 QScriptEngine::ScriptOwnership (enum)
    {17, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 79},	//182 QScriptEngine::AutoOwnership (enum)
    {17, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 80},	//183 QScriptEngine::ExcludeChildObjects (enum)
    {17, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 81},	//184 QScriptEngine::ExcludeSuperClassMethods (enum)
    {17, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 82},	//185 QScriptEngine::ExcludeSuperClassProperties (enum)
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 83},	//186 QScriptEngine::ExcludeSuperClassContents (enum)
    {17, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 84},	//187 QScriptEngine::SkipMethodsInEnumeration (enum)
    {17, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 85},	//188 QScriptEngine::ExcludeDeleteLater (enum)
    {17, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 86},	//189 QScriptEngine::AutoCreateDynamicProperties (enum)
    {17, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 87},	//190 QScriptEngine::PreferExistingWrapperObject (enum)
    {17, 363, 0, 0, Smoke::mf_dtor, 0, 88 },	//191 QScriptEngine::~QScriptEngine()
    {18, 35, 17, 1, Smoke::mf_ctor, 26, 1},	//192 QScriptEngineAgent::QScriptEngineAgent(QScriptEngine*)
    {18, 273, 148, 4, Smoke::mf_virtual, 0, 2},	//193 QScriptEngineAgent::scriptLoad(long long, const QString&, const QString&, int)
    {18, 276, 122, 1, Smoke::mf_virtual, 0, 3},	//194 QScriptEngineAgent::scriptUnload(long long)
    {18, 114, 0, 0, Smoke::mf_virtual, 0, 4},	//195 QScriptEngineAgent::contextPush()
    {18, 113, 0, 0, Smoke::mf_virtual, 0, 5},	//196 QScriptEngineAgent::contextPop()
    {18, 144, 122, 1, Smoke::mf_virtual, 0, 6},	//197 QScriptEngineAgent::functionEntry(long long)
    {18, 146, 153, 2, Smoke::mf_virtual, 0, 7},	//198 QScriptEngineAgent::functionExit(long long, const QScriptValue&)
    {18, 239, 156, 3, Smoke::mf_virtual, 0, 8},	//199 QScriptEngineAgent::positionChange(long long, int, int)
    {18, 136, 160, 3, Smoke::mf_virtual, 0, 9},	//200 QScriptEngineAgent::exceptionThrow(long long, const QScriptValue&, bool)
    {18, 134, 153, 2, Smoke::mf_virtual, 0, 10},	//201 QScriptEngineAgent::exceptionCatch(long long, const QScriptValue&)
    {18, 316, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 11},	//202 QScriptEngineAgent::supportsExtension(QScriptEngineAgent::Extension) const
    {18, 138, 166, 2, Smoke::mf_virtual, 55, 12},	//203 QScriptEngineAgent::extension(QScriptEngineAgent::Extension, const QVariant&)
    {18, 121, 0, 0, Smoke::mf_const, 23, 13},	//204 QScriptEngineAgent::engine() const
    {18, 35, 169, 2, Smoke::mf_ctor|Smoke::mf_protected, 26, 14},	//205 QScriptEngineAgent::QScriptEngineAgent(QScriptEngineAgentPrivate&, QScriptEngine*)
    {18, 138, 164, 1, 0, 55, 15},	//206 QScriptEngineAgent::extension(QScriptEngineAgent::Extension)
    {18, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 16},	//207 QScriptEngineAgent::DebuggerInvocationRequest (enum)
    {18, 364, 0, 0, Smoke::mf_dtor, 0, 17 },	//208 QScriptEngineAgent::~QScriptEngineAgent()
    {21, 161, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//209 QScriptExtensionInterface::initialize(const QString&, QScriptEngine*) [pure virtual]
    {21, 38, 0, 0, Smoke::mf_ctor, 30, 2},	//210 QScriptExtensionInterface::QScriptExtensionInterface()
    {21, 38, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 3},	//211 QScriptExtensionInterface::QScriptExtensionInterface(const QScriptExtensionInterface&)
    {21, 365, 0, 0, Smoke::mf_dtor, 0, 4 },	//212 QScriptExtensionInterface::~QScriptExtensionInterface()
    {22, 189, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 134, 1},	//213 QScriptExtensionPlugin::metaObject() const
    {22, 263, 15, 1, Smoke::mf_virtual, 158, 2},	//214 QScriptExtensionPlugin::qt_metacast(const char*)
    {22, 346, 57, 2, Smoke::mf_static, 51, 3},	//215 QScriptExtensionPlugin::tr(const char*, const char*)
    {22, 350, 57, 2, Smoke::mf_static, 51, 4},	//216 QScriptExtensionPlugin::trUtf8(const char*, const char*)
    {22, 346, 60, 3, Smoke::mf_static, 51, 5},	//217 QScriptExtensionPlugin::tr(const char*, const char*, int)
    {22, 350, 60, 3, Smoke::mf_static, 51, 6},	//218 QScriptExtensionPlugin::trUtf8(const char*, const char*, int)
    {22, 261, 64, 3, Smoke::mf_virtual, 152, 7},	//219 QScriptExtensionPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {22, 40, 68, 1, Smoke::mf_ctor, 31, 8},	//220 QScriptExtensionPlugin::QScriptExtensionPlugin(QObject*)
    {22, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//221 QScriptExtensionPlugin::keys() const [pure virtual]
    {22, 161, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//222 QScriptExtensionPlugin::initialize(const QString&, QScriptEngine*) [pure virtual]
    {22, 308, 172, 2, Smoke::mf_const, 39, 11},	//223 QScriptExtensionPlugin::setupPackage(const QString&, QScriptEngine*) const
    {22, 346, 15, 1, Smoke::mf_static, 51, 12},	//224 QScriptExtensionPlugin::tr(const char*)
    {22, 350, 15, 1, Smoke::mf_static, 51, 13},	//225 QScriptExtensionPlugin::trUtf8(const char*)
    {22, 40, 0, 0, Smoke::mf_ctor, 31, 14},	//226 QScriptExtensionPlugin::QScriptExtensionPlugin()
    {22, 313, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 133, 15},	//227 QScriptExtensionPlugin::staticMetaObject() const
    {22, 366, 0, 0, Smoke::mf_dtor, 0, 16 },	//228 QScriptExtensionPlugin::~QScriptExtensionPlugin()
    {24, 42, 0, 0, Smoke::mf_ctor, 34, 1},	//229 QScriptString::QScriptString()
    {24, 42, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//230 QScriptString::QScriptString(const QScriptString&)
    {24, 232, 177, 1, 0, 33, 3},	//231 QScriptString::operator=(const QScriptString&)
    {24, 183, 0, 0, Smoke::mf_const, 128, 4},	//232 QScriptString::isValid() const
    {24, 234, 177, 1, Smoke::mf_const, 128, 5},	//233 QScriptString::operator==(const QScriptString&) const
    {24, 230, 177, 1, Smoke::mf_const, 128, 6},	//234 QScriptString::operator!=(const QScriptString&) const
    {24, 325, 179, 1, Smoke::mf_const, 155, 7},	//235 QScriptString::toArrayIndex(bool*) const
    {24, 340, 0, 0, Smoke::mf_const, 51, 8},	//236 QScriptString::toString() const
    {24, 229, 0, 0, Smoke::mf_const, 51, 9},	//237 QScriptString::operator QString() const
    {24, 325, 0, 0, Smoke::mf_const, 155, 10},	//238 QScriptString::toArrayIndex() const
    {24, 367, 0, 0, Smoke::mf_dtor, 0, 11 },	//239 QScriptString::~QScriptString()
    {25, 44, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 1},	//240 QScriptSyntaxCheckResult::QScriptSyntaxCheckResult(const QScriptSyntaxCheckResult&)
    {25, 312, 0, 0, Smoke::mf_const, 38, 2},	//241 QScriptSyntaxCheckResult::state() const
    {25, 125, 0, 0, Smoke::mf_const, 152, 3},	//242 QScriptSyntaxCheckResult::errorLineNumber() const
    {25, 124, 0, 0, Smoke::mf_const, 152, 4},	//243 QScriptSyntaxCheckResult::errorColumnNumber() const
    {25, 126, 0, 0, Smoke::mf_const, 51, 5},	//244 QScriptSyntaxCheckResult::errorMessage() const
    {25, 232, 181, 1, 0, 36, 6},	//245 QScriptSyntaxCheckResult::operator=(const QScriptSyntaxCheckResult&)
    {25, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 7},	//246 QScriptSyntaxCheckResult::Error (enum)
    {25, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 8},	//247 QScriptSyntaxCheckResult::Intermediate (enum)
    {25, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 9},	//248 QScriptSyntaxCheckResult::Valid (enum)
    {25, 368, 0, 0, Smoke::mf_dtor, 0, 10 },	//249 QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult()
    {26, 46, 0, 0, Smoke::mf_ctor, 43, 1},	//250 QScriptValue::QScriptValue()
    {26, 46, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//251 QScriptValue::QScriptValue(const QScriptValue&)
    {26, 46, 183, 2, Smoke::mf_ctor, 43, 3},	//252 QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    {26, 46, 186, 2, Smoke::mf_ctor, 43, 4},	//253 QScriptValue::QScriptValue(QScriptEngine*, bool)
    {26, 46, 189, 2, Smoke::mf_ctor, 43, 5},	//254 QScriptValue::QScriptValue(QScriptEngine*, int)
    {26, 46, 192, 2, Smoke::mf_ctor, 43, 6},	//255 QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    {26, 46, 195, 2, Smoke::mf_ctor, 43, 7},	//256 QScriptValue::QScriptValue(QScriptEngine*, double)
    {26, 46, 198, 2, Smoke::mf_ctor, 43, 8},	//257 QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    {26, 46, 201, 2, Smoke::mf_ctor, 43, 9},	//258 QScriptValue::QScriptValue(QScriptEngine*, const char*)
    {26, 46, 204, 1, Smoke::mf_ctor, 43, 10},	//259 QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    {26, 46, 206, 1, Smoke::mf_ctor, 43, 11},	//260 QScriptValue::QScriptValue(bool)
    {26, 46, 46, 1, Smoke::mf_ctor, 43, 12},	//261 QScriptValue::QScriptValue(int)
    {26, 46, 96, 1, Smoke::mf_ctor, 43, 13},	//262 QScriptValue::QScriptValue(unsigned int)
    {26, 46, 101, 1, Smoke::mf_ctor, 43, 14},	//263 QScriptValue::QScriptValue(double)
    {26, 46, 51, 1, Smoke::mf_ctor, 43, 15},	//264 QScriptValue::QScriptValue(const QString&)
    {26, 46, 208, 1, Smoke::mf_ctor, 43, 16},	//265 QScriptValue::QScriptValue(const QLatin1String&)
    {26, 46, 15, 1, Smoke::mf_ctor, 43, 17},	//266 QScriptValue::QScriptValue(const char*)
    {26, 232, 33, 1, 0, 40, 18},	//267 QScriptValue::operator=(const QScriptValue&)
    {26, 121, 0, 0, Smoke::mf_const, 23, 19},	//268 QScriptValue::engine() const
    {26, 183, 0, 0, Smoke::mf_const, 128, 20},	//269 QScriptValue::isValid() const
    {26, 168, 0, 0, Smoke::mf_const, 128, 21},	//270 QScriptValue::isBool() const
    {26, 169, 0, 0, Smoke::mf_const, 128, 22},	//271 QScriptValue::isBoolean() const
    {26, 176, 0, 0, Smoke::mf_const, 128, 23},	//272 QScriptValue::isNumber() const
    {26, 174, 0, 0, Smoke::mf_const, 128, 24},	//273 QScriptValue::isFunction() const
    {26, 175, 0, 0, Smoke::mf_const, 128, 25},	//274 QScriptValue::isNull() const
    {26, 181, 0, 0, Smoke::mf_const, 128, 26},	//275 QScriptValue::isString() const
    {26, 182, 0, 0, Smoke::mf_const, 128, 27},	//276 QScriptValue::isUndefined() const
    {26, 184, 0, 0, Smoke::mf_const, 128, 28},	//277 QScriptValue::isVariant() const
    {26, 179, 0, 0, Smoke::mf_const, 128, 29},	//278 QScriptValue::isQObject() const
    {26, 178, 0, 0, Smoke::mf_const, 128, 30},	//279 QScriptValue::isQMetaObject() const
    {26, 177, 0, 0, Smoke::mf_const, 128, 31},	//280 QScriptValue::isObject() const
    {26, 171, 0, 0, Smoke::mf_const, 128, 32},	//281 QScriptValue::isDate() const
    {26, 180, 0, 0, Smoke::mf_const, 128, 33},	//282 QScriptValue::isRegExp() const
    {26, 167, 0, 0, Smoke::mf_const, 128, 34},	//283 QScriptValue::isArray() const
    {26, 172, 0, 0, Smoke::mf_const, 128, 35},	//284 QScriptValue::isError() const
    {26, 340, 0, 0, Smoke::mf_const, 51, 36},	//285 QScriptValue::toString() const
    {26, 334, 0, 0, Smoke::mf_const, 151, 37},	//286 QScriptValue::toNumber() const
    {26, 328, 0, 0, Smoke::mf_const, 128, 38},	//287 QScriptValue::toBool() const
    {26, 329, 0, 0, Smoke::mf_const, 128, 39},	//288 QScriptValue::toBoolean() const
    {26, 333, 0, 0, Smoke::mf_const, 151, 40},	//289 QScriptValue::toInteger() const
    {26, 332, 0, 0, Smoke::mf_const, 152, 41},	//290 QScriptValue::toInt32() const
    {26, 344, 0, 0, Smoke::mf_const, 155, 42},	//291 QScriptValue::toUInt32() const
    {26, 343, 0, 0, Smoke::mf_const, 157, 43},	//292 QScriptValue::toUInt16() const
    {26, 345, 0, 0, Smoke::mf_const, 55, 44},	//293 QScriptValue::toVariant() const
    {26, 338, 0, 0, Smoke::mf_const, 7, 45},	//294 QScriptValue::toQObject() const
    {26, 337, 0, 0, Smoke::mf_const, 134, 46},	//295 QScriptValue::toQMetaObject() const
    {26, 335, 0, 0, Smoke::mf_const, 39, 47},	//296 QScriptValue::toObject() const
    {26, 330, 0, 0, Smoke::mf_const, 3, 48},	//297 QScriptValue::toDateTime() const
    {26, 339, 0, 0, Smoke::mf_const, 8, 49},	//298 QScriptValue::toRegExp() const
    {26, 165, 33, 1, Smoke::mf_const, 128, 50},	//299 QScriptValue::instanceOf(const QScriptValue&) const
    {26, 186, 33, 1, Smoke::mf_const, 128, 51},	//300 QScriptValue::lessThan(const QScriptValue&) const
    {26, 122, 33, 1, Smoke::mf_const, 128, 52},	//301 QScriptValue::equals(const QScriptValue&) const
    {26, 314, 33, 1, Smoke::mf_const, 128, 53},	//302 QScriptValue::strictlyEquals(const QScriptValue&) const
    {26, 255, 0, 0, Smoke::mf_const, 39, 54},	//303 QScriptValue::prototype() const
    {26, 296, 33, 1, 0, 0, 55},	//304 QScriptValue::setPrototype(const QScriptValue&)
    {26, 269, 0, 0, Smoke::mf_const, 39, 56},	//305 QScriptValue::scope() const
    {26, 300, 33, 1, 0, 0, 57},	//306 QScriptValue::setScope(const QScriptValue&)
    {26, 243, 210, 2, Smoke::mf_const, 39, 58},	//307 QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
    {26, 290, 213, 3, 0, 0, 59},	//308 QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 243, 217, 2, Smoke::mf_const, 39, 60},	//309 QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
    {26, 290, 220, 3, 0, 0, 61},	//310 QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 243, 224, 2, Smoke::mf_const, 39, 62},	//311 QScriptValue::property(const QScriptString&, const QScriptValue::ResolveFlags&) const
    {26, 290, 227, 3, 0, 0, 63},	//312 QScriptValue::setProperty(const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 249, 210, 2, Smoke::mf_const, 45, 64},	//313 QScriptValue::propertyFlags(const QString&, const QScriptValue::ResolveFlags&) const
    {26, 249, 224, 2, Smoke::mf_const, 45, 65},	//314 QScriptValue::propertyFlags(const QScriptString&, const QScriptValue::ResolveFlags&) const
    {26, 95, 231, 2, 0, 39, 66},	//315 QScriptValue::call(const QScriptValue&, const QList<QScriptValue>&)
    {26, 95, 234, 2, 0, 39, 67},	//316 QScriptValue::call(const QScriptValue&, const QScriptValue&)
    {26, 109, 237, 1, 0, 39, 68},	//317 QScriptValue::construct(const QList<QScriptValue>&)
    {26, 109, 33, 1, 0, 39, 69},	//318 QScriptValue::construct(const QScriptValue&)
    {26, 117, 0, 0, Smoke::mf_const, 39, 70},	//319 QScriptValue::data() const
    {26, 282, 33, 1, 0, 0, 71},	//320 QScriptValue::setData(const QScriptValue&)
    {26, 271, 0, 0, Smoke::mf_const, 10, 72},	//321 QScriptValue::scriptClass() const
    {26, 302, 132, 1, 0, 0, 73},	//322 QScriptValue::setScriptClass(QScriptClass*)
    {26, 228, 0, 0, Smoke::mf_const, 154, 74},	//323 QScriptValue::objectId() const
    {26, 243, 51, 1, Smoke::mf_const, 39, 75},	//324 QScriptValue::property(const QString&) const
    {26, 290, 239, 2, 0, 0, 76},	//325 QScriptValue::setProperty(const QString&, const QScriptValue&)
    {26, 243, 96, 1, Smoke::mf_const, 39, 77},	//326 QScriptValue::property(unsigned int) const
    {26, 290, 242, 2, 0, 0, 78},	//327 QScriptValue::setProperty(unsigned int, const QScriptValue&)
    {26, 243, 177, 1, Smoke::mf_const, 39, 79},	//328 QScriptValue::property(const QScriptString&) const
    {26, 290, 245, 2, 0, 0, 80},	//329 QScriptValue::setProperty(const QScriptString&, const QScriptValue&)
    {26, 249, 51, 1, Smoke::mf_const, 45, 81},	//330 QScriptValue::propertyFlags(const QString&) const
    {26, 249, 177, 1, Smoke::mf_const, 45, 82},	//331 QScriptValue::propertyFlags(const QScriptString&) const
    {26, 95, 0, 0, 0, 39, 83},	//332 QScriptValue::call()
    {26, 95, 33, 1, 0, 39, 84},	//333 QScriptValue::call(const QScriptValue&)
    {26, 109, 0, 0, 0, 39, 85},	//334 QScriptValue::construct()
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 86},	//335 QScriptValue::ResolveLocal (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 87},	//336 QScriptValue::ResolvePrototype (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 88},	//337 QScriptValue::ResolveScope (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 89},	//338 QScriptValue::ResolveFull (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 90},	//339 QScriptValue::ReadOnly (enum)
    {26, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 91},	//340 QScriptValue::Undeletable (enum)
    {26, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 92},	//341 QScriptValue::SkipInEnumeration (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 93},	//342 QScriptValue::PropertyGetter (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 94},	//343 QScriptValue::PropertySetter (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 95},	//344 QScriptValue::QObjectMember (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 96},	//345 QScriptValue::KeepExistingFlags (enum)
    {26, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 97},	//346 QScriptValue::UserRange (enum)
    {26, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 98},	//347 QScriptValue::NullValue (enum)
    {26, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 99},	//348 QScriptValue::UndefinedValue (enum)
    {26, 369, 0, 0, Smoke::mf_dtor, 0, 100 },	//349 QScriptValue::~QScriptValue()
    {27, 50, 33, 1, Smoke::mf_ctor, 49, 1},	//350 QScriptValueIterator::QScriptValueIterator(const QScriptValue&)
    {27, 154, 0, 0, Smoke::mf_const, 128, 2},	//351 QScriptValueIterator::hasNext() const
    {27, 223, 0, 0, 0, 0, 3},	//352 QScriptValueIterator::next()
    {27, 155, 0, 0, Smoke::mf_const, 128, 4},	//353 QScriptValueIterator::hasPrevious() const
    {27, 241, 0, 0, 0, 0, 5},	//354 QScriptValueIterator::previous()
    {27, 190, 0, 0, Smoke::mf_const, 51, 6},	//355 QScriptValueIterator::name() const
    {27, 275, 0, 0, Smoke::mf_const, 32, 7},	//356 QScriptValueIterator::scriptName() const
    {27, 358, 0, 0, Smoke::mf_const, 39, 8},	//357 QScriptValueIterator::value() const
    {27, 306, 33, 1, 0, 0, 9},	//358 QScriptValueIterator::setValue(const QScriptValue&)
    {27, 142, 0, 0, Smoke::mf_const, 45, 10},	//359 QScriptValueIterator::flags() const
    {27, 267, 0, 0, 0, 0, 11},	//360 QScriptValueIterator::remove()
    {27, 331, 0, 0, 0, 0, 12},	//361 QScriptValueIterator::toFront()
    {27, 327, 0, 0, 0, 0, 13},	//362 QScriptValueIterator::toBack()
    {27, 232, 248, 1, 0, 48, 14},	//363 QScriptValueIterator::operator=(QScriptValue&)
    {27, 370, 0, 0, Smoke::mf_dtor, 0, 15 },	//364 QScriptValueIterator::~QScriptValueIterator()
    {28, 52, 0, 0, Smoke::mf_ctor, 50, 1},	//365 QScriptable::QScriptable()
    {28, 121, 0, 0, Smoke::mf_const, 23, 2},	//366 QScriptable::engine() const
    {28, 112, 0, 0, Smoke::mf_const, 17, 3},	//367 QScriptable::context() const
    {28, 318, 0, 0, Smoke::mf_const, 39, 4},	//368 QScriptable::thisObject() const
    {28, 91, 0, 0, Smoke::mf_const, 152, 5},	//369 QScriptable::argumentCount() const
    {28, 89, 46, 1, Smoke::mf_const, 39, 6},	//370 QScriptable::argument(int) const
    {28, 371, 0, 0, Smoke::mf_dtor, 0, 7 },	//371 QScriptable::~QScriptable()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    112,  // QScriptEngine::QScriptEngine(QObject*)
    178,  // QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    0,
    131,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    133,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    0,
    82,  // QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    83,  // QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    0,
    251,  // QScriptValue::QScriptValue(const QScriptValue&)
    265,  // QScriptValue::QScriptValue(const QLatin1String&)
    0,
    252,  // QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    253,  // QScriptValue::QScriptValue(QScriptEngine*, bool)
    254,  // QScriptValue::QScriptValue(QScriptEngine*, int)
    255,  // QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    256,  // QScriptValue::QScriptValue(QScriptEngine*, double)
    257,  // QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    258,  // QScriptValue::QScriptValue(QScriptEngine*, const char*)
    0,
    259,  // QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    260,  // QScriptValue::QScriptValue(bool)
    261,  // QScriptValue::QScriptValue(int)
    262,  // QScriptValue::QScriptValue(unsigned int)
    263,  // QScriptValue::QScriptValue(double)
    264,  // QScriptValue::QScriptValue(const QString&)
    266,  // QScriptValue::QScriptValue(const char*)
    0,
    324,  // QScriptValue::property(const QString&) const
    326,  // QScriptValue::property(unsigned int) const
    0,
    307,  // QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
    309,  // QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
    0,
    325,  // QScriptValue::setProperty(const QString&, const QScriptValue&)
    327,  // QScriptValue::setProperty(unsigned int, const QScriptValue&)
    0,
    308,  // QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    310,  // QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 53, 3},	// QGlobalSpace::Q_COMPLEX_TYPE
    {6, 54, 7},	// QGlobalSpace::Q_DUMMY_TYPE
    {6, 55, 6},	// QGlobalSpace::Q_MOVABLE_TYPE
    {6, 56, 4},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {6, 57, 5},	// QGlobalSpace::Q_STATIC_TYPE
    {6, 58, 10},	// QGlobalSpace::QtCriticalMsg
    {6, 59, 8},	// QGlobalSpace::QtDebugMsg
    {6, 60, 11},	// QGlobalSpace::QtFatalMsg
    {6, 64, 12},	// QGlobalSpace::QtSystemMsg
    {6, 65, 9},	// QGlobalSpace::QtWarningMsg
    {6, 260, 2},	// QGlobalSpace::qScriptConnect#$##
    {11, 3, 35},	// QScriptClass::Callable
    {11, 12, 33},	// QScriptClass::HandlesReadAccess
    {11, 13, 34},	// QScriptClass::HandlesWriteAccess
    {11, 14, 36},	// QScriptClass::HasInstance
    {11, 25, 20},	// QScriptClass::QScriptClass#
    {11, 26, 31},	// QScriptClass::QScriptClass##
    {11, 121, 21},	// QScriptClass::engine
    {11, 139, 32},	// QScriptClass::extension$
    {11, 140, 30},	// QScriptClass::extension$#
    {11, 190, 28},	// QScriptClass::name
    {11, 203, 26},	// QScriptClass::newIterator#
    {11, 245, 23},	// QScriptClass::property##$
    {11, 251, 25},	// QScriptClass::propertyFlags##$
    {11, 255, 27},	// QScriptClass::prototype
    {11, 266, 22},	// QScriptClass::queryProperty##$$
    {11, 292, 24},	// QScriptClass::setProperty##$#
    {11, 317, 29},	// QScriptClass::supportsExtension$
    {11, 359, 37},	// QScriptClass::~QScriptClass
    {13, 28, 38},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator#
    {13, 29, 49},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator##
    {13, 142, 48},	// QScriptClassPropertyIterator::flags
    {13, 154, 40},	// QScriptClassPropertyIterator::hasNext
    {13, 155, 42},	// QScriptClassPropertyIterator::hasPrevious
    {13, 157, 47},	// QScriptClassPropertyIterator::id
    {13, 190, 46},	// QScriptClassPropertyIterator::name
    {13, 223, 41},	// QScriptClassPropertyIterator::next
    {13, 225, 39},	// QScriptClassPropertyIterator::object
    {13, 241, 43},	// QScriptClassPropertyIterator::previous
    {13, 327, 45},	// QScriptClassPropertyIterator::toBack
    {13, 331, 44},	// QScriptClassPropertyIterator::toFront
    {13, 360, 50},	// QScriptClassPropertyIterator::~QScriptClassPropertyIterator
    {15, 6, 74},	// QScriptContext::ExceptionState
    {15, 18, 73},	// QScriptContext::NormalState
    {15, 66, 79},	// QScriptContext::RangeError
    {15, 68, 76},	// QScriptContext::ReferenceError
    {15, 77, 77},	// QScriptContext::SyntaxError
    {15, 78, 78},	// QScriptContext::TypeError
    {15, 79, 80},	// QScriptContext::URIError
    {15, 82, 75},	// QScriptContext::UnknownError
    {15, 87, 63},	// QScriptContext::activationObject
    {15, 90, 56},	// QScriptContext::argument$
    {15, 91, 55},	// QScriptContext::argumentCount
    {15, 92, 57},	// QScriptContext::argumentsObject
    {15, 94, 71},	// QScriptContext::backtrace
    {15, 99, 54},	// QScriptContext::callee
    {15, 121, 52},	// QScriptContext::engine
    {15, 170, 67},	// QScriptContext::isCalledAsConstructor
    {15, 236, 51},	// QScriptContext::parentContext
    {15, 238, 60},	// QScriptContext::popScope
    {15, 258, 59},	// QScriptContext::pushScope#
    {15, 268, 61},	// QScriptContext::returnValue
    {15, 270, 58},	// QScriptContext::scopeChain
    {15, 279, 64},	// QScriptContext::setActivationObject#
    {15, 299, 62},	// QScriptContext::setReturnValue#
    {15, 305, 66},	// QScriptContext::setThisObject#
    {15, 312, 53},	// QScriptContext::state
    {15, 318, 65},	// QScriptContext::thisObject
    {15, 320, 70},	// QScriptContext::throwError$
    {15, 321, 69},	// QScriptContext::throwError$$
    {15, 323, 68},	// QScriptContext::throwValue#
    {15, 340, 72},	// QScriptContext::toString
    {15, 361, 81},	// QScriptContext::~QScriptContext
    {16, 17, 102},	// QScriptContextInfo::NativeFunction
    {16, 30, 84},	// QScriptContextInfo::QScriptContextInfo
    {16, 31, -7},	// QScriptContextInfo::QScriptContextInfo#
    {16, 61, 100},	// QScriptContextInfo::QtFunction
    {16, 63, 101},	// QScriptContextInfo::QtPropertyFunction
    {16, 73, 99},	// QScriptContextInfo::ScriptFunction
    {16, 107, 90},	// QScriptContextInfo::columnNumber
    {16, 141, 88},	// QScriptContextInfo::fileName
    {16, 143, 95},	// QScriptContextInfo::functionEndLineNumber
    {16, 148, 96},	// QScriptContextInfo::functionMetaIndex
    {16, 149, 91},	// QScriptContextInfo::functionName
    {16, 150, 93},	// QScriptContextInfo::functionParameterNames
    {16, 151, 94},	// QScriptContextInfo::functionStartLineNumber
    {16, 152, 92},	// QScriptContextInfo::functionType
    {16, 175, 86},	// QScriptContextInfo::isNull
    {16, 188, 89},	// QScriptContextInfo::lineNumber
    {16, 231, 98},	// QScriptContextInfo::operator!=#
    {16, 233, 85},	// QScriptContextInfo::operator=#
    {16, 235, 97},	// QScriptContextInfo::operator==#
    {16, 272, 87},	// QScriptContextInfo::scriptId
    {16, 362, 103},	// QScriptContextInfo::~QScriptContextInfo
    {17, 1, 189},	// QScriptEngine::AutoCreateDynamicProperties
    {17, 2, 182},	// QScriptEngine::AutoOwnership
    {17, 7, 183},	// QScriptEngine::ExcludeChildObjects
    {17, 8, 188},	// QScriptEngine::ExcludeDeleteLater
    {17, 9, 186},	// QScriptEngine::ExcludeSuperClassContents
    {17, 10, 184},	// QScriptEngine::ExcludeSuperClassMethods
    {17, 11, 185},	// QScriptEngine::ExcludeSuperClassProperties
    {17, 20, 190},	// QScriptEngine::PreferExistingWrapperObject
    {17, 32, 111},	// QScriptEngine::QScriptEngine
    {17, 33, -1},	// QScriptEngine::QScriptEngine#
    {17, 34, 162},	// QScriptEngine::QScriptEngine##
    {17, 62, 180},	// QScriptEngine::QtOwnership
    {17, 74, 181},	// QScriptEngine::ScriptOwnership
    {17, 76, 187},	// QScriptEngine::SkipMethodsInEnumeration
    {17, 85, 167},	// QScriptEngine::abortEvaluation
    {17, 86, 123},	// QScriptEngine::abortEvaluation#
    {17, 88, 157},	// QScriptEngine::agent
    {17, 93, 151},	// QScriptEngine::availableExtensions
    {17, 101, 118},	// QScriptEngine::canEvaluate$
    {17, 103, 119},	// QScriptEngine::checkSyntax$
    {17, 105, 128},	// QScriptEngine::clearExceptions
    {17, 106, 153},	// QScriptEngine::collectGarbage
    {17, 115, 115},	// QScriptEngine::currentContext
    {17, 119, 147},	// QScriptEngine::defaultPrototype$
    {17, 128, 121},	// QScriptEngine::evaluate#
    {17, 129, 165},	// QScriptEngine::evaluate$
    {17, 130, 166},	// QScriptEngine::evaluate$$
    {17, 131, 120},	// QScriptEngine::evaluate$$$
    {17, 153, 113},	// QScriptEngine::globalObject
    {17, 156, 124},	// QScriptEngine::hasUncaughtException
    {17, 159, 150},	// QScriptEngine::importExtension$
    {17, 160, 152},	// QScriptEngine::importedExtensions
    {17, 163, 177},	// QScriptEngine::installTranslatorFunctions
    {17, 164, 149},	// QScriptEngine::installTranslatorFunctions#
    {17, 173, 122},	// QScriptEngine::isEvaluating
    {17, 189, 104},	// QScriptEngine::metaObject
    {17, 191, 143},	// QScriptEngine::newActivationObject
    {17, 192, 171},	// QScriptEngine::newArray
    {17, 193, 139},	// QScriptEngine::newArray$
    {17, 195, 142},	// QScriptEngine::newDate#
    {17, 196, 141},	// QScriptEngine::newDate$
    {17, 198, 168},	// QScriptEngine::newFunction#
    {17, 199, 169},	// QScriptEngine::newFunction##
    {17, 200, 132},	// QScriptEngine::newFunction##$
    {17, 201, -4},	// QScriptEngine::newFunction#$
    {17, 204, 137},	// QScriptEngine::newObject
    {17, 205, 170},	// QScriptEngine::newObject#
    {17, 206, 138},	// QScriptEngine::newObject##
    {17, 208, 176},	// QScriptEngine::newQMetaObject#
    {17, 209, 146},	// QScriptEngine::newQMetaObject##
    {17, 211, 172},	// QScriptEngine::newQObject#
    {17, 212, 174},	// QScriptEngine::newQObject##
    {17, 213, 175},	// QScriptEngine::newQObject##$
    {17, 214, 145},	// QScriptEngine::newQObject##$?
    {17, 215, 173},	// QScriptEngine::newQObject#$
    {17, 216, 144},	// QScriptEngine::newQObject#$?
    {17, 218, 136},	// QScriptEngine::newRegExp#
    {17, 219, 140},	// QScriptEngine::newRegExp$$
    {17, 221, 134},	// QScriptEngine::newVariant#
    {17, 222, 135},	// QScriptEngine::newVariant##
    {17, 224, 129},	// QScriptEngine::nullValue
    {17, 227, 160},	// QScriptEngine::objectById$
    {17, 237, 117},	// QScriptEngine::popContext
    {17, 242, 155},	// QScriptEngine::processEventsInterval
    {17, 256, 116},	// QScriptEngine::pushContext
    {17, 262, 110},	// QScriptEngine::qt_metacall$$?
    {17, 264, 105},	// QScriptEngine::qt_metacast$
    {17, 281, 156},	// QScriptEngine::setAgent#
    {17, 285, 148},	// QScriptEngine::setDefaultPrototype$#
    {17, 287, 114},	// QScriptEngine::setGlobalObject#
    {17, 289, 154},	// QScriptEngine::setProcessEventsInterval$
    {17, 311, 161},	// QScriptEngine::signalHandlerException#
    {17, 313, 179},	// QScriptEngine::staticMetaObject
    {17, 336, 159},	// QScriptEngine::toObject#
    {17, 342, 158},	// QScriptEngine::toStringHandle$
    {17, 347, 163},	// QScriptEngine::tr$
    {17, 348, 106},	// QScriptEngine::tr$$
    {17, 349, 108},	// QScriptEngine::tr$$$
    {17, 351, 164},	// QScriptEngine::trUtf8$
    {17, 352, 107},	// QScriptEngine::trUtf8$$
    {17, 353, 109},	// QScriptEngine::trUtf8$$$
    {17, 354, 125},	// QScriptEngine::uncaughtException
    {17, 355, 127},	// QScriptEngine::uncaughtExceptionBacktrace
    {17, 356, 126},	// QScriptEngine::uncaughtExceptionLineNumber
    {17, 357, 130},	// QScriptEngine::undefinedValue
    {17, 363, 191},	// QScriptEngine::~QScriptEngine
    {18, 4, 207},	// QScriptEngineAgent::DebuggerInvocationRequest
    {18, 36, 192},	// QScriptEngineAgent::QScriptEngineAgent#
    {18, 37, 205},	// QScriptEngineAgent::QScriptEngineAgent##
    {18, 113, 196},	// QScriptEngineAgent::contextPop
    {18, 114, 195},	// QScriptEngineAgent::contextPush
    {18, 121, 204},	// QScriptEngineAgent::engine
    {18, 135, 201},	// QScriptEngineAgent::exceptionCatch$#
    {18, 137, 200},	// QScriptEngineAgent::exceptionThrow$#$
    {18, 139, 206},	// QScriptEngineAgent::extension$
    {18, 140, 203},	// QScriptEngineAgent::extension$#
    {18, 145, 197},	// QScriptEngineAgent::functionEntry$
    {18, 147, 198},	// QScriptEngineAgent::functionExit$#
    {18, 240, 199},	// QScriptEngineAgent::positionChange$$$
    {18, 274, 193},	// QScriptEngineAgent::scriptLoad$$$$
    {18, 277, 194},	// QScriptEngineAgent::scriptUnload$
    {18, 317, 202},	// QScriptEngineAgent::supportsExtension$
    {18, 364, 208},	// QScriptEngineAgent::~QScriptEngineAgent
    {21, 38, 210},	// QScriptExtensionInterface::QScriptExtensionInterface
    {21, 39, 211},	// QScriptExtensionInterface::QScriptExtensionInterface#
    {21, 162, 209},	// QScriptExtensionInterface::initialize$#
    {21, 365, 212},	// QScriptExtensionInterface::~QScriptExtensionInterface
    {22, 40, 226},	// QScriptExtensionPlugin::QScriptExtensionPlugin
    {22, 41, 220},	// QScriptExtensionPlugin::QScriptExtensionPlugin#
    {22, 162, 222},	// QScriptExtensionPlugin::initialize$#
    {22, 185, 221},	// QScriptExtensionPlugin::keys
    {22, 189, 213},	// QScriptExtensionPlugin::metaObject
    {22, 262, 219},	// QScriptExtensionPlugin::qt_metacall$$?
    {22, 264, 214},	// QScriptExtensionPlugin::qt_metacast$
    {22, 309, 223},	// QScriptExtensionPlugin::setupPackage$#
    {22, 313, 227},	// QScriptExtensionPlugin::staticMetaObject
    {22, 347, 224},	// QScriptExtensionPlugin::tr$
    {22, 348, 215},	// QScriptExtensionPlugin::tr$$
    {22, 349, 217},	// QScriptExtensionPlugin::tr$$$
    {22, 351, 225},	// QScriptExtensionPlugin::trUtf8$
    {22, 352, 216},	// QScriptExtensionPlugin::trUtf8$$
    {22, 353, 218},	// QScriptExtensionPlugin::trUtf8$$$
    {22, 366, 228},	// QScriptExtensionPlugin::~QScriptExtensionPlugin
    {24, 42, 229},	// QScriptString::QScriptString
    {24, 43, 230},	// QScriptString::QScriptString#
    {24, 183, 232},	// QScriptString::isValid
    {24, 229, 237},	// QScriptString::operator QString
    {24, 231, 234},	// QScriptString::operator!=#
    {24, 233, 231},	// QScriptString::operator=#
    {24, 235, 233},	// QScriptString::operator==#
    {24, 325, 238},	// QScriptString::toArrayIndex
    {24, 326, 235},	// QScriptString::toArrayIndex$
    {24, 340, 236},	// QScriptString::toString
    {24, 367, 239},	// QScriptString::~QScriptString
    {25, 5, 246},	// QScriptSyntaxCheckResult::Error
    {25, 15, 247},	// QScriptSyntaxCheckResult::Intermediate
    {25, 45, 240},	// QScriptSyntaxCheckResult::QScriptSyntaxCheckResult#
    {25, 84, 248},	// QScriptSyntaxCheckResult::Valid
    {25, 124, 243},	// QScriptSyntaxCheckResult::errorColumnNumber
    {25, 125, 242},	// QScriptSyntaxCheckResult::errorLineNumber
    {25, 126, 244},	// QScriptSyntaxCheckResult::errorMessage
    {25, 233, 245},	// QScriptSyntaxCheckResult::operator=#
    {25, 312, 241},	// QScriptSyntaxCheckResult::state
    {25, 368, 249},	// QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult
    {26, 16, 345},	// QScriptValue::KeepExistingFlags
    {26, 19, 347},	// QScriptValue::NullValue
    {26, 21, 342},	// QScriptValue::PropertyGetter
    {26, 22, 343},	// QScriptValue::PropertySetter
    {26, 23, 344},	// QScriptValue::QObjectMember
    {26, 46, 250},	// QScriptValue::QScriptValue
    {26, 47, -10},	// QScriptValue::QScriptValue#
    {26, 48, -13},	// QScriptValue::QScriptValue#$
    {26, 49, -21},	// QScriptValue::QScriptValue$
    {26, 67, 339},	// QScriptValue::ReadOnly
    {26, 69, 338},	// QScriptValue::ResolveFull
    {26, 70, 335},	// QScriptValue::ResolveLocal
    {26, 71, 336},	// QScriptValue::ResolvePrototype
    {26, 72, 337},	// QScriptValue::ResolveScope
    {26, 75, 341},	// QScriptValue::SkipInEnumeration
    {26, 80, 348},	// QScriptValue::UndefinedValue
    {26, 81, 340},	// QScriptValue::Undeletable
    {26, 83, 346},	// QScriptValue::UserRange
    {26, 95, 332},	// QScriptValue::call
    {26, 96, 333},	// QScriptValue::call#
    {26, 97, 316},	// QScriptValue::call##
    {26, 98, 315},	// QScriptValue::call#?
    {26, 109, 334},	// QScriptValue::construct
    {26, 110, 318},	// QScriptValue::construct#
    {26, 111, 317},	// QScriptValue::construct?
    {26, 117, 319},	// QScriptValue::data
    {26, 121, 268},	// QScriptValue::engine
    {26, 123, 301},	// QScriptValue::equals#
    {26, 166, 299},	// QScriptValue::instanceOf#
    {26, 167, 283},	// QScriptValue::isArray
    {26, 168, 270},	// QScriptValue::isBool
    {26, 169, 271},	// QScriptValue::isBoolean
    {26, 171, 281},	// QScriptValue::isDate
    {26, 172, 284},	// QScriptValue::isError
    {26, 174, 273},	// QScriptValue::isFunction
    {26, 175, 274},	// QScriptValue::isNull
    {26, 176, 272},	// QScriptValue::isNumber
    {26, 177, 280},	// QScriptValue::isObject
    {26, 178, 279},	// QScriptValue::isQMetaObject
    {26, 179, 278},	// QScriptValue::isQObject
    {26, 180, 282},	// QScriptValue::isRegExp
    {26, 181, 275},	// QScriptValue::isString
    {26, 182, 276},	// QScriptValue::isUndefined
    {26, 183, 269},	// QScriptValue::isValid
    {26, 184, 277},	// QScriptValue::isVariant
    {26, 187, 300},	// QScriptValue::lessThan#
    {26, 228, 323},	// QScriptValue::objectId
    {26, 233, 267},	// QScriptValue::operator=#
    {26, 244, 328},	// QScriptValue::property#
    {26, 246, 311},	// QScriptValue::property#?
    {26, 247, -29},	// QScriptValue::property$
    {26, 248, -32},	// QScriptValue::property$?
    {26, 250, 331},	// QScriptValue::propertyFlags#
    {26, 252, 314},	// QScriptValue::propertyFlags#?
    {26, 253, 330},	// QScriptValue::propertyFlags$
    {26, 254, 313},	// QScriptValue::propertyFlags$?
    {26, 255, 303},	// QScriptValue::prototype
    {26, 269, 305},	// QScriptValue::scope
    {26, 271, 321},	// QScriptValue::scriptClass
    {26, 283, 320},	// QScriptValue::setData#
    {26, 291, 329},	// QScriptValue::setProperty##
    {26, 293, 312},	// QScriptValue::setProperty##?
    {26, 294, -35},	// QScriptValue::setProperty$#
    {26, 295, -38},	// QScriptValue::setProperty$#?
    {26, 297, 304},	// QScriptValue::setPrototype#
    {26, 301, 306},	// QScriptValue::setScope#
    {26, 303, 322},	// QScriptValue::setScriptClass#
    {26, 315, 302},	// QScriptValue::strictlyEquals#
    {26, 328, 287},	// QScriptValue::toBool
    {26, 329, 288},	// QScriptValue::toBoolean
    {26, 330, 297},	// QScriptValue::toDateTime
    {26, 332, 290},	// QScriptValue::toInt32
    {26, 333, 289},	// QScriptValue::toInteger
    {26, 334, 286},	// QScriptValue::toNumber
    {26, 335, 296},	// QScriptValue::toObject
    {26, 337, 295},	// QScriptValue::toQMetaObject
    {26, 338, 294},	// QScriptValue::toQObject
    {26, 339, 298},	// QScriptValue::toRegExp
    {26, 340, 285},	// QScriptValue::toString
    {26, 343, 292},	// QScriptValue::toUInt16
    {26, 344, 291},	// QScriptValue::toUInt32
    {26, 345, 293},	// QScriptValue::toVariant
    {26, 369, 349},	// QScriptValue::~QScriptValue
    {27, 51, 350},	// QScriptValueIterator::QScriptValueIterator#
    {27, 142, 359},	// QScriptValueIterator::flags
    {27, 154, 351},	// QScriptValueIterator::hasNext
    {27, 155, 353},	// QScriptValueIterator::hasPrevious
    {27, 190, 355},	// QScriptValueIterator::name
    {27, 223, 352},	// QScriptValueIterator::next
    {27, 233, 363},	// QScriptValueIterator::operator=#
    {27, 241, 354},	// QScriptValueIterator::previous
    {27, 267, 360},	// QScriptValueIterator::remove
    {27, 275, 356},	// QScriptValueIterator::scriptName
    {27, 307, 358},	// QScriptValueIterator::setValue#
    {27, 327, 362},	// QScriptValueIterator::toBack
    {27, 331, 361},	// QScriptValueIterator::toFront
    {27, 358, 357},	// QScriptValueIterator::value
    {27, 370, 364},	// QScriptValueIterator::~QScriptValueIterator
    {28, 52, 365},	// QScriptable::QScriptable
    {28, 90, 370},	// QScriptable::argument$
    {28, 91, 369},	// QScriptable::argumentCount
    {28, 112, 367},	// QScriptable::context
    {28, 121, 366},	// QScriptable::engine
    {28, 318, 368},	// QScriptable::thisObject
    {28, 371, 371},	// QScriptable::~QScriptable
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtscript_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtscript_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtscript_Smoke = new Smoke(
        "qtscript",
        __smokeqtscript::classes, 30,
        __smokeqtscript::methods, 372,
        __smokeqtscript::methodMaps, 344,
        __smokeqtscript::methodNames, 371,
        __smokeqtscript::types, 160,
        __smokeqtscript::inheritanceList,
        __smokeqtscript::argumentList,
        __smokeqtscript::ambiguousMethodList,
        __smokeqtscript::cast );
    initialized = true;
}

void delete_qtscript_Smoke() { delete qtscript_Smoke; }

}
