#include <qtuitools_includes.h>

#include <smoke.h>
#include <qtuitools_smoke.h>

namespace __smokeqtuitools {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionGroup
      switch(to) {
        case 2: return (void*)(QActionGroup*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 6: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QDir
      switch(to) {
        case 5: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 6:   //QEvent
      switch(to) {
        case 6: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QIODevice
      switch(to) {
        case 12: return (void*)(QObject*)(QIODevice*)xptr;
        case 8: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 9:   //QIncompatibleFlag
      switch(to) {
        case 9: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 10:   //QLayout
      switch(to) {
        case 10: return (void*)(QLayout*)xptr;
        default: return xptr;
      }
    case 11:   //QMetaObject
      switch(to) {
        case 11: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 12:   //QObject
      switch(to) {
        case 12: return (void*)(QObject*)xptr;
        case 15: return (void*)(QUiLoader*)(QObject*)xptr;
        default: return xptr;
      }
    case 13:   //QRegExp
      switch(to) {
        case 13: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 14:   //QTimerEvent
      switch(to) {
        case 6: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 14: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QUiLoader
      switch(to) {
        case 12: return (void*)(QObject*)(QUiLoader*)xptr;
        case 15: return (void*)(QUiLoader*)xptr;
        default: return xptr;
      }
    case 16:   //QWidget
      switch(to) {
        case 16: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 17:   //std::bidirectional_iterator_tag
      switch(to) {
        case 17: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 18:   //std::random_access_iterator_tag
      switch(to) {
        case 18: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEasingCurve(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUuid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QUiLoader(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionGroup", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QDir", true, 0, 0, 0, 0, 0 },	//5
    { "QEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//7
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//8
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//9
    { "QLayout", true, 0, 0, 0, 0, 0 },	//10
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//11
    { "QObject", true, 0, 0, 0, 0, 0 },	//12
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//13
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QUiLoader", false, 1, xcall_QUiLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUiLoader) },	//15
    { "QWidget", true, 0, 0, 0, 0, 0 },	//16
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//17
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//18
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionGroup*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QDir", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QIODevice*", 8, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QIncompatibleFlag", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "QLayout*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QMetaObject::Call", 11, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 12, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 13, Smoke::t_class|Smoke::tf_ref },	//13
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//16
    { "QTimerEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QUiLoader*", 15, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QWidget*", 16, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtMsgType", 7, Smoke::t_enum|Smoke::tf_stack },	//94
    { "__codecvt_result", 7, Smoke::t_enum|Smoke::tf_stack },	//95
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//96
    { "const QDir&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//97
    { "const QMetaObject&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//98
    { "const QMetaObject*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//99
    { "const QRegExp&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//100
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//101
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//102
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//103
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//104
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//105
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//106
    { "std::bidirectional_iterator_tag", 17, Smoke::t_class|Smoke::tf_stack },	//107
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "std::random_access_iterator_tag", 18, Smoke::t_class|Smoke::tf_stack },	//109
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//112
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    6, 0,	//1  QEvent*
    12, 6, 0,	//3  QObject*, QEvent*
    17, 0,	//6  QTimerEvent*
    4, 0,	//8  QChildEvent*
    103, 0,	//10  const char*
    103, 103, 0,	//12  const char*, const char*
    103, 103, 105, 0,	//15  const char*, const char*, int
    11, 105, 111, 0,	//19  QMetaObject::Call, int, void**
    12, 0,	//23  QObject*
    101, 0,	//25  const QString&
    8, 19, 0,	//27  QIODevice*, QWidget*
    101, 19, 101, 0,	//30  const QString&, QWidget*, const QString&
    101, 12, 101, 0,	//34  const QString&, QObject*, const QString&
    12, 101, 0,	//38  QObject*, const QString&
    97, 0,	//41  const QDir&
    96, 0,	//43  bool
    8, 0,	//45  QIODevice*
    101, 19, 0,	//47  const QString&, QWidget*
    101, 12, 0,	//50  const QString&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "QUiLoader",	//1
    "QUiLoader#",	//2
    "QtCriticalMsg",	//3
    "QtDebugMsg",	//4
    "QtFatalMsg",	//5
    "QtSystemMsg",	//6
    "QtWarningMsg",	//7
    "_IEEE_",	//8
    "_ISOC_",	//9
    "_POSIX_",	//10
    "_SVID_",	//11
    "_XOPEN_",	//12
    "__codecvt_error",	//13
    "__codecvt_noconv",	//14
    "__codecvt_ok",	//15
    "__codecvt_partial",	//16
    "addPluginPath",	//17
    "addPluginPath$",	//18
    "availableLayouts",	//19
    "availableWidgets",	//20
    "childEvent",	//21
    "clearPluginPaths",	//22
    "connectNotify",	//23
    "createAction",	//24
    "createAction#",	//25
    "createAction#$",	//26
    "createActionGroup",	//27
    "createActionGroup#",	//28
    "createActionGroup#$",	//29
    "createLayout",	//30
    "createLayout$",	//31
    "createLayout$#",	//32
    "createLayout$#$",	//33
    "createWidget",	//34
    "createWidget$",	//35
    "createWidget$#",	//36
    "createWidget$#$",	//37
    "customEvent",	//38
    "disconnectNotify",	//39
    "event",	//40
    "eventFilter",	//41
    "isLanguageChangeEnabled",	//42
    "isScriptingEnabled",	//43
    "isTranslationEnabled",	//44
    "load",	//45
    "load#",	//46
    "load##",	//47
    "metaObject",	//48
    "pluginPaths",	//49
    "qt_metacall",	//50
    "qt_metacall$$?",	//51
    "qt_metacast",	//52
    "qt_metacast$",	//53
    "setLanguageChangeEnabled",	//54
    "setLanguageChangeEnabled$",	//55
    "setScriptingEnabled",	//56
    "setScriptingEnabled$",	//57
    "setTranslationEnabled",	//58
    "setTranslationEnabled$",	//59
    "setWorkingDirectory",	//60
    "setWorkingDirectory#",	//61
    "staticMetaObject",	//62
    "timerEvent",	//63
    "tr",	//64
    "tr$",	//65
    "tr$$",	//66
    "tr$$$",	//67
    "trUtf8",	//68
    "trUtf8$",	//69
    "trUtf8$$",	//70
    "trUtf8$$$",	//71
    "workingDirectory",	//72
    "~QUiLoader",	//73
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 1},	//1 QGlobalSpace::_IEEE_ (enum)
    {7, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 2},	//2 QGlobalSpace::_SVID_ (enum)
    {7, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 3},	//3 QGlobalSpace::_XOPEN_ (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 4},	//4 QGlobalSpace::_POSIX_ (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 5},	//5 QGlobalSpace::_ISOC_ (enum)
    {7, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {7, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {7, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {7, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {7, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {7, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {7, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {7, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {12, 40, 1, 1, Smoke::mf_virtual, 96, 0},	//15 QObject::event(QEvent*)
    {12, 41, 3, 2, Smoke::mf_virtual, 96, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {12, 63, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {12, 21, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {12, 38, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {12, 23, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {12, 39, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {15, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//22 QUiLoader::metaObject() const
    {15, 52, 10, 1, Smoke::mf_virtual, 110, 2},	//23 QUiLoader::qt_metacast(const char*)
    {15, 64, 12, 2, Smoke::mf_static, 14, 3},	//24 QUiLoader::tr(const char*, const char*)
    {15, 68, 12, 2, Smoke::mf_static, 14, 4},	//25 QUiLoader::trUtf8(const char*, const char*)
    {15, 64, 15, 3, Smoke::mf_static, 14, 5},	//26 QUiLoader::tr(const char*, const char*, int)
    {15, 68, 15, 3, Smoke::mf_static, 14, 6},	//27 QUiLoader::trUtf8(const char*, const char*, int)
    {15, 50, 19, 3, Smoke::mf_virtual, 105, 7},	//28 QUiLoader::qt_metacall(QMetaObject::Call, int, void**)
    {15, 1, 23, 1, Smoke::mf_ctor, 18, 8},	//29 QUiLoader::QUiLoader(QObject*)
    {15, 49, 0, 0, Smoke::mf_const, 15, 9},	//30 QUiLoader::pluginPaths() const
    {15, 22, 0, 0, 0, 0, 10},	//31 QUiLoader::clearPluginPaths()
    {15, 17, 25, 1, 0, 0, 11},	//32 QUiLoader::addPluginPath(const QString&)
    {15, 45, 27, 2, 0, 19, 12},	//33 QUiLoader::load(QIODevice*, QWidget*)
    {15, 20, 0, 0, Smoke::mf_const, 15, 13},	//34 QUiLoader::availableWidgets() const
    {15, 19, 0, 0, Smoke::mf_const, 15, 14},	//35 QUiLoader::availableLayouts() const
    {15, 34, 30, 3, Smoke::mf_virtual, 19, 15},	//36 QUiLoader::createWidget(const QString&, QWidget*, const QString&)
    {15, 30, 34, 3, Smoke::mf_virtual, 10, 16},	//37 QUiLoader::createLayout(const QString&, QObject*, const QString&)
    {15, 27, 38, 2, Smoke::mf_virtual, 2, 17},	//38 QUiLoader::createActionGroup(QObject*, const QString&)
    {15, 24, 38, 2, Smoke::mf_virtual, 1, 18},	//39 QUiLoader::createAction(QObject*, const QString&)
    {15, 60, 41, 1, 0, 0, 19},	//40 QUiLoader::setWorkingDirectory(const QDir&)
    {15, 72, 0, 0, Smoke::mf_const, 5, 20},	//41 QUiLoader::workingDirectory() const
    {15, 56, 43, 1, 0, 0, 21},	//42 QUiLoader::setScriptingEnabled(bool)
    {15, 43, 0, 0, Smoke::mf_const, 96, 22},	//43 QUiLoader::isScriptingEnabled() const
    {15, 54, 43, 1, 0, 0, 23},	//44 QUiLoader::setLanguageChangeEnabled(bool)
    {15, 42, 0, 0, Smoke::mf_const, 96, 24},	//45 QUiLoader::isLanguageChangeEnabled() const
    {15, 58, 43, 1, 0, 0, 25},	//46 QUiLoader::setTranslationEnabled(bool)
    {15, 44, 0, 0, Smoke::mf_const, 96, 26},	//47 QUiLoader::isTranslationEnabled() const
    {15, 64, 10, 1, Smoke::mf_static, 14, 27},	//48 QUiLoader::tr(const char*)
    {15, 68, 10, 1, Smoke::mf_static, 14, 28},	//49 QUiLoader::trUtf8(const char*)
    {15, 1, 0, 0, Smoke::mf_ctor, 18, 29},	//50 QUiLoader::QUiLoader()
    {15, 45, 45, 1, 0, 19, 30},	//51 QUiLoader::load(QIODevice*)
    {15, 34, 25, 1, 0, 19, 31},	//52 QUiLoader::createWidget(const QString&)
    {15, 34, 47, 2, 0, 19, 32},	//53 QUiLoader::createWidget(const QString&, QWidget*)
    {15, 30, 25, 1, 0, 10, 33},	//54 QUiLoader::createLayout(const QString&)
    {15, 30, 50, 2, 0, 10, 34},	//55 QUiLoader::createLayout(const QString&, QObject*)
    {15, 27, 0, 0, 0, 2, 35},	//56 QUiLoader::createActionGroup()
    {15, 27, 23, 1, 0, 2, 36},	//57 QUiLoader::createActionGroup(QObject*)
    {15, 24, 0, 0, 0, 1, 37},	//58 QUiLoader::createAction()
    {15, 24, 23, 1, 0, 1, 38},	//59 QUiLoader::createAction(QObject*)
    {15, 62, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 39},	//60 QUiLoader::staticMetaObject() const
    {15, 73, 0, 0, Smoke::mf_dtor, 0, 40 },	//61 QUiLoader::~QUiLoader()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 3, 8},	// QGlobalSpace::QtCriticalMsg
    {7, 4, 6},	// QGlobalSpace::QtDebugMsg
    {7, 5, 9},	// QGlobalSpace::QtFatalMsg
    {7, 6, 10},	// QGlobalSpace::QtSystemMsg
    {7, 7, 7},	// QGlobalSpace::QtWarningMsg
    {7, 8, 1},	// QGlobalSpace::_IEEE_
    {7, 9, 5},	// QGlobalSpace::_ISOC_
    {7, 10, 4},	// QGlobalSpace::_POSIX_
    {7, 11, 2},	// QGlobalSpace::_SVID_
    {7, 12, 3},	// QGlobalSpace::_XOPEN_
    {7, 13, 13},	// QGlobalSpace::__codecvt_error
    {7, 14, 14},	// QGlobalSpace::__codecvt_noconv
    {7, 15, 11},	// QGlobalSpace::__codecvt_ok
    {7, 16, 12},	// QGlobalSpace::__codecvt_partial
    {15, 1, 50},	// QUiLoader::QUiLoader
    {15, 2, 29},	// QUiLoader::QUiLoader#
    {15, 18, 32},	// QUiLoader::addPluginPath$
    {15, 19, 35},	// QUiLoader::availableLayouts
    {15, 20, 34},	// QUiLoader::availableWidgets
    {15, 22, 31},	// QUiLoader::clearPluginPaths
    {15, 24, 58},	// QUiLoader::createAction
    {15, 25, 59},	// QUiLoader::createAction#
    {15, 26, 39},	// QUiLoader::createAction#$
    {15, 27, 56},	// QUiLoader::createActionGroup
    {15, 28, 57},	// QUiLoader::createActionGroup#
    {15, 29, 38},	// QUiLoader::createActionGroup#$
    {15, 31, 54},	// QUiLoader::createLayout$
    {15, 32, 55},	// QUiLoader::createLayout$#
    {15, 33, 37},	// QUiLoader::createLayout$#$
    {15, 35, 52},	// QUiLoader::createWidget$
    {15, 36, 53},	// QUiLoader::createWidget$#
    {15, 37, 36},	// QUiLoader::createWidget$#$
    {15, 42, 45},	// QUiLoader::isLanguageChangeEnabled
    {15, 43, 43},	// QUiLoader::isScriptingEnabled
    {15, 44, 47},	// QUiLoader::isTranslationEnabled
    {15, 46, 51},	// QUiLoader::load#
    {15, 47, 33},	// QUiLoader::load##
    {15, 48, 22},	// QUiLoader::metaObject
    {15, 49, 30},	// QUiLoader::pluginPaths
    {15, 51, 28},	// QUiLoader::qt_metacall$$?
    {15, 53, 23},	// QUiLoader::qt_metacast$
    {15, 55, 44},	// QUiLoader::setLanguageChangeEnabled$
    {15, 57, 42},	// QUiLoader::setScriptingEnabled$
    {15, 59, 46},	// QUiLoader::setTranslationEnabled$
    {15, 61, 40},	// QUiLoader::setWorkingDirectory#
    {15, 62, 60},	// QUiLoader::staticMetaObject
    {15, 65, 48},	// QUiLoader::tr$
    {15, 66, 24},	// QUiLoader::tr$$
    {15, 67, 26},	// QUiLoader::tr$$$
    {15, 69, 49},	// QUiLoader::trUtf8$
    {15, 70, 25},	// QUiLoader::trUtf8$$
    {15, 71, 27},	// QUiLoader::trUtf8$$$
    {15, 72, 41},	// QUiLoader::workingDirectory
    {15, 73, 61},	// QUiLoader::~QUiLoader
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtuitools_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtuitools_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtuitools_Smoke = new Smoke(
        "qtuitools",
        __smokeqtuitools::classes, 18,
        __smokeqtuitools::methods, 62,
        __smokeqtuitools::methodMaps, 55,
        __smokeqtuitools::methodNames, 73,
        __smokeqtuitools::types, 112,
        __smokeqtuitools::inheritanceList,
        __smokeqtuitools::argumentList,
        __smokeqtuitools::ambiguousMethodList,
        __smokeqtuitools::cast );
    initialized = true;
}

void delete_qtuitools_Smoke() { delete qtuitools_Smoke; }

}
