#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, 0, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, 0, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", true, 0, 0, 0, 0, 0 },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, 0, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", true, 0, 0, 0, 0, 0 },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//9
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//14
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//16
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Solid::AudioInterface::AudioInterfaceTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//96
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//97
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//101
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Solid::OpticalDisc::ContentTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::OpticalDrive::MediumTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//116
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//117
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Solid::Processor::InstructionSets", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//124
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//128
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//131
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//132
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//135
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//138
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//141
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//144
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//145
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//146
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//147
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    8, 3, 0,	//3  QObject*, QEvent*
    15, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    144, 0,	//10  const char*
    144, 144, 0,	//12  const char*, const char*
    144, 144, 145, 0,	//15  const char*, const char*, int
    7, 145, 149, 0,	//19  QMetaObject::Call, int, void**
    132, 137, 0,	//23  bool, const QString&
    145, 137, 0,	//26  int, const QString&
    95, 137, 0,	//29  Solid::Button::ButtonType, const QString&
    12, 0,	//32  QString
    137, 0,	//34  const QString&
    142, 137, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    143, 137, 0,	//39  const Solid::Predicate&, const QString&
    137, 137, 0,	//42  const QString&, const QString&
    140, 0,	//45  const Solid::Device&
    142, 0,	//47  const Solid::DeviceInterface::Type&
    143, 0,	//49  const Solid::Predicate&
    100, 0,	//51  Solid::DeviceInterface::Type
    101, 8, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    133, 0,	//56  const QMap<QString,int>&
    104, 16, 137, 0,	//58  Solid::ErrorType, QVariant, const QString&
    145, 0,	//62  int
    115, 8, 144, 0,	//64  Solid::PowerManagement::SleepState, QObject*, const char*
    142, 137, 139, 119, 0,	//68  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    137, 137, 139, 119, 0,	//73  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    142, 137, 139, 0,	//78  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    137, 137, 139, 0,	//82  const QString&, const QString&, const QVariant&
    124, 8, 0,	//86  Solid::StorageAccessPrivate&, QObject*
    128, 8, 0,	//89  Solid::StorageDrivePrivate&, QObject*
    131, 8, 0,	//92  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "KeyboardBattery",	//93
    "KeyboardMouseBattery",	//94
    "Last",	//95
    "LidButton",	//96
    "Managed",	//97
    "Manual",	//98
    "Mask",	//99
    "MemoryStick",	//100
    "Modem",	//101
    "MouseBattery",	//102
    "NetworkInterface",	//103
    "NoCharge",	//104
    "NoError",	//105
    "NoExtensions",	//106
    "OnNextStatusChange",	//107
    "OpenSoundSystem",	//108
    "OpticalDisc",	//109
    "OpticalDrive",	//110
    "Other",	//111
    "PartitionTable",	//112
    "PdaBattery",	//113
    "Platform",	//114
    "PortableMediaPlayer",	//115
    "PowerButton",	//116
    "Predicate",	//117
    "Predicate#",	//118
    "Predicate$",	//119
    "Predicate$$#",	//120
    "Predicate$$#$",	//121
    "PrimaryBattery",	//122
    "Processor",	//123
    "PropertyAdded",	//124
    "PropertyCheck",	//125
    "PropertyModified",	//126
    "PropertyRemoved",	//127
    "Q_COMPLEX_TYPE",	//128
    "Q_DUMMY_TYPE",	//129
    "Q_MOVABLE_TYPE",	//130
    "Q_PRIMITIVE_TYPE",	//131
    "Q_STATIC_TYPE",	//132
    "QtCriticalMsg",	//133
    "QtDebugMsg",	//134
    "QtFatalMsg",	//135
    "QtSystemMsg",	//136
    "QtWarningMsg",	//137
    "Raid",	//138
    "Sata",	//139
    "Scsi",	//140
    "SdMmc",	//141
    "SerialInterface",	//142
    "SleepButton",	//143
    "SmartCardReader",	//144
    "SmartMedia",	//145
    "StandbyState",	//146
    "StorageAccess",	//147
    "StorageAccess##",	//148
    "StorageDrive",	//149
    "StorageDrive##",	//150
    "StorageVolume",	//151
    "StorageVolume##",	//152
    "SuperVideoCd",	//153
    "SuspendState",	//154
    "TabletButton",	//155
    "Tape",	//156
    "UnauthorizedOperation",	//157
    "Unconnected",	//158
    "Unknown",	//159
    "UnknownAudioDriver",	//160
    "UnknownAudioInterfaceType",	//161
    "UnknownBattery",	//162
    "UnknownButtonType",	//163
    "UnknownDiscType",	//164
    "Unused",	//165
    "UpsBattery",	//166
    "Usb",	//167
    "UsbSoundcard",	//168
    "Video",	//169
    "VideoCd",	//170
    "VideoDvd",	//171
    "Xd",	//172
    "accessibilityChanged",	//173
    "accessibilityChanged$$",	//174
    "allDevices",	//175
    "allProperties",	//176
    "appShouldConserveResources",	//177
    "asDeviceInterface",	//178
    "asDeviceInterface$",	//179
    "availableContent",	//180
    "beginSuppressingSleep",	//181
    "beginSuppressingSleep$",	//182
    "bus",	//183
    "canChangeFrequency",	//184
    "capacity",	//185
    "chargePercent",	//186
    "chargePercentChanged",	//187
    "chargePercentChanged$$",	//188
    "chargeState",	//189
    "chargeStateChanged",	//190
    "chargeStateChanged$$",	//191
    "childEvent",	//192
    "comparisonOperator",	//193
    "conditionRaised",	//194
    "conditionRaised$$",	//195
    "connectNotify",	//196
    "customEvent",	//197
    "description",	//198
    "device",	//199
    "deviceAdapter",	//200
    "deviceAdded",	//201
    "deviceAdded$",	//202
    "deviceIndex",	//203
    "deviceInterfaceType",	//204
    "deviceMajor",	//205
    "deviceMinor",	//206
    "deviceRemoved",	//207
    "deviceRemoved$",	//208
    "deviceType",	//209
    "discType",	//210
    "disconnectNotify",	//211
    "driveType",	//212
    "driver",	//213
    "driverHandle",	//214
    "driverHandle$",	//215
    "eject",	//216
    "ejectDone",	//217
    "ejectDone$#$",	//218
    "ejectPressed",	//219
    "ejectPressed$",	//220
    "emblems",	//221
    "encryptedContainer",	//222
    "event",	//223
    "eventFilter",	//224
    "filePath",	//225
    "firstOperand",	//226
    "fromString",	//227
    "fromString$",	//228
    "fsType",	//229
    "hasState",	//230
    "hwAddress",	//231
    "icon",	//232
    "ifaceName",	//233
    "instance",	//234
    "instructionSets",	//235
    "interfaceType",	//236
    "isAccessible",	//237
    "isAppendable",	//238
    "isBlank",	//239
    "isDeviceInterface",	//240
    "isDeviceInterface$",	//241
    "isHotpluggable",	//242
    "isIgnored",	//243
    "isPlugged",	//244
    "isRechargeable",	//245
    "isRemovable",	//246
    "isRewritable",	//247
    "isValid",	//248
    "isWireless",	//249
    "label",	//250
    "listFromQuery",	//251
    "listFromQuery#",	//252
    "listFromQuery#$",	//253
    "listFromQuery$",	//254
    "listFromQuery$$",	//255
    "listFromType",	//256
    "listFromType$",	//257
    "listFromType$$",	//258
    "macAddress",	//259
    "matches",	//260
    "matches#",	//261
    "matchingValue",	//262
    "maxSpeed",	//263
    "metaObject",	//264
    "name",	//265
    "notifier",	//266
    "number",	//267
    "operator&",	//268
    "operator&#",	//269
    "operator&=",	//270
    "operator&=#",	//271
    "operator=",	//272
    "operator=#",	//273
    "operator|",	//274
    "operator|#",	//275
    "operator|=",	//276
    "operator|=#",	//277
    "parent",	//278
    "parentUdi",	//279
    "plugStateChanged",	//280
    "plugStateChanged$$",	//281
    "pressed",	//282
    "pressed$$",	//283
    "product",	//284
    "property",	//285
    "property$",	//286
    "propertyChanged",	//287
    "propertyChanged?",	//288
    "propertyExists",	//289
    "propertyExists$",	//290
    "propertyName",	//291
    "qt_metacall",	//292
    "qt_metacall$$?",	//293
    "qt_metacast",	//294
    "qt_metacast$",	//295
    "readSpeed",	//296
    "requestSleep",	//297
    "requestSleep$#$",	//298
    "secondOperand",	//299
    "setup",	//300
    "setupDone",	//301
    "setupDone$#$",	//302
    "size",	//303
    "soundcardType",	//304
    "stateValue",	//305
    "staticMetaObject",	//306
    "status",	//307
    "stopSuppressingSleep",	//308
    "stopSuppressingSleep$",	//309
    "stringToType",	//310
    "stringToType$",	//311
    "supportedDrivers",	//312
    "supportedDrivers$",	//313
    "supportedMedia",	//314
    "supportedProtocols",	//315
    "supportedSleepStates",	//316
    "teardown",	//317
    "teardownDone",	//318
    "teardownDone$#$",	//319
    "timerEvent",	//320
    "toString",	//321
    "tr",	//322
    "tr$",	//323
    "tr$$",	//324
    "tr$$$",	//325
    "trUtf8",	//326
    "trUtf8$",	//327
    "trUtf8$$",	//328
    "trUtf8$$$",	//329
    "type",	//330
    "typeDescription",	//331
    "typeDescription$",	//332
    "typeToString",	//333
    "typeToString$",	//334
    "udi",	//335
    "usage",	//336
    "usedTypes",	//337
    "uuid",	//338
    "vendor",	//339
    "writeSpeed",	//340
    "writeSpeeds",	//341
    "~AcAdapter",	//342
    "~AudioInterface",	//343
    "~Battery",	//344
    "~Block",	//345
    "~Button",	//346
    "~Camera",	//347
    "~Device",	//348
    "~DeviceInterface",	//349
    "~DeviceNotifier",	//350
    "~DvbInterface",	//351
    "~GenericInterface",	//352
    "~NetworkInterface",	//353
    "~OpticalDisc",	//354
    "~OpticalDrive",	//355
    "~PortableMediaPlayer",	//356
    "~Predicate",	//357
    "~Processor",	//358
    "~StorageAccess",	//359
    "~StorageDrive",	//360
    "~StorageVolume",	//361
    "~Video",	//362
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {4, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {4, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {4, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {4, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {6, 223, 1, 1, Smoke::mf_virtual, 132, 0},	//11 QObject::event(QEvent*)
    {6, 224, 3, 2, Smoke::mf_virtual, 132, 0},	//12 QObject::eventFilter(QObject*, QEvent*)
    {6, 320, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::timerEvent(QTimerEvent*)
    {6, 192, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::childEvent(QChildEvent*)
    {6, 197, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::customEvent(QEvent*)
    {6, 196, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::connectNotify(const char*)
    {6, 211, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::disconnectNotify(const char*)
    {10, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 1},	//18 Solid::NoError (enum)
    {10, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 2},	//19 Solid::UnauthorizedOperation (enum)
    {11, 264, 0, 0, Smoke::mf_const, 135, 1},	//20 Solid::AcAdapter::metaObject() const
    {11, 294, 10, 1, 0, 148, 2},	//21 Solid::AcAdapter::qt_metacast(const char*)
    {11, 322, 12, 2, Smoke::mf_static, 12, 3},	//22 Solid::AcAdapter::tr(const char*, const char*)
    {11, 326, 12, 2, Smoke::mf_static, 12, 4},	//23 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 322, 15, 3, Smoke::mf_static, 12, 5},	//24 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 326, 15, 3, Smoke::mf_static, 12, 6},	//25 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 292, 19, 3, 0, 145, 7},	//26 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 204, 0, 0, Smoke::mf_static, 100, 8},	//27 Solid::AcAdapter::deviceInterfaceType()
    {11, 244, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//28 Solid::AcAdapter::isPlugged() const
    {11, 280, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//29 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 322, 10, 1, Smoke::mf_static, 12, 11},	//30 Solid::AcAdapter::tr(const char*)
    {11, 326, 10, 1, Smoke::mf_static, 12, 12},	//31 Solid::AcAdapter::trUtf8(const char*)
    {11, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 13},	//32 Solid::AcAdapter::staticMetaObject() const
    {11, 342, 0, 0, Smoke::mf_dtor, 0, 14 },	//33 Solid::AcAdapter::~AcAdapter()
    {12, 264, 0, 0, Smoke::mf_const, 135, 1},	//34 Solid::AudioInterface::metaObject() const
    {12, 294, 10, 1, 0, 148, 2},	//35 Solid::AudioInterface::qt_metacast(const char*)
    {12, 322, 12, 2, Smoke::mf_static, 12, 3},	//36 Solid::AudioInterface::tr(const char*, const char*)
    {12, 326, 12, 2, Smoke::mf_static, 12, 4},	//37 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 322, 15, 3, Smoke::mf_static, 12, 5},	//38 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 326, 15, 3, Smoke::mf_static, 12, 6},	//39 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 292, 19, 3, 0, 145, 7},	//40 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 204, 0, 0, Smoke::mf_static, 100, 8},	//41 Solid::AudioInterface::deviceInterfaceType()
    {12, 213, 0, 0, Smoke::mf_const|Smoke::mf_property, 89, 9},	//42 Solid::AudioInterface::driver() const
    {12, 214, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//43 Solid::AudioInterface::driverHandle() const
    {12, 265, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//44 Solid::AudioInterface::name() const
    {12, 209, 0, 0, Smoke::mf_const|Smoke::mf_property, 91, 12},	//45 Solid::AudioInterface::deviceType() const
    {12, 304, 0, 0, Smoke::mf_const|Smoke::mf_property, 92, 13},	//46 Solid::AudioInterface::soundcardType() const
    {12, 322, 10, 1, Smoke::mf_static, 12, 14},	//47 Solid::AudioInterface::tr(const char*)
    {12, 326, 10, 1, Smoke::mf_static, 12, 15},	//48 Solid::AudioInterface::trUtf8(const char*)
    {12, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//49 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 17},	//50 Solid::AudioInterface::Alsa (enum)
    {12, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 18},	//51 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 19},	//52 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 20},	//53 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 21},	//54 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//55 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 23},	//56 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//57 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//58 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 26},	//59 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 27},	//60 Solid::AudioInterface::Headset (enum)
    {12, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 28},	//61 Solid::AudioInterface::Modem (enum)
    {12, 343, 0, 0, Smoke::mf_dtor, 0, 29 },	//62 Solid::AudioInterface::~AudioInterface()
    {13, 264, 0, 0, Smoke::mf_const, 135, 1},	//63 Solid::Battery::metaObject() const
    {13, 294, 10, 1, 0, 148, 2},	//64 Solid::Battery::qt_metacast(const char*)
    {13, 322, 12, 2, Smoke::mf_static, 12, 3},	//65 Solid::Battery::tr(const char*, const char*)
    {13, 326, 12, 2, Smoke::mf_static, 12, 4},	//66 Solid::Battery::trUtf8(const char*, const char*)
    {13, 322, 15, 3, Smoke::mf_static, 12, 5},	//67 Solid::Battery::tr(const char*, const char*, int)
    {13, 326, 15, 3, Smoke::mf_static, 12, 6},	//68 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 292, 19, 3, 0, 145, 7},	//69 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 204, 0, 0, Smoke::mf_static, 100, 8},	//70 Solid::Battery::deviceInterfaceType()
    {13, 244, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//71 Solid::Battery::isPlugged() const
    {13, 330, 0, 0, Smoke::mf_const|Smoke::mf_property, 93, 10},	//72 Solid::Battery::type() const
    {13, 186, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//73 Solid::Battery::chargePercent() const
    {13, 245, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//74 Solid::Battery::isRechargeable() const
    {13, 189, 0, 0, Smoke::mf_const|Smoke::mf_property, 94, 13},	//75 Solid::Battery::chargeState() const
    {13, 187, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//76 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 190, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//77 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 280, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//78 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 322, 10, 1, Smoke::mf_static, 12, 17},	//79 Solid::Battery::tr(const char*)
    {13, 326, 10, 1, Smoke::mf_static, 12, 18},	//80 Solid::Battery::trUtf8(const char*)
    {13, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//81 Solid::Battery::staticMetaObject() const
    {13, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 20},	//82 Solid::Battery::UnknownBattery (enum)
    {13, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 21},	//83 Solid::Battery::PdaBattery (enum)
    {13, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 22},	//84 Solid::Battery::UpsBattery (enum)
    {13, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 23},	//85 Solid::Battery::PrimaryBattery (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 24},	//86 Solid::Battery::MouseBattery (enum)
    {13, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 25},	//87 Solid::Battery::KeyboardBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 26},	//88 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 27},	//89 Solid::Battery::CameraBattery (enum)
    {13, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 28},	//90 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 29},	//91 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 30},	//92 Solid::Battery::Discharging (enum)
    {13, 344, 0, 0, Smoke::mf_dtor, 0, 31 },	//93 Solid::Battery::~Battery()
    {14, 264, 0, 0, Smoke::mf_const, 135, 1},	//94 Solid::Block::metaObject() const
    {14, 294, 10, 1, 0, 148, 2},	//95 Solid::Block::qt_metacast(const char*)
    {14, 322, 12, 2, Smoke::mf_static, 12, 3},	//96 Solid::Block::tr(const char*, const char*)
    {14, 326, 12, 2, Smoke::mf_static, 12, 4},	//97 Solid::Block::trUtf8(const char*, const char*)
    {14, 322, 15, 3, Smoke::mf_static, 12, 5},	//98 Solid::Block::tr(const char*, const char*, int)
    {14, 326, 15, 3, Smoke::mf_static, 12, 6},	//99 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 292, 19, 3, 0, 145, 7},	//100 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 204, 0, 0, Smoke::mf_static, 100, 8},	//101 Solid::Block::deviceInterfaceType()
    {14, 205, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//102 Solid::Block::deviceMajor() const
    {14, 206, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//103 Solid::Block::deviceMinor() const
    {14, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//104 Solid::Block::device() const
    {14, 322, 10, 1, Smoke::mf_static, 12, 12},	//105 Solid::Block::tr(const char*)
    {14, 326, 10, 1, Smoke::mf_static, 12, 13},	//106 Solid::Block::trUtf8(const char*)
    {14, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//107 Solid::Block::staticMetaObject() const
    {14, 345, 0, 0, Smoke::mf_dtor, 0, 15 },	//108 Solid::Block::~Block()
    {15, 264, 0, 0, Smoke::mf_const, 135, 1},	//109 Solid::Button::metaObject() const
    {15, 294, 10, 1, 0, 148, 2},	//110 Solid::Button::qt_metacast(const char*)
    {15, 322, 12, 2, Smoke::mf_static, 12, 3},	//111 Solid::Button::tr(const char*, const char*)
    {15, 326, 12, 2, Smoke::mf_static, 12, 4},	//112 Solid::Button::trUtf8(const char*, const char*)
    {15, 322, 15, 3, Smoke::mf_static, 12, 5},	//113 Solid::Button::tr(const char*, const char*, int)
    {15, 326, 15, 3, Smoke::mf_static, 12, 6},	//114 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 292, 19, 3, 0, 145, 7},	//115 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 204, 0, 0, Smoke::mf_static, 100, 8},	//116 Solid::Button::deviceInterfaceType()
    {15, 330, 0, 0, Smoke::mf_const|Smoke::mf_property, 95, 9},	//117 Solid::Button::type() const
    {15, 230, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//118 Solid::Button::hasState() const
    {15, 305, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//119 Solid::Button::stateValue() const
    {15, 282, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//120 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 322, 10, 1, Smoke::mf_static, 12, 13},	//121 Solid::Button::tr(const char*)
    {15, 326, 10, 1, Smoke::mf_static, 12, 14},	//122 Solid::Button::trUtf8(const char*)
    {15, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//123 Solid::Button::staticMetaObject() const
    {15, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 16},	//124 Solid::Button::LidButton (enum)
    {15, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 17},	//125 Solid::Button::PowerButton (enum)
    {15, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 18},	//126 Solid::Button::SleepButton (enum)
    {15, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 19},	//127 Solid::Button::UnknownButtonType (enum)
    {15, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 20},	//128 Solid::Button::TabletButton (enum)
    {15, 346, 0, 0, Smoke::mf_dtor, 0, 21 },	//129 Solid::Button::~Button()
    {16, 264, 0, 0, Smoke::mf_const, 135, 1},	//130 Solid::Camera::metaObject() const
    {16, 294, 10, 1, 0, 148, 2},	//131 Solid::Camera::qt_metacast(const char*)
    {16, 322, 12, 2, Smoke::mf_static, 12, 3},	//132 Solid::Camera::tr(const char*, const char*)
    {16, 326, 12, 2, Smoke::mf_static, 12, 4},	//133 Solid::Camera::trUtf8(const char*, const char*)
    {16, 322, 15, 3, Smoke::mf_static, 12, 5},	//134 Solid::Camera::tr(const char*, const char*, int)
    {16, 326, 15, 3, Smoke::mf_static, 12, 6},	//135 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 292, 19, 3, 0, 145, 7},	//136 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 204, 0, 0, Smoke::mf_static, 100, 8},	//137 Solid::Camera::deviceInterfaceType()
    {16, 315, 0, 0, Smoke::mf_const|Smoke::mf_property, 13, 9},	//138 Solid::Camera::supportedProtocols() const
    {16, 312, 32, 1, Smoke::mf_const, 13, 10},	//139 Solid::Camera::supportedDrivers(QString) const
    {16, 214, 34, 1, Smoke::mf_const, 16, 11},	//140 Solid::Camera::driverHandle(const QString&) const
    {16, 322, 10, 1, Smoke::mf_static, 12, 12},	//141 Solid::Camera::tr(const char*)
    {16, 326, 10, 1, Smoke::mf_static, 12, 13},	//142 Solid::Camera::trUtf8(const char*)
    {16, 312, 0, 0, Smoke::mf_const, 13, 14},	//143 Solid::Camera::supportedDrivers() const
    {16, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//144 Solid::Camera::staticMetaObject() const
    {16, 347, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 Solid::Camera::~Camera()
    {17, 175, 0, 0, Smoke::mf_static, 4, 1},	//146 Solid::Device::allDevices()
    {17, 256, 36, 2, Smoke::mf_static, 4, 2},	//147 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 251, 39, 2, Smoke::mf_static, 4, 3},	//148 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 251, 42, 2, Smoke::mf_static, 4, 4},	//149 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 98, 5},	//150 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 6},	//151 Solid::Device::Device(const Solid::Device&)
    {17, 272, 45, 1, 0, 97, 7},	//152 Solid::Device::operator=(const Solid::Device&)
    {17, 248, 0, 0, Smoke::mf_const, 132, 8},	//153 Solid::Device::isValid() const
    {17, 335, 0, 0, Smoke::mf_const, 12, 9},	//154 Solid::Device::udi() const
    {17, 279, 0, 0, Smoke::mf_const, 12, 10},	//155 Solid::Device::parentUdi() const
    {17, 278, 0, 0, Smoke::mf_const, 96, 11},	//156 Solid::Device::parent() const
    {17, 339, 0, 0, Smoke::mf_const, 12, 12},	//157 Solid::Device::vendor() const
    {17, 284, 0, 0, Smoke::mf_const, 12, 13},	//158 Solid::Device::product() const
    {17, 232, 0, 0, Smoke::mf_const, 12, 14},	//159 Solid::Device::icon() const
    {17, 221, 0, 0, Smoke::mf_const, 13, 15},	//160 Solid::Device::emblems() const
    {17, 198, 0, 0, Smoke::mf_const, 12, 16},	//161 Solid::Device::description() const
    {17, 240, 47, 1, Smoke::mf_const, 132, 17},	//162 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 178, 47, 1, 0, 99, 18},	//163 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 178, 47, 1, Smoke::mf_const, 141, 19},	//164 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 256, 47, 1, Smoke::mf_static, 4, 20},	//165 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 251, 49, 1, Smoke::mf_static, 4, 21},	//166 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 251, 34, 1, Smoke::mf_static, 4, 22},	//167 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 98, 23},	//168 Solid::Device::Device()
    {17, 348, 0, 0, Smoke::mf_dtor, 0, 24 },	//169 Solid::Device::~Device()
    {18, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//170 Solid::DeviceInterface::metaObject() const
    {18, 294, 10, 1, Smoke::mf_virtual, 148, 2},	//171 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 322, 12, 2, Smoke::mf_static, 12, 3},	//172 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 326, 12, 2, Smoke::mf_static, 12, 4},	//173 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 322, 15, 3, Smoke::mf_static, 12, 5},	//174 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 326, 15, 3, Smoke::mf_static, 12, 6},	//175 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 292, 19, 3, Smoke::mf_virtual, 145, 7},	//176 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 248, 0, 0, Smoke::mf_const, 132, 8},	//177 Solid::DeviceInterface::isValid() const
    {18, 333, 51, 1, Smoke::mf_static, 12, 9},	//178 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 310, 34, 1, Smoke::mf_static, 100, 10},	//179 Solid::DeviceInterface::stringToType(const QString&)
    {18, 331, 51, 1, Smoke::mf_static, 12, 11},	//180 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 99, 12},	//181 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 322, 10, 1, Smoke::mf_static, 12, 13},	//182 Solid::DeviceInterface::tr(const char*)
    {18, 326, 10, 1, Smoke::mf_static, 12, 14},	//183 Solid::DeviceInterface::trUtf8(const char*)
    {18, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//184 Solid::DeviceInterface::staticMetaObject() const
    {18, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 16},	//185 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 17},	//186 Solid::DeviceInterface::GenericInterface (enum)
    {18, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 18},	//187 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 19},	//188 Solid::DeviceInterface::Block (enum)
    {18, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 20},	//189 Solid::DeviceInterface::StorageAccess (enum)
    {18, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 21},	//190 Solid::DeviceInterface::StorageDrive (enum)
    {18, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 22},	//191 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 23},	//192 Solid::DeviceInterface::StorageVolume (enum)
    {18, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 24},	//193 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 25},	//194 Solid::DeviceInterface::Camera (enum)
    {18, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 26},	//195 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 27},	//196 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 28},	//197 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//198 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//199 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//200 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 32},	//201 Solid::DeviceInterface::DvbInterface (enum)
    {18, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 33},	//202 Solid::DeviceInterface::Video (enum)
    {18, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 34},	//203 Solid::DeviceInterface::SerialInterface (enum)
    {18, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 35},	//204 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 36},	//205 Solid::DeviceInterface::Last (enum)
    {18, 349, 0, 0, Smoke::mf_dtor, 0, 37 },	//206 Solid::DeviceInterface::~DeviceInterface()
    {20, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//207 Solid::DeviceNotifier::metaObject() const
    {20, 294, 10, 1, Smoke::mf_virtual, 148, 2},	//208 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 322, 12, 2, Smoke::mf_static, 12, 3},	//209 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 326, 12, 2, Smoke::mf_static, 12, 4},	//210 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 322, 15, 3, Smoke::mf_static, 12, 5},	//211 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 326, 15, 3, Smoke::mf_static, 12, 6},	//212 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 292, 19, 3, Smoke::mf_virtual, 145, 7},	//213 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 234, 0, 0, Smoke::mf_static, 102, 8},	//214 Solid::DeviceNotifier::instance()
    {20, 201, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//215 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 207, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//216 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 102, 11},	//217 Solid::DeviceNotifier::DeviceNotifier()
    {20, 322, 10, 1, Smoke::mf_static, 12, 12},	//218 Solid::DeviceNotifier::tr(const char*)
    {20, 326, 10, 1, Smoke::mf_static, 12, 13},	//219 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//220 Solid::DeviceNotifier::staticMetaObject() const
    {20, 350, 0, 0, Smoke::mf_dtor, 0, 15 },	//221 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 264, 0, 0, Smoke::mf_const, 135, 1},	//222 Solid::DvbInterface::metaObject() const
    {21, 294, 10, 1, 0, 148, 2},	//223 Solid::DvbInterface::qt_metacast(const char*)
    {21, 322, 12, 2, Smoke::mf_static, 12, 3},	//224 Solid::DvbInterface::tr(const char*, const char*)
    {21, 326, 12, 2, Smoke::mf_static, 12, 4},	//225 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 322, 15, 3, Smoke::mf_static, 12, 5},	//226 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 326, 15, 3, Smoke::mf_static, 12, 6},	//227 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 292, 19, 3, 0, 145, 7},	//228 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 204, 0, 0, Smoke::mf_static, 100, 8},	//229 Solid::DvbInterface::deviceInterfaceType()
    {21, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 9},	//230 Solid::DvbInterface::device() const
    {21, 200, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//231 Solid::DvbInterface::deviceAdapter() const
    {21, 209, 0, 0, Smoke::mf_const|Smoke::mf_property, 103, 11},	//232 Solid::DvbInterface::deviceType() const
    {21, 203, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 12},	//233 Solid::DvbInterface::deviceIndex() const
    {21, 322, 10, 1, Smoke::mf_static, 12, 13},	//234 Solid::DvbInterface::tr(const char*)
    {21, 326, 10, 1, Smoke::mf_static, 12, 14},	//235 Solid::DvbInterface::trUtf8(const char*)
    {21, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//236 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//237 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//238 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 18},	//239 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 19},	//240 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 20},	//241 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//242 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//243 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 23},	//244 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 24},	//245 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 25},	//246 Solid::DvbInterface::DvbVideo (enum)
    {21, 351, 0, 0, Smoke::mf_dtor, 0, 26 },	//247 Solid::DvbInterface::~DvbInterface()
    {22, 264, 0, 0, Smoke::mf_const, 135, 1},	//248 Solid::GenericInterface::metaObject() const
    {22, 294, 10, 1, 0, 148, 2},	//249 Solid::GenericInterface::qt_metacast(const char*)
    {22, 322, 12, 2, Smoke::mf_static, 12, 3},	//250 Solid::GenericInterface::tr(const char*, const char*)
    {22, 326, 12, 2, Smoke::mf_static, 12, 4},	//251 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 322, 15, 3, Smoke::mf_static, 12, 5},	//252 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 326, 15, 3, Smoke::mf_static, 12, 6},	//253 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 292, 19, 3, 0, 145, 7},	//254 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 204, 0, 0, Smoke::mf_static, 100, 8},	//255 Solid::GenericInterface::deviceInterfaceType()
    {22, 285, 34, 1, Smoke::mf_const, 16, 9},	//256 Solid::GenericInterface::property(const QString&) const
    {22, 176, 0, 0, Smoke::mf_const, 6, 10},	//257 Solid::GenericInterface::allProperties() const
    {22, 289, 34, 1, Smoke::mf_const, 132, 11},	//258 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 287, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//259 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 194, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//260 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 322, 10, 1, Smoke::mf_static, 12, 14},	//261 Solid::GenericInterface::tr(const char*)
    {22, 326, 10, 1, Smoke::mf_static, 12, 15},	//262 Solid::GenericInterface::trUtf8(const char*)
    {22, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//263 Solid::GenericInterface::staticMetaObject() const
    {22, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 17},	//264 Solid::GenericInterface::PropertyModified (enum)
    {22, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 18},	//265 Solid::GenericInterface::PropertyAdded (enum)
    {22, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 19},	//266 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 352, 0, 0, Smoke::mf_dtor, 0, 20 },	//267 Solid::GenericInterface::~GenericInterface()
    {23, 264, 0, 0, Smoke::mf_const, 135, 1},	//268 Solid::NetworkInterface::metaObject() const
    {23, 294, 10, 1, 0, 148, 2},	//269 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 322, 12, 2, Smoke::mf_static, 12, 3},	//270 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 326, 12, 2, Smoke::mf_static, 12, 4},	//271 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 322, 15, 3, Smoke::mf_static, 12, 5},	//272 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 326, 15, 3, Smoke::mf_static, 12, 6},	//273 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 292, 19, 3, 0, 145, 7},	//274 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 204, 0, 0, Smoke::mf_static, 100, 8},	//275 Solid::NetworkInterface::deviceInterfaceType()
    {23, 233, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 9},	//276 Solid::NetworkInterface::ifaceName() const
    {23, 249, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//277 Solid::NetworkInterface::isWireless() const
    {23, 231, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//278 Solid::NetworkInterface::hwAddress() const
    {23, 259, 0, 0, Smoke::mf_const, 147, 12},	//279 Solid::NetworkInterface::macAddress() const
    {23, 322, 10, 1, Smoke::mf_static, 12, 13},	//280 Solid::NetworkInterface::tr(const char*)
    {23, 326, 10, 1, Smoke::mf_static, 12, 14},	//281 Solid::NetworkInterface::trUtf8(const char*)
    {23, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//282 Solid::NetworkInterface::staticMetaObject() const
    {23, 353, 0, 0, Smoke::mf_dtor, 0, 16 },	//283 Solid::NetworkInterface::~NetworkInterface()
    {24, 307, 0, 0, Smoke::mf_static, 108, 1},	//284 Solid::Networking::status()
    {24, 266, 0, 0, Smoke::mf_static, 107, 2},	//285 Solid::Networking::notifier()
    {24, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 3},	//286 Solid::Networking::Manual (enum)
    {24, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 4},	//287 Solid::Networking::OnNextStatusChange (enum)
    {24, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 5},	//288 Solid::Networking::Managed (enum)
    {24, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 6},	//289 Solid::Networking::Unknown (enum)
    {24, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 7},	//290 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 8},	//291 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 9},	//292 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 10},	//293 Solid::Networking::Connected (enum)
    {26, 264, 0, 0, Smoke::mf_const, 135, 1},	//294 Solid::OpticalDisc::metaObject() const
    {26, 294, 10, 1, 0, 148, 2},	//295 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 322, 12, 2, Smoke::mf_static, 12, 3},	//296 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 326, 12, 2, Smoke::mf_static, 12, 4},	//297 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 322, 15, 3, Smoke::mf_static, 12, 5},	//298 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 326, 15, 3, Smoke::mf_static, 12, 6},	//299 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 292, 19, 3, 0, 145, 7},	//300 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 204, 0, 0, Smoke::mf_static, 100, 8},	//301 Solid::OpticalDisc::deviceInterfaceType()
    {26, 180, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 9},	//302 Solid::OpticalDisc::availableContent() const
    {26, 210, 0, 0, Smoke::mf_const|Smoke::mf_property, 111, 10},	//303 Solid::OpticalDisc::discType() const
    {26, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//304 Solid::OpticalDisc::isAppendable() const
    {26, 239, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//305 Solid::OpticalDisc::isBlank() const
    {26, 247, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 13},	//306 Solid::OpticalDisc::isRewritable() const
    {26, 185, 0, 0, Smoke::mf_const, 147, 14},	//307 Solid::OpticalDisc::capacity() const
    {26, 322, 10, 1, Smoke::mf_static, 12, 15},	//308 Solid::OpticalDisc::tr(const char*)
    {26, 326, 10, 1, Smoke::mf_static, 12, 16},	//309 Solid::OpticalDisc::trUtf8(const char*)
    {26, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 17},	//310 Solid::OpticalDisc::staticMetaObject() const
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 18},	//311 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 19},	//312 Solid::OpticalDisc::Data (enum)
    {26, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 20},	//313 Solid::OpticalDisc::VideoCd (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 21},	//314 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 22},	//315 Solid::OpticalDisc::VideoDvd (enum)
    {26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 23},	//316 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 24},	//317 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 25},	//318 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 26},	//319 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 27},	//320 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 28},	//321 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 29},	//322 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 30},	//323 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 31},	//324 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 32},	//325 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 33},	//326 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 34},	//327 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 35},	//328 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 36},	//329 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 37},	//330 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 38},	//331 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 39},	//332 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 40},	//333 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 354, 0, 0, Smoke::mf_dtor, 0, 41 },	//334 Solid::OpticalDisc::~OpticalDisc()
    {27, 264, 0, 0, Smoke::mf_const, 135, 1},	//335 Solid::OpticalDrive::metaObject() const
    {27, 294, 10, 1, 0, 148, 2},	//336 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 322, 12, 2, Smoke::mf_static, 12, 3},	//337 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 326, 12, 2, Smoke::mf_static, 12, 4},	//338 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 322, 15, 3, Smoke::mf_static, 12, 5},	//339 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 326, 15, 3, Smoke::mf_static, 12, 6},	//340 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 292, 19, 3, 0, 145, 7},	//341 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 204, 0, 0, Smoke::mf_static, 100, 8},	//342 Solid::OpticalDrive::deviceInterfaceType()
    {27, 314, 0, 0, Smoke::mf_const|Smoke::mf_property, 113, 9},	//343 Solid::OpticalDrive::supportedMedia() const
    {27, 296, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//344 Solid::OpticalDrive::readSpeed() const
    {27, 340, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//345 Solid::OpticalDrive::writeSpeed() const
    {27, 341, 0, 0, Smoke::mf_const|Smoke::mf_property, 5, 12},	//346 Solid::OpticalDrive::writeSpeeds() const
    {27, 216, 0, 0, 0, 132, 13},	//347 Solid::OpticalDrive::eject()
    {27, 219, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//348 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 217, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//349 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 322, 10, 1, Smoke::mf_static, 12, 16},	//350 Solid::OpticalDrive::tr(const char*)
    {27, 326, 10, 1, Smoke::mf_static, 12, 17},	//351 Solid::OpticalDrive::trUtf8(const char*)
    {27, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 18},	//352 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 19},	//353 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 20},	//354 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 21},	//355 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 22},	//356 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 23},	//357 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 24},	//358 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 25},	//359 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 26},	//360 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//361 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//362 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//363 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 30},	//364 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 31},	//365 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 32},	//366 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 33},	//367 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 34},	//368 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 355, 0, 0, Smoke::mf_dtor, 0, 35 },	//369 Solid::OpticalDrive::~OpticalDrive()
    {28, 264, 0, 0, Smoke::mf_const, 135, 1},	//370 Solid::PortableMediaPlayer::metaObject() const
    {28, 294, 10, 1, 0, 148, 2},	//371 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 322, 12, 2, Smoke::mf_static, 12, 3},	//372 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 326, 12, 2, Smoke::mf_static, 12, 4},	//373 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 322, 15, 3, Smoke::mf_static, 12, 5},	//374 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 326, 15, 3, Smoke::mf_static, 12, 6},	//375 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 292, 19, 3, 0, 145, 7},	//376 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 204, 0, 0, Smoke::mf_static, 100, 8},	//377 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 315, 0, 0, Smoke::mf_const|Smoke::mf_property, 13, 9},	//378 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 312, 32, 1, Smoke::mf_const, 13, 10},	//379 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 214, 34, 1, Smoke::mf_const, 16, 11},	//380 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 322, 10, 1, Smoke::mf_static, 12, 12},	//381 Solid::PortableMediaPlayer::tr(const char*)
    {28, 326, 10, 1, Smoke::mf_static, 12, 13},	//382 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 312, 0, 0, Smoke::mf_const, 13, 14},	//383 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//384 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 356, 0, 0, Smoke::mf_dtor, 0, 16 },	//385 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 177, 0, 0, Smoke::mf_static, 132, 1},	//386 Solid::PowerManagement::appShouldConserveResources()
    {29, 316, 0, 0, Smoke::mf_static, 11, 2},	//387 Solid::PowerManagement::supportedSleepStates()
    {29, 308, 62, 1, Smoke::mf_static, 132, 3},	//388 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 181, 34, 1, Smoke::mf_static, 145, 4},	//389 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 181, 0, 0, Smoke::mf_static, 145, 5},	//390 Solid::PowerManagement::beginSuppressingSleep()
    {29, 297, 64, 3, Smoke::mf_static, 0, 6},	//391 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 266, 0, 0, Smoke::mf_static, 114, 7},	//392 Solid::PowerManagement::notifier()
    {29, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 8},	//393 Solid::PowerManagement::StandbyState (enum)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 9},	//394 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 10},	//395 Solid::PowerManagement::HibernateState (enum)
    {31, 117, 0, 0, Smoke::mf_ctor, 118, 1},	//396 Solid::Predicate::Predicate()
    {31, 117, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 2},	//397 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 117, 68, 4, Smoke::mf_ctor, 118, 3},	//398 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 117, 73, 4, Smoke::mf_ctor, 118, 4},	//399 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 117, 47, 1, Smoke::mf_ctor, 118, 5},	//400 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 117, 34, 1, Smoke::mf_ctor, 118, 6},	//401 Solid::Predicate::Predicate(const QString&)
    {31, 272, 49, 1, 0, 117, 7},	//402 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 268, 49, 1, 0, 116, 8},	//403 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 270, 49, 1, 0, 117, 9},	//404 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 274, 49, 1, 0, 116, 10},	//405 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 276, 49, 1, 0, 117, 11},	//406 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 248, 0, 0, Smoke::mf_const, 132, 12},	//407 Solid::Predicate::isValid() const
    {31, 260, 45, 1, Smoke::mf_const, 132, 13},	//408 Solid::Predicate::matches(const Solid::Device&) const
    {31, 337, 0, 0, Smoke::mf_const, 10, 14},	//409 Solid::Predicate::usedTypes() const
    {31, 321, 0, 0, Smoke::mf_const, 12, 15},	//410 Solid::Predicate::toString() const
    {31, 227, 34, 1, Smoke::mf_static, 116, 16},	//411 Solid::Predicate::fromString(const QString&)
    {31, 330, 0, 0, Smoke::mf_const, 120, 17},	//412 Solid::Predicate::type() const
    {31, 236, 0, 0, Smoke::mf_const, 100, 18},	//413 Solid::Predicate::interfaceType() const
    {31, 291, 0, 0, Smoke::mf_const, 12, 19},	//414 Solid::Predicate::propertyName() const
    {31, 262, 0, 0, Smoke::mf_const, 16, 20},	//415 Solid::Predicate::matchingValue() const
    {31, 193, 0, 0, Smoke::mf_const, 119, 21},	//416 Solid::Predicate::comparisonOperator() const
    {31, 226, 0, 0, Smoke::mf_const, 116, 22},	//417 Solid::Predicate::firstOperand() const
    {31, 299, 0, 0, Smoke::mf_const, 116, 23},	//418 Solid::Predicate::secondOperand() const
    {31, 117, 78, 3, Smoke::mf_ctor, 118, 24},	//419 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 117, 82, 3, Smoke::mf_ctor, 118, 25},	//420 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 26},	//421 Solid::Predicate::Equals (enum)
    {31, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 27},	//422 Solid::Predicate::Mask (enum)
    {31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 28},	//423 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 29},	//424 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 30},	//425 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 31},	//426 Solid::Predicate::InterfaceCheck (enum)
    {31, 357, 0, 0, Smoke::mf_dtor, 0, 32 },	//427 Solid::Predicate::~Predicate()
    {32, 264, 0, 0, Smoke::mf_const, 135, 1},	//428 Solid::Processor::metaObject() const
    {32, 294, 10, 1, 0, 148, 2},	//429 Solid::Processor::qt_metacast(const char*)
    {32, 322, 12, 2, Smoke::mf_static, 12, 3},	//430 Solid::Processor::tr(const char*, const char*)
    {32, 326, 12, 2, Smoke::mf_static, 12, 4},	//431 Solid::Processor::trUtf8(const char*, const char*)
    {32, 322, 15, 3, Smoke::mf_static, 12, 5},	//432 Solid::Processor::tr(const char*, const char*, int)
    {32, 326, 15, 3, Smoke::mf_static, 12, 6},	//433 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 292, 19, 3, 0, 145, 7},	//434 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 204, 0, 0, Smoke::mf_static, 100, 8},	//435 Solid::Processor::deviceInterfaceType()
    {32, 267, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//436 Solid::Processor::number() const
    {32, 263, 0, 0, Smoke::mf_const, 145, 10},	//437 Solid::Processor::maxSpeed() const
    {32, 184, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//438 Solid::Processor::canChangeFrequency() const
    {32, 235, 0, 0, Smoke::mf_const|Smoke::mf_property, 122, 12},	//439 Solid::Processor::instructionSets() const
    {32, 322, 10, 1, Smoke::mf_static, 12, 13},	//440 Solid::Processor::tr(const char*)
    {32, 326, 10, 1, Smoke::mf_static, 12, 14},	//441 Solid::Processor::trUtf8(const char*)
    {32, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//442 Solid::Processor::staticMetaObject() const
    {32, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 16},	//443 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 17},	//444 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 18},	//445 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 19},	//446 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 20},	//447 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 21},	//448 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 22},	//449 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 23},	//450 Solid::Processor::AltiVec (enum)
    {32, 358, 0, 0, Smoke::mf_dtor, 0, 24 },	//451 Solid::Processor::~Processor()
    {33, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//452 Solid::StorageAccess::metaObject() const
    {33, 294, 10, 1, Smoke::mf_virtual, 148, 2},	//453 Solid::StorageAccess::qt_metacast(const char*)
    {33, 322, 12, 2, Smoke::mf_static, 12, 3},	//454 Solid::StorageAccess::tr(const char*, const char*)
    {33, 326, 12, 2, Smoke::mf_static, 12, 4},	//455 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 322, 15, 3, Smoke::mf_static, 12, 5},	//456 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 326, 15, 3, Smoke::mf_static, 12, 6},	//457 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 292, 19, 3, Smoke::mf_virtual, 145, 7},	//458 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 204, 0, 0, Smoke::mf_static, 100, 8},	//459 Solid::StorageAccess::deviceInterfaceType()
    {33, 237, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//460 Solid::StorageAccess::isAccessible() const
    {33, 225, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 10},	//461 Solid::StorageAccess::filePath() const
    {33, 300, 0, 0, 0, 132, 11},	//462 Solid::StorageAccess::setup()
    {33, 317, 0, 0, 0, 132, 12},	//463 Solid::StorageAccess::teardown()
    {33, 173, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//464 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 301, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//465 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 318, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//466 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 147, 86, 2, Smoke::mf_ctor|Smoke::mf_protected, 123, 16},	//467 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 322, 10, 1, Smoke::mf_static, 12, 17},	//468 Solid::StorageAccess::tr(const char*)
    {33, 326, 10, 1, Smoke::mf_static, 12, 18},	//469 Solid::StorageAccess::trUtf8(const char*)
    {33, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//470 Solid::StorageAccess::staticMetaObject() const
    {33, 359, 0, 0, Smoke::mf_dtor, 0, 20 },	//471 Solid::StorageAccess::~StorageAccess()
    {35, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//472 Solid::StorageDrive::metaObject() const
    {35, 294, 10, 1, Smoke::mf_virtual, 148, 2},	//473 Solid::StorageDrive::qt_metacast(const char*)
    {35, 322, 12, 2, Smoke::mf_static, 12, 3},	//474 Solid::StorageDrive::tr(const char*, const char*)
    {35, 326, 12, 2, Smoke::mf_static, 12, 4},	//475 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 322, 15, 3, Smoke::mf_static, 12, 5},	//476 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 326, 15, 3, Smoke::mf_static, 12, 6},	//477 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 292, 19, 3, Smoke::mf_virtual, 145, 7},	//478 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 204, 0, 0, Smoke::mf_static, 100, 8},	//479 Solid::StorageDrive::deviceInterfaceType()
    {35, 183, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 9},	//480 Solid::StorageDrive::bus() const
    {35, 212, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 10},	//481 Solid::StorageDrive::driveType() const
    {35, 246, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//482 Solid::StorageDrive::isRemovable() const
    {35, 242, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//483 Solid::StorageDrive::isHotpluggable() const
    {35, 149, 89, 2, Smoke::mf_ctor|Smoke::mf_protected, 125, 13},	//484 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 322, 10, 1, Smoke::mf_static, 12, 14},	//485 Solid::StorageDrive::tr(const char*)
    {35, 326, 10, 1, Smoke::mf_static, 12, 15},	//486 Solid::StorageDrive::trUtf8(const char*)
    {35, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//487 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 17},	//488 Solid::StorageDrive::Ide (enum)
    {35, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 18},	//489 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 19},	//490 Solid::StorageDrive::Ieee1394 (enum)
    {35, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 20},	//491 Solid::StorageDrive::Scsi (enum)
    {35, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 21},	//492 Solid::StorageDrive::Sata (enum)
    {35, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 22},	//493 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 23},	//494 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 24},	//495 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 25},	//496 Solid::StorageDrive::Floppy (enum)
    {35, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 26},	//497 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 27},	//498 Solid::StorageDrive::CompactFlash (enum)
    {35, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 28},	//499 Solid::StorageDrive::MemoryStick (enum)
    {35, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 29},	//500 Solid::StorageDrive::SmartMedia (enum)
    {35, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 30},	//501 Solid::StorageDrive::SdMmc (enum)
    {35, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 31},	//502 Solid::StorageDrive::Xd (enum)
    {35, 360, 0, 0, Smoke::mf_dtor, 0, 32 },	//503 Solid::StorageDrive::~StorageDrive()
    {37, 264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//504 Solid::StorageVolume::metaObject() const
    {37, 294, 10, 1, Smoke::mf_virtual, 148, 2},	//505 Solid::StorageVolume::qt_metacast(const char*)
    {37, 322, 12, 2, Smoke::mf_static, 12, 3},	//506 Solid::StorageVolume::tr(const char*, const char*)
    {37, 326, 12, 2, Smoke::mf_static, 12, 4},	//507 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 322, 15, 3, Smoke::mf_static, 12, 5},	//508 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 326, 15, 3, Smoke::mf_static, 12, 6},	//509 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 292, 19, 3, Smoke::mf_virtual, 145, 7},	//510 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 204, 0, 0, Smoke::mf_static, 100, 8},	//511 Solid::StorageVolume::deviceInterfaceType()
    {37, 243, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//512 Solid::StorageVolume::isIgnored() const
    {37, 336, 0, 0, Smoke::mf_const|Smoke::mf_property, 130, 10},	//513 Solid::StorageVolume::usage() const
    {37, 229, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//514 Solid::StorageVolume::fsType() const
    {37, 250, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 12},	//515 Solid::StorageVolume::label() const
    {37, 338, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 13},	//516 Solid::StorageVolume::uuid() const
    {37, 303, 0, 0, Smoke::mf_const, 147, 14},	//517 Solid::StorageVolume::size() const
    {37, 222, 0, 0, Smoke::mf_const, 96, 15},	//518 Solid::StorageVolume::encryptedContainer() const
    {37, 151, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 129, 16},	//519 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 322, 10, 1, Smoke::mf_static, 12, 17},	//520 Solid::StorageVolume::tr(const char*)
    {37, 326, 10, 1, Smoke::mf_static, 12, 18},	//521 Solid::StorageVolume::trUtf8(const char*)
    {37, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//522 Solid::StorageVolume::staticMetaObject() const
    {37, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//523 Solid::StorageVolume::Other (enum)
    {37, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//524 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 22},	//525 Solid::StorageVolume::FileSystem (enum)
    {37, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 23},	//526 Solid::StorageVolume::PartitionTable (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 24},	//527 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 25},	//528 Solid::StorageVolume::Encrypted (enum)
    {37, 361, 0, 0, Smoke::mf_dtor, 0, 26 },	//529 Solid::StorageVolume::~StorageVolume()
    {39, 264, 0, 0, Smoke::mf_const, 135, 1},	//530 Solid::Video::metaObject() const
    {39, 294, 10, 1, 0, 148, 2},	//531 Solid::Video::qt_metacast(const char*)
    {39, 322, 12, 2, Smoke::mf_static, 12, 3},	//532 Solid::Video::tr(const char*, const char*)
    {39, 326, 12, 2, Smoke::mf_static, 12, 4},	//533 Solid::Video::trUtf8(const char*, const char*)
    {39, 322, 15, 3, Smoke::mf_static, 12, 5},	//534 Solid::Video::tr(const char*, const char*, int)
    {39, 326, 15, 3, Smoke::mf_static, 12, 6},	//535 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 292, 19, 3, 0, 145, 7},	//536 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 204, 0, 0, Smoke::mf_static, 100, 8},	//537 Solid::Video::deviceInterfaceType()
    {39, 315, 0, 0, Smoke::mf_const, 13, 9},	//538 Solid::Video::supportedProtocols() const
    {39, 312, 32, 1, Smoke::mf_const, 13, 10},	//539 Solid::Video::supportedDrivers(QString) const
    {39, 214, 34, 1, Smoke::mf_const, 16, 11},	//540 Solid::Video::driverHandle(const QString&) const
    {39, 322, 10, 1, Smoke::mf_static, 12, 12},	//541 Solid::Video::tr(const char*)
    {39, 326, 10, 1, Smoke::mf_static, 12, 13},	//542 Solid::Video::trUtf8(const char*)
    {39, 312, 0, 0, Smoke::mf_const, 13, 14},	//543 Solid::Video::supportedDrivers() const
    {39, 306, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//544 Solid::Video::staticMetaObject() const
    {39, 362, 0, 0, Smoke::mf_dtor, 0, 16 },	//545 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    163,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    164,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
    400,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    401,  // Solid::Predicate::Predicate(const QString&)
    0,
    419,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    420,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    398,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    399,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 128, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 129, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 130, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 131, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 132, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 133, 8},	// QGlobalSpace::QtCriticalMsg
    {4, 134, 6},	// QGlobalSpace::QtDebugMsg
    {4, 135, 9},	// QGlobalSpace::QtFatalMsg
    {4, 136, 10},	// QGlobalSpace::QtSystemMsg
    {4, 137, 7},	// QGlobalSpace::QtWarningMsg
    {10, 105, 18},	// Solid::NoError
    {10, 157, 19},	// Solid::UnauthorizedOperation
    {11, 204, 27},	// Solid::AcAdapter::deviceInterfaceType
    {11, 244, 28},	// Solid::AcAdapter::isPlugged
    {11, 264, 20},	// Solid::AcAdapter::metaObject
    {11, 281, 29},	// Solid::AcAdapter::plugStateChanged$$
    {11, 293, 26},	// Solid::AcAdapter::qt_metacall$$?
    {11, 295, 21},	// Solid::AcAdapter::qt_metacast$
    {11, 306, 32},	// Solid::AcAdapter::staticMetaObject
    {11, 323, 30},	// Solid::AcAdapter::tr$
    {11, 324, 22},	// Solid::AcAdapter::tr$$
    {11, 325, 24},	// Solid::AcAdapter::tr$$$
    {11, 327, 31},	// Solid::AcAdapter::trUtf8$
    {11, 328, 23},	// Solid::AcAdapter::trUtf8$$
    {11, 329, 25},	// Solid::AcAdapter::trUtf8$$$
    {11, 342, 33},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 50},	// Solid::AudioInterface::Alsa
    {12, 6, 54},	// Solid::AudioInterface::AudioControl
    {12, 7, 55},	// Solid::AudioInterface::AudioInput
    {12, 9, 56},	// Solid::AudioInterface::AudioOutput
    {12, 72, 59},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 60},	// Solid::AudioInterface::Headset
    {12, 92, 57},	// Solid::AudioInterface::InternalSoundcard
    {12, 101, 61},	// Solid::AudioInterface::Modem
    {12, 108, 51},	// Solid::AudioInterface::OpenSoundSystem
    {12, 160, 52},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 161, 53},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 168, 58},	// Solid::AudioInterface::UsbSoundcard
    {12, 204, 41},	// Solid::AudioInterface::deviceInterfaceType
    {12, 209, 45},	// Solid::AudioInterface::deviceType
    {12, 213, 42},	// Solid::AudioInterface::driver
    {12, 214, 43},	// Solid::AudioInterface::driverHandle
    {12, 264, 34},	// Solid::AudioInterface::metaObject
    {12, 265, 44},	// Solid::AudioInterface::name
    {12, 293, 40},	// Solid::AudioInterface::qt_metacall$$?
    {12, 295, 35},	// Solid::AudioInterface::qt_metacast$
    {12, 304, 46},	// Solid::AudioInterface::soundcardType
    {12, 306, 49},	// Solid::AudioInterface::staticMetaObject
    {12, 323, 47},	// Solid::AudioInterface::tr$
    {12, 324, 36},	// Solid::AudioInterface::tr$$
    {12, 325, 38},	// Solid::AudioInterface::tr$$$
    {12, 327, 48},	// Solid::AudioInterface::trUtf8$
    {12, 328, 37},	// Solid::AudioInterface::trUtf8$$
    {12, 329, 39},	// Solid::AudioInterface::trUtf8$$$
    {12, 343, 62},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 89},	// Solid::Battery::CameraBattery
    {13, 27, 91},	// Solid::Battery::Charging
    {13, 39, 92},	// Solid::Battery::Discharging
    {13, 93, 87},	// Solid::Battery::KeyboardBattery
    {13, 94, 88},	// Solid::Battery::KeyboardMouseBattery
    {13, 102, 86},	// Solid::Battery::MouseBattery
    {13, 104, 90},	// Solid::Battery::NoCharge
    {13, 113, 83},	// Solid::Battery::PdaBattery
    {13, 122, 85},	// Solid::Battery::PrimaryBattery
    {13, 162, 82},	// Solid::Battery::UnknownBattery
    {13, 166, 84},	// Solid::Battery::UpsBattery
    {13, 186, 73},	// Solid::Battery::chargePercent
    {13, 188, 76},	// Solid::Battery::chargePercentChanged$$
    {13, 189, 75},	// Solid::Battery::chargeState
    {13, 191, 77},	// Solid::Battery::chargeStateChanged$$
    {13, 204, 70},	// Solid::Battery::deviceInterfaceType
    {13, 244, 71},	// Solid::Battery::isPlugged
    {13, 245, 74},	// Solid::Battery::isRechargeable
    {13, 264, 63},	// Solid::Battery::metaObject
    {13, 281, 78},	// Solid::Battery::plugStateChanged$$
    {13, 293, 69},	// Solid::Battery::qt_metacall$$?
    {13, 295, 64},	// Solid::Battery::qt_metacast$
    {13, 306, 81},	// Solid::Battery::staticMetaObject
    {13, 323, 79},	// Solid::Battery::tr$
    {13, 324, 65},	// Solid::Battery::tr$$
    {13, 325, 67},	// Solid::Battery::tr$$$
    {13, 327, 80},	// Solid::Battery::trUtf8$
    {13, 328, 66},	// Solid::Battery::trUtf8$$
    {13, 329, 68},	// Solid::Battery::trUtf8$$$
    {13, 330, 72},	// Solid::Battery::type
    {13, 344, 93},	// Solid::Battery::~Battery
    {14, 199, 104},	// Solid::Block::device
    {14, 204, 101},	// Solid::Block::deviceInterfaceType
    {14, 205, 102},	// Solid::Block::deviceMajor
    {14, 206, 103},	// Solid::Block::deviceMinor
    {14, 264, 94},	// Solid::Block::metaObject
    {14, 293, 100},	// Solid::Block::qt_metacall$$?
    {14, 295, 95},	// Solid::Block::qt_metacast$
    {14, 306, 107},	// Solid::Block::staticMetaObject
    {14, 323, 105},	// Solid::Block::tr$
    {14, 324, 96},	// Solid::Block::tr$$
    {14, 325, 98},	// Solid::Block::tr$$$
    {14, 327, 106},	// Solid::Block::trUtf8$
    {14, 328, 97},	// Solid::Block::trUtf8$$
    {14, 329, 99},	// Solid::Block::trUtf8$$$
    {14, 345, 108},	// Solid::Block::~Block
    {15, 96, 124},	// Solid::Button::LidButton
    {15, 116, 125},	// Solid::Button::PowerButton
    {15, 143, 126},	// Solid::Button::SleepButton
    {15, 155, 128},	// Solid::Button::TabletButton
    {15, 163, 127},	// Solid::Button::UnknownButtonType
    {15, 204, 116},	// Solid::Button::deviceInterfaceType
    {15, 230, 118},	// Solid::Button::hasState
    {15, 264, 109},	// Solid::Button::metaObject
    {15, 283, 120},	// Solid::Button::pressed$$
    {15, 293, 115},	// Solid::Button::qt_metacall$$?
    {15, 295, 110},	// Solid::Button::qt_metacast$
    {15, 305, 119},	// Solid::Button::stateValue
    {15, 306, 123},	// Solid::Button::staticMetaObject
    {15, 323, 121},	// Solid::Button::tr$
    {15, 324, 111},	// Solid::Button::tr$$
    {15, 325, 113},	// Solid::Button::tr$$$
    {15, 327, 122},	// Solid::Button::trUtf8$
    {15, 328, 112},	// Solid::Button::trUtf8$$
    {15, 329, 114},	// Solid::Button::trUtf8$$$
    {15, 330, 117},	// Solid::Button::type
    {15, 346, 129},	// Solid::Button::~Button
    {16, 204, 137},	// Solid::Camera::deviceInterfaceType
    {16, 215, 140},	// Solid::Camera::driverHandle$
    {16, 264, 130},	// Solid::Camera::metaObject
    {16, 293, 136},	// Solid::Camera::qt_metacall$$?
    {16, 295, 131},	// Solid::Camera::qt_metacast$
    {16, 306, 144},	// Solid::Camera::staticMetaObject
    {16, 312, 143},	// Solid::Camera::supportedDrivers
    {16, 313, 139},	// Solid::Camera::supportedDrivers$
    {16, 315, 138},	// Solid::Camera::supportedProtocols
    {16, 323, 141},	// Solid::Camera::tr$
    {16, 324, 132},	// Solid::Camera::tr$$
    {16, 325, 134},	// Solid::Camera::tr$$$
    {16, 327, 142},	// Solid::Camera::trUtf8$
    {16, 328, 133},	// Solid::Camera::trUtf8$$
    {16, 329, 135},	// Solid::Camera::trUtf8$$$
    {16, 347, 145},	// Solid::Camera::~Camera
    {17, 33, 168},	// Solid::Device::Device
    {17, 34, 151},	// Solid::Device::Device#
    {17, 35, 150},	// Solid::Device::Device$
    {17, 175, 146},	// Solid::Device::allDevices
    {17, 179, -1},	// Solid::Device::asDeviceInterface$
    {17, 198, 161},	// Solid::Device::description
    {17, 221, 160},	// Solid::Device::emblems
    {17, 232, 159},	// Solid::Device::icon
    {17, 241, 162},	// Solid::Device::isDeviceInterface$
    {17, 248, 153},	// Solid::Device::isValid
    {17, 252, 166},	// Solid::Device::listFromQuery#
    {17, 253, 148},	// Solid::Device::listFromQuery#$
    {17, 254, 167},	// Solid::Device::listFromQuery$
    {17, 255, 149},	// Solid::Device::listFromQuery$$
    {17, 257, 165},	// Solid::Device::listFromType$
    {17, 258, 147},	// Solid::Device::listFromType$$
    {17, 273, 152},	// Solid::Device::operator=#
    {17, 278, 156},	// Solid::Device::parent
    {17, 279, 155},	// Solid::Device::parentUdi
    {17, 284, 158},	// Solid::Device::product
    {17, 335, 154},	// Solid::Device::udi
    {17, 339, 157},	// Solid::Device::vendor
    {17, 348, 169},	// Solid::Device::~Device
    {18, 1, 197},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 200},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 198},	// Solid::DeviceInterface::Battery
    {18, 14, 188},	// Solid::DeviceInterface::Block
    {18, 18, 199},	// Solid::DeviceInterface::Button
    {18, 19, 194},	// Solid::DeviceInterface::Camera
    {18, 37, 181},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 201},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 186},	// Solid::DeviceInterface::GenericInterface
    {18, 95, 205},	// Solid::DeviceInterface::Last
    {18, 103, 196},	// Solid::DeviceInterface::NetworkInterface
    {18, 109, 193},	// Solid::DeviceInterface::OpticalDisc
    {18, 110, 191},	// Solid::DeviceInterface::OpticalDrive
    {18, 115, 195},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 123, 187},	// Solid::DeviceInterface::Processor
    {18, 142, 203},	// Solid::DeviceInterface::SerialInterface
    {18, 144, 204},	// Solid::DeviceInterface::SmartCardReader
    {18, 147, 189},	// Solid::DeviceInterface::StorageAccess
    {18, 149, 190},	// Solid::DeviceInterface::StorageDrive
    {18, 151, 192},	// Solid::DeviceInterface::StorageVolume
    {18, 159, 185},	// Solid::DeviceInterface::Unknown
    {18, 169, 202},	// Solid::DeviceInterface::Video
    {18, 248, 177},	// Solid::DeviceInterface::isValid
    {18, 264, 170},	// Solid::DeviceInterface::metaObject
    {18, 293, 176},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 295, 171},	// Solid::DeviceInterface::qt_metacast$
    {18, 306, 184},	// Solid::DeviceInterface::staticMetaObject
    {18, 311, 179},	// Solid::DeviceInterface::stringToType$
    {18, 323, 182},	// Solid::DeviceInterface::tr$
    {18, 324, 172},	// Solid::DeviceInterface::tr$$
    {18, 325, 174},	// Solid::DeviceInterface::tr$$$
    {18, 327, 183},	// Solid::DeviceInterface::trUtf8$
    {18, 328, 173},	// Solid::DeviceInterface::trUtf8$$
    {18, 329, 175},	// Solid::DeviceInterface::trUtf8$$$
    {18, 332, 180},	// Solid::DeviceInterface::typeDescription$
    {18, 334, 178},	// Solid::DeviceInterface::typeToString$
    {18, 349, 206},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 217},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 202, 215},	// Solid::DeviceNotifier::deviceAdded$
    {20, 208, 216},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 234, 214},	// Solid::DeviceNotifier::instance
    {20, 264, 207},	// Solid::DeviceNotifier::metaObject
    {20, 293, 213},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 295, 208},	// Solid::DeviceNotifier::qt_metacast$
    {20, 306, 220},	// Solid::DeviceNotifier::staticMetaObject
    {20, 323, 218},	// Solid::DeviceNotifier::tr$
    {20, 324, 209},	// Solid::DeviceNotifier::tr$$
    {20, 325, 211},	// Solid::DeviceNotifier::tr$$$
    {20, 327, 219},	// Solid::DeviceNotifier::trUtf8$
    {20, 328, 210},	// Solid::DeviceNotifier::trUtf8$$
    {20, 329, 212},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 350, 221},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 238},	// Solid::DvbInterface::DvbAudio
    {21, 43, 239},	// Solid::DvbInterface::DvbCa
    {21, 44, 240},	// Solid::DvbInterface::DvbDemux
    {21, 45, 241},	// Solid::DvbInterface::DvbDvr
    {21, 46, 242},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 243},	// Solid::DvbInterface::DvbNet
    {21, 49, 244},	// Solid::DvbInterface::DvbOsd
    {21, 50, 245},	// Solid::DvbInterface::DvbSec
    {21, 51, 237},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 246},	// Solid::DvbInterface::DvbVideo
    {21, 199, 230},	// Solid::DvbInterface::device
    {21, 200, 231},	// Solid::DvbInterface::deviceAdapter
    {21, 203, 233},	// Solid::DvbInterface::deviceIndex
    {21, 204, 229},	// Solid::DvbInterface::deviceInterfaceType
    {21, 209, 232},	// Solid::DvbInterface::deviceType
    {21, 264, 222},	// Solid::DvbInterface::metaObject
    {21, 293, 228},	// Solid::DvbInterface::qt_metacall$$?
    {21, 295, 223},	// Solid::DvbInterface::qt_metacast$
    {21, 306, 236},	// Solid::DvbInterface::staticMetaObject
    {21, 323, 234},	// Solid::DvbInterface::tr$
    {21, 324, 224},	// Solid::DvbInterface::tr$$
    {21, 325, 226},	// Solid::DvbInterface::tr$$$
    {21, 327, 235},	// Solid::DvbInterface::trUtf8$
    {21, 328, 225},	// Solid::DvbInterface::trUtf8$$
    {21, 329, 227},	// Solid::DvbInterface::trUtf8$$$
    {21, 351, 247},	// Solid::DvbInterface::~DvbInterface
    {22, 124, 265},	// Solid::GenericInterface::PropertyAdded
    {22, 126, 264},	// Solid::GenericInterface::PropertyModified
    {22, 127, 266},	// Solid::GenericInterface::PropertyRemoved
    {22, 176, 257},	// Solid::GenericInterface::allProperties
    {22, 195, 260},	// Solid::GenericInterface::conditionRaised$$
    {22, 204, 255},	// Solid::GenericInterface::deviceInterfaceType
    {22, 264, 248},	// Solid::GenericInterface::metaObject
    {22, 286, 256},	// Solid::GenericInterface::property$
    {22, 288, 259},	// Solid::GenericInterface::propertyChanged?
    {22, 290, 258},	// Solid::GenericInterface::propertyExists$
    {22, 293, 254},	// Solid::GenericInterface::qt_metacall$$?
    {22, 295, 249},	// Solid::GenericInterface::qt_metacast$
    {22, 306, 263},	// Solid::GenericInterface::staticMetaObject
    {22, 323, 261},	// Solid::GenericInterface::tr$
    {22, 324, 250},	// Solid::GenericInterface::tr$$
    {22, 325, 252},	// Solid::GenericInterface::tr$$$
    {22, 327, 262},	// Solid::GenericInterface::trUtf8$
    {22, 328, 251},	// Solid::GenericInterface::trUtf8$$
    {22, 329, 253},	// Solid::GenericInterface::trUtf8$$$
    {22, 352, 267},	// Solid::GenericInterface::~GenericInterface
    {23, 204, 275},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 231, 278},	// Solid::NetworkInterface::hwAddress
    {23, 233, 276},	// Solid::NetworkInterface::ifaceName
    {23, 249, 277},	// Solid::NetworkInterface::isWireless
    {23, 259, 279},	// Solid::NetworkInterface::macAddress
    {23, 264, 268},	// Solid::NetworkInterface::metaObject
    {23, 293, 274},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 295, 269},	// Solid::NetworkInterface::qt_metacast$
    {23, 306, 282},	// Solid::NetworkInterface::staticMetaObject
    {23, 323, 280},	// Solid::NetworkInterface::tr$
    {23, 324, 270},	// Solid::NetworkInterface::tr$$
    {23, 325, 272},	// Solid::NetworkInterface::tr$$$
    {23, 327, 281},	// Solid::NetworkInterface::trUtf8$
    {23, 328, 271},	// Solid::NetworkInterface::trUtf8$$
    {23, 329, 273},	// Solid::NetworkInterface::trUtf8$$$
    {23, 353, 283},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 293},	// Solid::Networking::Connected
    {24, 31, 292},	// Solid::Networking::Connecting
    {24, 40, 291},	// Solid::Networking::Disconnecting
    {24, 97, 288},	// Solid::Networking::Managed
    {24, 98, 286},	// Solid::Networking::Manual
    {24, 107, 287},	// Solid::Networking::OnNextStatusChange
    {24, 158, 290},	// Solid::Networking::Unconnected
    {24, 159, 289},	// Solid::Networking::Unknown
    {24, 266, 285},	// Solid::Networking::notifier
    {24, 307, 284},	// Solid::Networking::status
    {26, 5, 311},	// Solid::OpticalDisc::Audio
    {26, 15, 329},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 330},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 328},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 318},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 319},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 317},	// Solid::OpticalDisc::CdRom
    {26, 32, 312},	// Solid::OpticalDisc::Data
    {26, 54, 324},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 326},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 325},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 327},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 321},	// Solid::OpticalDisc::DvdRam
    {26, 59, 322},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 323},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 320},	// Solid::OpticalDisc::DvdRom
    {26, 77, 332},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 333},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 331},	// Solid::OpticalDisc::HdDvdRom
    {26, 153, 314},	// Solid::OpticalDisc::SuperVideoCd
    {26, 164, 316},	// Solid::OpticalDisc::UnknownDiscType
    {26, 170, 313},	// Solid::OpticalDisc::VideoCd
    {26, 171, 315},	// Solid::OpticalDisc::VideoDvd
    {26, 180, 302},	// Solid::OpticalDisc::availableContent
    {26, 185, 307},	// Solid::OpticalDisc::capacity
    {26, 204, 301},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 210, 303},	// Solid::OpticalDisc::discType
    {26, 238, 304},	// Solid::OpticalDisc::isAppendable
    {26, 239, 305},	// Solid::OpticalDisc::isBlank
    {26, 247, 306},	// Solid::OpticalDisc::isRewritable
    {26, 264, 294},	// Solid::OpticalDisc::metaObject
    {26, 293, 300},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 295, 295},	// Solid::OpticalDisc::qt_metacast$
    {26, 306, 310},	// Solid::OpticalDisc::staticMetaObject
    {26, 323, 308},	// Solid::OpticalDisc::tr$
    {26, 324, 296},	// Solid::OpticalDisc::tr$$
    {26, 325, 298},	// Solid::OpticalDisc::tr$$$
    {26, 327, 309},	// Solid::OpticalDisc::trUtf8$
    {26, 328, 297},	// Solid::OpticalDisc::trUtf8$$
    {26, 329, 299},	// Solid::OpticalDisc::trUtf8$$$
    {26, 354, 334},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 363},	// Solid::OpticalDrive::Bd
    {27, 12, 364},	// Solid::OpticalDrive::Bdr
    {27, 13, 365},	// Solid::OpticalDrive::Bdre
    {27, 24, 353},	// Solid::OpticalDrive::Cdr
    {27, 26, 354},	// Solid::OpticalDrive::Cdrw
    {27, 53, 355},	// Solid::OpticalDrive::Dvd
    {27, 62, 361},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 362},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 359},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 360},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 356},	// Solid::OpticalDrive::Dvdr
    {27, 67, 358},	// Solid::OpticalDrive::Dvdram
    {27, 68, 357},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 366},	// Solid::OpticalDrive::HdDvd
    {27, 80, 367},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 368},	// Solid::OpticalDrive::HdDvdrw
    {27, 204, 342},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 216, 347},	// Solid::OpticalDrive::eject
    {27, 218, 349},	// Solid::OpticalDrive::ejectDone$#$
    {27, 220, 348},	// Solid::OpticalDrive::ejectPressed$
    {27, 264, 335},	// Solid::OpticalDrive::metaObject
    {27, 293, 341},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 295, 336},	// Solid::OpticalDrive::qt_metacast$
    {27, 296, 344},	// Solid::OpticalDrive::readSpeed
    {27, 306, 352},	// Solid::OpticalDrive::staticMetaObject
    {27, 314, 343},	// Solid::OpticalDrive::supportedMedia
    {27, 323, 350},	// Solid::OpticalDrive::tr$
    {27, 324, 337},	// Solid::OpticalDrive::tr$$
    {27, 325, 339},	// Solid::OpticalDrive::tr$$$
    {27, 327, 351},	// Solid::OpticalDrive::trUtf8$
    {27, 328, 338},	// Solid::OpticalDrive::trUtf8$$
    {27, 329, 340},	// Solid::OpticalDrive::trUtf8$$$
    {27, 340, 345},	// Solid::OpticalDrive::writeSpeed
    {27, 341, 346},	// Solid::OpticalDrive::writeSpeeds
    {27, 355, 369},	// Solid::OpticalDrive::~OpticalDrive
    {28, 204, 377},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 215, 380},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 264, 370},	// Solid::PortableMediaPlayer::metaObject
    {28, 293, 376},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 295, 371},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 306, 384},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 312, 383},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 313, 379},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 315, 378},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 323, 381},	// Solid::PortableMediaPlayer::tr$
    {28, 324, 372},	// Solid::PortableMediaPlayer::tr$$
    {28, 325, 374},	// Solid::PortableMediaPlayer::tr$$$
    {28, 327, 382},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 328, 373},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 329, 375},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 356, 385},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 395},	// Solid::PowerManagement::HibernateState
    {29, 146, 393},	// Solid::PowerManagement::StandbyState
    {29, 154, 394},	// Solid::PowerManagement::SuspendState
    {29, 177, 386},	// Solid::PowerManagement::appShouldConserveResources
    {29, 181, 390},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 182, 389},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 266, 392},	// Solid::PowerManagement::notifier
    {29, 298, 391},	// Solid::PowerManagement::requestSleep$#$
    {29, 309, 388},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 316, 387},	// Solid::PowerManagement::supportedSleepStates
    {31, 29, 424},	// Solid::Predicate::Conjunction
    {31, 41, 425},	// Solid::Predicate::Disjunction
    {31, 70, 421},	// Solid::Predicate::Equals
    {31, 91, 426},	// Solid::Predicate::InterfaceCheck
    {31, 99, 422},	// Solid::Predicate::Mask
    {31, 117, 396},	// Solid::Predicate::Predicate
    {31, 118, 397},	// Solid::Predicate::Predicate#
    {31, 119, -4},	// Solid::Predicate::Predicate$
    {31, 120, -7},	// Solid::Predicate::Predicate$$#
    {31, 121, -10},	// Solid::Predicate::Predicate$$#$
    {31, 125, 423},	// Solid::Predicate::PropertyCheck
    {31, 193, 416},	// Solid::Predicate::comparisonOperator
    {31, 226, 417},	// Solid::Predicate::firstOperand
    {31, 228, 411},	// Solid::Predicate::fromString$
    {31, 236, 413},	// Solid::Predicate::interfaceType
    {31, 248, 407},	// Solid::Predicate::isValid
    {31, 261, 408},	// Solid::Predicate::matches#
    {31, 262, 415},	// Solid::Predicate::matchingValue
    {31, 269, 403},	// Solid::Predicate::operator&#
    {31, 271, 404},	// Solid::Predicate::operator&=#
    {31, 273, 402},	// Solid::Predicate::operator=#
    {31, 275, 405},	// Solid::Predicate::operator|#
    {31, 277, 406},	// Solid::Predicate::operator|=#
    {31, 291, 414},	// Solid::Predicate::propertyName
    {31, 299, 418},	// Solid::Predicate::secondOperand
    {31, 321, 410},	// Solid::Predicate::toString
    {31, 330, 412},	// Solid::Predicate::type
    {31, 337, 409},	// Solid::Predicate::usedTypes
    {31, 357, 427},	// Solid::Predicate::~Predicate
    {32, 3, 450},	// Solid::Processor::AltiVec
    {32, 4, 449},	// Solid::Processor::Amd3DNow
    {32, 86, 444},	// Solid::Processor::IntelMmx
    {32, 87, 445},	// Solid::Processor::IntelSse
    {32, 88, 446},	// Solid::Processor::IntelSse2
    {32, 89, 447},	// Solid::Processor::IntelSse3
    {32, 90, 448},	// Solid::Processor::IntelSse4
    {32, 106, 443},	// Solid::Processor::NoExtensions
    {32, 184, 438},	// Solid::Processor::canChangeFrequency
    {32, 204, 435},	// Solid::Processor::deviceInterfaceType
    {32, 235, 439},	// Solid::Processor::instructionSets
    {32, 263, 437},	// Solid::Processor::maxSpeed
    {32, 264, 428},	// Solid::Processor::metaObject
    {32, 267, 436},	// Solid::Processor::number
    {32, 293, 434},	// Solid::Processor::qt_metacall$$?
    {32, 295, 429},	// Solid::Processor::qt_metacast$
    {32, 306, 442},	// Solid::Processor::staticMetaObject
    {32, 323, 440},	// Solid::Processor::tr$
    {32, 324, 430},	// Solid::Processor::tr$$
    {32, 325, 432},	// Solid::Processor::tr$$$
    {32, 327, 441},	// Solid::Processor::trUtf8$
    {32, 328, 431},	// Solid::Processor::trUtf8$$
    {32, 329, 433},	// Solid::Processor::trUtf8$$$
    {32, 358, 451},	// Solid::Processor::~Processor
    {33, 148, 467},	// Solid::StorageAccess::StorageAccess##
    {33, 174, 464},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 204, 459},	// Solid::StorageAccess::deviceInterfaceType
    {33, 225, 461},	// Solid::StorageAccess::filePath
    {33, 237, 460},	// Solid::StorageAccess::isAccessible
    {33, 264, 452},	// Solid::StorageAccess::metaObject
    {33, 293, 458},	// Solid::StorageAccess::qt_metacall$$?
    {33, 295, 453},	// Solid::StorageAccess::qt_metacast$
    {33, 300, 462},	// Solid::StorageAccess::setup
    {33, 302, 465},	// Solid::StorageAccess::setupDone$#$
    {33, 306, 470},	// Solid::StorageAccess::staticMetaObject
    {33, 317, 463},	// Solid::StorageAccess::teardown
    {33, 319, 466},	// Solid::StorageAccess::teardownDone$#$
    {33, 323, 468},	// Solid::StorageAccess::tr$
    {33, 324, 454},	// Solid::StorageAccess::tr$$
    {33, 325, 456},	// Solid::StorageAccess::tr$$$
    {33, 327, 469},	// Solid::StorageAccess::trUtf8$
    {33, 328, 455},	// Solid::StorageAccess::trUtf8$$
    {33, 329, 457},	// Solid::StorageAccess::trUtf8$$$
    {33, 359, 471},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 495},	// Solid::StorageDrive::CdromDrive
    {35, 28, 498},	// Solid::StorageDrive::CompactFlash
    {35, 73, 496},	// Solid::StorageDrive::Floppy
    {35, 75, 494},	// Solid::StorageDrive::HardDisk
    {35, 84, 488},	// Solid::StorageDrive::Ide
    {35, 85, 490},	// Solid::StorageDrive::Ieee1394
    {35, 100, 499},	// Solid::StorageDrive::MemoryStick
    {35, 114, 493},	// Solid::StorageDrive::Platform
    {35, 139, 492},	// Solid::StorageDrive::Sata
    {35, 140, 491},	// Solid::StorageDrive::Scsi
    {35, 141, 501},	// Solid::StorageDrive::SdMmc
    {35, 145, 500},	// Solid::StorageDrive::SmartMedia
    {35, 150, 484},	// Solid::StorageDrive::StorageDrive##
    {35, 156, 497},	// Solid::StorageDrive::Tape
    {35, 167, 489},	// Solid::StorageDrive::Usb
    {35, 172, 502},	// Solid::StorageDrive::Xd
    {35, 183, 480},	// Solid::StorageDrive::bus
    {35, 204, 479},	// Solid::StorageDrive::deviceInterfaceType
    {35, 212, 481},	// Solid::StorageDrive::driveType
    {35, 242, 483},	// Solid::StorageDrive::isHotpluggable
    {35, 246, 482},	// Solid::StorageDrive::isRemovable
    {35, 264, 472},	// Solid::StorageDrive::metaObject
    {35, 293, 478},	// Solid::StorageDrive::qt_metacall$$?
    {35, 295, 473},	// Solid::StorageDrive::qt_metacast$
    {35, 306, 487},	// Solid::StorageDrive::staticMetaObject
    {35, 323, 485},	// Solid::StorageDrive::tr$
    {35, 324, 474},	// Solid::StorageDrive::tr$$
    {35, 325, 476},	// Solid::StorageDrive::tr$$$
    {35, 327, 486},	// Solid::StorageDrive::trUtf8$
    {35, 328, 475},	// Solid::StorageDrive::trUtf8$$
    {35, 329, 477},	// Solid::StorageDrive::trUtf8$$$
    {35, 360, 503},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 528},	// Solid::StorageVolume::Encrypted
    {37, 71, 525},	// Solid::StorageVolume::FileSystem
    {37, 111, 523},	// Solid::StorageVolume::Other
    {37, 112, 526},	// Solid::StorageVolume::PartitionTable
    {37, 138, 527},	// Solid::StorageVolume::Raid
    {37, 152, 519},	// Solid::StorageVolume::StorageVolume##
    {37, 165, 524},	// Solid::StorageVolume::Unused
    {37, 204, 511},	// Solid::StorageVolume::deviceInterfaceType
    {37, 222, 518},	// Solid::StorageVolume::encryptedContainer
    {37, 229, 514},	// Solid::StorageVolume::fsType
    {37, 243, 512},	// Solid::StorageVolume::isIgnored
    {37, 250, 515},	// Solid::StorageVolume::label
    {37, 264, 504},	// Solid::StorageVolume::metaObject
    {37, 293, 510},	// Solid::StorageVolume::qt_metacall$$?
    {37, 295, 505},	// Solid::StorageVolume::qt_metacast$
    {37, 303, 517},	// Solid::StorageVolume::size
    {37, 306, 522},	// Solid::StorageVolume::staticMetaObject
    {37, 323, 520},	// Solid::StorageVolume::tr$
    {37, 324, 506},	// Solid::StorageVolume::tr$$
    {37, 325, 508},	// Solid::StorageVolume::tr$$$
    {37, 327, 521},	// Solid::StorageVolume::trUtf8$
    {37, 328, 507},	// Solid::StorageVolume::trUtf8$$
    {37, 329, 509},	// Solid::StorageVolume::trUtf8$$$
    {37, 336, 513},	// Solid::StorageVolume::usage
    {37, 338, 516},	// Solid::StorageVolume::uuid
    {37, 361, 529},	// Solid::StorageVolume::~StorageVolume
    {39, 204, 537},	// Solid::Video::deviceInterfaceType
    {39, 215, 540},	// Solid::Video::driverHandle$
    {39, 264, 530},	// Solid::Video::metaObject
    {39, 293, 536},	// Solid::Video::qt_metacall$$?
    {39, 295, 531},	// Solid::Video::qt_metacast$
    {39, 306, 544},	// Solid::Video::staticMetaObject
    {39, 312, 543},	// Solid::Video::supportedDrivers
    {39, 313, 539},	// Solid::Video::supportedDrivers$
    {39, 315, 538},	// Solid::Video::supportedProtocols
    {39, 323, 541},	// Solid::Video::tr$
    {39, 324, 532},	// Solid::Video::tr$$
    {39, 325, 534},	// Solid::Video::tr$$$
    {39, 327, 542},	// Solid::Video::trUtf8$
    {39, 328, 533},	// Solid::Video::trUtf8$$
    {39, 329, 535},	// Solid::Video::trUtf8$$$
    {39, 362, 545},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 546,
        __smokesolid::methodMaps, 535,
        __smokesolid::methodNames, 362,
        __smokesolid::types, 149,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
