#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoclient_smoke.h>

namespace __smokesopranoclient {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QHostAddress
      switch(to) {
        case 5: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 21: return (void*)(Soprano::Client::SparqlModel*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Client::TcpClient*)(QObject*)xptr;
        case 15: return (void*)(Soprano::Client::DBusClient*)(QObject*)xptr;
        case 16: return (void*)(Soprano::Client::DBusModel*)(QObject*)xptr;
        case 20: return (void*)(Soprano::Client::LocalSocketClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::Client::DBusClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::DBusClient*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusClient*)xptr;
        case 15: return (void*)(Soprano::Client::DBusClient*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Client::DBusModel
      switch(to) {
        case 33: return (void*)(Soprano::StorageModel*)(Soprano::Client::DBusModel*)xptr;
        case 27: return (void*)(Soprano::Model*)(Soprano::Client::DBusModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Client::DBusModel*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusModel*)xptr;
        case 16: return (void*)(Soprano::Client::DBusModel*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Client::DBusNodeIterator
      switch(to) {
        case 29: return (void*)(Soprano::NodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
        case 17: return (void*)(Soprano::Client::DBusNodeIterator*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Client::DBusQueryResultIterator
      switch(to) {
        case 30: return (void*)(Soprano::QueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        case 18: return (void*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Client::DBusStatementIterator
      switch(to) {
        case 32: return (void*)(Soprano::StatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
        case 19: return (void*)(Soprano::Client::DBusStatementIterator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Client::LocalSocketClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::LocalSocketClient*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::LocalSocketClient*)xptr;
        case 20: return (void*)(Soprano::Client::LocalSocketClient*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Client::SparqlModel
      switch(to) {
        case 27: return (void*)(Soprano::Model*)(Soprano::Client::SparqlModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Client::SparqlModel*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::SparqlModel*)xptr;
        case 21: return (void*)(Soprano::Client::SparqlModel*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Client::TcpClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::TcpClient*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::TcpClient*)xptr;
        case 22: return (void*)(Soprano::Client::TcpClient*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Error::Error
      switch(to) {
        case 23: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Error::ErrorCache
      switch(to) {
        case 24: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Client::TcpClient*)(Soprano::Error::ErrorCache*)xptr;
        case 15: return (void*)(Soprano::Client::DBusClient*)(Soprano::Error::ErrorCache*)xptr;
        case 16: return (void*)(Soprano::Client::DBusModel*)(Soprano::Error::ErrorCache*)xptr;
        case 20: return (void*)(Soprano::Client::LocalSocketClient*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::LanguageTag
      switch(to) {
        case 25: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::LiteralValue
      switch(to) {
        case 26: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 27: return (void*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Model*)xptr;
        case 16: return (void*)(Soprano::Client::DBusModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Node
      switch(to) {
        case 28: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::NodeIterator
      switch(to) {
        case 29: return (void*)(Soprano::NodeIterator*)xptr;
        case 17: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::QueryResultIterator
      switch(to) {
        case 30: return (void*)(Soprano::QueryResultIterator*)xptr;
        case 18: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::Statement
      switch(to) {
        case 31: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::StatementIterator
      switch(to) {
        case 32: return (void*)(Soprano::StatementIterator*)xptr;
        case 19: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::StorageModel
      switch(to) {
        case 27: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 33: return (void*)(Soprano::StorageModel*)xptr;
        case 16: return (void*)(Soprano::Client::DBusModel*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 24: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 34: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 24, 0,	// 1: QObject, Soprano::Error::ErrorCache
    33, 0,	// 4: Soprano::StorageModel
    29, 0,	// 6: Soprano::NodeIterator
    30, 0,	// 8: Soprano::QueryResultIterator
    32, 0,	// 10: Soprano::StatementIterator
    27, 0,	// 12: Soprano::Model
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__MutexModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusQueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__LocalSocketClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__SparqlModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__TcpClient(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//13
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//14
    { "Soprano::Client::DBusClient", false, 1, xcall_Soprano__Client__DBusClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusClient) },	//15
    { "Soprano::Client::DBusModel", false, 4, xcall_Soprano__Client__DBusModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusModel) },	//16
    { "Soprano::Client::DBusNodeIterator", false, 6, xcall_Soprano__Client__DBusNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusNodeIterator) },	//17
    { "Soprano::Client::DBusQueryResultIterator", false, 8, xcall_Soprano__Client__DBusQueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusQueryResultIterator) },	//18
    { "Soprano::Client::DBusStatementIterator", false, 10, xcall_Soprano__Client__DBusStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusStatementIterator) },	//19
    { "Soprano::Client::LocalSocketClient", false, 1, xcall_Soprano__Client__LocalSocketClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::LocalSocketClient) },	//20
    { "Soprano::Client::SparqlModel", false, 12, xcall_Soprano__Client__SparqlModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::SparqlModel) },	//21
    { "Soprano::Client::TcpClient", false, 1, xcall_Soprano__Client__TcpClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::TcpClient) },	//22
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//28
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//29
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//30
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//31
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//32
    { "Soprano::StorageModel", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::Util::AsyncResult", true, 0, 0, 0, 0, 0 },	//34
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//4
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//10
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//14
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Soprano::BackendFeatures", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//90
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//91
    { "Soprano::Client::DBusClient*", 15, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Soprano::Client::DBusModel*", 16, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Soprano::Client::DBusNodeIterator*", 17, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Soprano::Client::DBusQueryResultIterator*", 18, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Soprano::Client::DBusStatementIterator*", 19, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Soprano::Client::LocalSocketClient*", 20, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Soprano::Client::SparqlModel*", 21, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Soprano::Client::TcpClient*", 22, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Soprano::Error::Error", 23, Smoke::t_class|Smoke::tf_stack },	//100
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Soprano::Model*", 27, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Soprano::Node", 28, Smoke::t_class|Smoke::tf_stack },	//104
    { "Soprano::NodeIterator", 29, Smoke::t_class|Smoke::tf_stack },	//105
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Soprano::QueryResultIterator", 30, Smoke::t_class|Smoke::tf_stack },	//107
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Soprano::StatementIterator", 32, Smoke::t_class|Smoke::tf_stack },	//109
    { "Soprano::Util::AsyncResult*", 34, Smoke::t_class|Smoke::tf_ptr },	//110
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//111
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//112
    { "const QHostAddress&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//116
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//120
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//122
    { "const Soprano::Client::DBusNodeIterator&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//123
    { "const Soprano::Client::DBusQueryResultIterator&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//124
    { "const Soprano::Client::DBusStatementIterator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//125
    { "const Soprano::LanguageTag&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//126
    { "const Soprano::LiteralValue&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//127
    { "const Soprano::Node&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//128
    { "const Soprano::Statement&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//129
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//130
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//131
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//132
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//133
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//135
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//136
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//137
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    6, 3, 0,	//3  QObject*, QEvent*
    12, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    130, 0,	//10  const char*
    130, 130, 0,	//12  const char*, const char*
    130, 130, 132, 0,	//15  const char*, const char*, int
    5, 132, 137, 0,	//19  QMetaObject::Call, int, void**
    118, 6, 0,	//23  const QString&, QObject*
    118, 114, 0,	//26  const QString&, const QList<Soprano::BackendSetting>&
    118, 0,	//29  const QString&
    118, 118, 122, 0,	//31  const QString&, const QString&, const Soprano::Backend*
    112, 0,	//35  bool
    129, 0,	//37  const Soprano::Statement&
    118, 106, 118, 0,	//39  const QString&, Soprano::Query::QueryLanguage, const QString&
    128, 128, 128, 128, 0,	//43  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    118, 118, 0,	//48  const QString&, const QString&
    118, 106, 0,	//51  const QString&, Soprano::Query::QueryLanguage
    128, 128, 128, 0,	//54  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    123, 0,	//58  const Soprano::Client::DBusNodeIterator&
    124, 0,	//60  const Soprano::Client::DBusQueryResultIterator&
    125, 0,	//62  const Soprano::Client::DBusStatementIterator&
    6, 0,	//64  QObject*
    118, 135, 118, 118, 0,	//66  const QString&, unsigned short, const QString&, const QString&
    118, 135, 0,	//71  const QString&, unsigned short
    118, 135, 118, 0,	//74  const QString&, unsigned short, const QString&
    113, 132, 0,	//78  const QHostAddress&, int
    113, 0,	//81  const QHostAddress&
    11, 0,	//83  QTextStream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusClient",	//1
    "DBusClient$",	//2
    "DBusClient$#",	//3
    "DBusModel",	//4
    "DBusModel$$",	//5
    "DBusModel$$#",	//6
    "DBusNodeIterator",	//7
    "DBusNodeIterator#",	//8
    "DBusNodeIterator$$",	//9
    "DBusQueryResultIterator",	//10
    "DBusQueryResultIterator#",	//11
    "DBusQueryResultIterator$$",	//12
    "DBusStatementIterator",	//13
    "DBusStatementIterator#",	//14
    "DBusStatementIterator$$",	//15
    "DEFAULT_PORT",	//16
    "LocalSocketClient",	//17
    "LocalSocketClient#",	//18
    "Q_COMPLEX_TYPE",	//19
    "Q_DUMMY_TYPE",	//20
    "Q_MOVABLE_TYPE",	//21
    "Q_PRIMITIVE_TYPE",	//22
    "Q_STATIC_TYPE",	//23
    "QtCriticalMsg",	//24
    "QtDebugMsg",	//25
    "QtFatalMsg",	//26
    "QtSystemMsg",	//27
    "QtWarningMsg",	//28
    "SparqlModel",	//29
    "SparqlModel$",	//30
    "SparqlModel$$",	//31
    "SparqlModel$$$",	//32
    "SparqlModel$$$$",	//33
    "TcpClient",	//34
    "TcpClient#",	//35
    "__codecvt_error",	//36
    "__codecvt_noconv",	//37
    "__codecvt_ok",	//38
    "__codecvt_partial",	//39
    "addStatement",	//40
    "addStatement#",	//41
    "addStatement###",	//42
    "addStatement####",	//43
    "allModels",	//44
    "asyncCalls",	//45
    "childEvent",	//46
    "connect",	//47
    "connect#",	//48
    "connect#$",	//49
    "connect$",	//50
    "connectNotify",	//51
    "containsAnyStatement",	//52
    "containsAnyStatement#",	//53
    "containsAnyStatement###",	//54
    "containsAnyStatement####",	//55
    "containsStatement",	//56
    "containsStatement#",	//57
    "containsStatement###",	//58
    "containsStatement####",	//59
    "createBlankNode",	//60
    "createModel",	//61
    "createModel$",	//62
    "createModel$?",	//63
    "customEvent",	//64
    "disconnect",	//65
    "disconnectNotify",	//66
    "event",	//67
    "eventFilter",	//68
    "executeQuery",	//69
    "executeQuery$",	//70
    "executeQuery$$",	//71
    "executeQuery$$$",	//72
    "executeQueryAsync",	//73
    "executeQueryAsync$",	//74
    "executeQueryAsync$$",	//75
    "executeQueryAsync$$$",	//76
    "isConnected",	//77
    "isEmpty",	//78
    "isValid",	//79
    "lastError",	//80
    "listContexts",	//81
    "listContextsAsync",	//82
    "listStatements",	//83
    "listStatements#",	//84
    "listStatements###",	//85
    "listStatements####",	//86
    "listStatementsAsync",	//87
    "listStatementsAsync#",	//88
    "metaObject",	//89
    "qt_metacall",	//90
    "qt_metacall$$?",	//91
    "qt_metacast",	//92
    "qt_metacast$",	//93
    "removeAllStatements",	//94
    "removeAllStatements#",	//95
    "removeAllStatements###",	//96
    "removeAllStatements####",	//97
    "removeModel",	//98
    "removeModel$",	//99
    "removeStatement",	//100
    "removeStatement#",	//101
    "removeStatement###",	//102
    "removeStatement####",	//103
    "setAsyncCalls",	//104
    "setAsyncCalls$",	//105
    "setHost",	//106
    "setHost$",	//107
    "setHost$$",	//108
    "setPath",	//109
    "setPath$",	//110
    "setUser",	//111
    "setUser$",	//112
    "setUser$$",	//113
    "statementCount",	//114
    "staticMetaObject",	//115
    "timerEvent",	//116
    "tr",	//117
    "tr$",	//118
    "tr$$",	//119
    "tr$$$",	//120
    "trUtf8",	//121
    "trUtf8$",	//122
    "trUtf8$$",	//123
    "trUtf8$$$",	//124
    "write",	//125
    "~DBusClient",	//126
    "~DBusModel",	//127
    "~DBusNodeIterator",	//128
    "~DBusQueryResultIterator",	//129
    "~DBusStatementIterator",	//130
    "~LocalSocketClient",	//131
    "~SparqlModel",	//132
    "~TcpClient",	//133
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 6},	//6 QGlobalSpace::__codecvt_ok (enum)
    {4, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 7},	//7 QGlobalSpace::__codecvt_partial (enum)
    {4, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 8},	//8 QGlobalSpace::__codecvt_error (enum)
    {4, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 9},	//9 QGlobalSpace::__codecvt_noconv (enum)
    {4, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 10},	//10 QGlobalSpace::QtDebugMsg (enum)
    {4, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 11},	//11 QGlobalSpace::QtWarningMsg (enum)
    {4, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 12},	//12 QGlobalSpace::QtCriticalMsg (enum)
    {4, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 13},	//13 QGlobalSpace::QtFatalMsg (enum)
    {4, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 14},	//14 QGlobalSpace::QtSystemMsg (enum)
    {7, 67, 1, 1, Smoke::mf_virtual, 112, 0},	//15 QObject::event(QEvent*)
    {7, 68, 3, 2, Smoke::mf_virtual, 112, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {7, 116, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {7, 46, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {7, 64, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {7, 51, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {7, 66, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {15, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 1},	//22 Soprano::Client::DBusClient::metaObject() const
    {15, 92, 10, 1, Smoke::mf_virtual, 136, 2},	//23 Soprano::Client::DBusClient::qt_metacast(const char*)
    {15, 117, 12, 2, Smoke::mf_static, 8, 3},	//24 Soprano::Client::DBusClient::tr(const char*, const char*)
    {15, 121, 12, 2, Smoke::mf_static, 8, 4},	//25 Soprano::Client::DBusClient::trUtf8(const char*, const char*)
    {15, 117, 15, 3, Smoke::mf_static, 8, 5},	//26 Soprano::Client::DBusClient::tr(const char*, const char*, int)
    {15, 121, 15, 3, Smoke::mf_static, 8, 6},	//27 Soprano::Client::DBusClient::trUtf8(const char*, const char*, int)
    {15, 90, 19, 3, Smoke::mf_virtual, 132, 7},	//28 Soprano::Client::DBusClient::qt_metacall(QMetaObject::Call, int, void**)
    {15, 1, 23, 2, Smoke::mf_ctor, 92, 8},	//29 Soprano::Client::DBusClient::DBusClient(const QString&, QObject*)
    {15, 79, 0, 0, Smoke::mf_const, 112, 9},	//30 Soprano::Client::DBusClient::isValid() const
    {15, 44, 0, 0, Smoke::mf_const, 9, 10},	//31 Soprano::Client::DBusClient::allModels() const
    {15, 61, 26, 2, 0, 93, 11},	//32 Soprano::Client::DBusClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {15, 98, 29, 1, 0, 0, 12},	//33 Soprano::Client::DBusClient::removeModel(const QString&)
    {15, 117, 10, 1, Smoke::mf_static, 8, 13},	//34 Soprano::Client::DBusClient::tr(const char*)
    {15, 121, 10, 1, Smoke::mf_static, 8, 14},	//35 Soprano::Client::DBusClient::trUtf8(const char*)
    {15, 1, 0, 0, Smoke::mf_ctor, 92, 15},	//36 Soprano::Client::DBusClient::DBusClient()
    {15, 1, 29, 1, Smoke::mf_ctor, 92, 16},	//37 Soprano::Client::DBusClient::DBusClient(const QString&)
    {15, 61, 29, 1, 0, 93, 17},	//38 Soprano::Client::DBusClient::createModel(const QString&)
    {15, 115, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 115, 18},	//39 Soprano::Client::DBusClient::staticMetaObject() const
    {15, 126, 0, 0, Smoke::mf_dtor, 0, 19 },	//40 Soprano::Client::DBusClient::~DBusClient()
    {16, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 1},	//41 Soprano::Client::DBusModel::metaObject() const
    {16, 92, 10, 1, Smoke::mf_virtual, 136, 2},	//42 Soprano::Client::DBusModel::qt_metacast(const char*)
    {16, 117, 12, 2, Smoke::mf_static, 8, 3},	//43 Soprano::Client::DBusModel::tr(const char*, const char*)
    {16, 121, 12, 2, Smoke::mf_static, 8, 4},	//44 Soprano::Client::DBusModel::trUtf8(const char*, const char*)
    {16, 117, 15, 3, Smoke::mf_static, 8, 5},	//45 Soprano::Client::DBusModel::tr(const char*, const char*, int)
    {16, 121, 15, 3, Smoke::mf_static, 8, 6},	//46 Soprano::Client::DBusModel::trUtf8(const char*, const char*, int)
    {16, 90, 19, 3, Smoke::mf_virtual, 132, 7},	//47 Soprano::Client::DBusModel::qt_metacall(QMetaObject::Call, int, void**)
    {16, 4, 31, 3, Smoke::mf_ctor, 93, 8},	//48 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&, const Soprano::Backend*)
    {16, 104, 35, 1, 0, 0, 9},	//49 Soprano::Client::DBusModel::setAsyncCalls(bool)
    {16, 45, 0, 0, Smoke::mf_const, 112, 10},	//50 Soprano::Client::DBusModel::asyncCalls() const
    {16, 40, 37, 1, Smoke::mf_virtual, 101, 11},	//51 Soprano::Client::DBusModel::addStatement(const Soprano::Statement&)
    {16, 81, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 12},	//52 Soprano::Client::DBusModel::listContexts() const
    {16, 69, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 107, 13},	//53 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {16, 83, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 14},	//54 Soprano::Client::DBusModel::listStatements(const Soprano::Statement&) const
    {16, 100, 37, 1, Smoke::mf_virtual, 101, 15},	//55 Soprano::Client::DBusModel::removeStatement(const Soprano::Statement&)
    {16, 94, 37, 1, Smoke::mf_virtual, 101, 16},	//56 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Statement&)
    {16, 114, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 17},	//57 Soprano::Client::DBusModel::statementCount() const
    {16, 78, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 18},	//58 Soprano::Client::DBusModel::isEmpty() const
    {16, 56, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 112, 19},	//59 Soprano::Client::DBusModel::containsStatement(const Soprano::Statement&) const
    {16, 52, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 112, 20},	//60 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Statement&) const
    {16, 60, 0, 0, Smoke::mf_virtual, 104, 21},	//61 Soprano::Client::DBusModel::createBlankNode()
    {16, 94, 43, 4, 0, 101, 22},	//62 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {16, 94, 0, 0, 0, 101, 23},	//63 Soprano::Client::DBusModel::removeAllStatements()
    {16, 56, 43, 4, Smoke::mf_const, 112, 24},	//64 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {16, 52, 43, 4, Smoke::mf_const, 112, 25},	//65 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {16, 117, 10, 1, Smoke::mf_static, 8, 26},	//66 Soprano::Client::DBusModel::tr(const char*)
    {16, 121, 10, 1, Smoke::mf_static, 8, 27},	//67 Soprano::Client::DBusModel::trUtf8(const char*)
    {16, 4, 48, 2, Smoke::mf_ctor, 93, 28},	//68 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&)
    {16, 69, 51, 2, Smoke::mf_const, 107, 29},	//69 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {16, 94, 54, 3, 0, 101, 30},	//70 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {16, 56, 54, 3, Smoke::mf_const, 112, 31},	//71 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {16, 52, 54, 3, Smoke::mf_const, 112, 32},	//72 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {16, 115, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 115, 33},	//73 Soprano::Client::DBusModel::staticMetaObject() const
    {16, 127, 0, 0, Smoke::mf_dtor, 0, 34 },	//74 Soprano::Client::DBusModel::~DBusModel()
    {17, 7, 48, 2, Smoke::mf_ctor, 94, 1},	//75 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const QString&, const QString&)
    {17, 7, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//76 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const Soprano::Client::DBusNodeIterator&)
    {17, 128, 0, 0, Smoke::mf_dtor, 0, 3 },	//77 Soprano::Client::DBusNodeIterator::~DBusNodeIterator()
    {18, 10, 48, 2, Smoke::mf_ctor, 95, 1},	//78 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const QString&, const QString&)
    {18, 10, 60, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//79 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const Soprano::Client::DBusQueryResultIterator&)
    {18, 129, 0, 0, Smoke::mf_dtor, 0, 3 },	//80 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator()
    {19, 13, 48, 2, Smoke::mf_ctor, 96, 1},	//81 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const QString&, const QString&)
    {19, 13, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 2},	//82 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const Soprano::Client::DBusStatementIterator&)
    {19, 130, 0, 0, Smoke::mf_dtor, 0, 3 },	//83 Soprano::Client::DBusStatementIterator::~DBusStatementIterator()
    {20, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 1},	//84 Soprano::Client::LocalSocketClient::metaObject() const
    {20, 92, 10, 1, Smoke::mf_virtual, 136, 2},	//85 Soprano::Client::LocalSocketClient::qt_metacast(const char*)
    {20, 117, 12, 2, Smoke::mf_static, 8, 3},	//86 Soprano::Client::LocalSocketClient::tr(const char*, const char*)
    {20, 121, 12, 2, Smoke::mf_static, 8, 4},	//87 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*)
    {20, 117, 15, 3, Smoke::mf_static, 8, 5},	//88 Soprano::Client::LocalSocketClient::tr(const char*, const char*, int)
    {20, 121, 15, 3, Smoke::mf_static, 8, 6},	//89 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*, int)
    {20, 90, 19, 3, Smoke::mf_virtual, 132, 7},	//90 Soprano::Client::LocalSocketClient::qt_metacall(QMetaObject::Call, int, void**)
    {20, 17, 64, 1, Smoke::mf_ctor, 97, 8},	//91 Soprano::Client::LocalSocketClient::LocalSocketClient(QObject*)
    {20, 77, 0, 0, Smoke::mf_const, 112, 9},	//92 Soprano::Client::LocalSocketClient::isConnected() const
    {20, 61, 26, 2, 0, 103, 10},	//93 Soprano::Client::LocalSocketClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {20, 98, 29, 1, 0, 0, 11},	//94 Soprano::Client::LocalSocketClient::removeModel(const QString&)
    {20, 47, 29, 1, Smoke::mf_slot, 112, 12},	//95 Soprano::Client::LocalSocketClient::connect(const QString&)
    {20, 65, 0, 0, Smoke::mf_slot, 0, 13},	//96 Soprano::Client::LocalSocketClient::disconnect()
    {20, 117, 10, 1, Smoke::mf_static, 8, 14},	//97 Soprano::Client::LocalSocketClient::tr(const char*)
    {20, 121, 10, 1, Smoke::mf_static, 8, 15},	//98 Soprano::Client::LocalSocketClient::trUtf8(const char*)
    {20, 17, 0, 0, Smoke::mf_ctor, 97, 16},	//99 Soprano::Client::LocalSocketClient::LocalSocketClient()
    {20, 61, 29, 1, 0, 103, 17},	//100 Soprano::Client::LocalSocketClient::createModel(const QString&)
    {20, 47, 0, 0, Smoke::mf_slot, 112, 18},	//101 Soprano::Client::LocalSocketClient::connect()
    {20, 115, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 115, 19},	//102 Soprano::Client::LocalSocketClient::staticMetaObject() const
    {20, 131, 0, 0, Smoke::mf_dtor, 0, 20 },	//103 Soprano::Client::LocalSocketClient::~LocalSocketClient()
    {21, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 1},	//104 Soprano::Client::SparqlModel::metaObject() const
    {21, 92, 10, 1, Smoke::mf_virtual, 136, 2},	//105 Soprano::Client::SparqlModel::qt_metacast(const char*)
    {21, 117, 12, 2, Smoke::mf_static, 8, 3},	//106 Soprano::Client::SparqlModel::tr(const char*, const char*)
    {21, 121, 12, 2, Smoke::mf_static, 8, 4},	//107 Soprano::Client::SparqlModel::trUtf8(const char*, const char*)
    {21, 117, 15, 3, Smoke::mf_static, 8, 5},	//108 Soprano::Client::SparqlModel::tr(const char*, const char*, int)
    {21, 121, 15, 3, Smoke::mf_static, 8, 6},	//109 Soprano::Client::SparqlModel::trUtf8(const char*, const char*, int)
    {21, 90, 19, 3, Smoke::mf_virtual, 132, 7},	//110 Soprano::Client::SparqlModel::qt_metacall(QMetaObject::Call, int, void**)
    {21, 29, 66, 4, Smoke::mf_ctor, 98, 8},	//111 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&, const QString&)
    {21, 106, 71, 2, 0, 0, 9},	//112 Soprano::Client::SparqlModel::setHost(const QString&, unsigned short)
    {21, 111, 48, 2, 0, 0, 10},	//113 Soprano::Client::SparqlModel::setUser(const QString&, const QString&)
    {21, 109, 29, 1, 0, 0, 11},	//114 Soprano::Client::SparqlModel::setPath(const QString&)
    {21, 40, 37, 1, Smoke::mf_virtual, 101, 12},	//115 Soprano::Client::SparqlModel::addStatement(const Soprano::Statement&)
    {21, 100, 37, 1, Smoke::mf_virtual, 101, 13},	//116 Soprano::Client::SparqlModel::removeStatement(const Soprano::Statement&)
    {21, 94, 37, 1, Smoke::mf_virtual, 101, 14},	//117 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Statement&)
    {21, 83, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 15},	//118 Soprano::Client::SparqlModel::listStatements(const Soprano::Statement&) const
    {21, 87, 37, 1, Smoke::mf_const, 110, 16},	//119 Soprano::Client::SparqlModel::listStatementsAsync(const Soprano::Statement&) const
    {21, 69, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 107, 17},	//120 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 73, 39, 3, Smoke::mf_const, 110, 18},	//121 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 81, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 19},	//122 Soprano::Client::SparqlModel::listContexts() const
    {21, 82, 0, 0, Smoke::mf_const, 110, 20},	//123 Soprano::Client::SparqlModel::listContextsAsync() const
    {21, 56, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 112, 21},	//124 Soprano::Client::SparqlModel::containsStatement(const Soprano::Statement&) const
    {21, 52, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 112, 22},	//125 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Statement&) const
    {21, 114, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 23},	//126 Soprano::Client::SparqlModel::statementCount() const
    {21, 78, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 24},	//127 Soprano::Client::SparqlModel::isEmpty() const
    {21, 60, 0, 0, Smoke::mf_virtual, 104, 25},	//128 Soprano::Client::SparqlModel::createBlankNode()
    {21, 40, 43, 4, 0, 101, 26},	//129 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 100, 43, 4, 0, 101, 27},	//130 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 94, 43, 4, 0, 101, 28},	//131 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 94, 0, 0, 0, 101, 29},	//132 Soprano::Client::SparqlModel::removeAllStatements()
    {21, 83, 43, 4, Smoke::mf_const, 109, 30},	//133 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 83, 0, 0, Smoke::mf_const, 109, 31},	//134 Soprano::Client::SparqlModel::listStatements() const
    {21, 56, 43, 4, Smoke::mf_const, 112, 32},	//135 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 52, 43, 4, Smoke::mf_const, 112, 33},	//136 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 117, 10, 1, Smoke::mf_static, 8, 34},	//137 Soprano::Client::SparqlModel::tr(const char*)
    {21, 121, 10, 1, Smoke::mf_static, 8, 35},	//138 Soprano::Client::SparqlModel::trUtf8(const char*)
    {21, 29, 0, 0, Smoke::mf_ctor, 98, 36},	//139 Soprano::Client::SparqlModel::SparqlModel()
    {21, 29, 29, 1, Smoke::mf_ctor, 98, 37},	//140 Soprano::Client::SparqlModel::SparqlModel(const QString&)
    {21, 29, 71, 2, Smoke::mf_ctor, 98, 38},	//141 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short)
    {21, 29, 74, 3, Smoke::mf_ctor, 98, 39},	//142 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&)
    {21, 106, 29, 1, 0, 0, 40},	//143 Soprano::Client::SparqlModel::setHost(const QString&)
    {21, 111, 29, 1, 0, 0, 41},	//144 Soprano::Client::SparqlModel::setUser(const QString&)
    {21, 69, 29, 1, Smoke::mf_const, 107, 42},	//145 Soprano::Client::SparqlModel::executeQuery(const QString&) const
    {21, 69, 51, 2, Smoke::mf_const, 107, 43},	//146 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {21, 73, 29, 1, Smoke::mf_const, 110, 44},	//147 Soprano::Client::SparqlModel::executeQueryAsync(const QString&) const
    {21, 73, 51, 2, Smoke::mf_const, 110, 45},	//148 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {21, 40, 54, 3, 0, 101, 46},	//149 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 100, 54, 3, 0, 101, 47},	//150 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 94, 54, 3, 0, 101, 48},	//151 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 83, 54, 3, Smoke::mf_const, 109, 49},	//152 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 56, 54, 3, Smoke::mf_const, 112, 50},	//153 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 52, 54, 3, Smoke::mf_const, 112, 51},	//154 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 115, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 115, 52},	//155 Soprano::Client::SparqlModel::staticMetaObject() const
    {21, 132, 0, 0, Smoke::mf_dtor, 0, 53 },	//156 Soprano::Client::SparqlModel::~SparqlModel()
    {22, 89, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 1},	//157 Soprano::Client::TcpClient::metaObject() const
    {22, 92, 10, 1, Smoke::mf_virtual, 136, 2},	//158 Soprano::Client::TcpClient::qt_metacast(const char*)
    {22, 117, 12, 2, Smoke::mf_static, 8, 3},	//159 Soprano::Client::TcpClient::tr(const char*, const char*)
    {22, 121, 12, 2, Smoke::mf_static, 8, 4},	//160 Soprano::Client::TcpClient::trUtf8(const char*, const char*)
    {22, 117, 15, 3, Smoke::mf_static, 8, 5},	//161 Soprano::Client::TcpClient::tr(const char*, const char*, int)
    {22, 121, 15, 3, Smoke::mf_static, 8, 6},	//162 Soprano::Client::TcpClient::trUtf8(const char*, const char*, int)
    {22, 90, 19, 3, Smoke::mf_virtual, 132, 7},	//163 Soprano::Client::TcpClient::qt_metacall(QMetaObject::Call, int, void**)
    {22, 34, 64, 1, Smoke::mf_ctor, 99, 8},	//164 Soprano::Client::TcpClient::TcpClient(QObject*)
    {22, 47, 78, 2, 0, 112, 9},	//165 Soprano::Client::TcpClient::connect(const QHostAddress&, int)
    {22, 77, 0, 0, 0, 112, 10},	//166 Soprano::Client::TcpClient::isConnected()
    {22, 65, 0, 0, 0, 0, 11},	//167 Soprano::Client::TcpClient::disconnect()
    {22, 61, 26, 2, 0, 103, 12},	//168 Soprano::Client::TcpClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {22, 98, 29, 1, 0, 0, 13},	//169 Soprano::Client::TcpClient::removeModel(const QString&)
    {22, 117, 10, 1, Smoke::mf_static, 8, 14},	//170 Soprano::Client::TcpClient::tr(const char*)
    {22, 121, 10, 1, Smoke::mf_static, 8, 15},	//171 Soprano::Client::TcpClient::trUtf8(const char*)
    {22, 34, 0, 0, Smoke::mf_ctor, 99, 16},	//172 Soprano::Client::TcpClient::TcpClient()
    {22, 47, 0, 0, 0, 112, 17},	//173 Soprano::Client::TcpClient::connect()
    {22, 47, 81, 1, 0, 112, 18},	//174 Soprano::Client::TcpClient::connect(const QHostAddress&)
    {22, 61, 29, 1, 0, 103, 19},	//175 Soprano::Client::TcpClient::createModel(const QString&)
    {22, 115, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 115, 20},	//176 Soprano::Client::TcpClient::staticMetaObject() const
    {22, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 131, 21},	//177 Soprano::Client::TcpClient::DEFAULT_PORT() const
    {22, 133, 0, 0, Smoke::mf_dtor, 0, 22 },	//178 Soprano::Client::TcpClient::~TcpClient()
    {24, 80, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//179 Soprano::Error::ErrorCache::lastError() const
    {27, 125, 83, 1, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//180 Soprano::Model::write(QTextStream&) const
};

static Smoke::Index ambiguousMethodList[] = {
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 19, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 20, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 21, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 22, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 23, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 24, 12},	// QGlobalSpace::QtCriticalMsg
    {4, 25, 10},	// QGlobalSpace::QtDebugMsg
    {4, 26, 13},	// QGlobalSpace::QtFatalMsg
    {4, 27, 14},	// QGlobalSpace::QtSystemMsg
    {4, 28, 11},	// QGlobalSpace::QtWarningMsg
    {4, 36, 8},	// QGlobalSpace::__codecvt_error
    {4, 37, 9},	// QGlobalSpace::__codecvt_noconv
    {4, 38, 6},	// QGlobalSpace::__codecvt_ok
    {4, 39, 7},	// QGlobalSpace::__codecvt_partial
    {15, 1, 36},	// Soprano::Client::DBusClient::DBusClient
    {15, 2, 37},	// Soprano::Client::DBusClient::DBusClient$
    {15, 3, 29},	// Soprano::Client::DBusClient::DBusClient$#
    {15, 44, 31},	// Soprano::Client::DBusClient::allModels
    {15, 62, 38},	// Soprano::Client::DBusClient::createModel$
    {15, 63, 32},	// Soprano::Client::DBusClient::createModel$?
    {15, 79, 30},	// Soprano::Client::DBusClient::isValid
    {15, 89, 22},	// Soprano::Client::DBusClient::metaObject
    {15, 91, 28},	// Soprano::Client::DBusClient::qt_metacall$$?
    {15, 93, 23},	// Soprano::Client::DBusClient::qt_metacast$
    {15, 99, 33},	// Soprano::Client::DBusClient::removeModel$
    {15, 115, 39},	// Soprano::Client::DBusClient::staticMetaObject
    {15, 118, 34},	// Soprano::Client::DBusClient::tr$
    {15, 119, 24},	// Soprano::Client::DBusClient::tr$$
    {15, 120, 26},	// Soprano::Client::DBusClient::tr$$$
    {15, 122, 35},	// Soprano::Client::DBusClient::trUtf8$
    {15, 123, 25},	// Soprano::Client::DBusClient::trUtf8$$
    {15, 124, 27},	// Soprano::Client::DBusClient::trUtf8$$$
    {15, 126, 40},	// Soprano::Client::DBusClient::~DBusClient
    {16, 5, 68},	// Soprano::Client::DBusModel::DBusModel$$
    {16, 6, 48},	// Soprano::Client::DBusModel::DBusModel$$#
    {16, 41, 51},	// Soprano::Client::DBusModel::addStatement#
    {16, 45, 50},	// Soprano::Client::DBusModel::asyncCalls
    {16, 53, 60},	// Soprano::Client::DBusModel::containsAnyStatement#
    {16, 54, 72},	// Soprano::Client::DBusModel::containsAnyStatement###
    {16, 55, 65},	// Soprano::Client::DBusModel::containsAnyStatement####
    {16, 57, 59},	// Soprano::Client::DBusModel::containsStatement#
    {16, 58, 71},	// Soprano::Client::DBusModel::containsStatement###
    {16, 59, 64},	// Soprano::Client::DBusModel::containsStatement####
    {16, 60, 61},	// Soprano::Client::DBusModel::createBlankNode
    {16, 71, 69},	// Soprano::Client::DBusModel::executeQuery$$
    {16, 72, 53},	// Soprano::Client::DBusModel::executeQuery$$$
    {16, 78, 58},	// Soprano::Client::DBusModel::isEmpty
    {16, 81, 52},	// Soprano::Client::DBusModel::listContexts
    {16, 84, 54},	// Soprano::Client::DBusModel::listStatements#
    {16, 89, 41},	// Soprano::Client::DBusModel::metaObject
    {16, 91, 47},	// Soprano::Client::DBusModel::qt_metacall$$?
    {16, 93, 42},	// Soprano::Client::DBusModel::qt_metacast$
    {16, 94, 63},	// Soprano::Client::DBusModel::removeAllStatements
    {16, 95, 56},	// Soprano::Client::DBusModel::removeAllStatements#
    {16, 96, 70},	// Soprano::Client::DBusModel::removeAllStatements###
    {16, 97, 62},	// Soprano::Client::DBusModel::removeAllStatements####
    {16, 101, 55},	// Soprano::Client::DBusModel::removeStatement#
    {16, 105, 49},	// Soprano::Client::DBusModel::setAsyncCalls$
    {16, 114, 57},	// Soprano::Client::DBusModel::statementCount
    {16, 115, 73},	// Soprano::Client::DBusModel::staticMetaObject
    {16, 118, 66},	// Soprano::Client::DBusModel::tr$
    {16, 119, 43},	// Soprano::Client::DBusModel::tr$$
    {16, 120, 45},	// Soprano::Client::DBusModel::tr$$$
    {16, 122, 67},	// Soprano::Client::DBusModel::trUtf8$
    {16, 123, 44},	// Soprano::Client::DBusModel::trUtf8$$
    {16, 124, 46},	// Soprano::Client::DBusModel::trUtf8$$$
    {16, 127, 74},	// Soprano::Client::DBusModel::~DBusModel
    {17, 8, 76},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator#
    {17, 9, 75},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator$$
    {17, 128, 77},	// Soprano::Client::DBusNodeIterator::~DBusNodeIterator
    {18, 11, 79},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator#
    {18, 12, 78},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator$$
    {18, 129, 80},	// Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator
    {19, 14, 82},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator#
    {19, 15, 81},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator$$
    {19, 130, 83},	// Soprano::Client::DBusStatementIterator::~DBusStatementIterator
    {20, 17, 99},	// Soprano::Client::LocalSocketClient::LocalSocketClient
    {20, 18, 91},	// Soprano::Client::LocalSocketClient::LocalSocketClient#
    {20, 47, 101},	// Soprano::Client::LocalSocketClient::connect
    {20, 50, 95},	// Soprano::Client::LocalSocketClient::connect$
    {20, 62, 100},	// Soprano::Client::LocalSocketClient::createModel$
    {20, 63, 93},	// Soprano::Client::LocalSocketClient::createModel$?
    {20, 65, 96},	// Soprano::Client::LocalSocketClient::disconnect
    {20, 77, 92},	// Soprano::Client::LocalSocketClient::isConnected
    {20, 89, 84},	// Soprano::Client::LocalSocketClient::metaObject
    {20, 91, 90},	// Soprano::Client::LocalSocketClient::qt_metacall$$?
    {20, 93, 85},	// Soprano::Client::LocalSocketClient::qt_metacast$
    {20, 99, 94},	// Soprano::Client::LocalSocketClient::removeModel$
    {20, 115, 102},	// Soprano::Client::LocalSocketClient::staticMetaObject
    {20, 118, 97},	// Soprano::Client::LocalSocketClient::tr$
    {20, 119, 86},	// Soprano::Client::LocalSocketClient::tr$$
    {20, 120, 88},	// Soprano::Client::LocalSocketClient::tr$$$
    {20, 122, 98},	// Soprano::Client::LocalSocketClient::trUtf8$
    {20, 123, 87},	// Soprano::Client::LocalSocketClient::trUtf8$$
    {20, 124, 89},	// Soprano::Client::LocalSocketClient::trUtf8$$$
    {20, 131, 103},	// Soprano::Client::LocalSocketClient::~LocalSocketClient
    {21, 29, 139},	// Soprano::Client::SparqlModel::SparqlModel
    {21, 30, 140},	// Soprano::Client::SparqlModel::SparqlModel$
    {21, 31, 141},	// Soprano::Client::SparqlModel::SparqlModel$$
    {21, 32, 142},	// Soprano::Client::SparqlModel::SparqlModel$$$
    {21, 33, 111},	// Soprano::Client::SparqlModel::SparqlModel$$$$
    {21, 41, 115},	// Soprano::Client::SparqlModel::addStatement#
    {21, 42, 149},	// Soprano::Client::SparqlModel::addStatement###
    {21, 43, 129},	// Soprano::Client::SparqlModel::addStatement####
    {21, 53, 125},	// Soprano::Client::SparqlModel::containsAnyStatement#
    {21, 54, 154},	// Soprano::Client::SparqlModel::containsAnyStatement###
    {21, 55, 136},	// Soprano::Client::SparqlModel::containsAnyStatement####
    {21, 57, 124},	// Soprano::Client::SparqlModel::containsStatement#
    {21, 58, 153},	// Soprano::Client::SparqlModel::containsStatement###
    {21, 59, 135},	// Soprano::Client::SparqlModel::containsStatement####
    {21, 60, 128},	// Soprano::Client::SparqlModel::createBlankNode
    {21, 70, 145},	// Soprano::Client::SparqlModel::executeQuery$
    {21, 71, 146},	// Soprano::Client::SparqlModel::executeQuery$$
    {21, 72, 120},	// Soprano::Client::SparqlModel::executeQuery$$$
    {21, 74, 147},	// Soprano::Client::SparqlModel::executeQueryAsync$
    {21, 75, 148},	// Soprano::Client::SparqlModel::executeQueryAsync$$
    {21, 76, 121},	// Soprano::Client::SparqlModel::executeQueryAsync$$$
    {21, 78, 127},	// Soprano::Client::SparqlModel::isEmpty
    {21, 81, 122},	// Soprano::Client::SparqlModel::listContexts
    {21, 82, 123},	// Soprano::Client::SparqlModel::listContextsAsync
    {21, 83, 134},	// Soprano::Client::SparqlModel::listStatements
    {21, 84, 118},	// Soprano::Client::SparqlModel::listStatements#
    {21, 85, 152},	// Soprano::Client::SparqlModel::listStatements###
    {21, 86, 133},	// Soprano::Client::SparqlModel::listStatements####
    {21, 88, 119},	// Soprano::Client::SparqlModel::listStatementsAsync#
    {21, 89, 104},	// Soprano::Client::SparqlModel::metaObject
    {21, 91, 110},	// Soprano::Client::SparqlModel::qt_metacall$$?
    {21, 93, 105},	// Soprano::Client::SparqlModel::qt_metacast$
    {21, 94, 132},	// Soprano::Client::SparqlModel::removeAllStatements
    {21, 95, 117},	// Soprano::Client::SparqlModel::removeAllStatements#
    {21, 96, 151},	// Soprano::Client::SparqlModel::removeAllStatements###
    {21, 97, 131},	// Soprano::Client::SparqlModel::removeAllStatements####
    {21, 101, 116},	// Soprano::Client::SparqlModel::removeStatement#
    {21, 102, 150},	// Soprano::Client::SparqlModel::removeStatement###
    {21, 103, 130},	// Soprano::Client::SparqlModel::removeStatement####
    {21, 107, 143},	// Soprano::Client::SparqlModel::setHost$
    {21, 108, 112},	// Soprano::Client::SparqlModel::setHost$$
    {21, 110, 114},	// Soprano::Client::SparqlModel::setPath$
    {21, 112, 144},	// Soprano::Client::SparqlModel::setUser$
    {21, 113, 113},	// Soprano::Client::SparqlModel::setUser$$
    {21, 114, 126},	// Soprano::Client::SparqlModel::statementCount
    {21, 115, 155},	// Soprano::Client::SparqlModel::staticMetaObject
    {21, 118, 137},	// Soprano::Client::SparqlModel::tr$
    {21, 119, 106},	// Soprano::Client::SparqlModel::tr$$
    {21, 120, 108},	// Soprano::Client::SparqlModel::tr$$$
    {21, 122, 138},	// Soprano::Client::SparqlModel::trUtf8$
    {21, 123, 107},	// Soprano::Client::SparqlModel::trUtf8$$
    {21, 124, 109},	// Soprano::Client::SparqlModel::trUtf8$$$
    {21, 132, 156},	// Soprano::Client::SparqlModel::~SparqlModel
    {22, 16, 177},	// Soprano::Client::TcpClient::DEFAULT_PORT
    {22, 34, 172},	// Soprano::Client::TcpClient::TcpClient
    {22, 35, 164},	// Soprano::Client::TcpClient::TcpClient#
    {22, 47, 173},	// Soprano::Client::TcpClient::connect
    {22, 48, 174},	// Soprano::Client::TcpClient::connect#
    {22, 49, 165},	// Soprano::Client::TcpClient::connect#$
    {22, 62, 175},	// Soprano::Client::TcpClient::createModel$
    {22, 63, 168},	// Soprano::Client::TcpClient::createModel$?
    {22, 65, 167},	// Soprano::Client::TcpClient::disconnect
    {22, 77, 166},	// Soprano::Client::TcpClient::isConnected
    {22, 89, 157},	// Soprano::Client::TcpClient::metaObject
    {22, 91, 163},	// Soprano::Client::TcpClient::qt_metacall$$?
    {22, 93, 158},	// Soprano::Client::TcpClient::qt_metacast$
    {22, 99, 169},	// Soprano::Client::TcpClient::removeModel$
    {22, 115, 176},	// Soprano::Client::TcpClient::staticMetaObject
    {22, 118, 170},	// Soprano::Client::TcpClient::tr$
    {22, 119, 159},	// Soprano::Client::TcpClient::tr$$
    {22, 120, 161},	// Soprano::Client::TcpClient::tr$$$
    {22, 122, 171},	// Soprano::Client::TcpClient::trUtf8$
    {22, 123, 160},	// Soprano::Client::TcpClient::trUtf8$$
    {22, 124, 162},	// Soprano::Client::TcpClient::trUtf8$$$
    {22, 133, 178},	// Soprano::Client::TcpClient::~TcpClient
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoclient_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoclient_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoclient_Smoke = new Smoke(
        "sopranoclient",
        __smokesopranoclient::classes, 34,
        __smokesopranoclient::methods, 181,
        __smokesopranoclient::methodMaps, 172,
        __smokesopranoclient::methodNames, 133,
        __smokesopranoclient::types, 137,
        __smokesopranoclient::inheritanceList,
        __smokesopranoclient::argumentList,
        __smokesopranoclient::ambiguousMethodList,
        __smokesopranoclient::cast );
    initialized = true;
}

void delete_sopranoclient_Smoke() { delete sopranoclient_Smoke; }

}
