#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 41: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 69: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 42: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 42: return (void*)(QDialog*)(KDialog*)xptr;
        case 75: return (void*)(QWidget*)(KDialog*)xptr;
        case 61: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 61: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 61: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDBusContext
      switch(to) {
        case 41: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 42:   //QDialog
      switch(to) {
        case 75: return (void*)(QWidget*)(QDialog*)xptr;
        case 61: return (void*)(QObject*)(QDialog*)xptr;
        case 42: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 43:   //QDragEnterEvent
      switch(to) {
        case 43: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDragLeaveEvent
      switch(to) {
        case 44: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragMoveEvent
      switch(to) {
        case 45: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDropEvent
      switch(to) {
        case 46: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QEvent
      switch(to) {
        case 47: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QFocusEvent
      switch(to) {
        case 48: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFont
      switch(to) {
        case 49: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 51:   //QHideEvent
      switch(to) {
        case 51: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QIcon
      switch(to) {
        case 52: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QItemSelection
      switch(to) {
        case 54: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 55:   //QKeyEvent
      switch(to) {
        case 55: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QMimeData
      switch(to) {
        case 57: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QSortFilterProxyModel
      switch(to) {
        case 34: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 69: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 70:   //QStyle
      switch(to) {
        case 70: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 71:   //QTabletEvent
      switch(to) {
        case 71: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 41, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    69, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    75, 0,	// 12: QWidget
    61, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPixmap(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//41
    { "QDialog", true, 0, 0, 0, 0, 0 },	//42
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFont", true, 0, 0, 0, 0, 0 },	//49
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//50
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QIcon", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//54
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//69
    { "QStyle", true, 0, 0, 0, 0, 0 },	//70
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::Collection::Rights", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//42
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//47
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDragEnterEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDragLeaveEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragMoveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDropEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QFocusEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QHideEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QIcon", 52, Smoke::t_class|Smoke::tf_stack },	//62
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QItemSelection", 54, Smoke::t_class|Smoke::tf_stack },	//64
    { "QKeyEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QModelIndex", 58, Smoke::t_class|Smoke::tf_stack },	//73
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//80
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//83
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//86
    { "QStyle&", 70, Smoke::t_class|Smoke::tf_ref },	//87
    { "QTabletEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtMsgType", 50, Smoke::t_enum|Smoke::tf_stack },	//167
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
    { "__codecvt_result", 50, Smoke::t_enum|Smoke::tf_stack },	//169
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//170
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//182
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QFont&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QItemSelection&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//194
    { "const QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//195
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//197
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//207
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//208
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//209
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//210
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//211
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//212
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//213
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    205, 0,	//1  const char*
    205, 205, 0,	//3  const char*, const char*
    205, 205, 208, 0,	//6  const char*, const char*, int
    71, 208, 215, 0,	//10  QMetaObject::Call, int, void**
    213, 0,	//14  unsigned long
    2, 0,	//16  Akonadi::AgentBase::Observer*
    201, 0,	//18  const QString&
    208, 201, 0,	//20  int, const QString&
    208, 0,	//23  int
    170, 0,	//25  bool
    5, 201, 0,	//27  Akonadi::AgentBasePrivate*, const QString&
    184, 179, 0,	//30  const Akonadi::Item&, const Akonadi::Collection&
    184, 200, 0,	//33  const Akonadi::Item&, const QSet<QByteArray>&
    184, 0,	//36  const Akonadi::Item&
    179, 179, 0,	//38  const Akonadi::Collection&, const Akonadi::Collection&
    179, 0,	//41  const Akonadi::Collection&
    172, 0,	//43  const Akonadi::AgentBase::Observer&
    184, 179, 179, 0,	//45  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    179, 179, 179, 0,	//49  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    179, 200, 0,	//53  const Akonadi::Collection&, const QSet<QByteArray>&
    173, 0,	//56  const Akonadi::AgentBase::ObserverV2&
    76, 0,	//58  QObject*
    208, 196, 0,	//60  int, const QModelIndex&
    174, 0,	//63  const Akonadi::AgentInstance&
    92, 0,	//65  QWidget*
    175, 76, 0,	//67  const Akonadi::AgentType&, QObject*
    175, 0,	//70  const Akonadi::AgentType&
    196, 0,	//72  const QModelIndex&
    196, 208, 0,	//74  const QModelIndex&, int
    208, 141, 208, 0,	//77  int, Qt::Orientation, int
    208, 208, 196, 0,	//81  int, int, const QModelIndex&
    196, 204, 208, 0,	//85  const QModelIndex&, const QVariant&, int
    208, 141, 0,	//89  int, Qt::Orientation
    208, 208, 0,	//92  int, int
    174, 174, 0,	//95  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    174, 201, 0,	//98  const Akonadi::AgentInstance&, const QString&
    174, 170, 0,	//101  const Akonadi::AgentInstance&, bool
    175, 175, 0,	//104  const Akonadi::AgentType&, const Akonadi::AgentType&
    188, 0,	//107  const QByteArray&
    176, 0,	//109  const Akonadi::Attribute&
    177, 0,	//111  const Akonadi::AttributeFactory&
    178, 0,	//113  const Akonadi::CachePolicy&
    202, 0,	//115  const QStringList&
    210, 0,	//117  long long
    187, 0,	//119  const KUrl&
    33, 0,	//121  Akonadi::Collection::Rights
    180, 0,	//123  const Akonadi::CollectionStatistics&
    181, 0,	//125  const Akonadi::Entity&
    23, 0,	//127  Akonadi::Attribute*
    38, 0,	//129  Akonadi::EntityPrivate*
    183, 0,	//131  const Akonadi::Exception&
    185, 0,	//133  const Akonadi::PayloadException&
    201, 170, 0,	//135  const QString&, bool
    61, 0,	//138  QHideEvent*
    53, 0,	//140  QCloseEvent*
    65, 0,	//142  QKeyEvent*
    208, 141, 204, 208, 0,	//144  int, Qt::Orientation, const QVariant&, int
    196, 192, 0,	//149  const QModelIndex&, const QMap<int,QVariant>&
    191, 0,	//152  const QList<QModelIndex>&
    195, 114, 208, 208, 196, 0,	//154  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    208, 149, 0,	//160  int, Qt::SortOrder
    196, 208, 204, 208, 137, 0,	//163  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    82, 0,	//169  QShowEvent*
    81, 0,	//171  QResizeEvent*
    54, 0,	//173  QContextMenuEvent*
    76, 59, 0,	//175  QObject*, QEvent*
    59, 0,	//178  QEvent*
    89, 0,	//180  QTimerEvent*
    52, 0,	//182  QChildEvent*
    48, 0,	//184  QAbstractItemModel*
    190, 0,	//186  const QItemSelection&
    196, 196, 0,	//188  const QModelIndex&, const QModelIndex&
    74, 0,	//191  QMouseEvent*
    91, 0,	//193  QWheelEvent*
    60, 0,	//195  QFocusEvent*
    79, 0,	//197  QPaintEvent*
    75, 0,	//199  QMoveEvent*
    88, 0,	//201  QTabletEvent*
    49, 0,	//203  QActionEvent*
    55, 0,	//205  QDragEnterEvent*
    57, 0,	//207  QDragMoveEvent*
    56, 0,	//209  QDragLeaveEvent*
    58, 0,	//211  QDropEvent*
    168, 0,	//213  _XEvent*
    77, 0,	//215  QPaintDevice::PaintDeviceMetric
    63, 0,	//217  QInputMethodEvent*
    127, 0,	//219  Qt::InputMethodQuery
    87, 0,	//221  QStyle&
    198, 0,	//223  const QPalette&
    189, 0,	//225  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceModel",	//13
    "AgentInstanceModel#",	//14
    "AgentInstanceWidget",	//15
    "AgentInstanceWidget#",	//16
    "AgentType",	//17
    "AgentType#",	//18
    "AgentTypeDialog",	//19
    "AgentTypeDialog#",	//20
    "AgentTypeModel",	//21
    "AgentTypeModel#",	//22
    "AgentTypeWidget",	//23
    "AgentTypeWidget#",	//24
    "AllRights",	//25
    "AppNameCaption",	//26
    "Apply",	//27
    "Attribute",	//28
    "Attribute#",	//29
    "AttributeFactory",	//30
    "AttributeFactory#",	//31
    "Broken",	//32
    "Bytes",	//33
    "CachePolicy",	//34
    "CachePolicy#",	//35
    "CanChangeCollection",	//36
    "CanChangeItem",	//37
    "CanCreateCollection",	//38
    "CanCreateItem",	//39
    "CanDeleteCollection",	//40
    "CanDeleteItem",	//41
    "CanLinkItem",	//42
    "CanUnlinkItem",	//43
    "Cancel",	//44
    "CapabilitiesRole",	//45
    "Close",	//46
    "Collection",	//47
    "Collection#",	//48
    "Collection$",	//49
    "Default",	//50
    "DelayedPopup",	//51
    "DescriptionRole",	//52
    "Details",	//53
    "Directories",	//54
    "DrawChildren",	//55
    "DrawWindowBackground",	//56
    "EmitResult",	//57
    "Entity",	//58
    "Entity#",	//59
    "Exception",	//60
    "Exception#",	//61
    "Exception$",	//62
    "Files",	//63
    "HIGCompliantCaption",	//64
    "Help",	//65
    "IdentifierRole",	//66
    "Idle",	//67
    "IgnoreMask",	//68
    "InstanceIdentifierRole",	//69
    "InstanceRole",	//70
    "InstantPopup",	//71
    "Killable",	//72
    "KilledJobError",	//73
    "MimeTypesRole",	//74
    "ModifiedCaption",	//75
    "No",	//76
    "NoCapabilities",	//77
    "NoCaptionFlags",	//78
    "NoDefault",	//79
    "NoError",	//80
    "None",	//81
    "Observer",	//82
    "Observer#",	//83
    "ObserverV2",	//84
    "ObserverV2#",	//85
    "Ok",	//86
    "OnlineRole",	//87
    "PayloadException",	//88
    "PayloadException#",	//89
    "PayloadException$",	//90
    "ProgressRole",	//91
    "QtCriticalMsg",	//92
    "QtDebugMsg",	//93
    "QtFatalMsg",	//94
    "QtSystemMsg",	//95
    "QtWarningMsg",	//96
    "Quietly",	//97
    "ReadOnly",	//98
    "Rejected",	//99
    "Reset",	//100
    "Running",	//101
    "StatusMessageRole",	//102
    "StatusRole",	//103
    "Suspendable",	//104
    "Try",	//105
    "TypeIdentifierRole",	//106
    "TypeRole",	//107
    "User1",	//108
    "User2",	//109
    "User3",	//110
    "UserDefinedError",	//111
    "UserRole",	//112
    "Yes",	//113
    "_CS_GNU_LIBC_VERSION",	//114
    "_CS_GNU_LIBPTHREAD_VERSION",	//115
    "_CS_LFS64_CFLAGS",	//116
    "_CS_LFS64_LDFLAGS",	//117
    "_CS_LFS64_LIBS",	//118
    "_CS_LFS64_LINTFLAGS",	//119
    "_CS_LFS_CFLAGS",	//120
    "_CS_LFS_LDFLAGS",	//121
    "_CS_LFS_LIBS",	//122
    "_CS_LFS_LINTFLAGS",	//123
    "_CS_PATH",	//124
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//125
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//126
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//127
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//128
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//129
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//130
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//131
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//132
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//133
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//134
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//135
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//136
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//137
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//138
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//139
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//140
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//141
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//142
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//143
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//144
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//145
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//146
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//147
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//148
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//149
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//150
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//151
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//152
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//153
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//154
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//155
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//156
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//157
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//158
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//159
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//160
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//161
    "_CS_XBS5_ILP32_OFF32_LIBS",	//162
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//163
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//164
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//165
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//166
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//167
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//168
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//169
    "_CS_XBS5_LP64_OFF64_LIBS",	//170
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//171
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//172
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//173
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//174
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//175
    "__codecvt_error",	//176
    "__codecvt_noconv",	//177
    "__codecvt_ok",	//178
    "__codecvt_partial",	//179
    "abortCurrentTask",	//180
    "abortRequested",	//181
    "aboutToQuit",	//182
    "accept",	//183
    "actionEvent",	//184
    "activated",	//185
    "addAttribute",	//186
    "addAttribute#",	//187
    "addCapabilityFilter",	//188
    "addCapabilityFilter$",	//189
    "addMimeTypeFilter",	//190
    "addMimeTypeFilter$",	//191
    "agentFilterProxyModel",	//192
    "agentName",	//193
    "agentNameChanged",	//194
    "agentNameChanged$",	//195
    "agentType",	//196
    "attribute",	//197
    "attribute#",	//198
    "attributes",	//199
    "buddy",	//200
    "cachePolicy",	//201
    "cacheTimeout",	//202
    "canFetchMore",	//203
    "capabilities",	//204
    "changeEvent",	//205
    "changeProcessed",	//206
    "changeRecorder",	//207
    "childEvent",	//208
    "cleanup",	//209
    "clearAttributes",	//210
    "clearFilters",	//211
    "clone",	//212
    "closeEvent",	//213
    "collectionAdded",	//214
    "collectionAdded##",	//215
    "collectionChanged",	//216
    "collectionChanged#",	//217
    "collectionChanged#?",	//218
    "collectionMoved",	//219
    "collectionMoved###",	//220
    "collectionRemoved",	//221
    "collectionRemoved#",	//222
    "columnCount",	//223
    "columnCount#",	//224
    "configurationDialogAccepted",	//225
    "configurationDialogRejected",	//226
    "configure",	//227
    "configure#",	//228
    "configure$",	//229
    "connectNotify",	//230
    "contentMimeTypes",	//231
    "contextMenuEvent",	//232
    "createAttribute",	//233
    "createAttribute#",	//234
    "currentAgentInstance",	//235
    "currentAgentType",	//236
    "currentChanged",	//237
    "currentChanged##",	//238
    "customEvent",	//239
    "d_func",	//240
    "data",	//241
    "data#",	//242
    "data#$",	//243
    "description",	//244
    "deserialize",	//245
    "deserialize#",	//246
    "devType",	//247
    "disconnectNotify",	//248
    "doKill",	//249
    "doResume",	//250
    "doSetOnline",	//251
    "doSetOnline$",	//252
    "doSuspend",	//253
    "done",	//254
    "done$",	//255
    "doubleClicked",	//256
    "doubleClicked#",	//257
    "dragEnterEvent",	//258
    "dragLeaveEvent",	//259
    "dragMoveEvent",	//260
    "dropEvent",	//261
    "dropMimeData",	//262
    "enabledChange",	//263
    "enterEvent",	//264
    "error",	//265
    "error$",	//266
    "errorString",	//267
    "event",	//268
    "eventFilter",	//269
    "fetchMore",	//270
    "filterAcceptsColumn",	//271
    "filterAcceptsRow",	//272
    "filterAcceptsRow$#",	//273
    "flags",	//274
    "flags#",	//275
    "focusInEvent",	//276
    "focusNextPrevChild",	//277
    "focusOutEvent",	//278
    "fontChange",	//279
    "fromUrl",	//280
    "fromUrl#",	//281
    "hasAttribute",	//282
    "hasAttribute#",	//283
    "hasChildren",	//284
    "headerData",	//285
    "headerData$$",	//286
    "headerData$$$",	//287
    "heightForWidth",	//288
    "hideEvent",	//289
    "icon",	//290
    "iconName",	//291
    "id",	//292
    "identifier",	//293
    "index",	//294
    "index$$",	//295
    "index$$#",	//296
    "inheritFromParent",	//297
    "inputMethodEvent",	//298
    "inputMethodQuery",	//299
    "insertColumns",	//300
    "insertRows",	//301
    "instance",	//302
    "instance$",	//303
    "instanceAdded",	//304
    "instanceAdded#",	//305
    "instanceError",	//306
    "instanceError#$",	//307
    "instanceNameChanged",	//308
    "instanceNameChanged#",	//309
    "instanceOnline",	//310
    "instanceOnline#$",	//311
    "instanceProgressChanged",	//312
    "instanceProgressChanged#",	//313
    "instanceRemoved",	//314
    "instanceRemoved#",	//315
    "instanceStatusChanged",	//316
    "instanceStatusChanged#",	//317
    "instanceWarning",	//318
    "instanceWarning#$",	//319
    "instances",	//320
    "intervalCheckTime",	//321
    "isOnline",	//322
    "isValid",	//323
    "itemAdded",	//324
    "itemAdded##",	//325
    "itemChanged",	//326
    "itemChanged#?",	//327
    "itemData",	//328
    "itemLinked",	//329
    "itemLinked##",	//330
    "itemMoved",	//331
    "itemMoved###",	//332
    "itemRemoved",	//333
    "itemRemoved#",	//334
    "itemUnlinked",	//335
    "itemUnlinked##",	//336
    "keyPressEvent",	//337
    "keyReleaseEvent",	//338
    "languageChange",	//339
    "leaveEvent",	//340
    "lessThan",	//341
    "localParts",	//342
    "mapFromSource",	//343
    "mapSelectionFromSource",	//344
    "mapSelectionToSource",	//345
    "mapToSource",	//346
    "match",	//347
    "metaObject",	//348
    "metric",	//349
    "mimeData",	//350
    "mimeType",	//351
    "mimeTypes",	//352
    "minimumSizeHint",	//353
    "mouseDoubleClickEvent",	//354
    "mouseMoveEvent",	//355
    "mousePressEvent",	//356
    "mouseReleaseEvent",	//357
    "moveEvent",	//358
    "name",	//359
    "onlineChanged",	//360
    "onlineChanged$",	//361
    "operator!=",	//362
    "operator!=#",	//363
    "operator=",	//364
    "operator=#",	//365
    "operator==",	//366
    "operator==#",	//367
    "paintEngine",	//368
    "paintEvent",	//369
    "paletteChange",	//370
    "parent",	//371
    "parent#",	//372
    "parentCollection",	//373
    "parentRemoteId",	//374
    "percent",	//375
    "percent$",	//376
    "progress",	//377
    "progressMessage",	//378
    "qt_metacall",	//379
    "qt_metacall$$?",	//380
    "qt_metacast",	//381
    "qt_metacast$",	//382
    "reconfigure",	//383
    "registerObserver",	//384
    "registerObserver#",	//385
    "reject",	//386
    "reloadConfiguration",	//387
    "remoteId",	//388
    "removeAttribute",	//389
    "removeAttribute#",	//390
    "removeColumns",	//391
    "removeInstance",	//392
    "removeInstance#",	//393
    "removeRows",	//394
    "resizeEvent",	//395
    "resource",	//396
    "restart",	//397
    "revert",	//398
    "rights",	//399
    "root",	//400
    "rowCount",	//401
    "rowCount#",	//402
    "self",	//403
    "serialized",	//404
    "setAgentName",	//405
    "setAgentName$",	//406
    "setCachePolicy",	//407
    "setCachePolicy#",	//408
    "setCacheTimeout",	//409
    "setCacheTimeout$",	//410
    "setCaption",	//411
    "setContentMimeTypes",	//412
    "setContentMimeTypes?",	//413
    "setData",	//414
    "setData##$",	//415
    "setHeaderData",	//416
    "setId",	//417
    "setId$",	//418
    "setInheritFromParent",	//419
    "setInheritFromParent$",	//420
    "setIntervalCheckTime",	//421
    "setIntervalCheckTime$",	//422
    "setIsOnline",	//423
    "setIsOnline$",	//424
    "setItemData",	//425
    "setLocalParts",	//426
    "setLocalParts?",	//427
    "setName",	//428
    "setName$",	//429
    "setNeedsNetwork",	//430
    "setNeedsNetwork$",	//431
    "setOnline",	//432
    "setOnline$",	//433
    "setParent",	//434
    "setParent#",	//435
    "setParent$",	//436
    "setParentCollection",	//437
    "setParentCollection#",	//438
    "setParentRemoteId",	//439
    "setParentRemoteId$",	//440
    "setPlainCaption",	//441
    "setRemoteId",	//442
    "setRemoteId$",	//443
    "setResource",	//444
    "setResource$",	//445
    "setRights",	//446
    "setRights$",	//447
    "setSourceModel",	//448
    "setStatistics",	//449
    "setStatistics#",	//450
    "setSyncOnDemand",	//451
    "setSyncOnDemand$",	//452
    "setVisible",	//453
    "showEvent",	//454
    "sizeHint",	//455
    "slotButtonClicked",	//456
    "sort",	//457
    "span",	//458
    "start",	//459
    "staticMetaObject",	//460
    "statistics",	//461
    "status",	//462
    "status$",	//463
    "status$$",	//464
    "statusMessage",	//465
    "styleChange",	//466
    "submit",	//467
    "supportedDropActions",	//468
    "syncOnDemand",	//469
    "synchronize",	//470
    "synchronizeCollection",	//471
    "synchronizeCollection#",	//472
    "synchronizeCollectionTree",	//473
    "tabletEvent",	//474
    "timerEvent",	//475
    "tr",	//476
    "tr$",	//477
    "tr$$",	//478
    "tr$$$",	//479
    "trUtf8",	//480
    "trUtf8$",	//481
    "trUtf8$$",	//482
    "trUtf8$$$",	//483
    "type",	//484
    "type$",	//485
    "typeAdded",	//486
    "typeAdded#",	//487
    "typeRemoved",	//488
    "typeRemoved#",	//489
    "types",	//490
    "url",	//491
    "warning",	//492
    "warning$",	//493
    "what",	//494
    "wheelEvent",	//495
    "winIdForDialogs",	//496
    "windowActivationChange",	//497
    "x11Event",	//498
    "~AgentBase",	//499
    "~AgentFilterProxyModel",	//500
    "~AgentInstance",	//501
    "~AgentInstanceCreateJob",	//502
    "~AgentInstanceModel",	//503
    "~AgentInstanceWidget",	//504
    "~AgentManager",	//505
    "~AgentType",	//506
    "~AgentTypeDialog",	//507
    "~AgentTypeModel",	//508
    "~AgentTypeWidget",	//509
    "~Attribute",	//510
    "~AttributeFactory",	//511
    "~CachePolicy",	//512
    "~Collection",	//513
    "~Entity",	//514
    "~Exception",	//515
    "~Observer",	//516
    "~ObserverV2",	//517
    "~PayloadException",	//518
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 476, 3, 2, Smoke::mf_static, 84, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 480, 3, 2, Smoke::mf_static, 84, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 476, 6, 3, Smoke::mf_static, 84, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 480, 6, 3, Smoke::mf_static, 84, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 8},	//8 Akonadi::AgentBase::status() const
    {1, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 377, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 227, 14, 1, Smoke::mf_virtual, 0, 12},	//12 Akonadi::AgentBase::configure(unsigned long)
    {1, 496, 0, 0, Smoke::mf_const, 213, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 293, 0, 0, Smoke::mf_const, 84, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 209, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 384, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 405, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 193, 0, 0, Smoke::mf_const, 84, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 194, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//19 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 462, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::status(int, const QString&)
    {1, 375, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::percent(int)
    {1, 492, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::warning(const QString&)
    {1, 265, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::error(const QString&)
    {1, 181, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::abortRequested()
    {1, 387, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::reloadConfiguration()
    {1, 360, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::onlineChanged(bool)
    {1, 225, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 226, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 29},	//29 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 182, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//30 Akonadi::AgentBase::aboutToQuit()
    {1, 207, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 31},	//31 Akonadi::AgentBase::changeRecorder() const
    {1, 206, 0, 0, Smoke::mf_protected, 0, 32},	//32 Akonadi::AgentBase::changeProcessed()
    {1, 322, 0, 0, Smoke::mf_const|Smoke::mf_protected, 170, 33},	//33 Akonadi::AgentBase::isOnline() const
    {1, 430, 25, 1, Smoke::mf_protected, 0, 34},	//34 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 432, 25, 1, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 27, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 36},	//36 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 251, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//37 Akonadi::AgentBase::doSetOnline(bool)
    {1, 476, 1, 1, Smoke::mf_static, 84, 38},	//38 Akonadi::AgentBase::tr(const char*)
    {1, 480, 1, 1, Smoke::mf_static, 84, 39},	//39 Akonadi::AgentBase::trUtf8(const char*)
    {1, 462, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//40 Akonadi::AgentBase::status(int)
    {1, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 41},	//41 Akonadi::AgentBase::staticMetaObject() const
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 42},	//42 Akonadi::AgentBase::Idle (enum)
    {1, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 43},	//43 Akonadi::AgentBase::Running (enum)
    {1, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 44},	//44 Akonadi::AgentBase::Broken (enum)
    {1, 499, 0, 0, Smoke::mf_dtor, 0, 45 },	//45 Akonadi::AgentBase::~AgentBase()
    {2, 82, 0, 0, Smoke::mf_ctor, 2, 1},	//46 Akonadi::AgentBase::Observer::Observer()
    {2, 324, 30, 2, Smoke::mf_virtual, 0, 2},	//47 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 326, 33, 2, Smoke::mf_virtual, 0, 3},	//48 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 333, 36, 1, Smoke::mf_virtual, 0, 4},	//49 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 214, 38, 2, Smoke::mf_virtual, 0, 5},	//50 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 216, 41, 1, Smoke::mf_virtual, 0, 6},	//51 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 221, 41, 1, Smoke::mf_virtual, 0, 7},	//52 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 82, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//53 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 516, 0, 0, Smoke::mf_dtor, 0, 9 },	//54 Akonadi::AgentBase::Observer::~Observer()
    {3, 216, 41, 1, Smoke::mf_virtual, 0, 1},	//55 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 331, 45, 3, Smoke::mf_virtual, 0, 2},	//56 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 329, 30, 2, Smoke::mf_virtual, 0, 3},	//57 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 335, 30, 2, Smoke::mf_virtual, 0, 4},	//58 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 219, 49, 3, Smoke::mf_virtual, 0, 5},	//59 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 216, 53, 2, Smoke::mf_virtual, 0, 6},	//60 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 84, 0, 0, Smoke::mf_ctor, 3, 7},	//61 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 84, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//62 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 517, 0, 0, Smoke::mf_dtor, 0, 9 },	//63 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//64 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//65 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 476, 3, 2, Smoke::mf_static, 84, 3},	//66 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 480, 3, 2, Smoke::mf_static, 84, 4},	//67 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 476, 6, 3, Smoke::mf_static, 84, 5},	//68 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 480, 6, 3, Smoke::mf_static, 84, 6},	//69 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//70 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 58, 1, Smoke::mf_ctor, 6, 8},	//71 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 190, 18, 1, 0, 0, 9},	//72 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 188, 18, 1, 0, 0, 10},	//73 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 211, 0, 0, 0, 0, 11},	//74 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 272, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 12},	//75 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 476, 1, 1, Smoke::mf_static, 84, 13},	//76 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 480, 1, 1, Smoke::mf_static, 84, 14},	//77 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 15},	//78 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 16},	//79 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 500, 0, 0, Smoke::mf_dtor, 0, 17 },	//80 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//81 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//82 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 323, 0, 0, Smoke::mf_const, 170, 3},	//83 Akonadi::AgentInstance::isValid() const
    {6, 484, 0, 0, Smoke::mf_const, 16, 4},	//84 Akonadi::AgentInstance::type() const
    {6, 293, 0, 0, Smoke::mf_const, 84, 5},	//85 Akonadi::AgentInstance::identifier() const
    {6, 359, 0, 0, Smoke::mf_const, 84, 6},	//86 Akonadi::AgentInstance::name() const
    {6, 428, 18, 1, 0, 0, 7},	//87 Akonadi::AgentInstance::setName(const QString&)
    {6, 462, 0, 0, Smoke::mf_const, 10, 8},	//88 Akonadi::AgentInstance::status() const
    {6, 465, 0, 0, Smoke::mf_const, 84, 9},	//89 Akonadi::AgentInstance::statusMessage() const
    {6, 377, 0, 0, Smoke::mf_const, 208, 10},	//90 Akonadi::AgentInstance::progress() const
    {6, 322, 0, 0, Smoke::mf_const, 170, 11},	//91 Akonadi::AgentInstance::isOnline() const
    {6, 423, 25, 1, 0, 0, 12},	//92 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 227, 65, 1, 0, 0, 13},	//93 Akonadi::AgentInstance::configure(QWidget*)
    {6, 470, 0, 0, 0, 0, 14},	//94 Akonadi::AgentInstance::synchronize()
    {6, 473, 0, 0, 0, 0, 15},	//95 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 364, 63, 1, 0, 8, 16},	//96 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 366, 63, 1, Smoke::mf_const, 170, 17},	//97 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 180, 0, 0, Smoke::mf_const, 0, 18},	//98 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 383, 0, 0, Smoke::mf_const, 0, 19},	//99 Akonadi::AgentInstance::reconfigure() const
    {6, 397, 0, 0, Smoke::mf_const, 0, 20},	//100 Akonadi::AgentInstance::restart() const
    {6, 227, 0, 0, 0, 0, 21},	//101 Akonadi::AgentInstance::configure()
    {6, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//102 Akonadi::AgentInstance::Idle (enum)
    {6, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//103 Akonadi::AgentInstance::Running (enum)
    {6, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//104 Akonadi::AgentInstance::Broken (enum)
    {6, 501, 0, 0, Smoke::mf_dtor, 0, 25 },	//105 Akonadi::AgentInstance::~AgentInstance()
    {7, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//106 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//107 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 476, 3, 2, Smoke::mf_static, 84, 3},	//108 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 480, 3, 2, Smoke::mf_static, 84, 4},	//109 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 476, 6, 3, Smoke::mf_static, 84, 5},	//110 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 480, 6, 3, Smoke::mf_static, 84, 6},	//111 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//112 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 67, 2, Smoke::mf_ctor, 11, 8},	//113 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 227, 65, 1, 0, 0, 9},	//114 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 302, 0, 0, Smoke::mf_const, 7, 10},	//115 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 459, 0, 0, Smoke::mf_virtual, 0, 11},	//116 Akonadi::AgentInstanceCreateJob::start()
    {7, 476, 1, 1, Smoke::mf_static, 84, 12},	//117 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 480, 1, 1, Smoke::mf_static, 84, 13},	//118 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 70, 1, Smoke::mf_ctor, 11, 14},	//119 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 227, 0, 0, 0, 0, 15},	//120 Akonadi::AgentInstanceCreateJob::configure()
    {7, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 16},	//121 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 502, 0, 0, Smoke::mf_dtor, 0, 17 },	//122 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//123 Akonadi::AgentInstanceModel::metaObject() const
    {8, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//124 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 476, 3, 2, Smoke::mf_static, 84, 3},	//125 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 480, 3, 2, Smoke::mf_static, 84, 4},	//126 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 476, 6, 3, Smoke::mf_static, 84, 5},	//127 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 480, 6, 3, Smoke::mf_static, 84, 6},	//128 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//129 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 13, 58, 1, Smoke::mf_ctor, 12, 8},	//130 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 223, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//131 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 401, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//132 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 241, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//133 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 285, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 12},	//134 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 294, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//135 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 371, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 14},	//136 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 274, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 15},	//137 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 414, 85, 3, Smoke::mf_virtual, 170, 16},	//138 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 476, 1, 1, Smoke::mf_static, 84, 17},	//139 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 480, 1, 1, Smoke::mf_static, 84, 18},	//140 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 13, 0, 0, Smoke::mf_ctor, 12, 19},	//141 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 223, 0, 0, Smoke::mf_const, 208, 20},	//142 Akonadi::AgentInstanceModel::columnCount() const
    {8, 401, 0, 0, Smoke::mf_const, 208, 21},	//143 Akonadi::AgentInstanceModel::rowCount() const
    {8, 241, 72, 1, Smoke::mf_const, 90, 22},	//144 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 285, 89, 2, Smoke::mf_const, 90, 23},	//145 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 294, 92, 2, Smoke::mf_const, 73, 24},	//146 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 25},	//147 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//148 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//149 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//150 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//151 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//152 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//153 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//154 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//155 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//156 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//157 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//158 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//159 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 503, 0, 0, Smoke::mf_dtor, 0, 38 },	//160 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//161 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//162 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 476, 3, 2, Smoke::mf_static, 84, 3},	//163 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 480, 3, 2, Smoke::mf_static, 84, 4},	//164 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 476, 6, 3, Smoke::mf_static, 84, 5},	//165 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 480, 6, 3, Smoke::mf_static, 84, 6},	//166 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//167 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 15, 65, 1, Smoke::mf_ctor, 14, 8},	//168 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 235, 0, 0, Smoke::mf_const, 7, 9},	//169 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 192, 0, 0, Smoke::mf_const, 6, 10},	//170 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 237, 95, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//171 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 256, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//172 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 476, 1, 1, Smoke::mf_static, 84, 13},	//173 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 480, 1, 1, Smoke::mf_static, 84, 14},	//174 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 15, 0, 0, Smoke::mf_ctor, 14, 15},	//175 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 16},	//176 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 504, 0, 0, Smoke::mf_dtor, 0, 17 },	//177 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 348, 0, 0, Smoke::mf_const, 194, 1},	//178 Akonadi::AgentManager::metaObject() const
    {10, 381, 1, 1, 0, 214, 2},	//179 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 476, 3, 2, Smoke::mf_static, 84, 3},	//180 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 480, 3, 2, Smoke::mf_static, 84, 4},	//181 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 476, 6, 3, Smoke::mf_static, 84, 5},	//182 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 480, 6, 3, Smoke::mf_static, 84, 6},	//183 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 379, 10, 3, 0, 208, 7},	//184 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 403, 0, 0, Smoke::mf_static, 15, 8},	//185 Akonadi::AgentManager::self()
    {10, 490, 0, 0, Smoke::mf_const, 67, 9},	//186 Akonadi::AgentManager::types() const
    {10, 484, 18, 1, Smoke::mf_const, 16, 10},	//187 Akonadi::AgentManager::type(const QString&) const
    {10, 320, 0, 0, Smoke::mf_const, 66, 11},	//188 Akonadi::AgentManager::instances() const
    {10, 302, 18, 1, Smoke::mf_const, 7, 12},	//189 Akonadi::AgentManager::instance(const QString&) const
    {10, 392, 63, 1, 0, 0, 13},	//190 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 471, 41, 1, 0, 0, 14},	//191 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 486, 70, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//192 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 488, 70, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//193 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 304, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//194 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 314, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//195 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 316, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//196 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 312, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//197 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 308, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//198 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 306, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//199 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 318, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//200 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 310, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//201 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 476, 1, 1, Smoke::mf_static, 84, 25},	//202 Akonadi::AgentManager::tr(const char*)
    {10, 480, 1, 1, Smoke::mf_static, 84, 26},	//203 Akonadi::AgentManager::trUtf8(const char*)
    {10, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 27},	//204 Akonadi::AgentManager::staticMetaObject() const
    {10, 505, 0, 0, Smoke::mf_dtor, 0, 28 },	//205 Akonadi::AgentManager::~AgentManager()
    {11, 17, 0, 0, Smoke::mf_ctor, 18, 1},	//206 Akonadi::AgentType::AgentType()
    {11, 17, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//207 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 323, 0, 0, Smoke::mf_const, 170, 3},	//208 Akonadi::AgentType::isValid() const
    {11, 293, 0, 0, Smoke::mf_const, 84, 4},	//209 Akonadi::AgentType::identifier() const
    {11, 359, 0, 0, Smoke::mf_const, 84, 5},	//210 Akonadi::AgentType::name() const
    {11, 244, 0, 0, Smoke::mf_const, 84, 6},	//211 Akonadi::AgentType::description() const
    {11, 291, 0, 0, Smoke::mf_const, 84, 7},	//212 Akonadi::AgentType::iconName() const
    {11, 290, 0, 0, Smoke::mf_const, 62, 8},	//213 Akonadi::AgentType::icon() const
    {11, 352, 0, 0, Smoke::mf_const, 85, 9},	//214 Akonadi::AgentType::mimeTypes() const
    {11, 204, 0, 0, Smoke::mf_const, 85, 10},	//215 Akonadi::AgentType::capabilities() const
    {11, 364, 70, 1, 0, 17, 11},	//216 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 366, 70, 1, Smoke::mf_const, 170, 12},	//217 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 506, 0, 0, Smoke::mf_dtor, 0, 13 },	//218 Akonadi::AgentType::~AgentType()
    {12, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//219 Akonadi::AgentTypeDialog::metaObject() const
    {12, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//220 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 476, 3, 2, Smoke::mf_static, 84, 3},	//221 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 480, 3, 2, Smoke::mf_static, 84, 4},	//222 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 476, 6, 3, Smoke::mf_static, 84, 5},	//223 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 480, 6, 3, Smoke::mf_static, 84, 6},	//224 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//225 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 19, 65, 1, Smoke::mf_ctor, 19, 8},	//226 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 196, 0, 0, Smoke::mf_const, 16, 9},	//227 Akonadi::AgentTypeDialog::agentType() const
    {12, 192, 0, 0, Smoke::mf_const, 6, 10},	//228 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 254, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//229 Akonadi::AgentTypeDialog::done(int)
    {12, 476, 1, 1, Smoke::mf_static, 84, 12},	//230 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 480, 1, 1, Smoke::mf_static, 84, 13},	//231 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 19, 0, 0, Smoke::mf_ctor, 19, 14},	//232 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 15},	//233 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 507, 0, 0, Smoke::mf_dtor, 0, 16 },	//234 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//235 Akonadi::AgentTypeModel::metaObject() const
    {13, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//236 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 476, 3, 2, Smoke::mf_static, 84, 3},	//237 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 480, 3, 2, Smoke::mf_static, 84, 4},	//238 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 476, 6, 3, Smoke::mf_static, 84, 5},	//239 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 480, 6, 3, Smoke::mf_static, 84, 6},	//240 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//241 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 21, 58, 1, Smoke::mf_ctor, 20, 8},	//242 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 223, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//243 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 401, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//244 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 241, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//245 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 294, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 12},	//246 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 371, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//247 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 274, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 14},	//248 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 476, 1, 1, Smoke::mf_static, 84, 15},	//249 Akonadi::AgentTypeModel::tr(const char*)
    {13, 480, 1, 1, Smoke::mf_static, 84, 16},	//250 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 21, 0, 0, Smoke::mf_ctor, 20, 17},	//251 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 223, 0, 0, Smoke::mf_const, 208, 18},	//252 Akonadi::AgentTypeModel::columnCount() const
    {13, 401, 0, 0, Smoke::mf_const, 208, 19},	//253 Akonadi::AgentTypeModel::rowCount() const
    {13, 241, 72, 1, Smoke::mf_const, 90, 20},	//254 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 294, 92, 2, Smoke::mf_const, 73, 21},	//255 Akonadi::AgentTypeModel::index(int, int) const
    {13, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 22},	//256 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//257 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//258 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//259 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//260 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//261 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//262 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 508, 0, 0, Smoke::mf_dtor, 0, 29 },	//263 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 1},	//264 Akonadi::AgentTypeWidget::metaObject() const
    {14, 381, 1, 1, Smoke::mf_virtual, 214, 2},	//265 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 476, 3, 2, Smoke::mf_static, 84, 3},	//266 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 480, 3, 2, Smoke::mf_static, 84, 4},	//267 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 476, 6, 3, Smoke::mf_static, 84, 5},	//268 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 480, 6, 3, Smoke::mf_static, 84, 6},	//269 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 379, 10, 3, Smoke::mf_virtual, 208, 7},	//270 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 23, 65, 1, Smoke::mf_ctor, 22, 8},	//271 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 236, 0, 0, Smoke::mf_const, 16, 9},	//272 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 192, 0, 0, Smoke::mf_const, 6, 10},	//273 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 237, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//274 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 185, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//275 Akonadi::AgentTypeWidget::activated()
    {14, 476, 1, 1, Smoke::mf_static, 84, 13},	//276 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 480, 1, 1, Smoke::mf_static, 84, 14},	//277 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 23, 0, 0, Smoke::mf_ctor, 22, 15},	//278 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 460, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 193, 16},	//279 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 509, 0, 0, Smoke::mf_dtor, 0, 17 },	//280 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 484, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//281 Akonadi::Attribute::type() const [pure virtual]
    {15, 212, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//282 Akonadi::Attribute::clone() const [pure virtual]
    {15, 404, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//283 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 245, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//284 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 28, 0, 0, Smoke::mf_ctor, 23, 5},	//285 Akonadi::Attribute::Attribute()
    {15, 28, 109, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//286 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 510, 0, 0, Smoke::mf_dtor, 0, 7 },	//287 Akonadi::Attribute::~Attribute()
    {16, 233, 107, 1, Smoke::mf_static, 23, 1},	//288 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 30, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//289 Akonadi::AttributeFactory::AttributeFactory()
    {16, 30, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//290 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 511, 0, 0, Smoke::mf_dtor, 0, 4 },	//291 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 34, 0, 0, Smoke::mf_ctor, 27, 1},	//292 Akonadi::CachePolicy::CachePolicy()
    {17, 34, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//293 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 297, 0, 0, Smoke::mf_const, 170, 3},	//294 Akonadi::CachePolicy::inheritFromParent() const
    {17, 419, 25, 1, 0, 0, 4},	//295 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 342, 0, 0, Smoke::mf_const, 85, 5},	//296 Akonadi::CachePolicy::localParts() const
    {17, 426, 115, 1, 0, 0, 6},	//297 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 202, 0, 0, Smoke::mf_const, 208, 7},	//298 Akonadi::CachePolicy::cacheTimeout() const
    {17, 409, 23, 1, 0, 0, 8},	//299 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 321, 0, 0, Smoke::mf_const, 208, 9},	//300 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 421, 23, 1, 0, 0, 10},	//301 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 469, 0, 0, Smoke::mf_const, 170, 11},	//302 Akonadi::CachePolicy::syncOnDemand() const
    {17, 451, 25, 1, 0, 0, 12},	//303 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 364, 113, 1, 0, 26, 13},	//304 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 366, 113, 1, Smoke::mf_const, 170, 14},	//305 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 512, 0, 0, Smoke::mf_dtor, 0, 15 },	//306 Akonadi::CachePolicy::~CachePolicy()
    {19, 47, 0, 0, Smoke::mf_ctor, 31, 1},	//307 Akonadi::Collection::Collection()
    {19, 47, 117, 1, Smoke::mf_ctor, 31, 2},	//308 Akonadi::Collection::Collection(long long)
    {19, 47, 41, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//309 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 280, 119, 1, Smoke::mf_static, 29, 4},	//310 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 359, 0, 0, Smoke::mf_const, 84, 5},	//311 Akonadi::Collection::name() const
    {19, 428, 18, 1, 0, 0, 6},	//312 Akonadi::Collection::setName(const QString&)
    {19, 399, 0, 0, Smoke::mf_const, 33, 7},	//313 Akonadi::Collection::rights() const
    {19, 446, 121, 1, 0, 0, 8},	//314 Akonadi::Collection::setRights(Akonadi::Collection::Rights)
    {19, 231, 0, 0, Smoke::mf_const, 85, 9},	//315 Akonadi::Collection::contentMimeTypes() const
    {19, 412, 115, 1, 0, 0, 10},	//316 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 371, 0, 0, Smoke::mf_const, 210, 11},	//317 Akonadi::Collection::parent() const
    {19, 434, 117, 1, 0, 0, 12},	//318 Akonadi::Collection::setParent(long long)
    {19, 434, 41, 1, 0, 0, 13},	//319 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 374, 0, 0, Smoke::mf_const, 84, 14},	//320 Akonadi::Collection::parentRemoteId() const
    {19, 439, 18, 1, 0, 0, 15},	//321 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 400, 0, 0, Smoke::mf_static, 29, 16},	//322 Akonadi::Collection::root()
    {19, 351, 0, 0, Smoke::mf_static, 84, 17},	//323 Akonadi::Collection::mimeType()
    {19, 396, 0, 0, Smoke::mf_const, 84, 18},	//324 Akonadi::Collection::resource() const
    {19, 444, 18, 1, 0, 0, 19},	//325 Akonadi::Collection::setResource(const QString&)
    {19, 201, 0, 0, Smoke::mf_const, 25, 20},	//326 Akonadi::Collection::cachePolicy() const
    {19, 407, 113, 1, 0, 0, 21},	//327 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 461, 0, 0, Smoke::mf_const, 34, 22},	//328 Akonadi::Collection::statistics() const
    {19, 449, 123, 1, 0, 0, 23},	//329 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 491, 0, 0, Smoke::mf_const, 47, 24},	//330 Akonadi::Collection::url() const
    {19, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//331 Akonadi::Collection::ReadOnly (enum)
    {19, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//332 Akonadi::Collection::CanChangeItem (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//333 Akonadi::Collection::CanCreateItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//334 Akonadi::Collection::CanDeleteItem (enum)
    {19, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//335 Akonadi::Collection::CanChangeCollection (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//336 Akonadi::Collection::CanCreateCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//337 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//338 Akonadi::Collection::CanLinkItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//339 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//340 Akonadi::Collection::AllRights (enum)
    {19, 513, 0, 0, Smoke::mf_dtor, 0, 35 },	//341 Akonadi::Collection::~Collection()
    {21, 417, 117, 1, 0, 0, 1},	//342 Akonadi::Entity::setId(long long)
    {21, 292, 0, 0, Smoke::mf_const, 210, 2},	//343 Akonadi::Entity::id() const
    {21, 442, 18, 1, 0, 0, 3},	//344 Akonadi::Entity::setRemoteId(const QString&)
    {21, 388, 0, 0, Smoke::mf_const, 84, 4},	//345 Akonadi::Entity::remoteId() const
    {21, 323, 0, 0, Smoke::mf_const, 170, 5},	//346 Akonadi::Entity::isValid() const
    {21, 366, 125, 1, Smoke::mf_const, 170, 6},	//347 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 362, 125, 1, Smoke::mf_const, 170, 7},	//348 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 364, 125, 1, 0, 35, 8},	//349 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 373, 0, 0, Smoke::mf_const, 29, 9},	//350 Akonadi::Entity::parentCollection() const
    {21, 373, 0, 0, 0, 30, 10},	//351 Akonadi::Entity::parentCollection()
    {21, 437, 41, 1, 0, 0, 11},	//352 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 186, 127, 1, 0, 0, 12},	//353 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 389, 107, 1, 0, 0, 13},	//354 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 282, 107, 1, Smoke::mf_const, 170, 14},	//355 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 199, 0, 0, Smoke::mf_const, 68, 15},	//356 Akonadi::Entity::attributes() const
    {21, 210, 0, 0, 0, 0, 16},	//357 Akonadi::Entity::clearAttributes()
    {21, 197, 107, 1, Smoke::mf_const, 23, 17},	//358 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 58, 125, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 36, 18},	//359 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 58, 129, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 19},	//360 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 240, 0, 0, Smoke::mf_protected, 38, 20},	//361 Akonadi::Entity::d_func()
    {21, 240, 0, 0, Smoke::mf_const|Smoke::mf_protected, 182, 21},	//362 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 22},	//363 Akonadi::Entity::AddIfMissing (enum)
    {21, 514, 0, 0, Smoke::mf_dtor, 0, 23 },	//364 Akonadi::Entity::~Entity()
    {23, 60, 1, 1, Smoke::mf_ctor, 39, 1},	//365 Akonadi::Exception::Exception(const char*)
    {23, 60, 107, 1, Smoke::mf_ctor, 39, 2},	//366 Akonadi::Exception::Exception(const QByteArray&)
    {23, 60, 18, 1, Smoke::mf_ctor, 39, 3},	//367 Akonadi::Exception::Exception(const QString&)
    {23, 60, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 4},	//368 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 494, 0, 0, Smoke::mf_const, 205, 5},	//369 Akonadi::Exception::what() const
    {23, 484, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//370 Akonadi::Exception::type() const
    {23, 515, 0, 0, Smoke::mf_dtor, 0, 7 },	//371 Akonadi::Exception::~Exception()
    {25, 88, 1, 1, Smoke::mf_ctor, 40, 1},	//372 Akonadi::PayloadException::PayloadException(const char*)
    {25, 88, 107, 1, Smoke::mf_ctor, 40, 2},	//373 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 88, 18, 1, Smoke::mf_ctor, 40, 3},	//374 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 484, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//375 Akonadi::PayloadException::type() const
    {25, 88, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 5},	//376 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 518, 0, 0, Smoke::mf_dtor, 0, 6 },	//377 Akonadi::PayloadException::~PayloadException()
    {28, 455, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//378 KDialog::sizeHint() const
    {28, 353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//379 KDialog::minimumSizeHint() const
    {28, 411, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//380 KDialog::setCaption(const QString&)
    {28, 411, 135, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//381 KDialog::setCaption(const QString&, bool)
    {28, 441, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//382 KDialog::setPlainCaption(const QString&)
    {28, 289, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//383 KDialog::hideEvent(QHideEvent*)
    {28, 213, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//384 KDialog::closeEvent(QCloseEvent*)
    {28, 337, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//385 KDialog::keyPressEvent(QKeyEvent*)
    {28, 456, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//386 KDialog::slotButtonClicked(int)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 10},	//387 KDialog::None (enum)
    {28, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 11},	//388 KDialog::Help (enum)
    {28, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 12},	//389 KDialog::Default (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 13},	//390 KDialog::Ok (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 14},	//391 KDialog::Apply (enum)
    {28, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 15},	//392 KDialog::Try (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 16},	//393 KDialog::Cancel (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 17},	//394 KDialog::Close (enum)
    {28, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 18},	//395 KDialog::No (enum)
    {28, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 19},	//396 KDialog::Yes (enum)
    {28, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 20},	//397 KDialog::Reset (enum)
    {28, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 21},	//398 KDialog::Details (enum)
    {28, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 22},	//399 KDialog::User1 (enum)
    {28, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 23},	//400 KDialog::User2 (enum)
    {28, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 24},	//401 KDialog::User3 (enum)
    {28, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 25},	//402 KDialog::NoDefault (enum)
    {28, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 26},	//403 KDialog::InstantPopup (enum)
    {28, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 27},	//404 KDialog::DelayedPopup (enum)
    {28, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 28},	//405 KDialog::NoCaptionFlags (enum)
    {28, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 29},	//406 KDialog::AppNameCaption (enum)
    {28, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 30},	//407 KDialog::ModifiedCaption (enum)
    {28, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 31},	//408 KDialog::HIGCompliantCaption (enum)
    {29, 249, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//409 KJob::doKill()
    {29, 253, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//410 KJob::doSuspend()
    {29, 250, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//411 KJob::doResume()
    {29, 267, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 0},	//412 KJob::errorString() const
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 5},	//413 KJob::Bytes (enum)
    {29, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 6},	//414 KJob::Files (enum)
    {29, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 7},	//415 KJob::Directories (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 8},	//416 KJob::NoCapabilities (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 9},	//417 KJob::Killable (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 10},	//418 KJob::Suspendable (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 11},	//419 KJob::Quietly (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 12},	//420 KJob::EmitResult (enum)
    {29, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 13},	//421 KJob::NoError (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 14},	//422 KJob::KilledJobError (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 15},	//423 KJob::UserDefinedError (enum)
    {33, 284, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//424 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 414, 85, 3, Smoke::mf_virtual, 170, 0},	//425 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 285, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//426 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 416, 144, 4, Smoke::mf_virtual, 170, 0},	//427 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 328, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//428 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 425, 149, 2, Smoke::mf_virtual, 170, 0},	//429 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//430 QAbstractItemModel::mimeTypes() const
    {33, 350, 152, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//431 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 262, 154, 5, Smoke::mf_virtual, 170, 0},	//432 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//433 QAbstractItemModel::supportedDropActions() const
    {33, 301, 81, 3, Smoke::mf_virtual, 170, 0},	//434 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 300, 81, 3, Smoke::mf_virtual, 170, 0},	//435 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 394, 81, 3, Smoke::mf_virtual, 170, 0},	//436 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 391, 81, 3, Smoke::mf_virtual, 170, 0},	//437 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 270, 72, 1, Smoke::mf_virtual, 0, 0},	//438 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 203, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//439 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 457, 160, 2, Smoke::mf_virtual, 0, 0},	//440 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 200, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//441 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 347, 163, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//442 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {33, 458, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//443 QAbstractItemModel::span(const QModelIndex&) const
    {33, 467, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 170, 0},	//444 QAbstractItemModel::submit()
    {33, 398, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//445 QAbstractItemModel::revert()
    {34, 467, 0, 0, Smoke::mf_virtual, 170, 0},	//446 QAbstractProxyModel::submit()
    {34, 398, 0, 0, Smoke::mf_virtual, 0, 0},	//447 QAbstractProxyModel::revert()
    {34, 328, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//448 QAbstractProxyModel::itemData(const QModelIndex&) const
    {42, 453, 25, 1, Smoke::mf_virtual, 0, 0},	//449 QDialog::setVisible(bool)
    {42, 183, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//450 QDialog::accept()
    {42, 386, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//451 QDialog::reject()
    {42, 454, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//452 QDialog::showEvent(QShowEvent*)
    {42, 395, 171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QDialog::resizeEvent(QResizeEvent*)
    {42, 232, 173, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QDialog::contextMenuEvent(QContextMenuEvent*)
    {42, 269, 175, 2, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//455 QDialog::eventFilter(QObject*, QEvent*)
    {42, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 8},	//456 QDialog::Rejected (enum)
    {42, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 9},	//457 QDialog::Accepted (enum)
    {50, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 1},	//458 QGlobalSpace::_CS_PATH (enum)
    {50, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 2},	//459 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 3},	//460 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {50, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 4},	//461 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {50, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 5},	//462 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {50, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 6},	//463 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 7},	//464 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 8},	//465 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {50, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 9},	//466 QGlobalSpace::_CS_LFS_LIBS (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 10},	//467 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 11},	//468 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 12},	//469 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 13},	//470 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 14},	//471 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 15},	//472 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 16},	//473 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 17},	//474 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 18},	//475 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 19},	//476 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 20},	//477 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 21},	//478 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 22},	//479 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 23},	//480 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 24},	//481 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 25},	//482 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {50, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 26},	//483 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 27},	//484 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 28},	//485 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 29},	//486 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 30},	//487 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 31},	//488 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {50, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 32},	//489 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {50, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 33},	//490 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {50, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 34},	//491 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {50, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 35},	//492 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {50, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 36},	//493 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 37},	//494 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {50, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 38},	//495 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 39},	//496 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {50, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 40},	//497 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {50, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 41},	//498 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {50, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 42},	//499 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {50, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 43},	//500 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 44},	//501 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 45},	//502 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {50, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 46},	//503 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 47},	//504 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {50, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 48},	//505 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {50, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 49},	//506 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {50, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 50},	//507 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {50, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 51},	//508 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {50, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 52},	//509 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 53},	//510 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {50, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 54},	//511 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 55},	//512 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {50, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 56},	//513 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {50, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 57},	//514 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 58},	//515 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 59},	//516 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 60},	//517 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 61},	//518 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {50, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 62},	//519 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 63},	//520 QGlobalSpace::QtDebugMsg (enum)
    {50, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 64},	//521 QGlobalSpace::QtWarningMsg (enum)
    {50, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 65},	//522 QGlobalSpace::QtCriticalMsg (enum)
    {50, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 66},	//523 QGlobalSpace::QtFatalMsg (enum)
    {50, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 67},	//524 QGlobalSpace::QtSystemMsg (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 68},	//525 QGlobalSpace::__codecvt_ok (enum)
    {50, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 69},	//526 QGlobalSpace::__codecvt_partial (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 70},	//527 QGlobalSpace::__codecvt_error (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 71},	//528 QGlobalSpace::__codecvt_noconv (enum)
    {61, 268, 178, 1, Smoke::mf_virtual, 170, 0},	//529 QObject::event(QEvent*)
    {61, 269, 175, 2, Smoke::mf_virtual, 170, 0},	//530 QObject::eventFilter(QObject*, QEvent*)
    {61, 475, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//531 QObject::timerEvent(QTimerEvent*)
    {61, 208, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//532 QObject::childEvent(QChildEvent*)
    {61, 239, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//533 QObject::customEvent(QEvent*)
    {61, 230, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//534 QObject::connectNotify(const char*)
    {61, 248, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//535 QObject::disconnectNotify(const char*)
    {69, 448, 184, 1, Smoke::mf_virtual, 0, 0},	//536 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {69, 346, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//537 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {69, 343, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//538 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {69, 345, 186, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//539 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {69, 344, 186, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//540 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {69, 271, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//541 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {69, 341, 188, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//542 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {69, 294, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//543 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {69, 371, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//544 QSortFilterProxyModel::parent(const QModelIndex&) const
    {69, 401, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 0},	//545 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {69, 223, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 0},	//546 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {69, 284, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//547 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {69, 241, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//548 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {69, 414, 85, 3, Smoke::mf_virtual, 170, 0},	//549 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {69, 285, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//550 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {69, 416, 144, 4, Smoke::mf_virtual, 170, 0},	//551 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {69, 350, 152, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//552 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {69, 262, 154, 5, Smoke::mf_virtual, 170, 0},	//553 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {69, 301, 81, 3, Smoke::mf_virtual, 170, 0},	//554 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {69, 300, 81, 3, Smoke::mf_virtual, 170, 0},	//555 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {69, 394, 81, 3, Smoke::mf_virtual, 170, 0},	//556 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {69, 391, 81, 3, Smoke::mf_virtual, 170, 0},	//557 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {69, 270, 72, 1, Smoke::mf_virtual, 0, 0},	//558 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {69, 203, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//559 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {69, 274, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 0},	//560 QSortFilterProxyModel::flags(const QModelIndex&) const
    {69, 200, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//561 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {69, 347, 163, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//562 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {69, 458, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//563 QSortFilterProxyModel::span(const QModelIndex&) const
    {69, 457, 160, 2, Smoke::mf_virtual, 0, 0},	//564 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {69, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//565 QSortFilterProxyModel::mimeTypes() const
    {69, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//566 QSortFilterProxyModel::supportedDropActions() const
    {75, 247, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 0},	//567 QWidget::devType() const
    {75, 453, 25, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//568 QWidget::setVisible(bool)
    {75, 455, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//569 QWidget::sizeHint() const
    {75, 353, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//570 QWidget::minimumSizeHint() const
    {75, 288, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 0},	//571 QWidget::heightForWidth(int) const
    {75, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//572 QWidget::paintEngine() const
    {75, 268, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//573 QWidget::event(QEvent*)
    {75, 356, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//574 QWidget::mousePressEvent(QMouseEvent*)
    {75, 357, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 354, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 355, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 495, 193, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::wheelEvent(QWheelEvent*)
    {75, 337, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::keyPressEvent(QKeyEvent*)
    {75, 338, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 276, 195, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::focusInEvent(QFocusEvent*)
    {75, 278, 195, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::focusOutEvent(QFocusEvent*)
    {75, 264, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::enterEvent(QEvent*)
    {75, 340, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::leaveEvent(QEvent*)
    {75, 369, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::paintEvent(QPaintEvent*)
    {75, 358, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::moveEvent(QMoveEvent*)
    {75, 395, 171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::resizeEvent(QResizeEvent*)
    {75, 213, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::closeEvent(QCloseEvent*)
    {75, 232, 173, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 474, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::tabletEvent(QTabletEvent*)
    {75, 184, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::actionEvent(QActionEvent*)
    {75, 258, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 260, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 259, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 261, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::dropEvent(QDropEvent*)
    {75, 454, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::showEvent(QShowEvent*)
    {75, 289, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::hideEvent(QHideEvent*)
    {75, 498, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//598 QWidget::x11Event(_XEvent*)
    {75, 205, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::changeEvent(QEvent*)
    {75, 349, 215, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 208, 0},	//600 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 298, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 299, 219, 1, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//602 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 277, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//603 QWidget::focusNextPrevChild(bool)
    {75, 466, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//604 QWidget::styleChange(QStyle&)
    {75, 263, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::enabledChange(bool)
    {75, 370, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::paletteChange(const QPalette&)
    {75, 279, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::fontChange(const QFont&)
    {75, 497, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::windowActivationChange(bool)
    {75, 339, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::languageChange()
    {75, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//610 QWidget::DrawWindowBackground (enum)
    {75, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 45},	//611 QWidget::DrawChildren (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 46},	//612 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    366,  // Akonadi::Exception::Exception(const QByteArray&)
    368,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    365,  // Akonadi::Exception::Exception(const char*)
    367,  // Akonadi::Exception::Exception(const QString&)
    0,
    359,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    360,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    361,  // Akonadi::Entity::d_func()
    362,  // Akonadi::Entity::d_func() const
    0,
    350,  // Akonadi::Entity::parentCollection() const
    351,  // Akonadi::Entity::parentCollection()
    0,
    373,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    376,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    372,  // Akonadi::PayloadException::PayloadException(const char*)
    374,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 36},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 29},	// Akonadi::AgentBase::AgentBase$
    {1, 32, 44},	// Akonadi::AgentBase::Broken
    {1, 67, 42},	// Akonadi::AgentBase::Idle
    {1, 101, 43},	// Akonadi::AgentBase::Running
    {1, 181, 24},	// Akonadi::AgentBase::abortRequested
    {1, 182, 30},	// Akonadi::AgentBase::aboutToQuit
    {1, 193, 18},	// Akonadi::AgentBase::agentName
    {1, 195, 19},	// Akonadi::AgentBase::agentNameChanged$
    {1, 206, 32},	// Akonadi::AgentBase::changeProcessed
    {1, 207, 31},	// Akonadi::AgentBase::changeRecorder
    {1, 209, 15},	// Akonadi::AgentBase::cleanup
    {1, 225, 27},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 226, 28},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 229, 12},	// Akonadi::AgentBase::configure$
    {1, 252, 37},	// Akonadi::AgentBase::doSetOnline$
    {1, 266, 23},	// Akonadi::AgentBase::error$
    {1, 293, 14},	// Akonadi::AgentBase::identifier
    {1, 322, 33},	// Akonadi::AgentBase::isOnline
    {1, 348, 1},	// Akonadi::AgentBase::metaObject
    {1, 361, 26},	// Akonadi::AgentBase::onlineChanged$
    {1, 376, 21},	// Akonadi::AgentBase::percent$
    {1, 377, 10},	// Akonadi::AgentBase::progress
    {1, 378, 11},	// Akonadi::AgentBase::progressMessage
    {1, 380, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 382, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 385, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 387, 25},	// Akonadi::AgentBase::reloadConfiguration
    {1, 406, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 431, 34},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 433, 35},	// Akonadi::AgentBase::setOnline$
    {1, 460, 41},	// Akonadi::AgentBase::staticMetaObject
    {1, 462, 8},	// Akonadi::AgentBase::status
    {1, 463, 40},	// Akonadi::AgentBase::status$
    {1, 464, 20},	// Akonadi::AgentBase::status$$
    {1, 465, 9},	// Akonadi::AgentBase::statusMessage
    {1, 477, 38},	// Akonadi::AgentBase::tr$
    {1, 478, 3},	// Akonadi::AgentBase::tr$$
    {1, 479, 5},	// Akonadi::AgentBase::tr$$$
    {1, 481, 39},	// Akonadi::AgentBase::trUtf8$
    {1, 482, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 483, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 493, 22},	// Akonadi::AgentBase::warning$
    {1, 496, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 499, 45},	// Akonadi::AgentBase::~AgentBase
    {2, 82, 46},	// Akonadi::AgentBase::Observer::Observer
    {2, 83, 53},	// Akonadi::AgentBase::Observer::Observer#
    {2, 215, 50},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 217, 51},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 222, 52},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 325, 47},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 327, 48},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 334, 49},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 516, 54},	// Akonadi::AgentBase::Observer::~Observer
    {3, 84, 61},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 85, 62},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 217, 55},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 218, 60},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 220, 59},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 330, 57},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 332, 56},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 336, 58},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 517, 63},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 78},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 71},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 189, 73},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 191, 72},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 211, 74},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 273, 75},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 348, 64},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 380, 70},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 382, 65},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 460, 79},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 477, 76},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 478, 66},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 479, 68},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 481, 77},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 482, 67},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 483, 69},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 500, 80},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 81},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 82},	// Akonadi::AgentInstance::AgentInstance#
    {6, 32, 104},	// Akonadi::AgentInstance::Broken
    {6, 67, 102},	// Akonadi::AgentInstance::Idle
    {6, 101, 103},	// Akonadi::AgentInstance::Running
    {6, 180, 98},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 227, 101},	// Akonadi::AgentInstance::configure
    {6, 228, 93},	// Akonadi::AgentInstance::configure#
    {6, 293, 85},	// Akonadi::AgentInstance::identifier
    {6, 322, 91},	// Akonadi::AgentInstance::isOnline
    {6, 323, 83},	// Akonadi::AgentInstance::isValid
    {6, 359, 86},	// Akonadi::AgentInstance::name
    {6, 365, 96},	// Akonadi::AgentInstance::operator=#
    {6, 367, 97},	// Akonadi::AgentInstance::operator==#
    {6, 377, 90},	// Akonadi::AgentInstance::progress
    {6, 383, 99},	// Akonadi::AgentInstance::reconfigure
    {6, 397, 100},	// Akonadi::AgentInstance::restart
    {6, 424, 92},	// Akonadi::AgentInstance::setIsOnline$
    {6, 429, 87},	// Akonadi::AgentInstance::setName$
    {6, 462, 88},	// Akonadi::AgentInstance::status
    {6, 465, 89},	// Akonadi::AgentInstance::statusMessage
    {6, 470, 94},	// Akonadi::AgentInstance::synchronize
    {6, 473, 95},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 484, 84},	// Akonadi::AgentInstance::type
    {6, 501, 105},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 119},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 113},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 227, 120},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 228, 114},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 302, 115},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 348, 106},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 380, 112},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 382, 107},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 459, 116},	// Akonadi::AgentInstanceCreateJob::start
    {7, 460, 121},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 477, 117},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 478, 108},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 479, 110},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 481, 118},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 482, 109},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 483, 111},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 502, 122},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 13, 141},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 14, 130},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 45, 152},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 52, 150},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 69, 154},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 70, 153},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 74, 151},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 87, 158},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 91, 157},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 102, 156},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 103, 155},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 106, 149},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 107, 148},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 112, 159},	// Akonadi::AgentInstanceModel::UserRole
    {8, 223, 142},	// Akonadi::AgentInstanceModel::columnCount
    {8, 224, 131},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 242, 144},	// Akonadi::AgentInstanceModel::data#
    {8, 243, 133},	// Akonadi::AgentInstanceModel::data#$
    {8, 275, 137},	// Akonadi::AgentInstanceModel::flags#
    {8, 286, 145},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 287, 134},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 295, 146},	// Akonadi::AgentInstanceModel::index$$
    {8, 296, 135},	// Akonadi::AgentInstanceModel::index$$#
    {8, 348, 123},	// Akonadi::AgentInstanceModel::metaObject
    {8, 372, 136},	// Akonadi::AgentInstanceModel::parent#
    {8, 380, 129},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 382, 124},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 401, 143},	// Akonadi::AgentInstanceModel::rowCount
    {8, 402, 132},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 415, 138},	// Akonadi::AgentInstanceModel::setData##$
    {8, 460, 147},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 477, 139},	// Akonadi::AgentInstanceModel::tr$
    {8, 478, 125},	// Akonadi::AgentInstanceModel::tr$$
    {8, 479, 127},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 481, 140},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 482, 126},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 483, 128},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 503, 160},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 15, 175},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 16, 168},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 192, 170},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 235, 169},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 238, 171},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 257, 172},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 348, 161},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 380, 167},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 382, 162},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 460, 176},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 477, 173},	// Akonadi::AgentInstanceWidget::tr$
    {9, 478, 163},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 479, 165},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 481, 174},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 482, 164},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 483, 166},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 504, 177},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 303, 189},	// Akonadi::AgentManager::instance$
    {10, 305, 194},	// Akonadi::AgentManager::instanceAdded#
    {10, 307, 199},	// Akonadi::AgentManager::instanceError#$
    {10, 309, 198},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 311, 201},	// Akonadi::AgentManager::instanceOnline#$
    {10, 313, 197},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 315, 195},	// Akonadi::AgentManager::instanceRemoved#
    {10, 317, 196},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 319, 200},	// Akonadi::AgentManager::instanceWarning#$
    {10, 320, 188},	// Akonadi::AgentManager::instances
    {10, 348, 178},	// Akonadi::AgentManager::metaObject
    {10, 380, 184},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 382, 179},	// Akonadi::AgentManager::qt_metacast$
    {10, 393, 190},	// Akonadi::AgentManager::removeInstance#
    {10, 403, 185},	// Akonadi::AgentManager::self
    {10, 460, 204},	// Akonadi::AgentManager::staticMetaObject
    {10, 472, 191},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 477, 202},	// Akonadi::AgentManager::tr$
    {10, 478, 180},	// Akonadi::AgentManager::tr$$
    {10, 479, 182},	// Akonadi::AgentManager::tr$$$
    {10, 481, 203},	// Akonadi::AgentManager::trUtf8$
    {10, 482, 181},	// Akonadi::AgentManager::trUtf8$$
    {10, 483, 183},	// Akonadi::AgentManager::trUtf8$$$
    {10, 485, 187},	// Akonadi::AgentManager::type$
    {10, 487, 192},	// Akonadi::AgentManager::typeAdded#
    {10, 489, 193},	// Akonadi::AgentManager::typeRemoved#
    {10, 490, 186},	// Akonadi::AgentManager::types
    {10, 505, 205},	// Akonadi::AgentManager::~AgentManager
    {11, 17, 206},	// Akonadi::AgentType::AgentType
    {11, 18, 207},	// Akonadi::AgentType::AgentType#
    {11, 204, 215},	// Akonadi::AgentType::capabilities
    {11, 244, 211},	// Akonadi::AgentType::description
    {11, 290, 213},	// Akonadi::AgentType::icon
    {11, 291, 212},	// Akonadi::AgentType::iconName
    {11, 293, 209},	// Akonadi::AgentType::identifier
    {11, 323, 208},	// Akonadi::AgentType::isValid
    {11, 352, 214},	// Akonadi::AgentType::mimeTypes
    {11, 359, 210},	// Akonadi::AgentType::name
    {11, 365, 216},	// Akonadi::AgentType::operator=#
    {11, 367, 217},	// Akonadi::AgentType::operator==#
    {11, 506, 218},	// Akonadi::AgentType::~AgentType
    {12, 19, 232},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 20, 226},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 192, 228},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 196, 227},	// Akonadi::AgentTypeDialog::agentType
    {12, 255, 229},	// Akonadi::AgentTypeDialog::done$
    {12, 348, 219},	// Akonadi::AgentTypeDialog::metaObject
    {12, 380, 225},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 382, 220},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 460, 233},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 477, 230},	// Akonadi::AgentTypeDialog::tr$
    {12, 478, 221},	// Akonadi::AgentTypeDialog::tr$$
    {12, 479, 223},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 481, 231},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 482, 222},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 483, 224},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 507, 234},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 21, 251},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 22, 242},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 45, 261},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 52, 259},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 66, 258},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 74, 260},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 107, 257},	// Akonadi::AgentTypeModel::TypeRole
    {13, 112, 262},	// Akonadi::AgentTypeModel::UserRole
    {13, 223, 252},	// Akonadi::AgentTypeModel::columnCount
    {13, 224, 243},	// Akonadi::AgentTypeModel::columnCount#
    {13, 242, 254},	// Akonadi::AgentTypeModel::data#
    {13, 243, 245},	// Akonadi::AgentTypeModel::data#$
    {13, 275, 248},	// Akonadi::AgentTypeModel::flags#
    {13, 295, 255},	// Akonadi::AgentTypeModel::index$$
    {13, 296, 246},	// Akonadi::AgentTypeModel::index$$#
    {13, 348, 235},	// Akonadi::AgentTypeModel::metaObject
    {13, 372, 247},	// Akonadi::AgentTypeModel::parent#
    {13, 380, 241},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 382, 236},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 401, 253},	// Akonadi::AgentTypeModel::rowCount
    {13, 402, 244},	// Akonadi::AgentTypeModel::rowCount#
    {13, 460, 256},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 477, 249},	// Akonadi::AgentTypeModel::tr$
    {13, 478, 237},	// Akonadi::AgentTypeModel::tr$$
    {13, 479, 239},	// Akonadi::AgentTypeModel::tr$$$
    {13, 481, 250},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 482, 238},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 483, 240},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 508, 263},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 23, 278},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 24, 271},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 185, 275},	// Akonadi::AgentTypeWidget::activated
    {14, 192, 273},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 236, 272},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 238, 274},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 348, 264},	// Akonadi::AgentTypeWidget::metaObject
    {14, 380, 270},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 382, 265},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 460, 279},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 477, 276},	// Akonadi::AgentTypeWidget::tr$
    {14, 478, 266},	// Akonadi::AgentTypeWidget::tr$$
    {14, 479, 268},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 481, 277},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 482, 267},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 483, 269},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 509, 280},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 28, 285},	// Akonadi::Attribute::Attribute
    {15, 29, 286},	// Akonadi::Attribute::Attribute#
    {15, 212, 282},	// Akonadi::Attribute::clone
    {15, 246, 284},	// Akonadi::Attribute::deserialize#
    {15, 404, 283},	// Akonadi::Attribute::serialized
    {15, 484, 281},	// Akonadi::Attribute::type
    {15, 510, 287},	// Akonadi::Attribute::~Attribute
    {16, 30, 289},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 31, 290},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 234, 288},	// Akonadi::AttributeFactory::createAttribute#
    {16, 511, 291},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 34, 292},	// Akonadi::CachePolicy::CachePolicy
    {17, 35, 293},	// Akonadi::CachePolicy::CachePolicy#
    {17, 202, 298},	// Akonadi::CachePolicy::cacheTimeout
    {17, 297, 294},	// Akonadi::CachePolicy::inheritFromParent
    {17, 321, 300},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 342, 296},	// Akonadi::CachePolicy::localParts
    {17, 365, 304},	// Akonadi::CachePolicy::operator=#
    {17, 367, 305},	// Akonadi::CachePolicy::operator==#
    {17, 410, 299},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 420, 295},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 422, 301},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 427, 297},	// Akonadi::CachePolicy::setLocalParts?
    {17, 452, 303},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 469, 302},	// Akonadi::CachePolicy::syncOnDemand
    {17, 512, 306},	// Akonadi::CachePolicy::~CachePolicy
    {19, 25, 340},	// Akonadi::Collection::AllRights
    {19, 36, 335},	// Akonadi::Collection::CanChangeCollection
    {19, 37, 332},	// Akonadi::Collection::CanChangeItem
    {19, 38, 336},	// Akonadi::Collection::CanCreateCollection
    {19, 39, 333},	// Akonadi::Collection::CanCreateItem
    {19, 40, 337},	// Akonadi::Collection::CanDeleteCollection
    {19, 41, 334},	// Akonadi::Collection::CanDeleteItem
    {19, 42, 338},	// Akonadi::Collection::CanLinkItem
    {19, 43, 339},	// Akonadi::Collection::CanUnlinkItem
    {19, 47, 307},	// Akonadi::Collection::Collection
    {19, 48, 309},	// Akonadi::Collection::Collection#
    {19, 49, 308},	// Akonadi::Collection::Collection$
    {19, 98, 331},	// Akonadi::Collection::ReadOnly
    {19, 201, 326},	// Akonadi::Collection::cachePolicy
    {19, 231, 315},	// Akonadi::Collection::contentMimeTypes
    {19, 281, 310},	// Akonadi::Collection::fromUrl#
    {19, 351, 323},	// Akonadi::Collection::mimeType
    {19, 359, 311},	// Akonadi::Collection::name
    {19, 371, 317},	// Akonadi::Collection::parent
    {19, 374, 320},	// Akonadi::Collection::parentRemoteId
    {19, 396, 324},	// Akonadi::Collection::resource
    {19, 399, 313},	// Akonadi::Collection::rights
    {19, 400, 322},	// Akonadi::Collection::root
    {19, 408, 327},	// Akonadi::Collection::setCachePolicy#
    {19, 413, 316},	// Akonadi::Collection::setContentMimeTypes?
    {19, 429, 312},	// Akonadi::Collection::setName$
    {19, 435, 319},	// Akonadi::Collection::setParent#
    {19, 436, 318},	// Akonadi::Collection::setParent$
    {19, 440, 321},	// Akonadi::Collection::setParentRemoteId$
    {19, 445, 325},	// Akonadi::Collection::setResource$
    {19, 447, 314},	// Akonadi::Collection::setRights$
    {19, 450, 329},	// Akonadi::Collection::setStatistics#
    {19, 461, 328},	// Akonadi::Collection::statistics
    {19, 491, 330},	// Akonadi::Collection::url
    {19, 513, 341},	// Akonadi::Collection::~Collection
    {21, 2, 363},	// Akonadi::Entity::AddIfMissing
    {21, 59, -7},	// Akonadi::Entity::Entity#
    {21, 187, 353},	// Akonadi::Entity::addAttribute#
    {21, 198, 358},	// Akonadi::Entity::attribute#
    {21, 199, 356},	// Akonadi::Entity::attributes
    {21, 210, 357},	// Akonadi::Entity::clearAttributes
    {21, 240, -10},	// Akonadi::Entity::d_func
    {21, 283, 355},	// Akonadi::Entity::hasAttribute#
    {21, 292, 343},	// Akonadi::Entity::id
    {21, 323, 346},	// Akonadi::Entity::isValid
    {21, 363, 348},	// Akonadi::Entity::operator!=#
    {21, 365, 349},	// Akonadi::Entity::operator=#
    {21, 367, 347},	// Akonadi::Entity::operator==#
    {21, 373, -13},	// Akonadi::Entity::parentCollection
    {21, 388, 345},	// Akonadi::Entity::remoteId
    {21, 390, 354},	// Akonadi::Entity::removeAttribute#
    {21, 418, 342},	// Akonadi::Entity::setId$
    {21, 438, 352},	// Akonadi::Entity::setParentCollection#
    {21, 443, 344},	// Akonadi::Entity::setRemoteId$
    {21, 514, 364},	// Akonadi::Entity::~Entity
    {23, 61, -1},	// Akonadi::Exception::Exception#
    {23, 62, -4},	// Akonadi::Exception::Exception$
    {23, 484, 370},	// Akonadi::Exception::type
    {23, 494, 369},	// Akonadi::Exception::what
    {23, 515, 371},	// Akonadi::Exception::~Exception
    {25, 89, -16},	// Akonadi::PayloadException::PayloadException#
    {25, 90, -19},	// Akonadi::PayloadException::PayloadException$
    {25, 484, 375},	// Akonadi::PayloadException::type
    {25, 518, 377},	// Akonadi::PayloadException::~PayloadException
    {50, 92, 522},	// QGlobalSpace::QtCriticalMsg
    {50, 93, 520},	// QGlobalSpace::QtDebugMsg
    {50, 94, 523},	// QGlobalSpace::QtFatalMsg
    {50, 95, 524},	// QGlobalSpace::QtSystemMsg
    {50, 96, 521},	// QGlobalSpace::QtWarningMsg
    {50, 114, 460},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {50, 115, 461},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {50, 116, 468},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {50, 117, 469},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {50, 118, 470},	// QGlobalSpace::_CS_LFS64_LIBS
    {50, 119, 471},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {50, 120, 464},	// QGlobalSpace::_CS_LFS_CFLAGS
    {50, 121, 465},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {50, 122, 466},	// QGlobalSpace::_CS_LFS_LIBS
    {50, 123, 467},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {50, 124, 458},	// QGlobalSpace::_CS_PATH
    {50, 125, 488},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {50, 126, 489},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {50, 127, 490},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {50, 128, 491},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {50, 129, 492},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {50, 130, 493},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {50, 131, 494},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {50, 132, 495},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {50, 133, 496},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {50, 134, 497},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {50, 135, 498},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {50, 136, 499},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {50, 137, 500},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {50, 138, 501},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {50, 139, 502},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {50, 140, 503},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {50, 141, 504},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {50, 142, 505},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {50, 143, 506},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {50, 144, 507},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {50, 145, 508},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {50, 146, 509},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {50, 147, 510},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {50, 148, 511},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {50, 149, 512},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {50, 150, 513},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {50, 151, 514},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {50, 152, 515},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {50, 153, 516},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {50, 154, 517},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {50, 155, 518},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {50, 156, 519},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {50, 157, 462},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {50, 158, 459},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {50, 159, 463},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {50, 160, 472},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {50, 161, 473},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {50, 162, 474},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {50, 163, 475},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {50, 164, 476},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {50, 165, 477},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {50, 166, 478},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {50, 167, 479},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {50, 168, 480},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {50, 169, 481},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {50, 170, 482},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {50, 171, 483},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {50, 172, 484},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {50, 173, 485},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {50, 174, 486},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {50, 175, 487},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {50, 176, 527},	// QGlobalSpace::__codecvt_error
    {50, 177, 528},	// QGlobalSpace::__codecvt_noconv
    {50, 178, 525},	// QGlobalSpace::__codecvt_ok
    {50, 179, 526},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 75,
        __smokeakonadi::methods, 613,
        __smokeakonadi::methodMaps, 442,
        __smokeakonadi::methodNames, 518,
        __smokeakonadi::types, 224,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
