#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCharsets
      switch(to) {
        case 4: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 5:   //KCompletion
      switch(to) {
        case 5: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 6:   //KComponentData
      switch(to) {
        case 6: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 7:   //KConfig
      switch(to) {
        case 7: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KIcon
      switch(to) {
        case 9: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 10:   //KLocale
      switch(to) {
        case 10: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Factory
      switch(to) {
        case 20: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 92: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 11: return (void*)(KParts::Factory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::GUIActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::Part
      switch(to) {
        case 92: return (void*)(QObject*)(KParts::Part*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::Part*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartActivateEvent
      switch(to) {
        case 14: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartBase
      switch(to) {
        case 61: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 15: return (void*)(KParts::PartBase*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::PartManager
      switch(to) {
        case 16: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::PartSelectEvent
      switch(to) {
        case 17: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 18:   //KParts::ReadOnlyPart
      switch(to) {
        case 13: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 92: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 19:   //KParts::ReadWritePart
      switch(to) {
        case 18: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 92: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 19: return (void*)(KParts::ReadWritePart*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginFactory
      switch(to) {
        case 92: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 20: return (void*)(KPluginFactory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 23:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEditor::AnnotationModel
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::Attribute
      switch(to) {
        case 105: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 100: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 27: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 62: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 62: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::Command
      switch(to) {
        case 30: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CommandExtension
      switch(to) {
        case 31: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::CommandInterface
      switch(to) {
        case 32: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::ConfigInterface
      switch(to) {
        case 33: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::ConfigPage
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::ContainerInterface
      switch(to) {
        case 35: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::Cursor
      switch(to) {
        case 36: return (void*)(KTextEditor::Cursor*)xptr;
        case 49: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::Document
      switch(to) {
        case 19: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 37: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::Editor
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 38: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::EditorChooser
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::Factory
      switch(to) {
        case 11: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 20: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Mark
      switch(to) {
        case 41: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::MarkInterface
      switch(to) {
        case 42: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::MdiContainer
      switch(to) {
        case 43: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::ModificationInterface
      switch(to) {
        case 44: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::Plugin
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 45: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::Range
      switch(to) {
        case 46: return (void*)(KTextEditor::Range*)xptr;
        case 53: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::SearchInterface
      switch(to) {
        case 47: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 48: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::SmartCursor
      switch(to) {
        case 36: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 49: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 50: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 51: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::SmartInterface
      switch(to) {
        case 52: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::SmartRange
      switch(to) {
        case 46: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 53: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 54: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 55: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::TemplateInterface
      switch(to) {
        case 56: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::TextHintInterface
      switch(to) {
        case 57: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::VariableInterface
      switch(to) {
        case 58: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::View
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 59: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 60:   //KUrl
      switch(to) {
        case 60: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 61:   //KXMLGUIClient
      switch(to) {
        case 61: return (void*)(KXMLGUIClient*)xptr;
        case 37: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 59: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 62:   //QAbstractItemModel
      switch(to) {
        case 92: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 62: return (void*)(QAbstractItemModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 63:   //QAction
      switch(to) {
        case 63: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 64:   //QActionEvent
      switch(to) {
        case 64: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QBool
      switch(to) {
        case 65: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 66:   //QBrush
      switch(to) {
        case 66: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 67:   //QChar
      switch(to) {
        case 67: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 68:   //QChildEvent
      switch(to) {
        case 77: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 68: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QCloseEvent
      switch(to) {
        case 69: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QContextMenuEvent
      switch(to) {
        case 70: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QDomDocument
      switch(to) {
        case 71: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 72:   //QDomElement
      switch(to) {
        case 72: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 73:   //QDragEnterEvent
      switch(to) {
        case 73: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QDragLeaveEvent
      switch(to) {
        case 74: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QDragMoveEvent
      switch(to) {
        case 75: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QDropEvent
      switch(to) {
        case 76: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QEvent
      switch(to) {
        case 77: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QFocusEvent
      switch(to) {
        case 78: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QFont
      switch(to) {
        case 79: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 81:   //QHideEvent
      switch(to) {
        case 81: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QIncompatibleFlag
      switch(to) {
        case 82: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 83:   //QInputMethodEvent
      switch(to) {
        case 83: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QKeyEvent
      switch(to) {
        case 84: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QMenu
      switch(to) {
        case 85: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 86:   //QMetaObject
      switch(to) {
        case 86: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 87:   //QMimeData
      switch(to) {
        case 87: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 88:   //QModelIndex
      switch(to) {
        case 88: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 89:   //QMouseEvent
      switch(to) {
        case 89: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QMoveEvent
      switch(to) {
        case 90: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 91:   //QMutex
      switch(to) {
        case 91: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 92:   //QObject
      switch(to) {
        case 92: return (void*)(QObject*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 45: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 38: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 50: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 59: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 54: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 93:   //QPaintEngine
      switch(to) {
        case 93: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 94:   //QPaintEvent
      switch(to) {
        case 94: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QPalette
      switch(to) {
        case 95: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 96:   //QPixmap
      switch(to) {
        case 96: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 97:   //QPoint
      switch(to) {
        case 97: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 98:   //QRegExp
      switch(to) {
        case 98: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 99:   //QResizeEvent
      switch(to) {
        case 99: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QSharedData
      switch(to) {
        case 100: return (void*)(QSharedData*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 101:   //QShowEvent
      switch(to) {
        case 101: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QSize
      switch(to) {
        case 102: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 103:   //QStyle
      switch(to) {
        case 103: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 104:   //QTabletEvent
      switch(to) {
        case 104: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 105:   //QTextCharFormat
      switch(to) {
        case 105: return (void*)(QTextCharFormat*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 106:   //QTimerEvent
      switch(to) {
        case 77: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 106: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 107:   //QVariant
      switch(to) {
        case 107: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 108:   //QWheelEvent
      switch(to) {
        case 108: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 109:   //QWidget
      switch(to) {
        case 92: return (void*)(QObject*)(QWidget*)xptr;
        case 109: return (void*)(QWidget*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 59: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    92, 0,	// 1: QObject
    23, 0,	// 3: KTextEditor::AnnotationInterface
    105, 100, 0,	// 5: QTextCharFormat, QSharedData
    62, 0,	// 8: QAbstractItemModel
    28, 0,	// 10: KTextEditor::CodeCompletionModel
    109, 0,	// 12: QWidget
    19, 0,	// 14: KParts::ReadWritePart
    11, 0,	// 16: KParts::Factory
    36, 0,	// 18: KTextEditor::Cursor
    46, 0,	// 20: KTextEditor::Range
    109, 61, 0,	// 22: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextListFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFrameFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLength(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//4
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//5
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//6
    { "KConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KIcon", true, 0, 0, 0, 0, 0 },	//9
    { "KLocale", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//17
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//18
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//22
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//23
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//24
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//25
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//26
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//27
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//28
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//29
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//30
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//31
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//32
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//33
    { "KTextEditor::ConfigPage", false, 12, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//34
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//35
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//36
    { "KTextEditor::Document", false, 14, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//37
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//38
    { "KTextEditor::EditorChooser", false, 12, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//39
    { "KTextEditor::Factory", false, 16, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//40
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//41
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//42
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//43
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//44
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//45
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//46
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//47
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//48
    { "KTextEditor::SmartCursor", false, 18, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//49
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//50
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//51
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//52
    { "KTextEditor::SmartRange", false, 20, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//53
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//54
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//55
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//56
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//57
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//58
    { "KTextEditor::View", false, 22, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//59
    { "KUrl", true, 0, 0, 0, 0, 0 },	//60
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//61
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//62
    { "QAction", true, 0, 0, 0, 0, 0 },	//63
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QBool", true, 0, 0, 0, 0, 0 },	//65
    { "QBrush", true, 0, 0, 0, 0, 0 },	//66
    { "QChar", true, 0, 0, 0, 0, 0 },	//67
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//71
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//72
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QFont", true, 0, 0, 0, 0, 0 },	//79
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//80
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//82
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QMenu", true, 0, 0, 0, 0, 0 },	//85
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//86
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//87
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//88
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//90
    { "QMutex", true, 0, 0, 0, 0, 0 },	//91
    { "QObject", true, 0, 0, 0, 0, 0 },	//92
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//93
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QPalette", true, 0, 0, 0, 0, 0 },	//95
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//96
    { "QPoint", true, 0, 0, 0, 0, 0 },	//97
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//98
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//100
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QSize", true, 0, 0, 0, 0, 0 },	//102
    { "QStyle", true, 0, 0, 0, 0, 0 },	//103
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//104
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//105
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//106
    { "QVariant", true, 0, 0, 0, 0, 0 },	//107
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//108
    { "QWidget", true, 0, 0, 0, 0, 0 },	//109
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCompletion*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfig*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KIcon", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "KLocale*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::GUIActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::Part*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartActivateEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KParts::PartManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KParts::PartSelectEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KSycocaFactoryId", 80, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KSycocaType", 80, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KTextEditor::AnnotationInterface*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KTextEditor::AnnotationModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KTextEditor::AnnotationViewInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref },	//25
    { "KTextEditor::Attribute*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEditor::Attribute::ActivationType", 26, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KTextEditor::Attribute::CustomProperties", 26, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute::Effect", 26, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KTextEditor::Attribute::Effects", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "KTextEditor::CodeCompletionInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KTextEditor::CodeCompletionModel*", 28, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KTextEditor::CodeCompletionModel2*", 29, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KTextEditor::CodeCompletionModel::Columns", 28, Smoke::t_enum|Smoke::tf_stack },	//35
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 28, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 28, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModel::InvocationType", 28, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KTextEditor::Command*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KTextEditor::CommandExtension*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KTextEditor::CommandInterface*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KTextEditor::ConfigInterface*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KTextEditor::ConfigPage*", 34, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::ContainerInterface*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::Cursor", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "KTextEditor::Cursor&", 36, Smoke::t_class|Smoke::tf_ref },	//49
    { "KTextEditor::Cursor*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::Document*", 37, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KTextEditor::Editor*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KTextEditor::EditorChooser*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KTextEditor::Factory*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KTextEditor::Mark", 41, Smoke::t_class|Smoke::tf_stack },	//55
    { "KTextEditor::Mark*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KTextEditor::MarkInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KTextEditor::MarkInterface::MarkChangeAction", 42, Smoke::t_enum|Smoke::tf_stack },	//58
    { "KTextEditor::MarkInterface::MarkTypes", 42, Smoke::t_enum|Smoke::tf_stack },	//59
    { "KTextEditor::MdiContainer*", 43, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::ModificationInterface*", 44, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 44, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KTextEditor::Plugin*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KTextEditor::Range", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "KTextEditor::Range&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "KTextEditor::Range*", 46, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KTextEditor::Search::SearchOptions", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "KTextEditor::SearchInterface*", 47, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KTextEditor::SessionConfigInterface*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KTextEditor::SmartCursor&", 49, Smoke::t_class|Smoke::tf_ref },	//72
    { "KTextEditor::SmartCursor*", 49, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KTextEditor::SmartCursor::AdvanceMode", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "KTextEditor::SmartCursor::InsertBehavior", 49, Smoke::t_enum|Smoke::tf_stack },	//75
    { "KTextEditor::SmartCursorNotifier*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "KTextEditor::SmartCursorWatcher*", 51, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KTextEditor::SmartInterface*", 52, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KTextEditor::SmartRange&", 53, Smoke::t_class|Smoke::tf_ref },	//79
    { "KTextEditor::SmartRange*", 53, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KTextEditor::SmartRange::InsertBehavior", 53, Smoke::t_enum|Smoke::tf_stack },	//81
    { "KTextEditor::SmartRange::InsertBehaviors", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "KTextEditor::SmartRangeNotifier*", 54, Smoke::t_class|Smoke::tf_ptr },	//84
    { "KTextEditor::SmartRangeWatcher*", 55, Smoke::t_class|Smoke::tf_ptr },	//85
    { "KTextEditor::TemplateInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KTextEditor::TextHintInterface*", 57, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KTextEditor::VariableInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::View*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KTextEditor::View::EditMode", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KXMLGUIClient::ReverseStateChange", 61, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QAction*", 63, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QActionEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QBool", 65, Smoke::t_class|Smoke::tf_stack },	//94
    { "QBrush", 66, Smoke::t_class|Smoke::tf_stack },	//95
    { "QChar", 67, Smoke::t_class|Smoke::tf_stack },	//96
    { "QChildEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QCloseEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QContextMenuEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QDomDocument", 71, Smoke::t_class|Smoke::tf_stack },	//100
    { "QDragEnterEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QDragLeaveEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QDragMoveEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QDropEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QFocusEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QHideEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QIncompatibleFlag", 82, Smoke::t_class|Smoke::tf_stack },	//113
    { "QInputMethodEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QKeyEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QMenu*", 85, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QMetaObject::Call", 86, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QMimeData*", 87, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QModelIndex", 88, Smoke::t_class|Smoke::tf_stack },	//124
    { "QMouseEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QMoveEvent*", 90, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QMutex*", 91, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QObject*", 92, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QPaintEngine*", 93, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QPaintEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QPixmap", 96, Smoke::t_class|Smoke::tf_stack },	//132
    { "QPoint", 97, Smoke::t_class|Smoke::tf_stack },	//133
    { "QRegExp&", 98, Smoke::t_class|Smoke::tf_ref },	//134
    { "QResizeEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QShowEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QSize", 102, Smoke::t_class|Smoke::tf_stack },	//137
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//138
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//140
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//141
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//142
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//143
    { "QStyle&", 103, Smoke::t_class|Smoke::tf_ref },	//144
    { "QTabletEvent*", 104, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QTimerEvent*", 106, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QVariant", 107, Smoke::t_class|Smoke::tf_stack },	//147
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QWheelEvent*", 108, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QWidget*", 109, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//173
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//188
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//195
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtMsgType", 80, Smoke::t_enum|Smoke::tf_stack },	//225
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "__codecvt_result", 80, Smoke::t_enum|Smoke::tf_stack },	//227
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//228
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const KComponentData&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const KTextEditor::AnnotationInterface&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const KTextEditor::AnnotationViewInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const KTextEditor::CodeCompletionInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const KTextEditor::Command&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const KTextEditor::CommandExtension&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const KTextEditor::CommandInterface&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const KTextEditor::ConfigInterface&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const KTextEditor::ContainerInterface&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const KTextEditor::Cursor&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const KTextEditor::Mark&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const KTextEditor::MarkInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const KTextEditor::MdiContainer&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const KTextEditor::ModificationInterface&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const KTextEditor::Range&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const KTextEditor::Search::SearchOptions", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const KTextEditor::SearchInterface&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const KTextEditor::SessionConfigInterface&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const KTextEditor::SmartCursor&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const KTextEditor::SmartCursorWatcher&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const KTextEditor::SmartInterface&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const KTextEditor::SmartRange&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const KTextEditor::SmartRange*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const KTextEditor::SmartRangeWatcher&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const KTextEditor::TemplateInterface&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KTextEditor::TextHintInterface&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const KTextEditor::VariableInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const KUrl&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QBrush&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomDocument&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomElement&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QFont&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//267
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//269
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QMetaObject&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QMetaObject*", 86, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "const QMimeData*", 87, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const QModelIndex&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QObject*", 92, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const QPalette&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QPixmap&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QPoint&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QRegExp&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const QVariant&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//290
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//292
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//293
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//294
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//296
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//297
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    150, 128, 289, 286, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    128, 289, 286, 0,	//6  QObject*, const char*, const QStringList&
    150, 0,	//10  QWidget*
    14, 0,	//12  KParts::PartManager*
    150, 283, 0,	//14  QWidget*, const QPoint&
    228, 0,	//17  bool
    105, 0,	//19  QEvent*
    13, 0,	//21  KParts::PartActivateEvent*
    15, 0,	//23  KParts::PartSelectEvent*
    230, 0,	//25  const KComponentData&
    230, 228, 0,	//27  const KComponentData&, bool
    259, 0,	//30  const KUrl&
    11, 0,	//32  KParts::GUIActivateEvent*
    289, 150, 128, 273, 285, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    40, 108, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    83, 83, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    40, 292, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    31, 31, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    36, 107, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    83, 292, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    83, 110, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    31, 106, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    36, 36, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    31, 292, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    289, 0,	//70  const char*
    16, 128, 0,	//72  KSharedPtr<KService>, QObject*
    36, 292, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    40, 40, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    23, 0,	//81  KTextEditor::AnnotationModel*
    232, 0,	//83  const KTextEditor::AnnotationInterface&
    289, 289, 0,	//85  const char*, const char*
    289, 289, 292, 0,	//88  const char*, const char*, int
    122, 292, 297, 0,	//92  QMetaObject::Call, int, void**
    292, 186, 0,	//96  int, Qt::ItemDataRole
    292, 0,	//99  int
    89, 121, 292, 0,	//101  KTextEditor::View*, QMenu*, int
    89, 292, 0,	//105  KTextEditor::View*, int
    89, 228, 0,	//108  KTextEditor::View*, bool
    233, 0,	//111  const KTextEditor::AnnotationViewInterface&
    234, 0,	//113  const KTextEditor::Attribute&
    260, 0,	//115  const QBrush&
    27, 0,	//117  KTextEditor::Attribute::ActivationType
    27, 18, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    30, 0,	//122  KTextEditor::Attribute::Effects
    246, 33, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    33, 0,	//127  KTextEditor::CodeCompletionModel*
    235, 0,	//129  const KTextEditor::CodeCompletionInterface&
    128, 0,	//131  QObject*
    89, 246, 41, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    51, 246, 292, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    279, 0,	//141  const QModelIndex&
    292, 292, 279, 0,	//143  int, int, const QModelIndex&
    33, 228, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    292, 292, 0,	//150  int, int
    51, 246, 279, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    89, 285, 140, 0,	//157  KTextEditor::View*, const QString&, QString&
    236, 0,	//161  const KTextEditor::Command&
    142, 0,	//163  QStringList&
    89, 285, 0,	//165  KTextEditor::View*, const QString&
    285, 0,	//168  const QString&
    237, 0,	//170  const KTextEditor::CommandExtension&
    42, 0,	//172  KTextEditor::Command*
    238, 0,	//174  const KTextEditor::CommandInterface&
    285, 288, 0,	//176  const QString&, const QVariant&
    239, 0,	//179  const KTextEditor::ConfigInterface&
    240, 0,	//181  const KTextEditor::ContainerInterface&
    241, 0,	//183  const KTextEditor::Cursor&
    293, 293, 0,	//185  int&, int&
    66, 0,	//188  KTextEditor::Range*
    51, 89, 0,	//190  KTextEditor::Document*, KTextEditor::View*
    51, 0,	//193  KTextEditor::Document*
    51, 228, 0,	//195  KTextEditor::Document*, bool
    246, 228, 0,	//198  const KTextEditor::Range&, bool
    286, 0,	//201  const QStringList&
    241, 285, 228, 0,	//203  const KTextEditor::Cursor&, const QString&, bool
    241, 286, 228, 0,	//207  const KTextEditor::Cursor&, const QStringList&, bool
    246, 285, 228, 0,	//211  const KTextEditor::Range&, const QString&, bool
    246, 286, 228, 0,	//215  const KTextEditor::Range&, const QStringList&, bool
    292, 285, 0,	//219  int, const QString&
    292, 286, 0,	//222  int, const QStringList&
    51, 246, 0,	//225  KTextEditor::Document*, const KTextEditor::Range&
    51, 246, 246, 0,	//228  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    246, 0,	//232  const KTextEditor::Range&
    241, 285, 0,	//234  const KTextEditor::Cursor&, const QString&
    241, 286, 0,	//237  const KTextEditor::Cursor&, const QStringList&
    246, 285, 0,	//240  const KTextEditor::Range&, const QString&
    246, 286, 0,	//243  const KTextEditor::Range&, const QStringList&
    6, 0,	//246  KConfig*
    292, 150, 0,	//248  int, QWidget*
    52, 51, 0,	//251  KTextEditor::Editor*, KTextEditor::Document*
    285, 228, 0,	//254  const QString&, bool
    242, 0,	//257  const KTextEditor::Mark&
    295, 0,	//259  unsigned int
    292, 295, 0,	//261  int, unsigned int
    59, 282, 0,	//264  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    59, 0,	//267  KTextEditor::MarkInterface::MarkTypes
    59, 285, 0,	//269  KTextEditor::MarkInterface::MarkTypes, const QString&
    51, 55, 58, 0,	//272  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    243, 0,	//276  const KTextEditor::MarkInterface&
    89, 0,	//278  KTextEditor::View*
    244, 0,	//280  const KTextEditor::MdiContainer&
    62, 0,	//282  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    51, 228, 62, 0,	//284  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    245, 0,	//288  const KTextEditor::ModificationInterface&
    241, 241, 0,	//290  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    241, 292, 0,	//293  const KTextEditor::Cursor&, int
    241, 292, 292, 0,	//296  const KTextEditor::Cursor&, int, int
    292, 292, 292, 292, 0,	//300  int, int, int, int
    50, 50, 0,	//305  KTextEditor::Cursor*, KTextEditor::Cursor*
    50, 246, 0,	//308  KTextEditor::Cursor*, const KTextEditor::Range&
    50, 0,	//311  KTextEditor::Cursor*
    246, 285, 247, 0,	//313  const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions
    248, 0,	//317  const KTextEditor::SearchInterface&
    231, 0,	//319  const KConfigGroup&
    7, 0,	//321  KConfigGroup&
    249, 0,	//323  const KTextEditor::SessionConfigInterface&
    286, 228, 0,	//325  const QStringList&, bool
    292, 74, 0,	//328  int, KTextEditor::SmartCursor::AdvanceMode
    75, 0,	//331  KTextEditor::SmartCursor::InsertBehavior
    77, 0,	//333  KTextEditor::SmartCursorWatcher*
    250, 0,	//335  const KTextEditor::SmartCursor&
    241, 51, 75, 0,	//337  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    73, 0,	//341  KTextEditor::SmartCursor*
    73, 228, 0,	//343  KTextEditor::SmartCursor*, bool
    251, 0,	//346  const KTextEditor::SmartCursorWatcher&
    241, 75, 0,	//348  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    246, 82, 0,	//351  const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors
    292, 292, 75, 0,	//354  int, int, KTextEditor::SmartCursor::InsertBehavior
    246, 80, 82, 0,	//358  const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    241, 241, 80, 82, 0,	//362  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    292, 292, 292, 292, 80, 82, 0,	//367  int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    73, 73, 80, 82, 0,	//374  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    80, 0,	//379  KTextEditor::SmartRange*
    80, 228, 0,	//381  KTextEditor::SmartRange*, bool
    89, 80, 228, 0,	//384  KTextEditor::View*, KTextEditor::SmartRange*, bool
    89, 80, 0,	//388  KTextEditor::View*, KTextEditor::SmartRange*
    18, 0,	//391  KSharedPtr<KTextEditor::Attribute>
    252, 0,	//393  const KTextEditor::SmartInterface&
    246, 80, 0,	//395  const KTextEditor::Range&, KTextEditor::SmartRange*
    241, 241, 80, 0,	//398  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    292, 292, 292, 292, 80, 0,	//402  int, int, int, int, KTextEditor::SmartRange*
    73, 73, 0,	//408  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    73, 73, 80, 0,	//411  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    82, 0,	//415  KTextEditor::SmartRange::InsertBehaviors
    254, 0,	//417  const KTextEditor::SmartRange*
    241, 138, 138, 0,	//419  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//423  KAction*
    84, 0,	//425  KTextEditor::SmartRangeNotifier*
    85, 0,	//427  KTextEditor::SmartRangeWatcher*
    253, 0,	//429  const KTextEditor::SmartRange&
    241, 138, 0,	//431  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    80, 80, 0,	//434  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    80, 89, 0,	//437  KTextEditor::SmartRange*, KTextEditor::View*
    80, 80, 80, 0,	//440  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    80, 18, 18, 0,	//444  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    255, 0,	//448  const KTextEditor::SmartRangeWatcher&
    119, 150, 0,	//450  QMap<QString,QString>&, QWidget*
    241, 285, 274, 0,	//453  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    256, 0,	//457  const KTextEditor::TemplateInterface&
    241, 140, 0,	//459  const KTextEditor::Cursor&, QString&
    257, 0,	//462  const KTextEditor::TextHintInterface&
    51, 285, 285, 0,	//464  KTextEditor::Document*, const QString&, const QString&
    258, 0,	//468  const KTextEditor::VariableInterface&
    89, 90, 0,	//470  KTextEditor::View*, KTextEditor::View::EditMode
    89, 241, 285, 0,	//473  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    121, 0,	//477  QMenu*
    89, 121, 0,	//479  KTextEditor::View*, QMenu*
    48, 0,	//482  KTextEditor::Cursor
    89, 241, 0,	//484  KTextEditor::View*, const KTextEditor::Cursor&
    241, 292, 228, 0,	//487  const KTextEditor::Cursor&, int, bool
    262, 0,	//491  const QDomElement&
    285, 228, 228, 0,	//493  const QString&, bool, bool
    261, 228, 0,	//497  const QDomDocument&, bool
    285, 91, 0,	//500  const QString&, KXMLGUIClient::ReverseStateChange
    292, 296, 0,	//503  int, void*
    279, 292, 0,	//506  const QModelIndex&, int
    279, 288, 292, 0,	//509  const QModelIndex&, const QVariant&, int
    292, 199, 292, 0,	//513  int, Qt::Orientation, int
    292, 199, 288, 292, 0,	//517  int, Qt::Orientation, const QVariant&, int
    279, 275, 0,	//522  const QModelIndex&, const QMap<int,QVariant>&
    272, 0,	//525  const QList<QModelIndex>&
    278, 172, 292, 292, 279, 0,	//527  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    292, 207, 0,	//533  int, Qt::SortOrder
    279, 292, 288, 292, 195, 0,	//536  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    128, 105, 0,	//542  QObject*, QEvent*
    146, 0,	//545  QTimerEvent*
    97, 0,	//547  QChildEvent*
    125, 0,	//549  QMouseEvent*
    149, 0,	//551  QWheelEvent*
    115, 0,	//553  QKeyEvent*
    111, 0,	//555  QFocusEvent*
    131, 0,	//557  QPaintEvent*
    126, 0,	//559  QMoveEvent*
    135, 0,	//561  QResizeEvent*
    98, 0,	//563  QCloseEvent*
    99, 0,	//565  QContextMenuEvent*
    145, 0,	//567  QTabletEvent*
    93, 0,	//569  QActionEvent*
    101, 0,	//571  QDragEnterEvent*
    103, 0,	//573  QDragMoveEvent*
    102, 0,	//575  QDragLeaveEvent*
    104, 0,	//577  QDropEvent*
    136, 0,	//579  QShowEvent*
    112, 0,	//581  QHideEvent*
    226, 0,	//583  _XEvent*
    129, 0,	//585  QPaintDevice::PaintDeviceMetric
    114, 0,	//587  QInputMethodEvent*
    185, 0,	//589  Qt::InputMethodQuery
    144, 0,	//591  QStyle&
    281, 0,	//593  const QPalette&
    263, 0,	//595  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeDynamicEffect",	//15
    "AttributeInternalProperty",	//16
    "AttributeUserProperty",	//17
    "AutomaticInvocation",	//18
    "BackgroundFillWhitespace",	//19
    "BestMatchesCount",	//20
    "Bookmark",	//21
    "BreakpointActive",	//22
    "BreakpointDisabled",	//23
    "BreakpointReached",	//24
    "ByCharacter",	//25
    "ByCursorPosition",	//26
    "Class",	//27
    "CodeCompletionInterface",	//28
    "CodeCompletionInterface#",	//29
    "CodeCompletionModel",	//30
    "CodeCompletionModel#",	//31
    "CodeCompletionModel2",	//32
    "CodeCompletionModel2#",	//33
    "ColumnCount",	//34
    "Command",	//35
    "Command#",	//36
    "CommandExtension",	//37
    "CommandExtension#",	//38
    "CommandInterface",	//39
    "CommandInterface#",	//40
    "CompletionRole",	//41
    "ConfigInterface",	//42
    "ConfigInterface#",	//43
    "ConfigPage",	//44
    "ConfigPage#",	//45
    "Const",	//46
    "ContainerInterface",	//47
    "ContainerInterface#",	//48
    "Cursor",	//49
    "Cursor#",	//50
    "Cursor$$",	//51
    "CustomHighlight",	//52
    "CustomHighlighting",	//53
    "DoNotExpand",	//54
    "DoNotLoadPlugins",	//55
    "Document",	//56
    "Document#",	//57
    "DrawChildren",	//58
    "DrawWindowBackground",	//59
    "EditInsert",	//60
    "EditOverwrite",	//61
    "Editor",	//62
    "Editor#",	//63
    "EditorChooser",	//64
    "EditorChooser#",	//65
    "EffectCycleGradient",	//66
    "EffectFadeIn",	//67
    "EffectFadeOut",	//68
    "EffectNone",	//69
    "EffectPulse",	//70
    "Enum",	//71
    "Error",	//72
    "Execution",	//73
    "ExpandLeft",	//74
    "ExpandRight",	//75
    "ExpandingWidget",	//76
    "Factory",	//77
    "Factory#",	//78
    "FirstProperty",	//79
    "Friend",	//80
    "Function",	//81
    "GlobalScope",	//82
    "GroupRole",	//83
    "HighlightingMethod",	//84
    "Icon",	//85
    "IgnoreMask",	//86
    "InheritanceDepth",	//87
    "Inline",	//88
    "InternalHighlighting",	//89
    "IsExpandable",	//90
    "ItemSelected",	//91
    "KST_CTimeInfo",	//92
    "KST_KCustom",	//93
    "KST_KDEDesktopMimeType",	//94
    "KST_KFolderMimeType",	//95
    "KST_KImageIO",	//96
    "KST_KImageIOFormat",	//97
    "KST_KMimeType",	//98
    "KST_KMimeTypeFactory",	//99
    "KST_KProtocolInfo",	//100
    "KST_KProtocolInfoFactory",	//101
    "KST_KService",	//102
    "KST_KServiceFactory",	//103
    "KST_KServiceGroup",	//104
    "KST_KServiceGroupFactory",	//105
    "KST_KServiceSeparator",	//106
    "KST_KServiceType",	//107
    "KST_KServiceTypeFactory",	//108
    "KST_KSycocaEntry",	//109
    "LastItemDataRole",	//110
    "LastProperty",	//111
    "LoadPlugins",	//112
    "LoadPluginsIfEnabled",	//113
    "LocalScope",	//114
    "ManualInvocation",	//115
    "Mark",	//116
    "Mark#",	//117
    "MarkAdded",	//118
    "MarkInterface",	//119
    "MarkInterface#",	//120
    "MarkRemoved",	//121
    "MatchQuality",	//122
    "MdiContainer",	//123
    "MdiContainer#",	//124
    "ModificationInterface",	//125
    "ModificationInterface#",	//126
    "MoveOnInsert",	//127
    "Name",	//128
    "Namespace",	//129
    "NamespaceScope",	//130
    "NoHighlighting",	//131
    "NoProperty",	//132
    "OnDiskCreated",	//133
    "OnDiskDeleted",	//134
    "OnDiskModified",	//135
    "OnDiskUnmodified",	//136
    "Outline",	//137
    "Override",	//138
    "Plugin",	//139
    "Plugin#",	//140
    "Postfix",	//141
    "Prefix",	//142
    "Private",	//143
    "Protected",	//144
    "Public",	//145
    "Q_COMPLEX_TYPE",	//146
    "Q_DUMMY_TYPE",	//147
    "Q_MOVABLE_TYPE",	//148
    "Q_PRIMITIVE_TYPE",	//149
    "Q_STATIC_TYPE",	//150
    "QtCriticalMsg",	//151
    "QtDebugMsg",	//152
    "QtFatalMsg",	//153
    "QtSystemMsg",	//154
    "QtWarningMsg",	//155
    "Range",	//156
    "Range#",	//157
    "Range##",	//158
    "Range#$",	//159
    "Range#$$",	//160
    "Range$$$$",	//161
    "Scope",	//162
    "ScopeIndex",	//163
    "SearchInterface",	//164
    "SearchInterface#",	//165
    "SelectedBackground",	//166
    "SelectedForeground",	//167
    "SessionConfigInterface",	//168
    "SessionConfigInterface#",	//169
    "SetMatchContext",	//170
    "Signal",	//171
    "Slot",	//172
    "SmartCursor",	//173
    "SmartCursor##$",	//174
    "SmartCursorNotifier",	//175
    "SmartCursorWatcher",	//176
    "SmartCursorWatcher#",	//177
    "SmartInterface",	//178
    "SmartInterface#",	//179
    "SmartRange",	//180
    "SmartRange##",	//181
    "SmartRange###",	//182
    "SmartRange###$",	//183
    "SmartRangeNotifier",	//184
    "SmartRangeWatcher",	//185
    "SmartRangeWatcher#",	//186
    "StateNoReverse",	//187
    "StateReverse",	//188
    "Static",	//189
    "StayOnInsert",	//190
    "Struct",	//191
    "Template",	//192
    "TemplateInterface",	//193
    "TemplateInterface#",	//194
    "TextHintInterface",	//195
    "TextHintInterface#",	//196
    "TypeAlias",	//197
    "Union",	//198
    "UserInvocation",	//199
    "Variable",	//200
    "VariableInterface",	//201
    "VariableInterface#",	//202
    "View",	//203
    "View#",	//204
    "Virtual",	//205
    "Warning",	//206
    "__codecvt_error",	//207
    "__codecvt_noconv",	//208
    "__codecvt_ok",	//209
    "__codecvt_partial",	//210
    "abortCompletion",	//211
    "aboutData",	//212
    "aboutToClose",	//213
    "aboutToClose#",	//214
    "aboutToReload",	//215
    "aboutToReload#",	//216
    "action",	//217
    "actionCollection",	//218
    "actionEvent",	//219
    "activeView",	//220
    "addActionsToDocument",	//221
    "addActionsToDocument#",	//222
    "addActionsToView",	//223
    "addActionsToView##",	//224
    "addDocument",	//225
    "addDocument#",	//226
    "addHighlightToDocument",	//227
    "addHighlightToDocument#",	//228
    "addHighlightToDocument#$",	//229
    "addHighlightToView",	//230
    "addHighlightToView##",	//231
    "addHighlightToView##$",	//232
    "addMark",	//233
    "addMark$$",	//234
    "addNotifier",	//235
    "addNotifier#",	//236
    "addView",	//237
    "addView#",	//238
    "addWatcher",	//239
    "addWatcher#",	//240
    "advance",	//241
    "advance$",	//242
    "advance$$",	//243
    "annotationActivated",	//244
    "annotationActivated#$",	//245
    "annotationBorderVisibilityChanged",	//246
    "annotationBorderVisibilityChanged#$",	//247
    "annotationContextMenuAboutToShow",	//248
    "annotationContextMenuAboutToShow##$",	//249
    "annotationModel",	//250
    "apply",	//251
    "associateAction",	//252
    "associateAction#",	//253
    "associatedActions",	//254
    "atEndOfDocument",	//255
    "atEndOfLine",	//256
    "atStartOfDocument",	//257
    "atStartOfLine",	//258
    "attribute",	//259
    "attributeDynamic",	//260
    "attributeDynamic?",	//261
    "attributeNotDynamic",	//262
    "attributeNotDynamic?",	//263
    "backgroundFillWhitespace",	//264
    "blockSelection",	//265
    "boundaryAtCursor",	//266
    "boundaryAtCursor#",	//267
    "boundaryOnLine",	//268
    "boundaryOnLine$",	//269
    "buddy",	//270
    "canFetchMore",	//271
    "caretEnteredRange",	//272
    "caretEnteredRange##",	//273
    "caretExitedRange",	//274
    "caretExitedRange##",	//275
    "changeEvent",	//276
    "changed",	//277
    "character",	//278
    "character#",	//279
    "characterDeleted",	//280
    "characterDeleted#$",	//281
    "characterInserted",	//282
    "characterInserted#$",	//283
    "checkFeedback",	//284
    "childAfter",	//285
    "childAfter#",	//286
    "childBefore",	//287
    "childBefore#",	//288
    "childEvent",	//289
    "childRangeInserted",	//290
    "childRangeInserted##",	//291
    "childRangeRemoved",	//292
    "childRangeRemoved##",	//293
    "childRanges",	//294
    "clear",	//295
    "clearAndDeleteChildRanges",	//296
    "clearAssociatedActions",	//297
    "clearChildRanges",	//298
    "clearDocumentActions",	//299
    "clearDocumentHighlights",	//300
    "clearMark",	//301
    "clearMark$",	//302
    "clearMarks",	//303
    "clearOnDocumentReload",	//304
    "clearRevision",	//305
    "clearSmartInterface",	//306
    "clearViewActions",	//307
    "clearViewActions#",	//308
    "clearViewHighlights",	//309
    "clearViewHighlights#",	//310
    "closeDocument",	//311
    "closeDocument#",	//312
    "closeEvent",	//313
    "closeUrl",	//314
    "closeView",	//315
    "closeView#",	//316
    "cmds",	//317
    "column",	//318
    "columnCount",	//319
    "columnCount#",	//320
    "columnWidth",	//321
    "commandList",	//322
    "commands",	//323
    "completionInvoked",	//324
    "completionInvoked##$",	//325
    "completionObject",	//326
    "completionObject#$",	//327
    "componentData",	//328
    "configDialog",	//329
    "configDialog#",	//330
    "configDialogSupported",	//331
    "configKeys",	//332
    "configPage",	//333
    "configPage$#",	//334
    "configPageFullName",	//335
    "configPageFullName$",	//336
    "configPageIcon",	//337
    "configPageIcon$",	//338
    "configPageName",	//339
    "configPageName$",	//340
    "configPages",	//341
    "configValue",	//342
    "configValue$",	//343
    "confineToRange",	//344
    "confineToRange#",	//345
    "connectNotify",	//346
    "container",	//347
    "contains",	//348
    "contains#",	//349
    "containsColumn",	//350
    "containsColumn$",	//351
    "containsLine",	//352
    "containsLine$",	//353
    "contextMenu",	//354
    "contextMenuAboutToShow",	//355
    "contextMenuAboutToShow##",	//356
    "contextMenuEvent",	//357
    "create",	//358
    "createDocument",	//359
    "createDocument#",	//360
    "createNotifier",	//361
    "createObject",	//362
    "createPartObject",	//363
    "createPlugin",	//364
    "createPlugin?#",	//365
    "createView",	//366
    "createView#",	//367
    "currentRevision",	//368
    "cursorChangedDirectly",	//369
    "cursorChangedDirectly#",	//370
    "cursorInText",	//371
    "cursorInText#",	//372
    "cursorPosition",	//373
    "cursorPositionChanged",	//374
    "cursorPositionChanged##",	//375
    "cursorPositionCoordinates",	//376
    "cursorPositionVirtual",	//377
    "cursorToCoordinate",	//378
    "cursorToCoordinate#",	//379
    "customEvent",	//380
    "data",	//381
    "data$$",	//382
    "deepestRangeContaining",	//383
    "deepestRangeContaining#",	//384
    "deepestRangeContaining#?",	//385
    "deepestRangeContaining#??",	//386
    "deepestRangesContaining",	//387
    "deepestRangesContaining#",	//388
    "defaultContextMenu",	//389
    "defaultContextMenu#",	//390
    "defaults",	//391
    "deleteChildRanges",	//392
    "deleteCursors",	//393
    "deleteNotifier",	//394
    "deletePrimaryNotifier",	//395
    "deleteRanges",	//396
    "deleted",	//397
    "deleted#",	//398
    "depth",	//399
    "devType",	//400
    "disableTextHints",	//401
    "disconnectNotify",	//402
    "dissociateAction",	//403
    "dissociateAction#",	//404
    "document",	//405
    "documentActions",	//406
    "documentCreated",	//407
    "documentCreated##",	//408
    "documentEnd",	//409
    "documentHighlights",	//410
    "documentName",	//411
    "documentNameChanged",	//412
    "documentNameChanged#",	//413
    "documentRange",	//414
    "documentReload",	//415
    "documentSave",	//416
    "documentSaveAs",	//417
    "documentSavedOrUploaded",	//418
    "documentSavedOrUploaded#$",	//419
    "documentUrlChanged",	//420
    "documentUrlChanged#",	//421
    "documents",	//422
    "domDocument",	//423
    "dragEnterEvent",	//424
    "dragLeaveEvent",	//425
    "dragMoveEvent",	//426
    "dropEvent",	//427
    "dropMimeData",	//428
    "dynamicAttribute",	//429
    "dynamicAttribute$",	//430
    "editableMarks",	//431
    "editor",	//432
    "editor$",	//433
    "editor$$",	//434
    "effects",	//435
    "embed",	//436
    "enableTextHints",	//437
    "enableTextHints$",	//438
    "enabledChange",	//439
    "encoding",	//440
    "encompass",	//441
    "encompass#",	//442
    "end",	//443
    "endEditing",	//444
    "endOfLine",	//445
    "endOfLine$",	//446
    "enterEvent",	//447
    "event",	//448
    "eventFilter",	//449
    "exec",	//450
    "exec#$$",	//451
    "executeCompletionItem",	//452
    "executeCompletionItem##$",	//453
    "executeCompletionItem2",	//454
    "executeCompletionItem2###",	//455
    "expandMacros",	//456
    "expandMacros?#",	//457
    "expandToRange",	//458
    "expandToRange#",	//459
    "fetchMore",	//460
    "firstRangeContaining",	//461
    "firstRangeContaining#",	//462
    "flagCompletions",	//463
    "flagCompletions?",	//464
    "flags",	//465
    "focusIn",	//466
    "focusIn#",	//467
    "focusInEvent",	//468
    "focusNextPrevChild",	//469
    "focusOut",	//470
    "focusOut#",	//471
    "focusOutEvent",	//472
    "fontBold",	//473
    "fontChange",	//474
    "forceCompletion",	//475
    "guiActivateEvent",	//476
    "hasAnyProperty",	//477
    "hasChildren",	//478
    "hasGroups",	//479
    "hasGroupsChanged",	//480
    "hasGroupsChanged#$",	//481
    "hasNotifier",	//482
    "hasParent",	//483
    "hasParent#",	//484
    "headerData",	//485
    "heightForWidth",	//486
    "help",	//487
    "help#$$",	//488
    "hideEvent",	//489
    "highlightingMode",	//490
    "highlightingModeChanged",	//491
    "highlightingModeChanged#",	//492
    "highlightingModeSection",	//493
    "highlightingModeSection$",	//494
    "highlightingModes",	//495
    "hitTest",	//496
    "horizontalScrollPositionChanged",	//497
    "horizontalScrollPositionChanged#",	//498
    "index",	//499
    "index$$",	//500
    "index$$#",	//501
    "informationMessage",	//502
    "informationMessage#$",	//503
    "inputMethodEvent",	//504
    "inputMethodQuery",	//505
    "insertBehavior",	//506
    "insertColumns",	//507
    "insertLine",	//508
    "insertLine$$",	//509
    "insertLines",	//510
    "insertLines$?",	//511
    "insertRows",	//512
    "insertTemplateText",	//513
    "insertTemplateText#$?",	//514
    "insertTemplateTextImplementation",	//515
    "insertTemplateTextImplementation#$?",	//516
    "insertText",	//517
    "insertText#$",	//518
    "insertText#$$",	//519
    "insertText#?",	//520
    "insertText#?$",	//521
    "insertText$",	//522
    "insertText?",	//523
    "insertText?$",	//524
    "intersect",	//525
    "intersect#",	//526
    "invalid",	//527
    "isActiveView",	//528
    "isAnnotationBorderVisible",	//529
    "isAutomaticInvocationEnabled",	//530
    "isCompletionActive",	//531
    "isEmpty",	//532
    "isSmartCursor",	//533
    "isSmartRange",	//534
    "isValid",	//535
    "itemData",	//536
    "itemData#",	//537
    "keyPressEvent",	//538
    "keyReleaseEvent",	//539
    "languageChange",	//540
    "leaveEvent",	//541
    "line",	//542
    "line$",	//543
    "lineChanged",	//544
    "lineChanged$",	//545
    "lineLength",	//546
    "lineLength$",	//547
    "lines",	//548
    "localXMLFile",	//549
    "m_column",	//550
    "m_end",	//551
    "m_line",	//552
    "m_range",	//553
    "m_start",	//554
    "mark",	//555
    "mark$",	//556
    "markChanged",	//557
    "markChanged##$",	//558
    "markDescription",	//559
    "markDescription$",	//560
    "markPixmap",	//561
    "markPixmap$",	//562
    "markType01",	//563
    "markType02",	//564
    "markType03",	//565
    "markType04",	//566
    "markType05",	//567
    "markType06",	//568
    "markType07",	//569
    "markType08",	//570
    "markType09",	//571
    "markType10",	//572
    "markType11",	//573
    "markType12",	//574
    "markType13",	//575
    "markType14",	//576
    "markType15",	//577
    "markType16",	//578
    "markType17",	//579
    "markType18",	//580
    "markType19",	//581
    "markType20",	//582
    "markType21",	//583
    "markType22",	//584
    "markType23",	//585
    "markType24",	//586
    "markType25",	//587
    "markType26",	//588
    "markType27",	//589
    "markType28",	//590
    "markType29",	//591
    "markType30",	//592
    "markType31",	//593
    "markType32",	//594
    "marks",	//595
    "marksChanged",	//596
    "marksChanged#",	//597
    "match",	//598
    "metaObject",	//599
    "metric",	//600
    "mimeData",	//601
    "mimeType",	//602
    "mimeTypes",	//603
    "minimumSizeHint",	//604
    "mode",	//605
    "modeChanged",	//606
    "modeChanged#",	//607
    "modeSection",	//608
    "modeSection$",	//609
    "modes",	//610
    "modifiedChanged",	//611
    "modifiedChanged#",	//612
    "modifiedOnDisk",	//613
    "modifiedOnDisk#$$",	//614
    "mostSpecificRange",	//615
    "mostSpecificRange#",	//616
    "mouseDoubleClickEvent",	//617
    "mouseEnteredRange",	//618
    "mouseEnteredRange##",	//619
    "mouseExitedRange",	//620
    "mouseExitedRange##",	//621
    "mouseMoveEvent",	//622
    "mousePositionChanged",	//623
    "mousePositionChanged##",	//624
    "mousePressEvent",	//625
    "mouseReleaseEvent",	//626
    "mouseTrackingEnabled",	//627
    "moveEvent",	//628
    "needTextHint",	//629
    "needTextHint#$",	//630
    "newSmartCursor",	//631
    "newSmartCursor#",	//632
    "newSmartCursor#$",	//633
    "newSmartCursor$$",	//634
    "newSmartCursor$$$",	//635
    "newSmartRange",	//636
    "newSmartRange#",	//637
    "newSmartRange##",	//638
    "newSmartRange###",	//639
    "newSmartRange###$",	//640
    "newSmartRange##$",	//641
    "newSmartRange$$$$",	//642
    "newSmartRange$$$$#",	//643
    "newSmartRange$$$$#$",	//644
    "notifier",	//645
    "notifiers",	//646
    "numberOfLines",	//647
    "onSingleLine",	//648
    "openFile",	//649
    "openUrl",	//650
    "openingError",	//651
    "openingErrorMessage",	//652
    "operator+=",	//653
    "operator+=#",	//654
    "operator=",	//655
    "operator=#",	//656
    "operator|",	//657
    "operator|?$",	//658
    "operator|??",	//659
    "outline",	//660
    "overlapCount",	//661
    "overlaps",	//662
    "overlaps#",	//663
    "overlapsColumn",	//664
    "overlapsColumn$",	//665
    "overlapsLine",	//666
    "overlapsLine$",	//667
    "paintEngine",	//668
    "paintEvent",	//669
    "paletteChange",	//670
    "parent",	//671
    "parent#",	//672
    "parentRange",	//673
    "parentRangeChanged",	//674
    "parentRangeChanged###",	//675
    "partActivateEvent",	//676
    "partComponentData",	//677
    "partSelectEvent",	//678
    "position",	//679
    "position$$",	//680
    "positionChanged",	//681
    "positionChanged#",	//682
    "positionDeleted",	//683
    "positionDeleted#",	//684
    "positionRelativeToCursor",	//685
    "positionRelativeToCursor#",	//686
    "positionRelativeToLine",	//687
    "positionRelativeToLine$",	//688
    "primaryNotifier",	//689
    "processText",	//690
    "processText#$",	//691
    "qt_metacall",	//692
    "qt_metacall$$?",	//693
    "qt_metacast",	//694
    "qt_metacast$",	//695
    "queryClose",	//696
    "queryCommand",	//697
    "queryCommand$",	//698
    "range",	//699
    "rangeAttributeChanged",	//700
    "rangeAttributeChanged#??",	//701
    "rangeChanged",	//702
    "rangeChanged##",	//703
    "rangeContentsChanged",	//704
    "rangeContentsChanged#",	//705
    "rangeContentsChanged##",	//706
    "rangeDeleted",	//707
    "rangeDeleted#",	//708
    "rangeEliminated",	//709
    "rangeEliminated#",	//710
    "rangePositionChanged",	//711
    "rangePositionChanged#",	//712
    "readAppSetting",	//713
    "readAppSetting$",	//714
    "readConfig",	//715
    "readConfig#",	//716
    "readSessionConfig",	//717
    "readSessionConfig#",	//718
    "rebuildChildStructure",	//719
    "registerCommand",	//720
    "registerCommand#",	//721
    "registerCompletionModel",	//722
    "registerCompletionModel#",	//723
    "releaseRevision",	//724
    "releaseRevision$",	//725
    "removeActionsFromDocument",	//726
    "removeActionsFromDocument#",	//727
    "removeActionsFromView",	//728
    "removeActionsFromView##",	//729
    "removeColumns",	//730
    "removeDocument",	//731
    "removeDocument#",	//732
    "removeHighlightFromDocument",	//733
    "removeHighlightFromDocument#",	//734
    "removeHighlightFromView",	//735
    "removeHighlightFromView##",	//736
    "removeLine",	//737
    "removeLine$",	//738
    "removeMark",	//739
    "removeMark$$",	//740
    "removeNotifier",	//741
    "removeNotifier#",	//742
    "removeRows",	//743
    "removeSelection",	//744
    "removeSelectionText",	//745
    "removeText",	//746
    "removeText#",	//747
    "removeText#$",	//748
    "removeText$",	//749
    "removeView",	//750
    "removeView#",	//751
    "removeWatcher",	//752
    "removeWatcher#",	//753
    "replaceText",	//754
    "replaceText#$",	//755
    "replaceText#$$",	//756
    "replaceText#?",	//757
    "replaceText#?$",	//758
    "replaceText?",	//759
    "replaceText?$",	//760
    "reservedMarkersCount",	//761
    "reset",	//762
    "resizeEvent",	//763
    "revert",	//764
    "rowCount",	//765
    "rowCount#",	//766
    "save",	//767
    "saveAs",	//768
    "saveFile",	//769
    "saveToUrl",	//770
    "searchText",	//771
    "searchText#$",	//772
    "searchText#$$",	//773
    "selectedBackground",	//774
    "selectedForeground",	//775
    "selection",	//776
    "selectionChanged",	//777
    "selectionChanged#",	//778
    "selectionRange",	//779
    "selectionText",	//780
    "setActiveView",	//781
    "setActiveView#",	//782
    "setAnnotationBorderVisible",	//783
    "setAnnotationBorderVisible$",	//784
    "setAnnotationModel",	//785
    "setAnnotationModel#",	//786
    "setAttribute",	//787
    "setAttribute?",	//788
    "setAutomaticInvocationEnabled",	//789
    "setAutomaticInvocationEnabled$",	//790
    "setBackgroundFillWhitespace",	//791
    "setBackgroundFillWhitespace$",	//792
    "setBlockSelection",	//793
    "setBlockSelection$",	//794
    "setBothColumns",	//795
    "setBothColumns$",	//796
    "setBothLines",	//797
    "setBothLines$",	//798
    "setClearOnDocumentReload",	//799
    "setClearOnDocumentReload$",	//800
    "setColumn",	//801
    "setColumn$",	//802
    "setComponentData",	//803
    "setConfigValue",	//804
    "setConfigValue$#",	//805
    "setContainer",	//806
    "setContainer#",	//807
    "setContextMenu",	//808
    "setContextMenu#",	//809
    "setCursorPosition",	//810
    "setCursorPosition#",	//811
    "setDOMDocument",	//812
    "setData",	//813
    "setDynamicAttribute",	//814
    "setDynamicAttribute$?",	//815
    "setEditableMarks",	//816
    "setEditableMarks$",	//817
    "setEffects",	//818
    "setEffects$",	//819
    "setEncoding",	//820
    "setEncoding$",	//821
    "setFontBold",	//822
    "setFontBold$",	//823
    "setHasGroups",	//824
    "setHasGroups$",	//825
    "setHeaderData",	//826
    "setHighlightingMode",	//827
    "setHighlightingMode$",	//828
    "setInsertBehavior",	//829
    "setInsertBehavior$",	//830
    "setItemData",	//831
    "setLine",	//832
    "setLine$",	//833
    "setLocalXMLFile",	//834
    "setM_column",	//835
    "setM_column$",	//836
    "setM_end",	//837
    "setM_end#",	//838
    "setM_line",	//839
    "setM_line$",	//840
    "setM_range",	//841
    "setM_range#",	//842
    "setM_start",	//843
    "setM_start#",	//844
    "setManager",	//845
    "setMark",	//846
    "setMark$$",	//847
    "setMarkDescription",	//848
    "setMarkDescription$$",	//849
    "setMarkPixmap",	//850
    "setMarkPixmap$#",	//851
    "setMode",	//852
    "setMode$",	//853
    "setModified",	//854
    "setModifiedOnDisk",	//855
    "setModifiedOnDisk$",	//856
    "setModifiedOnDiskWarning",	//857
    "setModifiedOnDiskWarning$",	//858
    "setMouseTrackingEnabled",	//859
    "setMouseTrackingEnabled$",	//860
    "setOpeningError",	//861
    "setOpeningError$",	//862
    "setOpeningErrorMessage",	//863
    "setOpeningErrorMessage$",	//864
    "setOutline",	//865
    "setOutline#",	//866
    "setParentRange",	//867
    "setParentRange#",	//868
    "setPosition",	//869
    "setPosition#",	//870
    "setPosition$$",	//871
    "setRange",	//872
    "setRange#",	//873
    "setRange##",	//874
    "setReadWrite",	//875
    "setRowCount",	//876
    "setRowCount$",	//877
    "setSelectable",	//878
    "setSelectedBackground",	//879
    "setSelectedBackground#",	//880
    "setSelectedForeground",	//881
    "setSelectedForeground#",	//882
    "setSelection",	//883
    "setSelection#",	//884
    "setSelection#$",	//885
    "setSelection#$$",	//886
    "setSimpleMode",	//887
    "setSimpleMode$",	//888
    "setSuppressOpeningErrorDialogs",	//889
    "setSuppressOpeningErrorDialogs$",	//890
    "setText",	//891
    "setText$",	//892
    "setText?",	//893
    "setType",	//894
    "setType$",	//895
    "setVisible",	//896
    "setWantsDirectChanges",	//897
    "setWantsDirectChanges$",	//898
    "setWatcher",	//899
    "setWatcher#",	//900
    "setWidget",	//901
    "setXML",	//902
    "setXMLFile",	//903
    "setupTranslations",	//904
    "showEvent",	//905
    "simpleMode",	//906
    "sizeHint",	//907
    "slotModifiedOnDisk",	//908
    "slotModifiedOnDisk#",	//909
    "smartEnd",	//910
    "smartMutex",	//911
    "smartRange",	//912
    "smartStart",	//913
    "sort",	//914
    "span",	//915
    "start",	//916
    "startCompletion",	//917
    "startCompletion##",	//918
    "startEditing",	//919
    "stateChanged",	//920
    "staticMetaObject",	//921
    "styleChange",	//922
    "submit",	//923
    "supportedDropActions",	//924
    "supportedSearchOptions",	//925
    "suppressOpeningErrorDialogs",	//926
    "tabletEvent",	//927
    "text",	//928
    "text#",	//929
    "text#$",	//930
    "text$",	//931
    "textChanged",	//932
    "textChanged#",	//933
    "textChanged###",	//934
    "textInserted",	//935
    "textInserted##",	//936
    "textInserted##$",	//937
    "textLines",	//938
    "textLines#",	//939
    "textLines#$",	//940
    "textRemoved",	//941
    "textRemoved##",	//942
    "timerEvent",	//943
    "toSmartCursor",	//944
    "toSmartRange",	//945
    "topParentRange",	//946
    "totalCharacters",	//947
    "tr",	//948
    "tr$",	//949
    "tr$$",	//950
    "tr$$$",	//951
    "trUtf8",	//952
    "trUtf8$",	//953
    "trUtf8$$",	//954
    "trUtf8$$$",	//955
    "translateFromRevision",	//956
    "translateFromRevision#",	//957
    "translateFromRevision#$",	//958
    "type",	//959
    "unbindSmartRange",	//960
    "unbindSmartRange#",	//961
    "unregisterCommand",	//962
    "unregisterCommand#",	//963
    "unregisterCompletionModel",	//964
    "unregisterCompletionModel#",	//965
    "useRevision",	//966
    "useRevision$",	//967
    "variable",	//968
    "variable$",	//969
    "variableChanged",	//970
    "variableChanged#$$",	//971
    "verticalScrollPositionChanged",	//972
    "verticalScrollPositionChanged##",	//973
    "viewActions",	//974
    "viewActions#",	//975
    "viewCreated",	//976
    "viewCreated##",	//977
    "viewEditMode",	//978
    "viewEditModeChanged",	//979
    "viewEditModeChanged#$",	//980
    "viewHighlights",	//981
    "viewHighlights#",	//982
    "viewMode",	//983
    "viewModeChanged",	//984
    "viewModeChanged#",	//985
    "views",	//986
    "virtual_hook",	//987
    "waitForReset",	//988
    "wantsDirectChanges",	//989
    "wantsToProcessText",	//990
    "wantsToProcessText$",	//991
    "watcher",	//992
    "watchers",	//993
    "wheelEvent",	//994
    "widget",	//995
    "windowActivationChange",	//996
    "writeAppSetting",	//997
    "writeAppSetting$",	//998
    "writeConfig",	//999
    "writeConfig#",	//1000
    "writeSessionConfig",	//1001
    "writeSessionConfig#",	//1002
    "x11Event",	//1003
    "xmlFile",	//1004
    "~AnnotationInterface",	//1005
    "~AnnotationModel",	//1006
    "~AnnotationViewInterface",	//1007
    "~Attribute",	//1008
    "~CodeCompletionInterface",	//1009
    "~CodeCompletionModel",	//1010
    "~CodeCompletionModel2",	//1011
    "~Command",	//1012
    "~CommandExtension",	//1013
    "~CommandInterface",	//1014
    "~ConfigInterface",	//1015
    "~ConfigPage",	//1016
    "~ContainerInterface",	//1017
    "~Cursor",	//1018
    "~Document",	//1019
    "~Editor",	//1020
    "~EditorChooser",	//1021
    "~Factory",	//1022
    "~Mark",	//1023
    "~MarkInterface",	//1024
    "~MdiContainer",	//1025
    "~ModificationInterface",	//1026
    "~Plugin",	//1027
    "~Range",	//1028
    "~SearchInterface",	//1029
    "~SessionConfigInterface",	//1030
    "~SmartCursor",	//1031
    "~SmartCursorNotifier",	//1032
    "~SmartCursorWatcher",	//1033
    "~SmartInterface",	//1034
    "~SmartRange",	//1035
    "~SmartRangeNotifier",	//1036
    "~SmartRangeWatcher",	//1037
    "~TemplateInterface",	//1038
    "~TextHintInterface",	//1039
    "~VariableInterface",	//1040
    "~View",	//1041
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 677, 0, 0, Smoke::mf_virtual, 5, 0},	//1 KParts::Factory::partComponentData()
    {11, 363, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {11, 362, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 128, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {13, 436, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {13, 995, 0, 0, Smoke::mf_virtual, 150, 0},	//5 KParts::Part::widget()
    {13, 845, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {13, 496, 14, 2, Smoke::mf_virtual, 12, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {13, 878, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {13, 901, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {13, 380, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {13, 676, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {13, 678, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {15, 803, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {15, 803, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 3},	//15 KParts::PartBase::DoNotLoadPlugins (enum)
    {15, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 4},	//16 KParts::PartBase::LoadPlugins (enum)
    {15, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 5},	//17 KParts::PartBase::LoadPluginsIfEnabled (enum)
    {18, 650, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 228, 0},	//18 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {18, 649, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 0},	//19 KParts::ReadOnlyPart::openFile() [pure virtual]
    {18, 476, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {19, 875, 17, 1, Smoke::mf_virtual, 0, 0},	//21 KParts::ReadWritePart::setReadWrite(bool)
    {19, 696, 0, 0, Smoke::mf_virtual, 228, 0},	//22 KParts::ReadWritePart::queryClose()
    {19, 314, 0, 0, Smoke::mf_virtual, 228, 0},	//23 KParts::ReadWritePart::closeUrl()
    {19, 314, 17, 1, Smoke::mf_virtual, 228, 0},	//24 KParts::ReadWritePart::closeUrl(bool)
    {19, 768, 30, 1, Smoke::mf_virtual, 228, 0},	//25 KParts::ReadWritePart::saveAs(const KUrl&)
    {19, 854, 17, 1, Smoke::mf_virtual, 0, 0},	//26 KParts::ReadWritePart::setModified(bool)
    {19, 767, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 228, 0},	//27 KParts::ReadWritePart::save()
    {19, 769, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 0},	//28 KParts::ReadWritePart::saveFile() [pure virtual]
    {19, 770, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//29 KParts::ReadWritePart::saveToUrl()
    {20, 904, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 KPluginFactory::setupTranslations()
    {20, 358, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 128, 0},	//31 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {22, 657, 40, 2, Smoke::mf_static, 108, 1},	//32 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {22, 657, 43, 2, Smoke::mf_static, 110, 2},	//33 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {22, 657, 46, 2, Smoke::mf_static, 113, 3},	//34 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {22, 657, 49, 2, Smoke::mf_static, 106, 4},	//35 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {22, 657, 52, 2, Smoke::mf_static, 107, 5},	//36 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {22, 657, 55, 2, Smoke::mf_static, 113, 6},	//37 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {22, 657, 58, 2, Smoke::mf_static, 110, 7},	//38 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {22, 657, 61, 2, Smoke::mf_static, 106, 8},	//39 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {22, 657, 64, 2, Smoke::mf_static, 107, 9},	//40 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {22, 657, 67, 2, Smoke::mf_static, 113, 10},	//41 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {22, 432, 70, 1, Smoke::mf_static, 52, 11},	//42 KTextEditor::editor(const char*)
    {22, 364, 72, 2, Smoke::mf_static, 63, 12},	//43 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {22, 657, 75, 2, Smoke::mf_static, 113, 13},	//44 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {22, 657, 78, 2, Smoke::mf_static, 108, 14},	//45 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {23, 785, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//46 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {23, 250, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//47 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {23, 6, 0, 0, Smoke::mf_ctor, 22, 3},	//48 KTextEditor::AnnotationInterface::AnnotationInterface()
    {23, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 4},	//49 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {23, 1005, 0, 0, Smoke::mf_dtor, 0, 5 },	//50 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {24, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//51 KTextEditor::AnnotationModel::metaObject() const
    {24, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//52 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {24, 948, 85, 2, Smoke::mf_static, 139, 3},	//53 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {24, 952, 85, 2, Smoke::mf_static, 139, 4},	//54 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {24, 948, 88, 3, Smoke::mf_static, 139, 5},	//55 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {24, 952, 88, 3, Smoke::mf_static, 139, 6},	//56 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {24, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//57 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 381, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 8},	//58 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {24, 762, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//59 KTextEditor::AnnotationModel::reset()
    {24, 544, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//60 KTextEditor::AnnotationModel::lineChanged(int)
    {24, 8, 0, 0, Smoke::mf_ctor, 23, 11},	//61 KTextEditor::AnnotationModel::AnnotationModel()
    {24, 948, 70, 1, Smoke::mf_static, 139, 12},	//62 KTextEditor::AnnotationModel::tr(const char*)
    {24, 952, 70, 1, Smoke::mf_static, 139, 13},	//63 KTextEditor::AnnotationModel::trUtf8(const char*)
    {24, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 14},	//64 KTextEditor::AnnotationModel::staticMetaObject() const
    {24, 1006, 0, 0, Smoke::mf_dtor, 0, 15 },	//65 KTextEditor::AnnotationModel::~AnnotationModel()
    {25, 783, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//66 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {25, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 2},	//67 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {25, 248, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//68 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {25, 244, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//69 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {25, 246, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//70 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {25, 9, 0, 0, Smoke::mf_ctor, 24, 6},	//71 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {25, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 7},	//72 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {25, 1007, 0, 0, Smoke::mf_dtor, 0, 8 },	//73 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {26, 13, 0, 0, Smoke::mf_ctor, 26, 1},	//74 KTextEditor::Attribute::Attribute()
    {26, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//75 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {26, 473, 0, 0, Smoke::mf_const, 228, 3},	//76 KTextEditor::Attribute::fontBold() const
    {26, 822, 17, 1, 0, 0, 4},	//77 KTextEditor::Attribute::setFontBold(bool)
    {26, 660, 0, 0, Smoke::mf_const, 95, 5},	//78 KTextEditor::Attribute::outline() const
    {26, 865, 115, 1, 0, 0, 6},	//79 KTextEditor::Attribute::setOutline(const QBrush&)
    {26, 775, 0, 0, Smoke::mf_const, 95, 7},	//80 KTextEditor::Attribute::selectedForeground() const
    {26, 881, 115, 1, 0, 0, 8},	//81 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {26, 774, 0, 0, Smoke::mf_const, 95, 9},	//82 KTextEditor::Attribute::selectedBackground() const
    {26, 879, 115, 1, 0, 0, 10},	//83 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {26, 264, 0, 0, Smoke::mf_const, 228, 11},	//84 KTextEditor::Attribute::backgroundFillWhitespace() const
    {26, 791, 17, 1, 0, 0, 12},	//85 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {26, 295, 0, 0, 0, 0, 13},	//86 KTextEditor::Attribute::clear()
    {26, 477, 0, 0, Smoke::mf_const, 228, 14},	//87 KTextEditor::Attribute::hasAnyProperty() const
    {26, 254, 0, 0, Smoke::mf_const, 265, 15},	//88 KTextEditor::Attribute::associatedActions() const
    {26, 297, 0, 0, 0, 0, 16},	//89 KTextEditor::Attribute::clearAssociatedActions()
    {26, 429, 117, 1, Smoke::mf_const, 18, 17},	//90 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {26, 814, 119, 2, 0, 0, 18},	//91 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {26, 435, 0, 0, Smoke::mf_const, 30, 19},	//92 KTextEditor::Attribute::effects() const
    {26, 818, 122, 1, 0, 0, 20},	//93 KTextEditor::Attribute::setEffects(KTextEditor::Attribute::Effects)
    {26, 653, 113, 1, 0, 25, 21},	//94 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {26, 655, 113, 1, 0, 25, 22},	//95 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {26, 822, 0, 0, 0, 0, 23},	//96 KTextEditor::Attribute::setFontBold()
    {26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 24},	//97 KTextEditor::Attribute::Outline (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 25},	//98 KTextEditor::Attribute::SelectedForeground (enum)
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 26},	//99 KTextEditor::Attribute::SelectedBackground (enum)
    {26, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 27},	//100 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 28},	//101 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 29},	//102 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 30},	//103 KTextEditor::Attribute::AttributeUserProperty (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 31},	//104 KTextEditor::Attribute::ActivateMouseIn (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 32},	//105 KTextEditor::Attribute::ActivateCaretIn (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 33},	//106 KTextEditor::Attribute::EffectNone (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 34},	//107 KTextEditor::Attribute::EffectFadeIn (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 35},	//108 KTextEditor::Attribute::EffectFadeOut (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 36},	//109 KTextEditor::Attribute::EffectPulse (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 37},	//110 KTextEditor::Attribute::EffectCycleGradient (enum)
    {26, 1008, 0, 0, Smoke::mf_dtor, 0, 38 },	//111 KTextEditor::Attribute::~Attribute()
    {27, 531, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 1},	//112 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {27, 917, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//113 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 211, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//114 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {27, 475, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//115 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {27, 722, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//116 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 964, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//117 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 530, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 7},	//118 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {27, 789, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {27, 28, 0, 0, Smoke::mf_ctor, 32, 9},	//120 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {27, 28, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 10},	//121 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {27, 789, 0, 0, Smoke::mf_purevirtual, 0, 11},	//122 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled() [pure virtual]
    {27, 1009, 0, 0, Smoke::mf_dtor, 0, 12 },	//123 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {28, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//124 KTextEditor::CodeCompletionModel::metaObject() const
    {28, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//125 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {28, 948, 85, 2, Smoke::mf_static, 139, 3},	//126 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {28, 952, 85, 2, Smoke::mf_static, 139, 4},	//127 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {28, 948, 88, 3, Smoke::mf_static, 139, 5},	//128 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {28, 952, 88, 3, Smoke::mf_static, 139, 6},	//129 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {28, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//130 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {28, 30, 131, 1, Smoke::mf_ctor, 33, 8},	//131 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {28, 876, 99, 1, 0, 0, 9},	//132 KTextEditor::CodeCompletionModel::setRowCount(int)
    {28, 324, 133, 3, Smoke::mf_virtual, 0, 10},	//133 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {28, 452, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//134 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {28, 319, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 292, 12},	//135 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {28, 499, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 124, 13},	//136 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {28, 536, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 120, 14},	//137 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {28, 671, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 124, 15},	//138 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {28, 765, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 292, 16},	//139 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {28, 479, 0, 0, Smoke::mf_const, 228, 17},	//140 KTextEditor::CodeCompletionModel::hasGroups() const
    {28, 988, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//141 KTextEditor::CodeCompletionModel::waitForReset()
    {28, 480, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//142 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {28, 824, 17, 1, Smoke::mf_protected, 0, 20},	//143 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {28, 948, 70, 1, Smoke::mf_static, 139, 21},	//144 KTextEditor::CodeCompletionModel::tr(const char*)
    {28, 952, 70, 1, Smoke::mf_static, 139, 22},	//145 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {28, 319, 0, 0, Smoke::mf_const, 292, 23},	//146 KTextEditor::CodeCompletionModel::columnCount() const
    {28, 499, 150, 2, Smoke::mf_const, 124, 24},	//147 KTextEditor::CodeCompletionModel::index(int, int) const
    {28, 765, 0, 0, Smoke::mf_const, 292, 25},	//148 KTextEditor::CodeCompletionModel::rowCount() const
    {28, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 26},	//149 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {28, 34, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 290, 27},	//150 KTextEditor::CodeCompletionModel::ColumnCount() const
    {28, 110, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 290, 28},	//151 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {28, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 29},	//152 KTextEditor::CodeCompletionModel::Prefix (enum)
    {28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 30},	//153 KTextEditor::CodeCompletionModel::Icon (enum)
    {28, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//154 KTextEditor::CodeCompletionModel::Scope (enum)
    {28, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//155 KTextEditor::CodeCompletionModel::Name (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//156 KTextEditor::CodeCompletionModel::Arguments (enum)
    {28, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//157 KTextEditor::CodeCompletionModel::Postfix (enum)
    {28, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//158 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {28, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 36},	//159 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {28, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 37},	//160 KTextEditor::CodeCompletionModel::Public (enum)
    {28, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 38},	//161 KTextEditor::CodeCompletionModel::Protected (enum)
    {28, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 39},	//162 KTextEditor::CodeCompletionModel::Private (enum)
    {28, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 40},	//163 KTextEditor::CodeCompletionModel::Static (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 41},	//164 KTextEditor::CodeCompletionModel::Const (enum)
    {28, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 42},	//165 KTextEditor::CodeCompletionModel::Namespace (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 43},	//166 KTextEditor::CodeCompletionModel::Class (enum)
    {28, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 44},	//167 KTextEditor::CodeCompletionModel::Struct (enum)
    {28, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 45},	//168 KTextEditor::CodeCompletionModel::Union (enum)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 46},	//169 KTextEditor::CodeCompletionModel::Function (enum)
    {28, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 47},	//170 KTextEditor::CodeCompletionModel::Variable (enum)
    {28, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 48},	//171 KTextEditor::CodeCompletionModel::Enum (enum)
    {28, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 49},	//172 KTextEditor::CodeCompletionModel::Template (enum)
    {28, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 50},	//173 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {28, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 51},	//174 KTextEditor::CodeCompletionModel::Virtual (enum)
    {28, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 52},	//175 KTextEditor::CodeCompletionModel::Override (enum)
    {28, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 53},	//176 KTextEditor::CodeCompletionModel::Inline (enum)
    {28, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 54},	//177 KTextEditor::CodeCompletionModel::Friend (enum)
    {28, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 55},	//178 KTextEditor::CodeCompletionModel::Signal (enum)
    {28, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 56},	//179 KTextEditor::CodeCompletionModel::Slot (enum)
    {28, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 57},	//180 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {28, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 58},	//181 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {28, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 59},	//182 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {28, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 60},	//183 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {28, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 61},	//184 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {28, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 62},	//185 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {28, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 63},	//186 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {28, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 64},	//187 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {28, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 65},	//188 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {28, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 66},	//189 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {28, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 67},	//190 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 68},	//191 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {28, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 69},	//192 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {28, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 70},	//193 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {28, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 71},	//194 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {28, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 72},	//195 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {28, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 73},	//196 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 74},	//197 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 75},	//198 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {28, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 76},	//199 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 77},	//200 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {28, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 78},	//201 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {28, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 79},	//202 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 80},	//203 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {28, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 81},	//204 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {28, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 82},	//205 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {28, 1010, 0, 0, Smoke::mf_dtor, 0, 83 },	//206 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {29, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//207 KTextEditor::CodeCompletionModel2::metaObject() const
    {29, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//208 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {29, 948, 85, 2, Smoke::mf_static, 139, 3},	//209 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {29, 952, 85, 2, Smoke::mf_static, 139, 4},	//210 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {29, 948, 88, 3, Smoke::mf_static, 139, 5},	//211 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {29, 952, 88, 3, Smoke::mf_static, 139, 6},	//212 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {29, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//213 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {29, 32, 131, 1, Smoke::mf_ctor, 34, 8},	//214 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {29, 454, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//215 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {29, 948, 70, 1, Smoke::mf_static, 139, 10},	//216 KTextEditor::CodeCompletionModel2::tr(const char*)
    {29, 952, 70, 1, Smoke::mf_static, 139, 11},	//217 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {29, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 12},	//218 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {29, 1011, 0, 0, Smoke::mf_dtor, 0, 13 },	//219 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {30, 317, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 286, 1},	//220 KTextEditor::Command::cmds() [pure virtual]
    {30, 450, 157, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 2},	//221 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 487, 157, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 3},	//222 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 35, 0, 0, Smoke::mf_ctor, 42, 4},	//223 KTextEditor::Command::Command()
    {30, 35, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 5},	//224 KTextEditor::Command::Command(const KTextEditor::Command&)
    {30, 1012, 0, 0, Smoke::mf_dtor, 0, 6 },	//225 KTextEditor::Command::~Command()
    {31, 463, 163, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//226 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {31, 326, 165, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 2},	//227 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {31, 990, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 3},	//228 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {31, 690, 165, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//229 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {31, 37, 0, 0, Smoke::mf_ctor, 43, 5},	//230 KTextEditor::CommandExtension::CommandExtension()
    {31, 37, 170, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 6},	//231 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {31, 1013, 0, 0, Smoke::mf_dtor, 0, 7 },	//232 KTextEditor::CommandExtension::~CommandExtension()
    {32, 720, 172, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 1},	//233 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {32, 962, 172, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 2},	//234 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {32, 697, 168, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 42, 3},	//235 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {32, 323, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 116, 4},	//236 KTextEditor::CommandInterface::commands() const [pure virtual]
    {32, 322, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 5},	//237 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {32, 39, 0, 0, Smoke::mf_ctor, 44, 6},	//238 KTextEditor::CommandInterface::CommandInterface()
    {32, 39, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 7},	//239 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {32, 1014, 0, 0, Smoke::mf_dtor, 0, 8 },	//240 KTextEditor::CommandInterface::~CommandInterface()
    {33, 42, 0, 0, Smoke::mf_ctor, 45, 1},	//241 KTextEditor::ConfigInterface::ConfigInterface()
    {33, 332, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 2},	//242 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {33, 342, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 3},	//243 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {33, 804, 176, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//244 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {33, 42, 179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 5},	//245 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {33, 1015, 0, 0, Smoke::mf_dtor, 0, 6 },	//246 KTextEditor::ConfigInterface::~ConfigInterface()
    {34, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//247 KTextEditor::ConfigPage::metaObject() const
    {34, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//248 KTextEditor::ConfigPage::qt_metacast(const char*)
    {34, 948, 85, 2, Smoke::mf_static, 139, 3},	//249 KTextEditor::ConfigPage::tr(const char*, const char*)
    {34, 952, 85, 2, Smoke::mf_static, 139, 4},	//250 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {34, 948, 88, 3, Smoke::mf_static, 139, 5},	//251 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {34, 952, 88, 3, Smoke::mf_static, 139, 6},	//252 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {34, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//253 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {34, 44, 10, 1, Smoke::mf_ctor, 46, 8},	//254 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {34, 251, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//255 KTextEditor::ConfigPage::apply() [pure virtual]
    {34, 762, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//256 KTextEditor::ConfigPage::reset() [pure virtual]
    {34, 391, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//257 KTextEditor::ConfigPage::defaults() [pure virtual]
    {34, 277, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//258 KTextEditor::ConfigPage::changed()
    {34, 948, 70, 1, Smoke::mf_static, 139, 13},	//259 KTextEditor::ConfigPage::tr(const char*)
    {34, 952, 70, 1, Smoke::mf_static, 139, 14},	//260 KTextEditor::ConfigPage::trUtf8(const char*)
    {34, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 15},	//261 KTextEditor::ConfigPage::staticMetaObject() const
    {34, 1016, 0, 0, Smoke::mf_dtor, 0, 16 },	//262 KTextEditor::ConfigPage::~ConfigPage()
    {35, 47, 0, 0, Smoke::mf_ctor, 47, 1},	//263 KTextEditor::ContainerInterface::ContainerInterface()
    {35, 806, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//264 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {35, 347, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 3},	//265 KTextEditor::ContainerInterface::container() [pure virtual]
    {35, 47, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 4},	//266 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {35, 1017, 0, 0, Smoke::mf_dtor, 0, 5 },	//267 KTextEditor::ContainerInterface::~ContainerInterface()
    {36, 49, 0, 0, Smoke::mf_ctor, 50, 1},	//268 KTextEditor::Cursor::Cursor()
    {36, 49, 150, 2, Smoke::mf_ctor, 50, 2},	//269 KTextEditor::Cursor::Cursor(int, int)
    {36, 49, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 3},	//270 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {36, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 4},	//271 KTextEditor::Cursor::isValid() const
    {36, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 5},	//272 KTextEditor::Cursor::isSmartCursor() const
    {36, 944, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 73, 6},	//273 KTextEditor::Cursor::toSmartCursor() const
    {36, 527, 0, 0, Smoke::mf_static, 48, 7},	//274 KTextEditor::Cursor::invalid()
    {36, 916, 0, 0, Smoke::mf_static, 48, 8},	//275 KTextEditor::Cursor::start()
    {36, 869, 183, 1, Smoke::mf_virtual, 0, 9},	//276 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {36, 869, 150, 2, 0, 0, 10},	//277 KTextEditor::Cursor::setPosition(int, int)
    {36, 542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 11},	//278 KTextEditor::Cursor::line() const
    {36, 832, 99, 1, Smoke::mf_virtual, 0, 12},	//279 KTextEditor::Cursor::setLine(int)
    {36, 318, 0, 0, Smoke::mf_const, 292, 13},	//280 KTextEditor::Cursor::column() const
    {36, 801, 99, 1, Smoke::mf_virtual, 0, 14},	//281 KTextEditor::Cursor::setColumn(int)
    {36, 258, 0, 0, Smoke::mf_const, 228, 15},	//282 KTextEditor::Cursor::atStartOfLine() const
    {36, 257, 0, 0, Smoke::mf_const, 228, 16},	//283 KTextEditor::Cursor::atStartOfDocument() const
    {36, 679, 185, 2, Smoke::mf_const, 0, 17},	//284 KTextEditor::Cursor::position(int&, int&) const
    {36, 699, 0, 0, Smoke::mf_const, 66, 18},	//285 KTextEditor::Cursor::range() const
    {36, 655, 183, 1, 0, 49, 19},	//286 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {36, 872, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//287 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {36, 369, 183, 1, Smoke::mf_protected, 0, 21},	//288 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {36, 552, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 292, 22},	//289 KTextEditor::Cursor::m_line() const
    {36, 839, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//290 KTextEditor::Cursor::setM_line(int)
    {36, 550, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 292, 24},	//291 KTextEditor::Cursor::m_column() const
    {36, 835, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//292 KTextEditor::Cursor::setM_column(int)
    {36, 553, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 66, 26},	//293 KTextEditor::Cursor::m_range() const
    {36, 841, 188, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//294 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {36, 1018, 0, 0, Smoke::mf_dtor, 0, 28 },	//295 KTextEditor::Cursor::~Cursor()
    {37, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//296 KTextEditor::Document::metaObject() const
    {37, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//297 KTextEditor::Document::qt_metacast(const char*)
    {37, 948, 85, 2, Smoke::mf_static, 139, 3},	//298 KTextEditor::Document::tr(const char*, const char*)
    {37, 952, 85, 2, Smoke::mf_static, 139, 4},	//299 KTextEditor::Document::trUtf8(const char*, const char*)
    {37, 948, 88, 3, Smoke::mf_static, 139, 5},	//300 KTextEditor::Document::tr(const char*, const char*, int)
    {37, 952, 88, 3, Smoke::mf_static, 139, 6},	//301 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {37, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//302 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {37, 56, 131, 1, Smoke::mf_ctor, 51, 8},	//303 KTextEditor::Document::Document(QObject*)
    {37, 432, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//304 KTextEditor::Document::editor() [pure virtual]
    {37, 366, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 10},	//305 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {37, 220, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 11},	//306 KTextEditor::Document::activeView() const [pure virtual]
    {37, 986, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 12},	//307 KTextEditor::Document::views() const [pure virtual]
    {37, 976, 190, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//308 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {37, 411, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 14},	//309 KTextEditor::Document::documentName() const [pure virtual]
    {37, 602, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 15},	//310 KTextEditor::Document::mimeType() [pure virtual]
    {37, 412, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//311 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {37, 420, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//312 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {37, 611, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//313 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {37, 820, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 19},	//314 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {37, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 20},	//315 KTextEditor::Document::encoding() const [pure virtual]
    {37, 415, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 21},	//316 KTextEditor::Document::documentReload() [pure virtual]
    {37, 416, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 22},	//317 KTextEditor::Document::documentSave() [pure virtual]
    {37, 417, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 23},	//318 KTextEditor::Document::documentSaveAs() [pure virtual]
    {37, 418, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//319 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {37, 919, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 25},	//320 KTextEditor::Document::startEditing() [pure virtual]
    {37, 444, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 26},	//321 KTextEditor::Document::endEditing() [pure virtual]
    {37, 928, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 27},	//322 KTextEditor::Document::text() const [pure virtual]
    {37, 928, 198, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 28},	//323 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {37, 278, 183, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 29},	//324 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {37, 938, 198, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 30},	//325 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {37, 542, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 31},	//326 KTextEditor::Document::line(int) const [pure virtual]
    {37, 548, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 32},	//327 KTextEditor::Document::lines() const [pure virtual]
    {37, 409, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 33},	//328 KTextEditor::Document::documentEnd() const [pure virtual]
    {37, 414, 0, 0, Smoke::mf_const, 64, 34},	//329 KTextEditor::Document::documentRange() const
    {37, 947, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 35},	//330 KTextEditor::Document::totalCharacters() const [pure virtual]
    {37, 532, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 36},	//331 KTextEditor::Document::isEmpty() const
    {37, 546, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 37},	//332 KTextEditor::Document::lineLength(int) const [pure virtual]
    {37, 445, 99, 1, Smoke::mf_const, 48, 38},	//333 KTextEditor::Document::endOfLine(int) const
    {37, 891, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 39},	//334 KTextEditor::Document::setText(const QString&) [pure virtual]
    {37, 891, 201, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 40},	//335 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {37, 295, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 41},	//336 KTextEditor::Document::clear() [pure virtual]
    {37, 517, 203, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 42},	//337 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {37, 517, 207, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 43},	//338 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {37, 754, 211, 3, Smoke::mf_virtual, 228, 44},	//339 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {37, 754, 215, 3, Smoke::mf_virtual, 228, 45},	//340 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {37, 746, 198, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 46},	//341 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {37, 371, 183, 1, Smoke::mf_virtual, 228, 47},	//342 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {37, 508, 219, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 48},	//343 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {37, 510, 222, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 49},	//344 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {37, 737, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 50},	//345 KTextEditor::Document::removeLine(int) [pure virtual]
    {37, 932, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//346 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {37, 935, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//347 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {37, 941, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//348 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {37, 932, 228, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//349 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {37, 213, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//350 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {37, 215, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//351 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {37, 605, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 57},	//352 KTextEditor::Document::mode() const [pure virtual]
    {37, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 58},	//353 KTextEditor::Document::highlightingMode() const [pure virtual]
    {37, 610, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 59},	//354 KTextEditor::Document::modes() const [pure virtual]
    {37, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 60},	//355 KTextEditor::Document::highlightingModes() const [pure virtual]
    {37, 852, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 61},	//356 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {37, 827, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 62},	//357 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {37, 493, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 63},	//358 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {37, 608, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 64},	//359 KTextEditor::Document::modeSection(int) const [pure virtual]
    {37, 606, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//360 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {37, 491, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//361 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {37, 889, 17, 1, 0, 0, 67},	//362 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {37, 926, 0, 0, Smoke::mf_const, 228, 68},	//363 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {37, 651, 0, 0, Smoke::mf_const, 228, 69},	//364 KTextEditor::Document::openingError() const
    {37, 652, 0, 0, Smoke::mf_const, 139, 70},	//365 KTextEditor::Document::openingErrorMessage() const
    {37, 861, 17, 1, Smoke::mf_protected, 0, 71},	//366 KTextEditor::Document::setOpeningError(bool)
    {37, 863, 168, 1, Smoke::mf_protected, 0, 72},	//367 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {37, 948, 70, 1, Smoke::mf_static, 139, 73},	//368 KTextEditor::Document::tr(const char*)
    {37, 952, 70, 1, Smoke::mf_static, 139, 74},	//369 KTextEditor::Document::trUtf8(const char*)
    {37, 56, 0, 0, Smoke::mf_ctor, 51, 75},	//370 KTextEditor::Document::Document()
    {37, 928, 232, 1, Smoke::mf_const|Smoke::mf_purevirtual, 139, 76},	//371 KTextEditor::Document::text(const KTextEditor::Range&) const [pure virtual]
    {37, 938, 232, 1, Smoke::mf_const|Smoke::mf_purevirtual, 141, 77},	//372 KTextEditor::Document::textLines(const KTextEditor::Range&) const [pure virtual]
    {37, 517, 234, 2, Smoke::mf_purevirtual, 228, 78},	//373 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&) [pure virtual]
    {37, 517, 237, 2, Smoke::mf_purevirtual, 228, 79},	//374 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&) [pure virtual]
    {37, 754, 240, 2, 0, 228, 80},	//375 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {37, 754, 243, 2, 0, 228, 81},	//376 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {37, 746, 232, 1, Smoke::mf_purevirtual, 228, 82},	//377 KTextEditor::Document::removeText(const KTextEditor::Range&) [pure virtual]
    {37, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 83},	//378 KTextEditor::Document::staticMetaObject() const
    {37, 1019, 0, 0, Smoke::mf_dtor, 0, 84 },	//379 KTextEditor::Document::~Document()
    {38, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//380 KTextEditor::Editor::metaObject() const
    {38, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//381 KTextEditor::Editor::qt_metacast(const char*)
    {38, 948, 85, 2, Smoke::mf_static, 139, 3},	//382 KTextEditor::Editor::tr(const char*, const char*)
    {38, 952, 85, 2, Smoke::mf_static, 139, 4},	//383 KTextEditor::Editor::trUtf8(const char*, const char*)
    {38, 948, 88, 3, Smoke::mf_static, 139, 5},	//384 KTextEditor::Editor::tr(const char*, const char*, int)
    {38, 952, 88, 3, Smoke::mf_static, 139, 6},	//385 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {38, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//386 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {38, 62, 131, 1, Smoke::mf_ctor, 52, 8},	//387 KTextEditor::Editor::Editor(QObject*)
    {38, 887, 17, 1, 0, 0, 9},	//388 KTextEditor::Editor::setSimpleMode(bool)
    {38, 906, 0, 0, Smoke::mf_const, 228, 10},	//389 KTextEditor::Editor::simpleMode() const
    {38, 359, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 11},	//390 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {38, 422, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 266, 12},	//391 KTextEditor::Editor::documents() [pure virtual]
    {38, 212, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 229, 13},	//392 KTextEditor::Editor::aboutData() const [pure virtual]
    {38, 715, 246, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//393 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {38, 999, 246, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//394 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {38, 331, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 16},	//395 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {38, 329, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//396 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {38, 341, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 18},	//397 KTextEditor::Editor::configPages() const [pure virtual]
    {38, 333, 248, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 46, 19},	//398 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {38, 339, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 20},	//399 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {38, 335, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 21},	//400 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {38, 337, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 9, 22},	//401 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {38, 407, 251, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//402 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {38, 948, 70, 1, Smoke::mf_static, 139, 24},	//403 KTextEditor::Editor::tr(const char*)
    {38, 952, 70, 1, Smoke::mf_static, 139, 25},	//404 KTextEditor::Editor::trUtf8(const char*)
    {38, 715, 0, 0, Smoke::mf_purevirtual, 0, 26},	//405 KTextEditor::Editor::readConfig() [pure virtual]
    {38, 999, 0, 0, Smoke::mf_purevirtual, 0, 27},	//406 KTextEditor::Editor::writeConfig() [pure virtual]
    {38, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 28},	//407 KTextEditor::Editor::staticMetaObject() const
    {38, 1020, 0, 0, Smoke::mf_dtor, 0, 29 },	//408 KTextEditor::Editor::~Editor()
    {39, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//409 KTextEditor::EditorChooser::metaObject() const
    {39, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//410 KTextEditor::EditorChooser::qt_metacast(const char*)
    {39, 948, 85, 2, Smoke::mf_static, 139, 3},	//411 KTextEditor::EditorChooser::tr(const char*, const char*)
    {39, 952, 85, 2, Smoke::mf_static, 139, 4},	//412 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {39, 948, 88, 3, Smoke::mf_static, 139, 5},	//413 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {39, 952, 88, 3, Smoke::mf_static, 139, 6},	//414 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {39, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//415 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {39, 64, 10, 1, Smoke::mf_ctor, 53, 8},	//416 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {39, 713, 168, 1, 0, 0, 9},	//417 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {39, 997, 168, 1, 0, 0, 10},	//418 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {39, 432, 254, 2, Smoke::mf_static, 52, 11},	//419 KTextEditor::EditorChooser::editor(const QString&, bool)
    {39, 277, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//420 KTextEditor::EditorChooser::changed()
    {39, 948, 70, 1, Smoke::mf_static, 139, 13},	//421 KTextEditor::EditorChooser::tr(const char*)
    {39, 952, 70, 1, Smoke::mf_static, 139, 14},	//422 KTextEditor::EditorChooser::trUtf8(const char*)
    {39, 64, 0, 0, Smoke::mf_ctor, 53, 15},	//423 KTextEditor::EditorChooser::EditorChooser()
    {39, 713, 0, 0, 0, 0, 16},	//424 KTextEditor::EditorChooser::readAppSetting()
    {39, 997, 0, 0, 0, 0, 17},	//425 KTextEditor::EditorChooser::writeAppSetting()
    {39, 432, 0, 0, Smoke::mf_static, 52, 18},	//426 KTextEditor::EditorChooser::editor()
    {39, 432, 168, 1, Smoke::mf_static, 52, 19},	//427 KTextEditor::EditorChooser::editor(const QString&)
    {39, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 20},	//428 KTextEditor::EditorChooser::staticMetaObject() const
    {39, 1021, 0, 0, Smoke::mf_dtor, 0, 21 },	//429 KTextEditor::EditorChooser::~EditorChooser()
    {40, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//430 KTextEditor::Factory::metaObject() const
    {40, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//431 KTextEditor::Factory::qt_metacast(const char*)
    {40, 948, 85, 2, Smoke::mf_static, 139, 3},	//432 KTextEditor::Factory::tr(const char*, const char*)
    {40, 952, 85, 2, Smoke::mf_static, 139, 4},	//433 KTextEditor::Factory::trUtf8(const char*, const char*)
    {40, 948, 88, 3, Smoke::mf_static, 139, 5},	//434 KTextEditor::Factory::tr(const char*, const char*, int)
    {40, 952, 88, 3, Smoke::mf_static, 139, 6},	//435 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {40, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//436 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {40, 77, 131, 1, Smoke::mf_ctor, 54, 8},	//437 KTextEditor::Factory::Factory(QObject*)
    {40, 432, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//438 KTextEditor::Factory::editor() [pure virtual]
    {40, 948, 70, 1, Smoke::mf_static, 139, 10},	//439 KTextEditor::Factory::tr(const char*)
    {40, 952, 70, 1, Smoke::mf_static, 139, 11},	//440 KTextEditor::Factory::trUtf8(const char*)
    {40, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 12},	//441 KTextEditor::Factory::staticMetaObject() const
    {40, 1022, 0, 0, Smoke::mf_dtor, 0, 13 },	//442 KTextEditor::Factory::~Factory()
    {41, 116, 0, 0, Smoke::mf_ctor, 56, 1},	//443 KTextEditor::Mark::Mark()
    {41, 116, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//444 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {41, 542, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 292, 3},	//445 KTextEditor::Mark::line() const
    {41, 832, 99, 1, Smoke::mf_attribute, 0, 4},	//446 KTextEditor::Mark::setLine(int)
    {41, 959, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 295, 5},	//447 KTextEditor::Mark::type() const
    {41, 894, 259, 1, Smoke::mf_attribute, 0, 6},	//448 KTextEditor::Mark::setType(unsigned int)
    {41, 1023, 0, 0, Smoke::mf_dtor, 0, 7 },	//449 KTextEditor::Mark::~Mark()
    {42, 119, 0, 0, Smoke::mf_ctor, 57, 1},	//450 KTextEditor::MarkInterface::MarkInterface()
    {42, 555, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 295, 2},	//451 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {42, 846, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//452 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {42, 301, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//453 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {42, 233, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//454 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {42, 739, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//455 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {42, 595, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 264, 7},	//456 KTextEditor::MarkInterface::marks() [pure virtual]
    {42, 303, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//457 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {42, 761, 0, 0, Smoke::mf_static, 292, 9},	//458 KTextEditor::MarkInterface::reservedMarkersCount()
    {42, 596, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//459 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {42, 850, 264, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//460 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {42, 561, 267, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 132, 12},	//461 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {42, 848, 269, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//462 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {42, 559, 267, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 14},	//463 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {42, 816, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//464 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {42, 431, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 295, 16},	//465 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {42, 557, 272, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//466 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {42, 119, 276, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 18},	//467 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {42, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//468 KTextEditor::MarkInterface::markType01 (enum)
    {42, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 20},	//469 KTextEditor::MarkInterface::markType02 (enum)
    {42, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 21},	//470 KTextEditor::MarkInterface::markType03 (enum)
    {42, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 22},	//471 KTextEditor::MarkInterface::markType04 (enum)
    {42, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 23},	//472 KTextEditor::MarkInterface::markType05 (enum)
    {42, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 24},	//473 KTextEditor::MarkInterface::markType06 (enum)
    {42, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 25},	//474 KTextEditor::MarkInterface::markType07 (enum)
    {42, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 26},	//475 KTextEditor::MarkInterface::markType08 (enum)
    {42, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 27},	//476 KTextEditor::MarkInterface::markType09 (enum)
    {42, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 28},	//477 KTextEditor::MarkInterface::markType10 (enum)
    {42, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 29},	//478 KTextEditor::MarkInterface::markType11 (enum)
    {42, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 30},	//479 KTextEditor::MarkInterface::markType12 (enum)
    {42, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 31},	//480 KTextEditor::MarkInterface::markType13 (enum)
    {42, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 32},	//481 KTextEditor::MarkInterface::markType14 (enum)
    {42, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 33},	//482 KTextEditor::MarkInterface::markType15 (enum)
    {42, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 34},	//483 KTextEditor::MarkInterface::markType16 (enum)
    {42, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 35},	//484 KTextEditor::MarkInterface::markType17 (enum)
    {42, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 36},	//485 KTextEditor::MarkInterface::markType18 (enum)
    {42, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 37},	//486 KTextEditor::MarkInterface::markType19 (enum)
    {42, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 38},	//487 KTextEditor::MarkInterface::markType20 (enum)
    {42, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 39},	//488 KTextEditor::MarkInterface::markType21 (enum)
    {42, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 40},	//489 KTextEditor::MarkInterface::markType22 (enum)
    {42, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 41},	//490 KTextEditor::MarkInterface::markType23 (enum)
    {42, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 42},	//491 KTextEditor::MarkInterface::markType24 (enum)
    {42, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 43},	//492 KTextEditor::MarkInterface::markType25 (enum)
    {42, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 44},	//493 KTextEditor::MarkInterface::markType26 (enum)
    {42, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 45},	//494 KTextEditor::MarkInterface::markType27 (enum)
    {42, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 46},	//495 KTextEditor::MarkInterface::markType28 (enum)
    {42, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 47},	//496 KTextEditor::MarkInterface::markType29 (enum)
    {42, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 48},	//497 KTextEditor::MarkInterface::markType30 (enum)
    {42, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 49},	//498 KTextEditor::MarkInterface::markType31 (enum)
    {42, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 50},	//499 KTextEditor::MarkInterface::markType32 (enum)
    {42, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 51},	//500 KTextEditor::MarkInterface::Bookmark (enum)
    {42, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 52},	//501 KTextEditor::MarkInterface::BreakpointActive (enum)
    {42, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 53},	//502 KTextEditor::MarkInterface::BreakpointReached (enum)
    {42, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 54},	//503 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {42, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 55},	//504 KTextEditor::MarkInterface::Execution (enum)
    {42, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 56},	//505 KTextEditor::MarkInterface::Warning (enum)
    {42, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 57},	//506 KTextEditor::MarkInterface::Error (enum)
    {42, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 58},	//507 KTextEditor::MarkInterface::MarkAdded (enum)
    {42, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 59},	//508 KTextEditor::MarkInterface::MarkRemoved (enum)
    {42, 1024, 0, 0, Smoke::mf_dtor, 0, 60 },	//509 KTextEditor::MarkInterface::~MarkInterface()
    {43, 123, 0, 0, Smoke::mf_ctor, 60, 1},	//510 KTextEditor::MdiContainer::MdiContainer()
    {43, 781, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//511 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {43, 220, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 3},	//512 KTextEditor::MdiContainer::activeView() [pure virtual]
    {43, 359, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 4},	//513 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {43, 311, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 5},	//514 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {43, 366, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 6},	//515 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {43, 315, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 7},	//516 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {43, 123, 280, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 8},	//517 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {43, 1025, 0, 0, Smoke::mf_dtor, 0, 9 },	//518 KTextEditor::MdiContainer::~MdiContainer()
    {44, 125, 0, 0, Smoke::mf_ctor, 61, 1},	//519 KTextEditor::ModificationInterface::ModificationInterface()
    {44, 855, 282, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//520 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {44, 857, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//521 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {44, 908, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//522 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {44, 613, 284, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//523 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {44, 125, 288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 6},	//524 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {44, 908, 0, 0, Smoke::mf_purevirtual, 0, 7},	//525 KTextEditor::ModificationInterface::slotModifiedOnDisk() [pure virtual]
    {44, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 8},	//526 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {44, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 9},	//527 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {44, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 10},	//528 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {44, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 11},	//529 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {44, 1026, 0, 0, Smoke::mf_dtor, 0, 12 },	//530 KTextEditor::ModificationInterface::~ModificationInterface()
    {45, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//531 KTextEditor::Plugin::metaObject() const
    {45, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//532 KTextEditor::Plugin::qt_metacast(const char*)
    {45, 948, 85, 2, Smoke::mf_static, 139, 3},	//533 KTextEditor::Plugin::tr(const char*, const char*)
    {45, 952, 85, 2, Smoke::mf_static, 139, 4},	//534 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {45, 948, 88, 3, Smoke::mf_static, 139, 5},	//535 KTextEditor::Plugin::tr(const char*, const char*, int)
    {45, 952, 88, 3, Smoke::mf_static, 139, 6},	//536 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {45, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//537 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {45, 139, 131, 1, Smoke::mf_ctor, 63, 8},	//538 KTextEditor::Plugin::Plugin(QObject*)
    {45, 225, 193, 1, Smoke::mf_virtual, 0, 9},	//539 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {45, 731, 193, 1, Smoke::mf_virtual, 0, 10},	//540 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {45, 237, 278, 1, Smoke::mf_virtual, 0, 11},	//541 KTextEditor::Plugin::addView(KTextEditor::View*)
    {45, 750, 278, 1, Smoke::mf_virtual, 0, 12},	//542 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {45, 948, 70, 1, Smoke::mf_static, 139, 13},	//543 KTextEditor::Plugin::tr(const char*)
    {45, 952, 70, 1, Smoke::mf_static, 139, 14},	//544 KTextEditor::Plugin::trUtf8(const char*)
    {45, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 15},	//545 KTextEditor::Plugin::staticMetaObject() const
    {45, 1027, 0, 0, Smoke::mf_dtor, 0, 16 },	//546 KTextEditor::Plugin::~Plugin()
    {46, 156, 0, 0, Smoke::mf_ctor, 66, 1},	//547 KTextEditor::Range::Range()
    {46, 156, 290, 2, Smoke::mf_ctor, 66, 2},	//548 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {46, 156, 293, 2, Smoke::mf_ctor, 66, 3},	//549 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {46, 156, 296, 3, Smoke::mf_ctor, 66, 4},	//550 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {46, 156, 300, 4, Smoke::mf_ctor, 66, 5},	//551 KTextEditor::Range::Range(int, int, int, int)
    {46, 156, 232, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//552 KTextEditor::Range::Range(const KTextEditor::Range&)
    {46, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 7},	//553 KTextEditor::Range::isValid() const
    {46, 527, 0, 0, Smoke::mf_static, 64, 8},	//554 KTextEditor::Range::invalid()
    {46, 534, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 9},	//555 KTextEditor::Range::isSmartRange() const
    {46, 945, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 10},	//556 KTextEditor::Range::toSmartRange() const
    {46, 916, 0, 0, 0, 49, 11},	//557 KTextEditor::Range::start()
    {46, 916, 0, 0, Smoke::mf_const, 241, 12},	//558 KTextEditor::Range::start() const
    {46, 443, 0, 0, 0, 49, 13},	//559 KTextEditor::Range::end()
    {46, 443, 0, 0, Smoke::mf_const, 241, 14},	//560 KTextEditor::Range::end() const
    {46, 797, 99, 1, 0, 0, 15},	//561 KTextEditor::Range::setBothLines(int)
    {46, 795, 99, 1, 0, 0, 16},	//562 KTextEditor::Range::setBothColumns(int)
    {46, 872, 232, 1, Smoke::mf_virtual, 0, 17},	//563 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {46, 872, 290, 2, 0, 0, 18},	//564 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {46, 458, 232, 1, Smoke::mf_virtual, 228, 19},	//565 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {46, 344, 232, 1, Smoke::mf_virtual, 228, 20},	//566 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {46, 648, 0, 0, Smoke::mf_const, 228, 21},	//567 KTextEditor::Range::onSingleLine() const
    {46, 647, 0, 0, Smoke::mf_const, 292, 22},	//568 KTextEditor::Range::numberOfLines() const
    {46, 321, 0, 0, Smoke::mf_const, 292, 23},	//569 KTextEditor::Range::columnWidth() const
    {46, 532, 0, 0, Smoke::mf_const, 228, 24},	//570 KTextEditor::Range::isEmpty() const
    {46, 348, 232, 1, Smoke::mf_const, 228, 25},	//571 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {46, 348, 183, 1, Smoke::mf_const, 228, 26},	//572 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {46, 352, 99, 1, Smoke::mf_const, 228, 27},	//573 KTextEditor::Range::containsLine(int) const
    {46, 350, 99, 1, Smoke::mf_const, 228, 28},	//574 KTextEditor::Range::containsColumn(int) const
    {46, 662, 232, 1, Smoke::mf_const, 228, 29},	//575 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {46, 666, 99, 1, Smoke::mf_const, 228, 30},	//576 KTextEditor::Range::overlapsLine(int) const
    {46, 664, 99, 1, Smoke::mf_const, 228, 31},	//577 KTextEditor::Range::overlapsColumn(int) const
    {46, 685, 183, 1, Smoke::mf_const, 292, 32},	//578 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {46, 687, 99, 1, Smoke::mf_const, 292, 33},	//579 KTextEditor::Range::positionRelativeToLine(int) const
    {46, 266, 183, 1, Smoke::mf_const, 228, 34},	//580 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {46, 268, 99, 1, Smoke::mf_const, 228, 35},	//581 KTextEditor::Range::boundaryOnLine(int) const
    {46, 525, 232, 1, Smoke::mf_const, 64, 36},	//582 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {46, 441, 232, 1, Smoke::mf_const, 64, 37},	//583 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {46, 655, 232, 1, 0, 65, 38},	//584 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {46, 156, 305, 2, Smoke::mf_ctor|Smoke::mf_protected, 66, 39},	//585 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {46, 702, 308, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//586 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {46, 554, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 50, 41},	//587 KTextEditor::Range::m_start() const
    {46, 843, 311, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//588 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {46, 551, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 50, 43},	//589 KTextEditor::Range::m_end() const
    {46, 837, 311, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//590 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {46, 1028, 0, 0, Smoke::mf_dtor, 0, 45 },	//591 KTextEditor::Range::~Range()
    {47, 164, 0, 0, Smoke::mf_ctor, 70, 1},	//592 KTextEditor::SearchInterface::SearchInterface()
    {47, 771, 313, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 2},	//593 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions) [pure virtual]
    {47, 925, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 67, 3},	//594 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {47, 164, 317, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 4},	//595 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {47, 771, 240, 2, Smoke::mf_purevirtual, 148, 5},	//596 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&) [pure virtual]
    {47, 1029, 0, 0, Smoke::mf_dtor, 0, 6 },	//597 KTextEditor::SearchInterface::~SearchInterface()
    {48, 168, 0, 0, Smoke::mf_ctor, 71, 1},	//598 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {48, 717, 319, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//599 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {48, 1001, 321, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//600 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {48, 168, 323, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 4},	//601 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {48, 1030, 0, 0, Smoke::mf_dtor, 0, 5 },	//602 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {49, 533, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 1},	//603 KTextEditor::SmartCursor::isSmartCursor() const
    {49, 944, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 73, 2},	//604 KTextEditor::SmartCursor::toSmartCursor() const
    {49, 912, 0, 0, Smoke::mf_const, 80, 3},	//605 KTextEditor::SmartCursor::smartRange() const
    {49, 405, 0, 0, Smoke::mf_const, 51, 4},	//606 KTextEditor::SmartCursor::document() const
    {49, 256, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 5},	//607 KTextEditor::SmartCursor::atEndOfLine() const
    {49, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 6},	//608 KTextEditor::SmartCursor::atEndOfDocument() const
    {49, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 7},	//609 KTextEditor::SmartCursor::isValid() const
    {49, 278, 0, 0, Smoke::mf_const, 96, 8},	//610 KTextEditor::SmartCursor::character() const
    {49, 517, 325, 2, Smoke::mf_virtual, 228, 9},	//611 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {49, 241, 328, 2, Smoke::mf_virtual, 228, 10},	//612 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {49, 506, 0, 0, Smoke::mf_const, 75, 11},	//613 KTextEditor::SmartCursor::insertBehavior() const
    {49, 829, 331, 1, 0, 0, 12},	//614 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {49, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 13},	//615 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {49, 645, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 14},	//616 KTextEditor::SmartCursor::notifier() [pure virtual]
    {49, 394, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//617 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {49, 992, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 16},	//618 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {49, 899, 333, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//619 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {49, 655, 335, 1, 0, 72, 18},	//620 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {49, 173, 337, 3, Smoke::mf_ctor|Smoke::mf_protected, 73, 19},	//621 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {49, 517, 201, 1, 0, 228, 20},	//622 KTextEditor::SmartCursor::insertText(const QStringList&)
    {49, 241, 99, 1, 0, 228, 21},	//623 KTextEditor::SmartCursor::advance(int)
    {49, 899, 0, 0, Smoke::mf_purevirtual, 0, 22},	//624 KTextEditor::SmartCursor::setWatcher() [pure virtual]
    {49, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 23},	//625 KTextEditor::SmartCursor::ByCharacter (enum)
    {49, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 24},	//626 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {49, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 25},	//627 KTextEditor::SmartCursor::StayOnInsert (enum)
    {49, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 26},	//628 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {49, 1031, 0, 0, Smoke::mf_dtor, 0, 27 },	//629 KTextEditor::SmartCursor::~SmartCursor()
    {50, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//630 KTextEditor::SmartCursorNotifier::metaObject() const
    {50, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//631 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {50, 948, 85, 2, Smoke::mf_static, 139, 3},	//632 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {50, 952, 85, 2, Smoke::mf_static, 139, 4},	//633 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {50, 948, 88, 3, Smoke::mf_static, 139, 5},	//634 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {50, 952, 88, 3, Smoke::mf_static, 139, 6},	//635 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {50, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//636 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {50, 175, 0, 0, Smoke::mf_ctor, 76, 8},	//637 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {50, 989, 0, 0, Smoke::mf_const, 228, 9},	//638 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {50, 897, 17, 1, 0, 0, 10},	//639 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {50, 681, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//640 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {50, 683, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//641 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {50, 280, 343, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//642 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {50, 282, 343, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//643 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {50, 397, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//644 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {50, 948, 70, 1, Smoke::mf_static, 139, 16},	//645 KTextEditor::SmartCursorNotifier::tr(const char*)
    {50, 952, 70, 1, Smoke::mf_static, 139, 17},	//646 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {50, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 18},	//647 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {50, 1032, 0, 0, Smoke::mf_dtor, 0, 19 },	//648 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {51, 176, 0, 0, Smoke::mf_ctor, 77, 1},	//649 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {51, 989, 0, 0, Smoke::mf_const, 228, 2},	//650 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {51, 897, 17, 1, 0, 0, 3},	//651 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {51, 681, 341, 1, Smoke::mf_virtual, 0, 4},	//652 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {51, 683, 341, 1, Smoke::mf_virtual, 0, 5},	//653 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {51, 280, 343, 2, Smoke::mf_virtual, 0, 6},	//654 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {51, 282, 343, 2, Smoke::mf_virtual, 0, 7},	//655 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {51, 397, 341, 1, Smoke::mf_virtual, 0, 8},	//656 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {51, 176, 346, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 9},	//657 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {51, 1033, 0, 0, Smoke::mf_dtor, 0, 10 },	//658 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {52, 178, 0, 0, Smoke::mf_ctor, 78, 1},	//659 KTextEditor::SmartInterface::SmartInterface()
    {52, 911, 0, 0, Smoke::mf_const, 127, 2},	//660 KTextEditor::SmartInterface::smartMutex() const
    {52, 306, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//661 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {52, 304, 0, 0, Smoke::mf_const, 228, 4},	//662 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {52, 799, 17, 1, 0, 0, 5},	//663 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {52, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 6},	//664 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {52, 724, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//665 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {52, 966, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//666 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {52, 305, 0, 0, 0, 0, 9},	//667 KTextEditor::SmartInterface::clearRevision()
    {52, 956, 348, 2, Smoke::mf_const|Smoke::mf_virtual, 48, 10},	//668 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {52, 956, 351, 2, Smoke::mf_const|Smoke::mf_virtual, 64, 11},	//669 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    {52, 631, 348, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 12},	//670 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {52, 631, 354, 3, 0, 73, 13},	//671 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {52, 393, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//672 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {52, 636, 358, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 80, 15},	//673 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
    {52, 636, 362, 4, 0, 80, 16},	//674 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {52, 636, 367, 6, 0, 80, 17},	//675 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {52, 636, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 80, 18},	//676 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
    {52, 960, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//677 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {52, 396, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//678 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {52, 227, 381, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//679 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {52, 733, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//680 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 410, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 267, 23},	//681 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {52, 300, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//682 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {52, 230, 384, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//683 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {52, 735, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//684 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 981, 278, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 267, 27},	//685 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {52, 309, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//686 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {52, 221, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//687 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 726, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//688 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 406, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 267, 31},	//689 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {52, 299, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//690 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {52, 223, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//691 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 728, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//692 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 974, 278, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 267, 35},	//693 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {52, 307, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//694 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {52, 260, 391, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//695 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {52, 262, 391, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//696 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {52, 178, 393, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 39},	//697 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {52, 956, 183, 1, Smoke::mf_const, 48, 40},	//698 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {52, 956, 232, 1, Smoke::mf_const, 64, 41},	//699 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {52, 631, 0, 0, Smoke::mf_purevirtual, 73, 42},	//700 KTextEditor::SmartInterface::newSmartCursor() [pure virtual]
    {52, 631, 183, 1, Smoke::mf_purevirtual, 73, 43},	//701 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&) [pure virtual]
    {52, 631, 150, 2, 0, 73, 44},	//702 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {52, 636, 0, 0, Smoke::mf_purevirtual, 80, 45},	//703 KTextEditor::SmartInterface::newSmartRange() [pure virtual]
    {52, 636, 232, 1, Smoke::mf_purevirtual, 80, 46},	//704 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&) [pure virtual]
    {52, 636, 395, 2, Smoke::mf_purevirtual, 80, 47},	//705 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*) [pure virtual]
    {52, 636, 290, 2, 0, 80, 48},	//706 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {52, 636, 398, 3, 0, 80, 49},	//707 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {52, 636, 300, 4, 0, 80, 50},	//708 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {52, 636, 402, 5, 0, 80, 51},	//709 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {52, 636, 408, 2, Smoke::mf_purevirtual, 80, 52},	//710 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*) [pure virtual]
    {52, 636, 411, 3, Smoke::mf_purevirtual, 80, 53},	//711 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*) [pure virtual]
    {52, 227, 379, 1, Smoke::mf_purevirtual, 0, 54},	//712 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 230, 388, 2, Smoke::mf_purevirtual, 0, 55},	//713 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 1034, 0, 0, Smoke::mf_dtor, 0, 56 },	//714 KTextEditor::SmartInterface::~SmartInterface()
    {53, 534, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 228, 1},	//715 KTextEditor::SmartRange::isSmartRange() const
    {53, 945, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 2},	//716 KTextEditor::SmartRange::toSmartRange() const
    {53, 872, 232, 1, Smoke::mf_virtual, 0, 3},	//717 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {53, 913, 0, 0, 0, 72, 4},	//718 KTextEditor::SmartRange::smartStart()
    {53, 913, 0, 0, Smoke::mf_const, 250, 5},	//719 KTextEditor::SmartRange::smartStart() const
    {53, 910, 0, 0, 0, 72, 6},	//720 KTextEditor::SmartRange::smartEnd()
    {53, 910, 0, 0, Smoke::mf_const, 250, 7},	//721 KTextEditor::SmartRange::smartEnd() const
    {53, 344, 232, 1, Smoke::mf_virtual, 228, 8},	//722 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {53, 458, 232, 1, Smoke::mf_virtual, 228, 9},	//723 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {53, 405, 0, 0, Smoke::mf_const, 51, 10},	//724 KTextEditor::SmartRange::document() const
    {53, 928, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 11},	//725 KTextEditor::SmartRange::text(bool) const
    {53, 754, 325, 2, Smoke::mf_virtual, 228, 12},	//726 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {53, 746, 17, 1, Smoke::mf_virtual, 228, 13},	//727 KTextEditor::SmartRange::removeText(bool)
    {53, 506, 0, 0, Smoke::mf_const, 82, 14},	//728 KTextEditor::SmartRange::insertBehavior() const
    {53, 829, 415, 1, 0, 0, 15},	//729 KTextEditor::SmartRange::setInsertBehavior(KTextEditor::SmartRange::InsertBehaviors)
    {53, 673, 0, 0, Smoke::mf_const, 80, 16},	//730 KTextEditor::SmartRange::parentRange() const
    {53, 867, 379, 1, Smoke::mf_virtual, 0, 17},	//731 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {53, 483, 379, 1, Smoke::mf_const, 228, 18},	//732 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {53, 399, 0, 0, Smoke::mf_const, 292, 19},	//733 KTextEditor::SmartRange::depth() const
    {53, 946, 0, 0, Smoke::mf_const, 80, 20},	//734 KTextEditor::SmartRange::topParentRange() const
    {53, 294, 0, 0, Smoke::mf_const, 268, 21},	//735 KTextEditor::SmartRange::childRanges() const
    {53, 298, 0, 0, 0, 0, 22},	//736 KTextEditor::SmartRange::clearChildRanges()
    {53, 392, 0, 0, 0, 0, 23},	//737 KTextEditor::SmartRange::deleteChildRanges()
    {53, 296, 0, 0, 0, 0, 24},	//738 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {53, 287, 417, 1, Smoke::mf_const, 80, 25},	//739 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {53, 285, 417, 1, Smoke::mf_const, 80, 26},	//740 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {53, 615, 232, 1, Smoke::mf_const, 80, 27},	//741 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {53, 461, 183, 1, Smoke::mf_const, 80, 28},	//742 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {53, 383, 419, 3, Smoke::mf_const, 80, 29},	//743 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {53, 387, 183, 1, Smoke::mf_const, 117, 30},	//744 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {53, 661, 0, 0, Smoke::mf_const, 292, 31},	//745 KTextEditor::SmartRange::overlapCount() const
    {53, 259, 0, 0, Smoke::mf_const, 18, 32},	//746 KTextEditor::SmartRange::attribute() const
    {53, 787, 391, 1, 0, 0, 33},	//747 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {53, 252, 423, 1, 0, 0, 34},	//748 KTextEditor::SmartRange::associateAction(KAction*)
    {53, 403, 423, 1, 0, 0, 35},	//749 KTextEditor::SmartRange::dissociateAction(KAction*)
    {53, 254, 0, 0, Smoke::mf_const, 265, 36},	//750 KTextEditor::SmartRange::associatedActions() const
    {53, 297, 0, 0, 0, 0, 37},	//751 KTextEditor::SmartRange::clearAssociatedActions()
    {53, 689, 0, 0, 0, 84, 38},	//752 KTextEditor::SmartRange::primaryNotifier()
    {53, 646, 0, 0, Smoke::mf_const, 269, 39},	//753 KTextEditor::SmartRange::notifiers() const
    {53, 235, 425, 1, 0, 0, 40},	//754 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {53, 741, 425, 1, 0, 0, 41},	//755 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {53, 395, 0, 0, 0, 0, 42},	//756 KTextEditor::SmartRange::deletePrimaryNotifier()
    {53, 993, 0, 0, Smoke::mf_const, 270, 43},	//757 KTextEditor::SmartRange::watchers() const
    {53, 239, 427, 1, 0, 0, 44},	//758 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {53, 752, 427, 1, 0, 0, 45},	//759 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {53, 655, 429, 1, 0, 79, 46},	//760 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {53, 655, 232, 1, 0, 79, 47},	//761 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {53, 180, 374, 4, Smoke::mf_ctor|Smoke::mf_protected, 80, 48},	//762 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {53, 702, 308, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//763 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {53, 284, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//764 KTextEditor::SmartRange::checkFeedback()
    {53, 361, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 84, 51},	//765 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {53, 719, 0, 0, Smoke::mf_protected, 0, 52},	//766 KTextEditor::SmartRange::rebuildChildStructure()
    {53, 928, 0, 0, Smoke::mf_const, 141, 53},	//767 KTextEditor::SmartRange::text() const
    {53, 754, 201, 1, 0, 228, 54},	//768 KTextEditor::SmartRange::replaceText(const QStringList&)
    {53, 746, 0, 0, 0, 228, 55},	//769 KTextEditor::SmartRange::removeText()
    {53, 383, 183, 1, Smoke::mf_const, 80, 56},	//770 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {53, 383, 431, 2, Smoke::mf_const, 80, 57},	//771 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {53, 180, 408, 2, Smoke::mf_ctor|Smoke::mf_protected, 80, 58},	//772 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {53, 180, 411, 3, Smoke::mf_ctor|Smoke::mf_protected, 80, 59},	//773 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {53, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 60},	//774 KTextEditor::SmartRange::DoNotExpand (enum)
    {53, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 61},	//775 KTextEditor::SmartRange::ExpandLeft (enum)
    {53, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 62},	//776 KTextEditor::SmartRange::ExpandRight (enum)
    {53, 1035, 0, 0, Smoke::mf_dtor, 0, 63 },	//777 KTextEditor::SmartRange::~SmartRange()
    {54, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//778 KTextEditor::SmartRangeNotifier::metaObject() const
    {54, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//779 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {54, 948, 85, 2, Smoke::mf_static, 139, 3},	//780 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {54, 952, 85, 2, Smoke::mf_static, 139, 4},	//781 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {54, 948, 88, 3, Smoke::mf_static, 139, 5},	//782 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {54, 952, 88, 3, Smoke::mf_static, 139, 6},	//783 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {54, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//784 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {54, 184, 0, 0, Smoke::mf_ctor, 84, 8},	//785 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {54, 989, 0, 0, Smoke::mf_const, 228, 9},	//786 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {54, 897, 17, 1, 0, 0, 10},	//787 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {54, 711, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//788 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {54, 704, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//789 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {54, 704, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//790 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 618, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//791 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 620, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//792 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 272, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//793 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 274, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//794 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 709, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//795 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {54, 707, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//796 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {54, 674, 440, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//797 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 290, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//798 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 292, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//799 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 700, 444, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//800 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {54, 948, 70, 1, Smoke::mf_static, 139, 24},	//801 KTextEditor::SmartRangeNotifier::tr(const char*)
    {54, 952, 70, 1, Smoke::mf_static, 139, 25},	//802 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {54, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 26},	//803 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {54, 1036, 0, 0, Smoke::mf_dtor, 0, 27 },	//804 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {55, 185, 0, 0, Smoke::mf_ctor, 85, 1},	//805 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {55, 989, 0, 0, Smoke::mf_const, 228, 2},	//806 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {55, 897, 17, 1, 0, 0, 3},	//807 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {55, 711, 379, 1, Smoke::mf_virtual, 0, 4},	//808 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {55, 704, 379, 1, Smoke::mf_virtual, 0, 5},	//809 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {55, 704, 434, 2, Smoke::mf_virtual, 0, 6},	//810 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 618, 437, 2, Smoke::mf_virtual, 0, 7},	//811 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 620, 437, 2, Smoke::mf_virtual, 0, 8},	//812 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 272, 437, 2, Smoke::mf_virtual, 0, 9},	//813 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 274, 437, 2, Smoke::mf_virtual, 0, 10},	//814 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 709, 379, 1, Smoke::mf_virtual, 0, 11},	//815 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {55, 707, 379, 1, Smoke::mf_virtual, 0, 12},	//816 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {55, 674, 440, 3, Smoke::mf_virtual, 0, 13},	//817 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 290, 434, 2, Smoke::mf_virtual, 0, 14},	//818 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 292, 434, 2, Smoke::mf_virtual, 0, 15},	//819 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 700, 444, 3, Smoke::mf_virtual, 0, 16},	//820 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {55, 185, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 17},	//821 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {55, 1037, 0, 0, Smoke::mf_dtor, 0, 18 },	//822 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {56, 193, 0, 0, Smoke::mf_ctor, 86, 1},	//823 KTextEditor::TemplateInterface::TemplateInterface()
    {56, 456, 450, 2, Smoke::mf_static, 228, 2},	//824 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {56, 513, 453, 3, 0, 228, 3},	//825 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {56, 515, 453, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 4},	//826 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {56, 193, 457, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 5},	//827 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {56, 1038, 0, 0, Smoke::mf_dtor, 0, 6 },	//828 KTextEditor::TemplateInterface::~TemplateInterface()
    {57, 195, 0, 0, Smoke::mf_ctor, 87, 1},	//829 KTextEditor::TextHintInterface::TextHintInterface()
    {57, 437, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//830 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {57, 401, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//831 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {57, 629, 459, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//832 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {57, 195, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 5},	//833 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {57, 1039, 0, 0, Smoke::mf_dtor, 0, 6 },	//834 KTextEditor::TextHintInterface::~TextHintInterface()
    {58, 201, 0, 0, Smoke::mf_ctor, 88, 1},	//835 KTextEditor::VariableInterface::VariableInterface()
    {58, 968, 168, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 2},	//836 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {58, 970, 464, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//837 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {58, 201, 468, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 4},	//838 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {58, 1040, 0, 0, Smoke::mf_dtor, 0, 5 },	//839 KTextEditor::VariableInterface::~VariableInterface()
    {59, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 1},	//840 KTextEditor::View::metaObject() const
    {59, 694, 70, 1, Smoke::mf_virtual, 296, 2},	//841 KTextEditor::View::qt_metacast(const char*)
    {59, 948, 85, 2, Smoke::mf_static, 139, 3},	//842 KTextEditor::View::tr(const char*, const char*)
    {59, 952, 85, 2, Smoke::mf_static, 139, 4},	//843 KTextEditor::View::trUtf8(const char*, const char*)
    {59, 948, 88, 3, Smoke::mf_static, 139, 5},	//844 KTextEditor::View::tr(const char*, const char*, int)
    {59, 952, 88, 3, Smoke::mf_static, 139, 6},	//845 KTextEditor::View::trUtf8(const char*, const char*, int)
    {59, 692, 92, 3, Smoke::mf_virtual, 292, 7},	//846 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {59, 203, 10, 1, Smoke::mf_ctor, 89, 8},	//847 KTextEditor::View::View(QWidget*)
    {59, 405, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 9},	//848 KTextEditor::View::document() const [pure virtual]
    {59, 528, 0, 0, Smoke::mf_const, 228, 10},	//849 KTextEditor::View::isActiveView() const
    {59, 983, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 11},	//850 KTextEditor::View::viewMode() const [pure virtual]
    {59, 978, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 12},	//851 KTextEditor::View::viewEditMode() const [pure virtual]
    {59, 466, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//852 KTextEditor::View::focusIn(KTextEditor::View*)
    {59, 470, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//853 KTextEditor::View::focusOut(KTextEditor::View*)
    {59, 984, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//854 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {59, 979, 470, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//855 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {59, 502, 165, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//856 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {59, 935, 473, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//857 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {59, 808, 477, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//858 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {59, 354, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 20},	//859 KTextEditor::View::contextMenu() const [pure virtual]
    {59, 389, 477, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 21},	//860 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {59, 355, 479, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//861 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {59, 810, 482, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 23},	//862 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {59, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 24},	//863 KTextEditor::View::cursorPosition() const [pure virtual]
    {59, 377, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 25},	//864 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {59, 378, 183, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 26},	//865 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {59, 376, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 27},	//866 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {59, 374, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//867 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 972, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//868 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 497, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//869 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {59, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 31},	//870 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {59, 859, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 32},	//871 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {59, 623, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//872 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 883, 232, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 34},	//873 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {59, 883, 487, 3, Smoke::mf_virtual, 228, 35},	//874 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {59, 776, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 36},	//875 KTextEditor::View::selection() const [pure virtual]
    {59, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 37},	//876 KTextEditor::View::selectionRange() const [pure virtual]
    {59, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 38},	//877 KTextEditor::View::selectionText() const [pure virtual]
    {59, 744, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 39},	//878 KTextEditor::View::removeSelection() [pure virtual]
    {59, 745, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 40},	//879 KTextEditor::View::removeSelectionText() [pure virtual]
    {59, 793, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 41},	//880 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {59, 265, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 42},	//881 KTextEditor::View::blockSelection() const [pure virtual]
    {59, 777, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//882 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {59, 517, 168, 1, Smoke::mf_virtual, 228, 44},	//883 KTextEditor::View::insertText(const QString&)
    {59, 948, 70, 1, Smoke::mf_static, 139, 45},	//884 KTextEditor::View::tr(const char*)
    {59, 952, 70, 1, Smoke::mf_static, 139, 46},	//885 KTextEditor::View::trUtf8(const char*)
    {59, 389, 0, 0, Smoke::mf_const|Smoke::mf_purevirtual, 121, 47},	//886 KTextEditor::View::defaultContextMenu() const [pure virtual]
    {59, 883, 293, 2, 0, 228, 48},	//887 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {59, 921, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 276, 49},	//888 KTextEditor::View::staticMetaObject() const
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 50},	//889 KTextEditor::View::EditInsert (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 51},	//890 KTextEditor::View::EditOverwrite (enum)
    {59, 1041, 0, 0, Smoke::mf_dtor, 0, 52 },	//891 KTextEditor::View::~View()
    {61, 217, 491, 1, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//892 KXMLGUIClient::action(const QDomElement&) const
    {61, 218, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//893 KXMLGUIClient::actionCollection() const
    {61, 328, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 5, 0},	//894 KXMLGUIClient::componentData() const
    {61, 423, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//895 KXMLGUIClient::domDocument() const
    {61, 1004, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 139, 0},	//896 KXMLGUIClient::xmlFile() const
    {61, 549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 139, 0},	//897 KXMLGUIClient::localXMLFile() const
    {61, 803, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//898 KXMLGUIClient::setComponentData(const KComponentData&)
    {61, 903, 493, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//899 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {61, 834, 168, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//900 KXMLGUIClient::setLocalXMLFile(const QString&)
    {61, 902, 254, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//901 KXMLGUIClient::setXML(const QString&, bool)
    {61, 812, 497, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//902 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {61, 920, 500, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//903 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {61, 987, 503, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//904 KXMLGUIClient::virtual_hook(int, void*)
    {61, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 14},	//905 KXMLGUIClient::StateNoReverse (enum)
    {61, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 15},	//906 KXMLGUIClient::StateReverse (enum)
    {62, 478, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//907 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {62, 381, 506, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 0},	//908 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {62, 813, 509, 3, Smoke::mf_virtual, 228, 0},	//909 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {62, 485, 513, 3, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//910 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {62, 826, 517, 4, Smoke::mf_virtual, 228, 0},	//911 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {62, 831, 522, 2, Smoke::mf_virtual, 228, 0},	//912 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {62, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 0},	//913 QAbstractItemModel::mimeTypes() const
    {62, 601, 525, 1, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//914 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {62, 428, 527, 5, Smoke::mf_virtual, 228, 0},	//915 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {62, 924, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//916 QAbstractItemModel::supportedDropActions() const
    {62, 512, 143, 3, Smoke::mf_virtual, 228, 0},	//917 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {62, 507, 143, 3, Smoke::mf_virtual, 228, 0},	//918 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {62, 743, 143, 3, Smoke::mf_virtual, 228, 0},	//919 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {62, 730, 143, 3, Smoke::mf_virtual, 228, 0},	//920 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {62, 460, 141, 1, Smoke::mf_virtual, 0, 0},	//921 QAbstractItemModel::fetchMore(const QModelIndex&)
    {62, 271, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//922 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {62, 465, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//923 QAbstractItemModel::flags(const QModelIndex&) const
    {62, 914, 533, 2, Smoke::mf_virtual, 0, 0},	//924 QAbstractItemModel::sort(int, Qt::SortOrder)
    {62, 270, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 124, 0},	//925 QAbstractItemModel::buddy(const QModelIndex&) const
    {62, 598, 536, 5, Smoke::mf_const|Smoke::mf_virtual, 118, 0},	//926 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {62, 915, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 137, 0},	//927 QAbstractItemModel::span(const QModelIndex&) const
    {62, 923, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 228, 0},	//928 QAbstractItemModel::submit()
    {62, 764, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//929 QAbstractItemModel::revert()
    {80, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 1},	//930 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {80, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 2},	//931 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {80, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 3},	//932 QGlobalSpace::Q_STATIC_TYPE (enum)
    {80, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 4},	//933 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {80, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 5},	//934 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {80, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 6},	//935 QGlobalSpace::KST_KSycocaEntry (enum)
    {80, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 7},	//936 QGlobalSpace::KST_KService (enum)
    {80, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 8},	//937 QGlobalSpace::KST_KServiceType (enum)
    {80, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 9},	//938 QGlobalSpace::KST_KMimeType (enum)
    {80, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 10},	//939 QGlobalSpace::KST_KFolderMimeType (enum)
    {80, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 11},	//940 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {80, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 12},	//941 QGlobalSpace::KST_KServiceGroup (enum)
    {80, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 13},	//942 QGlobalSpace::KST_KImageIOFormat (enum)
    {80, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 14},	//943 QGlobalSpace::KST_KProtocolInfo (enum)
    {80, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 15},	//944 QGlobalSpace::KST_KServiceSeparator (enum)
    {80, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 16},	//945 QGlobalSpace::KST_KCustom (enum)
    {80, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 17},	//946 QGlobalSpace::QtDebugMsg (enum)
    {80, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 18},	//947 QGlobalSpace::QtWarningMsg (enum)
    {80, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 19},	//948 QGlobalSpace::QtCriticalMsg (enum)
    {80, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 20},	//949 QGlobalSpace::QtFatalMsg (enum)
    {80, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 21},	//950 QGlobalSpace::QtSystemMsg (enum)
    {80, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 22},	//951 QGlobalSpace::KST_KServiceFactory (enum)
    {80, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 23},	//952 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {80, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 24},	//953 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {80, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 25},	//954 QGlobalSpace::KST_KImageIO (enum)
    {80, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 26},	//955 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {80, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 27},	//956 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {80, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 28},	//957 QGlobalSpace::KST_CTimeInfo (enum)
    {80, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 29},	//958 QGlobalSpace::__codecvt_ok (enum)
    {80, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 30},	//959 QGlobalSpace::__codecvt_partial (enum)
    {80, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 31},	//960 QGlobalSpace::__codecvt_error (enum)
    {80, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 32},	//961 QGlobalSpace::__codecvt_noconv (enum)
    {92, 448, 19, 1, Smoke::mf_virtual, 228, 0},	//962 QObject::event(QEvent*)
    {92, 449, 542, 2, Smoke::mf_virtual, 228, 0},	//963 QObject::eventFilter(QObject*, QEvent*)
    {92, 943, 545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//964 QObject::timerEvent(QTimerEvent*)
    {92, 289, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//965 QObject::childEvent(QChildEvent*)
    {92, 380, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//966 QObject::customEvent(QEvent*)
    {92, 346, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//967 QObject::connectNotify(const char*)
    {92, 402, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//968 QObject::disconnectNotify(const char*)
    {109, 400, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//969 QWidget::devType() const
    {109, 896, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//970 QWidget::setVisible(bool)
    {109, 907, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 137, 0},	//971 QWidget::sizeHint() const
    {109, 604, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 137, 0},	//972 QWidget::minimumSizeHint() const
    {109, 486, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//973 QWidget::heightForWidth(int) const
    {109, 668, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 130, 0},	//974 QWidget::paintEngine() const
    {109, 448, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//975 QWidget::event(QEvent*)
    {109, 625, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//976 QWidget::mousePressEvent(QMouseEvent*)
    {109, 626, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//977 QWidget::mouseReleaseEvent(QMouseEvent*)
    {109, 617, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//978 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {109, 622, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//979 QWidget::mouseMoveEvent(QMouseEvent*)
    {109, 994, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//980 QWidget::wheelEvent(QWheelEvent*)
    {109, 538, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//981 QWidget::keyPressEvent(QKeyEvent*)
    {109, 539, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//982 QWidget::keyReleaseEvent(QKeyEvent*)
    {109, 468, 555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//983 QWidget::focusInEvent(QFocusEvent*)
    {109, 472, 555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//984 QWidget::focusOutEvent(QFocusEvent*)
    {109, 447, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//985 QWidget::enterEvent(QEvent*)
    {109, 541, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//986 QWidget::leaveEvent(QEvent*)
    {109, 669, 557, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//987 QWidget::paintEvent(QPaintEvent*)
    {109, 628, 559, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//988 QWidget::moveEvent(QMoveEvent*)
    {109, 763, 561, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//989 QWidget::resizeEvent(QResizeEvent*)
    {109, 313, 563, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//990 QWidget::closeEvent(QCloseEvent*)
    {109, 357, 565, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//991 QWidget::contextMenuEvent(QContextMenuEvent*)
    {109, 927, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//992 QWidget::tabletEvent(QTabletEvent*)
    {109, 219, 569, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//993 QWidget::actionEvent(QActionEvent*)
    {109, 424, 571, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//994 QWidget::dragEnterEvent(QDragEnterEvent*)
    {109, 426, 573, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//995 QWidget::dragMoveEvent(QDragMoveEvent*)
    {109, 425, 575, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//996 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {109, 427, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//997 QWidget::dropEvent(QDropEvent*)
    {109, 905, 579, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//998 QWidget::showEvent(QShowEvent*)
    {109, 489, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//999 QWidget::hideEvent(QHideEvent*)
    {109, 1003, 583, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//1000 QWidget::x11Event(_XEvent*)
    {109, 276, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1001 QWidget::changeEvent(QEvent*)
    {109, 600, 585, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 292, 0},	//1002 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {109, 504, 587, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1003 QWidget::inputMethodEvent(QInputMethodEvent*)
    {109, 505, 589, 1, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//1004 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {109, 469, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//1005 QWidget::focusNextPrevChild(bool)
    {109, 922, 591, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1006 QWidget::styleChange(QStyle&)
    {109, 439, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1007 QWidget::enabledChange(bool)
    {109, 670, 593, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1008 QWidget::paletteChange(const QPalette&)
    {109, 474, 595, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1009 QWidget::fontChange(const QFont&)
    {109, 996, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1010 QWidget::windowActivationChange(bool)
    {109, 540, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QWidget::languageChange()
    {109, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//1012 QWidget::DrawWindowBackground (enum)
    {109, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 45},	//1013 QWidget::DrawChildren (enum)
    {109, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 46},	//1014 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    760,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    761,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    720,  // KTextEditor::SmartRange::smartEnd()
    721,  // KTextEditor::SmartRange::smartEnd() const
    0,
    718,  // KTextEditor::SmartRange::smartStart()
    719,  // KTextEditor::SmartRange::smartStart() const
    0,
    34,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    37,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    44,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    32,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    33,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    35,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    36,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    38,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    39,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    40,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    45,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    705,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    706,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    710,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    707,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    711,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    674,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    676,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    0,
    698,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    699,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    668,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    669,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    0,
    548,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    585,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    571,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    572,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    559,  // KTextEditor::Range::end()
    560,  // KTextEditor::Range::end() const
    0,
    557,  // KTextEditor::Range::start()
    558,  // KTextEditor::Range::start() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {22, 365, 43},	// KTextEditor::createPlugin?#
    {22, 433, 42},	// KTextEditor::editor$
    {22, 658, -10},	// KTextEditor::operator|?$
    {22, 659, -15},	// KTextEditor::operator|??
    {23, 6, 48},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {23, 7, 49},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {23, 250, 47},	// KTextEditor::AnnotationInterface::annotationModel
    {23, 786, 46},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {23, 1005, 50},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {24, 8, 61},	// KTextEditor::AnnotationModel::AnnotationModel
    {24, 382, 58},	// KTextEditor::AnnotationModel::data$$
    {24, 545, 60},	// KTextEditor::AnnotationModel::lineChanged$
    {24, 599, 51},	// KTextEditor::AnnotationModel::metaObject
    {24, 693, 57},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {24, 695, 52},	// KTextEditor::AnnotationModel::qt_metacast$
    {24, 762, 59},	// KTextEditor::AnnotationModel::reset
    {24, 921, 64},	// KTextEditor::AnnotationModel::staticMetaObject
    {24, 949, 62},	// KTextEditor::AnnotationModel::tr$
    {24, 950, 53},	// KTextEditor::AnnotationModel::tr$$
    {24, 951, 55},	// KTextEditor::AnnotationModel::tr$$$
    {24, 953, 63},	// KTextEditor::AnnotationModel::trUtf8$
    {24, 954, 54},	// KTextEditor::AnnotationModel::trUtf8$$
    {24, 955, 56},	// KTextEditor::AnnotationModel::trUtf8$$$
    {24, 1006, 65},	// KTextEditor::AnnotationModel::~AnnotationModel
    {25, 9, 71},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {25, 10, 72},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {25, 245, 69},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {25, 247, 70},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {25, 249, 68},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {25, 529, 67},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {25, 784, 66},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {25, 1007, 73},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {26, 4, 105},	// KTextEditor::Attribute::ActivateCaretIn
    {26, 5, 104},	// KTextEditor::Attribute::ActivateMouseIn
    {26, 13, 74},	// KTextEditor::Attribute::Attribute
    {26, 14, 75},	// KTextEditor::Attribute::Attribute#
    {26, 15, 101},	// KTextEditor::Attribute::AttributeDynamicEffect
    {26, 16, 102},	// KTextEditor::Attribute::AttributeInternalProperty
    {26, 17, 103},	// KTextEditor::Attribute::AttributeUserProperty
    {26, 19, 100},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {26, 66, 110},	// KTextEditor::Attribute::EffectCycleGradient
    {26, 67, 107},	// KTextEditor::Attribute::EffectFadeIn
    {26, 68, 108},	// KTextEditor::Attribute::EffectFadeOut
    {26, 69, 106},	// KTextEditor::Attribute::EffectNone
    {26, 70, 109},	// KTextEditor::Attribute::EffectPulse
    {26, 137, 97},	// KTextEditor::Attribute::Outline
    {26, 166, 99},	// KTextEditor::Attribute::SelectedBackground
    {26, 167, 98},	// KTextEditor::Attribute::SelectedForeground
    {26, 254, 88},	// KTextEditor::Attribute::associatedActions
    {26, 264, 84},	// KTextEditor::Attribute::backgroundFillWhitespace
    {26, 295, 86},	// KTextEditor::Attribute::clear
    {26, 297, 89},	// KTextEditor::Attribute::clearAssociatedActions
    {26, 430, 90},	// KTextEditor::Attribute::dynamicAttribute$
    {26, 435, 92},	// KTextEditor::Attribute::effects
    {26, 473, 76},	// KTextEditor::Attribute::fontBold
    {26, 477, 87},	// KTextEditor::Attribute::hasAnyProperty
    {26, 654, 94},	// KTextEditor::Attribute::operator+=#
    {26, 656, 95},	// KTextEditor::Attribute::operator=#
    {26, 660, 78},	// KTextEditor::Attribute::outline
    {26, 774, 82},	// KTextEditor::Attribute::selectedBackground
    {26, 775, 80},	// KTextEditor::Attribute::selectedForeground
    {26, 792, 85},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {26, 815, 91},	// KTextEditor::Attribute::setDynamicAttribute$?
    {26, 819, 93},	// KTextEditor::Attribute::setEffects$
    {26, 822, 96},	// KTextEditor::Attribute::setFontBold
    {26, 823, 77},	// KTextEditor::Attribute::setFontBold$
    {26, 866, 79},	// KTextEditor::Attribute::setOutline#
    {26, 880, 83},	// KTextEditor::Attribute::setSelectedBackground#
    {26, 882, 81},	// KTextEditor::Attribute::setSelectedForeground#
    {26, 1008, 111},	// KTextEditor::Attribute::~Attribute
    {27, 28, 120},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {27, 29, 121},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {27, 211, 114},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {27, 475, 115},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {27, 530, 118},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {27, 531, 112},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {27, 723, 116},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {27, 789, 122},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {27, 790, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {27, 918, 113},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {27, 965, 117},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {27, 1009, 123},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {28, 1, 201},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {28, 2, 199},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {28, 3, 200},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {28, 11, 197},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {28, 12, 156},	// KTextEditor::CodeCompletionModel::Arguments
    {28, 18, 203},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {28, 20, 198},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {28, 27, 166},	// KTextEditor::CodeCompletionModel::Class
    {28, 31, 131},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {28, 34, 150},	// KTextEditor::CodeCompletionModel::ColumnCount
    {28, 41, 187},	// KTextEditor::CodeCompletionModel::CompletionRole
    {28, 46, 164},	// KTextEditor::CodeCompletionModel::Const
    {28, 52, 192},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {28, 53, 186},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {28, 71, 171},	// KTextEditor::CodeCompletionModel::Enum
    {28, 76, 195},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {28, 79, 159},	// KTextEditor::CodeCompletionModel::FirstProperty
    {28, 80, 177},	// KTextEditor::CodeCompletionModel::Friend
    {28, 81, 169},	// KTextEditor::CodeCompletionModel::Function
    {28, 82, 182},	// KTextEditor::CodeCompletionModel::GlobalScope
    {28, 83, 202},	// KTextEditor::CodeCompletionModel::GroupRole
    {28, 84, 191},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {28, 85, 153},	// KTextEditor::CodeCompletionModel::Icon
    {28, 87, 193},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {28, 88, 176},	// KTextEditor::CodeCompletionModel::Inline
    {28, 89, 185},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {28, 90, 194},	// KTextEditor::CodeCompletionModel::IsExpandable
    {28, 91, 196},	// KTextEditor::CodeCompletionModel::ItemSelected
    {28, 110, 151},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {28, 111, 183},	// KTextEditor::CodeCompletionModel::LastProperty
    {28, 114, 180},	// KTextEditor::CodeCompletionModel::LocalScope
    {28, 115, 205},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {28, 122, 189},	// KTextEditor::CodeCompletionModel::MatchQuality
    {28, 128, 155},	// KTextEditor::CodeCompletionModel::Name
    {28, 129, 165},	// KTextEditor::CodeCompletionModel::Namespace
    {28, 130, 181},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {28, 131, 184},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {28, 132, 158},	// KTextEditor::CodeCompletionModel::NoProperty
    {28, 138, 175},	// KTextEditor::CodeCompletionModel::Override
    {28, 141, 157},	// KTextEditor::CodeCompletionModel::Postfix
    {28, 142, 152},	// KTextEditor::CodeCompletionModel::Prefix
    {28, 143, 162},	// KTextEditor::CodeCompletionModel::Private
    {28, 144, 161},	// KTextEditor::CodeCompletionModel::Protected
    {28, 145, 160},	// KTextEditor::CodeCompletionModel::Public
    {28, 162, 154},	// KTextEditor::CodeCompletionModel::Scope
    {28, 163, 188},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {28, 170, 190},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {28, 171, 178},	// KTextEditor::CodeCompletionModel::Signal
    {28, 172, 179},	// KTextEditor::CodeCompletionModel::Slot
    {28, 189, 163},	// KTextEditor::CodeCompletionModel::Static
    {28, 191, 167},	// KTextEditor::CodeCompletionModel::Struct
    {28, 192, 172},	// KTextEditor::CodeCompletionModel::Template
    {28, 197, 173},	// KTextEditor::CodeCompletionModel::TypeAlias
    {28, 198, 168},	// KTextEditor::CodeCompletionModel::Union
    {28, 199, 204},	// KTextEditor::CodeCompletionModel::UserInvocation
    {28, 200, 170},	// KTextEditor::CodeCompletionModel::Variable
    {28, 205, 174},	// KTextEditor::CodeCompletionModel::Virtual
    {28, 319, 146},	// KTextEditor::CodeCompletionModel::columnCount
    {28, 320, 135},	// KTextEditor::CodeCompletionModel::columnCount#
    {28, 325, 133},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {28, 453, 134},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {28, 479, 140},	// KTextEditor::CodeCompletionModel::hasGroups
    {28, 481, 142},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {28, 500, 147},	// KTextEditor::CodeCompletionModel::index$$
    {28, 501, 136},	// KTextEditor::CodeCompletionModel::index$$#
    {28, 537, 137},	// KTextEditor::CodeCompletionModel::itemData#
    {28, 599, 124},	// KTextEditor::CodeCompletionModel::metaObject
    {28, 672, 138},	// KTextEditor::CodeCompletionModel::parent#
    {28, 693, 130},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {28, 695, 125},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {28, 765, 148},	// KTextEditor::CodeCompletionModel::rowCount
    {28, 766, 139},	// KTextEditor::CodeCompletionModel::rowCount#
    {28, 825, 143},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {28, 877, 132},	// KTextEditor::CodeCompletionModel::setRowCount$
    {28, 921, 149},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {28, 949, 144},	// KTextEditor::CodeCompletionModel::tr$
    {28, 950, 126},	// KTextEditor::CodeCompletionModel::tr$$
    {28, 951, 128},	// KTextEditor::CodeCompletionModel::tr$$$
    {28, 953, 145},	// KTextEditor::CodeCompletionModel::trUtf8$
    {28, 954, 127},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {28, 955, 129},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {28, 988, 141},	// KTextEditor::CodeCompletionModel::waitForReset
    {28, 1010, 206},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {29, 33, 214},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {29, 455, 215},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {29, 599, 207},	// KTextEditor::CodeCompletionModel2::metaObject
    {29, 693, 213},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {29, 695, 208},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {29, 921, 218},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {29, 949, 216},	// KTextEditor::CodeCompletionModel2::tr$
    {29, 950, 209},	// KTextEditor::CodeCompletionModel2::tr$$
    {29, 951, 211},	// KTextEditor::CodeCompletionModel2::tr$$$
    {29, 953, 217},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {29, 954, 210},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {29, 955, 212},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {29, 1011, 219},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {30, 35, 223},	// KTextEditor::Command::Command
    {30, 36, 224},	// KTextEditor::Command::Command#
    {30, 317, 220},	// KTextEditor::Command::cmds
    {30, 451, 221},	// KTextEditor::Command::exec#$$
    {30, 488, 222},	// KTextEditor::Command::help#$$
    {30, 1012, 225},	// KTextEditor::Command::~Command
    {31, 37, 230},	// KTextEditor::CommandExtension::CommandExtension
    {31, 38, 231},	// KTextEditor::CommandExtension::CommandExtension#
    {31, 327, 227},	// KTextEditor::CommandExtension::completionObject#$
    {31, 464, 226},	// KTextEditor::CommandExtension::flagCompletions?
    {31, 691, 229},	// KTextEditor::CommandExtension::processText#$
    {31, 991, 228},	// KTextEditor::CommandExtension::wantsToProcessText$
    {31, 1013, 232},	// KTextEditor::CommandExtension::~CommandExtension
    {32, 39, 238},	// KTextEditor::CommandInterface::CommandInterface
    {32, 40, 239},	// KTextEditor::CommandInterface::CommandInterface#
    {32, 322, 237},	// KTextEditor::CommandInterface::commandList
    {32, 323, 236},	// KTextEditor::CommandInterface::commands
    {32, 698, 235},	// KTextEditor::CommandInterface::queryCommand$
    {32, 721, 233},	// KTextEditor::CommandInterface::registerCommand#
    {32, 963, 234},	// KTextEditor::CommandInterface::unregisterCommand#
    {32, 1014, 240},	// KTextEditor::CommandInterface::~CommandInterface
    {33, 42, 241},	// KTextEditor::ConfigInterface::ConfigInterface
    {33, 43, 245},	// KTextEditor::ConfigInterface::ConfigInterface#
    {33, 332, 242},	// KTextEditor::ConfigInterface::configKeys
    {33, 343, 243},	// KTextEditor::ConfigInterface::configValue$
    {33, 805, 244},	// KTextEditor::ConfigInterface::setConfigValue$#
    {33, 1015, 246},	// KTextEditor::ConfigInterface::~ConfigInterface
    {34, 45, 254},	// KTextEditor::ConfigPage::ConfigPage#
    {34, 251, 255},	// KTextEditor::ConfigPage::apply
    {34, 277, 258},	// KTextEditor::ConfigPage::changed
    {34, 391, 257},	// KTextEditor::ConfigPage::defaults
    {34, 599, 247},	// KTextEditor::ConfigPage::metaObject
    {34, 693, 253},	// KTextEditor::ConfigPage::qt_metacall$$?
    {34, 695, 248},	// KTextEditor::ConfigPage::qt_metacast$
    {34, 762, 256},	// KTextEditor::ConfigPage::reset
    {34, 921, 261},	// KTextEditor::ConfigPage::staticMetaObject
    {34, 949, 259},	// KTextEditor::ConfigPage::tr$
    {34, 950, 249},	// KTextEditor::ConfigPage::tr$$
    {34, 951, 251},	// KTextEditor::ConfigPage::tr$$$
    {34, 953, 260},	// KTextEditor::ConfigPage::trUtf8$
    {34, 954, 250},	// KTextEditor::ConfigPage::trUtf8$$
    {34, 955, 252},	// KTextEditor::ConfigPage::trUtf8$$$
    {34, 1016, 262},	// KTextEditor::ConfigPage::~ConfigPage
    {35, 47, 263},	// KTextEditor::ContainerInterface::ContainerInterface
    {35, 48, 266},	// KTextEditor::ContainerInterface::ContainerInterface#
    {35, 347, 265},	// KTextEditor::ContainerInterface::container
    {35, 807, 264},	// KTextEditor::ContainerInterface::setContainer#
    {35, 1017, 267},	// KTextEditor::ContainerInterface::~ContainerInterface
    {36, 49, 268},	// KTextEditor::Cursor::Cursor
    {36, 50, 270},	// KTextEditor::Cursor::Cursor#
    {36, 51, 269},	// KTextEditor::Cursor::Cursor$$
    {36, 257, 283},	// KTextEditor::Cursor::atStartOfDocument
    {36, 258, 282},	// KTextEditor::Cursor::atStartOfLine
    {36, 318, 280},	// KTextEditor::Cursor::column
    {36, 370, 288},	// KTextEditor::Cursor::cursorChangedDirectly#
    {36, 527, 274},	// KTextEditor::Cursor::invalid
    {36, 533, 272},	// KTextEditor::Cursor::isSmartCursor
    {36, 535, 271},	// KTextEditor::Cursor::isValid
    {36, 542, 278},	// KTextEditor::Cursor::line
    {36, 550, 291},	// KTextEditor::Cursor::m_column
    {36, 552, 289},	// KTextEditor::Cursor::m_line
    {36, 553, 293},	// KTextEditor::Cursor::m_range
    {36, 656, 286},	// KTextEditor::Cursor::operator=#
    {36, 680, 284},	// KTextEditor::Cursor::position$$
    {36, 699, 285},	// KTextEditor::Cursor::range
    {36, 802, 281},	// KTextEditor::Cursor::setColumn$
    {36, 833, 279},	// KTextEditor::Cursor::setLine$
    {36, 836, 292},	// KTextEditor::Cursor::setM_column$
    {36, 840, 290},	// KTextEditor::Cursor::setM_line$
    {36, 842, 294},	// KTextEditor::Cursor::setM_range#
    {36, 870, 276},	// KTextEditor::Cursor::setPosition#
    {36, 871, 277},	// KTextEditor::Cursor::setPosition$$
    {36, 873, 287},	// KTextEditor::Cursor::setRange#
    {36, 916, 275},	// KTextEditor::Cursor::start
    {36, 944, 273},	// KTextEditor::Cursor::toSmartCursor
    {36, 1018, 295},	// KTextEditor::Cursor::~Cursor
    {37, 56, 370},	// KTextEditor::Document::Document
    {37, 57, 303},	// KTextEditor::Document::Document#
    {37, 214, 350},	// KTextEditor::Document::aboutToClose#
    {37, 216, 351},	// KTextEditor::Document::aboutToReload#
    {37, 220, 306},	// KTextEditor::Document::activeView
    {37, 279, 324},	// KTextEditor::Document::character#
    {37, 295, 336},	// KTextEditor::Document::clear
    {37, 367, 305},	// KTextEditor::Document::createView#
    {37, 372, 342},	// KTextEditor::Document::cursorInText#
    {37, 409, 328},	// KTextEditor::Document::documentEnd
    {37, 411, 309},	// KTextEditor::Document::documentName
    {37, 413, 311},	// KTextEditor::Document::documentNameChanged#
    {37, 414, 329},	// KTextEditor::Document::documentRange
    {37, 415, 316},	// KTextEditor::Document::documentReload
    {37, 416, 317},	// KTextEditor::Document::documentSave
    {37, 417, 318},	// KTextEditor::Document::documentSaveAs
    {37, 419, 319},	// KTextEditor::Document::documentSavedOrUploaded#$
    {37, 421, 312},	// KTextEditor::Document::documentUrlChanged#
    {37, 432, 304},	// KTextEditor::Document::editor
    {37, 440, 315},	// KTextEditor::Document::encoding
    {37, 444, 321},	// KTextEditor::Document::endEditing
    {37, 446, 333},	// KTextEditor::Document::endOfLine$
    {37, 490, 353},	// KTextEditor::Document::highlightingMode
    {37, 492, 361},	// KTextEditor::Document::highlightingModeChanged#
    {37, 494, 358},	// KTextEditor::Document::highlightingModeSection$
    {37, 495, 355},	// KTextEditor::Document::highlightingModes
    {37, 509, 343},	// KTextEditor::Document::insertLine$$
    {37, 511, 344},	// KTextEditor::Document::insertLines$?
    {37, 518, 373},	// KTextEditor::Document::insertText#$
    {37, 519, 337},	// KTextEditor::Document::insertText#$$
    {37, 520, 374},	// KTextEditor::Document::insertText#?
    {37, 521, 338},	// KTextEditor::Document::insertText#?$
    {37, 532, 331},	// KTextEditor::Document::isEmpty
    {37, 543, 326},	// KTextEditor::Document::line$
    {37, 547, 332},	// KTextEditor::Document::lineLength$
    {37, 548, 327},	// KTextEditor::Document::lines
    {37, 599, 296},	// KTextEditor::Document::metaObject
    {37, 602, 310},	// KTextEditor::Document::mimeType
    {37, 605, 352},	// KTextEditor::Document::mode
    {37, 607, 360},	// KTextEditor::Document::modeChanged#
    {37, 609, 359},	// KTextEditor::Document::modeSection$
    {37, 610, 354},	// KTextEditor::Document::modes
    {37, 612, 313},	// KTextEditor::Document::modifiedChanged#
    {37, 651, 364},	// KTextEditor::Document::openingError
    {37, 652, 365},	// KTextEditor::Document::openingErrorMessage
    {37, 693, 302},	// KTextEditor::Document::qt_metacall$$?
    {37, 695, 297},	// KTextEditor::Document::qt_metacast$
    {37, 738, 345},	// KTextEditor::Document::removeLine$
    {37, 747, 377},	// KTextEditor::Document::removeText#
    {37, 748, 341},	// KTextEditor::Document::removeText#$
    {37, 755, 375},	// KTextEditor::Document::replaceText#$
    {37, 756, 339},	// KTextEditor::Document::replaceText#$$
    {37, 757, 376},	// KTextEditor::Document::replaceText#?
    {37, 758, 340},	// KTextEditor::Document::replaceText#?$
    {37, 821, 314},	// KTextEditor::Document::setEncoding$
    {37, 828, 357},	// KTextEditor::Document::setHighlightingMode$
    {37, 853, 356},	// KTextEditor::Document::setMode$
    {37, 862, 366},	// KTextEditor::Document::setOpeningError$
    {37, 864, 367},	// KTextEditor::Document::setOpeningErrorMessage$
    {37, 890, 362},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {37, 892, 334},	// KTextEditor::Document::setText$
    {37, 893, 335},	// KTextEditor::Document::setText?
    {37, 919, 320},	// KTextEditor::Document::startEditing
    {37, 921, 378},	// KTextEditor::Document::staticMetaObject
    {37, 926, 363},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {37, 928, 322},	// KTextEditor::Document::text
    {37, 929, 371},	// KTextEditor::Document::text#
    {37, 930, 323},	// KTextEditor::Document::text#$
    {37, 933, 346},	// KTextEditor::Document::textChanged#
    {37, 934, 349},	// KTextEditor::Document::textChanged###
    {37, 936, 347},	// KTextEditor::Document::textInserted##
    {37, 939, 372},	// KTextEditor::Document::textLines#
    {37, 940, 325},	// KTextEditor::Document::textLines#$
    {37, 942, 348},	// KTextEditor::Document::textRemoved##
    {37, 947, 330},	// KTextEditor::Document::totalCharacters
    {37, 949, 368},	// KTextEditor::Document::tr$
    {37, 950, 298},	// KTextEditor::Document::tr$$
    {37, 951, 300},	// KTextEditor::Document::tr$$$
    {37, 953, 369},	// KTextEditor::Document::trUtf8$
    {37, 954, 299},	// KTextEditor::Document::trUtf8$$
    {37, 955, 301},	// KTextEditor::Document::trUtf8$$$
    {37, 977, 308},	// KTextEditor::Document::viewCreated##
    {37, 986, 307},	// KTextEditor::Document::views
    {37, 1019, 379},	// KTextEditor::Document::~Document
    {38, 63, 387},	// KTextEditor::Editor::Editor#
    {38, 212, 392},	// KTextEditor::Editor::aboutData
    {38, 330, 396},	// KTextEditor::Editor::configDialog#
    {38, 331, 395},	// KTextEditor::Editor::configDialogSupported
    {38, 334, 398},	// KTextEditor::Editor::configPage$#
    {38, 336, 400},	// KTextEditor::Editor::configPageFullName$
    {38, 338, 401},	// KTextEditor::Editor::configPageIcon$
    {38, 340, 399},	// KTextEditor::Editor::configPageName$
    {38, 341, 397},	// KTextEditor::Editor::configPages
    {38, 360, 390},	// KTextEditor::Editor::createDocument#
    {38, 408, 402},	// KTextEditor::Editor::documentCreated##
    {38, 422, 391},	// KTextEditor::Editor::documents
    {38, 599, 380},	// KTextEditor::Editor::metaObject
    {38, 693, 386},	// KTextEditor::Editor::qt_metacall$$?
    {38, 695, 381},	// KTextEditor::Editor::qt_metacast$
    {38, 715, 405},	// KTextEditor::Editor::readConfig
    {38, 716, 393},	// KTextEditor::Editor::readConfig#
    {38, 888, 388},	// KTextEditor::Editor::setSimpleMode$
    {38, 906, 389},	// KTextEditor::Editor::simpleMode
    {38, 921, 407},	// KTextEditor::Editor::staticMetaObject
    {38, 949, 403},	// KTextEditor::Editor::tr$
    {38, 950, 382},	// KTextEditor::Editor::tr$$
    {38, 951, 384},	// KTextEditor::Editor::tr$$$
    {38, 953, 404},	// KTextEditor::Editor::trUtf8$
    {38, 954, 383},	// KTextEditor::Editor::trUtf8$$
    {38, 955, 385},	// KTextEditor::Editor::trUtf8$$$
    {38, 999, 406},	// KTextEditor::Editor::writeConfig
    {38, 1000, 394},	// KTextEditor::Editor::writeConfig#
    {38, 1020, 408},	// KTextEditor::Editor::~Editor
    {39, 64, 423},	// KTextEditor::EditorChooser::EditorChooser
    {39, 65, 416},	// KTextEditor::EditorChooser::EditorChooser#
    {39, 277, 420},	// KTextEditor::EditorChooser::changed
    {39, 432, 426},	// KTextEditor::EditorChooser::editor
    {39, 433, 427},	// KTextEditor::EditorChooser::editor$
    {39, 434, 419},	// KTextEditor::EditorChooser::editor$$
    {39, 599, 409},	// KTextEditor::EditorChooser::metaObject
    {39, 693, 415},	// KTextEditor::EditorChooser::qt_metacall$$?
    {39, 695, 410},	// KTextEditor::EditorChooser::qt_metacast$
    {39, 713, 424},	// KTextEditor::EditorChooser::readAppSetting
    {39, 714, 417},	// KTextEditor::EditorChooser::readAppSetting$
    {39, 921, 428},	// KTextEditor::EditorChooser::staticMetaObject
    {39, 949, 421},	// KTextEditor::EditorChooser::tr$
    {39, 950, 411},	// KTextEditor::EditorChooser::tr$$
    {39, 951, 413},	// KTextEditor::EditorChooser::tr$$$
    {39, 953, 422},	// KTextEditor::EditorChooser::trUtf8$
    {39, 954, 412},	// KTextEditor::EditorChooser::trUtf8$$
    {39, 955, 414},	// KTextEditor::EditorChooser::trUtf8$$$
    {39, 997, 425},	// KTextEditor::EditorChooser::writeAppSetting
    {39, 998, 418},	// KTextEditor::EditorChooser::writeAppSetting$
    {39, 1021, 429},	// KTextEditor::EditorChooser::~EditorChooser
    {40, 78, 437},	// KTextEditor::Factory::Factory#
    {40, 432, 438},	// KTextEditor::Factory::editor
    {40, 599, 430},	// KTextEditor::Factory::metaObject
    {40, 693, 436},	// KTextEditor::Factory::qt_metacall$$?
    {40, 695, 431},	// KTextEditor::Factory::qt_metacast$
    {40, 921, 441},	// KTextEditor::Factory::staticMetaObject
    {40, 949, 439},	// KTextEditor::Factory::tr$
    {40, 950, 432},	// KTextEditor::Factory::tr$$
    {40, 951, 434},	// KTextEditor::Factory::tr$$$
    {40, 953, 440},	// KTextEditor::Factory::trUtf8$
    {40, 954, 433},	// KTextEditor::Factory::trUtf8$$
    {40, 955, 435},	// KTextEditor::Factory::trUtf8$$$
    {40, 1022, 442},	// KTextEditor::Factory::~Factory
    {41, 116, 443},	// KTextEditor::Mark::Mark
    {41, 117, 444},	// KTextEditor::Mark::Mark#
    {41, 542, 445},	// KTextEditor::Mark::line
    {41, 833, 446},	// KTextEditor::Mark::setLine$
    {41, 895, 448},	// KTextEditor::Mark::setType$
    {41, 959, 447},	// KTextEditor::Mark::type
    {41, 1023, 449},	// KTextEditor::Mark::~Mark
    {42, 21, 500},	// KTextEditor::MarkInterface::Bookmark
    {42, 22, 501},	// KTextEditor::MarkInterface::BreakpointActive
    {42, 23, 503},	// KTextEditor::MarkInterface::BreakpointDisabled
    {42, 24, 502},	// KTextEditor::MarkInterface::BreakpointReached
    {42, 72, 506},	// KTextEditor::MarkInterface::Error
    {42, 73, 504},	// KTextEditor::MarkInterface::Execution
    {42, 118, 507},	// KTextEditor::MarkInterface::MarkAdded
    {42, 119, 450},	// KTextEditor::MarkInterface::MarkInterface
    {42, 120, 467},	// KTextEditor::MarkInterface::MarkInterface#
    {42, 121, 508},	// KTextEditor::MarkInterface::MarkRemoved
    {42, 206, 505},	// KTextEditor::MarkInterface::Warning
    {42, 234, 454},	// KTextEditor::MarkInterface::addMark$$
    {42, 302, 453},	// KTextEditor::MarkInterface::clearMark$
    {42, 303, 457},	// KTextEditor::MarkInterface::clearMarks
    {42, 431, 465},	// KTextEditor::MarkInterface::editableMarks
    {42, 556, 451},	// KTextEditor::MarkInterface::mark$
    {42, 558, 466},	// KTextEditor::MarkInterface::markChanged##$
    {42, 560, 463},	// KTextEditor::MarkInterface::markDescription$
    {42, 562, 461},	// KTextEditor::MarkInterface::markPixmap$
    {42, 563, 468},	// KTextEditor::MarkInterface::markType01
    {42, 564, 469},	// KTextEditor::MarkInterface::markType02
    {42, 565, 470},	// KTextEditor::MarkInterface::markType03
    {42, 566, 471},	// KTextEditor::MarkInterface::markType04
    {42, 567, 472},	// KTextEditor::MarkInterface::markType05
    {42, 568, 473},	// KTextEditor::MarkInterface::markType06
    {42, 569, 474},	// KTextEditor::MarkInterface::markType07
    {42, 570, 475},	// KTextEditor::MarkInterface::markType08
    {42, 571, 476},	// KTextEditor::MarkInterface::markType09
    {42, 572, 477},	// KTextEditor::MarkInterface::markType10
    {42, 573, 478},	// KTextEditor::MarkInterface::markType11
    {42, 574, 479},	// KTextEditor::MarkInterface::markType12
    {42, 575, 480},	// KTextEditor::MarkInterface::markType13
    {42, 576, 481},	// KTextEditor::MarkInterface::markType14
    {42, 577, 482},	// KTextEditor::MarkInterface::markType15
    {42, 578, 483},	// KTextEditor::MarkInterface::markType16
    {42, 579, 484},	// KTextEditor::MarkInterface::markType17
    {42, 580, 485},	// KTextEditor::MarkInterface::markType18
    {42, 581, 486},	// KTextEditor::MarkInterface::markType19
    {42, 582, 487},	// KTextEditor::MarkInterface::markType20
    {42, 583, 488},	// KTextEditor::MarkInterface::markType21
    {42, 584, 489},	// KTextEditor::MarkInterface::markType22
    {42, 585, 490},	// KTextEditor::MarkInterface::markType23
    {42, 586, 491},	// KTextEditor::MarkInterface::markType24
    {42, 587, 492},	// KTextEditor::MarkInterface::markType25
    {42, 588, 493},	// KTextEditor::MarkInterface::markType26
    {42, 589, 494},	// KTextEditor::MarkInterface::markType27
    {42, 590, 495},	// KTextEditor::MarkInterface::markType28
    {42, 591, 496},	// KTextEditor::MarkInterface::markType29
    {42, 592, 497},	// KTextEditor::MarkInterface::markType30
    {42, 593, 498},	// KTextEditor::MarkInterface::markType31
    {42, 594, 499},	// KTextEditor::MarkInterface::markType32
    {42, 595, 456},	// KTextEditor::MarkInterface::marks
    {42, 597, 459},	// KTextEditor::MarkInterface::marksChanged#
    {42, 740, 455},	// KTextEditor::MarkInterface::removeMark$$
    {42, 761, 458},	// KTextEditor::MarkInterface::reservedMarkersCount
    {42, 817, 464},	// KTextEditor::MarkInterface::setEditableMarks$
    {42, 847, 452},	// KTextEditor::MarkInterface::setMark$$
    {42, 849, 462},	// KTextEditor::MarkInterface::setMarkDescription$$
    {42, 851, 460},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {42, 1024, 509},	// KTextEditor::MarkInterface::~MarkInterface
    {43, 123, 510},	// KTextEditor::MdiContainer::MdiContainer
    {43, 124, 517},	// KTextEditor::MdiContainer::MdiContainer#
    {43, 220, 512},	// KTextEditor::MdiContainer::activeView
    {43, 312, 514},	// KTextEditor::MdiContainer::closeDocument#
    {43, 316, 516},	// KTextEditor::MdiContainer::closeView#
    {43, 359, 513},	// KTextEditor::MdiContainer::createDocument
    {43, 367, 515},	// KTextEditor::MdiContainer::createView#
    {43, 782, 511},	// KTextEditor::MdiContainer::setActiveView#
    {43, 1025, 518},	// KTextEditor::MdiContainer::~MdiContainer
    {44, 125, 519},	// KTextEditor::ModificationInterface::ModificationInterface
    {44, 126, 524},	// KTextEditor::ModificationInterface::ModificationInterface#
    {44, 133, 528},	// KTextEditor::ModificationInterface::OnDiskCreated
    {44, 134, 529},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {44, 135, 527},	// KTextEditor::ModificationInterface::OnDiskModified
    {44, 136, 526},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {44, 614, 523},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {44, 856, 520},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {44, 858, 521},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {44, 908, 525},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {44, 909, 522},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {44, 1026, 530},	// KTextEditor::ModificationInterface::~ModificationInterface
    {45, 140, 538},	// KTextEditor::Plugin::Plugin#
    {45, 226, 539},	// KTextEditor::Plugin::addDocument#
    {45, 238, 541},	// KTextEditor::Plugin::addView#
    {45, 599, 531},	// KTextEditor::Plugin::metaObject
    {45, 693, 537},	// KTextEditor::Plugin::qt_metacall$$?
    {45, 695, 532},	// KTextEditor::Plugin::qt_metacast$
    {45, 732, 540},	// KTextEditor::Plugin::removeDocument#
    {45, 751, 542},	// KTextEditor::Plugin::removeView#
    {45, 921, 545},	// KTextEditor::Plugin::staticMetaObject
    {45, 949, 543},	// KTextEditor::Plugin::tr$
    {45, 950, 533},	// KTextEditor::Plugin::tr$$
    {45, 951, 535},	// KTextEditor::Plugin::tr$$$
    {45, 953, 544},	// KTextEditor::Plugin::trUtf8$
    {45, 954, 534},	// KTextEditor::Plugin::trUtf8$$
    {45, 955, 536},	// KTextEditor::Plugin::trUtf8$$$
    {45, 1027, 546},	// KTextEditor::Plugin::~Plugin
    {46, 156, 547},	// KTextEditor::Range::Range
    {46, 157, 552},	// KTextEditor::Range::Range#
    {46, 158, -40},	// KTextEditor::Range::Range##
    {46, 159, 549},	// KTextEditor::Range::Range#$
    {46, 160, 550},	// KTextEditor::Range::Range#$$
    {46, 161, 551},	// KTextEditor::Range::Range$$$$
    {46, 267, 580},	// KTextEditor::Range::boundaryAtCursor#
    {46, 269, 581},	// KTextEditor::Range::boundaryOnLine$
    {46, 321, 569},	// KTextEditor::Range::columnWidth
    {46, 345, 566},	// KTextEditor::Range::confineToRange#
    {46, 349, -43},	// KTextEditor::Range::contains#
    {46, 351, 574},	// KTextEditor::Range::containsColumn$
    {46, 353, 573},	// KTextEditor::Range::containsLine$
    {46, 442, 583},	// KTextEditor::Range::encompass#
    {46, 443, -46},	// KTextEditor::Range::end
    {46, 459, 565},	// KTextEditor::Range::expandToRange#
    {46, 526, 582},	// KTextEditor::Range::intersect#
    {46, 527, 554},	// KTextEditor::Range::invalid
    {46, 532, 570},	// KTextEditor::Range::isEmpty
    {46, 534, 555},	// KTextEditor::Range::isSmartRange
    {46, 535, 553},	// KTextEditor::Range::isValid
    {46, 551, 589},	// KTextEditor::Range::m_end
    {46, 554, 587},	// KTextEditor::Range::m_start
    {46, 647, 568},	// KTextEditor::Range::numberOfLines
    {46, 648, 567},	// KTextEditor::Range::onSingleLine
    {46, 656, 584},	// KTextEditor::Range::operator=#
    {46, 663, 575},	// KTextEditor::Range::overlaps#
    {46, 665, 577},	// KTextEditor::Range::overlapsColumn$
    {46, 667, 576},	// KTextEditor::Range::overlapsLine$
    {46, 686, 578},	// KTextEditor::Range::positionRelativeToCursor#
    {46, 688, 579},	// KTextEditor::Range::positionRelativeToLine$
    {46, 703, 586},	// KTextEditor::Range::rangeChanged##
    {46, 796, 562},	// KTextEditor::Range::setBothColumns$
    {46, 798, 561},	// KTextEditor::Range::setBothLines$
    {46, 838, 590},	// KTextEditor::Range::setM_end#
    {46, 844, 588},	// KTextEditor::Range::setM_start#
    {46, 873, 563},	// KTextEditor::Range::setRange#
    {46, 874, 564},	// KTextEditor::Range::setRange##
    {46, 916, -49},	// KTextEditor::Range::start
    {46, 945, 556},	// KTextEditor::Range::toSmartRange
    {46, 1028, 591},	// KTextEditor::Range::~Range
    {47, 164, 592},	// KTextEditor::SearchInterface::SearchInterface
    {47, 165, 595},	// KTextEditor::SearchInterface::SearchInterface#
    {47, 772, 596},	// KTextEditor::SearchInterface::searchText#$
    {47, 773, 593},	// KTextEditor::SearchInterface::searchText#$$
    {47, 925, 594},	// KTextEditor::SearchInterface::supportedSearchOptions
    {47, 1029, 597},	// KTextEditor::SearchInterface::~SearchInterface
    {48, 168, 598},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {48, 169, 601},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {48, 718, 599},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {48, 1002, 600},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {48, 1030, 602},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {49, 25, 625},	// KTextEditor::SmartCursor::ByCharacter
    {49, 26, 626},	// KTextEditor::SmartCursor::ByCursorPosition
    {49, 127, 628},	// KTextEditor::SmartCursor::MoveOnInsert
    {49, 174, 621},	// KTextEditor::SmartCursor::SmartCursor##$
    {49, 190, 627},	// KTextEditor::SmartCursor::StayOnInsert
    {49, 242, 623},	// KTextEditor::SmartCursor::advance$
    {49, 243, 612},	// KTextEditor::SmartCursor::advance$$
    {49, 255, 608},	// KTextEditor::SmartCursor::atEndOfDocument
    {49, 256, 607},	// KTextEditor::SmartCursor::atEndOfLine
    {49, 278, 610},	// KTextEditor::SmartCursor::character
    {49, 394, 617},	// KTextEditor::SmartCursor::deleteNotifier
    {49, 405, 606},	// KTextEditor::SmartCursor::document
    {49, 482, 615},	// KTextEditor::SmartCursor::hasNotifier
    {49, 506, 613},	// KTextEditor::SmartCursor::insertBehavior
    {49, 523, 622},	// KTextEditor::SmartCursor::insertText?
    {49, 524, 611},	// KTextEditor::SmartCursor::insertText?$
    {49, 533, 603},	// KTextEditor::SmartCursor::isSmartCursor
    {49, 535, 609},	// KTextEditor::SmartCursor::isValid
    {49, 645, 616},	// KTextEditor::SmartCursor::notifier
    {49, 656, 620},	// KTextEditor::SmartCursor::operator=#
    {49, 830, 614},	// KTextEditor::SmartCursor::setInsertBehavior$
    {49, 899, 624},	// KTextEditor::SmartCursor::setWatcher
    {49, 900, 619},	// KTextEditor::SmartCursor::setWatcher#
    {49, 912, 605},	// KTextEditor::SmartCursor::smartRange
    {49, 944, 604},	// KTextEditor::SmartCursor::toSmartCursor
    {49, 992, 618},	// KTextEditor::SmartCursor::watcher
    {49, 1031, 629},	// KTextEditor::SmartCursor::~SmartCursor
    {50, 175, 637},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {50, 281, 642},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {50, 283, 643},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {50, 398, 644},	// KTextEditor::SmartCursorNotifier::deleted#
    {50, 599, 630},	// KTextEditor::SmartCursorNotifier::metaObject
    {50, 682, 640},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {50, 684, 641},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {50, 693, 636},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {50, 695, 631},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {50, 898, 639},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {50, 921, 647},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {50, 949, 645},	// KTextEditor::SmartCursorNotifier::tr$
    {50, 950, 632},	// KTextEditor::SmartCursorNotifier::tr$$
    {50, 951, 634},	// KTextEditor::SmartCursorNotifier::tr$$$
    {50, 953, 646},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {50, 954, 633},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {50, 955, 635},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {50, 989, 638},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {50, 1032, 648},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {51, 176, 649},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {51, 177, 657},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {51, 281, 654},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {51, 283, 655},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {51, 398, 656},	// KTextEditor::SmartCursorWatcher::deleted#
    {51, 682, 652},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {51, 684, 653},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {51, 898, 651},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {51, 989, 650},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {51, 1033, 658},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {52, 178, 659},	// KTextEditor::SmartInterface::SmartInterface
    {52, 179, 697},	// KTextEditor::SmartInterface::SmartInterface#
    {52, 222, 687},	// KTextEditor::SmartInterface::addActionsToDocument#
    {52, 224, 691},	// KTextEditor::SmartInterface::addActionsToView##
    {52, 228, 712},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {52, 229, 679},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {52, 231, 713},	// KTextEditor::SmartInterface::addHighlightToView##
    {52, 232, 683},	// KTextEditor::SmartInterface::addHighlightToView##$
    {52, 261, 695},	// KTextEditor::SmartInterface::attributeDynamic?
    {52, 263, 696},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {52, 299, 690},	// KTextEditor::SmartInterface::clearDocumentActions
    {52, 300, 682},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {52, 304, 662},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {52, 305, 667},	// KTextEditor::SmartInterface::clearRevision
    {52, 306, 661},	// KTextEditor::SmartInterface::clearSmartInterface
    {52, 308, 694},	// KTextEditor::SmartInterface::clearViewActions#
    {52, 310, 686},	// KTextEditor::SmartInterface::clearViewHighlights#
    {52, 368, 664},	// KTextEditor::SmartInterface::currentRevision
    {52, 393, 672},	// KTextEditor::SmartInterface::deleteCursors
    {52, 396, 678},	// KTextEditor::SmartInterface::deleteRanges
    {52, 406, 689},	// KTextEditor::SmartInterface::documentActions
    {52, 410, 681},	// KTextEditor::SmartInterface::documentHighlights
    {52, 631, 700},	// KTextEditor::SmartInterface::newSmartCursor
    {52, 632, 701},	// KTextEditor::SmartInterface::newSmartCursor#
    {52, 633, 670},	// KTextEditor::SmartInterface::newSmartCursor#$
    {52, 634, 702},	// KTextEditor::SmartInterface::newSmartCursor$$
    {52, 635, 671},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {52, 636, 703},	// KTextEditor::SmartInterface::newSmartRange
    {52, 637, 704},	// KTextEditor::SmartInterface::newSmartRange#
    {52, 638, -24},	// KTextEditor::SmartInterface::newSmartRange##
    {52, 639, -28},	// KTextEditor::SmartInterface::newSmartRange###
    {52, 640, -31},	// KTextEditor::SmartInterface::newSmartRange###$
    {52, 641, 673},	// KTextEditor::SmartInterface::newSmartRange##$
    {52, 642, 708},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {52, 643, 709},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {52, 644, 675},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {52, 725, 665},	// KTextEditor::SmartInterface::releaseRevision$
    {52, 727, 688},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {52, 729, 692},	// KTextEditor::SmartInterface::removeActionsFromView##
    {52, 734, 680},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {52, 736, 684},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {52, 800, 663},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {52, 911, 660},	// KTextEditor::SmartInterface::smartMutex
    {52, 957, -34},	// KTextEditor::SmartInterface::translateFromRevision#
    {52, 958, -37},	// KTextEditor::SmartInterface::translateFromRevision#$
    {52, 961, 677},	// KTextEditor::SmartInterface::unbindSmartRange#
    {52, 967, 666},	// KTextEditor::SmartInterface::useRevision$
    {52, 975, 693},	// KTextEditor::SmartInterface::viewActions#
    {52, 982, 685},	// KTextEditor::SmartInterface::viewHighlights#
    {52, 1034, 714},	// KTextEditor::SmartInterface::~SmartInterface
    {53, 54, 774},	// KTextEditor::SmartRange::DoNotExpand
    {53, 74, 775},	// KTextEditor::SmartRange::ExpandLeft
    {53, 75, 776},	// KTextEditor::SmartRange::ExpandRight
    {53, 181, 772},	// KTextEditor::SmartRange::SmartRange##
    {53, 182, 773},	// KTextEditor::SmartRange::SmartRange###
    {53, 183, 762},	// KTextEditor::SmartRange::SmartRange###$
    {53, 236, 754},	// KTextEditor::SmartRange::addNotifier#
    {53, 240, 758},	// KTextEditor::SmartRange::addWatcher#
    {53, 253, 748},	// KTextEditor::SmartRange::associateAction#
    {53, 254, 750},	// KTextEditor::SmartRange::associatedActions
    {53, 259, 746},	// KTextEditor::SmartRange::attribute
    {53, 284, 764},	// KTextEditor::SmartRange::checkFeedback
    {53, 286, 740},	// KTextEditor::SmartRange::childAfter#
    {53, 288, 739},	// KTextEditor::SmartRange::childBefore#
    {53, 294, 735},	// KTextEditor::SmartRange::childRanges
    {53, 296, 738},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {53, 297, 751},	// KTextEditor::SmartRange::clearAssociatedActions
    {53, 298, 736},	// KTextEditor::SmartRange::clearChildRanges
    {53, 345, 722},	// KTextEditor::SmartRange::confineToRange#
    {53, 361, 765},	// KTextEditor::SmartRange::createNotifier
    {53, 384, 770},	// KTextEditor::SmartRange::deepestRangeContaining#
    {53, 385, 771},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {53, 386, 743},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {53, 388, 744},	// KTextEditor::SmartRange::deepestRangesContaining#
    {53, 392, 737},	// KTextEditor::SmartRange::deleteChildRanges
    {53, 395, 756},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {53, 399, 733},	// KTextEditor::SmartRange::depth
    {53, 404, 749},	// KTextEditor::SmartRange::dissociateAction#
    {53, 405, 724},	// KTextEditor::SmartRange::document
    {53, 459, 723},	// KTextEditor::SmartRange::expandToRange#
    {53, 462, 742},	// KTextEditor::SmartRange::firstRangeContaining#
    {53, 484, 732},	// KTextEditor::SmartRange::hasParent#
    {53, 506, 728},	// KTextEditor::SmartRange::insertBehavior
    {53, 534, 715},	// KTextEditor::SmartRange::isSmartRange
    {53, 616, 741},	// KTextEditor::SmartRange::mostSpecificRange#
    {53, 646, 753},	// KTextEditor::SmartRange::notifiers
    {53, 656, -1},	// KTextEditor::SmartRange::operator=#
    {53, 661, 745},	// KTextEditor::SmartRange::overlapCount
    {53, 673, 730},	// KTextEditor::SmartRange::parentRange
    {53, 689, 752},	// KTextEditor::SmartRange::primaryNotifier
    {53, 703, 763},	// KTextEditor::SmartRange::rangeChanged##
    {53, 719, 766},	// KTextEditor::SmartRange::rebuildChildStructure
    {53, 742, 755},	// KTextEditor::SmartRange::removeNotifier#
    {53, 746, 769},	// KTextEditor::SmartRange::removeText
    {53, 749, 727},	// KTextEditor::SmartRange::removeText$
    {53, 753, 759},	// KTextEditor::SmartRange::removeWatcher#
    {53, 759, 768},	// KTextEditor::SmartRange::replaceText?
    {53, 760, 726},	// KTextEditor::SmartRange::replaceText?$
    {53, 788, 747},	// KTextEditor::SmartRange::setAttribute?
    {53, 830, 729},	// KTextEditor::SmartRange::setInsertBehavior$
    {53, 868, 731},	// KTextEditor::SmartRange::setParentRange#
    {53, 873, 717},	// KTextEditor::SmartRange::setRange#
    {53, 910, -4},	// KTextEditor::SmartRange::smartEnd
    {53, 913, -7},	// KTextEditor::SmartRange::smartStart
    {53, 928, 767},	// KTextEditor::SmartRange::text
    {53, 931, 725},	// KTextEditor::SmartRange::text$
    {53, 945, 716},	// KTextEditor::SmartRange::toSmartRange
    {53, 946, 734},	// KTextEditor::SmartRange::topParentRange
    {53, 993, 757},	// KTextEditor::SmartRange::watchers
    {53, 1035, 777},	// KTextEditor::SmartRange::~SmartRange
    {54, 184, 785},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {54, 273, 793},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {54, 275, 794},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {54, 291, 798},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {54, 293, 799},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {54, 599, 778},	// KTextEditor::SmartRangeNotifier::metaObject
    {54, 619, 791},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {54, 621, 792},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {54, 675, 797},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {54, 693, 784},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {54, 695, 779},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {54, 701, 800},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {54, 705, 789},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {54, 706, 790},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {54, 708, 796},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {54, 710, 795},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {54, 712, 788},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {54, 898, 787},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {54, 921, 803},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {54, 949, 801},	// KTextEditor::SmartRangeNotifier::tr$
    {54, 950, 780},	// KTextEditor::SmartRangeNotifier::tr$$
    {54, 951, 782},	// KTextEditor::SmartRangeNotifier::tr$$$
    {54, 953, 802},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {54, 954, 781},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {54, 955, 783},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {54, 989, 786},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {54, 1036, 804},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {55, 185, 805},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {55, 186, 821},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {55, 273, 813},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {55, 275, 814},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {55, 291, 818},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {55, 293, 819},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {55, 619, 811},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {55, 621, 812},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {55, 675, 817},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {55, 701, 820},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {55, 705, 809},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {55, 706, 810},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {55, 708, 816},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {55, 710, 815},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {55, 712, 808},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {55, 898, 807},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {55, 989, 806},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {55, 1037, 822},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {56, 193, 823},	// KTextEditor::TemplateInterface::TemplateInterface
    {56, 194, 827},	// KTextEditor::TemplateInterface::TemplateInterface#
    {56, 457, 824},	// KTextEditor::TemplateInterface::expandMacros?#
    {56, 514, 825},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {56, 516, 826},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {56, 1038, 828},	// KTextEditor::TemplateInterface::~TemplateInterface
    {57, 195, 829},	// KTextEditor::TextHintInterface::TextHintInterface
    {57, 196, 833},	// KTextEditor::TextHintInterface::TextHintInterface#
    {57, 401, 831},	// KTextEditor::TextHintInterface::disableTextHints
    {57, 438, 830},	// KTextEditor::TextHintInterface::enableTextHints$
    {57, 630, 832},	// KTextEditor::TextHintInterface::needTextHint#$
    {57, 1039, 834},	// KTextEditor::TextHintInterface::~TextHintInterface
    {58, 201, 835},	// KTextEditor::VariableInterface::VariableInterface
    {58, 202, 838},	// KTextEditor::VariableInterface::VariableInterface#
    {58, 969, 836},	// KTextEditor::VariableInterface::variable$
    {58, 971, 837},	// KTextEditor::VariableInterface::variableChanged#$$
    {58, 1040, 839},	// KTextEditor::VariableInterface::~VariableInterface
    {59, 60, 889},	// KTextEditor::View::EditInsert
    {59, 61, 890},	// KTextEditor::View::EditOverwrite
    {59, 204, 847},	// KTextEditor::View::View#
    {59, 265, 881},	// KTextEditor::View::blockSelection
    {59, 354, 859},	// KTextEditor::View::contextMenu
    {59, 356, 861},	// KTextEditor::View::contextMenuAboutToShow##
    {59, 373, 863},	// KTextEditor::View::cursorPosition
    {59, 375, 867},	// KTextEditor::View::cursorPositionChanged##
    {59, 376, 866},	// KTextEditor::View::cursorPositionCoordinates
    {59, 377, 864},	// KTextEditor::View::cursorPositionVirtual
    {59, 379, 865},	// KTextEditor::View::cursorToCoordinate#
    {59, 389, 886},	// KTextEditor::View::defaultContextMenu
    {59, 390, 860},	// KTextEditor::View::defaultContextMenu#
    {59, 405, 848},	// KTextEditor::View::document
    {59, 467, 852},	// KTextEditor::View::focusIn#
    {59, 471, 853},	// KTextEditor::View::focusOut#
    {59, 498, 869},	// KTextEditor::View::horizontalScrollPositionChanged#
    {59, 503, 856},	// KTextEditor::View::informationMessage#$
    {59, 522, 883},	// KTextEditor::View::insertText$
    {59, 528, 849},	// KTextEditor::View::isActiveView
    {59, 599, 840},	// KTextEditor::View::metaObject
    {59, 624, 872},	// KTextEditor::View::mousePositionChanged##
    {59, 627, 870},	// KTextEditor::View::mouseTrackingEnabled
    {59, 693, 846},	// KTextEditor::View::qt_metacall$$?
    {59, 695, 841},	// KTextEditor::View::qt_metacast$
    {59, 744, 878},	// KTextEditor::View::removeSelection
    {59, 745, 879},	// KTextEditor::View::removeSelectionText
    {59, 776, 875},	// KTextEditor::View::selection
    {59, 778, 882},	// KTextEditor::View::selectionChanged#
    {59, 779, 876},	// KTextEditor::View::selectionRange
    {59, 780, 877},	// KTextEditor::View::selectionText
    {59, 794, 880},	// KTextEditor::View::setBlockSelection$
    {59, 809, 858},	// KTextEditor::View::setContextMenu#
    {59, 811, 862},	// KTextEditor::View::setCursorPosition#
    {59, 860, 871},	// KTextEditor::View::setMouseTrackingEnabled$
    {59, 884, 873},	// KTextEditor::View::setSelection#
    {59, 885, 887},	// KTextEditor::View::setSelection#$
    {59, 886, 874},	// KTextEditor::View::setSelection#$$
    {59, 921, 888},	// KTextEditor::View::staticMetaObject
    {59, 937, 857},	// KTextEditor::View::textInserted##$
    {59, 949, 884},	// KTextEditor::View::tr$
    {59, 950, 842},	// KTextEditor::View::tr$$
    {59, 951, 844},	// KTextEditor::View::tr$$$
    {59, 953, 885},	// KTextEditor::View::trUtf8$
    {59, 954, 843},	// KTextEditor::View::trUtf8$$
    {59, 955, 845},	// KTextEditor::View::trUtf8$$$
    {59, 973, 868},	// KTextEditor::View::verticalScrollPositionChanged##
    {59, 978, 851},	// KTextEditor::View::viewEditMode
    {59, 980, 855},	// KTextEditor::View::viewEditModeChanged#$
    {59, 983, 850},	// KTextEditor::View::viewMode
    {59, 985, 854},	// KTextEditor::View::viewModeChanged#
    {59, 1041, 891},	// KTextEditor::View::~View
    {80, 92, 957},	// QGlobalSpace::KST_CTimeInfo
    {80, 93, 945},	// QGlobalSpace::KST_KCustom
    {80, 94, 940},	// QGlobalSpace::KST_KDEDesktopMimeType
    {80, 95, 939},	// QGlobalSpace::KST_KFolderMimeType
    {80, 96, 954},	// QGlobalSpace::KST_KImageIO
    {80, 97, 942},	// QGlobalSpace::KST_KImageIOFormat
    {80, 98, 938},	// QGlobalSpace::KST_KMimeType
    {80, 99, 956},	// QGlobalSpace::KST_KMimeTypeFactory
    {80, 100, 943},	// QGlobalSpace::KST_KProtocolInfo
    {80, 101, 955},	// QGlobalSpace::KST_KProtocolInfoFactory
    {80, 102, 936},	// QGlobalSpace::KST_KService
    {80, 103, 951},	// QGlobalSpace::KST_KServiceFactory
    {80, 104, 941},	// QGlobalSpace::KST_KServiceGroup
    {80, 105, 953},	// QGlobalSpace::KST_KServiceGroupFactory
    {80, 106, 944},	// QGlobalSpace::KST_KServiceSeparator
    {80, 107, 937},	// QGlobalSpace::KST_KServiceType
    {80, 108, 952},	// QGlobalSpace::KST_KServiceTypeFactory
    {80, 109, 935},	// QGlobalSpace::KST_KSycocaEntry
    {80, 146, 930},	// QGlobalSpace::Q_COMPLEX_TYPE
    {80, 147, 934},	// QGlobalSpace::Q_DUMMY_TYPE
    {80, 148, 933},	// QGlobalSpace::Q_MOVABLE_TYPE
    {80, 149, 931},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {80, 150, 932},	// QGlobalSpace::Q_STATIC_TYPE
    {80, 151, 948},	// QGlobalSpace::QtCriticalMsg
    {80, 152, 946},	// QGlobalSpace::QtDebugMsg
    {80, 153, 949},	// QGlobalSpace::QtFatalMsg
    {80, 154, 950},	// QGlobalSpace::QtSystemMsg
    {80, 155, 947},	// QGlobalSpace::QtWarningMsg
    {80, 207, 960},	// QGlobalSpace::__codecvt_error
    {80, 208, 961},	// QGlobalSpace::__codecvt_noconv
    {80, 209, 958},	// QGlobalSpace::__codecvt_ok
    {80, 210, 959},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 109,
        __smokektexteditor::methods, 1015,
        __smokektexteditor::methodMaps, 870,
        __smokektexteditor::methodNames, 1041,
        __smokektexteditor::types, 300,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
