#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KRatingWidget
      switch(to) {
        case 50: return (void*)(QFrame*)(KRatingWidget*)xptr;
        case 75: return (void*)(QWidget*)(KRatingWidget*)xptr;
        case 59: return (void*)(QObject*)(KRatingWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)xptr;
        default: return xptr;
      }
    case 5:   //KStandardDirs
      switch(to) {
        case 5: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 6:   //KTagCloudWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 59: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)xptr;
        case 26: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KTagDisplayWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 59: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Class
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 9: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 16: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 10: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Entity
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)xptr;
        case 9: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 18: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 16: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 12: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Literal
      switch(to) {
        case 13: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 16: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Ontology
      switch(to) {
        case 15: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::OntologyLoader
      switch(to) {
        case 16: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 12: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 10: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::OntologyManager
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Property
      switch(to) {
        case 11: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 18: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::Query
      switch(to) {
        case 19: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::Term
      switch(to) {
        case 20: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Resource
      switch(to) {
        case 21: return (void*)(Nepomuk::Resource*)xptr;
        case 28: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 25: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::ResourceData
      switch(to) {
        case 22: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::ResourceManager
      switch(to) {
        case 59: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 23: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Service
      switch(to) {
        case 59: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 24: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Tag
      switch(to) {
        case 21: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 25: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::TagCloud
      switch(to) {
        case 6: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 75: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 59: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 26: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::TagWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 59: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Thing
      switch(to) {
        case 21: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 28: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 30:   //Nepomuk::Types::Class
      switch(to) {
        case 31: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 30: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 31:   //Nepomuk::Types::Entity
      switch(to) {
        case 31: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 34: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 33: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 30: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 32:   //Nepomuk::Types::Literal
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Ontology
      switch(to) {
        case 31: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 33: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Property
      switch(to) {
        case 31: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 34: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Variant
      switch(to) {
        case 35: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 36:   //QActionEvent
      switch(to) {
        case 36: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QBool
      switch(to) {
        case 37: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDate
      switch(to) {
        case 41: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 42:   //QDateTime
      switch(to) {
        case 42: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 43:   //QDragEnterEvent
      switch(to) {
        case 43: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDragLeaveEvent
      switch(to) {
        case 44: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragMoveEvent
      switch(to) {
        case 45: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDropEvent
      switch(to) {
        case 46: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QEvent
      switch(to) {
        case 47: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QFocusEvent
      switch(to) {
        case 48: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFont
      switch(to) {
        case 49: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 50:   //QFrame
      switch(to) {
        case 75: return (void*)(QWidget*)(QFrame*)xptr;
        case 59: return (void*)(QObject*)(QFrame*)xptr;
        case 50: return (void*)(QFrame*)xptr;
        case 4: return (void*)(KRatingWidget*)(QFrame*)xptr;
        default: return xptr;
      }
    case 52:   //QHideEvent
      switch(to) {
        case 52: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QIcon
      switch(to) {
        case 53: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 54:   //QInputMethodEvent
      switch(to) {
        case 54: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QKeyEvent
      switch(to) {
        case 55: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QMouseEvent
      switch(to) {
        case 57: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QMoveEvent
      switch(to) {
        case 58: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QObject
      switch(to) {
        case 59: return (void*)(QObject*)xptr;
        case 27: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 26: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 4: return (void*)(KRatingWidget*)(QObject*)xptr;
        case 24: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 23: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPalette
      switch(to) {
        case 62: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 63:   //QPixmap
      switch(to) {
        case 63: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 64:   //QRegExp
      switch(to) {
        case 64: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 65:   //QResizeEvent
      switch(to) {
        case 65: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QShowEvent
      switch(to) {
        case 66: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QSize
      switch(to) {
        case 67: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 68:   //QStyle
      switch(to) {
        case 68: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 69:   //QTabletEvent
      switch(to) {
        case 69: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QTime
      switch(to) {
        case 70: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 71:   //QTimerEvent
      switch(to) {
        case 71: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QUrl
      switch(to) {
        case 72: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 59: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 26: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)(QWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 76:   //Soprano::LanguageTag
      switch(to) {
        case 76: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::LiteralValue
      switch(to) {
        case 77: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::Model
      switch(to) {
        case 78: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Node
      switch(to) {
        case 79: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: QFrame
    75, 0,	// 3: QWidget
    11, 0,	// 5: Nepomuk::Entity
    16, 0,	// 7: Nepomuk::OntologyLoader
    59, 0,	// 9: QObject
    21, 0,	// 11: Nepomuk::Resource
    6, 0,	// 13: KTagCloudWidget
    31, 0,	// 15: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KRatingWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KRatingWidget", false, 1, xcall_KRatingWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KRatingWidget) },	//4
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//5
    { "KTagCloudWidget", false, 3, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//6
    { "KTagDisplayWidget", false, 3, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//7
    { "Nepomuk", false, 0, xcall_Nepomuk, 0, Smoke::cf_namespace, 0 },	//8
    { "Nepomuk::Class", false, 5, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//9
    { "Nepomuk::DesktopOntologyLoader", false, 7, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//10
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//11
    { "Nepomuk::FileOntologyLoader", false, 7, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//12
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//13
    { "Nepomuk::NepomukOntologyLoader", false, 7, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//14
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//15
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//16
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//17
    { "Nepomuk::Property", false, 5, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//18
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//19
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//20
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//21
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//22
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//23
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//24
    { "Nepomuk::Tag", false, 11, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//25
    { "Nepomuk::TagCloud", false, 13, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//26
    { "Nepomuk::TagWidget", false, 3, xcall_Nepomuk__TagWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//27
    { "Nepomuk::Thing", false, 11, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//28
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//29
    { "Nepomuk::Types::Class", false, 15, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//30
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//31
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//32
    { "Nepomuk::Types::Ontology", false, 15, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//33
    { "Nepomuk::Types::Property", false, 15, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//34
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//35
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QBool", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDate", true, 0, 0, 0, 0, 0 },	//41
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//42
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFont", true, 0, 0, 0, 0, 0 },	//49
    { "QFrame", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QIcon", true, 0, 0, 0, 0, 0 },	//53
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QObject", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPalette", true, 0, 0, 0, 0, 0 },	//62
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//63
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//64
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QSize", true, 0, 0, 0, 0, 0 },	//67
    { "QStyle", true, 0, 0, 0, 0, 0 },	//68
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QTime", true, 0, 0, 0, 0, 0 },	//70
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QUrl", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KRatingWidget*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KStandardDirs*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagCloudWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KTagDisplayWidget*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Nepomuk::Class&", 9, Smoke::t_class|Smoke::tf_ref },	//10
    { "Nepomuk::Class*", 9, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Nepomuk::DesktopOntologyLoader*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Entity&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "Nepomuk::Entity*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Nepomuk::ErrorCode", 8, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Nepomuk::FileOntologyLoader*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Nepomuk::Literal", 13, Smoke::t_class|Smoke::tf_stack },	//17
    { "Nepomuk::Literal&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Literal*", 13, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::NepomukOntologyLoader*", 14, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Ontology&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Ontology*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::OntologyLoader*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::OntologyManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Property&", 18, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Property*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::Resource", 21, Smoke::t_class|Smoke::tf_stack },	//27
    { "Nepomuk::Resource&", 21, Smoke::t_class|Smoke::tf_ref },	//28
    { "Nepomuk::Resource*", 21, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Nepomuk::ResourceData*", 22, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::ResourceManager*", 23, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Service*", 24, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Nepomuk::Tag", 25, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Tag&", 25, Smoke::t_class|Smoke::tf_ref },	//34
    { "Nepomuk::Tag*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Nepomuk::TagCloud*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::TagWidget*", 27, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Thing", 28, Smoke::t_class|Smoke::tf_stack },	//38
    { "Nepomuk::Thing&", 28, Smoke::t_class|Smoke::tf_ref },	//39
    { "Nepomuk::Thing*", 28, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Types::Class", 30, Smoke::t_class|Smoke::tf_stack },	//41
    { "Nepomuk::Types::Class&", 30, Smoke::t_class|Smoke::tf_ref },	//42
    { "Nepomuk::Types::Class*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::Types::Entity&", 31, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Types::Entity*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Types::Literal", 32, Smoke::t_class|Smoke::tf_stack },	//46
    { "Nepomuk::Types::Literal&", 32, Smoke::t_class|Smoke::tf_ref },	//47
    { "Nepomuk::Types::Literal*", 32, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Nepomuk::Types::Ontology&", 33, Smoke::t_class|Smoke::tf_ref },	//49
    { "Nepomuk::Types::Ontology*", 33, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Nepomuk::Types::Property", 34, Smoke::t_class|Smoke::tf_stack },	//51
    { "Nepomuk::Types::Property&", 34, Smoke::t_class|Smoke::tf_ref },	//52
    { "Nepomuk::Types::Property*", 34, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Nepomuk::Variant", 35, Smoke::t_class|Smoke::tf_stack },	//54
    { "Nepomuk::Variant&", 35, Smoke::t_class|Smoke::tf_ref },	//55
    { "Nepomuk::Variant*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QActionEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QBool", 37, Smoke::t_class|Smoke::tf_stack },	//58
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDate", 41, Smoke::t_class|Smoke::tf_stack },	//62
    { "QDateTime", 42, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDragEnterEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDragLeaveEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDragMoveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDropEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QFocusEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QHideEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QIcon", 53, Smoke::t_class|Smoke::tf_stack },	//73
    { "QInputMethodEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QKeyEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QMouseEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QMoveEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QObject*", 59, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QRegExp&", 64, Smoke::t_class|Smoke::tf_ref },	//102
    { "QResizeEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QShowEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QSize", 67, Smoke::t_class|Smoke::tf_stack },	//105
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//108
    { "QStyle&", 68, Smoke::t_class|Smoke::tf_ref },	//109
    { "QTabletEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QTime", 70, Smoke::t_class|Smoke::tf_stack },	//111
    { "QTimerEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QUrl", 72, Smoke::t_class|Smoke::tf_stack },	//113
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//114
    { "QVariant::Type", 73, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Soprano::Model*", 78, Smoke::t_class|Smoke::tf_ptr },	//194
    { "Soprano::Node", 79, Smoke::t_class|Smoke::tf_stack },	//195
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//198
    { "__codecvt_result", 51, Smoke::t_enum|Smoke::tf_stack },	//199
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//200
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Nepomuk::Class&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Nepomuk::Class*", 9, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const Nepomuk::DesktopOntologyLoader&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Nepomuk::Entity&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Nepomuk::FileOntologyLoader&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Nepomuk::Literal&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Nepomuk::NepomukOntologyLoader&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Nepomuk::Ontology&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Nepomuk::Ontology*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const Nepomuk::OntologyLoader&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Nepomuk::OntologyManager&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Nepomuk::Property&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Nepomuk::Property*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "const Nepomuk::Query::Query&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const Nepomuk::Query::Term&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Nepomuk::Resource&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Nepomuk::Tag&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Nepomuk::Thing&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Nepomuk::Types::Class&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Nepomuk::Types::Entity&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Nepomuk::Types::Literal&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Nepomuk::Types::Ontology&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Nepomuk::Types::Property&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Nepomuk::Variant&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QDate&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QDateTime&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QFont&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QIcon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QObject*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const QPalette&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QPixmap&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QRegExp&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QTime&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QUrl&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const Soprano::LanguageTag&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const Soprano::LiteralValue&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const Soprano::Node&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//259
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//262
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//263
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//264
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//265
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//266
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//267
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//268
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//269
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//270
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    259, 0,	//1  const char*
    259, 259, 0,	//3  const char*, const char*
    259, 259, 263, 0,	//6  const char*, const char*, int
    95, 263, 269, 0,	//10  QMetaObject::Call, int, void**
    117, 0,	//14  QWidget*
    266, 0,	//16  unsigned int
    263, 0,	//18  int
    200, 0,	//20  bool
    118, 0,	//22  Qt::Alignment
    158, 0,	//24  Qt::LayoutDirection
    229, 0,	//26  const QIcon&
    248, 0,	//28  const QPixmap&
    96, 0,	//30  QMouseEvent*
    68, 0,	//32  QEvent*
    101, 0,	//34  QPaintEvent*
    103, 0,	//36  QResizeEvent*
    250, 0,	//38  const QString&
    250, 263, 0,	//40  const QString&, int
    243, 0,	//43  const QMap<QString,int>&
    251, 0,	//45  const QStringList&
    217, 0,	//47  const Nepomuk::Resource&
    225, 0,	//49  const Nepomuk::Variant&
    15, 0,	//51  Nepomuk::ErrorCode
    258, 0,	//53  const Soprano::Node&
    254, 0,	//55  const QUrl&
    202, 0,	//57  const Nepomuk::Class&
    250, 250, 0,	//59  const QString&, const QString&
    203, 0,	//62  const Nepomuk::Class*
    204, 0,	//64  const Nepomuk::DesktopOntologyLoader&
    205, 0,	//66  const Nepomuk::Entity&
    250, 197, 0,	//68  const QString&, Soprano::RdfSerialization
    197, 0,	//71  Soprano::RdfSerialization
    206, 0,	//73  const Nepomuk::FileOntologyLoader&
    207, 0,	//75  const Nepomuk::Literal&
    208, 0,	//77  const Nepomuk::NepomukOntologyLoader&
    209, 0,	//79  const Nepomuk::Ontology&
    211, 0,	//81  const Nepomuk::OntologyLoader&
    23, 0,	//83  Nepomuk::OntologyLoader*
    212, 0,	//85  const Nepomuk::OntologyManager&
    213, 0,	//87  const Nepomuk::Property&
    31, 0,	//89  Nepomuk::ResourceManager*
    250, 254, 0,	//91  const QString&, const QUrl&
    250, 254, 31, 0,	//94  const QString&, const QUrl&, Nepomuk::ResourceManager*
    254, 254, 0,	//98  const QUrl&, const QUrl&
    254, 254, 31, 0,	//101  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    30, 0,	//105  Nepomuk::ResourceData*
    236, 0,	//107  const QList<QUrl>&
    254, 225, 0,	//109  const QUrl&, const Nepomuk::Variant&
    250, 225, 0,	//112  const QString&, const Nepomuk::Variant&
    230, 0,	//115  const QList<Nepomuk::Resource>&
    231, 0,	//117  const QList<Nepomuk::Tag>&
    218, 0,	//119  const Nepomuk::Tag&
    260, 0,	//121  const unsigned int&
    194, 0,	//123  Soprano::Model*
    98, 200, 0,	//125  QObject*, bool
    98, 0,	//128  QObject*
    250, 31, 0,	//130  const QString&, Nepomuk::ResourceManager*
    254, 31, 0,	//133  const QUrl&, Nepomuk::ResourceManager*
    33, 0,	//136  Nepomuk::Tag
    217, 117, 0,	//138  const Nepomuk::Resource&, QWidget*
    219, 0,	//141  const Nepomuk::Thing&
    221, 0,	//143  const Nepomuk::Types::Entity&
    220, 0,	//145  const Nepomuk::Types::Class&
    222, 0,	//147  const Nepomuk::Types::Literal&
    223, 0,	//149  const Nepomuk::Types::Ontology&
    224, 0,	//151  const Nepomuk::Types::Property&
    255, 0,	//153  const QVariant&
    265, 0,	//155  long long
    267, 0,	//157  unsigned long long
    262, 0,	//159  double
    226, 0,	//161  const QDate&
    253, 0,	//163  const QTime&
    227, 0,	//165  const QDateTime&
    239, 0,	//167  const QList<int>&
    240, 0,	//169  const QList<long long>&
    241, 0,	//171  const QList<unsigned int>&
    242, 0,	//173  const QList<unsigned long long>&
    237, 0,	//175  const QList<bool>&
    238, 0,	//177  const QList<double>&
    233, 0,	//179  const QList<QDate>&
    235, 0,	//181  const QList<QTime>&
    234, 0,	//183  const QList<QDateTime>&
    232, 0,	//185  const QList<Nepomuk::Variant>&
    98, 68, 0,	//187  QObject*, QEvent*
    112, 0,	//190  QTimerEvent*
    59, 0,	//192  QChildEvent*
    116, 0,	//194  QWheelEvent*
    75, 0,	//196  QKeyEvent*
    69, 0,	//198  QFocusEvent*
    97, 0,	//200  QMoveEvent*
    60, 0,	//202  QCloseEvent*
    61, 0,	//204  QContextMenuEvent*
    110, 0,	//206  QTabletEvent*
    57, 0,	//208  QActionEvent*
    64, 0,	//210  QDragEnterEvent*
    66, 0,	//212  QDragMoveEvent*
    65, 0,	//214  QDragLeaveEvent*
    67, 0,	//216  QDropEvent*
    104, 0,	//218  QShowEvent*
    72, 0,	//220  QHideEvent*
    198, 0,	//222  _XEvent*
    99, 0,	//224  QPaintDevice::PaintDeviceMetric
    74, 0,	//226  QInputMethodEvent*
    152, 0,	//228  Qt::InputMethodQuery
    109, 0,	//230  QStyle&
    247, 0,	//232  const QPalette&
    228, 0,	//234  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Box",	//1
    "Class",	//2
    "Class#",	//3
    "CommunicationError",	//4
    "DesktopOntologyLoader",	//5
    "DesktopOntologyLoader#",	//6
    "DrawChildren",	//7
    "DrawWindowBackground",	//8
    "Entity",	//9
    "Entity#",	//10
    "FileOntologyLoader",	//11
    "FileOntologyLoader#",	//12
    "FileOntologyLoader$",	//13
    "FileOntologyLoader$$",	//14
    "HLine",	//15
    "IgnoreMask",	//16
    "InvalidType",	//17
    "KRatingWidget",	//18
    "KRatingWidget#",	//19
    "KTagCloudWidget",	//20
    "KTagCloudWidget#",	//21
    "KTagDisplayWidget",	//22
    "KTagDisplayWidget#",	//23
    "Literal",	//24
    "Literal#",	//25
    "NepomukOntologyLoader",	//26
    "NepomukOntologyLoader#",	//27
    "NoError",	//28
    "NoFrame",	//29
    "Ontology",	//30
    "Ontology#",	//31
    "OntologyLoader",	//32
    "OntologyLoader#",	//33
    "OntologyManager",	//34
    "OntologyManager#",	//35
    "Panel",	//36
    "Plain",	//37
    "Property",	//38
    "Property#",	//39
    "Q_COMPLEX_TYPE",	//40
    "Q_DUMMY_TYPE",	//41
    "Q_MOVABLE_TYPE",	//42
    "Q_PRIMITIVE_TYPE",	//43
    "Q_STATIC_TYPE",	//44
    "QtCriticalMsg",	//45
    "QtDebugMsg",	//46
    "QtFatalMsg",	//47
    "QtSystemMsg",	//48
    "QtWarningMsg",	//49
    "RDFLiteralToValue",	//50
    "RDFLiteralToValue#",	//51
    "Raised",	//52
    "Resource",	//53
    "Resource#",	//54
    "Resource##",	//55
    "Resource###",	//56
    "Resource$",	//57
    "Resource$#",	//58
    "Resource$##",	//59
    "Resource$$",	//60
    "Service",	//61
    "Service#",	//62
    "Service#$",	//63
    "Shadow_Mask",	//64
    "Shape_Mask",	//65
    "StyledPanel",	//66
    "Sunken",	//67
    "Tag",	//68
    "Tag#",	//69
    "Tag##",	//70
    "Tag###",	//71
    "Tag$",	//72
    "Tag$#",	//73
    "Tag$##",	//74
    "TagCloud",	//75
    "TagCloud#",	//76
    "TagWidget",	//77
    "TagWidget#",	//78
    "TagWidget##",	//79
    "Thing",	//80
    "Thing#",	//81
    "Thing##",	//82
    "Thing###",	//83
    "Thing$",	//84
    "Thing$#",	//85
    "Thing$##",	//86
    "UnknownError",	//87
    "VLine",	//88
    "Variant",	//89
    "Variant#",	//90
    "Variant$",	//91
    "Variant?",	//92
    "WinPanel",	//93
    "__codecvt_error",	//94
    "__codecvt_noconv",	//95
    "__codecvt_ok",	//96
    "__codecvt_partial",	//97
    "actionEvent",	//98
    "addAltLabel",	//99
    "addAltLabel$",	//100
    "addAnnotation",	//101
    "addAnnotation#",	//102
    "addGroundingOccurrence",	//103
    "addGroundingOccurrence#",	//104
    "addIdentifier",	//105
    "addIdentifier$",	//106
    "addIsRelated",	//107
    "addIsRelated#",	//108
    "addIsTopicOf",	//109
    "addIsTopicOf#",	//110
    "addProperty",	//111
    "addProperty##",	//112
    "addSymbol",	//113
    "addSymbol$",	//114
    "addTag",	//115
    "addTag#",	//116
    "addTag$",	//117
    "addTag$$",	//118
    "addTags",	//119
    "addTags?",	//120
    "addTopic",	//121
    "addTopic#",	//122
    "addType",	//123
    "addType#",	//124
    "alignment",	//125
    "allClasses",	//126
    "allOntologies",	//127
    "allParentClasses",	//128
    "allProperties",	//129
    "allResources",	//130
    "allResourcesOfType",	//131
    "allResourcesOfType#",	//132
    "allResourcesOfType$",	//133
    "allResourcesWithProperty",	//134
    "allResourcesWithProperty##",	//135
    "allResourcesWithProperty$#",	//136
    "allSubClasses",	//137
    "allTags",	//138
    "altLabelUri",	//139
    "altLabels",	//140
    "annotationOf",	//141
    "annotationUri",	//142
    "annotations",	//143
    "append",	//144
    "append#",	//145
    "append$",	//146
    "assignedTags",	//147
    "autoUpdate",	//148
    "cardinality",	//149
    "changeEvent",	//150
    "childEvent",	//151
    "className",	//152
    "clear",	//153
    "clearCache",	//154
    "closeEvent",	//155
    "comment",	//156
    "comment$",	//157
    "connectNotify",	//158
    "contextMenuEvent",	//159
    "createManagerForModel",	//160
    "createManagerForModel#",	//161
    "createResourceFromUri",	//162
    "createResourceFromUri$",	//163
    "customEvent",	//164
    "dataType",	//165
    "dataTypeUri",	//166
    "defaultGraph",	//167
    "definingOntology",	//168
    "deleteInstance",	//169
    "description",	//170
    "descriptionUri",	//171
    "devType",	//172
    "disconnectNotify",	//173
    "domain",	//174
    "domainOf",	//175
    "dragEnterEvent",	//176
    "dragLeaveEvent",	//177
    "dragMoveEvent",	//178
    "dropEvent",	//179
    "enabledChange",	//180
    "enterEvent",	//181
    "error",	//182
    "error$$",	//183
    "errorString",	//184
    "errorString$",	//185
    "event",	//186
    "eventFilter",	//187
    "exists",	//188
    "extractNamespace",	//189
    "extractNamespace#",	//190
    "fileName",	//191
    "findClassByLabel",	//192
    "findClassByLabel$",	//193
    "findClassByLabel$$",	//194
    "findClassByName",	//195
    "findClassByName$",	//196
    "findClassByUri",	//197
    "findClassByUri#",	//198
    "findPropertyByLabel",	//199
    "findPropertyByLabel$",	//200
    "findPropertyByLabel$$",	//201
    "findPropertyByName",	//202
    "findPropertyByName$",	//203
    "findPropertyByUri",	//204
    "findPropertyByUri#",	//205
    "focusInEvent",	//206
    "focusNextPrevChild",	//207
    "focusOutEvent",	//208
    "fontChange",	//209
    "fromString",	//210
    "fromString$$",	//211
    "generateUniqueUri",	//212
    "generateUniqueUri$",	//213
    "genericDescription",	//214
    "genericIcon",	//215
    "genericLabel",	//216
    "getOntology",	//217
    "getOntology#",	//218
    "groundingOccurrences",	//219
    "halfStepsEnabled",	//220
    "hasProperty",	//221
    "hasProperty#",	//222
    "hasProperty$",	//223
    "hasType",	//224
    "hasType#",	//225
    "heightForWidth",	//226
    "hideEvent",	//227
    "icon",	//228
    "identifierUri",	//229
    "identifiers",	//230
    "init",	//231
    "initialized",	//232
    "inputMethodEvent",	//233
    "inputMethodQuery",	//234
    "instance",	//235
    "inverseProperty",	//236
    "isAvailable",	//237
    "isBool",	//238
    "isBoolList",	//239
    "isDate",	//240
    "isDateList",	//241
    "isDateTime",	//242
    "isDateTimeList",	//243
    "isDouble",	//244
    "isDoubleList",	//245
    "isInt",	//246
    "isInt64",	//247
    "isInt64List",	//248
    "isIntList",	//249
    "isList",	//250
    "isParentOf",	//251
    "isParentOf#",	//252
    "isRelatedOf",	//253
    "isRelatedUri",	//254
    "isRelateds",	//255
    "isResource",	//256
    "isResourceList",	//257
    "isString",	//258
    "isStringList",	//259
    "isSubClassOf",	//260
    "isSubClassOf#",	//261
    "isSubPropertyOf",	//262
    "isSubPropertyOf#",	//263
    "isTime",	//264
    "isTimeList",	//265
    "isTopicOfUri",	//266
    "isTopicOfs",	//267
    "isUnsignedInt",	//268
    "isUnsignedInt64",	//269
    "isUnsignedInt64List",	//270
    "isUnsignedIntList",	//271
    "isUrl",	//272
    "isUrlList",	//273
    "isValid",	//274
    "keyPressEvent",	//275
    "keyReleaseEvent",	//276
    "label",	//277
    "label$",	//278
    "labelUri",	//279
    "languageChange",	//280
    "layoutDirection",	//281
    "leaveEvent",	//282
    "leaveEvent#",	//283
    "literalRangeType",	//284
    "load",	//285
    "load#",	//286
    "loadOntology",	//287
    "loadOntology#",	//288
    "mainModel",	//289
    "manager",	//290
    "maxCardinality",	//291
    "maxRating",	//292
    "metaObject",	//293
    "metric",	//294
    "minCardinality",	//295
    "minimumSizeHint",	//296
    "mouseDoubleClickEvent",	//297
    "mouseMoveEvent",	//298
    "mouseMoveEvent#",	//299
    "mousePressEvent",	//300
    "mousePressEvent#",	//301
    "mouseReleaseEvent",	//302
    "moveEvent",	//303
    "name",	//304
    "naoNamespace",	//305
    "nepomukSystemStarted",	//306
    "nepomukSystemStopped",	//307
    "notifyError",	//308
    "notifyError$$",	//309
    "nrlNamespace",	//310
    "occurrences",	//311
    "operator QUrl",	//312
    "operator!=",	//313
    "operator!=#",	//314
    "operator=",	//315
    "operator=#",	//316
    "operator=$",	//317
    "operator==",	//318
    "operator==#",	//319
    "operator=?",	//320
    "paintEngine",	//321
    "paintEvent",	//322
    "paintEvent#",	//323
    "paletteChange",	//324
    "parentClasses",	//325
    "parentOf",	//326
    "parentProperties",	//327
    "pimoThing",	//328
    "properties",	//329
    "property",	//330
    "property#",	//331
    "property$",	//332
    "qHash",	//333
    "qHash#",	//334
    "qt_metacall",	//335
    "qt_metacall$$?",	//336
    "qt_metacast",	//337
    "qt_metacast$",	//338
    "range",	//339
    "rangeOf",	//340
    "rating",	//341
    "ratingChanged",	//342
    "ratingChanged$",	//343
    "ratingUri",	//344
    "rdfNamepace",	//345
    "rdfsNamespace",	//346
    "referencingOccurrences",	//347
    "remove",	//348
    "removeProperty",	//349
    "removeProperty#",	//350
    "removeProperty##",	//351
    "removeProperty$",	//352
    "removeResource",	//353
    "removeResource$",	//354
    "reset",	//355
    "reset$",	//356
    "resizeEvent",	//357
    "resizeEvent#",	//358
    "resourceModified",	//359
    "resourceModified$",	//360
    "resourceType",	//361
    "resourceTypeUri",	//362
    "resourceUri",	//363
    "setAlignment",	//364
    "setAlignment$",	//365
    "setAltLabels",	//366
    "setAltLabels?",	//367
    "setAnnotations",	//368
    "setAnnotations?",	//369
    "setAssignedTags",	//370
    "setAssignedTags?",	//371
    "setAutoUpdate",	//372
    "setAutoUpdate$",	//373
    "setCustomPixmap",	//374
    "setCustomPixmap#",	//375
    "setDefaultRepository",	//376
    "setDefaultRepository$",	//377
    "setDescription",	//378
    "setDescription$",	//379
    "setFileName",	//380
    "setFileName$",	//381
    "setHalfStepsEnabled",	//382
    "setHalfStepsEnabled$",	//383
    "setIcon",	//384
    "setIcon#",	//385
    "setIdentifiers",	//386
    "setIdentifiers?",	//387
    "setIsRelateds",	//388
    "setIsRelateds?",	//389
    "setIsTopicOfs",	//390
    "setIsTopicOfs?",	//391
    "setLabel",	//392
    "setLabel$",	//393
    "setLayoutDirection",	//394
    "setLayoutDirection$",	//395
    "setMaxFontSize",	//396
    "setMaxFontSize$",	//397
    "setMaxRating",	//398
    "setMaxRating$",	//399
    "setMinFontSize",	//400
    "setMinFontSize$",	//401
    "setOnlyPaintFullSteps",	//402
    "setOnlyPaintFullSteps$",	//403
    "setOntologyLoader",	//404
    "setOntologyLoader#",	//405
    "setOverrideMainModel",	//406
    "setOverrideMainModel#",	//407
    "setPixmap",	//408
    "setPixmap#",	//409
    "setPixmapSize",	//410
    "setPixmapSize$",	//411
    "setProperty",	//412
    "setProperty##",	//413
    "setProperty$#",	//414
    "setRating",	//415
    "setRating$",	//416
    "setSerialization",	//417
    "setSerialization$",	//418
    "setServiceInitialized",	//419
    "setServiceInitialized$",	//420
    "setSpacing",	//421
    "setSpacing$",	//422
    "setSymbols",	//423
    "setSymbols?",	//424
    "setTaggedResource",	//425
    "setTaggedResource#",	//426
    "setTaggedResources",	//427
    "setTaggedResources?",	//428
    "setTags",	//429
    "setTags?",	//430
    "setTopics",	//431
    "setTopics?",	//432
    "setTypes",	//433
    "setTypes?",	//434
    "setVisible",	//435
    "showEvent",	//436
    "simpleType",	//437
    "sizeHint",	//438
    "spacing",	//439
    "staticMetaObject",	//440
    "styleChange",	//441
    "subClasses",	//442
    "subProperties",	//443
    "symbolUri",	//444
    "symbols",	//445
    "tabletEvent",	//446
    "tagClicked",	//447
    "tagClicked#",	//448
    "tagClicked$",	//449
    "tagOf",	//450
    "tagUri",	//451
    "tagWeight",	//452
    "tagWeight$",	//453
    "taggedResources",	//454
    "tags",	//455
    "timerEvent",	//456
    "toBool",	//457
    "toBoolList",	//458
    "toDate",	//459
    "toDateList",	//460
    "toDateTime",	//461
    "toDateTimeList",	//462
    "toDouble",	//463
    "toDoubleList",	//464
    "toInt",	//465
    "toInt64",	//466
    "toInt64List",	//467
    "toIntList",	//468
    "toResource",	//469
    "toResourceList",	//470
    "toString",	//471
    "toStringList",	//472
    "toTime",	//473
    "toTimeList",	//474
    "toUnsignedInt",	//475
    "toUnsignedInt64",	//476
    "toUnsignedInt64List",	//477
    "toUnsignedIntList",	//478
    "toUrl",	//479
    "toUrlList",	//480
    "toVariantList",	//481
    "topicUri",	//482
    "topics",	//483
    "tr",	//484
    "tr$",	//485
    "tr$$",	//486
    "tr$$$",	//487
    "trUtf8",	//488
    "trUtf8$",	//489
    "trUtf8$$",	//490
    "trUtf8$$$",	//491
    "type",	//492
    "typePredicate",	//493
    "types",	//494
    "updateTags",	//495
    "uri",	//496
    "valueToRDFNode",	//497
    "valueToRDFNode#",	//498
    "valuesToRDFNodes",	//499
    "valuesToRDFNodes#",	//500
    "variant",	//501
    "wheelEvent",	//502
    "windowActivationChange",	//503
    "x11Event",	//504
    "~Class",	//505
    "~DesktopOntologyLoader",	//506
    "~Entity",	//507
    "~FileOntologyLoader",	//508
    "~KRatingWidget",	//509
    "~KTagCloudWidget",	//510
    "~KTagDisplayWidget",	//511
    "~Literal",	//512
    "~NepomukOntologyLoader",	//513
    "~Ontology",	//514
    "~OntologyLoader",	//515
    "~OntologyManager",	//516
    "~Property",	//517
    "~Resource",	//518
    "~Service",	//519
    "~Tag",	//520
    "~TagCloud",	//521
    "~TagWidget",	//522
    "~Thing",	//523
    "~Variant",	//524
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//1 KRatingWidget::metaObject() const
    {4, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//2 KRatingWidget::qt_metacast(const char*)
    {4, 484, 3, 2, Smoke::mf_static, 106, 3},	//3 KRatingWidget::tr(const char*, const char*)
    {4, 488, 3, 2, Smoke::mf_static, 106, 4},	//4 KRatingWidget::trUtf8(const char*, const char*)
    {4, 484, 6, 3, Smoke::mf_static, 106, 5},	//5 KRatingWidget::tr(const char*, const char*, int)
    {4, 488, 6, 3, Smoke::mf_static, 106, 6},	//6 KRatingWidget::trUtf8(const char*, const char*, int)
    {4, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//7 KRatingWidget::qt_metacall(QMetaObject::Call, int, void**)
    {4, 18, 14, 1, Smoke::mf_ctor, 5, 8},	//8 KRatingWidget::KRatingWidget(QWidget*)
    {4, 341, 0, 0, Smoke::mf_const, 266, 9},	//9 KRatingWidget::rating() const
    {4, 292, 0, 0, Smoke::mf_const, 263, 10},	//10 KRatingWidget::maxRating() const
    {4, 125, 0, 0, Smoke::mf_const, 118, 11},	//11 KRatingWidget::alignment() const
    {4, 281, 0, 0, Smoke::mf_const, 158, 12},	//12 KRatingWidget::layoutDirection() const
    {4, 439, 0, 0, Smoke::mf_const, 263, 13},	//13 KRatingWidget::spacing() const
    {4, 438, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 14},	//14 KRatingWidget::sizeHint() const
    {4, 220, 0, 0, Smoke::mf_const, 200, 15},	//15 KRatingWidget::halfStepsEnabled() const
    {4, 228, 0, 0, Smoke::mf_const, 73, 16},	//16 KRatingWidget::icon() const
    {4, 342, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//17 KRatingWidget::ratingChanged(unsigned int)
    {4, 342, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//18 KRatingWidget::ratingChanged(int)
    {4, 415, 18, 1, Smoke::mf_slot, 0, 19},	//19 KRatingWidget::setRating(int)
    {4, 415, 16, 1, Smoke::mf_slot, 0, 20},	//20 KRatingWidget::setRating(unsigned int)
    {4, 398, 18, 1, Smoke::mf_slot, 0, 21},	//21 KRatingWidget::setMaxRating(int)
    {4, 398, 16, 1, Smoke::mf_slot, 0, 22},	//22 KRatingWidget::setMaxRating(unsigned int)
    {4, 382, 20, 1, Smoke::mf_slot, 0, 23},	//23 KRatingWidget::setHalfStepsEnabled(bool)
    {4, 402, 20, 1, Smoke::mf_slot, 0, 24},	//24 KRatingWidget::setOnlyPaintFullSteps(bool)
    {4, 421, 18, 1, Smoke::mf_slot, 0, 25},	//25 KRatingWidget::setSpacing(int)
    {4, 364, 22, 1, Smoke::mf_slot, 0, 26},	//26 KRatingWidget::setAlignment(Qt::Alignment)
    {4, 394, 24, 1, Smoke::mf_slot, 0, 27},	//27 KRatingWidget::setLayoutDirection(Qt::LayoutDirection)
    {4, 384, 26, 1, Smoke::mf_slot, 0, 28},	//28 KRatingWidget::setIcon(const QIcon&)
    {4, 374, 28, 1, Smoke::mf_slot, 0, 29},	//29 KRatingWidget::setCustomPixmap(const QPixmap&)
    {4, 408, 28, 1, Smoke::mf_slot, 0, 30},	//30 KRatingWidget::setPixmap(const QPixmap&)
    {4, 410, 18, 1, Smoke::mf_slot, 0, 31},	//31 KRatingWidget::setPixmapSize(int)
    {4, 300, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 KRatingWidget::mousePressEvent(QMouseEvent*)
    {4, 298, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//33 KRatingWidget::mouseMoveEvent(QMouseEvent*)
    {4, 282, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//34 KRatingWidget::leaveEvent(QEvent*)
    {4, 322, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//35 KRatingWidget::paintEvent(QPaintEvent*)
    {4, 357, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//36 KRatingWidget::resizeEvent(QResizeEvent*)
    {4, 484, 1, 1, Smoke::mf_static, 106, 37},	//37 KRatingWidget::tr(const char*)
    {4, 488, 1, 1, Smoke::mf_static, 106, 38},	//38 KRatingWidget::trUtf8(const char*)
    {4, 18, 0, 0, Smoke::mf_ctor, 5, 39},	//39 KRatingWidget::KRatingWidget()
    {4, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 40},	//40 KRatingWidget::staticMetaObject() const
    {4, 509, 0, 0, Smoke::mf_dtor, 0, 41 },	//41 KRatingWidget::~KRatingWidget()
    {6, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//42 KTagCloudWidget::metaObject() const
    {6, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//43 KTagCloudWidget::qt_metacast(const char*)
    {6, 484, 3, 2, Smoke::mf_static, 106, 3},	//44 KTagCloudWidget::tr(const char*, const char*)
    {6, 488, 3, 2, Smoke::mf_static, 106, 4},	//45 KTagCloudWidget::trUtf8(const char*, const char*)
    {6, 484, 6, 3, Smoke::mf_static, 106, 5},	//46 KTagCloudWidget::tr(const char*, const char*, int)
    {6, 488, 6, 3, Smoke::mf_static, 106, 6},	//47 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {6, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//48 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 20, 14, 1, Smoke::mf_ctor, 8, 8},	//49 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {6, 452, 38, 1, Smoke::mf_const, 263, 9},	//50 KTagCloudWidget::tagWeight(const QString&) const
    {6, 115, 40, 2, Smoke::mf_slot, 0, 10},	//51 KTagCloudWidget::addTag(const QString&, int)
    {6, 119, 43, 1, Smoke::mf_slot, 0, 11},	//52 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {6, 153, 0, 0, Smoke::mf_slot, 0, 12},	//53 KTagCloudWidget::clear()
    {6, 396, 18, 1, Smoke::mf_slot, 0, 13},	//54 KTagCloudWidget::setMaxFontSize(int)
    {6, 400, 18, 1, Smoke::mf_slot, 0, 14},	//55 KTagCloudWidget::setMinFontSize(int)
    {6, 447, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//56 KTagCloudWidget::tagClicked(const QString&)
    {6, 357, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//57 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {6, 484, 1, 1, Smoke::mf_static, 106, 17},	//58 KTagCloudWidget::tr(const char*)
    {6, 488, 1, 1, Smoke::mf_static, 106, 18},	//59 KTagCloudWidget::trUtf8(const char*)
    {6, 20, 0, 0, Smoke::mf_ctor, 8, 19},	//60 KTagCloudWidget::KTagCloudWidget()
    {6, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 20},	//61 KTagCloudWidget::staticMetaObject() const
    {6, 510, 0, 0, Smoke::mf_dtor, 0, 21 },	//62 KTagCloudWidget::~KTagCloudWidget()
    {7, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//63 KTagDisplayWidget::metaObject() const
    {7, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//64 KTagDisplayWidget::qt_metacast(const char*)
    {7, 484, 3, 2, Smoke::mf_static, 106, 3},	//65 KTagDisplayWidget::tr(const char*, const char*)
    {7, 488, 3, 2, Smoke::mf_static, 106, 4},	//66 KTagDisplayWidget::trUtf8(const char*, const char*)
    {7, 484, 6, 3, Smoke::mf_static, 106, 5},	//67 KTagDisplayWidget::tr(const char*, const char*, int)
    {7, 488, 6, 3, Smoke::mf_static, 106, 6},	//68 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {7, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//69 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {7, 22, 14, 1, Smoke::mf_ctor, 9, 8},	//70 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {7, 429, 45, 1, Smoke::mf_slot, 0, 9},	//71 KTagDisplayWidget::setTags(const QStringList&)
    {7, 115, 38, 1, Smoke::mf_slot, 0, 10},	//72 KTagDisplayWidget::addTag(const QString&)
    {7, 119, 45, 1, Smoke::mf_slot, 0, 11},	//73 KTagDisplayWidget::addTags(const QStringList&)
    {7, 153, 0, 0, Smoke::mf_slot, 0, 12},	//74 KTagDisplayWidget::clear()
    {7, 447, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//75 KTagDisplayWidget::tagClicked(const QString&)
    {7, 484, 1, 1, Smoke::mf_static, 106, 14},	//76 KTagDisplayWidget::tr(const char*)
    {7, 488, 1, 1, Smoke::mf_static, 106, 15},	//77 KTagDisplayWidget::trUtf8(const char*)
    {7, 22, 0, 0, Smoke::mf_ctor, 9, 16},	//78 KTagDisplayWidget::KTagDisplayWidget()
    {7, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 17},	//79 KTagDisplayWidget::staticMetaObject() const
    {7, 511, 0, 0, Smoke::mf_dtor, 0, 18 },	//80 KTagDisplayWidget::~KTagDisplayWidget()
    {8, 345, 0, 0, Smoke::mf_static, 106, 1},	//81 Nepomuk::rdfNamepace()
    {8, 333, 47, 1, Smoke::mf_static, 266, 2},	//82 Nepomuk::qHash(const Nepomuk::Resource&)
    {8, 499, 49, 1, Smoke::mf_static, 85, 3},	//83 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {8, 376, 38, 1, Smoke::mf_static, 0, 4},	//84 Nepomuk::setDefaultRepository(const QString&)
    {8, 310, 0, 0, Smoke::mf_static, 106, 5},	//85 Nepomuk::nrlNamespace()
    {8, 184, 51, 1, Smoke::mf_static, 106, 6},	//86 Nepomuk::errorString(Nepomuk::ErrorCode)
    {8, 167, 0, 0, Smoke::mf_static, 106, 7},	//87 Nepomuk::defaultGraph()
    {8, 493, 0, 0, Smoke::mf_static, 106, 8},	//88 Nepomuk::typePredicate()
    {8, 346, 0, 0, Smoke::mf_static, 106, 9},	//89 Nepomuk::rdfsNamespace()
    {8, 305, 0, 0, Smoke::mf_static, 106, 10},	//90 Nepomuk::naoNamespace()
    {8, 50, 53, 1, Smoke::mf_static, 54, 11},	//91 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {8, 189, 55, 1, Smoke::mf_static, 113, 12},	//92 Nepomuk::extractNamespace(const QUrl&)
    {8, 497, 49, 1, Smoke::mf_static, 195, 13},	//93 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {8, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//94 Nepomuk::NoError (enum)
    {8, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//95 Nepomuk::CommunicationError (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//96 Nepomuk::InvalidType (enum)
    {8, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//97 Nepomuk::UnknownError (enum)
    {9, 2, 0, 0, Smoke::mf_ctor, 11, 1},	//98 Nepomuk::Class::Class()
    {9, 2, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//99 Nepomuk::Class::Class(const Nepomuk::Class&)
    {9, 315, 57, 1, 0, 10, 3},	//100 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {9, 129, 0, 0, Smoke::mf_const, 89, 4},	//101 Nepomuk::Class::allProperties() const
    {9, 202, 38, 1, Smoke::mf_const, 214, 5},	//102 Nepomuk::Class::findPropertyByName(const QString&) const
    {9, 199, 59, 2, Smoke::mf_const, 214, 6},	//103 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {9, 204, 55, 1, Smoke::mf_const, 214, 7},	//104 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {9, 325, 0, 0, Smoke::mf_const, 88, 8},	//105 Nepomuk::Class::parentClasses() const
    {9, 442, 0, 0, Smoke::mf_const, 88, 9},	//106 Nepomuk::Class::subClasses() const
    {9, 251, 62, 1, Smoke::mf_const, 200, 10},	//107 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {9, 260, 62, 1, Smoke::mf_const, 200, 11},	//108 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {9, 285, 55, 1, Smoke::mf_static, 203, 12},	//109 Nepomuk::Class::load(const QUrl&)
    {9, 199, 38, 1, Smoke::mf_const, 214, 13},	//110 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {9, 505, 0, 0, Smoke::mf_dtor, 0, 14 },	//111 Nepomuk::Class::~Class()
    {10, 5, 0, 0, Smoke::mf_ctor, 12, 1},	//112 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {10, 127, 0, 0, 0, 84, 2},	//113 Nepomuk::DesktopOntologyLoader::allOntologies()
    {10, 287, 55, 1, Smoke::mf_virtual, 86, 3},	//114 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {10, 5, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 4},	//115 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {10, 506, 0, 0, Smoke::mf_dtor, 0, 5 },	//116 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {11, 9, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 1},	//117 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {11, 315, 66, 1, 0, 13, 2},	//118 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {11, 168, 0, 0, Smoke::mf_const, 210, 3},	//119 Nepomuk::Entity::definingOntology() const
    {11, 304, 0, 0, Smoke::mf_const, 106, 4},	//120 Nepomuk::Entity::name() const
    {11, 496, 0, 0, Smoke::mf_const, 113, 5},	//121 Nepomuk::Entity::uri() const
    {11, 277, 38, 1, Smoke::mf_const, 106, 6},	//122 Nepomuk::Entity::label(const QString&) const
    {11, 156, 38, 1, Smoke::mf_const, 106, 7},	//123 Nepomuk::Entity::comment(const QString&) const
    {11, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 14, 8},	//124 Nepomuk::Entity::Entity()
    {11, 277, 0, 0, Smoke::mf_const, 106, 9},	//125 Nepomuk::Entity::label() const
    {11, 156, 0, 0, Smoke::mf_const, 106, 10},	//126 Nepomuk::Entity::comment() const
    {11, 507, 0, 0, Smoke::mf_dtor, 0, 11 },	//127 Nepomuk::Entity::~Entity()
    {12, 11, 0, 0, Smoke::mf_ctor, 16, 1},	//128 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {12, 11, 68, 2, Smoke::mf_ctor, 16, 2},	//129 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {12, 380, 38, 1, 0, 0, 3},	//130 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {12, 191, 0, 0, Smoke::mf_const, 106, 4},	//131 Nepomuk::FileOntologyLoader::fileName() const
    {12, 417, 71, 1, 0, 0, 5},	//132 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {12, 287, 55, 1, Smoke::mf_virtual, 86, 6},	//133 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {12, 11, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 7},	//134 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {12, 11, 38, 1, Smoke::mf_ctor, 16, 8},	//135 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {12, 508, 0, 0, Smoke::mf_dtor, 0, 9 },	//136 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {13, 24, 0, 0, Smoke::mf_ctor, 19, 1},	//137 Nepomuk::Literal::Literal()
    {13, 24, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//138 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {13, 24, 55, 1, Smoke::mf_ctor, 19, 3},	//139 Nepomuk::Literal::Literal(const QUrl&)
    {13, 315, 75, 1, 0, 18, 4},	//140 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {13, 166, 0, 0, Smoke::mf_const, 254, 5},	//141 Nepomuk::Literal::dataTypeUri() const
    {13, 165, 0, 0, Smoke::mf_const, 115, 6},	//142 Nepomuk::Literal::dataType() const
    {13, 512, 0, 0, Smoke::mf_dtor, 0, 7 },	//143 Nepomuk::Literal::~Literal()
    {14, 26, 0, 0, Smoke::mf_ctor, 20, 1},	//144 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {14, 287, 55, 1, Smoke::mf_virtual, 86, 2},	//145 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {14, 26, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 3},	//146 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {14, 513, 0, 0, Smoke::mf_dtor, 0, 4 },	//147 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {15, 30, 0, 0, Smoke::mf_ctor, 22, 1},	//148 Nepomuk::Ontology::Ontology()
    {15, 30, 79, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//149 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {15, 315, 79, 1, 0, 21, 3},	//150 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {15, 496, 0, 0, Smoke::mf_const, 113, 4},	//151 Nepomuk::Ontology::uri() const
    {15, 126, 0, 0, Smoke::mf_const, 88, 5},	//152 Nepomuk::Ontology::allClasses() const
    {15, 195, 38, 1, Smoke::mf_const, 203, 6},	//153 Nepomuk::Ontology::findClassByName(const QString&) const
    {15, 192, 59, 2, Smoke::mf_const, 203, 7},	//154 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {15, 197, 55, 1, Smoke::mf_const, 203, 8},	//155 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {15, 129, 0, 0, Smoke::mf_const, 89, 9},	//156 Nepomuk::Ontology::allProperties() const
    {15, 202, 38, 1, Smoke::mf_const, 214, 10},	//157 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {15, 199, 59, 2, Smoke::mf_const, 214, 11},	//158 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {15, 204, 55, 1, Smoke::mf_const, 214, 12},	//159 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {15, 285, 55, 1, Smoke::mf_static, 210, 13},	//160 Nepomuk::Ontology::load(const QUrl&)
    {15, 192, 38, 1, Smoke::mf_const, 203, 14},	//161 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {15, 199, 38, 1, Smoke::mf_const, 214, 15},	//162 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {15, 514, 0, 0, Smoke::mf_dtor, 0, 16 },	//163 Nepomuk::Ontology::~Ontology()
    {16, 287, 55, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 86, 1},	//164 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 23, 2},	//165 Nepomuk::OntologyLoader::OntologyLoader()
    {16, 32, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 3},	//166 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {16, 515, 0, 0, Smoke::mf_dtor, 0, 4 },	//167 Nepomuk::OntologyLoader::~OntologyLoader()
    {17, 235, 0, 0, Smoke::mf_static, 24, 1},	//168 Nepomuk::OntologyManager::instance()
    {17, 404, 83, 1, 0, 0, 2},	//169 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {17, 217, 55, 1, 0, 210, 3},	//170 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {17, 34, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//171 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {17, 516, 0, 0, Smoke::mf_dtor, 0, 5 },	//172 Nepomuk::OntologyManager::~OntologyManager()
    {18, 38, 0, 0, Smoke::mf_ctor, 26, 1},	//173 Nepomuk::Property::Property()
    {18, 38, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//174 Nepomuk::Property::Property(const Nepomuk::Property&)
    {18, 315, 87, 1, 0, 25, 3},	//175 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {18, 327, 0, 0, Smoke::mf_const, 89, 4},	//176 Nepomuk::Property::parentProperties() const
    {18, 326, 0, 0, Smoke::mf_const, 89, 5},	//177 Nepomuk::Property::parentOf() const
    {18, 236, 0, 0, Smoke::mf_const, 214, 6},	//178 Nepomuk::Property::inverseProperty() const
    {18, 339, 0, 0, Smoke::mf_const, 203, 7},	//179 Nepomuk::Property::range() const
    {18, 284, 0, 0, Smoke::mf_const, 17, 8},	//180 Nepomuk::Property::literalRangeType() const
    {18, 174, 0, 0, Smoke::mf_const, 203, 9},	//181 Nepomuk::Property::domain() const
    {18, 149, 0, 0, Smoke::mf_const, 263, 10},	//182 Nepomuk::Property::cardinality() const
    {18, 295, 0, 0, Smoke::mf_const, 263, 11},	//183 Nepomuk::Property::minCardinality() const
    {18, 291, 0, 0, Smoke::mf_const, 263, 12},	//184 Nepomuk::Property::maxCardinality() const
    {18, 285, 55, 1, Smoke::mf_static, 214, 13},	//185 Nepomuk::Property::load(const QUrl&)
    {18, 517, 0, 0, Smoke::mf_dtor, 0, 14 },	//186 Nepomuk::Property::~Property()
    {21, 53, 0, 0, Smoke::mf_ctor, 29, 1},	//187 Nepomuk::Resource::Resource()
    {21, 53, 89, 1, Smoke::mf_ctor, 29, 2},	//188 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {21, 53, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 3},	//189 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {21, 53, 91, 2, Smoke::mf_ctor, 29, 4},	//190 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {21, 53, 94, 3, Smoke::mf_ctor, 29, 5},	//191 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {21, 53, 59, 2, Smoke::mf_ctor, 29, 6},	//192 Nepomuk::Resource::Resource(const QString&, const QString&)
    {21, 53, 98, 2, Smoke::mf_ctor, 29, 7},	//193 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {21, 53, 101, 3, Smoke::mf_ctor, 29, 8},	//194 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {21, 53, 105, 1, Smoke::mf_ctor, 29, 9},	//195 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {21, 315, 47, 1, 0, 28, 10},	//196 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {21, 315, 55, 1, 0, 28, 11},	//197 Nepomuk::Resource::operator=(const QUrl&)
    {21, 290, 0, 0, Smoke::mf_const, 31, 12},	//198 Nepomuk::Resource::manager() const
    {21, 496, 0, 0, Smoke::mf_const, 106, 13},	//199 Nepomuk::Resource::uri() const
    {21, 363, 0, 0, Smoke::mf_const, 113, 14},	//200 Nepomuk::Resource::resourceUri() const
    {21, 492, 0, 0, Smoke::mf_const, 106, 15},	//201 Nepomuk::Resource::type() const
    {21, 361, 0, 0, Smoke::mf_const, 113, 16},	//202 Nepomuk::Resource::resourceType() const
    {21, 494, 0, 0, Smoke::mf_const, 84, 17},	//203 Nepomuk::Resource::types() const
    {21, 433, 107, 1, 0, 0, 18},	//204 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {21, 123, 55, 1, 0, 0, 19},	//205 Nepomuk::Resource::addType(const QUrl&)
    {21, 224, 55, 1, Smoke::mf_const, 200, 20},	//206 Nepomuk::Resource::hasType(const QUrl&) const
    {21, 152, 0, 0, Smoke::mf_const, 106, 21},	//207 Nepomuk::Resource::className() const
    {21, 129, 0, 0, Smoke::mf_const, 70, 22},	//208 Nepomuk::Resource::allProperties() const
    {21, 329, 0, 0, Smoke::mf_const, 71, 23},	//209 Nepomuk::Resource::properties() const
    {21, 221, 55, 1, Smoke::mf_const, 200, 24},	//210 Nepomuk::Resource::hasProperty(const QUrl&) const
    {21, 221, 38, 1, Smoke::mf_const, 200, 25},	//211 Nepomuk::Resource::hasProperty(const QString&) const
    {21, 330, 55, 1, Smoke::mf_const, 54, 26},	//212 Nepomuk::Resource::property(const QUrl&) const
    {21, 330, 38, 1, Smoke::mf_const, 54, 27},	//213 Nepomuk::Resource::property(const QString&) const
    {21, 412, 109, 2, 0, 0, 28},	//214 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {21, 111, 109, 2, 0, 0, 29},	//215 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {21, 412, 112, 2, 0, 0, 30},	//216 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {21, 349, 55, 1, 0, 0, 31},	//217 Nepomuk::Resource::removeProperty(const QUrl&)
    {21, 349, 109, 2, 0, 0, 32},	//218 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {21, 349, 38, 1, 0, 0, 33},	//219 Nepomuk::Resource::removeProperty(const QString&)
    {21, 348, 0, 0, 0, 0, 34},	//220 Nepomuk::Resource::remove()
    {21, 188, 0, 0, Smoke::mf_const, 200, 35},	//221 Nepomuk::Resource::exists() const
    {21, 274, 0, 0, Smoke::mf_const, 200, 36},	//222 Nepomuk::Resource::isValid() const
    {21, 216, 0, 0, Smoke::mf_const, 106, 37},	//223 Nepomuk::Resource::genericLabel() const
    {21, 214, 0, 0, Smoke::mf_const, 106, 38},	//224 Nepomuk::Resource::genericDescription() const
    {21, 215, 0, 0, Smoke::mf_const, 106, 39},	//225 Nepomuk::Resource::genericIcon() const
    {21, 328, 0, 0, 0, 38, 40},	//226 Nepomuk::Resource::pimoThing()
    {21, 318, 47, 1, Smoke::mf_const, 200, 41},	//227 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {21, 313, 47, 1, Smoke::mf_const, 200, 42},	//228 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {21, 170, 0, 0, Smoke::mf_const, 106, 43},	//229 Nepomuk::Resource::description() const
    {21, 378, 38, 1, 0, 0, 44},	//230 Nepomuk::Resource::setDescription(const QString&)
    {21, 171, 0, 0, Smoke::mf_static, 106, 45},	//231 Nepomuk::Resource::descriptionUri()
    {21, 230, 0, 0, Smoke::mf_const, 107, 46},	//232 Nepomuk::Resource::identifiers() const
    {21, 386, 45, 1, 0, 0, 47},	//233 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {21, 105, 38, 1, 0, 0, 48},	//234 Nepomuk::Resource::addIdentifier(const QString&)
    {21, 229, 0, 0, Smoke::mf_static, 106, 49},	//235 Nepomuk::Resource::identifierUri()
    {21, 140, 0, 0, Smoke::mf_const, 107, 50},	//236 Nepomuk::Resource::altLabels() const
    {21, 366, 45, 1, 0, 0, 51},	//237 Nepomuk::Resource::setAltLabels(const QStringList&)
    {21, 99, 38, 1, 0, 0, 52},	//238 Nepomuk::Resource::addAltLabel(const QString&)
    {21, 139, 0, 0, Smoke::mf_static, 106, 53},	//239 Nepomuk::Resource::altLabelUri()
    {21, 143, 0, 0, Smoke::mf_const, 76, 54},	//240 Nepomuk::Resource::annotations() const
    {21, 368, 115, 1, 0, 0, 55},	//241 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {21, 101, 47, 1, 0, 0, 56},	//242 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {21, 142, 0, 0, Smoke::mf_static, 106, 57},	//243 Nepomuk::Resource::annotationUri()
    {21, 455, 0, 0, Smoke::mf_const, 77, 58},	//244 Nepomuk::Resource::tags() const
    {21, 429, 117, 1, 0, 0, 59},	//245 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {21, 115, 119, 1, 0, 0, 60},	//246 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {21, 451, 0, 0, Smoke::mf_static, 106, 61},	//247 Nepomuk::Resource::tagUri()
    {21, 483, 0, 0, Smoke::mf_const, 76, 62},	//248 Nepomuk::Resource::topics() const
    {21, 431, 115, 1, 0, 0, 63},	//249 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {21, 121, 47, 1, 0, 0, 64},	//250 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {21, 482, 0, 0, Smoke::mf_static, 106, 65},	//251 Nepomuk::Resource::topicUri()
    {21, 267, 0, 0, Smoke::mf_const, 76, 66},	//252 Nepomuk::Resource::isTopicOfs() const
    {21, 390, 115, 1, 0, 0, 67},	//253 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {21, 109, 47, 1, 0, 0, 68},	//254 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {21, 266, 0, 0, Smoke::mf_static, 106, 69},	//255 Nepomuk::Resource::isTopicOfUri()
    {21, 255, 0, 0, Smoke::mf_const, 76, 70},	//256 Nepomuk::Resource::isRelateds() const
    {21, 388, 115, 1, 0, 0, 71},	//257 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {21, 107, 47, 1, 0, 0, 72},	//258 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {21, 254, 0, 0, Smoke::mf_static, 106, 73},	//259 Nepomuk::Resource::isRelatedUri()
    {21, 277, 0, 0, Smoke::mf_const, 106, 74},	//260 Nepomuk::Resource::label() const
    {21, 392, 38, 1, 0, 0, 75},	//261 Nepomuk::Resource::setLabel(const QString&)
    {21, 279, 0, 0, Smoke::mf_static, 106, 76},	//262 Nepomuk::Resource::labelUri()
    {21, 341, 0, 0, Smoke::mf_const, 266, 77},	//263 Nepomuk::Resource::rating() const
    {21, 415, 121, 1, 0, 0, 78},	//264 Nepomuk::Resource::setRating(const unsigned int&)
    {21, 344, 0, 0, Smoke::mf_static, 106, 79},	//265 Nepomuk::Resource::ratingUri()
    {21, 445, 0, 0, Smoke::mf_const, 107, 80},	//266 Nepomuk::Resource::symbols() const
    {21, 423, 45, 1, 0, 0, 81},	//267 Nepomuk::Resource::setSymbols(const QStringList&)
    {21, 113, 38, 1, 0, 0, 82},	//268 Nepomuk::Resource::addSymbol(const QString&)
    {21, 444, 0, 0, Smoke::mf_static, 106, 83},	//269 Nepomuk::Resource::symbolUri()
    {21, 141, 0, 0, Smoke::mf_const, 76, 84},	//270 Nepomuk::Resource::annotationOf() const
    {21, 253, 0, 0, Smoke::mf_const, 76, 85},	//271 Nepomuk::Resource::isRelatedOf() const
    {21, 130, 0, 0, Smoke::mf_static, 76, 86},	//272 Nepomuk::Resource::allResources()
    {21, 53, 38, 1, Smoke::mf_ctor, 29, 87},	//273 Nepomuk::Resource::Resource(const QString&)
    {21, 53, 55, 1, Smoke::mf_ctor, 29, 88},	//274 Nepomuk::Resource::Resource(const QUrl&)
    {21, 518, 0, 0, Smoke::mf_dtor, 0, 89 },	//275 Nepomuk::Resource::~Resource()
    {23, 293, 0, 0, Smoke::mf_const, 245, 1},	//276 Nepomuk::ResourceManager::metaObject() const
    {23, 337, 1, 1, 0, 268, 2},	//277 Nepomuk::ResourceManager::qt_metacast(const char*)
    {23, 484, 3, 2, Smoke::mf_static, 106, 3},	//278 Nepomuk::ResourceManager::tr(const char*, const char*)
    {23, 488, 3, 2, Smoke::mf_static, 106, 4},	//279 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {23, 484, 6, 3, Smoke::mf_static, 106, 5},	//280 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {23, 488, 6, 3, Smoke::mf_static, 106, 6},	//281 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {23, 335, 10, 3, 0, 263, 7},	//282 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {23, 235, 0, 0, Smoke::mf_static, 31, 8},	//283 Nepomuk::ResourceManager::instance()
    {23, 169, 0, 0, 0, 0, 9},	//284 Nepomuk::ResourceManager::deleteInstance()
    {23, 231, 0, 0, 0, 263, 10},	//285 Nepomuk::ResourceManager::init()
    {23, 232, 0, 0, Smoke::mf_const, 200, 11},	//286 Nepomuk::ResourceManager::initialized() const
    {23, 289, 0, 0, 0, 194, 12},	//287 Nepomuk::ResourceManager::mainModel()
    {23, 406, 123, 1, 0, 0, 13},	//288 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {23, 162, 38, 1, 0, 27, 14},	//289 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {23, 353, 38, 1, 0, 0, 15},	//290 Nepomuk::ResourceManager::removeResource(const QString&)
    {23, 131, 55, 1, 0, 76, 16},	//291 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {23, 131, 38, 1, 0, 76, 17},	//292 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {23, 134, 109, 2, 0, 76, 18},	//293 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {23, 134, 112, 2, 0, 76, 19},	//294 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {23, 154, 0, 0, 0, 0, 20},	//295 Nepomuk::ResourceManager::clearCache()
    {23, 212, 0, 0, 0, 106, 21},	//296 Nepomuk::ResourceManager::generateUniqueUri()
    {23, 212, 38, 1, 0, 113, 22},	//297 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {23, 308, 40, 2, 0, 0, 23},	//298 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {23, 160, 123, 1, Smoke::mf_static, 31, 24},	//299 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {23, 359, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//300 Nepomuk::ResourceManager::resourceModified(const QString&)
    {23, 182, 40, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//301 Nepomuk::ResourceManager::error(const QString&, int)
    {23, 306, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//302 Nepomuk::ResourceManager::nepomukSystemStarted()
    {23, 307, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//303 Nepomuk::ResourceManager::nepomukSystemStopped()
    {23, 484, 1, 1, Smoke::mf_static, 106, 29},	//304 Nepomuk::ResourceManager::tr(const char*)
    {23, 488, 1, 1, Smoke::mf_static, 106, 30},	//305 Nepomuk::ResourceManager::trUtf8(const char*)
    {23, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 31},	//306 Nepomuk::ResourceManager::staticMetaObject() const
    {24, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//307 Nepomuk::Service::metaObject() const
    {24, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//308 Nepomuk::Service::qt_metacast(const char*)
    {24, 484, 3, 2, Smoke::mf_static, 106, 3},	//309 Nepomuk::Service::tr(const char*, const char*)
    {24, 488, 3, 2, Smoke::mf_static, 106, 4},	//310 Nepomuk::Service::trUtf8(const char*, const char*)
    {24, 484, 6, 3, Smoke::mf_static, 106, 5},	//311 Nepomuk::Service::tr(const char*, const char*, int)
    {24, 488, 6, 3, Smoke::mf_static, 106, 6},	//312 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {24, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//313 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {24, 61, 125, 2, Smoke::mf_ctor, 32, 8},	//314 Nepomuk::Service::Service(QObject*, bool)
    {24, 289, 0, 0, Smoke::mf_protected, 194, 9},	//315 Nepomuk::Service::mainModel()
    {24, 419, 20, 1, Smoke::mf_protected, 0, 10},	//316 Nepomuk::Service::setServiceInitialized(bool)
    {24, 484, 1, 1, Smoke::mf_static, 106, 11},	//317 Nepomuk::Service::tr(const char*)
    {24, 488, 1, 1, Smoke::mf_static, 106, 12},	//318 Nepomuk::Service::trUtf8(const char*)
    {24, 61, 0, 0, Smoke::mf_ctor, 32, 13},	//319 Nepomuk::Service::Service()
    {24, 61, 128, 1, Smoke::mf_ctor, 32, 14},	//320 Nepomuk::Service::Service(QObject*)
    {24, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 15},	//321 Nepomuk::Service::staticMetaObject() const
    {24, 519, 0, 0, Smoke::mf_dtor, 0, 16 },	//322 Nepomuk::Service::~Service()
    {25, 68, 0, 0, Smoke::mf_ctor, 35, 1},	//323 Nepomuk::Tag::Tag()
    {25, 68, 89, 1, Smoke::mf_ctor, 35, 2},	//324 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {25, 68, 119, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 3},	//325 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {25, 68, 47, 1, Smoke::mf_ctor, 35, 4},	//326 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {25, 68, 38, 1, Smoke::mf_ctor, 35, 5},	//327 Nepomuk::Tag::Tag(const QString&)
    {25, 68, 130, 2, Smoke::mf_ctor, 35, 6},	//328 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {25, 68, 55, 1, Smoke::mf_ctor, 35, 7},	//329 Nepomuk::Tag::Tag(const QUrl&)
    {25, 68, 133, 2, Smoke::mf_ctor, 35, 8},	//330 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {25, 315, 119, 1, 0, 34, 9},	//331 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {25, 450, 0, 0, Smoke::mf_const, 76, 10},	//332 Nepomuk::Tag::tagOf() const
    {25, 138, 0, 0, Smoke::mf_static, 77, 11},	//333 Nepomuk::Tag::allTags()
    {25, 362, 0, 0, Smoke::mf_static, 106, 12},	//334 Nepomuk::Tag::resourceTypeUri()
    {25, 68, 91, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 13},	//335 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {25, 68, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 14},	//336 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {25, 68, 94, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 15},	//337 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {25, 68, 101, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 16},	//338 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {25, 520, 0, 0, Smoke::mf_dtor, 0, 17 },	//339 Nepomuk::Tag::~Tag()
    {26, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//340 Nepomuk::TagCloud::metaObject() const
    {26, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//341 Nepomuk::TagCloud::qt_metacast(const char*)
    {26, 484, 3, 2, Smoke::mf_static, 106, 3},	//342 Nepomuk::TagCloud::tr(const char*, const char*)
    {26, 488, 3, 2, Smoke::mf_static, 106, 4},	//343 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {26, 484, 6, 3, Smoke::mf_static, 106, 5},	//344 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {26, 488, 6, 3, Smoke::mf_static, 106, 6},	//345 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {26, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//346 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {26, 75, 14, 1, Smoke::mf_ctor, 36, 8},	//347 Nepomuk::TagCloud::TagCloud(QWidget*)
    {26, 148, 0, 0, Smoke::mf_const, 200, 9},	//348 Nepomuk::TagCloud::autoUpdate() const
    {26, 495, 0, 0, Smoke::mf_slot, 0, 10},	//349 Nepomuk::TagCloud::updateTags()
    {26, 372, 20, 1, Smoke::mf_slot, 0, 11},	//350 Nepomuk::TagCloud::setAutoUpdate(bool)
    {26, 447, 136, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//351 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {26, 484, 1, 1, Smoke::mf_static, 106, 13},	//352 Nepomuk::TagCloud::tr(const char*)
    {26, 488, 1, 1, Smoke::mf_static, 106, 14},	//353 Nepomuk::TagCloud::trUtf8(const char*)
    {26, 75, 0, 0, Smoke::mf_ctor, 36, 15},	//354 Nepomuk::TagCloud::TagCloud()
    {26, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 16},	//355 Nepomuk::TagCloud::staticMetaObject() const
    {26, 521, 0, 0, Smoke::mf_dtor, 0, 17 },	//356 Nepomuk::TagCloud::~TagCloud()
    {27, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//357 Nepomuk::TagWidget::metaObject() const
    {27, 337, 1, 1, Smoke::mf_virtual, 268, 2},	//358 Nepomuk::TagWidget::qt_metacast(const char*)
    {27, 484, 3, 2, Smoke::mf_static, 106, 3},	//359 Nepomuk::TagWidget::tr(const char*, const char*)
    {27, 488, 3, 2, Smoke::mf_static, 106, 4},	//360 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {27, 484, 6, 3, Smoke::mf_static, 106, 5},	//361 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {27, 488, 6, 3, Smoke::mf_static, 106, 6},	//362 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {27, 335, 10, 3, Smoke::mf_virtual, 263, 7},	//363 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {27, 77, 138, 2, Smoke::mf_ctor, 37, 8},	//364 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {27, 77, 14, 1, Smoke::mf_ctor, 37, 9},	//365 Nepomuk::TagWidget::TagWidget(QWidget*)
    {27, 454, 0, 0, Smoke::mf_const, 76, 10},	//366 Nepomuk::TagWidget::taggedResources() const
    {27, 147, 0, 0, Smoke::mf_const, 77, 11},	//367 Nepomuk::TagWidget::assignedTags() const
    {27, 447, 136, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//368 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {27, 425, 47, 1, Smoke::mf_slot, 0, 13},	//369 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {27, 427, 115, 1, Smoke::mf_slot, 0, 14},	//370 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {27, 370, 117, 1, Smoke::mf_slot, 0, 15},	//371 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {27, 484, 1, 1, Smoke::mf_static, 106, 16},	//372 Nepomuk::TagWidget::tr(const char*)
    {27, 488, 1, 1, Smoke::mf_static, 106, 17},	//373 Nepomuk::TagWidget::trUtf8(const char*)
    {27, 77, 47, 1, Smoke::mf_ctor, 37, 18},	//374 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {27, 77, 0, 0, Smoke::mf_ctor, 37, 19},	//375 Nepomuk::TagWidget::TagWidget()
    {27, 440, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 244, 20},	//376 Nepomuk::TagWidget::staticMetaObject() const
    {27, 522, 0, 0, Smoke::mf_dtor, 0, 21 },	//377 Nepomuk::TagWidget::~TagWidget()
    {28, 80, 98, 2, Smoke::mf_ctor, 40, 1},	//378 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {28, 80, 101, 3, Smoke::mf_ctor, 40, 2},	//379 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 80, 91, 2, Smoke::mf_ctor, 40, 3},	//380 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {28, 80, 94, 3, Smoke::mf_ctor, 40, 4},	//381 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 80, 141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 5},	//382 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {28, 80, 47, 1, Smoke::mf_ctor, 40, 6},	//383 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {28, 80, 105, 1, Smoke::mf_ctor, 40, 7},	//384 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {28, 315, 141, 1, 0, 39, 8},	//385 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {28, 315, 47, 1, 0, 39, 9},	//386 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {28, 315, 55, 1, 0, 39, 10},	//387 Nepomuk::Thing::operator=(const QUrl&)
    {28, 219, 0, 0, Smoke::mf_const, 76, 11},	//388 Nepomuk::Thing::groundingOccurrences() const
    {28, 347, 0, 0, Smoke::mf_const, 76, 12},	//389 Nepomuk::Thing::referencingOccurrences() const
    {28, 311, 0, 0, Smoke::mf_const, 76, 13},	//390 Nepomuk::Thing::occurrences() const
    {28, 103, 47, 1, 0, 0, 14},	//391 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {28, 80, 0, 0, Smoke::mf_ctor, 40, 15},	//392 Nepomuk::Thing::Thing()
    {28, 80, 55, 1, Smoke::mf_ctor, 40, 16},	//393 Nepomuk::Thing::Thing(const QUrl&)
    {28, 80, 38, 1, Smoke::mf_ctor, 40, 17},	//394 Nepomuk::Thing::Thing(const QString&)
    {28, 523, 0, 0, Smoke::mf_dtor, 0, 18 },	//395 Nepomuk::Thing::~Thing()
    {29, 333, 143, 1, Smoke::mf_static, 266, 1},	//396 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {30, 2, 0, 0, Smoke::mf_ctor, 43, 1},	//397 Nepomuk::Types::Class::Class()
    {30, 2, 55, 1, Smoke::mf_ctor, 43, 2},	//398 Nepomuk::Types::Class::Class(const QUrl&)
    {30, 2, 145, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 3},	//399 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {30, 315, 145, 1, 0, 42, 4},	//400 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {30, 340, 0, 0, 0, 79, 5},	//401 Nepomuk::Types::Class::rangeOf()
    {30, 340, 0, 0, Smoke::mf_const, 79, 6},	//402 Nepomuk::Types::Class::rangeOf() const
    {30, 175, 0, 0, 0, 79, 7},	//403 Nepomuk::Types::Class::domainOf()
    {30, 175, 0, 0, Smoke::mf_const, 79, 8},	//404 Nepomuk::Types::Class::domainOf() const
    {30, 202, 38, 1, 0, 51, 9},	//405 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {30, 202, 38, 1, Smoke::mf_const, 51, 10},	//406 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {30, 199, 59, 2, 0, 51, 11},	//407 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {30, 199, 59, 2, Smoke::mf_const, 51, 12},	//408 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {30, 325, 0, 0, 0, 78, 13},	//409 Nepomuk::Types::Class::parentClasses()
    {30, 325, 0, 0, Smoke::mf_const, 78, 14},	//410 Nepomuk::Types::Class::parentClasses() const
    {30, 442, 0, 0, 0, 78, 15},	//411 Nepomuk::Types::Class::subClasses()
    {30, 442, 0, 0, Smoke::mf_const, 78, 16},	//412 Nepomuk::Types::Class::subClasses() const
    {30, 128, 0, 0, 0, 78, 17},	//413 Nepomuk::Types::Class::allParentClasses()
    {30, 128, 0, 0, Smoke::mf_const, 78, 18},	//414 Nepomuk::Types::Class::allParentClasses() const
    {30, 137, 0, 0, 0, 78, 19},	//415 Nepomuk::Types::Class::allSubClasses()
    {30, 137, 0, 0, Smoke::mf_const, 78, 20},	//416 Nepomuk::Types::Class::allSubClasses() const
    {30, 251, 145, 1, 0, 200, 21},	//417 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {30, 251, 145, 1, Smoke::mf_const, 200, 22},	//418 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {30, 260, 145, 1, 0, 200, 23},	//419 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {30, 260, 145, 1, Smoke::mf_const, 200, 24},	//420 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {30, 199, 38, 1, 0, 51, 25},	//421 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {30, 199, 38, 1, Smoke::mf_const, 51, 26},	//422 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {30, 505, 0, 0, Smoke::mf_dtor, 0, 27 },	//423 Nepomuk::Types::Class::~Class()
    {31, 9, 143, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 1},	//424 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {31, 315, 143, 1, 0, 44, 2},	//425 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {31, 304, 0, 0, Smoke::mf_const, 106, 3},	//426 Nepomuk::Types::Entity::name() const
    {31, 496, 0, 0, Smoke::mf_const, 113, 4},	//427 Nepomuk::Types::Entity::uri() const
    {31, 277, 38, 1, 0, 106, 5},	//428 Nepomuk::Types::Entity::label(const QString&)
    {31, 277, 38, 1, Smoke::mf_const, 106, 6},	//429 Nepomuk::Types::Entity::label(const QString&) const
    {31, 156, 38, 1, 0, 106, 7},	//430 Nepomuk::Types::Entity::comment(const QString&)
    {31, 156, 38, 1, Smoke::mf_const, 106, 8},	//431 Nepomuk::Types::Entity::comment(const QString&) const
    {31, 228, 0, 0, 0, 73, 9},	//432 Nepomuk::Types::Entity::icon()
    {31, 228, 0, 0, Smoke::mf_const, 73, 10},	//433 Nepomuk::Types::Entity::icon() const
    {31, 274, 0, 0, Smoke::mf_const, 200, 11},	//434 Nepomuk::Types::Entity::isValid() const
    {31, 237, 0, 0, 0, 200, 12},	//435 Nepomuk::Types::Entity::isAvailable()
    {31, 237, 0, 0, Smoke::mf_const, 200, 13},	//436 Nepomuk::Types::Entity::isAvailable() const
    {31, 355, 20, 1, 0, 0, 14},	//437 Nepomuk::Types::Entity::reset(bool)
    {31, 312, 0, 0, Smoke::mf_const, 113, 15},	//438 Nepomuk::Types::Entity::operator QUrl() const
    {31, 318, 143, 1, Smoke::mf_const, 200, 16},	//439 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {31, 313, 143, 1, Smoke::mf_const, 200, 17},	//440 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {31, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 45, 18},	//441 Nepomuk::Types::Entity::Entity()
    {31, 277, 0, 0, 0, 106, 19},	//442 Nepomuk::Types::Entity::label()
    {31, 277, 0, 0, Smoke::mf_const, 106, 20},	//443 Nepomuk::Types::Entity::label() const
    {31, 156, 0, 0, 0, 106, 21},	//444 Nepomuk::Types::Entity::comment()
    {31, 156, 0, 0, Smoke::mf_const, 106, 22},	//445 Nepomuk::Types::Entity::comment() const
    {31, 355, 0, 0, 0, 0, 23},	//446 Nepomuk::Types::Entity::reset()
    {31, 507, 0, 0, Smoke::mf_dtor, 0, 24 },	//447 Nepomuk::Types::Entity::~Entity()
    {32, 24, 0, 0, Smoke::mf_ctor, 48, 1},	//448 Nepomuk::Types::Literal::Literal()
    {32, 24, 147, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//449 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {32, 24, 55, 1, Smoke::mf_ctor, 48, 3},	//450 Nepomuk::Types::Literal::Literal(const QUrl&)
    {32, 315, 147, 1, 0, 47, 4},	//451 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {32, 166, 0, 0, Smoke::mf_const, 113, 5},	//452 Nepomuk::Types::Literal::dataTypeUri() const
    {32, 165, 0, 0, Smoke::mf_const, 115, 6},	//453 Nepomuk::Types::Literal::dataType() const
    {32, 274, 0, 0, Smoke::mf_const, 200, 7},	//454 Nepomuk::Types::Literal::isValid() const
    {32, 512, 0, 0, Smoke::mf_dtor, 0, 8 },	//455 Nepomuk::Types::Literal::~Literal()
    {33, 30, 0, 0, Smoke::mf_ctor, 50, 1},	//456 Nepomuk::Types::Ontology::Ontology()
    {33, 30, 55, 1, Smoke::mf_ctor, 50, 2},	//457 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {33, 30, 149, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 3},	//458 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {33, 315, 149, 1, 0, 49, 4},	//459 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {33, 126, 0, 0, 0, 78, 5},	//460 Nepomuk::Types::Ontology::allClasses()
    {33, 195, 38, 1, 0, 41, 6},	//461 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {33, 192, 59, 2, 0, 41, 7},	//462 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {33, 129, 0, 0, 0, 79, 8},	//463 Nepomuk::Types::Ontology::allProperties()
    {33, 202, 38, 1, 0, 51, 9},	//464 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {33, 199, 59, 2, 0, 51, 10},	//465 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {33, 192, 38, 1, 0, 41, 11},	//466 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {33, 199, 38, 1, 0, 51, 12},	//467 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {33, 514, 0, 0, Smoke::mf_dtor, 0, 13 },	//468 Nepomuk::Types::Ontology::~Ontology()
    {34, 38, 0, 0, Smoke::mf_ctor, 53, 1},	//469 Nepomuk::Types::Property::Property()
    {34, 38, 55, 1, Smoke::mf_ctor, 53, 2},	//470 Nepomuk::Types::Property::Property(const QUrl&)
    {34, 38, 151, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 3},	//471 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {34, 315, 151, 1, 0, 52, 4},	//472 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {34, 327, 0, 0, 0, 79, 5},	//473 Nepomuk::Types::Property::parentProperties()
    {34, 327, 0, 0, Smoke::mf_const, 79, 6},	//474 Nepomuk::Types::Property::parentProperties() const
    {34, 443, 0, 0, 0, 79, 7},	//475 Nepomuk::Types::Property::subProperties()
    {34, 443, 0, 0, Smoke::mf_const, 79, 8},	//476 Nepomuk::Types::Property::subProperties() const
    {34, 236, 0, 0, 0, 51, 9},	//477 Nepomuk::Types::Property::inverseProperty()
    {34, 236, 0, 0, Smoke::mf_const, 51, 10},	//478 Nepomuk::Types::Property::inverseProperty() const
    {34, 339, 0, 0, 0, 41, 11},	//479 Nepomuk::Types::Property::range()
    {34, 339, 0, 0, Smoke::mf_const, 41, 12},	//480 Nepomuk::Types::Property::range() const
    {34, 284, 0, 0, 0, 46, 13},	//481 Nepomuk::Types::Property::literalRangeType()
    {34, 284, 0, 0, Smoke::mf_const, 46, 14},	//482 Nepomuk::Types::Property::literalRangeType() const
    {34, 174, 0, 0, 0, 41, 15},	//483 Nepomuk::Types::Property::domain()
    {34, 174, 0, 0, Smoke::mf_const, 41, 16},	//484 Nepomuk::Types::Property::domain() const
    {34, 149, 0, 0, 0, 263, 17},	//485 Nepomuk::Types::Property::cardinality()
    {34, 149, 0, 0, Smoke::mf_const, 263, 18},	//486 Nepomuk::Types::Property::cardinality() const
    {34, 295, 0, 0, 0, 263, 19},	//487 Nepomuk::Types::Property::minCardinality()
    {34, 295, 0, 0, Smoke::mf_const, 263, 20},	//488 Nepomuk::Types::Property::minCardinality() const
    {34, 291, 0, 0, 0, 263, 21},	//489 Nepomuk::Types::Property::maxCardinality()
    {34, 291, 0, 0, Smoke::mf_const, 263, 22},	//490 Nepomuk::Types::Property::maxCardinality() const
    {34, 251, 151, 1, 0, 200, 23},	//491 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {34, 251, 151, 1, Smoke::mf_const, 200, 24},	//492 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {34, 262, 151, 1, 0, 200, 25},	//493 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {34, 262, 151, 1, Smoke::mf_const, 200, 26},	//494 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {34, 517, 0, 0, Smoke::mf_dtor, 0, 27 },	//495 Nepomuk::Types::Property::~Property()
    {35, 89, 0, 0, Smoke::mf_ctor, 56, 1},	//496 Nepomuk::Variant::Variant()
    {35, 89, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//497 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {35, 89, 153, 1, Smoke::mf_ctor, 56, 3},	//498 Nepomuk::Variant::Variant(const QVariant&)
    {35, 89, 18, 1, Smoke::mf_ctor, 56, 4},	//499 Nepomuk::Variant::Variant(int)
    {35, 89, 155, 1, Smoke::mf_ctor, 56, 5},	//500 Nepomuk::Variant::Variant(long long)
    {35, 89, 16, 1, Smoke::mf_ctor, 56, 6},	//501 Nepomuk::Variant::Variant(unsigned int)
    {35, 89, 157, 1, Smoke::mf_ctor, 56, 7},	//502 Nepomuk::Variant::Variant(unsigned long long)
    {35, 89, 20, 1, Smoke::mf_ctor, 56, 8},	//503 Nepomuk::Variant::Variant(bool)
    {35, 89, 159, 1, Smoke::mf_ctor, 56, 9},	//504 Nepomuk::Variant::Variant(double)
    {35, 89, 1, 1, Smoke::mf_ctor, 56, 10},	//505 Nepomuk::Variant::Variant(const char*)
    {35, 89, 38, 1, Smoke::mf_ctor, 56, 11},	//506 Nepomuk::Variant::Variant(const QString&)
    {35, 89, 161, 1, Smoke::mf_ctor, 56, 12},	//507 Nepomuk::Variant::Variant(const QDate&)
    {35, 89, 163, 1, Smoke::mf_ctor, 56, 13},	//508 Nepomuk::Variant::Variant(const QTime&)
    {35, 89, 165, 1, Smoke::mf_ctor, 56, 14},	//509 Nepomuk::Variant::Variant(const QDateTime&)
    {35, 89, 55, 1, Smoke::mf_ctor, 56, 15},	//510 Nepomuk::Variant::Variant(const QUrl&)
    {35, 89, 47, 1, Smoke::mf_ctor, 56, 16},	//511 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {35, 89, 167, 1, Smoke::mf_ctor, 56, 17},	//512 Nepomuk::Variant::Variant(const QList<int>&)
    {35, 89, 169, 1, Smoke::mf_ctor, 56, 18},	//513 Nepomuk::Variant::Variant(const QList<long long>&)
    {35, 89, 171, 1, Smoke::mf_ctor, 56, 19},	//514 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {35, 89, 173, 1, Smoke::mf_ctor, 56, 20},	//515 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {35, 89, 175, 1, Smoke::mf_ctor, 56, 21},	//516 Nepomuk::Variant::Variant(const QList<bool>&)
    {35, 89, 177, 1, Smoke::mf_ctor, 56, 22},	//517 Nepomuk::Variant::Variant(const QList<double>&)
    {35, 89, 45, 1, Smoke::mf_ctor, 56, 23},	//518 Nepomuk::Variant::Variant(const QStringList&)
    {35, 89, 179, 1, Smoke::mf_ctor, 56, 24},	//519 Nepomuk::Variant::Variant(const QList<QDate>&)
    {35, 89, 181, 1, Smoke::mf_ctor, 56, 25},	//520 Nepomuk::Variant::Variant(const QList<QTime>&)
    {35, 89, 183, 1, Smoke::mf_ctor, 56, 26},	//521 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {35, 89, 107, 1, Smoke::mf_ctor, 56, 27},	//522 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {35, 89, 115, 1, Smoke::mf_ctor, 56, 28},	//523 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {35, 89, 185, 1, Smoke::mf_ctor, 56, 29},	//524 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {35, 315, 49, 1, 0, 55, 30},	//525 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {35, 315, 18, 1, 0, 55, 31},	//526 Nepomuk::Variant::operator=(int)
    {35, 315, 155, 1, 0, 55, 32},	//527 Nepomuk::Variant::operator=(long long)
    {35, 315, 16, 1, 0, 55, 33},	//528 Nepomuk::Variant::operator=(unsigned int)
    {35, 315, 157, 1, 0, 55, 34},	//529 Nepomuk::Variant::operator=(unsigned long long)
    {35, 315, 20, 1, 0, 55, 35},	//530 Nepomuk::Variant::operator=(bool)
    {35, 315, 159, 1, 0, 55, 36},	//531 Nepomuk::Variant::operator=(double)
    {35, 315, 38, 1, 0, 55, 37},	//532 Nepomuk::Variant::operator=(const QString&)
    {35, 315, 161, 1, 0, 55, 38},	//533 Nepomuk::Variant::operator=(const QDate&)
    {35, 315, 163, 1, 0, 55, 39},	//534 Nepomuk::Variant::operator=(const QTime&)
    {35, 315, 165, 1, 0, 55, 40},	//535 Nepomuk::Variant::operator=(const QDateTime&)
    {35, 315, 55, 1, 0, 55, 41},	//536 Nepomuk::Variant::operator=(const QUrl&)
    {35, 315, 47, 1, 0, 55, 42},	//537 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {35, 315, 167, 1, 0, 55, 43},	//538 Nepomuk::Variant::operator=(const QList<int>&)
    {35, 315, 169, 1, 0, 55, 44},	//539 Nepomuk::Variant::operator=(const QList<long long>&)
    {35, 315, 171, 1, 0, 55, 45},	//540 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {35, 315, 173, 1, 0, 55, 46},	//541 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {35, 315, 175, 1, 0, 55, 47},	//542 Nepomuk::Variant::operator=(const QList<bool>&)
    {35, 315, 177, 1, 0, 55, 48},	//543 Nepomuk::Variant::operator=(const QList<double>&)
    {35, 315, 45, 1, 0, 55, 49},	//544 Nepomuk::Variant::operator=(const QStringList&)
    {35, 315, 179, 1, 0, 55, 50},	//545 Nepomuk::Variant::operator=(const QList<QDate>&)
    {35, 315, 181, 1, 0, 55, 51},	//546 Nepomuk::Variant::operator=(const QList<QTime>&)
    {35, 315, 183, 1, 0, 55, 52},	//547 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {35, 315, 107, 1, 0, 55, 53},	//548 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {35, 315, 115, 1, 0, 55, 54},	//549 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {35, 144, 18, 1, 0, 0, 55},	//550 Nepomuk::Variant::append(int)
    {35, 144, 155, 1, 0, 0, 56},	//551 Nepomuk::Variant::append(long long)
    {35, 144, 16, 1, 0, 0, 57},	//552 Nepomuk::Variant::append(unsigned int)
    {35, 144, 157, 1, 0, 0, 58},	//553 Nepomuk::Variant::append(unsigned long long)
    {35, 144, 20, 1, 0, 0, 59},	//554 Nepomuk::Variant::append(bool)
    {35, 144, 159, 1, 0, 0, 60},	//555 Nepomuk::Variant::append(double)
    {35, 144, 38, 1, 0, 0, 61},	//556 Nepomuk::Variant::append(const QString&)
    {35, 144, 161, 1, 0, 0, 62},	//557 Nepomuk::Variant::append(const QDate&)
    {35, 144, 163, 1, 0, 0, 63},	//558 Nepomuk::Variant::append(const QTime&)
    {35, 144, 165, 1, 0, 0, 64},	//559 Nepomuk::Variant::append(const QDateTime&)
    {35, 144, 55, 1, 0, 0, 65},	//560 Nepomuk::Variant::append(const QUrl&)
    {35, 144, 47, 1, 0, 0, 66},	//561 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {35, 144, 49, 1, 0, 0, 67},	//562 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {35, 318, 49, 1, Smoke::mf_const, 200, 68},	//563 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {35, 313, 49, 1, Smoke::mf_const, 200, 69},	//564 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {35, 274, 0, 0, Smoke::mf_const, 200, 70},	//565 Nepomuk::Variant::isValid() const
    {35, 492, 0, 0, Smoke::mf_const, 263, 71},	//566 Nepomuk::Variant::type() const
    {35, 437, 0, 0, Smoke::mf_const, 263, 72},	//567 Nepomuk::Variant::simpleType() const
    {35, 250, 0, 0, Smoke::mf_const, 200, 73},	//568 Nepomuk::Variant::isList() const
    {35, 246, 0, 0, Smoke::mf_const, 200, 74},	//569 Nepomuk::Variant::isInt() const
    {35, 247, 0, 0, Smoke::mf_const, 200, 75},	//570 Nepomuk::Variant::isInt64() const
    {35, 268, 0, 0, Smoke::mf_const, 200, 76},	//571 Nepomuk::Variant::isUnsignedInt() const
    {35, 269, 0, 0, Smoke::mf_const, 200, 77},	//572 Nepomuk::Variant::isUnsignedInt64() const
    {35, 238, 0, 0, Smoke::mf_const, 200, 78},	//573 Nepomuk::Variant::isBool() const
    {35, 244, 0, 0, Smoke::mf_const, 200, 79},	//574 Nepomuk::Variant::isDouble() const
    {35, 258, 0, 0, Smoke::mf_const, 200, 80},	//575 Nepomuk::Variant::isString() const
    {35, 240, 0, 0, Smoke::mf_const, 200, 81},	//576 Nepomuk::Variant::isDate() const
    {35, 264, 0, 0, Smoke::mf_const, 200, 82},	//577 Nepomuk::Variant::isTime() const
    {35, 242, 0, 0, Smoke::mf_const, 200, 83},	//578 Nepomuk::Variant::isDateTime() const
    {35, 272, 0, 0, Smoke::mf_const, 200, 84},	//579 Nepomuk::Variant::isUrl() const
    {35, 256, 0, 0, Smoke::mf_const, 200, 85},	//580 Nepomuk::Variant::isResource() const
    {35, 249, 0, 0, Smoke::mf_const, 200, 86},	//581 Nepomuk::Variant::isIntList() const
    {35, 248, 0, 0, Smoke::mf_const, 200, 87},	//582 Nepomuk::Variant::isInt64List() const
    {35, 271, 0, 0, Smoke::mf_const, 200, 88},	//583 Nepomuk::Variant::isUnsignedIntList() const
    {35, 270, 0, 0, Smoke::mf_const, 200, 89},	//584 Nepomuk::Variant::isUnsignedInt64List() const
    {35, 239, 0, 0, Smoke::mf_const, 200, 90},	//585 Nepomuk::Variant::isBoolList() const
    {35, 245, 0, 0, Smoke::mf_const, 200, 91},	//586 Nepomuk::Variant::isDoubleList() const
    {35, 259, 0, 0, Smoke::mf_const, 200, 92},	//587 Nepomuk::Variant::isStringList() const
    {35, 241, 0, 0, Smoke::mf_const, 200, 93},	//588 Nepomuk::Variant::isDateList() const
    {35, 265, 0, 0, Smoke::mf_const, 200, 94},	//589 Nepomuk::Variant::isTimeList() const
    {35, 243, 0, 0, Smoke::mf_const, 200, 95},	//590 Nepomuk::Variant::isDateTimeList() const
    {35, 273, 0, 0, Smoke::mf_const, 200, 96},	//591 Nepomuk::Variant::isUrlList() const
    {35, 257, 0, 0, Smoke::mf_const, 200, 97},	//592 Nepomuk::Variant::isResourceList() const
    {35, 501, 0, 0, Smoke::mf_const, 114, 98},	//593 Nepomuk::Variant::variant() const
    {35, 465, 0, 0, Smoke::mf_const, 263, 99},	//594 Nepomuk::Variant::toInt() const
    {35, 466, 0, 0, Smoke::mf_const, 265, 100},	//595 Nepomuk::Variant::toInt64() const
    {35, 475, 0, 0, Smoke::mf_const, 266, 101},	//596 Nepomuk::Variant::toUnsignedInt() const
    {35, 476, 0, 0, Smoke::mf_const, 267, 102},	//597 Nepomuk::Variant::toUnsignedInt64() const
    {35, 457, 0, 0, Smoke::mf_const, 200, 103},	//598 Nepomuk::Variant::toBool() const
    {35, 463, 0, 0, Smoke::mf_const, 262, 104},	//599 Nepomuk::Variant::toDouble() const
    {35, 471, 0, 0, Smoke::mf_const, 106, 105},	//600 Nepomuk::Variant::toString() const
    {35, 459, 0, 0, Smoke::mf_const, 62, 106},	//601 Nepomuk::Variant::toDate() const
    {35, 473, 0, 0, Smoke::mf_const, 111, 107},	//602 Nepomuk::Variant::toTime() const
    {35, 461, 0, 0, Smoke::mf_const, 63, 108},	//603 Nepomuk::Variant::toDateTime() const
    {35, 479, 0, 0, Smoke::mf_const, 113, 109},	//604 Nepomuk::Variant::toUrl() const
    {35, 469, 0, 0, Smoke::mf_const, 27, 110},	//605 Nepomuk::Variant::toResource() const
    {35, 468, 0, 0, Smoke::mf_const, 91, 111},	//606 Nepomuk::Variant::toIntList() const
    {35, 467, 0, 0, Smoke::mf_const, 92, 112},	//607 Nepomuk::Variant::toInt64List() const
    {35, 478, 0, 0, Smoke::mf_const, 93, 113},	//608 Nepomuk::Variant::toUnsignedIntList() const
    {35, 477, 0, 0, Smoke::mf_const, 94, 114},	//609 Nepomuk::Variant::toUnsignedInt64List() const
    {35, 458, 0, 0, Smoke::mf_const, 87, 115},	//610 Nepomuk::Variant::toBoolList() const
    {35, 464, 0, 0, Smoke::mf_const, 90, 116},	//611 Nepomuk::Variant::toDoubleList() const
    {35, 472, 0, 0, Smoke::mf_const, 107, 117},	//612 Nepomuk::Variant::toStringList() const
    {35, 460, 0, 0, Smoke::mf_const, 81, 118},	//613 Nepomuk::Variant::toDateList() const
    {35, 474, 0, 0, Smoke::mf_const, 83, 119},	//614 Nepomuk::Variant::toTimeList() const
    {35, 462, 0, 0, Smoke::mf_const, 82, 120},	//615 Nepomuk::Variant::toDateTimeList() const
    {35, 480, 0, 0, Smoke::mf_const, 84, 121},	//616 Nepomuk::Variant::toUrlList() const
    {35, 470, 0, 0, Smoke::mf_const, 76, 122},	//617 Nepomuk::Variant::toResourceList() const
    {35, 481, 0, 0, Smoke::mf_const, 80, 123},	//618 Nepomuk::Variant::toVariantList() const
    {35, 210, 40, 2, Smoke::mf_static, 54, 124},	//619 Nepomuk::Variant::fromString(const QString&, int)
    {35, 524, 0, 0, Smoke::mf_dtor, 0, 125 },	//620 Nepomuk::Variant::~Variant()
    {50, 186, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//621 QFrame::event(QEvent*)
    {50, 150, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//622 QFrame::changeEvent(QEvent*)
    {50, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 3},	//623 QFrame::NoFrame (enum)
    {50, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 4},	//624 QFrame::Box (enum)
    {50, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 5},	//625 QFrame::Panel (enum)
    {50, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 6},	//626 QFrame::WinPanel (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 7},	//627 QFrame::HLine (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 8},	//628 QFrame::VLine (enum)
    {50, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 9},	//629 QFrame::StyledPanel (enum)
    {50, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 10},	//630 QFrame::Plain (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 11},	//631 QFrame::Raised (enum)
    {50, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 12},	//632 QFrame::Sunken (enum)
    {50, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 13},	//633 QFrame::Shadow_Mask (enum)
    {50, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 14},	//634 QFrame::Shape_Mask (enum)
    {51, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 1},	//635 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {51, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 2},	//636 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {51, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 3},	//637 QGlobalSpace::Q_STATIC_TYPE (enum)
    {51, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 4},	//638 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {51, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 5},	//639 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {51, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 6},	//640 QGlobalSpace::QtDebugMsg (enum)
    {51, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 7},	//641 QGlobalSpace::QtWarningMsg (enum)
    {51, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 8},	//642 QGlobalSpace::QtCriticalMsg (enum)
    {51, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 9},	//643 QGlobalSpace::QtFatalMsg (enum)
    {51, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 10},	//644 QGlobalSpace::QtSystemMsg (enum)
    {51, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 11},	//645 QGlobalSpace::__codecvt_ok (enum)
    {51, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//646 QGlobalSpace::__codecvt_partial (enum)
    {51, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 13},	//647 QGlobalSpace::__codecvt_error (enum)
    {51, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 14},	//648 QGlobalSpace::__codecvt_noconv (enum)
    {59, 186, 32, 1, Smoke::mf_virtual, 200, 0},	//649 QObject::event(QEvent*)
    {59, 187, 187, 2, Smoke::mf_virtual, 200, 0},	//650 QObject::eventFilter(QObject*, QEvent*)
    {59, 456, 190, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QObject::timerEvent(QTimerEvent*)
    {59, 151, 192, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QObject::childEvent(QChildEvent*)
    {59, 164, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QObject::customEvent(QEvent*)
    {59, 158, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QObject::connectNotify(const char*)
    {59, 173, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//655 QObject::disconnectNotify(const char*)
    {75, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//656 QWidget::devType() const
    {75, 435, 20, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//657 QWidget::setVisible(bool)
    {75, 438, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 105, 0},	//658 QWidget::sizeHint() const
    {75, 296, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 105, 0},	//659 QWidget::minimumSizeHint() const
    {75, 226, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//660 QWidget::heightForWidth(int) const
    {75, 321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//661 QWidget::paintEngine() const
    {75, 186, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//662 QWidget::event(QEvent*)
    {75, 300, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//663 QWidget::mousePressEvent(QMouseEvent*)
    {75, 302, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 297, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 298, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 502, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//667 QWidget::wheelEvent(QWheelEvent*)
    {75, 275, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//668 QWidget::keyPressEvent(QKeyEvent*)
    {75, 276, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//669 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 206, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//670 QWidget::focusInEvent(QFocusEvent*)
    {75, 208, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//671 QWidget::focusOutEvent(QFocusEvent*)
    {75, 181, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//672 QWidget::enterEvent(QEvent*)
    {75, 282, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//673 QWidget::leaveEvent(QEvent*)
    {75, 322, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QWidget::paintEvent(QPaintEvent*)
    {75, 303, 200, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QWidget::moveEvent(QMoveEvent*)
    {75, 357, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QWidget::resizeEvent(QResizeEvent*)
    {75, 155, 202, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::closeEvent(QCloseEvent*)
    {75, 159, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 446, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::tabletEvent(QTabletEvent*)
    {75, 98, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::actionEvent(QActionEvent*)
    {75, 176, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 178, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 177, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 179, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QWidget::dropEvent(QDropEvent*)
    {75, 436, 218, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::showEvent(QShowEvent*)
    {75, 227, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QWidget::hideEvent(QHideEvent*)
    {75, 504, 222, 1, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//687 QWidget::x11Event(_XEvent*)
    {75, 150, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::changeEvent(QEvent*)
    {75, 294, 224, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//689 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 233, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 234, 228, 1, Smoke::mf_const|Smoke::mf_virtual, 114, 0},	//691 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 207, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//692 QWidget::focusNextPrevChild(bool)
    {75, 441, 230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::styleChange(QStyle&)
    {75, 180, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::enabledChange(bool)
    {75, 324, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::paletteChange(const QPalette&)
    {75, 209, 234, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::fontChange(const QFont&)
    {75, 503, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::windowActivationChange(bool)
    {75, 280, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::languageChange()
    {75, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//699 QWidget::DrawWindowBackground (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 45},	//700 QWidget::DrawChildren (enum)
    {75, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 46},	//701 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    457,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    458,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    382,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    383,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    384,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    393,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    385,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    386,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    387,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
    188,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    189,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    195,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    274,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    196,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    197,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    398,  // Nepomuk::Types::Class::Class(const QUrl&)
    399,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    413,  // Nepomuk::Types::Class::allParentClasses()
    414,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    415,  // Nepomuk::Types::Class::allSubClasses()
    416,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    403,  // Nepomuk::Types::Class::domainOf()
    404,  // Nepomuk::Types::Class::domainOf() const
    0,
    421,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    422,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    407,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    408,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    405,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    406,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    417,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    418,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    419,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    420,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    409,  // Nepomuk::Types::Class::parentClasses()
    410,  // Nepomuk::Types::Class::parentClasses() const
    0,
    401,  // Nepomuk::Types::Class::rangeOf()
    402,  // Nepomuk::Types::Class::rangeOf() const
    0,
    411,  // Nepomuk::Types::Class::subClasses()
    412,  // Nepomuk::Types::Class::subClasses() const
    0,
    324,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    325,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    326,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    329,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    330,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    336,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    328,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    335,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    449,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    450,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    17,  // KRatingWidget::ratingChanged(unsigned int)
    18,  // KRatingWidget::ratingChanged(int)
    0,
    21,  // KRatingWidget::setMaxRating(int)
    22,  // KRatingWidget::setMaxRating(unsigned int)
    0,
    19,  // KRatingWidget::setRating(int)
    20,  // KRatingWidget::setRating(unsigned int)
    0,
    470,  // Nepomuk::Types::Property::Property(const QUrl&)
    471,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    485,  // Nepomuk::Types::Property::cardinality()
    486,  // Nepomuk::Types::Property::cardinality() const
    0,
    483,  // Nepomuk::Types::Property::domain()
    484,  // Nepomuk::Types::Property::domain() const
    0,
    477,  // Nepomuk::Types::Property::inverseProperty()
    478,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    491,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    492,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    493,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    494,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    481,  // Nepomuk::Types::Property::literalRangeType()
    482,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    489,  // Nepomuk::Types::Property::maxCardinality()
    490,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    487,  // Nepomuk::Types::Property::minCardinality()
    488,  // Nepomuk::Types::Property::minCardinality() const
    0,
    473,  // Nepomuk::Types::Property::parentProperties()
    474,  // Nepomuk::Types::Property::parentProperties() const
    0,
    479,  // Nepomuk::Types::Property::range()
    480,  // Nepomuk::Types::Property::range() const
    0,
    475,  // Nepomuk::Types::Property::subProperties()
    476,  // Nepomuk::Types::Property::subProperties() const
    0,
    497,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    498,  // Nepomuk::Variant::Variant(const QVariant&)
    507,  // Nepomuk::Variant::Variant(const QDate&)
    508,  // Nepomuk::Variant::Variant(const QTime&)
    509,  // Nepomuk::Variant::Variant(const QDateTime&)
    510,  // Nepomuk::Variant::Variant(const QUrl&)
    511,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    499,  // Nepomuk::Variant::Variant(int)
    500,  // Nepomuk::Variant::Variant(long long)
    501,  // Nepomuk::Variant::Variant(unsigned int)
    502,  // Nepomuk::Variant::Variant(unsigned long long)
    503,  // Nepomuk::Variant::Variant(bool)
    504,  // Nepomuk::Variant::Variant(double)
    505,  // Nepomuk::Variant::Variant(const char*)
    506,  // Nepomuk::Variant::Variant(const QString&)
    0,
    512,  // Nepomuk::Variant::Variant(const QList<int>&)
    513,  // Nepomuk::Variant::Variant(const QList<long long>&)
    514,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    515,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    516,  // Nepomuk::Variant::Variant(const QList<bool>&)
    517,  // Nepomuk::Variant::Variant(const QList<double>&)
    518,  // Nepomuk::Variant::Variant(const QStringList&)
    519,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    520,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    521,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    522,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    523,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    524,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    557,  // Nepomuk::Variant::append(const QDate&)
    558,  // Nepomuk::Variant::append(const QTime&)
    559,  // Nepomuk::Variant::append(const QDateTime&)
    560,  // Nepomuk::Variant::append(const QUrl&)
    561,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    562,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    550,  // Nepomuk::Variant::append(int)
    551,  // Nepomuk::Variant::append(long long)
    552,  // Nepomuk::Variant::append(unsigned int)
    553,  // Nepomuk::Variant::append(unsigned long long)
    554,  // Nepomuk::Variant::append(bool)
    555,  // Nepomuk::Variant::append(double)
    556,  // Nepomuk::Variant::append(const QString&)
    0,
    525,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    533,  // Nepomuk::Variant::operator=(const QDate&)
    534,  // Nepomuk::Variant::operator=(const QTime&)
    535,  // Nepomuk::Variant::operator=(const QDateTime&)
    536,  // Nepomuk::Variant::operator=(const QUrl&)
    537,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    526,  // Nepomuk::Variant::operator=(int)
    527,  // Nepomuk::Variant::operator=(long long)
    528,  // Nepomuk::Variant::operator=(unsigned int)
    529,  // Nepomuk::Variant::operator=(unsigned long long)
    530,  // Nepomuk::Variant::operator=(bool)
    531,  // Nepomuk::Variant::operator=(double)
    532,  // Nepomuk::Variant::operator=(const QString&)
    0,
    538,  // Nepomuk::Variant::operator=(const QList<int>&)
    539,  // Nepomuk::Variant::operator=(const QList<long long>&)
    540,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    541,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    542,  // Nepomuk::Variant::operator=(const QList<bool>&)
    543,  // Nepomuk::Variant::operator=(const QList<double>&)
    544,  // Nepomuk::Variant::operator=(const QStringList&)
    545,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    546,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    547,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    548,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    549,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
    138,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    139,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    444,  // Nepomuk::Types::Entity::comment()
    445,  // Nepomuk::Types::Entity::comment() const
    0,
    430,  // Nepomuk::Types::Entity::comment(const QString&)
    431,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    432,  // Nepomuk::Types::Entity::icon()
    433,  // Nepomuk::Types::Entity::icon() const
    0,
    435,  // Nepomuk::Types::Entity::isAvailable()
    436,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    442,  // Nepomuk::Types::Entity::label()
    443,  // Nepomuk::Types::Entity::label() const
    0,
    428,  // Nepomuk::Types::Entity::label(const QString&)
    429,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    365,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    374,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 18, 39},	// KRatingWidget::KRatingWidget
    {4, 19, 8},	// KRatingWidget::KRatingWidget#
    {4, 125, 11},	// KRatingWidget::alignment
    {4, 220, 15},	// KRatingWidget::halfStepsEnabled
    {4, 228, 16},	// KRatingWidget::icon
    {4, 281, 12},	// KRatingWidget::layoutDirection
    {4, 283, 34},	// KRatingWidget::leaveEvent#
    {4, 292, 10},	// KRatingWidget::maxRating
    {4, 293, 1},	// KRatingWidget::metaObject
    {4, 299, 33},	// KRatingWidget::mouseMoveEvent#
    {4, 301, 32},	// KRatingWidget::mousePressEvent#
    {4, 323, 35},	// KRatingWidget::paintEvent#
    {4, 336, 7},	// KRatingWidget::qt_metacall$$?
    {4, 338, 2},	// KRatingWidget::qt_metacast$
    {4, 341, 9},	// KRatingWidget::rating
    {4, 343, -71},	// KRatingWidget::ratingChanged$
    {4, 358, 36},	// KRatingWidget::resizeEvent#
    {4, 365, 26},	// KRatingWidget::setAlignment$
    {4, 375, 29},	// KRatingWidget::setCustomPixmap#
    {4, 383, 23},	// KRatingWidget::setHalfStepsEnabled$
    {4, 385, 28},	// KRatingWidget::setIcon#
    {4, 395, 27},	// KRatingWidget::setLayoutDirection$
    {4, 399, -74},	// KRatingWidget::setMaxRating$
    {4, 403, 24},	// KRatingWidget::setOnlyPaintFullSteps$
    {4, 409, 30},	// KRatingWidget::setPixmap#
    {4, 411, 31},	// KRatingWidget::setPixmapSize$
    {4, 416, -77},	// KRatingWidget::setRating$
    {4, 422, 25},	// KRatingWidget::setSpacing$
    {4, 438, 14},	// KRatingWidget::sizeHint
    {4, 439, 13},	// KRatingWidget::spacing
    {4, 440, 40},	// KRatingWidget::staticMetaObject
    {4, 485, 37},	// KRatingWidget::tr$
    {4, 486, 3},	// KRatingWidget::tr$$
    {4, 487, 5},	// KRatingWidget::tr$$$
    {4, 489, 38},	// KRatingWidget::trUtf8$
    {4, 490, 4},	// KRatingWidget::trUtf8$$
    {4, 491, 6},	// KRatingWidget::trUtf8$$$
    {4, 509, 41},	// KRatingWidget::~KRatingWidget
    {6, 20, 60},	// KTagCloudWidget::KTagCloudWidget
    {6, 21, 49},	// KTagCloudWidget::KTagCloudWidget#
    {6, 118, 51},	// KTagCloudWidget::addTag$$
    {6, 120, 52},	// KTagCloudWidget::addTags?
    {6, 153, 53},	// KTagCloudWidget::clear
    {6, 293, 42},	// KTagCloudWidget::metaObject
    {6, 336, 48},	// KTagCloudWidget::qt_metacall$$?
    {6, 338, 43},	// KTagCloudWidget::qt_metacast$
    {6, 358, 57},	// KTagCloudWidget::resizeEvent#
    {6, 397, 54},	// KTagCloudWidget::setMaxFontSize$
    {6, 401, 55},	// KTagCloudWidget::setMinFontSize$
    {6, 440, 61},	// KTagCloudWidget::staticMetaObject
    {6, 449, 56},	// KTagCloudWidget::tagClicked$
    {6, 453, 50},	// KTagCloudWidget::tagWeight$
    {6, 485, 58},	// KTagCloudWidget::tr$
    {6, 486, 44},	// KTagCloudWidget::tr$$
    {6, 487, 46},	// KTagCloudWidget::tr$$$
    {6, 489, 59},	// KTagCloudWidget::trUtf8$
    {6, 490, 45},	// KTagCloudWidget::trUtf8$$
    {6, 491, 47},	// KTagCloudWidget::trUtf8$$$
    {6, 510, 62},	// KTagCloudWidget::~KTagCloudWidget
    {7, 22, 78},	// KTagDisplayWidget::KTagDisplayWidget
    {7, 23, 70},	// KTagDisplayWidget::KTagDisplayWidget#
    {7, 117, 72},	// KTagDisplayWidget::addTag$
    {7, 120, 73},	// KTagDisplayWidget::addTags?
    {7, 153, 74},	// KTagDisplayWidget::clear
    {7, 293, 63},	// KTagDisplayWidget::metaObject
    {7, 336, 69},	// KTagDisplayWidget::qt_metacall$$?
    {7, 338, 64},	// KTagDisplayWidget::qt_metacast$
    {7, 430, 71},	// KTagDisplayWidget::setTags?
    {7, 440, 79},	// KTagDisplayWidget::staticMetaObject
    {7, 449, 75},	// KTagDisplayWidget::tagClicked$
    {7, 485, 76},	// KTagDisplayWidget::tr$
    {7, 486, 65},	// KTagDisplayWidget::tr$$
    {7, 487, 67},	// KTagDisplayWidget::tr$$$
    {7, 489, 77},	// KTagDisplayWidget::trUtf8$
    {7, 490, 66},	// KTagDisplayWidget::trUtf8$$
    {7, 491, 68},	// KTagDisplayWidget::trUtf8$$$
    {7, 511, 80},	// KTagDisplayWidget::~KTagDisplayWidget
    {8, 4, 95},	// Nepomuk::CommunicationError
    {8, 17, 96},	// Nepomuk::InvalidType
    {8, 28, 94},	// Nepomuk::NoError
    {8, 51, 91},	// Nepomuk::RDFLiteralToValue#
    {8, 87, 97},	// Nepomuk::UnknownError
    {8, 167, 87},	// Nepomuk::defaultGraph
    {8, 185, 86},	// Nepomuk::errorString$
    {8, 190, 92},	// Nepomuk::extractNamespace#
    {8, 305, 90},	// Nepomuk::naoNamespace
    {8, 310, 85},	// Nepomuk::nrlNamespace
    {8, 334, 82},	// Nepomuk::qHash#
    {8, 345, 81},	// Nepomuk::rdfNamepace
    {8, 346, 89},	// Nepomuk::rdfsNamespace
    {8, 377, 84},	// Nepomuk::setDefaultRepository$
    {8, 493, 88},	// Nepomuk::typePredicate
    {8, 498, 93},	// Nepomuk::valueToRDFNode#
    {8, 500, 83},	// Nepomuk::valuesToRDFNodes#
    {9, 2, 98},	// Nepomuk::Class::Class
    {9, 3, 99},	// Nepomuk::Class::Class#
    {9, 129, 101},	// Nepomuk::Class::allProperties
    {9, 200, 110},	// Nepomuk::Class::findPropertyByLabel$
    {9, 201, 103},	// Nepomuk::Class::findPropertyByLabel$$
    {9, 203, 102},	// Nepomuk::Class::findPropertyByName$
    {9, 205, 104},	// Nepomuk::Class::findPropertyByUri#
    {9, 252, 107},	// Nepomuk::Class::isParentOf#
    {9, 261, 108},	// Nepomuk::Class::isSubClassOf#
    {9, 286, 109},	// Nepomuk::Class::load#
    {9, 316, 100},	// Nepomuk::Class::operator=#
    {9, 325, 105},	// Nepomuk::Class::parentClasses
    {9, 442, 106},	// Nepomuk::Class::subClasses
    {9, 505, 111},	// Nepomuk::Class::~Class
    {10, 5, 112},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {10, 6, 115},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {10, 127, 113},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {10, 288, 114},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {10, 506, 116},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {11, 9, 124},	// Nepomuk::Entity::Entity
    {11, 10, 117},	// Nepomuk::Entity::Entity#
    {11, 156, 126},	// Nepomuk::Entity::comment
    {11, 157, 123},	// Nepomuk::Entity::comment$
    {11, 168, 119},	// Nepomuk::Entity::definingOntology
    {11, 277, 125},	// Nepomuk::Entity::label
    {11, 278, 122},	// Nepomuk::Entity::label$
    {11, 304, 120},	// Nepomuk::Entity::name
    {11, 316, 118},	// Nepomuk::Entity::operator=#
    {11, 496, 121},	// Nepomuk::Entity::uri
    {11, 507, 127},	// Nepomuk::Entity::~Entity
    {12, 11, 128},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {12, 12, 134},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {12, 13, 135},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {12, 14, 129},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$$
    {12, 191, 131},	// Nepomuk::FileOntologyLoader::fileName
    {12, 288, 133},	// Nepomuk::FileOntologyLoader::loadOntology#
    {12, 381, 130},	// Nepomuk::FileOntologyLoader::setFileName$
    {12, 418, 132},	// Nepomuk::FileOntologyLoader::setSerialization$
    {12, 508, 136},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {13, 24, 137},	// Nepomuk::Literal::Literal
    {13, 25, -190},	// Nepomuk::Literal::Literal#
    {13, 165, 142},	// Nepomuk::Literal::dataType
    {13, 166, 141},	// Nepomuk::Literal::dataTypeUri
    {13, 316, 140},	// Nepomuk::Literal::operator=#
    {13, 512, 143},	// Nepomuk::Literal::~Literal
    {14, 26, 144},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {14, 27, 146},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {14, 288, 145},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {14, 513, 147},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {15, 30, 148},	// Nepomuk::Ontology::Ontology
    {15, 31, 149},	// Nepomuk::Ontology::Ontology#
    {15, 126, 152},	// Nepomuk::Ontology::allClasses
    {15, 129, 156},	// Nepomuk::Ontology::allProperties
    {15, 193, 161},	// Nepomuk::Ontology::findClassByLabel$
    {15, 194, 154},	// Nepomuk::Ontology::findClassByLabel$$
    {15, 196, 153},	// Nepomuk::Ontology::findClassByName$
    {15, 198, 155},	// Nepomuk::Ontology::findClassByUri#
    {15, 200, 162},	// Nepomuk::Ontology::findPropertyByLabel$
    {15, 201, 158},	// Nepomuk::Ontology::findPropertyByLabel$$
    {15, 203, 157},	// Nepomuk::Ontology::findPropertyByName$
    {15, 205, 159},	// Nepomuk::Ontology::findPropertyByUri#
    {15, 286, 160},	// Nepomuk::Ontology::load#
    {15, 316, 150},	// Nepomuk::Ontology::operator=#
    {15, 496, 151},	// Nepomuk::Ontology::uri
    {15, 514, 163},	// Nepomuk::Ontology::~Ontology
    {16, 32, 165},	// Nepomuk::OntologyLoader::OntologyLoader
    {16, 33, 166},	// Nepomuk::OntologyLoader::OntologyLoader#
    {16, 288, 164},	// Nepomuk::OntologyLoader::loadOntology#
    {16, 515, 167},	// Nepomuk::OntologyLoader::~OntologyLoader
    {17, 35, 171},	// Nepomuk::OntologyManager::OntologyManager#
    {17, 218, 170},	// Nepomuk::OntologyManager::getOntology#
    {17, 235, 168},	// Nepomuk::OntologyManager::instance
    {17, 405, 169},	// Nepomuk::OntologyManager::setOntologyLoader#
    {17, 516, 172},	// Nepomuk::OntologyManager::~OntologyManager
    {18, 38, 173},	// Nepomuk::Property::Property
    {18, 39, 174},	// Nepomuk::Property::Property#
    {18, 149, 182},	// Nepomuk::Property::cardinality
    {18, 174, 181},	// Nepomuk::Property::domain
    {18, 236, 178},	// Nepomuk::Property::inverseProperty
    {18, 284, 180},	// Nepomuk::Property::literalRangeType
    {18, 286, 185},	// Nepomuk::Property::load#
    {18, 291, 184},	// Nepomuk::Property::maxCardinality
    {18, 295, 183},	// Nepomuk::Property::minCardinality
    {18, 316, 175},	// Nepomuk::Property::operator=#
    {18, 326, 177},	// Nepomuk::Property::parentOf
    {18, 327, 176},	// Nepomuk::Property::parentProperties
    {18, 339, 179},	// Nepomuk::Property::range
    {18, 517, 186},	// Nepomuk::Property::~Property
    {21, 53, 187},	// Nepomuk::Resource::Resource
    {21, 54, -13},	// Nepomuk::Resource::Resource#
    {21, 55, 193},	// Nepomuk::Resource::Resource##
    {21, 56, 194},	// Nepomuk::Resource::Resource###
    {21, 57, 273},	// Nepomuk::Resource::Resource$
    {21, 58, 190},	// Nepomuk::Resource::Resource$#
    {21, 59, 191},	// Nepomuk::Resource::Resource$##
    {21, 60, 192},	// Nepomuk::Resource::Resource$$
    {21, 100, 238},	// Nepomuk::Resource::addAltLabel$
    {21, 102, 242},	// Nepomuk::Resource::addAnnotation#
    {21, 106, 234},	// Nepomuk::Resource::addIdentifier$
    {21, 108, 258},	// Nepomuk::Resource::addIsRelated#
    {21, 110, 254},	// Nepomuk::Resource::addIsTopicOf#
    {21, 112, 215},	// Nepomuk::Resource::addProperty##
    {21, 114, 268},	// Nepomuk::Resource::addSymbol$
    {21, 116, 246},	// Nepomuk::Resource::addTag#
    {21, 122, 250},	// Nepomuk::Resource::addTopic#
    {21, 124, 205},	// Nepomuk::Resource::addType#
    {21, 129, 208},	// Nepomuk::Resource::allProperties
    {21, 130, 272},	// Nepomuk::Resource::allResources
    {21, 139, 239},	// Nepomuk::Resource::altLabelUri
    {21, 140, 236},	// Nepomuk::Resource::altLabels
    {21, 141, 270},	// Nepomuk::Resource::annotationOf
    {21, 142, 243},	// Nepomuk::Resource::annotationUri
    {21, 143, 240},	// Nepomuk::Resource::annotations
    {21, 152, 207},	// Nepomuk::Resource::className
    {21, 170, 229},	// Nepomuk::Resource::description
    {21, 171, 231},	// Nepomuk::Resource::descriptionUri
    {21, 188, 221},	// Nepomuk::Resource::exists
    {21, 214, 224},	// Nepomuk::Resource::genericDescription
    {21, 215, 225},	// Nepomuk::Resource::genericIcon
    {21, 216, 223},	// Nepomuk::Resource::genericLabel
    {21, 222, 210},	// Nepomuk::Resource::hasProperty#
    {21, 223, 211},	// Nepomuk::Resource::hasProperty$
    {21, 225, 206},	// Nepomuk::Resource::hasType#
    {21, 229, 235},	// Nepomuk::Resource::identifierUri
    {21, 230, 232},	// Nepomuk::Resource::identifiers
    {21, 253, 271},	// Nepomuk::Resource::isRelatedOf
    {21, 254, 259},	// Nepomuk::Resource::isRelatedUri
    {21, 255, 256},	// Nepomuk::Resource::isRelateds
    {21, 266, 255},	// Nepomuk::Resource::isTopicOfUri
    {21, 267, 252},	// Nepomuk::Resource::isTopicOfs
    {21, 274, 222},	// Nepomuk::Resource::isValid
    {21, 277, 260},	// Nepomuk::Resource::label
    {21, 279, 262},	// Nepomuk::Resource::labelUri
    {21, 290, 198},	// Nepomuk::Resource::manager
    {21, 314, 228},	// Nepomuk::Resource::operator!=#
    {21, 316, -18},	// Nepomuk::Resource::operator=#
    {21, 319, 227},	// Nepomuk::Resource::operator==#
    {21, 328, 226},	// Nepomuk::Resource::pimoThing
    {21, 329, 209},	// Nepomuk::Resource::properties
    {21, 331, 212},	// Nepomuk::Resource::property#
    {21, 332, 213},	// Nepomuk::Resource::property$
    {21, 341, 263},	// Nepomuk::Resource::rating
    {21, 344, 265},	// Nepomuk::Resource::ratingUri
    {21, 348, 220},	// Nepomuk::Resource::remove
    {21, 350, 217},	// Nepomuk::Resource::removeProperty#
    {21, 351, 218},	// Nepomuk::Resource::removeProperty##
    {21, 352, 219},	// Nepomuk::Resource::removeProperty$
    {21, 361, 202},	// Nepomuk::Resource::resourceType
    {21, 363, 200},	// Nepomuk::Resource::resourceUri
    {21, 367, 237},	// Nepomuk::Resource::setAltLabels?
    {21, 369, 241},	// Nepomuk::Resource::setAnnotations?
    {21, 379, 230},	// Nepomuk::Resource::setDescription$
    {21, 387, 233},	// Nepomuk::Resource::setIdentifiers?
    {21, 389, 257},	// Nepomuk::Resource::setIsRelateds?
    {21, 391, 253},	// Nepomuk::Resource::setIsTopicOfs?
    {21, 393, 261},	// Nepomuk::Resource::setLabel$
    {21, 413, 214},	// Nepomuk::Resource::setProperty##
    {21, 414, 216},	// Nepomuk::Resource::setProperty$#
    {21, 416, 264},	// Nepomuk::Resource::setRating$
    {21, 424, 267},	// Nepomuk::Resource::setSymbols?
    {21, 430, 245},	// Nepomuk::Resource::setTags?
    {21, 432, 249},	// Nepomuk::Resource::setTopics?
    {21, 434, 204},	// Nepomuk::Resource::setTypes?
    {21, 444, 269},	// Nepomuk::Resource::symbolUri
    {21, 445, 266},	// Nepomuk::Resource::symbols
    {21, 451, 247},	// Nepomuk::Resource::tagUri
    {21, 455, 244},	// Nepomuk::Resource::tags
    {21, 482, 251},	// Nepomuk::Resource::topicUri
    {21, 483, 248},	// Nepomuk::Resource::topics
    {21, 492, 201},	// Nepomuk::Resource::type
    {21, 494, 203},	// Nepomuk::Resource::types
    {21, 496, 199},	// Nepomuk::Resource::uri
    {21, 518, 275},	// Nepomuk::Resource::~Resource
    {23, 132, 291},	// Nepomuk::ResourceManager::allResourcesOfType#
    {23, 133, 292},	// Nepomuk::ResourceManager::allResourcesOfType$
    {23, 135, 293},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {23, 136, 294},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {23, 154, 295},	// Nepomuk::ResourceManager::clearCache
    {23, 161, 299},	// Nepomuk::ResourceManager::createManagerForModel#
    {23, 163, 289},	// Nepomuk::ResourceManager::createResourceFromUri$
    {23, 169, 284},	// Nepomuk::ResourceManager::deleteInstance
    {23, 183, 301},	// Nepomuk::ResourceManager::error$$
    {23, 212, 296},	// Nepomuk::ResourceManager::generateUniqueUri
    {23, 213, 297},	// Nepomuk::ResourceManager::generateUniqueUri$
    {23, 231, 285},	// Nepomuk::ResourceManager::init
    {23, 232, 286},	// Nepomuk::ResourceManager::initialized
    {23, 235, 283},	// Nepomuk::ResourceManager::instance
    {23, 289, 287},	// Nepomuk::ResourceManager::mainModel
    {23, 293, 276},	// Nepomuk::ResourceManager::metaObject
    {23, 306, 302},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {23, 307, 303},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {23, 309, 298},	// Nepomuk::ResourceManager::notifyError$$
    {23, 336, 282},	// Nepomuk::ResourceManager::qt_metacall$$?
    {23, 338, 277},	// Nepomuk::ResourceManager::qt_metacast$
    {23, 354, 290},	// Nepomuk::ResourceManager::removeResource$
    {23, 360, 300},	// Nepomuk::ResourceManager::resourceModified$
    {23, 407, 288},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {23, 440, 306},	// Nepomuk::ResourceManager::staticMetaObject
    {23, 485, 304},	// Nepomuk::ResourceManager::tr$
    {23, 486, 278},	// Nepomuk::ResourceManager::tr$$
    {23, 487, 280},	// Nepomuk::ResourceManager::tr$$$
    {23, 489, 305},	// Nepomuk::ResourceManager::trUtf8$
    {23, 490, 279},	// Nepomuk::ResourceManager::trUtf8$$
    {23, 491, 281},	// Nepomuk::ResourceManager::trUtf8$$$
    {24, 61, 319},	// Nepomuk::Service::Service
    {24, 62, 320},	// Nepomuk::Service::Service#
    {24, 63, 314},	// Nepomuk::Service::Service#$
    {24, 289, 315},	// Nepomuk::Service::mainModel
    {24, 293, 307},	// Nepomuk::Service::metaObject
    {24, 336, 313},	// Nepomuk::Service::qt_metacall$$?
    {24, 338, 308},	// Nepomuk::Service::qt_metacast$
    {24, 420, 316},	// Nepomuk::Service::setServiceInitialized$
    {24, 440, 321},	// Nepomuk::Service::staticMetaObject
    {24, 485, 317},	// Nepomuk::Service::tr$
    {24, 486, 309},	// Nepomuk::Service::tr$$
    {24, 487, 311},	// Nepomuk::Service::tr$$$
    {24, 489, 318},	// Nepomuk::Service::trUtf8$
    {24, 490, 310},	// Nepomuk::Service::trUtf8$$
    {24, 491, 312},	// Nepomuk::Service::trUtf8$$$
    {24, 519, 322},	// Nepomuk::Service::~Service
    {25, 68, 323},	// Nepomuk::Tag::Tag
    {25, 69, -57},	// Nepomuk::Tag::Tag#
    {25, 70, -62},	// Nepomuk::Tag::Tag##
    {25, 71, 338},	// Nepomuk::Tag::Tag###
    {25, 72, 327},	// Nepomuk::Tag::Tag$
    {25, 73, -65},	// Nepomuk::Tag::Tag$#
    {25, 74, 337},	// Nepomuk::Tag::Tag$##
    {25, 138, 333},	// Nepomuk::Tag::allTags
    {25, 316, 331},	// Nepomuk::Tag::operator=#
    {25, 362, 334},	// Nepomuk::Tag::resourceTypeUri
    {25, 450, 332},	// Nepomuk::Tag::tagOf
    {25, 520, 339},	// Nepomuk::Tag::~Tag
    {26, 75, 354},	// Nepomuk::TagCloud::TagCloud
    {26, 76, 347},	// Nepomuk::TagCloud::TagCloud#
    {26, 148, 348},	// Nepomuk::TagCloud::autoUpdate
    {26, 293, 340},	// Nepomuk::TagCloud::metaObject
    {26, 336, 346},	// Nepomuk::TagCloud::qt_metacall$$?
    {26, 338, 341},	// Nepomuk::TagCloud::qt_metacast$
    {26, 373, 350},	// Nepomuk::TagCloud::setAutoUpdate$
    {26, 440, 355},	// Nepomuk::TagCloud::staticMetaObject
    {26, 448, 351},	// Nepomuk::TagCloud::tagClicked#
    {26, 485, 352},	// Nepomuk::TagCloud::tr$
    {26, 486, 342},	// Nepomuk::TagCloud::tr$$
    {26, 487, 344},	// Nepomuk::TagCloud::tr$$$
    {26, 489, 353},	// Nepomuk::TagCloud::trUtf8$
    {26, 490, 343},	// Nepomuk::TagCloud::trUtf8$$
    {26, 491, 345},	// Nepomuk::TagCloud::trUtf8$$$
    {26, 495, 349},	// Nepomuk::TagCloud::updateTags
    {26, 521, 356},	// Nepomuk::TagCloud::~TagCloud
    {27, 77, 375},	// Nepomuk::TagWidget::TagWidget
    {27, 78, -211},	// Nepomuk::TagWidget::TagWidget#
    {27, 79, 364},	// Nepomuk::TagWidget::TagWidget##
    {27, 147, 367},	// Nepomuk::TagWidget::assignedTags
    {27, 293, 357},	// Nepomuk::TagWidget::metaObject
    {27, 336, 363},	// Nepomuk::TagWidget::qt_metacall$$?
    {27, 338, 358},	// Nepomuk::TagWidget::qt_metacast$
    {27, 371, 371},	// Nepomuk::TagWidget::setAssignedTags?
    {27, 426, 369},	// Nepomuk::TagWidget::setTaggedResource#
    {27, 428, 370},	// Nepomuk::TagWidget::setTaggedResources?
    {27, 440, 376},	// Nepomuk::TagWidget::staticMetaObject
    {27, 448, 368},	// Nepomuk::TagWidget::tagClicked#
    {27, 454, 366},	// Nepomuk::TagWidget::taggedResources
    {27, 485, 372},	// Nepomuk::TagWidget::tr$
    {27, 486, 359},	// Nepomuk::TagWidget::tr$$
    {27, 487, 361},	// Nepomuk::TagWidget::tr$$$
    {27, 489, 373},	// Nepomuk::TagWidget::trUtf8$
    {27, 490, 360},	// Nepomuk::TagWidget::trUtf8$$
    {27, 491, 362},	// Nepomuk::TagWidget::trUtf8$$$
    {27, 522, 377},	// Nepomuk::TagWidget::~TagWidget
    {28, 80, 392},	// Nepomuk::Thing::Thing
    {28, 81, -4},	// Nepomuk::Thing::Thing#
    {28, 82, 378},	// Nepomuk::Thing::Thing##
    {28, 83, 379},	// Nepomuk::Thing::Thing###
    {28, 84, 394},	// Nepomuk::Thing::Thing$
    {28, 85, 380},	// Nepomuk::Thing::Thing$#
    {28, 86, 381},	// Nepomuk::Thing::Thing$##
    {28, 104, 391},	// Nepomuk::Thing::addGroundingOccurrence#
    {28, 219, 388},	// Nepomuk::Thing::groundingOccurrences
    {28, 311, 390},	// Nepomuk::Thing::occurrences
    {28, 316, -9},	// Nepomuk::Thing::operator=#
    {28, 347, 389},	// Nepomuk::Thing::referencingOccurrences
    {28, 523, 395},	// Nepomuk::Thing::~Thing
    {29, 334, 396},	// Nepomuk::Types::qHash#
    {30, 2, 397},	// Nepomuk::Types::Class::Class
    {30, 3, -21},	// Nepomuk::Types::Class::Class#
    {30, 128, -24},	// Nepomuk::Types::Class::allParentClasses
    {30, 137, -27},	// Nepomuk::Types::Class::allSubClasses
    {30, 175, -30},	// Nepomuk::Types::Class::domainOf
    {30, 200, -33},	// Nepomuk::Types::Class::findPropertyByLabel$
    {30, 201, -36},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {30, 203, -39},	// Nepomuk::Types::Class::findPropertyByName$
    {30, 252, -42},	// Nepomuk::Types::Class::isParentOf#
    {30, 261, -45},	// Nepomuk::Types::Class::isSubClassOf#
    {30, 316, 400},	// Nepomuk::Types::Class::operator=#
    {30, 325, -48},	// Nepomuk::Types::Class::parentClasses
    {30, 340, -51},	// Nepomuk::Types::Class::rangeOf
    {30, 442, -54},	// Nepomuk::Types::Class::subClasses
    {30, 505, 423},	// Nepomuk::Types::Class::~Class
    {31, 9, 441},	// Nepomuk::Types::Entity::Entity
    {31, 10, 424},	// Nepomuk::Types::Entity::Entity#
    {31, 156, -193},	// Nepomuk::Types::Entity::comment
    {31, 157, -196},	// Nepomuk::Types::Entity::comment$
    {31, 228, -199},	// Nepomuk::Types::Entity::icon
    {31, 237, -202},	// Nepomuk::Types::Entity::isAvailable
    {31, 274, 434},	// Nepomuk::Types::Entity::isValid
    {31, 277, -205},	// Nepomuk::Types::Entity::label
    {31, 278, -208},	// Nepomuk::Types::Entity::label$
    {31, 304, 426},	// Nepomuk::Types::Entity::name
    {31, 312, 438},	// Nepomuk::Types::Entity::operator QUrl
    {31, 314, 440},	// Nepomuk::Types::Entity::operator!=#
    {31, 316, 425},	// Nepomuk::Types::Entity::operator=#
    {31, 319, 439},	// Nepomuk::Types::Entity::operator==#
    {31, 355, 446},	// Nepomuk::Types::Entity::reset
    {31, 356, 437},	// Nepomuk::Types::Entity::reset$
    {31, 496, 427},	// Nepomuk::Types::Entity::uri
    {31, 507, 447},	// Nepomuk::Types::Entity::~Entity
    {32, 24, 448},	// Nepomuk::Types::Literal::Literal
    {32, 25, -68},	// Nepomuk::Types::Literal::Literal#
    {32, 165, 453},	// Nepomuk::Types::Literal::dataType
    {32, 166, 452},	// Nepomuk::Types::Literal::dataTypeUri
    {32, 274, 454},	// Nepomuk::Types::Literal::isValid
    {32, 316, 451},	// Nepomuk::Types::Literal::operator=#
    {32, 512, 455},	// Nepomuk::Types::Literal::~Literal
    {33, 30, 456},	// Nepomuk::Types::Ontology::Ontology
    {33, 31, -1},	// Nepomuk::Types::Ontology::Ontology#
    {33, 126, 460},	// Nepomuk::Types::Ontology::allClasses
    {33, 129, 463},	// Nepomuk::Types::Ontology::allProperties
    {33, 193, 466},	// Nepomuk::Types::Ontology::findClassByLabel$
    {33, 194, 462},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {33, 196, 461},	// Nepomuk::Types::Ontology::findClassByName$
    {33, 200, 467},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {33, 201, 465},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {33, 203, 464},	// Nepomuk::Types::Ontology::findPropertyByName$
    {33, 316, 459},	// Nepomuk::Types::Ontology::operator=#
    {33, 514, 468},	// Nepomuk::Types::Ontology::~Ontology
    {34, 38, 469},	// Nepomuk::Types::Property::Property
    {34, 39, -80},	// Nepomuk::Types::Property::Property#
    {34, 149, -83},	// Nepomuk::Types::Property::cardinality
    {34, 174, -86},	// Nepomuk::Types::Property::domain
    {34, 236, -89},	// Nepomuk::Types::Property::inverseProperty
    {34, 252, -92},	// Nepomuk::Types::Property::isParentOf#
    {34, 263, -95},	// Nepomuk::Types::Property::isSubPropertyOf#
    {34, 284, -98},	// Nepomuk::Types::Property::literalRangeType
    {34, 291, -101},	// Nepomuk::Types::Property::maxCardinality
    {34, 295, -104},	// Nepomuk::Types::Property::minCardinality
    {34, 316, 472},	// Nepomuk::Types::Property::operator=#
    {34, 327, -107},	// Nepomuk::Types::Property::parentProperties
    {34, 339, -110},	// Nepomuk::Types::Property::range
    {34, 443, -113},	// Nepomuk::Types::Property::subProperties
    {34, 517, 495},	// Nepomuk::Types::Property::~Property
    {35, 89, 496},	// Nepomuk::Variant::Variant
    {35, 90, -116},	// Nepomuk::Variant::Variant#
    {35, 91, -124},	// Nepomuk::Variant::Variant$
    {35, 92, -133},	// Nepomuk::Variant::Variant?
    {35, 145, -147},	// Nepomuk::Variant::append#
    {35, 146, -154},	// Nepomuk::Variant::append$
    {35, 211, 619},	// Nepomuk::Variant::fromString$$
    {35, 238, 573},	// Nepomuk::Variant::isBool
    {35, 239, 585},	// Nepomuk::Variant::isBoolList
    {35, 240, 576},	// Nepomuk::Variant::isDate
    {35, 241, 588},	// Nepomuk::Variant::isDateList
    {35, 242, 578},	// Nepomuk::Variant::isDateTime
    {35, 243, 590},	// Nepomuk::Variant::isDateTimeList
    {35, 244, 574},	// Nepomuk::Variant::isDouble
    {35, 245, 586},	// Nepomuk::Variant::isDoubleList
    {35, 246, 569},	// Nepomuk::Variant::isInt
    {35, 247, 570},	// Nepomuk::Variant::isInt64
    {35, 248, 582},	// Nepomuk::Variant::isInt64List
    {35, 249, 581},	// Nepomuk::Variant::isIntList
    {35, 250, 568},	// Nepomuk::Variant::isList
    {35, 256, 580},	// Nepomuk::Variant::isResource
    {35, 257, 592},	// Nepomuk::Variant::isResourceList
    {35, 258, 575},	// Nepomuk::Variant::isString
    {35, 259, 587},	// Nepomuk::Variant::isStringList
    {35, 264, 577},	// Nepomuk::Variant::isTime
    {35, 265, 589},	// Nepomuk::Variant::isTimeList
    {35, 268, 571},	// Nepomuk::Variant::isUnsignedInt
    {35, 269, 572},	// Nepomuk::Variant::isUnsignedInt64
    {35, 270, 584},	// Nepomuk::Variant::isUnsignedInt64List
    {35, 271, 583},	// Nepomuk::Variant::isUnsignedIntList
    {35, 272, 579},	// Nepomuk::Variant::isUrl
    {35, 273, 591},	// Nepomuk::Variant::isUrlList
    {35, 274, 565},	// Nepomuk::Variant::isValid
    {35, 314, 564},	// Nepomuk::Variant::operator!=#
    {35, 316, -162},	// Nepomuk::Variant::operator=#
    {35, 317, -169},	// Nepomuk::Variant::operator=$
    {35, 319, 563},	// Nepomuk::Variant::operator==#
    {35, 320, -177},	// Nepomuk::Variant::operator=?
    {35, 437, 567},	// Nepomuk::Variant::simpleType
    {35, 457, 598},	// Nepomuk::Variant::toBool
    {35, 458, 610},	// Nepomuk::Variant::toBoolList
    {35, 459, 601},	// Nepomuk::Variant::toDate
    {35, 460, 613},	// Nepomuk::Variant::toDateList
    {35, 461, 603},	// Nepomuk::Variant::toDateTime
    {35, 462, 615},	// Nepomuk::Variant::toDateTimeList
    {35, 463, 599},	// Nepomuk::Variant::toDouble
    {35, 464, 611},	// Nepomuk::Variant::toDoubleList
    {35, 465, 594},	// Nepomuk::Variant::toInt
    {35, 466, 595},	// Nepomuk::Variant::toInt64
    {35, 467, 607},	// Nepomuk::Variant::toInt64List
    {35, 468, 606},	// Nepomuk::Variant::toIntList
    {35, 469, 605},	// Nepomuk::Variant::toResource
    {35, 470, 617},	// Nepomuk::Variant::toResourceList
    {35, 471, 600},	// Nepomuk::Variant::toString
    {35, 472, 612},	// Nepomuk::Variant::toStringList
    {35, 473, 602},	// Nepomuk::Variant::toTime
    {35, 474, 614},	// Nepomuk::Variant::toTimeList
    {35, 475, 596},	// Nepomuk::Variant::toUnsignedInt
    {35, 476, 597},	// Nepomuk::Variant::toUnsignedInt64
    {35, 477, 609},	// Nepomuk::Variant::toUnsignedInt64List
    {35, 478, 608},	// Nepomuk::Variant::toUnsignedIntList
    {35, 479, 604},	// Nepomuk::Variant::toUrl
    {35, 480, 616},	// Nepomuk::Variant::toUrlList
    {35, 481, 618},	// Nepomuk::Variant::toVariantList
    {35, 492, 566},	// Nepomuk::Variant::type
    {35, 501, 593},	// Nepomuk::Variant::variant
    {35, 524, 620},	// Nepomuk::Variant::~Variant
    {51, 40, 635},	// QGlobalSpace::Q_COMPLEX_TYPE
    {51, 41, 639},	// QGlobalSpace::Q_DUMMY_TYPE
    {51, 42, 638},	// QGlobalSpace::Q_MOVABLE_TYPE
    {51, 43, 636},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {51, 44, 637},	// QGlobalSpace::Q_STATIC_TYPE
    {51, 45, 642},	// QGlobalSpace::QtCriticalMsg
    {51, 46, 640},	// QGlobalSpace::QtDebugMsg
    {51, 47, 643},	// QGlobalSpace::QtFatalMsg
    {51, 48, 644},	// QGlobalSpace::QtSystemMsg
    {51, 49, 641},	// QGlobalSpace::QtWarningMsg
    {51, 94, 647},	// QGlobalSpace::__codecvt_error
    {51, 95, 648},	// QGlobalSpace::__codecvt_noconv
    {51, 96, 645},	// QGlobalSpace::__codecvt_ok
    {51, 97, 646},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 79,
        __smokenepomuk::methods, 702,
        __smokenepomuk::methodMaps, 526,
        __smokenepomuk::methodNames, 524,
        __smokenepomuk::types, 274,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
