#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigDialog
      switch(to) {
        case 4: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Action
      switch(to) {
        case 10: return (void*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 42: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::ActionPrivate
      switch(to) {
        case 11: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Style
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::Annotation::Window
      switch(to) {
        case 14: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationPrivate
      switch(to) {
        case 16: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::AnnotationUtils
      switch(to) {
        case 17: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BookmarkManager
      switch(to) {
        case 18: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::BrowseAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::CaretAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::ConfigInterface
      switch(to) {
        case 21: return (void*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::Document
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Document*)xptr;
        case 22: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentInfo
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentObserver
      switch(to) {
        case 25: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentSynopsis
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::DocumentViewport
      switch(to) {
        case 27: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::EmbeddedFile
      switch(to) {
        case 28: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExecuteAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::ExportFormat
      switch(to) {
        case 30: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FilePrinter
      switch(to) {
        case 32: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FontInfo
      switch(to) {
        case 33: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormField
      switch(to) {
        case 34: return (void*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldButton
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldChoice
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldPrivate
      switch(to) {
        case 37: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::FormFieldText
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::Generator
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 39: return (void*)(Okular::Generator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeneratorPrivate
      switch(to) {
        case 40: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GeomAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GotoAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 42: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::GuiInterface
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::NormalizedPoint
      switch(to) {
        case 47: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedRect
      switch(to) {
        case 48: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::ObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::Page
      switch(to) {
        case 50: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::PageSize
      switch(to) {
        case 51: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageTransition
      switch(to) {
        case 52: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PixmapRequest
      switch(to) {
        case 53: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PrintInterface
      switch(to) {
        case 54: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::RegularAreaRect
      switch(to) {
        case 55: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::ScriptAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::Sound
      switch(to) {
        case 57: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::SoundAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 58: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::SoundAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SourceRefObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SourceReference
      switch(to) {
        case 61: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::StampAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::TextAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::TextDocumentConverter
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextDocumentGenerator
      switch(to) {
        case 39: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 88: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextEntity
      switch(to) {
        case 66: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextPage
      switch(to) {
        case 67: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextSelection
      switch(to) {
        case 68: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::Utils
      switch(to) {
        case 69: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::View
      switch(to) {
        case 70: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::VisiblePageRect
      switch(to) {
        case 71: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 72:   //QAction
      switch(to) {
        case 72: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 73:   //QBool
      switch(to) {
        case 73: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 74:   //QByteArray
      switch(to) {
        case 74: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 75:   //QChildEvent
      switch(to) {
        case 75: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QColor
      switch(to) {
        case 76: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 77:   //QDateTime
      switch(to) {
        case 77: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 78:   //QDomDocument
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 78: return (void*)(QDomDocument*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 79:   //QDomElement
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 79: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 80:   //QDomNode
      switch(to) {
        case 80: return (void*)(QDomNode*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 81:   //QEvent
      switch(to) {
        case 81: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QFont
      switch(to) {
        case 82: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 84:   //QImage
      switch(to) {
        case 84: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 85:   //QMatrix
      switch(to) {
        case 85: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 86:   //QMetaObject
      switch(to) {
        case 86: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 87:   //QMutex
      switch(to) {
        case 87: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 88:   //QObject
      switch(to) {
        case 88: return (void*)(QObject*)xptr;
        case 39: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 22: return (void*)(Okular::Document*)(QObject*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 89:   //QPainterPath
      switch(to) {
        case 89: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 90:   //QPixmap
      switch(to) {
        case 90: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 91:   //QPolygonF
      switch(to) {
        case 91: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 92:   //QPrinter
      switch(to) {
        case 92: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 93:   //QRect
      switch(to) {
        case 93: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 94:   //QRectF
      switch(to) {
        case 94: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 95:   //QRegExp
      switch(to) {
        case 95: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 96:   //QSize
      switch(to) {
        case 96: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 97:   //QSizeF
      switch(to) {
        case 97: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 98:   //QTextBlock
      switch(to) {
        case 98: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 99:   //QTextDocument
      switch(to) {
        case 99: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QVariant
      switch(to) {
        case 101: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 102:   //QWidget
      switch(to) {
        case 102: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: Okular::ObjectRect
    10, 0,	// 3: Okular::Action
    12, 0,	// 5: Okular::Annotation
    88, 0,	// 7: QObject
    78, 0,	// 9: QDomDocument
    34, 0,	// 11: Okular::FormField
    9, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    39, 0,	// 17: Okular::Generator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//10
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//12
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//14
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//15
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//16
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//17
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//18
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//19
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//20
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//21
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//22
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//23
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//24
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//25
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//26
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//27
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//28
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//29
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//30
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//31
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//32
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//33
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//34
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//35
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//36
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//37
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//38
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//39
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//40
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//41
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//42
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//43
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//47
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//48
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//49
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//50
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//51
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//52
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, 0, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//53
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//54
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//55
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//56
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//57
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//58
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//59
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//60
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//61
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//62
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//63
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//64
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//65
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//66
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//67
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//69
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//70
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//71
    { "QAction", true, 0, 0, 0, 0, 0 },	//72
    { "QBool", true, 0, 0, 0, 0, 0 },	//73
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//74
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QColor", true, 0, 0, 0, 0, 0 },	//76
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//77
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//78
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//79
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//80
    { "QEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QFont", true, 0, 0, 0, 0, 0 },	//82
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//83
    { "QImage", true, 0, 0, 0, 0, 0 },	//84
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//85
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//86
    { "QMutex", true, 0, 0, 0, 0, 0 },	//87
    { "QObject", true, 0, 0, 0, 0, 0 },	//88
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//89
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//90
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//91
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//92
    { "QRect", true, 0, 0, 0, 0, 0 },	//93
    { "QRectF", true, 0, 0, 0, 0, 0 },	//94
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//95
    { "QSize", true, 0, 0, 0, 0, 0 },	//96
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//97
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//98
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QVariant", true, 0, 0, 0, 0, 0 },	//101
    { "QWidget", true, 0, 0, 0, 0, 0 },	//102
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfigDialog*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSycocaFactoryId", 83, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KSycocaType", 83, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "KXMLGUIClient*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Action::ActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Okular::ActionPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//18
    { "Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Okular::Annotation::Flag", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::LineEffect", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Okular::Annotation::LineStyle", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionScope", 12, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::RevisionType", 12, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "Okular::Annotation::SubType", 12, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "Okular::AnnotationObjectRect*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Okular::AnnotationPrivate&", 16, Smoke::t_class|Smoke::tf_ref },	//30
    { "Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::AnnotationUtils*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BookmarkManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::BrowseAction*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation*", 20, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Okular::CaretAnnotation::CaretSymbol", 20, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Okular::ConfigInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Okular::Document::PixmapRequestFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PixmapRequestFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "Okular::Document::PrintingType", 22, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchStatus", 22, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::Document::SearchType", 22, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Okular::DocumentAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Okular::DocumentAction::DocumentActionType", 23, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Okular::DocumentInfo::Key", 24, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Okular::DocumentObserver*", 25, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Okular::DocumentViewport", 27, Smoke::t_class|Smoke::tf_stack },	//50
    { "Okular::DocumentViewport*", 27, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Okular::DocumentViewport::Position", 27, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Okular::EmbeddedFile*", 28, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExecuteAction*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Okular::ExportFormat", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//56
    { "Okular::ExportFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Okular::ExportFormat::StandardExportFormat", 30, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Okular::FileAttachmentAnnotation*", 31, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter*", 32, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Okular::FilePrinter::FileDeletePolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FilePrinter::PageSelectPolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref },	//63
    { "Okular::FontInfo*", 33, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Okular::FontInfo::EmbedType", 33, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Okular::FontInfo::FontType", 33, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Okular::FormField*", 34, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Okular::FormField::FieldType", 34, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Okular::FormFieldButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Okular::FormFieldButton::ButtonType", 35, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Okular::FormFieldChoice*", 36, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Okular::FormFieldChoice::ChoiceType", 36, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Okular::FormFieldPrivate&", 37, Smoke::t_class|Smoke::tf_ref },	//73
    { "Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldText*", 38, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Okular::FormFieldText::TextType", 38, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Okular::Generator*", 39, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Okular::Generator::GeneratorFeature", 39, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Okular::Generator::PageSizeMetric", 39, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::GeneratorPrivate&", 40, Smoke::t_class|Smoke::tf_ref },	//81
    { "Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Okular::GeomAnnotation*", 41, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Okular::GeomAnnotation::GeomType", 41, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Okular::GotoAction*", 42, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Okular::GuiInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Okular::HighlightAnnotation*", 44, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::HighlightAnnotation::HighlightType", 44, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Okular::NormalizedPoint", 47, Smoke::t_class|Smoke::tf_stack },	//94
    { "Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref },	//95
    { "Okular::NormalizedPoint*", 47, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Okular::NormalizedRect", 48, Smoke::t_class|Smoke::tf_stack },	//97
    { "Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref },	//98
    { "Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Okular::ObjectRect::ObjectType", 49, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::Page::PageAction", 50, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref },	//104
    { "Okular::PageSize*", 51, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref },	//106
    { "Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Okular::PageTransition::Alignment", 52, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Okular::PageTransition::Direction", 52, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Okular::PageTransition::Type", 52, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Okular::PixmapRequest*", 53, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Okular::PrintInterface*", 54, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref },	//114
    { "Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::ScriptAction*", 56, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::Sound*", 57, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::Sound::SoundEncoding", 57, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::Sound::SoundType", 57, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Okular::SoundAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Okular::SoundAnnotation*", 59, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::SourceRefObjectRect*", 60, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Okular::StampAnnotation*", 62, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::TextAnnotation*", 63, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::TextAnnotation::InplaceIntent", 63, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Okular::TextAnnotation::TextType", 63, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Okular::TextDocumentConverter*", 64, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::TextDocumentGenerator*", 65, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::TextEntity*", 66, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::TextPage*", 67, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::TextPage::TextAreaInclusionBehaviour", 67, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Okular::TextSelection*", 68, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::Utils*", 69, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::View*", 70, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::VisiblePageRect*", 71, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QAction*", 72, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QBool", 73, Smoke::t_class|Smoke::tf_stack },	//141
    { "QByteArray", 74, Smoke::t_class|Smoke::tf_stack },	//142
    { "QByteArray*", 74, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QChildEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QColor", 76, Smoke::t_class|Smoke::tf_stack },	//145
    { "QDateTime", 77, Smoke::t_class|Smoke::tf_stack },	//146
    { "QDomDocument", 78, Smoke::t_class|Smoke::tf_stack },	//147
    { "QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref },	//148
    { "QDomElement", 79, Smoke::t_class|Smoke::tf_stack },	//149
    { "QDomElement&", 79, Smoke::t_class|Smoke::tf_ref },	//150
    { "QDomNode&", 80, Smoke::t_class|Smoke::tf_ref },	//151
    { "QEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QFont", 82, Smoke::t_class|Smoke::tf_stack },	//153
    { "QImage", 84, Smoke::t_class|Smoke::tf_stack },	//154
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//156
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//161
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QMetaObject::Call", 86, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QMutex*", 87, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QObject*", 88, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref },	//168
    { "QPixmap*", 90, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPrinter&", 92, Smoke::t_class|Smoke::tf_ref },	//170
    { "QRect", 93, Smoke::t_class|Smoke::tf_stack },	//171
    { "QRegExp&", 95, Smoke::t_class|Smoke::tf_ref },	//172
    { "QSize", 96, Smoke::t_class|Smoke::tf_stack },	//173
    { "QSizeF", 97, Smoke::t_class|Smoke::tf_stack },	//174
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//176
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "QTextDocument*", 99, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QVariant", 101, Smoke::t_class|Smoke::tf_stack },	//181
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//182
    { "QWidget*", 102, Smoke::t_class|Smoke::tf_ptr },	//183
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//184
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QtMsgType", 83, Smoke::t_enum|Smoke::tf_stack },	//256
    { "__codecvt_result", 83, Smoke::t_enum|Smoke::tf_stack },	//257
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//258
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const KComponentData*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const KIcon&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//264
    { "const Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const Okular::AnnotationObjectRect&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const Okular::AnnotationUtils&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const Okular::ConfigInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const Okular::DocumentInfo&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "const Okular::DocumentSynopsis&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "const Okular::DocumentViewport&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const Okular::EmbeddedFile&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const Okular::FilePrinter&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const Okular::GuiInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const Okular::ObjectRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "const Okular::PrintInterface&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::SourceRefObjectRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const Okular::Utils&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::VisiblePageRect&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QByteArray&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QDateTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QDomElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QDomNode&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QFont&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QImage*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//309
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QMatrix&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QMetaObject&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QMetaObject*", 86, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//324
    { "const QObject*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//325
    { "const QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QPolygonF&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QRect&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QRectF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QRegExp&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//331
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//333
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//335
    { "const QTextBlock&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QVariant&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//339
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//340
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//341
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//342
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//343
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//344
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//345
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//347
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//348
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//349
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    306, 0,	//1  const QDomElement&
    259, 0,	//3  const KComponentData&
    332, 258, 258, 0,	//5  const QString&, bool, bool
    332, 0,	//9  const QString&
    332, 258, 0,	//11  const QString&, bool
    305, 258, 0,	//14  const QDomDocument&, bool
    332, 15, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    343, 347, 0,	//20  int, void*
    18, 0,	//23  Okular::ActionPrivate&
    304, 0,	//25  const QDateTime&
    343, 0,	//27  int
    287, 0,	//29  const Okular::NormalizedRect&
    286, 0,	//31  const Okular::NormalizedPoint&
    337, 0,	//33  const QVariant&
    346, 0,	//35  void(*)(const Okular::Annotation*)
    151, 148, 0,	//37  QDomNode&, QDomDocument&
    30, 0,	//40  Okular::AnnotationPrivate&
    30, 307, 0,	//42  Okular::AnnotationPrivate&, const QDomNode&
    20, 0,	//45  Okular::Annotation*
    341, 341, 0,	//47  double, double
    341, 341, 341, 341, 0,	//50  double, double, double, double
    322, 0,	//55  const QMatrix&
    269, 0,	//57  const Okular::AnnotationObjectRect&
    266, 150, 148, 0,	//59  const Okular::Annotation*, QDomElement&, QDomDocument&
    307, 332, 0,	//63  const QDomNode&, const QString&
    266, 341, 341, 0,	//66  const Okular::Annotation*, double, double
    271, 0,	//70  const Okular::AnnotationUtils&
    307, 0,	//72  const QDomNode&
    36, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    4, 0,	//76  KConfigDialog*
    272, 0,	//78  const Okular::ConfigInterface&
    339, 0,	//80  const char*
    339, 339, 0,	//82  const char*, const char*
    339, 339, 343, 0,	//85  const char*, const char*, int
    165, 343, 348, 0,	//89  QMetaObject::Call, int, void**
    183, 0,	//93  QWidget*
    332, 263, 262, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    48, 0,	//99  Okular::DocumentObserver*
    338, 343, 0,	//101  const QVector<Okular::VisiblePageRect*>&, int
    111, 0,	//104  Okular::Permission
    332, 280, 0,	//106  const QString&, const Okular::ExportFormat&
    332, 337, 0,	//109  const QString&, const QVariant&
    343, 343, 258, 0,	//112  int, int, bool
    278, 343, 258, 0,	//116  const Okular::DocumentViewport&, int, bool
    278, 0,	//120  const Okular::DocumentViewport&
    343, 343, 0,	//122  int, int
    314, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    314, 40, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, Okular::Document::PixmapRequestFlags
    345, 0,	//130  unsigned int
    343, 20, 0,	//132  int, Okular::Annotation*
    343, 316, 0,	//135  int, const QList<Okular::Annotation*>&
    343, 115, 303, 0,	//138  int, Okular::RegularAreaRect*, const QColor&
    343, 332, 258, 194, 43, 258, 303, 258, 0,	//142  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    343, 43, 0,	//151  int, Okular::Document::SearchType
    264, 0,	//154  const Okular::Action*
    299, 0,	//156  const Okular::SourceReference*
    170, 0,	//158  QPrinter&
    332, 176, 0,	//160  const QString&, QString*
    138, 0,	//163  Okular::View*
    282, 0,	//165  const Okular::FontInfo&
    332, 263, 0,	//167  const QString&, const KUrl&
    343, 341, 341, 0,	//170  int, double, double
    292, 0,	//174  const Okular::PageSize&
    263, 0,	//176  const KUrl&
    332, 343, 0,	//178  const QString&, int
    343, 42, 0,	//181  int, Okular::Document::SearchStatus
    338, 0,	//184  const QVector<Okular::VisiblePageRect*>&
    278, 343, 0,	//186  const Okular::DocumentViewport&, int
    343, 332, 258, 194, 43, 258, 303, 0,	//189  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    45, 0,	//197  Okular::DocumentAction::DocumentActionType
    332, 332, 332, 0,	//199  const QString&, const QString&, const QString&
    47, 332, 0,	//203  Okular::DocumentInfo::Key, const QString&
    47, 0,	//206  Okular::DocumentInfo::Key
    274, 0,	//208  const Okular::DocumentInfo&
    332, 332, 0,	//210  const QString&, const QString&
    305, 0,	//213  const QDomDocument&
    276, 0,	//215  const Okular::DocumentSynopsis&
    279, 0,	//217  const Okular::EmbeddedFile&
    332, 262, 0,	//219  const QString&, const KSharedPtr<KMimeType>&
    261, 332, 262, 0,	//222  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    280, 0,	//226  const Okular::ExportFormat&
    58, 0,	//228  Okular::ExportFormat::StandardExportFormat
    53, 0,	//230  Okular::EmbeddedFile*
    170, 331, 61, 62, 332, 0,	//232  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    170, 334, 61, 0,	//238  QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy
    170, 343, 321, 0,	//242  QPrinter&, int, const QList<int>&
    321, 0,	//246  const QList<int>&
    170, 333, 61, 62, 332, 0,	//248  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    170, 61, 62, 258, 332, 332, 0,	//254  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&
    170, 332, 0,	//261  QPrinter&, const QString&
    170, 61, 332, 0,	//264  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    170, 62, 332, 258, 332, 0,	//268  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    281, 0,	//274  const Okular::FilePrinter&
    170, 331, 0,	//276  QPrinter&, const QString
    170, 331, 61, 0,	//279  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy
    170, 331, 61, 62, 0,	//283  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    170, 334, 0,	//288  QPrinter&, const QStringList&
    66, 0,	//291  Okular::FontInfo::FontType
    65, 0,	//293  Okular::FontInfo::EmbedType
    258, 0,	//295  bool
    73, 0,	//297  Okular::FormFieldPrivate&
    16, 0,	//299  Okular::Action*
    167, 320, 0,	//301  QObject*, const QList<QVariant>&
    332, 182, 0,	//304  const QString&, QVector<Okular::Page*>&
    302, 182, 0,	//307  const QByteArray&, QVector<Okular::Page*>&
    112, 0,	//310  Okular::PixmapRequest*
    102, 0,	//312  Okular::Page*
    116, 116, 0,	//314  Okular::Rotation, Okular::Rotation
    292, 292, 0,	//317  const Okular::PageSize&, const Okular::PageSize&
    79, 0,	//320  Okular::Generator::GeneratorFeature
    102, 134, 0,	//322  Okular::Page*, Okular::TextPage*
    79, 258, 0,	//325  Okular::Generator::GeneratorFeature, bool
    343, 287, 0,	//328  int, const Okular::NormalizedRect&
    282, 143, 0,	//331  const Okular::FontInfo&, QByteArray*
    81, 167, 320, 0,	//334  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    84, 0,	//338  Okular::GeomAnnotation::GeomType
    303, 0,	//340  const QColor&
    332, 278, 0,	//342  const QString&, const Okular::DocumentViewport&
    285, 0,	//345  const Okular::GuiInterface&
    88, 0,	//347  Okular::HighlightAnnotation::HighlightType
    319, 0,	//349  const QList<QLinkedList<Okular::NormalizedPoint> >&
    312, 0,	//351  const QLinkedList<Okular::NormalizedPoint>&
    92, 0,	//353  Okular::LineAnnotation::TermStyle
    341, 0,	//355  double
    91, 0,	//357  Okular::LineAnnotation::LineIntent
    343, 343, 343, 343, 0,	//359  int, int, int, int
    328, 341, 341, 0,	//364  const QRect&, double, double
    329, 0,	//368  const QRectF&
    288, 0,	//370  const Okular::NormalizedRect*
    341, 341, 341, 341, 258, 101, 347, 0,	//372  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    287, 258, 101, 347, 0,	//380  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    327, 101, 347, 0,	//385  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    289, 0,	//389  const Okular::ObjectRect&
    101, 0,	//391  Okular::ObjectRect::ObjectType
    347, 0,	//393  void*
    326, 0,	//395  const QPainterPath&
    345, 341, 341, 116, 0,	//397  unsigned int, double, double, Okular::Rotation
    343, 343, 343, 0,	//402  int, int, int
    343, 332, 119, 194, 297, 0,	//406  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    297, 0,	//412  const Okular::RegularAreaRect*
    297, 135, 0,	//414  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    136, 0,	//417  Okular::TextSelection*
    101, 341, 341, 341, 341, 0,	//419  Okular::ObjectRect::ObjectType, double, double, double, double
    101, 341, 341, 341, 341, 342, 0,	//425  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    103, 0,	//432  Okular::Page::PageAction
    343, 169, 0,	//434  int, QPixmap*
    134, 0,	//437  Okular::TextPage*
    313, 0,	//439  const QLinkedList<Okular::ObjectRect*>&
    315, 0,	//441  const QLinkedList<Okular::SourceRefObjectRect*>&
    107, 0,	//443  Okular::PageTransition*
    103, 16, 0,	//445  Okular::Page::PageAction, Okular::Action*
    311, 0,	//448  const QLinkedList<Okular::FormField*>&
    343, 332, 119, 194, 0,	//450  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    341, 341, 332, 0,	//455  double, double, const QString&
    110, 0,	//459  Okular::PageTransition::Type
    293, 0,	//461  const Okular::PageTransition&
    108, 0,	//463  Okular::PageTransition::Alignment
    109, 0,	//465  Okular::PageTransition::Direction
    343, 343, 343, 343, 343, 258, 0,	//467  int, int, int, int, int, bool
    295, 0,	//474  const Okular::PrintInterface&
    296, 0,	//476  const Okular::RegularAreaRect&
    118, 332, 0,	//478  Okular::ScriptType, const QString&
    302, 0,	//481  const QByteArray&
    121, 0,	//483  Okular::Sound::SoundEncoding
    341, 258, 258, 258, 120, 0,	//485  double, bool, bool, bool, Okular::Sound*
    120, 0,	//491  Okular::Sound*
    286, 347, 0,	//493  const Okular::NormalizedPoint&, void*
    298, 0,	//496  const Okular::SourceRefObjectRect&
    332, 343, 343, 0,	//498  const QString&, int, int
    130, 0,	//502  Okular::TextAnnotation::TextType
    308, 0,	//504  const QFont&
    286, 343, 0,	//506  const Okular::NormalizedPoint&, int
    129, 0,	//509  Okular::TextAnnotation::InplaceIntent
    16, 343, 343, 0,	//511  Okular::Action*, int, int
    20, 343, 343, 0,	//515  Okular::Annotation*, int, int
    343, 332, 336, 0,	//519  int, const QString&, const QTextBlock&
    179, 336, 0,	//523  QTextDocument*, const QTextBlock&
    131, 167, 320, 0,	//526  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    332, 99, 0,	//530  const QString&, Okular::NormalizedRect*
    318, 0,	//533  const QList<Okular::TextEntity*>&
    328, 343, 343, 343, 0,	//535  const QRect&, int, int, int
    309, 0,	//540  const QImage*
    300, 0,	//542  const Okular::Utils&
    301, 0,	//544  const Okular::VisiblePageRect&
    152, 0,	//546  QEvent*
    167, 152, 0,	//548  QObject*, QEvent*
    180, 0,	//551  QTimerEvent*
    144, 0,	//553  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "ASound",	//9
    "AStamp",	//10
    "AText",	//11
    "A_BASE",	//12
    "Accepted",	//13
    "Action",	//14
    "Action#",	//15
    "AllDocument",	//16
    "Annotation",	//17
    "Annotation#",	//18
    "Annotation##",	//19
    "AnnotationObjectRect",	//20
    "AnnotationObjectRect#",	//21
    "AnnotationUtils",	//22
    "AnnotationUtils#",	//23
    "AnyPixelTextAreaInclusionBehaviour",	//24
    "ApplicationDeletesFiles",	//25
    "ApplicationSelectsPages",	//26
    "Arrow",	//27
    "Author",	//28
    "Beveled",	//29
    "Blinds",	//30
    "Box",	//31
    "Browse",	//32
    "BrowseAction",	//33
    "BrowseAction$",	//34
    "Butt",	//35
    "CIDTrueType",	//36
    "CIDTrueTypeOT",	//37
    "CIDType0",	//38
    "CIDType0C",	//39
    "CIDType0COT",	//40
    "Callout",	//41
    "Cancelled",	//42
    "CaretAnnotation",	//43
    "CaretAnnotation#",	//44
    "Category",	//45
    "Center",	//46
    "CentralPixelTextAreaInclusionBehaviour",	//47
    "CheckBox",	//48
    "Circle",	//49
    "Close",	//50
    "ClosedArrow",	//51
    "Closing",	//52
    "Cloudy",	//53
    "ComboBox",	//54
    "Completed",	//55
    "ConfigInterface",	//56
    "ConfigInterface#",	//57
    "Copyright",	//58
    "Cover",	//59
    "CreationDate",	//60
    "Creator",	//61
    "Dashed",	//62
    "Delete",	//63
    "DenyDelete",	//64
    "DenyPrint",	//65
    "DenyWrite",	//66
    "Description",	//67
    "Diamond",	//68
    "Dimension",	//69
    "Dissolve",	//70
    "DocAction",	//71
    "Document",	//72
    "Document#",	//73
    "DocumentAction",	//74
    "DocumentAction$",	//75
    "DocumentInfo",	//76
    "DocumentInfo#",	//77
    "DocumentSize",	//78
    "DocumentSynopsis",	//79
    "DocumentSynopsis#",	//80
    "DocumentViewport",	//81
    "DocumentViewport#",	//82
    "DocumentViewport$",	//83
    "Embedded",	//84
    "EmbeddedFile",	//85
    "EmbeddedFile#",	//86
    "EmbeddedSubset",	//87
    "EndPresentation",	//88
    "Execute",	//89
    "ExecuteAction",	//90
    "ExecuteAction$$",	//91
    "ExportFormat",	//92
    "ExportFormat#",	//93
    "ExportFormat#$?",	//94
    "ExportFormat$?",	//95
    "External",	//96
    "ExternallyDrawn",	//97
    "Fade",	//98
    "FileAttachmentAnnotation",	//99
    "FileAttachmentAnnotation#",	//100
    "FilePath",	//101
    "FilePrinter",	//102
    "FilePrinter#",	//103
    "FileSelect",	//104
    "Find",	//105
    "FixedRotation",	//106
    "FixedSize",	//107
    "Fly",	//108
    "FontInfo",	//109
    "FontInfo#",	//110
    "FormButton",	//111
    "FormChoice",	//112
    "FormField",	//113
    "FormField#",	//114
    "FormFieldButton",	//115
    "FormFieldChoice",	//116
    "FormFieldText",	//117
    "FormSignature",	//118
    "FormText",	//119
    "FullyEmbedded",	//120
    "Generator",	//121
    "Generator##?",	//122
    "Generator#?",	//123
    "GeomAnnotation",	//124
    "GeomAnnotation#",	//125
    "Glitter",	//126
    "GoToPage",	//127
    "GoogleAll",	//128
    "GoogleAny",	//129
    "Goto",	//130
    "GotoAction",	//131
    "GotoAction$#",	//132
    "GotoAction$$",	//133
    "Group",	//134
    "GuiInterface",	//135
    "GuiInterface#",	//136
    "HTML",	//137
    "Hidden",	//138
    "Highlight",	//139
    "HighlightAnnotation",	//140
    "HighlightAnnotation#",	//141
    "HistoryBack",	//142
    "HistoryForward",	//143
    "Horizontal",	//144
    "Image",	//145
    "InPlace",	//146
    "InkAnnotation",	//147
    "InkAnnotation#",	//148
    "InscribedCircle",	//149
    "InscribedSquare",	//150
    "Inset",	//151
    "Inward",	//152
    "KST_CTimeInfo",	//153
    "KST_KCustom",	//154
    "KST_KDEDesktopMimeType",	//155
    "KST_KFolderMimeType",	//156
    "KST_KImageIO",	//157
    "KST_KImageIOFormat",	//158
    "KST_KMimeType",	//159
    "KST_KMimeTypeFactory",	//160
    "KST_KProtocolInfo",	//161
    "KST_KProtocolInfoFactory",	//162
    "KST_KService",	//163
    "KST_KServiceFactory",	//164
    "KST_KServiceGroup",	//165
    "KST_KServiceGroupFactory",	//166
    "KST_KServiceSeparator",	//167
    "KST_KServiceType",	//168
    "KST_KServiceTypeFactory",	//169
    "KST_KSycocaEntry",	//170
    "Keywords",	//171
    "LineAnnotation",	//172
    "LineAnnotation#",	//173
    "Linked",	//174
    "ListBox",	//175
    "Marked",	//176
    "MatchFound",	//177
    "MimeType",	//178
    "ModificationDate",	//179
    "Movie",	//180
    "Multiline",	//181
    "NativePrinting",	//182
    "NextMatch",	//183
    "NoEffect",	//184
    "NoMatchFound",	//185
    "NoOption",	//186
    "NoPrinting",	//187
    "None",	//188
    "Normal",	//189
    "NormalizedPoint",	//190
    "NormalizedPoint#",	//191
    "NormalizedPoint$$",	//192
    "NormalizedPoint$$$$",	//193
    "NormalizedRect",	//194
    "NormalizedRect#",	//195
    "NormalizedRect#$$",	//196
    "NormalizedRect$$$$",	//197
    "NotEmbedded",	//198
    "OAnnotation",	//199
    "ObjectRect",	//200
    "ObjectRect#",	//201
    "ObjectRect#$$",	//202
    "ObjectRect#$$$",	//203
    "ObjectRect$$$$$$$",	//204
    "OpenArrow",	//205
    "OpenDocumentText",	//206
    "Opening",	//207
    "Outward",	//208
    "P",	//209
    "PDF",	//210
    "Page",	//211
    "Page$$$$",	//212
    "PageFirst",	//213
    "PageLast",	//214
    "PageNext",	//215
    "PagePrev",	//216
    "PageSize",	//217
    "PageSize#",	//218
    "PageSize$$$",	//219
    "PageSizes",	//220
    "PageTransition",	//221
    "PageTransition#",	//222
    "PageTransition$",	//223
    "Pages",	//224
    "PagesSize",	//225
    "PixmapRequest",	//226
    "PixmapRequest$$$$$$",	//227
    "PlainText",	//228
    "Points",	//229
    "PolygonCloud",	//230
    "PostscriptPrinting",	//231
    "Presentation",	//232
    "PreviousMatch",	//233
    "PrintInterface",	//234
    "PrintInterface#",	//235
    "PrintNative",	//236
    "PrintPostscript",	//237
    "PrintToFile",	//238
    "Producer",	//239
    "Push",	//240
    "Q_COMPLEX_TYPE",	//241
    "Q_DUMMY_TYPE",	//242
    "Q_MOVABLE_TYPE",	//243
    "Q_PRIMITIVE_TYPE",	//244
    "Q_STATIC_TYPE",	//245
    "QtCriticalMsg",	//246
    "QtDebugMsg",	//247
    "QtFatalMsg",	//248
    "QtSystemMsg",	//249
    "QtWarningMsg",	//250
    "Quit",	//251
    "RClosedArrow",	//252
    "ROpenArrow",	//253
    "Radio",	//254
    "Raw",	//255
    "ReadRawData",	//256
    "RegularAreaRect",	//257
    "RegularAreaRect#",	//258
    "Rejected",	//259
    "RemoveAllPrevious",	//260
    "Replace",	//261
    "Reply",	//262
    "Script",	//263
    "ScriptAction",	//264
    "ScriptAction$$",	//265
    "SearchCancelled",	//266
    "Signed",	//267
    "Slash",	//268
    "Solid",	//269
    "Sound",	//270
    "Sound#",	//271
    "Sound$",	//272
    "SoundAction",	//273
    "SoundAction$$$$#",	//274
    "SoundAnnotation",	//275
    "SoundAnnotation#",	//276
    "SourceRef",	//277
    "SourceRefObjectRect",	//278
    "SourceRefObjectRect#",	//279
    "SourceRefObjectRect#$",	//280
    "SourceReference",	//281
    "SourceReference$$",	//282
    "SourceReference$$$",	//283
    "Split",	//284
    "Square",	//285
    "Squiggly",	//286
    "StampAnnotation",	//287
    "StampAnnotation#",	//288
    "StateNoReverse",	//289
    "StateReverse",	//290
    "StrikeOut",	//291
    "Subject",	//292
    "SystemDeletesFiles",	//293
    "SystemSelectsPages",	//294
    "TeXFontMetric",	//295
    "TeXFreeTypeHandled",	//296
    "TeXPK",	//297
    "TeXVirtual",	//298
    "TextAnnotation",	//299
    "TextAnnotation#",	//300
    "TextDocumentConverter",	//301
    "TextDocumentGenerator",	//302
    "TextDocumentGenerator##?",	//303
    "TextEntity",	//304
    "TextEntity$#",	//305
    "TextExtraction",	//306
    "TextPage",	//307
    "TextPage?",	//308
    "Threaded",	//309
    "Title",	//310
    "ToggleHidingOnMouse",	//311
    "TopLeft",	//312
    "TrueType",	//313
    "TrueTypeOT",	//314
    "Type1",	//315
    "Type1C",	//316
    "Type1COT",	//317
    "Type3",	//318
    "TypeWriter",	//319
    "Uncover",	//320
    "Underline",	//321
    "Unknown",	//322
    "Unmarked",	//323
    "Utils",	//324
    "Utils#",	//325
    "Vertical",	//326
    "VisiblePageRect",	//327
    "VisiblePageRect#",	//328
    "VisiblePageRect$",	//329
    "VisiblePageRect$#",	//330
    "Wipe",	//331
    "__codecvt_error",	//332
    "__codecvt_noconv",	//333
    "__codecvt_ok",	//334
    "__codecvt_partial",	//335
    "action",	//336
    "actionCollection",	//337
    "actionTip",	//338
    "actionType",	//339
    "activationAction",	//340
    "addAction",	//341
    "addAction#$$",	//342
    "addAnnotation",	//343
    "addAnnotation#",	//344
    "addAnnotation#$$",	//345
    "addMetaData",	//346
    "addMetaData$$",	//347
    "addMetaData$$$",	//348
    "addObserver",	//349
    "addObserver#",	//350
    "addPageAnnotation",	//351
    "addPageAnnotation$#",	//352
    "addPages",	//353
    "addPages#",	//354
    "addTitle",	//355
    "addTitle$$#",	//356
    "alignment",	//357
    "allPagesSize",	//358
    "angle",	//359
    "annotation",	//360
    "annotationGeometry",	//361
    "annotationGeometry#$$",	//362
    "annotations",	//363
    "append",	//364
    "append$#",	//365
    "area",	//366
    "asynchronous",	//367
    "author",	//368
    "bitsPerSample",	//369
    "bookmarkManager",	//370
    "bookmarkedPageList",	//371
    "bookmarkedPageRange",	//372
    "bottom",	//373
    "boundingBox",	//374
    "boundingRect",	//375
    "boundingRect$$",	//376
    "boundingRectangle",	//377
    "buttonType",	//378
    "calculateViewport",	//379
    "calculateViewport##",	//380
    "canBeExtracted",	//381
    "canBeMoved",	//382
    "canBeSpellChecked",	//383
    "canConfigurePrinter",	//384
    "canExportToText",	//385
    "canGeneratePixmap",	//386
    "canGenerateTextPage",	//387
    "canProvideFontInformation",	//388
    "canSaveChanges",	//389
    "cancelSearch",	//390
    "caption",	//391
    "caretSymbol",	//392
    "center",	//393
    "channels",	//394
    "childEvent",	//395
    "choiceType",	//396
    "choices",	//397
    "close",	//398
    "closeDocument",	//399
    "column",	//400
    "componentData",	//401
    "configurableGenerators",	//402
    "connectNotify",	//403
    "contains",	//404
    "contains$$",	//405
    "contains$$$$",	//406
    "contents",	//407
    "continueSearch",	//408
    "continueSearch$",	//409
    "continueSearch$$",	//410
    "convert",	//411
    "convert$",	//412
    "copies",	//413
    "copies#$",	//414
    "createAnnotation",	//415
    "createAnnotation#",	//416
    "creationDate",	//417
    "cupsAvailable",	//418
    "cupsOptions",	//419
    "cupsOptions#",	//420
    "currentChoices",	//421
    "currentDocument",	//422
    "currentPage",	//423
    "customEvent",	//424
    "d_func",	//425
    "data",	//426
    "deleteAnnotations",	//427
    "deleteFile",	//428
    "deleteFile#$$",	//429
    "deletePixmap",	//430
    "deletePixmap$",	//431
    "deletePixmaps",	//432
    "deleteRects",	//433
    "deleteSourceReferences",	//434
    "description",	//435
    "destViewport",	//436
    "destination",	//437
    "destination#$",	//438
    "destinationName",	//439
    "detectCupsConfig",	//440
    "detectCupsService",	//441
    "direction",	//442
    "disconnectNotify",	//443
    "distanceSqr",	//444
    "distanceSqr$$$$",	//445
    "doCloseDocument",	//446
    "doPrintFiles",	//447
    "doPrintFiles#?$$$",	//448
    "document",	//449
    "documentActionType",	//450
    "documentInfo",	//451
    "documentMetaData",	//452
    "documentMetaData$",	//453
    "documentMetaData$#",	//454
    "documentSynopsis",	//455
    "domDocument",	//456
    "dpiX",	//457
    "dpiY",	//458
    "duration",	//459
    "dynamicSourceReference",	//460
    "dynamicSourceReference$$$",	//461
    "embedType",	//462
    "embeddedFile",	//463
    "embeddedFiles",	//464
    "error",	//465
    "error$$",	//466
    "event",	//467
    "eventFilter",	//468
    "exportFormats",	//469
    "exportTo",	//470
    "exportTo$#",	//471
    "exportToText",	//472
    "exportToText$",	//473
    "file",	//474
    "fileIconName",	//475
    "fileName",	//476
    "fillConfigDialog",	//477
    "fillConfigDialog#",	//478
    "findChildElement",	//479
    "findChildElement#$",	//480
    "findText",	//481
    "findText$$$$",	//482
    "findText$$$$#",	//483
    "flags",	//484
    "fontData",	//485
    "fontData#",	//486
    "fontReadingEnded",	//487
    "fontReadingProgress",	//488
    "fontReadingProgress$",	//489
    "fontsForPage",	//490
    "fontsForPage$",	//491
    "formFields",	//492
    "fromQRectF",	//493
    "fromQRectF#",	//494
    "generateDocumentInfo",	//495
    "generateDocumentSynopsis",	//496
    "generatePixmap",	//497
    "generatePixmap#",	//498
    "generateTextPage",	//499
    "generateTextPage#",	//500
    "generator",	//501
    "geometricalInnerColor",	//502
    "geometricalPointWidth",	//503
    "geometricalType",	//504
    "geometry",	//505
    "geometry$$",	//506
    "get",	//507
    "get$",	//508
    "getKeyString",	//509
    "getKeyString$",	//510
    "getKeyTitle",	//511
    "getKeyTitle$",	//512
    "gotFont",	//513
    "gotFont#",	//514
    "guiClient",	//515
    "hasAnnotations",	//516
    "hasFeature",	//517
    "hasFeature$",	//518
    "hasHighlights",	//519
    "hasHighlights$",	//520
    "hasObjectRect",	//521
    "hasObjectRect$$$$",	//522
    "hasPixmap",	//523
    "hasPixmap$",	//524
    "hasPixmap$$",	//525
    "hasPixmap$$$",	//526
    "hasTextPage",	//527
    "hasTransition",	//528
    "height",	//529
    "highlightQuads",	//530
    "highlightType",	//531
    "historyAtBegin",	//532
    "historyAtEnd",	//533
    "icon",	//534
    "id",	//535
    "image",	//536
    "image#",	//537
    "imageBoundingBox",	//538
    "imageBoundingBox#",	//539
    "inkPaths",	//540
    "inplaceAlignment",	//541
    "inplaceCallout",	//542
    "inplaceCallout$",	//543
    "inplaceIntent",	//544
    "inplaceText",	//545
    "intersects",	//546
    "intersects#",	//547
    "intersects$$$$",	//548
    "isAllowed",	//549
    "isAllowed$",	//550
    "isBoundingBoxKnown",	//551
    "isEditable",	//552
    "isExternal",	//553
    "isNull",	//554
    "isOpened",	//555
    "isPassword",	//556
    "isReadOnly",	//557
    "isRectangular",	//558
    "isRichText",	//559
    "isValid",	//560
    "isVisible",	//561
    "jobname",	//562
    "jobname#$",	//563
    "label",	//564
    "left",	//565
    "lineClosed",	//566
    "lineEndStyle",	//567
    "lineInnerColor",	//568
    "lineIntent",	//569
    "lineLeadingBackwardPoint",	//570
    "lineLeadingForwardPoint",	//571
    "linePoints",	//572
    "lineStartStyle",	//573
    "linkEndPresentation",	//574
    "linkFind",	//575
    "linkGoToPage",	//576
    "linkPresentation",	//577
    "loadDocument",	//578
    "loadDocument$?",	//579
    "loadDocumentFromData",	//580
    "loadDocumentFromData#?",	//581
    "localXMLFile",	//582
    "m_object",	//583
    "m_objectType",	//584
    "m_path",	//585
    "m_transformedPath",	//586
    "maximumLength",	//587
    "mediaPageSize",	//588
    "mediaPageSize#",	//589
    "mediaPaperSource",	//590
    "mediaPaperSource#",	//591
    "metaData",	//592
    "metaData$",	//593
    "metaData$#",	//594
    "metaObject",	//595
    "mimeType",	//596
    "mix",	//597
    "modificationDate",	//598
    "modifyPageAnnotation",	//599
    "modifyPageAnnotation$#",	//600
    "muLaw",	//601
    "multiSelect",	//602
    "name",	//603
    "nativeId",	//604
    "nearestObjectRect",	//605
    "nearestObjectRect$$$$$$",	//606
    "notice",	//607
    "notice$$",	//608
    "number",	//609
    "object",	//610
    "objectRect",	//611
    "objectRect$$$$$",	//612
    "objectType",	//613
    "openDocument",	//614
    "openDocument$#?",	//615
    "openDocumentArchive",	//616
    "openDocumentArchive$#",	//617
    "openUrl",	//618
    "openUrl#",	//619
    "operator!=",	//620
    "operator!=#",	//621
    "operator&",	//622
    "operator&#",	//623
    "operator=",	//624
    "operator=#",	//625
    "operator==",	//626
    "operator==#",	//627
    "operator|",	//628
    "operator|#",	//629
    "operator|=",	//630
    "operator|=#",	//631
    "optionCollateCopies",	//632
    "optionCollateCopies#",	//633
    "optionCupsProperties",	//634
    "optionCupsProperties#",	//635
    "optionDoubleSidedPrinting",	//636
    "optionDoubleSidedPrinting#",	//637
    "optionMedia",	//638
    "optionMedia#",	//639
    "optionOrientation",	//640
    "optionOrientation#",	//641
    "optionPageMargins",	//642
    "optionPageMargins#",	//643
    "optionPageOrder",	//644
    "optionPageOrder#",	//645
    "orientation",	//646
    "page",	//647
    "page$",	//648
    "pageAction",	//649
    "pageAction$",	//650
    "pageList",	//651
    "pageList#$?",	//652
    "pageListToPageRange",	//653
    "pageListToPageRange?",	//654
    "pageNumber",	//655
    "pageRange",	//656
    "pageRange#$?",	//657
    "pageSizeChanged",	//658
    "pageSizeChanged##",	//659
    "pageSizeString",	//660
    "pageSizeString$",	//661
    "pageSizes",	//662
    "pages",	//663
    "pages#$$$$",	//664
    "pagesSizeMetric",	//665
    "parameters",	//666
    "pdf2psAvailable",	//667
    "print",	//668
    "print#",	//669
    "printArguments",	//670
    "printArguments#$$$$$",	//671
    "printConfigurationWidget",	//672
    "printFile",	//673
    "printFile#$",	//674
    "printFile#$$",	//675
    "printFile#$$$",	//676
    "printFile#$$$$",	//677
    "printFiles",	//678
    "printFiles#?",	//679
    "printFiles#?$",	//680
    "printingSupport",	//681
    "priority",	//682
    "processAction",	//683
    "processAction#",	//684
    "processSourceReference",	//685
    "processSourceReference#",	//686
    "ps2pdfAvailable",	//687
    "psPaperSize",	//688
    "psPaperSize#",	//689
    "qt_metacall",	//690
    "qt_metacall$$?",	//691
    "qt_metacast",	//692
    "qt_metacast$",	//693
    "quit",	//694
    "ratio",	//695
    "realDpiX",	//696
    "realDpiY",	//697
    "rect",	//698
    "region",	//699
    "registerView",	//700
    "registerView#",	//701
    "removeAnnotation",	//702
    "removeAnnotation#",	//703
    "removeObserver",	//704
    "removeObserver#",	//705
    "removePageAnnotation",	//706
    "removePageAnnotation$#",	//707
    "removePageAnnotations",	//708
    "removePageAnnotations$?",	//709
    "reparseConfig",	//710
    "repeat",	//711
    "requestFontData",	//712
    "requestFontData##",	//713
    "requestPixmaps",	//714
    "requestPixmaps?",	//715
    "requestPixmaps?$",	//716
    "requestTextPage",	//717
    "requestTextPage$",	//718
    "resetSearch",	//719
    "resetSearch$",	//720
    "revisions",	//721
    "right",	//722
    "rotateRect",	//723
    "rotateRect#$$$",	//724
    "rotation",	//725
    "rotationChanged",	//726
    "rotationChanged$$",	//727
    "row",	//728
    "samplingRate",	//729
    "saveChanges",	//730
    "saveChanges$",	//731
    "saveChanges$$",	//732
    "saveDocumentArchive",	//733
    "saveDocumentArchive$",	//734
    "scale",	//735
    "script",	//736
    "scriptType",	//737
    "searchFinished",	//738
    "searchFinished$$",	//739
    "searchText",	//740
    "searchText$$$$$$#",	//741
    "searchText$$$$$$#$",	//742
    "set",	//743
    "set$$",	//744
    "set$$$",	//745
    "setActivationAction",	//746
    "setActivationAction#",	//747
    "setAlignment",	//748
    "setAlignment$",	//749
    "setAngle",	//750
    "setAngle$",	//751
    "setAuthor",	//752
    "setAuthor$",	//753
    "setBitsPerSample",	//754
    "setBitsPerSample$",	//755
    "setBottom",	//756
    "setBottom$",	//757
    "setBoundingBox",	//758
    "setBoundingBox#",	//759
    "setBoundingRectangle",	//760
    "setBoundingRectangle#",	//761
    "setCanBeExtracted",	//762
    "setCanBeExtracted$",	//763
    "setCaretSymbol",	//764
    "setCaretSymbol$",	//765
    "setChannels",	//766
    "setChannels$",	//767
    "setComponentData",	//768
    "setContents",	//769
    "setContents$",	//770
    "setCreationDate",	//771
    "setCreationDate#",	//772
    "setCurrentChoices",	//773
    "setCurrentChoices?",	//774
    "setDOMDocument",	//775
    "setDirection",	//776
    "setDirection$",	//777
    "setDisposeDataFunction",	//778
    "setDisposeDataFunction$",	//779
    "setDuration",	//780
    "setDuration$",	//781
    "setEmbedType",	//782
    "setEmbedType$",	//783
    "setEmbeddedFile",	//784
    "setEmbeddedFile#",	//785
    "setFeature",	//786
    "setFeature$",	//787
    "setFeature$$",	//788
    "setFile",	//789
    "setFile$",	//790
    "setFileIconName",	//791
    "setFileIconName$",	//792
    "setFlags",	//793
    "setFlags$",	//794
    "setFormFields",	//795
    "setFormFields?",	//796
    "setGeometricalInnerColor",	//797
    "setGeometricalInnerColor#",	//798
    "setGeometricalPointWidth",	//799
    "setGeometricalPointWidth$",	//800
    "setGeometricalType",	//801
    "setGeometricalType$",	//802
    "setHighlightType",	//803
    "setHighlightType$",	//804
    "setInkPaths",	//805
    "setInkPaths?",	//806
    "setInplaceAlignment",	//807
    "setInplaceAlignment$",	//808
    "setInplaceCallout",	//809
    "setInplaceCallout#$",	//810
    "setInplaceIntent",	//811
    "setInplaceIntent$",	//812
    "setInplaceText",	//813
    "setInplaceText$",	//814
    "setIsRectangular",	//815
    "setIsRectangular$",	//816
    "setLabel",	//817
    "setLabel$",	//818
    "setLeft",	//819
    "setLeft$",	//820
    "setLineClosed",	//821
    "setLineClosed$",	//822
    "setLineEndStyle",	//823
    "setLineEndStyle$",	//824
    "setLineInnerColor",	//825
    "setLineInnerColor#",	//826
    "setLineIntent",	//827
    "setLineIntent$",	//828
    "setLineLeadingBackwardPoint",	//829
    "setLineLeadingBackwardPoint$",	//830
    "setLineLeadingForwardPoint",	//831
    "setLineLeadingForwardPoint$",	//832
    "setLinePoints",	//833
    "setLinePoints?",	//834
    "setLineStartStyle",	//835
    "setLineStartStyle$",	//836
    "setLocalXMLFile",	//837
    "setM_object",	//838
    "setM_object$",	//839
    "setM_objectType",	//840
    "setM_objectType$",	//841
    "setM_path",	//842
    "setM_path#",	//843
    "setM_transformedPath",	//844
    "setM_transformedPath#",	//845
    "setModificationDate",	//846
    "setModificationDate#",	//847
    "setName",	//848
    "setName$",	//849
    "setNativeId",	//850
    "setNativeId#",	//851
    "setNextDocumentDestination",	//852
    "setNextDocumentDestination$",	//853
    "setNextDocumentViewport",	//854
    "setNextDocumentViewport#",	//855
    "setNextViewport",	//856
    "setObjectRects",	//857
    "setObjectRects?",	//858
    "setPageAction",	//859
    "setPageAction$#",	//860
    "setPageNumber",	//861
    "setPageNumber$",	//862
    "setPageSize",	//863
    "setPageSize#",	//864
    "setPageTextSelection",	//865
    "setPageTextSelection$##",	//866
    "setPixmap",	//867
    "setPixmap$#",	//868
    "setPrevViewport",	//869
    "setRect",	//870
    "setRect#",	//871
    "setRight",	//872
    "setRight$",	//873
    "setRotation",	//874
    "setRotation$",	//875
    "setSamplingRate",	//876
    "setSamplingRate$",	//877
    "setScale",	//878
    "setScale$",	//879
    "setShowCaption",	//880
    "setShowCaption$",	//881
    "setSound",	//882
    "setSound#",	//883
    "setSoundEncoding",	//884
    "setSoundEncoding$",	//885
    "setSoundIconName",	//886
    "setSoundIconName$",	//887
    "setSourceReferences",	//888
    "setSourceReferences?",	//889
    "setStampIconName",	//890
    "setStampIconName$",	//891
    "setState",	//892
    "setState$",	//893
    "setText",	//894
    "setText$",	//895
    "setTextFont",	//896
    "setTextFont#",	//897
    "setTextIcon",	//898
    "setTextIcon$",	//899
    "setTextPage",	//900
    "setTextPage#",	//901
    "setTextType",	//902
    "setTextType$",	//903
    "setTop",	//904
    "setTop$",	//905
    "setTransition",	//906
    "setTransition#",	//907
    "setType",	//908
    "setType$",	//909
    "setUniqueName",	//910
    "setUniqueName$",	//911
    "setViewport",	//912
    "setViewport#",	//913
    "setViewport#$",	//914
    "setViewport#$$",	//915
    "setViewportPage",	//916
    "setViewportPage$",	//917
    "setViewportPage$$",	//918
    "setViewportPage$$$",	//919
    "setVisiblePageRects",	//920
    "setVisiblePageRects?",	//921
    "setVisiblePageRects?$",	//922
    "setX",	//923
    "setX$",	//924
    "setXML",	//925
    "setXMLFile",	//926
    "setY",	//927
    "setY$",	//928
    "setZoom",	//929
    "setZoom$",	//930
    "setZoom$$",	//931
    "showCaption",	//932
    "siblings",	//933
    "signalPixmapRequestDone",	//934
    "signalPixmapRequestDone#",	//935
    "signalTextGenerationDone",	//936
    "signalTextGenerationDone##",	//937
    "size",	//938
    "sound",	//939
    "soundEncoding",	//940
    "soundIconName",	//941
    "soundType",	//942
    "stampIconName",	//943
    "standardFormat",	//944
    "standardFormat$",	//945
    "startFontReading",	//946
    "state",	//947
    "stateChanged",	//948
    "staticMetaObject",	//949
    "stopFontReading",	//950
    "store",	//951
    "store##",	//952
    "storeAnnotation",	//953
    "storeAnnotation###",	//954
    "style",	//955
    "subType",	//956
    "supportedMimeTypes",	//957
    "supportsPageSizes",	//958
    "supportsPrintToFile",	//959
    "supportsSearching",	//960
    "synchronous",	//961
    "text",	//962
    "text#",	//963
    "text#$",	//964
    "textAlignment",	//965
    "textArea",	//966
    "textArea#",	//967
    "textFont",	//968
    "textIcon",	//969
    "textPage",	//970
    "textPage#",	//971
    "textSelection",	//972
    "textSelectionColor",	//973
    "textType",	//974
    "timerEvent",	//975
    "toString",	//976
    "top",	//977
    "totalOrientation",	//978
    "tr",	//979
    "tr$",	//980
    "tr$$",	//981
    "tr$$$",	//982
    "trUtf8",	//983
    "trUtf8$",	//984
    "trUtf8$$",	//985
    "trUtf8$$$",	//986
    "transform",	//987
    "transform#",	//988
    "transformedArea",	//989
    "transformedArea#",	//990
    "transformedBoundingRectangle",	//991
    "transformedInkPaths",	//992
    "transformedInplaceCallout",	//993
    "transformedInplaceCallout$",	//994
    "transformedLinePoints",	//995
    "transition",	//996
    "translate",	//997
    "translate#",	//998
    "type",	//999
    "uiName",	//1000
    "uniqueName",	//1001
    "unregisterView",	//1002
    "unregisterView#",	//1003
    "updatePageBoundingBox",	//1004
    "updatePageBoundingBox$#",	//1005
    "url",	//1006
    "userMutex",	//1007
    "viewport",	//1008
    "virtual_hook",	//1009
    "visiblePageRects",	//1010
    "volume",	//1011
    "warning",	//1012
    "warning$$",	//1013
    "widget",	//1014
    "width",	//1015
    "window",	//1016
    "x",	//1017
    "xmlFile",	//1018
    "y",	//1019
    "~Action",	//1020
    "~Annotation",	//1021
    "~AnnotationObjectRect",	//1022
    "~AnnotationUtils",	//1023
    "~BrowseAction",	//1024
    "~CaretAnnotation",	//1025
    "~ConfigInterface",	//1026
    "~Document",	//1027
    "~DocumentAction",	//1028
    "~DocumentInfo",	//1029
    "~DocumentSynopsis",	//1030
    "~DocumentViewport",	//1031
    "~EmbeddedFile",	//1032
    "~ExecuteAction",	//1033
    "~ExportFormat",	//1034
    "~FileAttachmentAnnotation",	//1035
    "~FilePrinter",	//1036
    "~FontInfo",	//1037
    "~FormField",	//1038
    "~FormFieldButton",	//1039
    "~FormFieldChoice",	//1040
    "~FormFieldText",	//1041
    "~Generator",	//1042
    "~GeomAnnotation",	//1043
    "~GotoAction",	//1044
    "~GuiInterface",	//1045
    "~HighlightAnnotation",	//1046
    "~InkAnnotation",	//1047
    "~LineAnnotation",	//1048
    "~NormalizedPoint",	//1049
    "~NormalizedRect",	//1050
    "~ObjectRect",	//1051
    "~Page",	//1052
    "~PageSize",	//1053
    "~PageTransition",	//1054
    "~PixmapRequest",	//1055
    "~PrintInterface",	//1056
    "~RegularAreaRect",	//1057
    "~ScriptAction",	//1058
    "~Sound",	//1059
    "~SoundAction",	//1060
    "~SoundAnnotation",	//1061
    "~SourceRefObjectRect",	//1062
    "~SourceReference",	//1063
    "~StampAnnotation",	//1064
    "~TextAnnotation",	//1065
    "~TextDocumentConverter",	//1066
    "~TextDocumentGenerator",	//1067
    "~TextEntity",	//1068
    "~TextPage",	//1069
    "~Utils",	//1070
    "~VisiblePageRect",	//1071
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 336, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 337, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 401, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {9, 456, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 1018, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 582, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 768, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 926, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 837, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 925, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 775, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 948, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 1009, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {10, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 17, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {10, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 2},	//17 Okular::Action::actionTip() const
    {10, 14, 23, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 3},	//18 Okular::Action::Action(Okular::ActionPrivate&)
    {10, 425, 0, 0, Smoke::mf_protected, 19, 4},	//19 Okular::Action::d_func()
    {10, 425, 0, 0, Smoke::mf_const|Smoke::mf_protected, 265, 5},	//20 Okular::Action::d_func() const
    {10, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 6},	//21 Okular::Action::Goto (enum)
    {10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 7},	//22 Okular::Action::Execute (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 8},	//23 Okular::Action::Browse (enum)
    {10, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 9},	//24 Okular::Action::DocAction (enum)
    {10, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 10},	//25 Okular::Action::Sound (enum)
    {10, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 11},	//26 Okular::Action::Movie (enum)
    {10, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 12},	//27 Okular::Action::Script (enum)
    {10, 1020, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 Okular::Action::~Action()
    {12, 752, 9, 1, 0, 0, 1},	//29 Okular::Annotation::setAuthor(const QString&)
    {12, 368, 0, 0, Smoke::mf_const, 175, 2},	//30 Okular::Annotation::author() const
    {12, 769, 9, 1, 0, 0, 3},	//31 Okular::Annotation::setContents(const QString&)
    {12, 407, 0, 0, Smoke::mf_const, 175, 4},	//32 Okular::Annotation::contents() const
    {12, 910, 9, 1, 0, 0, 5},	//33 Okular::Annotation::setUniqueName(const QString&)
    {12, 1001, 0, 0, Smoke::mf_const, 175, 6},	//34 Okular::Annotation::uniqueName() const
    {12, 846, 25, 1, 0, 0, 7},	//35 Okular::Annotation::setModificationDate(const QDateTime&)
    {12, 598, 0, 0, Smoke::mf_const, 146, 8},	//36 Okular::Annotation::modificationDate() const
    {12, 771, 25, 1, 0, 0, 9},	//37 Okular::Annotation::setCreationDate(const QDateTime&)
    {12, 417, 0, 0, Smoke::mf_const, 146, 10},	//38 Okular::Annotation::creationDate() const
    {12, 793, 27, 1, 0, 0, 11},	//39 Okular::Annotation::setFlags(int)
    {12, 484, 0, 0, Smoke::mf_const, 343, 12},	//40 Okular::Annotation::flags() const
    {12, 760, 29, 1, 0, 0, 13},	//41 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {12, 377, 0, 0, Smoke::mf_const, 97, 14},	//42 Okular::Annotation::boundingRectangle() const
    {12, 991, 0, 0, Smoke::mf_const, 97, 15},	//43 Okular::Annotation::transformedBoundingRectangle() const
    {12, 997, 31, 1, 0, 0, 16},	//44 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {12, 955, 0, 0, 0, 26, 17},	//45 Okular::Annotation::style()
    {12, 955, 0, 0, Smoke::mf_const, 267, 18},	//46 Okular::Annotation::style() const
    {12, 1016, 0, 0, 0, 28, 19},	//47 Okular::Annotation::window()
    {12, 1016, 0, 0, Smoke::mf_const, 268, 20},	//48 Okular::Annotation::window() const
    {12, 721, 0, 0, 0, 156, 21},	//49 Okular::Annotation::revisions()
    {12, 721, 0, 0, Smoke::mf_const, 310, 22},	//50 Okular::Annotation::revisions() const
    {12, 850, 33, 1, 0, 0, 23},	//51 Okular::Annotation::setNativeId(const QVariant&)
    {12, 604, 0, 0, Smoke::mf_const, 181, 24},	//52 Okular::Annotation::nativeId() const
    {12, 778, 35, 1, 0, 0, 25},	//53 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {12, 382, 0, 0, Smoke::mf_const, 258, 26},	//54 Okular::Annotation::canBeMoved() const
    {12, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 27},	//55 Okular::Annotation::subType() const [pure virtual]
    {12, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 28},	//56 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {12, 17, 40, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 29},	//57 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {12, 17, 42, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 30},	//58 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {12, 425, 0, 0, Smoke::mf_protected, 31, 31},	//59 Okular::Annotation::d_func()
    {12, 425, 0, 0, Smoke::mf_const|Smoke::mf_protected, 270, 32},	//60 Okular::Annotation::d_func() const
    {12, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//61 Okular::Annotation::AText (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//62 Okular::Annotation::ALine (enum)
    {12, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 35},	//63 Okular::Annotation::AGeom (enum)
    {12, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 36},	//64 Okular::Annotation::AHighlight (enum)
    {12, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 37},	//65 Okular::Annotation::AStamp (enum)
    {12, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 38},	//66 Okular::Annotation::AInk (enum)
    {12, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 39},	//67 Okular::Annotation::ACaret (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 40},	//68 Okular::Annotation::AFileAttachment (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//69 Okular::Annotation::ASound (enum)
    {12, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//70 Okular::Annotation::AMovie (enum)
    {12, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//71 Okular::Annotation::A_BASE (enum)
    {12, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 44},	//72 Okular::Annotation::Hidden (enum)
    {12, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 45},	//73 Okular::Annotation::FixedSize (enum)
    {12, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 46},	//74 Okular::Annotation::FixedRotation (enum)
    {12, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 47},	//75 Okular::Annotation::DenyPrint (enum)
    {12, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 48},	//76 Okular::Annotation::DenyWrite (enum)
    {12, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//77 Okular::Annotation::DenyDelete (enum)
    {12, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//78 Okular::Annotation::ToggleHidingOnMouse (enum)
    {12, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//79 Okular::Annotation::External (enum)
    {12, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//80 Okular::Annotation::ExternallyDrawn (enum)
    {12, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 53},	//81 Okular::Annotation::Solid (enum)
    {12, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 54},	//82 Okular::Annotation::Dashed (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 55},	//83 Okular::Annotation::Beveled (enum)
    {12, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 56},	//84 Okular::Annotation::Inset (enum)
    {12, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 57},	//85 Okular::Annotation::Underline (enum)
    {12, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 58},	//86 Okular::Annotation::NoEffect (enum)
    {12, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 59},	//87 Okular::Annotation::Cloudy (enum)
    {12, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 60},	//88 Okular::Annotation::Reply (enum)
    {12, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 61},	//89 Okular::Annotation::Group (enum)
    {12, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 62},	//90 Okular::Annotation::Delete (enum)
    {12, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 63},	//91 Okular::Annotation::None (enum)
    {12, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 64},	//92 Okular::Annotation::Marked (enum)
    {12, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 65},	//93 Okular::Annotation::Unmarked (enum)
    {12, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 66},	//94 Okular::Annotation::Accepted (enum)
    {12, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 67},	//95 Okular::Annotation::Rejected (enum)
    {12, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 68},	//96 Okular::Annotation::Cancelled (enum)
    {12, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 69},	//97 Okular::Annotation::Completed (enum)
    {12, 1021, 0, 0, Smoke::mf_dtor, 0, 70 },	//98 Okular::Annotation::~Annotation()
    {15, 20, 45, 1, Smoke::mf_ctor, 29, 1},	//99 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {15, 360, 0, 0, Smoke::mf_const, 20, 2},	//100 Okular::AnnotationObjectRect::annotation() const
    {15, 375, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 171, 3},	//101 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {15, 404, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 258, 4},	//102 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {15, 987, 55, 1, Smoke::mf_virtual, 0, 5},	//103 Okular::AnnotationObjectRect::transform(const QMatrix&)
    {15, 20, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 6},	//104 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {15, 1022, 0, 0, Smoke::mf_dtor, 0, 7 },	//105 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {17, 415, 1, 1, Smoke::mf_static, 20, 1},	//106 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {17, 953, 59, 3, Smoke::mf_static, 0, 2},	//107 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {17, 479, 63, 2, Smoke::mf_static, 149, 3},	//108 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {17, 361, 66, 3, Smoke::mf_static, 171, 4},	//109 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {17, 22, 0, 0, Smoke::mf_ctor, 32, 5},	//110 Okular::AnnotationUtils::AnnotationUtils()
    {17, 22, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 6},	//111 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {17, 1023, 0, 0, Smoke::mf_dtor, 0, 7 },	//112 Okular::AnnotationUtils::~AnnotationUtils()
    {19, 33, 9, 1, Smoke::mf_ctor, 34, 1},	//113 Okular::BrowseAction::BrowseAction(const QString&)
    {19, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//114 Okular::BrowseAction::actionType() const
    {19, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 3},	//115 Okular::BrowseAction::actionTip() const
    {19, 1006, 0, 0, Smoke::mf_const, 175, 4},	//116 Okular::BrowseAction::url() const
    {19, 1024, 0, 0, Smoke::mf_dtor, 0, 5 },	//117 Okular::BrowseAction::~BrowseAction()
    {20, 43, 0, 0, Smoke::mf_ctor, 35, 1},	//118 Okular::CaretAnnotation::CaretAnnotation()
    {20, 43, 72, 1, Smoke::mf_ctor, 35, 2},	//119 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {20, 764, 74, 1, 0, 0, 3},	//120 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {20, 392, 0, 0, Smoke::mf_const, 36, 4},	//121 Okular::CaretAnnotation::caretSymbol() const
    {20, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//122 Okular::CaretAnnotation::subType() const
    {20, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//123 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {20, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 7},	//124 Okular::CaretAnnotation::None (enum)
    {20, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 8},	//125 Okular::CaretAnnotation::P (enum)
    {20, 1025, 0, 0, Smoke::mf_dtor, 0, 9 },	//126 Okular::CaretAnnotation::~CaretAnnotation()
    {21, 710, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 258, 1},	//127 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {21, 353, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//128 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {21, 56, 0, 0, Smoke::mf_ctor, 37, 3},	//129 Okular::ConfigInterface::ConfigInterface()
    {21, 56, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 4},	//130 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {21, 1026, 0, 0, Smoke::mf_dtor, 0, 5 },	//131 Okular::ConfigInterface::~ConfigInterface()
    {22, 595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 324, 1},	//132 Okular::Document::metaObject() const
    {22, 692, 80, 1, Smoke::mf_virtual, 347, 2},	//133 Okular::Document::qt_metacast(const char*)
    {22, 979, 82, 2, Smoke::mf_static, 175, 3},	//134 Okular::Document::tr(const char*, const char*)
    {22, 983, 82, 2, Smoke::mf_static, 175, 4},	//135 Okular::Document::trUtf8(const char*, const char*)
    {22, 979, 85, 3, Smoke::mf_static, 175, 5},	//136 Okular::Document::tr(const char*, const char*, int)
    {22, 983, 85, 3, Smoke::mf_static, 175, 6},	//137 Okular::Document::trUtf8(const char*, const char*, int)
    {22, 690, 89, 3, Smoke::mf_virtual, 343, 7},	//138 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {22, 72, 93, 1, Smoke::mf_ctor, 38, 8},	//139 Okular::Document::Document(QWidget*)
    {22, 614, 95, 3, 0, 258, 9},	//140 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {22, 399, 0, 0, 0, 0, 10},	//141 Okular::Document::closeDocument()
    {22, 349, 99, 1, 0, 0, 11},	//142 Okular::Document::addObserver(Okular::DocumentObserver*)
    {22, 704, 99, 1, 0, 0, 12},	//143 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {22, 710, 0, 0, 0, 0, 13},	//144 Okular::Document::reparseConfig()
    {22, 1014, 0, 0, Smoke::mf_const, 183, 14},	//145 Okular::Document::widget() const
    {22, 555, 0, 0, Smoke::mf_const, 258, 15},	//146 Okular::Document::isOpened() const
    {22, 451, 0, 0, Smoke::mf_const, 275, 16},	//147 Okular::Document::documentInfo() const
    {22, 455, 0, 0, Smoke::mf_const, 277, 17},	//148 Okular::Document::documentSynopsis() const
    {22, 946, 0, 0, 0, 0, 18},	//149 Okular::Document::startFontReading()
    {22, 950, 0, 0, 0, 0, 19},	//150 Okular::Document::stopFontReading()
    {22, 388, 0, 0, Smoke::mf_const, 258, 20},	//151 Okular::Document::canProvideFontInformation() const
    {22, 464, 0, 0, Smoke::mf_const, 317, 21},	//152 Okular::Document::embeddedFiles() const
    {22, 647, 27, 1, Smoke::mf_const, 291, 22},	//153 Okular::Document::page(int) const
    {22, 1008, 0, 0, Smoke::mf_const, 278, 23},	//154 Okular::Document::viewport() const
    {22, 920, 101, 2, 0, 0, 24},	//155 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, int)
    {22, 1010, 0, 0, Smoke::mf_const, 338, 25},	//156 Okular::Document::visiblePageRects() const
    {22, 423, 0, 0, Smoke::mf_const, 345, 26},	//157 Okular::Document::currentPage() const
    {22, 663, 0, 0, Smoke::mf_const, 345, 27},	//158 Okular::Document::pages() const
    {22, 422, 0, 0, Smoke::mf_const, 13, 28},	//159 Okular::Document::currentDocument() const
    {22, 549, 104, 1, Smoke::mf_const, 258, 29},	//160 Okular::Document::isAllowed(Okular::Permission) const
    {22, 960, 0, 0, Smoke::mf_const, 258, 30},	//161 Okular::Document::supportsSearching() const
    {22, 958, 0, 0, Smoke::mf_const, 258, 31},	//162 Okular::Document::supportsPageSizes() const
    {22, 662, 0, 0, Smoke::mf_const, 162, 32},	//163 Okular::Document::pageSizes() const
    {22, 385, 0, 0, Smoke::mf_const, 258, 33},	//164 Okular::Document::canExportToText() const
    {22, 472, 9, 1, Smoke::mf_const, 258, 34},	//165 Okular::Document::exportToText(const QString&) const
    {22, 469, 0, 0, Smoke::mf_const, 159, 35},	//166 Okular::Document::exportFormats() const
    {22, 470, 106, 2, Smoke::mf_const, 258, 36},	//167 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {22, 532, 0, 0, Smoke::mf_const, 258, 37},	//168 Okular::Document::historyAtBegin() const
    {22, 533, 0, 0, Smoke::mf_const, 258, 38},	//169 Okular::Document::historyAtEnd() const
    {22, 592, 109, 2, Smoke::mf_const, 181, 39},	//170 Okular::Document::metaData(const QString&, const QVariant&) const
    {22, 725, 0, 0, Smoke::mf_const, 116, 40},	//171 Okular::Document::rotation() const
    {22, 358, 0, 0, Smoke::mf_const, 174, 41},	//172 Okular::Document::allPagesSize() const
    {22, 660, 27, 1, Smoke::mf_const, 175, 42},	//173 Okular::Document::pageSizeString(int) const
    {22, 515, 0, 0, 0, 14, 43},	//174 Okular::Document::guiClient()
    {22, 916, 112, 3, 0, 0, 44},	//175 Okular::Document::setViewportPage(int, int, bool)
    {22, 912, 116, 3, 0, 0, 45},	//176 Okular::Document::setViewport(const Okular::DocumentViewport&, int, bool)
    {22, 869, 0, 0, 0, 0, 46},	//177 Okular::Document::setPrevViewport()
    {22, 856, 0, 0, 0, 0, 47},	//178 Okular::Document::setNextViewport()
    {22, 854, 120, 1, 0, 0, 48},	//179 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {22, 852, 9, 1, 0, 0, 49},	//180 Okular::Document::setNextDocumentDestination(const QString&)
    {22, 929, 122, 2, 0, 0, 50},	//181 Okular::Document::setZoom(int, int)
    {22, 714, 125, 1, 0, 0, 51},	//182 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {22, 714, 127, 2, 0, 0, 52},	//183 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, Okular::Document::PixmapRequestFlags)
    {22, 717, 130, 1, 0, 0, 53},	//184 Okular::Document::requestTextPage(unsigned int)
    {22, 351, 132, 2, 0, 0, 54},	//185 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {22, 599, 132, 2, 0, 0, 55},	//186 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*)
    {22, 706, 132, 2, 0, 0, 56},	//187 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {22, 708, 135, 2, 0, 0, 57},	//188 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {22, 865, 138, 3, 0, 0, 58},	//189 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {22, 740, 142, 8, 0, 0, 59},	//190 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {22, 408, 27, 1, 0, 0, 60},	//191 Okular::Document::continueSearch(int)
    {22, 408, 151, 2, 0, 0, 61},	//192 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {22, 719, 27, 1, 0, 0, 62},	//193 Okular::Document::resetSearch(int)
    {22, 370, 0, 0, Smoke::mf_const, 33, 63},	//194 Okular::Document::bookmarkManager() const
    {22, 683, 154, 1, 0, 0, 64},	//195 Okular::Document::processAction(const Okular::Action*)
    {22, 371, 0, 0, Smoke::mf_const, 164, 65},	//196 Okular::Document::bookmarkedPageList() const
    {22, 372, 0, 0, Smoke::mf_const, 175, 66},	//197 Okular::Document::bookmarkedPageRange() const
    {22, 685, 156, 1, 0, 0, 67},	//198 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {22, 384, 0, 0, Smoke::mf_const, 258, 68},	//199 Okular::Document::canConfigurePrinter() const
    {22, 681, 0, 0, Smoke::mf_const, 41, 69},	//200 Okular::Document::printingSupport() const
    {22, 959, 0, 0, Smoke::mf_const, 258, 70},	//201 Okular::Document::supportsPrintToFile() const
    {22, 668, 158, 1, 0, 258, 71},	//202 Okular::Document::print(QPrinter&)
    {22, 672, 0, 0, Smoke::mf_const, 183, 72},	//203 Okular::Document::printConfigurationWidget() const
    {22, 477, 76, 1, 0, 0, 73},	//204 Okular::Document::fillConfigDialog(KConfigDialog*)
    {22, 402, 0, 0, Smoke::mf_const, 343, 74},	//205 Okular::Document::configurableGenerators() const
    {22, 957, 0, 0, Smoke::mf_const, 177, 75},	//206 Okular::Document::supportedMimeTypes() const
    {22, 401, 0, 0, Smoke::mf_const, 260, 76},	//207 Okular::Document::componentData() const
    {22, 389, 0, 0, Smoke::mf_const, 258, 77},	//208 Okular::Document::canSaveChanges() const
    {22, 730, 9, 1, 0, 258, 78},	//209 Okular::Document::saveChanges(const QString&)
    {22, 730, 160, 2, 0, 258, 79},	//210 Okular::Document::saveChanges(const QString&, QString*)
    {22, 700, 163, 1, 0, 0, 80},	//211 Okular::Document::registerView(Okular::View*)
    {22, 1002, 163, 1, 0, 0, 81},	//212 Okular::Document::unregisterView(Okular::View*)
    {22, 485, 165, 1, Smoke::mf_const, 142, 82},	//213 Okular::Document::fontData(const Okular::FontInfo&) const
    {22, 616, 167, 2, 0, 258, 83},	//214 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {22, 733, 9, 1, 0, 258, 84},	//215 Okular::Document::saveDocumentArchive(const QString&)
    {22, 460, 170, 3, 0, 299, 85},	//216 Okular::Document::dynamicSourceReference(int, double, double)
    {22, 874, 27, 1, Smoke::mf_slot, 0, 86},	//217 Okular::Document::setRotation(int)
    {22, 863, 174, 1, Smoke::mf_slot, 0, 87},	//218 Okular::Document::setPageSize(const Okular::PageSize&)
    {22, 390, 0, 0, Smoke::mf_slot, 0, 88},	//219 Okular::Document::cancelSearch()
    {22, 398, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//220 Okular::Document::close()
    {22, 694, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//221 Okular::Document::quit()
    {22, 575, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 91},	//222 Okular::Document::linkFind()
    {22, 576, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 92},	//223 Okular::Document::linkGoToPage()
    {22, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 93},	//224 Okular::Document::linkPresentation()
    {22, 574, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 94},	//225 Okular::Document::linkEndPresentation()
    {22, 618, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 95},	//226 Okular::Document::openUrl(const KUrl&)
    {22, 465, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 96},	//227 Okular::Document::error(const QString&, int)
    {22, 1012, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 97},	//228 Okular::Document::warning(const QString&, int)
    {22, 607, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 98},	//229 Okular::Document::notice(const QString&, int)
    {22, 513, 165, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 99},	//230 Okular::Document::gotFont(const Okular::FontInfo&)
    {22, 488, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 100},	//231 Okular::Document::fontReadingProgress(int)
    {22, 487, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 101},	//232 Okular::Document::fontReadingEnded()
    {22, 738, 181, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 102},	//233 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {22, 979, 80, 1, Smoke::mf_static, 175, 103},	//234 Okular::Document::tr(const char*)
    {22, 983, 80, 1, Smoke::mf_static, 175, 104},	//235 Okular::Document::trUtf8(const char*)
    {22, 920, 184, 1, 0, 0, 105},	//236 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {22, 592, 9, 1, Smoke::mf_const, 181, 106},	//237 Okular::Document::metaData(const QString&) const
    {22, 916, 27, 1, 0, 0, 107},	//238 Okular::Document::setViewportPage(int)
    {22, 916, 122, 2, 0, 0, 108},	//239 Okular::Document::setViewportPage(int, int)
    {22, 912, 120, 1, 0, 0, 109},	//240 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {22, 912, 186, 2, 0, 0, 110},	//241 Okular::Document::setViewport(const Okular::DocumentViewport&, int)
    {22, 929, 27, 1, 0, 0, 111},	//242 Okular::Document::setZoom(int)
    {22, 740, 189, 7, 0, 0, 112},	//243 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {22, 949, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 323, 113},	//244 Okular::Document::staticMetaObject() const
    {22, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 114},	//245 Okular::Document::NoOption (enum)
    {22, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 115},	//246 Okular::Document::RemoveAllPrevious (enum)
    {22, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 116},	//247 Okular::Document::NextMatch (enum)
    {22, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 117},	//248 Okular::Document::PreviousMatch (enum)
    {22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 118},	//249 Okular::Document::AllDocument (enum)
    {22, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 119},	//250 Okular::Document::GoogleAll (enum)
    {22, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 120},	//251 Okular::Document::GoogleAny (enum)
    {22, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 121},	//252 Okular::Document::MatchFound (enum)
    {22, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 122},	//253 Okular::Document::NoMatchFound (enum)
    {22, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 123},	//254 Okular::Document::SearchCancelled (enum)
    {22, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 124},	//255 Okular::Document::NoPrinting (enum)
    {22, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 125},	//256 Okular::Document::NativePrinting (enum)
    {22, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 126},	//257 Okular::Document::PostscriptPrinting (enum)
    {22, 1027, 0, 0, Smoke::mf_dtor, 0, 127 },	//258 Okular::Document::~Document()
    {23, 74, 197, 1, Smoke::mf_ctor, 44, 1},	//259 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {23, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//260 Okular::DocumentAction::actionType() const
    {23, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 3},	//261 Okular::DocumentAction::actionTip() const
    {23, 450, 0, 0, Smoke::mf_const, 45, 4},	//262 Okular::DocumentAction::documentActionType() const
    {23, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//263 Okular::DocumentAction::PageFirst (enum)
    {23, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 6},	//264 Okular::DocumentAction::PagePrev (enum)
    {23, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 7},	//265 Okular::DocumentAction::PageNext (enum)
    {23, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 8},	//266 Okular::DocumentAction::PageLast (enum)
    {23, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 9},	//267 Okular::DocumentAction::HistoryBack (enum)
    {23, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 10},	//268 Okular::DocumentAction::HistoryForward (enum)
    {23, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 11},	//269 Okular::DocumentAction::Quit (enum)
    {23, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 12},	//270 Okular::DocumentAction::Presentation (enum)
    {23, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 13},	//271 Okular::DocumentAction::EndPresentation (enum)
    {23, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 14},	//272 Okular::DocumentAction::Find (enum)
    {23, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 15},	//273 Okular::DocumentAction::GoToPage (enum)
    {23, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 16},	//274 Okular::DocumentAction::Close (enum)
    {23, 1028, 0, 0, Smoke::mf_dtor, 0, 17 },	//275 Okular::DocumentAction::~DocumentAction()
    {24, 76, 0, 0, Smoke::mf_ctor, 46, 1},	//276 Okular::DocumentInfo::DocumentInfo()
    {24, 743, 199, 3, 0, 0, 2},	//277 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {24, 743, 203, 2, 0, 0, 3},	//278 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {24, 507, 9, 1, Smoke::mf_const, 175, 4},	//279 Okular::DocumentInfo::get(const QString&) const
    {24, 509, 206, 1, Smoke::mf_static, 175, 5},	//280 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {24, 511, 206, 1, Smoke::mf_static, 175, 6},	//281 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {24, 76, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 7},	//282 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {24, 743, 210, 2, 0, 0, 8},	//283 Okular::DocumentInfo::set(const QString&, const QString&)
    {24, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 9},	//284 Okular::DocumentInfo::Title (enum)
    {24, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 10},	//285 Okular::DocumentInfo::Subject (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 11},	//286 Okular::DocumentInfo::Description (enum)
    {24, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 12},	//287 Okular::DocumentInfo::Author (enum)
    {24, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 13},	//288 Okular::DocumentInfo::Creator (enum)
    {24, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 14},	//289 Okular::DocumentInfo::Producer (enum)
    {24, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 15},	//290 Okular::DocumentInfo::Copyright (enum)
    {24, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 16},	//291 Okular::DocumentInfo::Pages (enum)
    {24, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 17},	//292 Okular::DocumentInfo::CreationDate (enum)
    {24, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 18},	//293 Okular::DocumentInfo::ModificationDate (enum)
    {24, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 19},	//294 Okular::DocumentInfo::MimeType (enum)
    {24, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 20},	//295 Okular::DocumentInfo::Category (enum)
    {24, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 21},	//296 Okular::DocumentInfo::Keywords (enum)
    {24, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 22},	//297 Okular::DocumentInfo::FilePath (enum)
    {24, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 23},	//298 Okular::DocumentInfo::DocumentSize (enum)
    {24, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 24},	//299 Okular::DocumentInfo::PagesSize (enum)
    {24, 1029, 0, 0, Smoke::mf_dtor, 0, 25 },	//300 Okular::DocumentInfo::~DocumentInfo()
    {26, 79, 0, 0, Smoke::mf_ctor, 49, 1},	//301 Okular::DocumentSynopsis::DocumentSynopsis()
    {26, 79, 213, 1, Smoke::mf_ctor, 49, 2},	//302 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {26, 79, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 3},	//303 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {26, 1030, 0, 0, Smoke::mf_dtor, 0, 4 },	//304 Okular::DocumentSynopsis::~DocumentSynopsis()
    {27, 81, 27, 1, Smoke::mf_ctor, 51, 1},	//305 Okular::DocumentViewport::DocumentViewport(int)
    {27, 81, 9, 1, Smoke::mf_ctor, 51, 2},	//306 Okular::DocumentViewport::DocumentViewport(const QString&)
    {27, 976, 0, 0, Smoke::mf_const, 175, 3},	//307 Okular::DocumentViewport::toString() const
    {27, 560, 0, 0, Smoke::mf_const, 258, 4},	//308 Okular::DocumentViewport::isValid() const
    {27, 626, 120, 1, Smoke::mf_const, 258, 5},	//309 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {27, 81, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 6},	//310 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {27, 81, 0, 0, Smoke::mf_ctor, 51, 7},	//311 Okular::DocumentViewport::DocumentViewport()
    {27, 655, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 343, 8},	//312 Okular::DocumentViewport::pageNumber() const
    {27, 861, 27, 1, Smoke::mf_attribute, 0, 9},	//313 Okular::DocumentViewport::setPageNumber(int)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 10},	//314 Okular::DocumentViewport::Center (enum)
    {27, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 11},	//315 Okular::DocumentViewport::TopLeft (enum)
    {27, 1031, 0, 0, Smoke::mf_dtor, 0, 12 },	//316 Okular::DocumentViewport::~DocumentViewport()
    {28, 85, 0, 0, Smoke::mf_ctor, 53, 1},	//317 Okular::EmbeddedFile::EmbeddedFile()
    {28, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 2},	//318 Okular::EmbeddedFile::name() const [pure virtual]
    {28, 435, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 3},	//319 Okular::EmbeddedFile::description() const [pure virtual]
    {28, 426, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 142, 4},	//320 Okular::EmbeddedFile::data() const [pure virtual]
    {28, 938, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 343, 5},	//321 Okular::EmbeddedFile::size() const [pure virtual]
    {28, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 6},	//322 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {28, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 7},	//323 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {28, 85, 217, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 8},	//324 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {28, 1032, 0, 0, Smoke::mf_dtor, 0, 9 },	//325 Okular::EmbeddedFile::~EmbeddedFile()
    {29, 90, 210, 2, Smoke::mf_ctor, 54, 1},	//326 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {29, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//327 Okular::ExecuteAction::actionType() const
    {29, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 3},	//328 Okular::ExecuteAction::actionTip() const
    {29, 476, 0, 0, Smoke::mf_const, 175, 4},	//329 Okular::ExecuteAction::fileName() const
    {29, 666, 0, 0, Smoke::mf_const, 175, 5},	//330 Okular::ExecuteAction::parameters() const
    {29, 1033, 0, 0, Smoke::mf_dtor, 0, 6 },	//331 Okular::ExecuteAction::~ExecuteAction()
    {30, 92, 0, 0, Smoke::mf_ctor, 57, 1},	//332 Okular::ExportFormat::ExportFormat()
    {30, 92, 219, 2, Smoke::mf_ctor, 57, 2},	//333 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 222, 3, Smoke::mf_ctor, 57, 3},	//334 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 4},	//335 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {30, 624, 226, 1, 0, 56, 5},	//336 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {30, 435, 0, 0, Smoke::mf_const, 175, 6},	//337 Okular::ExportFormat::description() const
    {30, 596, 0, 0, Smoke::mf_const, 8, 7},	//338 Okular::ExportFormat::mimeType() const
    {30, 534, 0, 0, Smoke::mf_const, 6, 8},	//339 Okular::ExportFormat::icon() const
    {30, 554, 0, 0, Smoke::mf_const, 258, 9},	//340 Okular::ExportFormat::isNull() const
    {30, 944, 228, 1, Smoke::mf_static, 55, 10},	//341 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {30, 626, 226, 1, Smoke::mf_const, 258, 11},	//342 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {30, 620, 226, 1, Smoke::mf_const, 258, 12},	//343 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {30, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 13},	//344 Okular::ExportFormat::PlainText (enum)
    {30, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 14},	//345 Okular::ExportFormat::PDF (enum)
    {30, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 15},	//346 Okular::ExportFormat::OpenDocumentText (enum)
    {30, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 16},	//347 Okular::ExportFormat::HTML (enum)
    {30, 1034, 0, 0, Smoke::mf_dtor, 0, 17 },	//348 Okular::ExportFormat::~ExportFormat()
    {31, 99, 0, 0, Smoke::mf_ctor, 59, 1},	//349 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {31, 99, 72, 1, Smoke::mf_ctor, 59, 2},	//350 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {31, 475, 0, 0, Smoke::mf_const, 175, 3},	//351 Okular::FileAttachmentAnnotation::fileIconName() const
    {31, 791, 9, 1, 0, 0, 4},	//352 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {31, 463, 0, 0, Smoke::mf_const, 53, 5},	//353 Okular::FileAttachmentAnnotation::embeddedFile() const
    {31, 784, 230, 1, 0, 0, 6},	//354 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {31, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//355 Okular::FileAttachmentAnnotation::subType() const
    {31, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//356 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {31, 1035, 0, 0, Smoke::mf_dtor, 0, 9 },	//357 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {32, 673, 232, 5, Smoke::mf_static, 343, 1},	//358 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 678, 238, 3, Smoke::mf_static, 343, 2},	//359 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy)
    {32, 651, 242, 3, Smoke::mf_static, 164, 3},	//360 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {32, 656, 242, 3, Smoke::mf_static, 175, 4},	//361 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {32, 653, 246, 1, Smoke::mf_static, 175, 5},	//362 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {32, 687, 0, 0, Smoke::mf_static, 258, 6},	//363 Okular::FilePrinter::ps2pdfAvailable()
    {32, 667, 0, 0, Smoke::mf_static, 258, 7},	//364 Okular::FilePrinter::pdf2psAvailable()
    {32, 418, 0, 0, Smoke::mf_static, 258, 8},	//365 Okular::FilePrinter::cupsAvailable()
    {32, 688, 158, 1, Smoke::mf_static, 173, 9},	//366 Okular::FilePrinter::psPaperSize(QPrinter&)
    {32, 441, 0, 0, Smoke::mf_protected, 258, 10},	//367 Okular::FilePrinter::detectCupsService()
    {32, 440, 0, 0, Smoke::mf_protected, 258, 11},	//368 Okular::FilePrinter::detectCupsConfig()
    {32, 447, 248, 5, Smoke::mf_protected, 343, 12},	//369 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 670, 254, 6, Smoke::mf_protected, 177, 13},	//370 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&)
    {32, 437, 261, 2, Smoke::mf_protected, 177, 14},	//371 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {32, 413, 261, 2, Smoke::mf_protected, 177, 15},	//372 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {32, 562, 261, 2, Smoke::mf_protected, 177, 16},	//373 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {32, 428, 264, 3, Smoke::mf_protected, 177, 17},	//374 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {32, 663, 268, 5, Smoke::mf_protected, 177, 18},	//375 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {32, 419, 158, 1, Smoke::mf_protected, 177, 19},	//376 Okular::FilePrinter::cupsOptions(QPrinter&)
    {32, 638, 158, 1, Smoke::mf_protected, 177, 20},	//377 Okular::FilePrinter::optionMedia(QPrinter&)
    {32, 588, 158, 1, Smoke::mf_protected, 175, 21},	//378 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {32, 590, 158, 1, Smoke::mf_protected, 175, 22},	//379 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {32, 640, 158, 1, Smoke::mf_protected, 177, 23},	//380 Okular::FilePrinter::optionOrientation(QPrinter&)
    {32, 636, 158, 1, Smoke::mf_protected, 177, 24},	//381 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {32, 644, 158, 1, Smoke::mf_protected, 177, 25},	//382 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {32, 632, 158, 1, Smoke::mf_protected, 177, 26},	//383 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {32, 642, 158, 1, Smoke::mf_protected, 177, 27},	//384 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {32, 634, 158, 1, Smoke::mf_protected, 177, 28},	//385 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {32, 102, 0, 0, Smoke::mf_ctor, 60, 29},	//386 Okular::FilePrinter::FilePrinter()
    {32, 102, 274, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 30},	//387 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {32, 673, 276, 2, Smoke::mf_static, 343, 31},	//388 Okular::FilePrinter::printFile(QPrinter&, const QString)
    {32, 673, 279, 3, Smoke::mf_static, 343, 32},	//389 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
    {32, 673, 283, 4, Smoke::mf_static, 343, 33},	//390 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {32, 678, 288, 2, Smoke::mf_static, 343, 34},	//391 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&)
    {32, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 35},	//392 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {32, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 36},	//393 Okular::FilePrinter::SystemDeletesFiles (enum)
    {32, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 37},	//394 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {32, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 38},	//395 Okular::FilePrinter::SystemSelectsPages (enum)
    {32, 1036, 0, 0, Smoke::mf_dtor, 0, 39 },	//396 Okular::FilePrinter::~FilePrinter()
    {33, 109, 0, 0, Smoke::mf_ctor, 64, 1},	//397 Okular::FontInfo::FontInfo()
    {33, 109, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//398 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {33, 603, 0, 0, Smoke::mf_const, 175, 3},	//399 Okular::FontInfo::name() const
    {33, 848, 9, 1, 0, 0, 4},	//400 Okular::FontInfo::setName(const QString&)
    {33, 999, 0, 0, Smoke::mf_const, 66, 5},	//401 Okular::FontInfo::type() const
    {33, 908, 291, 1, 0, 0, 6},	//402 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {33, 462, 0, 0, Smoke::mf_const, 65, 7},	//403 Okular::FontInfo::embedType() const
    {33, 782, 293, 1, 0, 0, 8},	//404 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {33, 474, 0, 0, Smoke::mf_const, 175, 9},	//405 Okular::FontInfo::file() const
    {33, 789, 9, 1, 0, 0, 10},	//406 Okular::FontInfo::setFile(const QString&)
    {33, 381, 0, 0, Smoke::mf_const, 258, 11},	//407 Okular::FontInfo::canBeExtracted() const
    {33, 762, 295, 1, 0, 0, 12},	//408 Okular::FontInfo::setCanBeExtracted(bool)
    {33, 850, 33, 1, 0, 0, 13},	//409 Okular::FontInfo::setNativeId(const QVariant&)
    {33, 604, 0, 0, Smoke::mf_const, 181, 14},	//410 Okular::FontInfo::nativeId() const
    {33, 624, 165, 1, 0, 63, 15},	//411 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {33, 626, 165, 1, Smoke::mf_const, 258, 16},	//412 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {33, 620, 165, 1, Smoke::mf_const, 258, 17},	//413 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {33, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 18},	//414 Okular::FontInfo::Unknown (enum)
    {33, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 19},	//415 Okular::FontInfo::Type1 (enum)
    {33, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 20},	//416 Okular::FontInfo::Type1C (enum)
    {33, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 21},	//417 Okular::FontInfo::Type1COT (enum)
    {33, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 22},	//418 Okular::FontInfo::Type3 (enum)
    {33, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 23},	//419 Okular::FontInfo::TrueType (enum)
    {33, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 24},	//420 Okular::FontInfo::TrueTypeOT (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 25},	//421 Okular::FontInfo::CIDType0 (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 26},	//422 Okular::FontInfo::CIDType0C (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 27},	//423 Okular::FontInfo::CIDType0COT (enum)
    {33, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 28},	//424 Okular::FontInfo::CIDTrueType (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 29},	//425 Okular::FontInfo::CIDTrueTypeOT (enum)
    {33, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 30},	//426 Okular::FontInfo::TeXPK (enum)
    {33, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 31},	//427 Okular::FontInfo::TeXVirtual (enum)
    {33, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 32},	//428 Okular::FontInfo::TeXFontMetric (enum)
    {33, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 33},	//429 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {33, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 34},	//430 Okular::FontInfo::NotEmbedded (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 35},	//431 Okular::FontInfo::EmbeddedSubset (enum)
    {33, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 36},	//432 Okular::FontInfo::FullyEmbedded (enum)
    {33, 1037, 0, 0, Smoke::mf_dtor, 0, 37 },	//433 Okular::FontInfo::~FontInfo()
    {34, 999, 0, 0, Smoke::mf_const, 68, 1},	//434 Okular::FormField::type() const
    {34, 698, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 97, 2},	//435 Okular::FormField::rect() const [pure virtual]
    {34, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 343, 3},	//436 Okular::FormField::id() const [pure virtual]
    {34, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 4},	//437 Okular::FormField::name() const [pure virtual]
    {34, 1000, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 5},	//438 Okular::FormField::uiName() const [pure virtual]
    {34, 557, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 6},	//439 Okular::FormField::isReadOnly() const
    {34, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 7},	//440 Okular::FormField::isVisible() const
    {34, 340, 0, 0, Smoke::mf_const, 16, 8},	//441 Okular::FormField::activationAction() const
    {34, 113, 297, 1, Smoke::mf_ctor|Smoke::mf_protected, 67, 9},	//442 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {34, 425, 0, 0, Smoke::mf_protected, 74, 10},	//443 Okular::FormField::d_func()
    {34, 425, 0, 0, Smoke::mf_const|Smoke::mf_protected, 283, 11},	//444 Okular::FormField::d_func() const
    {34, 746, 299, 1, Smoke::mf_protected, 0, 12},	//445 Okular::FormField::setActivationAction(Okular::Action*)
    {34, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 13},	//446 Okular::FormField::FormButton (enum)
    {34, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 14},	//447 Okular::FormField::FormText (enum)
    {34, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 15},	//448 Okular::FormField::FormChoice (enum)
    {34, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 16},	//449 Okular::FormField::FormSignature (enum)
    {34, 1038, 0, 0, Smoke::mf_dtor, 0, 17 },	//450 Okular::FormField::~FormField()
    {35, 378, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 70, 1},	//451 Okular::FormFieldButton::buttonType() const [pure virtual]
    {35, 391, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 2},	//452 Okular::FormFieldButton::caption() const [pure virtual]
    {35, 947, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 258, 3},	//453 Okular::FormFieldButton::state() const [pure virtual]
    {35, 892, 295, 1, Smoke::mf_virtual, 0, 4},	//454 Okular::FormFieldButton::setState(bool)
    {35, 933, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 5},	//455 Okular::FormFieldButton::siblings() const [pure virtual]
    {35, 115, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 69, 6},	//456 Okular::FormFieldButton::FormFieldButton()
    {35, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 7},	//457 Okular::FormFieldButton::Push (enum)
    {35, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 8},	//458 Okular::FormFieldButton::CheckBox (enum)
    {35, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 9},	//459 Okular::FormFieldButton::Radio (enum)
    {35, 1039, 0, 0, Smoke::mf_dtor, 0, 10 },	//460 Okular::FormFieldButton::~FormFieldButton()
    {36, 396, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 72, 1},	//461 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {36, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//462 Okular::FormFieldChoice::choices() const [pure virtual]
    {36, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 3},	//463 Okular::FormFieldChoice::isEditable() const
    {36, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 4},	//464 Okular::FormFieldChoice::multiSelect() const
    {36, 421, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 5},	//465 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {36, 773, 246, 1, Smoke::mf_virtual, 0, 6},	//466 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {36, 965, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 7},	//467 Okular::FormFieldChoice::textAlignment() const
    {36, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 8},	//468 Okular::FormFieldChoice::canBeSpellChecked() const
    {36, 116, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 71, 9},	//469 Okular::FormFieldChoice::FormFieldChoice()
    {36, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 10},	//470 Okular::FormFieldChoice::ComboBox (enum)
    {36, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 11},	//471 Okular::FormFieldChoice::ListBox (enum)
    {36, 1040, 0, 0, Smoke::mf_dtor, 0, 12 },	//472 Okular::FormFieldChoice::~FormFieldChoice()
    {38, 974, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 1},	//473 Okular::FormFieldText::textType() const [pure virtual]
    {38, 962, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 2},	//474 Okular::FormFieldText::text() const [pure virtual]
    {38, 894, 9, 1, Smoke::mf_virtual, 0, 3},	//475 Okular::FormFieldText::setText(const QString&)
    {38, 556, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 4},	//476 Okular::FormFieldText::isPassword() const
    {38, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 5},	//477 Okular::FormFieldText::isRichText() const
    {38, 587, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 343, 6},	//478 Okular::FormFieldText::maximumLength() const
    {38, 965, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 184, 7},	//479 Okular::FormFieldText::textAlignment() const
    {38, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 8},	//480 Okular::FormFieldText::canBeSpellChecked() const
    {38, 117, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 75, 9},	//481 Okular::FormFieldText::FormFieldText()
    {38, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 10},	//482 Okular::FormFieldText::Normal (enum)
    {38, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 11},	//483 Okular::FormFieldText::Multiline (enum)
    {38, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 12},	//484 Okular::FormFieldText::FileSelect (enum)
    {38, 1041, 0, 0, Smoke::mf_dtor, 0, 13 },	//485 Okular::FormFieldText::~FormFieldText()
    {39, 595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 324, 1},	//486 Okular::Generator::metaObject() const
    {39, 692, 80, 1, Smoke::mf_virtual, 347, 2},	//487 Okular::Generator::qt_metacast(const char*)
    {39, 979, 82, 2, Smoke::mf_static, 175, 3},	//488 Okular::Generator::tr(const char*, const char*)
    {39, 983, 82, 2, Smoke::mf_static, 175, 4},	//489 Okular::Generator::trUtf8(const char*, const char*)
    {39, 979, 85, 3, Smoke::mf_static, 175, 5},	//490 Okular::Generator::tr(const char*, const char*, int)
    {39, 983, 85, 3, Smoke::mf_static, 175, 6},	//491 Okular::Generator::trUtf8(const char*, const char*, int)
    {39, 690, 89, 3, Smoke::mf_virtual, 343, 7},	//492 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 121, 301, 2, Smoke::mf_ctor, 78, 8},	//493 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {39, 578, 304, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 258, 9},	//494 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {39, 580, 307, 2, Smoke::mf_virtual, 258, 10},	//495 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {39, 399, 0, 0, 0, 258, 11},	//496 Okular::Generator::closeDocument()
    {39, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 12},	//497 Okular::Generator::canGeneratePixmap() const
    {39, 497, 310, 1, Smoke::mf_virtual, 0, 13},	//498 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {39, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 14},	//499 Okular::Generator::canGenerateTextPage() const
    {39, 499, 312, 1, Smoke::mf_virtual, 0, 15},	//500 Okular::Generator::generateTextPage(Okular::Page*)
    {39, 495, 0, 0, Smoke::mf_virtual, 275, 16},	//501 Okular::Generator::generateDocumentInfo()
    {39, 496, 0, 0, Smoke::mf_virtual, 277, 17},	//502 Okular::Generator::generateDocumentSynopsis()
    {39, 490, 27, 1, Smoke::mf_virtual, 160, 18},	//503 Okular::Generator::fontsForPage(int)
    {39, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 317, 19},	//504 Okular::Generator::embeddedFiles() const
    {39, 665, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 20},	//505 Okular::Generator::pagesSizeMetric() const
    {39, 549, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 258, 21},	//506 Okular::Generator::isAllowed(Okular::Permission) const
    {39, 726, 314, 2, Smoke::mf_virtual, 0, 22},	//507 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {39, 662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 23},	//508 Okular::Generator::pageSizes() const
    {39, 658, 317, 2, Smoke::mf_virtual, 0, 24},	//509 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {39, 668, 158, 1, Smoke::mf_virtual, 258, 25},	//510 Okular::Generator::print(QPrinter&)
    {39, 592, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 181, 26},	//511 Okular::Generator::metaData(const QString&, const QVariant&) const
    {39, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 27},	//512 Okular::Generator::exportFormats() const
    {39, 470, 106, 2, Smoke::mf_virtual, 258, 28},	//513 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {39, 517, 320, 1, Smoke::mf_const, 258, 29},	//514 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {39, 465, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//515 Okular::Generator::error(const QString&, int)
    {39, 1012, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//516 Okular::Generator::warning(const QString&, int)
    {39, 607, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//517 Okular::Generator::notice(const QString&, int)
    {39, 934, 310, 1, Smoke::mf_protected, 0, 33},	//518 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {39, 936, 322, 2, Smoke::mf_protected, 0, 34},	//519 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {39, 446, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 258, 35},	//520 Okular::Generator::doCloseDocument() [pure virtual]
    {39, 536, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 154, 36},	//521 Okular::Generator::image(Okular::PixmapRequest*)
    {39, 970, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 37},	//522 Okular::Generator::textPage(Okular::Page*)
    {39, 449, 0, 0, Smoke::mf_const|Smoke::mf_protected, 273, 38},	//523 Okular::Generator::document() const
    {39, 786, 325, 2, Smoke::mf_protected, 0, 39},	//524 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {39, 452, 109, 2, Smoke::mf_const|Smoke::mf_protected, 181, 40},	//525 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {39, 1007, 0, 0, Smoke::mf_const|Smoke::mf_protected, 166, 41},	//526 Okular::Generator::userMutex() const
    {39, 1004, 328, 2, Smoke::mf_protected, 0, 42},	//527 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {39, 712, 331, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 43},	//528 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {39, 460, 170, 3, Smoke::mf_protected|Smoke::mf_slot, 299, 44},	//529 Okular::Generator::dynamicSourceReference(int, double, double)
    {39, 121, 334, 3, Smoke::mf_ctor|Smoke::mf_protected, 78, 45},	//530 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {39, 425, 0, 0, Smoke::mf_protected, 82, 46},	//531 Okular::Generator::d_func()
    {39, 425, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 47},	//532 Okular::Generator::d_func() const
    {39, 979, 80, 1, Smoke::mf_static, 175, 48},	//533 Okular::Generator::tr(const char*)
    {39, 983, 80, 1, Smoke::mf_static, 175, 49},	//534 Okular::Generator::trUtf8(const char*)
    {39, 786, 320, 1, Smoke::mf_protected, 0, 50},	//535 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {39, 452, 9, 1, Smoke::mf_const|Smoke::mf_protected, 181, 51},	//536 Okular::Generator::documentMetaData(const QString&) const
    {39, 949, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 323, 52},	//537 Okular::Generator::staticMetaObject() const
    {39, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 53},	//538 Okular::Generator::Threaded (enum)
    {39, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 54},	//539 Okular::Generator::TextExtraction (enum)
    {39, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 55},	//540 Okular::Generator::ReadRawData (enum)
    {39, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 56},	//541 Okular::Generator::FontInfo (enum)
    {39, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 57},	//542 Okular::Generator::PageSizes (enum)
    {39, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 58},	//543 Okular::Generator::PrintNative (enum)
    {39, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 59},	//544 Okular::Generator::PrintPostscript (enum)
    {39, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 60},	//545 Okular::Generator::PrintToFile (enum)
    {39, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 61},	//546 Okular::Generator::None (enum)
    {39, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 62},	//547 Okular::Generator::Points (enum)
    {39, 1042, 0, 0, Smoke::mf_dtor, 0, 63 },	//548 Okular::Generator::~Generator()
    {41, 124, 0, 0, Smoke::mf_ctor, 83, 1},	//549 Okular::GeomAnnotation::GeomAnnotation()
    {41, 124, 72, 1, Smoke::mf_ctor, 83, 2},	//550 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {41, 801, 338, 1, 0, 0, 3},	//551 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {41, 504, 0, 0, Smoke::mf_const, 84, 4},	//552 Okular::GeomAnnotation::geometricalType() const
    {41, 797, 340, 1, 0, 0, 5},	//553 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {41, 502, 0, 0, Smoke::mf_const, 145, 6},	//554 Okular::GeomAnnotation::geometricalInnerColor() const
    {41, 799, 27, 1, 0, 0, 7},	//555 Okular::GeomAnnotation::setGeometricalPointWidth(int)
    {41, 503, 0, 0, Smoke::mf_const, 343, 8},	//556 Okular::GeomAnnotation::geometricalPointWidth() const
    {41, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 9},	//557 Okular::GeomAnnotation::subType() const
    {41, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//558 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {41, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 11},	//559 Okular::GeomAnnotation::InscribedSquare (enum)
    {41, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 12},	//560 Okular::GeomAnnotation::InscribedCircle (enum)
    {41, 1043, 0, 0, Smoke::mf_dtor, 0, 13 },	//561 Okular::GeomAnnotation::~GeomAnnotation()
    {42, 131, 342, 2, Smoke::mf_ctor, 85, 1},	//562 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {42, 131, 210, 2, Smoke::mf_ctor, 85, 2},	//563 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {42, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 3},	//564 Okular::GotoAction::actionType() const
    {42, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 4},	//565 Okular::GotoAction::actionTip() const
    {42, 553, 0, 0, Smoke::mf_const, 258, 5},	//566 Okular::GotoAction::isExternal() const
    {42, 476, 0, 0, Smoke::mf_const, 175, 6},	//567 Okular::GotoAction::fileName() const
    {42, 436, 0, 0, Smoke::mf_const, 50, 7},	//568 Okular::GotoAction::destViewport() const
    {42, 439, 0, 0, Smoke::mf_const, 175, 8},	//569 Okular::GotoAction::destinationName() const
    {42, 1044, 0, 0, Smoke::mf_dtor, 0, 9 },	//570 Okular::GotoAction::~GotoAction()
    {43, 515, 0, 0, 0, 14, 1},	//571 Okular::GuiInterface::guiClient()
    {43, 135, 0, 0, Smoke::mf_ctor, 86, 2},	//572 Okular::GuiInterface::GuiInterface()
    {43, 135, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//573 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {43, 1045, 0, 0, Smoke::mf_dtor, 0, 4 },	//574 Okular::GuiInterface::~GuiInterface()
    {44, 140, 0, 0, Smoke::mf_ctor, 87, 1},	//575 Okular::HighlightAnnotation::HighlightAnnotation()
    {44, 140, 72, 1, Smoke::mf_ctor, 87, 2},	//576 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {44, 803, 347, 1, 0, 0, 3},	//577 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {44, 531, 0, 0, Smoke::mf_const, 88, 4},	//578 Okular::HighlightAnnotation::highlightType() const
    {44, 530, 0, 0, 0, 161, 5},	//579 Okular::HighlightAnnotation::highlightQuads()
    {44, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//580 Okular::HighlightAnnotation::subType() const
    {44, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//581 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {44, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 8},	//582 Okular::HighlightAnnotation::Highlight (enum)
    {44, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//583 Okular::HighlightAnnotation::Squiggly (enum)
    {44, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//584 Okular::HighlightAnnotation::Underline (enum)
    {44, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 11},	//585 Okular::HighlightAnnotation::StrikeOut (enum)
    {44, 1046, 0, 0, Smoke::mf_dtor, 0, 12 },	//586 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 147, 0, 0, Smoke::mf_ctor, 89, 1},	//587 Okular::InkAnnotation::InkAnnotation()
    {45, 147, 72, 1, Smoke::mf_ctor, 89, 2},	//588 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 805, 349, 1, 0, 0, 3},	//589 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 540, 0, 0, Smoke::mf_const, 163, 4},	//590 Okular::InkAnnotation::inkPaths() const
    {45, 992, 0, 0, Smoke::mf_const, 163, 5},	//591 Okular::InkAnnotation::transformedInkPaths() const
    {45, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//592 Okular::InkAnnotation::subType() const
    {45, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//593 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1047, 0, 0, Smoke::mf_dtor, 0, 8 },	//594 Okular::InkAnnotation::~InkAnnotation()
    {46, 172, 0, 0, Smoke::mf_ctor, 90, 1},	//595 Okular::LineAnnotation::LineAnnotation()
    {46, 172, 72, 1, Smoke::mf_ctor, 90, 2},	//596 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 833, 351, 1, 0, 0, 3},	//597 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 572, 0, 0, Smoke::mf_const, 158, 4},	//598 Okular::LineAnnotation::linePoints() const
    {46, 995, 0, 0, Smoke::mf_const, 158, 5},	//599 Okular::LineAnnotation::transformedLinePoints() const
    {46, 835, 353, 1, 0, 0, 6},	//600 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 573, 0, 0, Smoke::mf_const, 92, 7},	//601 Okular::LineAnnotation::lineStartStyle() const
    {46, 823, 353, 1, 0, 0, 8},	//602 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 567, 0, 0, Smoke::mf_const, 92, 9},	//603 Okular::LineAnnotation::lineEndStyle() const
    {46, 821, 295, 1, 0, 0, 10},	//604 Okular::LineAnnotation::setLineClosed(bool)
    {46, 566, 0, 0, Smoke::mf_const, 258, 11},	//605 Okular::LineAnnotation::lineClosed() const
    {46, 825, 340, 1, 0, 0, 12},	//606 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 568, 0, 0, Smoke::mf_const, 145, 13},	//607 Okular::LineAnnotation::lineInnerColor() const
    {46, 831, 355, 1, 0, 0, 14},	//608 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 571, 0, 0, Smoke::mf_const, 341, 15},	//609 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 829, 355, 1, 0, 0, 16},	//610 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 570, 0, 0, Smoke::mf_const, 341, 17},	//611 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 880, 295, 1, 0, 0, 18},	//612 Okular::LineAnnotation::setShowCaption(bool)
    {46, 932, 0, 0, Smoke::mf_const, 258, 19},	//613 Okular::LineAnnotation::showCaption() const
    {46, 827, 357, 1, 0, 0, 20},	//614 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 569, 0, 0, Smoke::mf_const, 91, 21},	//615 Okular::LineAnnotation::lineIntent() const
    {46, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 22},	//616 Okular::LineAnnotation::subType() const
    {46, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//617 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//618 Okular::LineAnnotation::Square (enum)
    {46, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//619 Okular::LineAnnotation::Circle (enum)
    {46, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 26},	//620 Okular::LineAnnotation::Diamond (enum)
    {46, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 27},	//621 Okular::LineAnnotation::OpenArrow (enum)
    {46, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 28},	//622 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 29},	//623 Okular::LineAnnotation::None (enum)
    {46, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 30},	//624 Okular::LineAnnotation::Butt (enum)
    {46, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 31},	//625 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 32},	//626 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 33},	//627 Okular::LineAnnotation::Slash (enum)
    {46, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 34},	//628 Okular::LineAnnotation::Unknown (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 35},	//629 Okular::LineAnnotation::Arrow (enum)
    {46, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 36},	//630 Okular::LineAnnotation::Dimension (enum)
    {46, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 37},	//631 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1048, 0, 0, Smoke::mf_dtor, 0, 38 },	//632 Okular::LineAnnotation::~LineAnnotation()
    {47, 190, 0, 0, Smoke::mf_ctor, 96, 1},	//633 Okular::NormalizedPoint::NormalizedPoint()
    {47, 190, 47, 2, Smoke::mf_ctor, 96, 2},	//634 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {47, 190, 359, 4, Smoke::mf_ctor, 96, 3},	//635 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {47, 624, 31, 1, 0, 95, 4},	//636 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {47, 987, 55, 1, 0, 0, 5},	//637 Okular::NormalizedPoint::transform(const QMatrix&)
    {47, 190, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//638 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {47, 1017, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 7},	//639 Okular::NormalizedPoint::x() const
    {47, 923, 355, 1, Smoke::mf_attribute, 0, 8},	//640 Okular::NormalizedPoint::setX(double)
    {47, 1019, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 9},	//641 Okular::NormalizedPoint::y() const
    {47, 927, 355, 1, Smoke::mf_attribute, 0, 10},	//642 Okular::NormalizedPoint::setY(double)
    {47, 1049, 0, 0, Smoke::mf_dtor, 0, 11 },	//643 Okular::NormalizedPoint::~NormalizedPoint()
    {48, 194, 0, 0, Smoke::mf_ctor, 99, 1},	//644 Okular::NormalizedRect::NormalizedRect()
    {48, 194, 50, 4, Smoke::mf_ctor, 99, 2},	//645 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {48, 194, 364, 3, Smoke::mf_ctor, 99, 3},	//646 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {48, 194, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//647 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {48, 624, 29, 1, 0, 98, 5},	//648 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {48, 493, 368, 1, Smoke::mf_static, 97, 6},	//649 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {48, 554, 0, 0, Smoke::mf_const, 258, 7},	//650 Okular::NormalizedRect::isNull() const
    {48, 404, 47, 2, Smoke::mf_const, 258, 8},	//651 Okular::NormalizedRect::contains(double, double) const
    {48, 546, 29, 1, Smoke::mf_const, 258, 9},	//652 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {48, 546, 370, 1, Smoke::mf_const, 258, 10},	//653 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {48, 546, 50, 4, Smoke::mf_const, 258, 11},	//654 Okular::NormalizedRect::intersects(double, double, double, double) const
    {48, 505, 122, 2, Smoke::mf_const, 171, 12},	//655 Okular::NormalizedRect::geometry(int, int) const
    {48, 628, 29, 1, Smoke::mf_const, 97, 13},	//656 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {48, 630, 29, 1, 0, 98, 14},	//657 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {48, 622, 29, 1, Smoke::mf_const, 97, 15},	//658 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {48, 626, 29, 1, Smoke::mf_const, 258, 16},	//659 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {48, 393, 0, 0, Smoke::mf_const, 94, 17},	//660 Okular::NormalizedRect::center() const
    {48, 987, 55, 1, 0, 0, 18},	//661 Okular::NormalizedRect::transform(const QMatrix&)
    {48, 565, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 19},	//662 Okular::NormalizedRect::left() const
    {48, 819, 355, 1, Smoke::mf_attribute, 0, 20},	//663 Okular::NormalizedRect::setLeft(double)
    {48, 977, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 21},	//664 Okular::NormalizedRect::top() const
    {48, 904, 355, 1, Smoke::mf_attribute, 0, 22},	//665 Okular::NormalizedRect::setTop(double)
    {48, 722, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 23},	//666 Okular::NormalizedRect::right() const
    {48, 872, 355, 1, Smoke::mf_attribute, 0, 24},	//667 Okular::NormalizedRect::setRight(double)
    {48, 373, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 341, 25},	//668 Okular::NormalizedRect::bottom() const
    {48, 756, 355, 1, Smoke::mf_attribute, 0, 26},	//669 Okular::NormalizedRect::setBottom(double)
    {48, 1050, 0, 0, Smoke::mf_dtor, 0, 27 },	//670 Okular::NormalizedRect::~NormalizedRect()
    {49, 200, 372, 7, Smoke::mf_ctor, 100, 1},	//671 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 200, 380, 4, Smoke::mf_ctor, 100, 2},	//672 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 200, 385, 3, Smoke::mf_ctor, 100, 3},	//673 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {49, 613, 0, 0, Smoke::mf_const, 101, 4},	//674 Okular::ObjectRect::objectType() const
    {49, 610, 0, 0, Smoke::mf_const, 340, 5},	//675 Okular::ObjectRect::object() const
    {49, 699, 0, 0, Smoke::mf_const, 326, 6},	//676 Okular::ObjectRect::region() const
    {49, 375, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 171, 7},	//677 Okular::ObjectRect::boundingRect(double, double) const
    {49, 404, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 258, 8},	//678 Okular::ObjectRect::contains(double, double, double, double) const
    {49, 987, 55, 1, Smoke::mf_virtual, 0, 9},	//679 Okular::ObjectRect::transform(const QMatrix&)
    {49, 444, 50, 4, Smoke::mf_const, 341, 10},	//680 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {49, 200, 389, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 11},	//681 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {49, 584, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 101, 12},	//682 Okular::ObjectRect::m_objectType() const
    {49, 840, 391, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//683 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {49, 583, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 347, 14},	//684 Okular::ObjectRect::m_object() const
    {49, 838, 393, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//685 Okular::ObjectRect::setM_object(void*)
    {49, 585, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 168, 16},	//686 Okular::ObjectRect::m_path() const
    {49, 842, 395, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//687 Okular::ObjectRect::setM_path(const QPainterPath&)
    {49, 586, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 168, 18},	//688 Okular::ObjectRect::m_transformedPath() const
    {49, 844, 395, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//689 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {49, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//690 Okular::ObjectRect::Action (enum)
    {49, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//691 Okular::ObjectRect::Image (enum)
    {49, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 22},	//692 Okular::ObjectRect::OAnnotation (enum)
    {49, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 23},	//693 Okular::ObjectRect::SourceRef (enum)
    {49, 1051, 0, 0, Smoke::mf_dtor, 0, 24 },	//694 Okular::ObjectRect::~ObjectRect()
    {50, 211, 397, 4, Smoke::mf_ctor, 102, 1},	//695 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {50, 609, 0, 0, Smoke::mf_const, 343, 2},	//696 Okular::Page::number() const
    {50, 646, 0, 0, Smoke::mf_const, 116, 3},	//697 Okular::Page::orientation() const
    {50, 725, 0, 0, Smoke::mf_const, 116, 4},	//698 Okular::Page::rotation() const
    {50, 978, 0, 0, Smoke::mf_const, 116, 5},	//699 Okular::Page::totalOrientation() const
    {50, 1015, 0, 0, Smoke::mf_const, 341, 6},	//700 Okular::Page::width() const
    {50, 529, 0, 0, Smoke::mf_const, 341, 7},	//701 Okular::Page::height() const
    {50, 695, 0, 0, Smoke::mf_const, 341, 8},	//702 Okular::Page::ratio() const
    {50, 374, 0, 0, Smoke::mf_const, 97, 9},	//703 Okular::Page::boundingBox() const
    {50, 551, 0, 0, Smoke::mf_const, 258, 10},	//704 Okular::Page::isBoundingBoxKnown() const
    {50, 758, 29, 1, 0, 0, 11},	//705 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {50, 523, 402, 3, Smoke::mf_const, 258, 12},	//706 Okular::Page::hasPixmap(int, int, int) const
    {50, 527, 0, 0, Smoke::mf_const, 258, 13},	//707 Okular::Page::hasTextPage() const
    {50, 521, 50, 4, Smoke::mf_const, 258, 14},	//708 Okular::Page::hasObjectRect(double, double, double, double) const
    {50, 519, 27, 1, Smoke::mf_const, 258, 15},	//709 Okular::Page::hasHighlights(int) const
    {50, 528, 0, 0, Smoke::mf_const, 258, 16},	//710 Okular::Page::hasTransition() const
    {50, 516, 0, 0, Smoke::mf_const, 258, 17},	//711 Okular::Page::hasAnnotations() const
    {50, 481, 406, 5, Smoke::mf_const, 115, 18},	//712 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {50, 962, 412, 1, Smoke::mf_const, 175, 19},	//713 Okular::Page::text(const Okular::RegularAreaRect*) const
    {50, 962, 414, 2, Smoke::mf_const, 175, 20},	//714 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {50, 966, 417, 1, Smoke::mf_const, 115, 21},	//715 Okular::Page::textArea(Okular::TextSelection*) const
    {50, 611, 419, 5, Smoke::mf_const, 290, 22},	//716 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {50, 605, 425, 6, Smoke::mf_const, 290, 23},	//717 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {50, 996, 0, 0, Smoke::mf_const, 294, 24},	//718 Okular::Page::transition() const
    {50, 363, 0, 0, Smoke::mf_const, 155, 25},	//719 Okular::Page::annotations() const
    {50, 649, 432, 1, Smoke::mf_const, 264, 26},	//720 Okular::Page::pageAction(Okular::Page::PageAction) const
    {50, 492, 0, 0, Smoke::mf_const, 157, 27},	//721 Okular::Page::formFields() const
    {50, 867, 434, 2, 0, 0, 28},	//722 Okular::Page::setPixmap(int, QPixmap*)
    {50, 900, 437, 1, 0, 0, 29},	//723 Okular::Page::setTextPage(Okular::TextPage*)
    {50, 857, 439, 1, 0, 0, 30},	//724 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {50, 888, 441, 1, 0, 0, 31},	//725 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {50, 780, 355, 1, 0, 0, 32},	//726 Okular::Page::setDuration(double)
    {50, 459, 0, 0, Smoke::mf_const, 341, 33},	//727 Okular::Page::duration() const
    {50, 817, 9, 1, 0, 0, 34},	//728 Okular::Page::setLabel(const QString&)
    {50, 564, 0, 0, Smoke::mf_const, 175, 35},	//729 Okular::Page::label() const
    {50, 972, 0, 0, Smoke::mf_const, 297, 36},	//730 Okular::Page::textSelection() const
    {50, 973, 0, 0, Smoke::mf_const, 145, 37},	//731 Okular::Page::textSelectionColor() const
    {50, 343, 45, 1, 0, 0, 38},	//732 Okular::Page::addAnnotation(Okular::Annotation*)
    {50, 702, 45, 1, 0, 258, 39},	//733 Okular::Page::removeAnnotation(Okular::Annotation*)
    {50, 906, 443, 1, 0, 0, 40},	//734 Okular::Page::setTransition(Okular::PageTransition*)
    {50, 859, 445, 2, 0, 0, 41},	//735 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {50, 795, 448, 1, 0, 0, 42},	//736 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {50, 430, 27, 1, 0, 0, 43},	//737 Okular::Page::deletePixmap(int)
    {50, 432, 0, 0, 0, 0, 44},	//738 Okular::Page::deletePixmaps()
    {50, 433, 0, 0, 0, 0, 45},	//739 Okular::Page::deleteRects()
    {50, 434, 0, 0, 0, 0, 46},	//740 Okular::Page::deleteSourceReferences()
    {50, 427, 0, 0, 0, 0, 47},	//741 Okular::Page::deleteAnnotations()
    {50, 523, 27, 1, Smoke::mf_const, 258, 48},	//742 Okular::Page::hasPixmap(int) const
    {50, 523, 122, 2, Smoke::mf_const, 258, 49},	//743 Okular::Page::hasPixmap(int, int) const
    {50, 519, 0, 0, Smoke::mf_const, 258, 50},	//744 Okular::Page::hasHighlights() const
    {50, 481, 450, 4, Smoke::mf_const, 115, 51},	//745 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {50, 962, 0, 0, Smoke::mf_const, 175, 52},	//746 Okular::Page::text() const
    {50, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 53},	//747 Okular::Page::Opening (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 54},	//748 Okular::Page::Closing (enum)
    {50, 1052, 0, 0, Smoke::mf_dtor, 0, 55 },	//749 Okular::Page::~Page()
    {51, 217, 0, 0, Smoke::mf_ctor, 105, 1},	//750 Okular::PageSize::PageSize()
    {51, 217, 455, 3, Smoke::mf_ctor, 105, 2},	//751 Okular::PageSize::PageSize(double, double, const QString&)
    {51, 217, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 3},	//752 Okular::PageSize::PageSize(const Okular::PageSize&)
    {51, 1015, 0, 0, Smoke::mf_const, 341, 4},	//753 Okular::PageSize::width() const
    {51, 529, 0, 0, Smoke::mf_const, 341, 5},	//754 Okular::PageSize::height() const
    {51, 603, 0, 0, Smoke::mf_const, 175, 6},	//755 Okular::PageSize::name() const
    {51, 554, 0, 0, Smoke::mf_const, 258, 7},	//756 Okular::PageSize::isNull() const
    {51, 624, 174, 1, 0, 104, 8},	//757 Okular::PageSize::operator=(const Okular::PageSize&)
    {51, 626, 174, 1, Smoke::mf_const, 258, 9},	//758 Okular::PageSize::operator==(const Okular::PageSize&) const
    {51, 620, 174, 1, Smoke::mf_const, 258, 10},	//759 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {51, 1053, 0, 0, Smoke::mf_dtor, 0, 11 },	//760 Okular::PageSize::~PageSize()
    {52, 221, 459, 1, Smoke::mf_ctor, 107, 1},	//761 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {52, 221, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//762 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {52, 624, 461, 1, 0, 106, 3},	//763 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {52, 999, 0, 0, Smoke::mf_const, 110, 4},	//764 Okular::PageTransition::type() const
    {52, 459, 0, 0, Smoke::mf_const, 343, 5},	//765 Okular::PageTransition::duration() const
    {52, 357, 0, 0, Smoke::mf_const, 108, 6},	//766 Okular::PageTransition::alignment() const
    {52, 442, 0, 0, Smoke::mf_const, 109, 7},	//767 Okular::PageTransition::direction() const
    {52, 359, 0, 0, Smoke::mf_const, 343, 8},	//768 Okular::PageTransition::angle() const
    {52, 735, 0, 0, Smoke::mf_const, 341, 9},	//769 Okular::PageTransition::scale() const
    {52, 558, 0, 0, Smoke::mf_const, 258, 10},	//770 Okular::PageTransition::isRectangular() const
    {52, 908, 459, 1, 0, 0, 11},	//771 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {52, 780, 27, 1, 0, 0, 12},	//772 Okular::PageTransition::setDuration(int)
    {52, 748, 463, 1, 0, 0, 13},	//773 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {52, 776, 465, 1, 0, 0, 14},	//774 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {52, 750, 27, 1, 0, 0, 15},	//775 Okular::PageTransition::setAngle(int)
    {52, 878, 355, 1, 0, 0, 16},	//776 Okular::PageTransition::setScale(double)
    {52, 815, 295, 1, 0, 0, 17},	//777 Okular::PageTransition::setIsRectangular(bool)
    {52, 221, 0, 0, Smoke::mf_ctor, 107, 18},	//778 Okular::PageTransition::PageTransition()
    {52, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 19},	//779 Okular::PageTransition::Replace (enum)
    {52, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 20},	//780 Okular::PageTransition::Split (enum)
    {52, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 21},	//781 Okular::PageTransition::Blinds (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 22},	//782 Okular::PageTransition::Box (enum)
    {52, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 23},	//783 Okular::PageTransition::Wipe (enum)
    {52, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 24},	//784 Okular::PageTransition::Dissolve (enum)
    {52, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 25},	//785 Okular::PageTransition::Glitter (enum)
    {52, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 26},	//786 Okular::PageTransition::Fly (enum)
    {52, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 27},	//787 Okular::PageTransition::Push (enum)
    {52, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 28},	//788 Okular::PageTransition::Cover (enum)
    {52, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 29},	//789 Okular::PageTransition::Uncover (enum)
    {52, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 30},	//790 Okular::PageTransition::Fade (enum)
    {52, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 31},	//791 Okular::PageTransition::Horizontal (enum)
    {52, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 32},	//792 Okular::PageTransition::Vertical (enum)
    {52, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 33},	//793 Okular::PageTransition::Inward (enum)
    {52, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 34},	//794 Okular::PageTransition::Outward (enum)
    {52, 1054, 0, 0, Smoke::mf_dtor, 0, 35 },	//795 Okular::PageTransition::~PageTransition()
    {53, 226, 467, 6, Smoke::mf_ctor, 112, 1},	//796 Okular::PixmapRequest::PixmapRequest(int, int, int, int, int, bool)
    {53, 535, 0, 0, Smoke::mf_const, 343, 2},	//797 Okular::PixmapRequest::id() const
    {53, 655, 0, 0, Smoke::mf_const, 343, 3},	//798 Okular::PixmapRequest::pageNumber() const
    {53, 1015, 0, 0, Smoke::mf_const, 343, 4},	//799 Okular::PixmapRequest::width() const
    {53, 529, 0, 0, Smoke::mf_const, 343, 5},	//800 Okular::PixmapRequest::height() const
    {53, 682, 0, 0, Smoke::mf_const, 343, 6},	//801 Okular::PixmapRequest::priority() const
    {53, 367, 0, 0, Smoke::mf_const, 258, 7},	//802 Okular::PixmapRequest::asynchronous() const
    {53, 647, 0, 0, Smoke::mf_const, 102, 8},	//803 Okular::PixmapRequest::page() const
    {53, 1055, 0, 0, Smoke::mf_dtor, 0, 9 },	//804 Okular::PixmapRequest::~PixmapRequest()
    {54, 672, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 183, 1},	//805 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {54, 234, 0, 0, Smoke::mf_ctor, 113, 2},	//806 Okular::PrintInterface::PrintInterface()
    {54, 234, 474, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 3},	//807 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {54, 1056, 0, 0, Smoke::mf_dtor, 0, 4 },	//808 Okular::PrintInterface::~PrintInterface()
    {55, 257, 0, 0, Smoke::mf_ctor, 115, 1},	//809 Okular::RegularAreaRect::RegularAreaRect()
    {55, 257, 476, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 2},	//810 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {55, 624, 476, 1, 0, 114, 3},	//811 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {55, 1057, 0, 0, Smoke::mf_dtor, 0, 4 },	//812 Okular::RegularAreaRect::~RegularAreaRect()
    {56, 264, 478, 2, Smoke::mf_ctor, 117, 1},	//813 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {56, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//814 Okular::ScriptAction::actionType() const
    {56, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 3},	//815 Okular::ScriptAction::actionTip() const
    {56, 737, 0, 0, Smoke::mf_const, 118, 4},	//816 Okular::ScriptAction::scriptType() const
    {56, 736, 0, 0, Smoke::mf_const, 175, 5},	//817 Okular::ScriptAction::script() const
    {56, 1058, 0, 0, Smoke::mf_dtor, 0, 6 },	//818 Okular::ScriptAction::~ScriptAction()
    {57, 270, 481, 1, Smoke::mf_ctor, 120, 1},	//819 Okular::Sound::Sound(const QByteArray&)
    {57, 270, 9, 1, Smoke::mf_ctor, 120, 2},	//820 Okular::Sound::Sound(const QString&)
    {57, 942, 0, 0, Smoke::mf_const, 122, 3},	//821 Okular::Sound::soundType() const
    {57, 1006, 0, 0, Smoke::mf_const, 175, 4},	//822 Okular::Sound::url() const
    {57, 426, 0, 0, Smoke::mf_const, 142, 5},	//823 Okular::Sound::data() const
    {57, 876, 355, 1, 0, 0, 6},	//824 Okular::Sound::setSamplingRate(double)
    {57, 729, 0, 0, Smoke::mf_const, 341, 7},	//825 Okular::Sound::samplingRate() const
    {57, 766, 27, 1, 0, 0, 8},	//826 Okular::Sound::setChannels(int)
    {57, 394, 0, 0, Smoke::mf_const, 343, 9},	//827 Okular::Sound::channels() const
    {57, 754, 27, 1, 0, 0, 10},	//828 Okular::Sound::setBitsPerSample(int)
    {57, 369, 0, 0, Smoke::mf_const, 343, 11},	//829 Okular::Sound::bitsPerSample() const
    {57, 884, 483, 1, 0, 0, 12},	//830 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {57, 940, 0, 0, Smoke::mf_const, 121, 13},	//831 Okular::Sound::soundEncoding() const
    {57, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 14},	//832 Okular::Sound::External (enum)
    {57, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 15},	//833 Okular::Sound::Embedded (enum)
    {57, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 16},	//834 Okular::Sound::Raw (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 17},	//835 Okular::Sound::Signed (enum)
    {57, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 18},	//836 Okular::Sound::muLaw (enum)
    {57, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 19},	//837 Okular::Sound::ALaw (enum)
    {57, 1059, 0, 0, Smoke::mf_dtor, 0, 20 },	//838 Okular::Sound::~Sound()
    {58, 273, 485, 5, Smoke::mf_ctor, 123, 1},	//839 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {58, 339, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//840 Okular::SoundAction::actionType() const
    {58, 338, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 175, 3},	//841 Okular::SoundAction::actionTip() const
    {58, 1011, 0, 0, Smoke::mf_const, 341, 4},	//842 Okular::SoundAction::volume() const
    {58, 961, 0, 0, Smoke::mf_const, 258, 5},	//843 Okular::SoundAction::synchronous() const
    {58, 711, 0, 0, Smoke::mf_const, 258, 6},	//844 Okular::SoundAction::repeat() const
    {58, 597, 0, 0, Smoke::mf_const, 258, 7},	//845 Okular::SoundAction::mix() const
    {58, 939, 0, 0, Smoke::mf_const, 120, 8},	//846 Okular::SoundAction::sound() const
    {58, 1060, 0, 0, Smoke::mf_dtor, 0, 9 },	//847 Okular::SoundAction::~SoundAction()
    {59, 275, 0, 0, Smoke::mf_ctor, 124, 1},	//848 Okular::SoundAnnotation::SoundAnnotation()
    {59, 275, 72, 1, Smoke::mf_ctor, 124, 2},	//849 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {59, 941, 0, 0, Smoke::mf_const, 175, 3},	//850 Okular::SoundAnnotation::soundIconName() const
    {59, 886, 9, 1, 0, 0, 4},	//851 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {59, 939, 0, 0, Smoke::mf_const, 120, 5},	//852 Okular::SoundAnnotation::sound() const
    {59, 882, 491, 1, 0, 0, 6},	//853 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {59, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//854 Okular::SoundAnnotation::subType() const
    {59, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//855 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {59, 1061, 0, 0, Smoke::mf_dtor, 0, 9 },	//856 Okular::SoundAnnotation::~SoundAnnotation()
    {60, 278, 493, 2, Smoke::mf_ctor, 125, 1},	//857 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {60, 375, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 171, 2},	//858 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {60, 404, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 258, 3},	//859 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {60, 278, 496, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//860 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {60, 1062, 0, 0, Smoke::mf_dtor, 0, 5 },	//861 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {61, 281, 498, 3, Smoke::mf_ctor, 126, 1},	//862 Okular::SourceReference::SourceReference(const QString&, int, int)
    {61, 476, 0, 0, Smoke::mf_const, 175, 2},	//863 Okular::SourceReference::fileName() const
    {61, 728, 0, 0, Smoke::mf_const, 343, 3},	//864 Okular::SourceReference::row() const
    {61, 400, 0, 0, Smoke::mf_const, 343, 4},	//865 Okular::SourceReference::column() const
    {61, 281, 178, 2, Smoke::mf_ctor, 126, 5},	//866 Okular::SourceReference::SourceReference(const QString&, int)
    {61, 1063, 0, 0, Smoke::mf_dtor, 0, 6 },	//867 Okular::SourceReference::~SourceReference()
    {62, 287, 0, 0, Smoke::mf_ctor, 127, 1},	//868 Okular::StampAnnotation::StampAnnotation()
    {62, 287, 72, 1, Smoke::mf_ctor, 127, 2},	//869 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {62, 890, 9, 1, 0, 0, 3},	//870 Okular::StampAnnotation::setStampIconName(const QString&)
    {62, 943, 0, 0, Smoke::mf_const, 175, 4},	//871 Okular::StampAnnotation::stampIconName() const
    {62, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//872 Okular::StampAnnotation::subType() const
    {62, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//873 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {62, 1064, 0, 0, Smoke::mf_dtor, 0, 7 },	//874 Okular::StampAnnotation::~StampAnnotation()
    {63, 299, 0, 0, Smoke::mf_ctor, 128, 1},	//875 Okular::TextAnnotation::TextAnnotation()
    {63, 299, 72, 1, Smoke::mf_ctor, 128, 2},	//876 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {63, 902, 502, 1, 0, 0, 3},	//877 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {63, 974, 0, 0, Smoke::mf_const, 130, 4},	//878 Okular::TextAnnotation::textType() const
    {63, 898, 9, 1, 0, 0, 5},	//879 Okular::TextAnnotation::setTextIcon(const QString&)
    {63, 969, 0, 0, Smoke::mf_const, 175, 6},	//880 Okular::TextAnnotation::textIcon() const
    {63, 896, 504, 1, 0, 0, 7},	//881 Okular::TextAnnotation::setTextFont(const QFont&)
    {63, 968, 0, 0, Smoke::mf_const, 153, 8},	//882 Okular::TextAnnotation::textFont() const
    {63, 807, 27, 1, 0, 0, 9},	//883 Okular::TextAnnotation::setInplaceAlignment(int)
    {63, 541, 0, 0, Smoke::mf_const, 343, 10},	//884 Okular::TextAnnotation::inplaceAlignment() const
    {63, 813, 9, 1, 0, 0, 11},	//885 Okular::TextAnnotation::setInplaceText(const QString&)
    {63, 545, 0, 0, Smoke::mf_const, 175, 12},	//886 Okular::TextAnnotation::inplaceText() const
    {63, 809, 506, 2, 0, 0, 13},	//887 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {63, 542, 27, 1, Smoke::mf_const, 94, 14},	//888 Okular::TextAnnotation::inplaceCallout(int) const
    {63, 993, 27, 1, Smoke::mf_const, 94, 15},	//889 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {63, 811, 509, 1, 0, 0, 16},	//890 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {63, 544, 0, 0, Smoke::mf_const, 129, 17},	//891 Okular::TextAnnotation::inplaceIntent() const
    {63, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 18},	//892 Okular::TextAnnotation::subType() const
    {63, 951, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//893 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {63, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//894 Okular::TextAnnotation::Linked (enum)
    {63, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//895 Okular::TextAnnotation::InPlace (enum)
    {63, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 22},	//896 Okular::TextAnnotation::Unknown (enum)
    {63, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 23},	//897 Okular::TextAnnotation::Callout (enum)
    {63, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 24},	//898 Okular::TextAnnotation::TypeWriter (enum)
    {63, 1065, 0, 0, Smoke::mf_dtor, 0, 25 },	//899 Okular::TextAnnotation::~TextAnnotation()
    {64, 595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 324, 1},	//900 Okular::TextDocumentConverter::metaObject() const
    {64, 692, 80, 1, Smoke::mf_virtual, 347, 2},	//901 Okular::TextDocumentConverter::qt_metacast(const char*)
    {64, 979, 82, 2, Smoke::mf_static, 175, 3},	//902 Okular::TextDocumentConverter::tr(const char*, const char*)
    {64, 983, 82, 2, Smoke::mf_static, 175, 4},	//903 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {64, 979, 85, 3, Smoke::mf_static, 175, 5},	//904 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {64, 983, 85, 3, Smoke::mf_static, 175, 6},	//905 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {64, 690, 89, 3, Smoke::mf_virtual, 343, 7},	//906 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {64, 301, 0, 0, Smoke::mf_ctor, 131, 8},	//907 Okular::TextDocumentConverter::TextDocumentConverter()
    {64, 411, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 9},	//908 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {64, 341, 511, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//909 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {64, 343, 515, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//910 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {64, 355, 519, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//911 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {64, 346, 199, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//912 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {64, 346, 203, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//913 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {64, 465, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//914 Okular::TextDocumentConverter::error(const QString&, int)
    {64, 1012, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//915 Okular::TextDocumentConverter::warning(const QString&, int)
    {64, 607, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//916 Okular::TextDocumentConverter::notice(const QString&, int)
    {64, 379, 523, 2, Smoke::mf_protected, 50, 18},	//917 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {64, 501, 0, 0, Smoke::mf_const|Smoke::mf_protected, 132, 19},	//918 Okular::TextDocumentConverter::generator() const
    {64, 979, 80, 1, Smoke::mf_static, 175, 20},	//919 Okular::TextDocumentConverter::tr(const char*)
    {64, 983, 80, 1, Smoke::mf_static, 175, 21},	//920 Okular::TextDocumentConverter::trUtf8(const char*)
    {64, 949, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 323, 22},	//921 Okular::TextDocumentConverter::staticMetaObject() const
    {64, 1066, 0, 0, Smoke::mf_dtor, 0, 23 },	//922 Okular::TextDocumentConverter::~TextDocumentConverter()
    {65, 595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 324, 1},	//923 Okular::TextDocumentGenerator::metaObject() const
    {65, 692, 80, 1, Smoke::mf_virtual, 347, 2},	//924 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {65, 979, 82, 2, Smoke::mf_static, 175, 3},	//925 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {65, 983, 82, 2, Smoke::mf_static, 175, 4},	//926 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {65, 979, 85, 3, Smoke::mf_static, 175, 5},	//927 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {65, 983, 85, 3, Smoke::mf_static, 175, 6},	//928 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {65, 690, 89, 3, Smoke::mf_virtual, 343, 7},	//929 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {65, 302, 526, 3, Smoke::mf_ctor, 132, 8},	//930 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {65, 578, 304, 2, Smoke::mf_virtual, 258, 9},	//931 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {65, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 258, 10},	//932 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {65, 497, 310, 1, Smoke::mf_virtual, 0, 11},	//933 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {65, 668, 158, 1, Smoke::mf_virtual, 258, 12},	//934 Okular::TextDocumentGenerator::print(QPrinter&)
    {65, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 13},	//935 Okular::TextDocumentGenerator::exportFormats() const
    {65, 470, 106, 2, Smoke::mf_virtual, 258, 14},	//936 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {65, 495, 0, 0, Smoke::mf_virtual, 275, 15},	//937 Okular::TextDocumentGenerator::generateDocumentInfo()
    {65, 496, 0, 0, Smoke::mf_virtual, 277, 16},	//938 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {65, 446, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 258, 17},	//939 Okular::TextDocumentGenerator::doCloseDocument()
    {65, 970, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 18},	//940 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {65, 979, 80, 1, Smoke::mf_static, 175, 19},	//941 Okular::TextDocumentGenerator::tr(const char*)
    {65, 983, 80, 1, Smoke::mf_static, 175, 20},	//942 Okular::TextDocumentGenerator::trUtf8(const char*)
    {65, 949, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 323, 21},	//943 Okular::TextDocumentGenerator::staticMetaObject() const
    {65, 1067, 0, 0, Smoke::mf_dtor, 0, 22 },	//944 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {66, 304, 530, 2, Smoke::mf_ctor, 133, 1},	//945 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {66, 962, 0, 0, Smoke::mf_const, 175, 2},	//946 Okular::TextEntity::text() const
    {66, 366, 0, 0, Smoke::mf_const, 99, 3},	//947 Okular::TextEntity::area() const
    {66, 989, 55, 1, Smoke::mf_const, 97, 4},	//948 Okular::TextEntity::transformedArea(const QMatrix&) const
    {66, 1068, 0, 0, Smoke::mf_dtor, 0, 5 },	//949 Okular::TextEntity::~TextEntity()
    {67, 307, 0, 0, Smoke::mf_ctor, 134, 1},	//950 Okular::TextPage::TextPage()
    {67, 307, 533, 1, Smoke::mf_ctor, 134, 2},	//951 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {67, 364, 530, 2, 0, 0, 3},	//952 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {67, 481, 406, 5, 0, 115, 4},	//953 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {67, 962, 412, 1, Smoke::mf_const, 175, 5},	//954 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {67, 962, 414, 2, Smoke::mf_const, 175, 6},	//955 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {67, 966, 417, 1, Smoke::mf_const, 115, 7},	//956 Okular::TextPage::textArea(Okular::TextSelection*) const
    {67, 962, 0, 0, Smoke::mf_const, 175, 8},	//957 Okular::TextPage::text() const
    {67, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 9},	//958 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {67, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 10},	//959 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {67, 1069, 0, 0, Smoke::mf_dtor, 0, 11 },	//960 Okular::TextPage::~TextPage()
    {69, 723, 535, 4, Smoke::mf_static, 171, 1},	//961 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {69, 457, 0, 0, Smoke::mf_static, 341, 2},	//962 Okular::Utils::dpiX()
    {69, 458, 0, 0, Smoke::mf_static, 341, 3},	//963 Okular::Utils::dpiY()
    {69, 696, 0, 0, Smoke::mf_static, 341, 4},	//964 Okular::Utils::realDpiX()
    {69, 697, 0, 0, Smoke::mf_static, 341, 5},	//965 Okular::Utils::realDpiY()
    {69, 538, 540, 1, Smoke::mf_static, 97, 6},	//966 Okular::Utils::imageBoundingBox(const QImage*)
    {69, 324, 0, 0, Smoke::mf_ctor, 137, 7},	//967 Okular::Utils::Utils()
    {69, 324, 542, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 8},	//968 Okular::Utils::Utils(const Okular::Utils&)
    {69, 1070, 0, 0, Smoke::mf_dtor, 0, 9 },	//969 Okular::Utils::~Utils()
    {71, 327, 328, 2, Smoke::mf_ctor, 139, 1},	//970 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {71, 327, 544, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//971 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {71, 327, 0, 0, Smoke::mf_ctor, 139, 3},	//972 Okular::VisiblePageRect::VisiblePageRect()
    {71, 327, 27, 1, Smoke::mf_ctor, 139, 4},	//973 Okular::VisiblePageRect::VisiblePageRect(int)
    {71, 655, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 343, 5},	//974 Okular::VisiblePageRect::pageNumber() const
    {71, 861, 27, 1, Smoke::mf_attribute, 0, 6},	//975 Okular::VisiblePageRect::setPageNumber(int)
    {71, 698, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 98, 7},	//976 Okular::VisiblePageRect::rect() const
    {71, 870, 29, 1, Smoke::mf_attribute, 0, 8},	//977 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {71, 1071, 0, 0, Smoke::mf_dtor, 0, 9 },	//978 Okular::VisiblePageRect::~VisiblePageRect()
    {83, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 1},	//979 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {83, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 2},	//980 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {83, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 3},	//981 QGlobalSpace::Q_STATIC_TYPE (enum)
    {83, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 4},	//982 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {83, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 5},	//983 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {83, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 6},	//984 QGlobalSpace::KST_KSycocaEntry (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 7},	//985 QGlobalSpace::KST_KService (enum)
    {83, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 8},	//986 QGlobalSpace::KST_KServiceType (enum)
    {83, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 9},	//987 QGlobalSpace::KST_KMimeType (enum)
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 10},	//988 QGlobalSpace::KST_KFolderMimeType (enum)
    {83, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 11},	//989 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {83, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 12},	//990 QGlobalSpace::KST_KServiceGroup (enum)
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 13},	//991 QGlobalSpace::KST_KImageIOFormat (enum)
    {83, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//992 QGlobalSpace::KST_KProtocolInfo (enum)
    {83, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//993 QGlobalSpace::KST_KServiceSeparator (enum)
    {83, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 16},	//994 QGlobalSpace::KST_KCustom (enum)
    {83, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 17},	//995 QGlobalSpace::QtDebugMsg (enum)
    {83, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 18},	//996 QGlobalSpace::QtWarningMsg (enum)
    {83, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 19},	//997 QGlobalSpace::QtCriticalMsg (enum)
    {83, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 20},	//998 QGlobalSpace::QtFatalMsg (enum)
    {83, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 21},	//999 QGlobalSpace::QtSystemMsg (enum)
    {83, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 22},	//1000 QGlobalSpace::KST_KServiceFactory (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 23},	//1001 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {83, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 24},	//1002 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {83, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 25},	//1003 QGlobalSpace::KST_KImageIO (enum)
    {83, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 26},	//1004 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {83, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 27},	//1005 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {83, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 28},	//1006 QGlobalSpace::KST_CTimeInfo (enum)
    {83, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 29},	//1007 QGlobalSpace::__codecvt_ok (enum)
    {83, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 30},	//1008 QGlobalSpace::__codecvt_partial (enum)
    {83, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 31},	//1009 QGlobalSpace::__codecvt_error (enum)
    {83, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 32},	//1010 QGlobalSpace::__codecvt_noconv (enum)
    {88, 467, 546, 1, Smoke::mf_virtual, 258, 0},	//1011 QObject::event(QEvent*)
    {88, 468, 548, 2, Smoke::mf_virtual, 258, 0},	//1012 QObject::eventFilter(QObject*, QEvent*)
    {88, 975, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QObject::timerEvent(QTimerEvent*)
    {88, 395, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1014 QObject::childEvent(QChildEvent*)
    {88, 424, 546, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1015 QObject::customEvent(QEvent*)
    {88, 403, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1016 QObject::connectNotify(const char*)
    {88, 443, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    531,  // Okular::Generator::d_func()
    532,  // Okular::Generator::d_func() const
    0,
    278,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    283,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    652,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    653,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    443,  // Okular::FormField::d_func()
    444,  // Okular::FormField::d_func() const
    0,
    59,  // Okular::Annotation::d_func()
    60,  // Okular::Annotation::d_func() const
    0,
    49,  // Okular::Annotation::revisions()
    50,  // Okular::Annotation::revisions() const
    0,
    45,  // Okular::Annotation::style()
    46,  // Okular::Annotation::style() const
    0,
    47,  // Okular::Annotation::window()
    48,  // Okular::Annotation::window() const
    0,
    302,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    303,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    99,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    104,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    19,  // Okular::Action::d_func()
    20,  // Okular::Action::d_func() const
    0,
    305,  // Okular::DocumentViewport::DocumentViewport(int)
    306,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 15, 18},	// Okular::Action::Action#
    {10, 32, 23},	// Okular::Action::Browse
    {10, 71, 24},	// Okular::Action::DocAction
    {10, 89, 22},	// Okular::Action::Execute
    {10, 130, 21},	// Okular::Action::Goto
    {10, 180, 26},	// Okular::Action::Movie
    {10, 263, 27},	// Okular::Action::Script
    {10, 270, 25},	// Okular::Action::Sound
    {10, 338, 17},	// Okular::Action::actionTip
    {10, 339, 16},	// Okular::Action::actionType
    {10, 425, -31},	// Okular::Action::d_func
    {10, 1020, 28},	// Okular::Action::~Action
    {12, 1, 67},	// Okular::Annotation::ACaret
    {12, 2, 68},	// Okular::Annotation::AFileAttachment
    {12, 3, 63},	// Okular::Annotation::AGeom
    {12, 4, 64},	// Okular::Annotation::AHighlight
    {12, 5, 66},	// Okular::Annotation::AInk
    {12, 7, 62},	// Okular::Annotation::ALine
    {12, 8, 70},	// Okular::Annotation::AMovie
    {12, 9, 69},	// Okular::Annotation::ASound
    {12, 10, 65},	// Okular::Annotation::AStamp
    {12, 11, 61},	// Okular::Annotation::AText
    {12, 12, 71},	// Okular::Annotation::A_BASE
    {12, 13, 94},	// Okular::Annotation::Accepted
    {12, 18, 57},	// Okular::Annotation::Annotation#
    {12, 19, 58},	// Okular::Annotation::Annotation##
    {12, 29, 83},	// Okular::Annotation::Beveled
    {12, 42, 96},	// Okular::Annotation::Cancelled
    {12, 53, 87},	// Okular::Annotation::Cloudy
    {12, 55, 97},	// Okular::Annotation::Completed
    {12, 62, 82},	// Okular::Annotation::Dashed
    {12, 63, 90},	// Okular::Annotation::Delete
    {12, 64, 77},	// Okular::Annotation::DenyDelete
    {12, 65, 75},	// Okular::Annotation::DenyPrint
    {12, 66, 76},	// Okular::Annotation::DenyWrite
    {12, 96, 79},	// Okular::Annotation::External
    {12, 97, 80},	// Okular::Annotation::ExternallyDrawn
    {12, 106, 74},	// Okular::Annotation::FixedRotation
    {12, 107, 73},	// Okular::Annotation::FixedSize
    {12, 134, 89},	// Okular::Annotation::Group
    {12, 138, 72},	// Okular::Annotation::Hidden
    {12, 151, 84},	// Okular::Annotation::Inset
    {12, 176, 92},	// Okular::Annotation::Marked
    {12, 184, 86},	// Okular::Annotation::NoEffect
    {12, 188, 91},	// Okular::Annotation::None
    {12, 259, 95},	// Okular::Annotation::Rejected
    {12, 262, 88},	// Okular::Annotation::Reply
    {12, 269, 81},	// Okular::Annotation::Solid
    {12, 311, 78},	// Okular::Annotation::ToggleHidingOnMouse
    {12, 321, 85},	// Okular::Annotation::Underline
    {12, 323, 93},	// Okular::Annotation::Unmarked
    {12, 368, 30},	// Okular::Annotation::author
    {12, 377, 42},	// Okular::Annotation::boundingRectangle
    {12, 382, 54},	// Okular::Annotation::canBeMoved
    {12, 407, 32},	// Okular::Annotation::contents
    {12, 417, 38},	// Okular::Annotation::creationDate
    {12, 425, -13},	// Okular::Annotation::d_func
    {12, 484, 40},	// Okular::Annotation::flags
    {12, 598, 36},	// Okular::Annotation::modificationDate
    {12, 604, 52},	// Okular::Annotation::nativeId
    {12, 721, -16},	// Okular::Annotation::revisions
    {12, 753, 29},	// Okular::Annotation::setAuthor$
    {12, 761, 41},	// Okular::Annotation::setBoundingRectangle#
    {12, 770, 31},	// Okular::Annotation::setContents$
    {12, 772, 37},	// Okular::Annotation::setCreationDate#
    {12, 779, 53},	// Okular::Annotation::setDisposeDataFunction$
    {12, 794, 39},	// Okular::Annotation::setFlags$
    {12, 847, 35},	// Okular::Annotation::setModificationDate#
    {12, 851, 51},	// Okular::Annotation::setNativeId#
    {12, 911, 33},	// Okular::Annotation::setUniqueName$
    {12, 952, 56},	// Okular::Annotation::store##
    {12, 955, -19},	// Okular::Annotation::style
    {12, 956, 55},	// Okular::Annotation::subType
    {12, 991, 43},	// Okular::Annotation::transformedBoundingRectangle
    {12, 998, 44},	// Okular::Annotation::translate#
    {12, 1001, 34},	// Okular::Annotation::uniqueName
    {12, 1016, -22},	// Okular::Annotation::window
    {12, 1021, 98},	// Okular::Annotation::~Annotation
    {15, 21, -28},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {15, 360, 100},	// Okular::AnnotationObjectRect::annotation
    {15, 376, 101},	// Okular::AnnotationObjectRect::boundingRect$$
    {15, 406, 102},	// Okular::AnnotationObjectRect::contains$$$$
    {15, 988, 103},	// Okular::AnnotationObjectRect::transform#
    {15, 1022, 105},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {17, 22, 110},	// Okular::AnnotationUtils::AnnotationUtils
    {17, 23, 111},	// Okular::AnnotationUtils::AnnotationUtils#
    {17, 362, 109},	// Okular::AnnotationUtils::annotationGeometry#$$
    {17, 416, 106},	// Okular::AnnotationUtils::createAnnotation#
    {17, 480, 108},	// Okular::AnnotationUtils::findChildElement#$
    {17, 954, 107},	// Okular::AnnotationUtils::storeAnnotation###
    {17, 1023, 112},	// Okular::AnnotationUtils::~AnnotationUtils
    {19, 34, 113},	// Okular::BrowseAction::BrowseAction$
    {19, 338, 115},	// Okular::BrowseAction::actionTip
    {19, 339, 114},	// Okular::BrowseAction::actionType
    {19, 1006, 116},	// Okular::BrowseAction::url
    {19, 1024, 117},	// Okular::BrowseAction::~BrowseAction
    {20, 43, 118},	// Okular::CaretAnnotation::CaretAnnotation
    {20, 44, 119},	// Okular::CaretAnnotation::CaretAnnotation#
    {20, 188, 124},	// Okular::CaretAnnotation::None
    {20, 209, 125},	// Okular::CaretAnnotation::P
    {20, 392, 121},	// Okular::CaretAnnotation::caretSymbol
    {20, 765, 120},	// Okular::CaretAnnotation::setCaretSymbol$
    {20, 952, 123},	// Okular::CaretAnnotation::store##
    {20, 956, 122},	// Okular::CaretAnnotation::subType
    {20, 1025, 126},	// Okular::CaretAnnotation::~CaretAnnotation
    {21, 56, 129},	// Okular::ConfigInterface::ConfigInterface
    {21, 57, 130},	// Okular::ConfigInterface::ConfigInterface#
    {21, 354, 128},	// Okular::ConfigInterface::addPages#
    {21, 710, 127},	// Okular::ConfigInterface::reparseConfig
    {21, 1026, 131},	// Okular::ConfigInterface::~ConfigInterface
    {22, 16, 249},	// Okular::Document::AllDocument
    {22, 73, 139},	// Okular::Document::Document#
    {22, 128, 250},	// Okular::Document::GoogleAll
    {22, 129, 251},	// Okular::Document::GoogleAny
    {22, 177, 252},	// Okular::Document::MatchFound
    {22, 182, 256},	// Okular::Document::NativePrinting
    {22, 183, 247},	// Okular::Document::NextMatch
    {22, 185, 253},	// Okular::Document::NoMatchFound
    {22, 186, 245},	// Okular::Document::NoOption
    {22, 187, 255},	// Okular::Document::NoPrinting
    {22, 231, 257},	// Okular::Document::PostscriptPrinting
    {22, 233, 248},	// Okular::Document::PreviousMatch
    {22, 260, 246},	// Okular::Document::RemoveAllPrevious
    {22, 266, 254},	// Okular::Document::SearchCancelled
    {22, 350, 142},	// Okular::Document::addObserver#
    {22, 352, 185},	// Okular::Document::addPageAnnotation$#
    {22, 358, 172},	// Okular::Document::allPagesSize
    {22, 370, 194},	// Okular::Document::bookmarkManager
    {22, 371, 196},	// Okular::Document::bookmarkedPageList
    {22, 372, 197},	// Okular::Document::bookmarkedPageRange
    {22, 384, 199},	// Okular::Document::canConfigurePrinter
    {22, 385, 164},	// Okular::Document::canExportToText
    {22, 388, 151},	// Okular::Document::canProvideFontInformation
    {22, 389, 208},	// Okular::Document::canSaveChanges
    {22, 390, 219},	// Okular::Document::cancelSearch
    {22, 398, 220},	// Okular::Document::close
    {22, 399, 141},	// Okular::Document::closeDocument
    {22, 401, 207},	// Okular::Document::componentData
    {22, 402, 205},	// Okular::Document::configurableGenerators
    {22, 409, 191},	// Okular::Document::continueSearch$
    {22, 410, 192},	// Okular::Document::continueSearch$$
    {22, 422, 159},	// Okular::Document::currentDocument
    {22, 423, 157},	// Okular::Document::currentPage
    {22, 451, 147},	// Okular::Document::documentInfo
    {22, 455, 148},	// Okular::Document::documentSynopsis
    {22, 461, 216},	// Okular::Document::dynamicSourceReference$$$
    {22, 464, 152},	// Okular::Document::embeddedFiles
    {22, 466, 227},	// Okular::Document::error$$
    {22, 469, 166},	// Okular::Document::exportFormats
    {22, 471, 167},	// Okular::Document::exportTo$#
    {22, 473, 165},	// Okular::Document::exportToText$
    {22, 478, 204},	// Okular::Document::fillConfigDialog#
    {22, 486, 213},	// Okular::Document::fontData#
    {22, 487, 232},	// Okular::Document::fontReadingEnded
    {22, 489, 231},	// Okular::Document::fontReadingProgress$
    {22, 514, 230},	// Okular::Document::gotFont#
    {22, 515, 174},	// Okular::Document::guiClient
    {22, 532, 168},	// Okular::Document::historyAtBegin
    {22, 533, 169},	// Okular::Document::historyAtEnd
    {22, 550, 160},	// Okular::Document::isAllowed$
    {22, 555, 146},	// Okular::Document::isOpened
    {22, 574, 225},	// Okular::Document::linkEndPresentation
    {22, 575, 222},	// Okular::Document::linkFind
    {22, 576, 223},	// Okular::Document::linkGoToPage
    {22, 577, 224},	// Okular::Document::linkPresentation
    {22, 593, 237},	// Okular::Document::metaData$
    {22, 594, 170},	// Okular::Document::metaData$#
    {22, 595, 132},	// Okular::Document::metaObject
    {22, 600, 186},	// Okular::Document::modifyPageAnnotation$#
    {22, 608, 229},	// Okular::Document::notice$$
    {22, 615, 140},	// Okular::Document::openDocument$#?
    {22, 617, 214},	// Okular::Document::openDocumentArchive$#
    {22, 619, 226},	// Okular::Document::openUrl#
    {22, 648, 153},	// Okular::Document::page$
    {22, 661, 173},	// Okular::Document::pageSizeString$
    {22, 662, 163},	// Okular::Document::pageSizes
    {22, 663, 158},	// Okular::Document::pages
    {22, 669, 202},	// Okular::Document::print#
    {22, 672, 203},	// Okular::Document::printConfigurationWidget
    {22, 681, 200},	// Okular::Document::printingSupport
    {22, 684, 195},	// Okular::Document::processAction#
    {22, 686, 198},	// Okular::Document::processSourceReference#
    {22, 691, 138},	// Okular::Document::qt_metacall$$?
    {22, 693, 133},	// Okular::Document::qt_metacast$
    {22, 694, 221},	// Okular::Document::quit
    {22, 701, 211},	// Okular::Document::registerView#
    {22, 705, 143},	// Okular::Document::removeObserver#
    {22, 707, 187},	// Okular::Document::removePageAnnotation$#
    {22, 709, 188},	// Okular::Document::removePageAnnotations$?
    {22, 710, 144},	// Okular::Document::reparseConfig
    {22, 715, 182},	// Okular::Document::requestPixmaps?
    {22, 716, 183},	// Okular::Document::requestPixmaps?$
    {22, 718, 184},	// Okular::Document::requestTextPage$
    {22, 720, 193},	// Okular::Document::resetSearch$
    {22, 725, 171},	// Okular::Document::rotation
    {22, 731, 209},	// Okular::Document::saveChanges$
    {22, 732, 210},	// Okular::Document::saveChanges$$
    {22, 734, 215},	// Okular::Document::saveDocumentArchive$
    {22, 739, 233},	// Okular::Document::searchFinished$$
    {22, 741, 243},	// Okular::Document::searchText$$$$$$#
    {22, 742, 190},	// Okular::Document::searchText$$$$$$#$
    {22, 853, 180},	// Okular::Document::setNextDocumentDestination$
    {22, 855, 179},	// Okular::Document::setNextDocumentViewport#
    {22, 856, 178},	// Okular::Document::setNextViewport
    {22, 864, 218},	// Okular::Document::setPageSize#
    {22, 866, 189},	// Okular::Document::setPageTextSelection$##
    {22, 869, 177},	// Okular::Document::setPrevViewport
    {22, 875, 217},	// Okular::Document::setRotation$
    {22, 913, 240},	// Okular::Document::setViewport#
    {22, 914, 241},	// Okular::Document::setViewport#$
    {22, 915, 176},	// Okular::Document::setViewport#$$
    {22, 917, 238},	// Okular::Document::setViewportPage$
    {22, 918, 239},	// Okular::Document::setViewportPage$$
    {22, 919, 175},	// Okular::Document::setViewportPage$$$
    {22, 921, 236},	// Okular::Document::setVisiblePageRects?
    {22, 922, 155},	// Okular::Document::setVisiblePageRects?$
    {22, 930, 242},	// Okular::Document::setZoom$
    {22, 931, 181},	// Okular::Document::setZoom$$
    {22, 946, 149},	// Okular::Document::startFontReading
    {22, 949, 244},	// Okular::Document::staticMetaObject
    {22, 950, 150},	// Okular::Document::stopFontReading
    {22, 957, 206},	// Okular::Document::supportedMimeTypes
    {22, 958, 162},	// Okular::Document::supportsPageSizes
    {22, 959, 201},	// Okular::Document::supportsPrintToFile
    {22, 960, 161},	// Okular::Document::supportsSearching
    {22, 980, 234},	// Okular::Document::tr$
    {22, 981, 134},	// Okular::Document::tr$$
    {22, 982, 136},	// Okular::Document::tr$$$
    {22, 984, 235},	// Okular::Document::trUtf8$
    {22, 985, 135},	// Okular::Document::trUtf8$$
    {22, 986, 137},	// Okular::Document::trUtf8$$$
    {22, 1003, 212},	// Okular::Document::unregisterView#
    {22, 1008, 154},	// Okular::Document::viewport
    {22, 1010, 156},	// Okular::Document::visiblePageRects
    {22, 1013, 228},	// Okular::Document::warning$$
    {22, 1014, 145},	// Okular::Document::widget
    {22, 1027, 258},	// Okular::Document::~Document
    {23, 50, 274},	// Okular::DocumentAction::Close
    {23, 75, 259},	// Okular::DocumentAction::DocumentAction$
    {23, 88, 271},	// Okular::DocumentAction::EndPresentation
    {23, 105, 272},	// Okular::DocumentAction::Find
    {23, 127, 273},	// Okular::DocumentAction::GoToPage
    {23, 142, 267},	// Okular::DocumentAction::HistoryBack
    {23, 143, 268},	// Okular::DocumentAction::HistoryForward
    {23, 213, 263},	// Okular::DocumentAction::PageFirst
    {23, 214, 266},	// Okular::DocumentAction::PageLast
    {23, 215, 265},	// Okular::DocumentAction::PageNext
    {23, 216, 264},	// Okular::DocumentAction::PagePrev
    {23, 232, 270},	// Okular::DocumentAction::Presentation
    {23, 251, 269},	// Okular::DocumentAction::Quit
    {23, 338, 261},	// Okular::DocumentAction::actionTip
    {23, 339, 260},	// Okular::DocumentAction::actionType
    {23, 450, 262},	// Okular::DocumentAction::documentActionType
    {23, 1028, 275},	// Okular::DocumentAction::~DocumentAction
    {24, 28, 287},	// Okular::DocumentInfo::Author
    {24, 45, 295},	// Okular::DocumentInfo::Category
    {24, 58, 290},	// Okular::DocumentInfo::Copyright
    {24, 60, 292},	// Okular::DocumentInfo::CreationDate
    {24, 61, 288},	// Okular::DocumentInfo::Creator
    {24, 67, 286},	// Okular::DocumentInfo::Description
    {24, 76, 276},	// Okular::DocumentInfo::DocumentInfo
    {24, 77, 282},	// Okular::DocumentInfo::DocumentInfo#
    {24, 78, 298},	// Okular::DocumentInfo::DocumentSize
    {24, 101, 297},	// Okular::DocumentInfo::FilePath
    {24, 171, 296},	// Okular::DocumentInfo::Keywords
    {24, 178, 294},	// Okular::DocumentInfo::MimeType
    {24, 179, 293},	// Okular::DocumentInfo::ModificationDate
    {24, 224, 291},	// Okular::DocumentInfo::Pages
    {24, 225, 299},	// Okular::DocumentInfo::PagesSize
    {24, 239, 289},	// Okular::DocumentInfo::Producer
    {24, 292, 285},	// Okular::DocumentInfo::Subject
    {24, 310, 284},	// Okular::DocumentInfo::Title
    {24, 508, 279},	// Okular::DocumentInfo::get$
    {24, 510, 280},	// Okular::DocumentInfo::getKeyString$
    {24, 512, 281},	// Okular::DocumentInfo::getKeyTitle$
    {24, 744, -4},	// Okular::DocumentInfo::set$$
    {24, 745, 277},	// Okular::DocumentInfo::set$$$
    {24, 1029, 300},	// Okular::DocumentInfo::~DocumentInfo
    {26, 79, 301},	// Okular::DocumentSynopsis::DocumentSynopsis
    {26, 80, -25},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {26, 1030, 304},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {27, 46, 314},	// Okular::DocumentViewport::Center
    {27, 81, 311},	// Okular::DocumentViewport::DocumentViewport
    {27, 82, 310},	// Okular::DocumentViewport::DocumentViewport#
    {27, 83, -34},	// Okular::DocumentViewport::DocumentViewport$
    {27, 312, 315},	// Okular::DocumentViewport::TopLeft
    {27, 560, 308},	// Okular::DocumentViewport::isValid
    {27, 627, 309},	// Okular::DocumentViewport::operator==#
    {27, 655, 312},	// Okular::DocumentViewport::pageNumber
    {27, 862, 313},	// Okular::DocumentViewport::setPageNumber$
    {27, 976, 307},	// Okular::DocumentViewport::toString
    {27, 1031, 316},	// Okular::DocumentViewport::~DocumentViewport
    {28, 85, 317},	// Okular::EmbeddedFile::EmbeddedFile
    {28, 86, 324},	// Okular::EmbeddedFile::EmbeddedFile#
    {28, 417, 323},	// Okular::EmbeddedFile::creationDate
    {28, 426, 320},	// Okular::EmbeddedFile::data
    {28, 435, 319},	// Okular::EmbeddedFile::description
    {28, 598, 322},	// Okular::EmbeddedFile::modificationDate
    {28, 603, 318},	// Okular::EmbeddedFile::name
    {28, 938, 321},	// Okular::EmbeddedFile::size
    {28, 1032, 325},	// Okular::EmbeddedFile::~EmbeddedFile
    {29, 91, 326},	// Okular::ExecuteAction::ExecuteAction$$
    {29, 338, 328},	// Okular::ExecuteAction::actionTip
    {29, 339, 327},	// Okular::ExecuteAction::actionType
    {29, 476, 329},	// Okular::ExecuteAction::fileName
    {29, 666, 330},	// Okular::ExecuteAction::parameters
    {29, 1033, 331},	// Okular::ExecuteAction::~ExecuteAction
    {30, 92, 332},	// Okular::ExportFormat::ExportFormat
    {30, 93, 335},	// Okular::ExportFormat::ExportFormat#
    {30, 94, 334},	// Okular::ExportFormat::ExportFormat#$?
    {30, 95, 333},	// Okular::ExportFormat::ExportFormat$?
    {30, 137, 347},	// Okular::ExportFormat::HTML
    {30, 206, 346},	// Okular::ExportFormat::OpenDocumentText
    {30, 210, 345},	// Okular::ExportFormat::PDF
    {30, 228, 344},	// Okular::ExportFormat::PlainText
    {30, 435, 337},	// Okular::ExportFormat::description
    {30, 534, 339},	// Okular::ExportFormat::icon
    {30, 554, 340},	// Okular::ExportFormat::isNull
    {30, 596, 338},	// Okular::ExportFormat::mimeType
    {30, 621, 343},	// Okular::ExportFormat::operator!=#
    {30, 625, 336},	// Okular::ExportFormat::operator=#
    {30, 627, 342},	// Okular::ExportFormat::operator==#
    {30, 945, 341},	// Okular::ExportFormat::standardFormat$
    {30, 1034, 348},	// Okular::ExportFormat::~ExportFormat
    {31, 99, 349},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {31, 100, 350},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {31, 463, 353},	// Okular::FileAttachmentAnnotation::embeddedFile
    {31, 475, 351},	// Okular::FileAttachmentAnnotation::fileIconName
    {31, 785, 354},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {31, 792, 352},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {31, 952, 356},	// Okular::FileAttachmentAnnotation::store##
    {31, 956, 355},	// Okular::FileAttachmentAnnotation::subType
    {31, 1035, 357},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {32, 25, 392},	// Okular::FilePrinter::ApplicationDeletesFiles
    {32, 26, 394},	// Okular::FilePrinter::ApplicationSelectsPages
    {32, 102, 386},	// Okular::FilePrinter::FilePrinter
    {32, 103, 387},	// Okular::FilePrinter::FilePrinter#
    {32, 293, 393},	// Okular::FilePrinter::SystemDeletesFiles
    {32, 294, 395},	// Okular::FilePrinter::SystemSelectsPages
    {32, 414, 372},	// Okular::FilePrinter::copies#$
    {32, 418, 365},	// Okular::FilePrinter::cupsAvailable
    {32, 420, 376},	// Okular::FilePrinter::cupsOptions#
    {32, 429, 374},	// Okular::FilePrinter::deleteFile#$$
    {32, 438, 371},	// Okular::FilePrinter::destination#$
    {32, 440, 368},	// Okular::FilePrinter::detectCupsConfig
    {32, 441, 367},	// Okular::FilePrinter::detectCupsService
    {32, 448, 369},	// Okular::FilePrinter::doPrintFiles#?$$$
    {32, 563, 373},	// Okular::FilePrinter::jobname#$
    {32, 589, 378},	// Okular::FilePrinter::mediaPageSize#
    {32, 591, 379},	// Okular::FilePrinter::mediaPaperSource#
    {32, 633, 383},	// Okular::FilePrinter::optionCollateCopies#
    {32, 635, 385},	// Okular::FilePrinter::optionCupsProperties#
    {32, 637, 381},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {32, 639, 377},	// Okular::FilePrinter::optionMedia#
    {32, 641, 380},	// Okular::FilePrinter::optionOrientation#
    {32, 643, 384},	// Okular::FilePrinter::optionPageMargins#
    {32, 645, 382},	// Okular::FilePrinter::optionPageOrder#
    {32, 652, 360},	// Okular::FilePrinter::pageList#$?
    {32, 654, 362},	// Okular::FilePrinter::pageListToPageRange?
    {32, 657, 361},	// Okular::FilePrinter::pageRange#$?
    {32, 664, 375},	// Okular::FilePrinter::pages#$$$$
    {32, 667, 364},	// Okular::FilePrinter::pdf2psAvailable
    {32, 671, 370},	// Okular::FilePrinter::printArguments#$$$$$
    {32, 674, 388},	// Okular::FilePrinter::printFile#$
    {32, 675, 389},	// Okular::FilePrinter::printFile#$$
    {32, 676, 390},	// Okular::FilePrinter::printFile#$$$
    {32, 677, 358},	// Okular::FilePrinter::printFile#$$$$
    {32, 679, 391},	// Okular::FilePrinter::printFiles#?
    {32, 680, 359},	// Okular::FilePrinter::printFiles#?$
    {32, 687, 363},	// Okular::FilePrinter::ps2pdfAvailable
    {32, 689, 366},	// Okular::FilePrinter::psPaperSize#
    {32, 1036, 396},	// Okular::FilePrinter::~FilePrinter
    {33, 36, 424},	// Okular::FontInfo::CIDTrueType
    {33, 37, 425},	// Okular::FontInfo::CIDTrueTypeOT
    {33, 38, 421},	// Okular::FontInfo::CIDType0
    {33, 39, 422},	// Okular::FontInfo::CIDType0C
    {33, 40, 423},	// Okular::FontInfo::CIDType0COT
    {33, 87, 431},	// Okular::FontInfo::EmbeddedSubset
    {33, 109, 397},	// Okular::FontInfo::FontInfo
    {33, 110, 398},	// Okular::FontInfo::FontInfo#
    {33, 120, 432},	// Okular::FontInfo::FullyEmbedded
    {33, 198, 430},	// Okular::FontInfo::NotEmbedded
    {33, 295, 428},	// Okular::FontInfo::TeXFontMetric
    {33, 296, 429},	// Okular::FontInfo::TeXFreeTypeHandled
    {33, 297, 426},	// Okular::FontInfo::TeXPK
    {33, 298, 427},	// Okular::FontInfo::TeXVirtual
    {33, 313, 419},	// Okular::FontInfo::TrueType
    {33, 314, 420},	// Okular::FontInfo::TrueTypeOT
    {33, 315, 415},	// Okular::FontInfo::Type1
    {33, 316, 416},	// Okular::FontInfo::Type1C
    {33, 317, 417},	// Okular::FontInfo::Type1COT
    {33, 318, 418},	// Okular::FontInfo::Type3
    {33, 322, 414},	// Okular::FontInfo::Unknown
    {33, 381, 407},	// Okular::FontInfo::canBeExtracted
    {33, 462, 403},	// Okular::FontInfo::embedType
    {33, 474, 405},	// Okular::FontInfo::file
    {33, 603, 399},	// Okular::FontInfo::name
    {33, 604, 410},	// Okular::FontInfo::nativeId
    {33, 621, 413},	// Okular::FontInfo::operator!=#
    {33, 625, 411},	// Okular::FontInfo::operator=#
    {33, 627, 412},	// Okular::FontInfo::operator==#
    {33, 763, 408},	// Okular::FontInfo::setCanBeExtracted$
    {33, 783, 404},	// Okular::FontInfo::setEmbedType$
    {33, 790, 406},	// Okular::FontInfo::setFile$
    {33, 849, 400},	// Okular::FontInfo::setName$
    {33, 851, 409},	// Okular::FontInfo::setNativeId#
    {33, 909, 402},	// Okular::FontInfo::setType$
    {33, 999, 401},	// Okular::FontInfo::type
    {33, 1037, 433},	// Okular::FontInfo::~FontInfo
    {34, 111, 446},	// Okular::FormField::FormButton
    {34, 112, 448},	// Okular::FormField::FormChoice
    {34, 114, 442},	// Okular::FormField::FormField#
    {34, 118, 449},	// Okular::FormField::FormSignature
    {34, 119, 447},	// Okular::FormField::FormText
    {34, 340, 441},	// Okular::FormField::activationAction
    {34, 425, -10},	// Okular::FormField::d_func
    {34, 535, 436},	// Okular::FormField::id
    {34, 557, 439},	// Okular::FormField::isReadOnly
    {34, 561, 440},	// Okular::FormField::isVisible
    {34, 603, 437},	// Okular::FormField::name
    {34, 698, 435},	// Okular::FormField::rect
    {34, 747, 445},	// Okular::FormField::setActivationAction#
    {34, 999, 434},	// Okular::FormField::type
    {34, 1000, 438},	// Okular::FormField::uiName
    {34, 1038, 450},	// Okular::FormField::~FormField
    {35, 48, 458},	// Okular::FormFieldButton::CheckBox
    {35, 115, 456},	// Okular::FormFieldButton::FormFieldButton
    {35, 240, 457},	// Okular::FormFieldButton::Push
    {35, 254, 459},	// Okular::FormFieldButton::Radio
    {35, 378, 451},	// Okular::FormFieldButton::buttonType
    {35, 391, 452},	// Okular::FormFieldButton::caption
    {35, 893, 454},	// Okular::FormFieldButton::setState$
    {35, 933, 455},	// Okular::FormFieldButton::siblings
    {35, 947, 453},	// Okular::FormFieldButton::state
    {35, 1039, 460},	// Okular::FormFieldButton::~FormFieldButton
    {36, 54, 470},	// Okular::FormFieldChoice::ComboBox
    {36, 116, 469},	// Okular::FormFieldChoice::FormFieldChoice
    {36, 175, 471},	// Okular::FormFieldChoice::ListBox
    {36, 383, 468},	// Okular::FormFieldChoice::canBeSpellChecked
    {36, 396, 461},	// Okular::FormFieldChoice::choiceType
    {36, 397, 462},	// Okular::FormFieldChoice::choices
    {36, 421, 465},	// Okular::FormFieldChoice::currentChoices
    {36, 552, 463},	// Okular::FormFieldChoice::isEditable
    {36, 602, 464},	// Okular::FormFieldChoice::multiSelect
    {36, 774, 466},	// Okular::FormFieldChoice::setCurrentChoices?
    {36, 965, 467},	// Okular::FormFieldChoice::textAlignment
    {36, 1040, 472},	// Okular::FormFieldChoice::~FormFieldChoice
    {38, 104, 484},	// Okular::FormFieldText::FileSelect
    {38, 117, 481},	// Okular::FormFieldText::FormFieldText
    {38, 181, 483},	// Okular::FormFieldText::Multiline
    {38, 189, 482},	// Okular::FormFieldText::Normal
    {38, 383, 480},	// Okular::FormFieldText::canBeSpellChecked
    {38, 556, 476},	// Okular::FormFieldText::isPassword
    {38, 559, 477},	// Okular::FormFieldText::isRichText
    {38, 587, 478},	// Okular::FormFieldText::maximumLength
    {38, 895, 475},	// Okular::FormFieldText::setText$
    {38, 962, 474},	// Okular::FormFieldText::text
    {38, 965, 479},	// Okular::FormFieldText::textAlignment
    {38, 974, 473},	// Okular::FormFieldText::textType
    {38, 1041, 485},	// Okular::FormFieldText::~FormFieldText
    {39, 109, 541},	// Okular::Generator::FontInfo
    {39, 122, 530},	// Okular::Generator::Generator##?
    {39, 123, 493},	// Okular::Generator::Generator#?
    {39, 188, 546},	// Okular::Generator::None
    {39, 220, 542},	// Okular::Generator::PageSizes
    {39, 229, 547},	// Okular::Generator::Points
    {39, 236, 543},	// Okular::Generator::PrintNative
    {39, 237, 544},	// Okular::Generator::PrintPostscript
    {39, 238, 545},	// Okular::Generator::PrintToFile
    {39, 256, 540},	// Okular::Generator::ReadRawData
    {39, 306, 539},	// Okular::Generator::TextExtraction
    {39, 309, 538},	// Okular::Generator::Threaded
    {39, 386, 497},	// Okular::Generator::canGeneratePixmap
    {39, 387, 499},	// Okular::Generator::canGenerateTextPage
    {39, 399, 496},	// Okular::Generator::closeDocument
    {39, 425, -1},	// Okular::Generator::d_func
    {39, 446, 520},	// Okular::Generator::doCloseDocument
    {39, 449, 523},	// Okular::Generator::document
    {39, 453, 536},	// Okular::Generator::documentMetaData$
    {39, 454, 525},	// Okular::Generator::documentMetaData$#
    {39, 461, 529},	// Okular::Generator::dynamicSourceReference$$$
    {39, 464, 504},	// Okular::Generator::embeddedFiles
    {39, 466, 515},	// Okular::Generator::error$$
    {39, 469, 512},	// Okular::Generator::exportFormats
    {39, 471, 513},	// Okular::Generator::exportTo$#
    {39, 491, 503},	// Okular::Generator::fontsForPage$
    {39, 495, 501},	// Okular::Generator::generateDocumentInfo
    {39, 496, 502},	// Okular::Generator::generateDocumentSynopsis
    {39, 498, 498},	// Okular::Generator::generatePixmap#
    {39, 500, 500},	// Okular::Generator::generateTextPage#
    {39, 518, 514},	// Okular::Generator::hasFeature$
    {39, 537, 521},	// Okular::Generator::image#
    {39, 550, 506},	// Okular::Generator::isAllowed$
    {39, 579, 494},	// Okular::Generator::loadDocument$?
    {39, 581, 495},	// Okular::Generator::loadDocumentFromData#?
    {39, 594, 511},	// Okular::Generator::metaData$#
    {39, 595, 486},	// Okular::Generator::metaObject
    {39, 608, 517},	// Okular::Generator::notice$$
    {39, 659, 509},	// Okular::Generator::pageSizeChanged##
    {39, 662, 508},	// Okular::Generator::pageSizes
    {39, 665, 505},	// Okular::Generator::pagesSizeMetric
    {39, 669, 510},	// Okular::Generator::print#
    {39, 691, 492},	// Okular::Generator::qt_metacall$$?
    {39, 693, 487},	// Okular::Generator::qt_metacast$
    {39, 713, 528},	// Okular::Generator::requestFontData##
    {39, 727, 507},	// Okular::Generator::rotationChanged$$
    {39, 787, 535},	// Okular::Generator::setFeature$
    {39, 788, 524},	// Okular::Generator::setFeature$$
    {39, 935, 518},	// Okular::Generator::signalPixmapRequestDone#
    {39, 937, 519},	// Okular::Generator::signalTextGenerationDone##
    {39, 949, 537},	// Okular::Generator::staticMetaObject
    {39, 971, 522},	// Okular::Generator::textPage#
    {39, 980, 533},	// Okular::Generator::tr$
    {39, 981, 488},	// Okular::Generator::tr$$
    {39, 982, 490},	// Okular::Generator::tr$$$
    {39, 984, 534},	// Okular::Generator::trUtf8$
    {39, 985, 489},	// Okular::Generator::trUtf8$$
    {39, 986, 491},	// Okular::Generator::trUtf8$$$
    {39, 1005, 527},	// Okular::Generator::updatePageBoundingBox$#
    {39, 1007, 526},	// Okular::Generator::userMutex
    {39, 1013, 516},	// Okular::Generator::warning$$
    {39, 1042, 548},	// Okular::Generator::~Generator
    {41, 124, 549},	// Okular::GeomAnnotation::GeomAnnotation
    {41, 125, 550},	// Okular::GeomAnnotation::GeomAnnotation#
    {41, 149, 560},	// Okular::GeomAnnotation::InscribedCircle
    {41, 150, 559},	// Okular::GeomAnnotation::InscribedSquare
    {41, 502, 554},	// Okular::GeomAnnotation::geometricalInnerColor
    {41, 503, 556},	// Okular::GeomAnnotation::geometricalPointWidth
    {41, 504, 552},	// Okular::GeomAnnotation::geometricalType
    {41, 798, 553},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {41, 800, 555},	// Okular::GeomAnnotation::setGeometricalPointWidth$
    {41, 802, 551},	// Okular::GeomAnnotation::setGeometricalType$
    {41, 952, 558},	// Okular::GeomAnnotation::store##
    {41, 956, 557},	// Okular::GeomAnnotation::subType
    {41, 1043, 561},	// Okular::GeomAnnotation::~GeomAnnotation
    {42, 132, 562},	// Okular::GotoAction::GotoAction$#
    {42, 133, 563},	// Okular::GotoAction::GotoAction$$
    {42, 338, 565},	// Okular::GotoAction::actionTip
    {42, 339, 564},	// Okular::GotoAction::actionType
    {42, 436, 568},	// Okular::GotoAction::destViewport
    {42, 439, 569},	// Okular::GotoAction::destinationName
    {42, 476, 567},	// Okular::GotoAction::fileName
    {42, 553, 566},	// Okular::GotoAction::isExternal
    {42, 1044, 570},	// Okular::GotoAction::~GotoAction
    {43, 135, 572},	// Okular::GuiInterface::GuiInterface
    {43, 136, 573},	// Okular::GuiInterface::GuiInterface#
    {43, 515, 571},	// Okular::GuiInterface::guiClient
    {43, 1045, 574},	// Okular::GuiInterface::~GuiInterface
    {44, 139, 582},	// Okular::HighlightAnnotation::Highlight
    {44, 140, 575},	// Okular::HighlightAnnotation::HighlightAnnotation
    {44, 141, 576},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {44, 286, 583},	// Okular::HighlightAnnotation::Squiggly
    {44, 291, 585},	// Okular::HighlightAnnotation::StrikeOut
    {44, 321, 584},	// Okular::HighlightAnnotation::Underline
    {44, 530, 579},	// Okular::HighlightAnnotation::highlightQuads
    {44, 531, 578},	// Okular::HighlightAnnotation::highlightType
    {44, 804, 577},	// Okular::HighlightAnnotation::setHighlightType$
    {44, 952, 581},	// Okular::HighlightAnnotation::store##
    {44, 956, 580},	// Okular::HighlightAnnotation::subType
    {44, 1046, 586},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 147, 587},	// Okular::InkAnnotation::InkAnnotation
    {45, 148, 588},	// Okular::InkAnnotation::InkAnnotation#
    {45, 540, 590},	// Okular::InkAnnotation::inkPaths
    {45, 806, 589},	// Okular::InkAnnotation::setInkPaths?
    {45, 952, 593},	// Okular::InkAnnotation::store##
    {45, 956, 592},	// Okular::InkAnnotation::subType
    {45, 992, 591},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1047, 594},	// Okular::InkAnnotation::~InkAnnotation
    {46, 27, 629},	// Okular::LineAnnotation::Arrow
    {46, 35, 624},	// Okular::LineAnnotation::Butt
    {46, 49, 619},	// Okular::LineAnnotation::Circle
    {46, 51, 622},	// Okular::LineAnnotation::ClosedArrow
    {46, 68, 620},	// Okular::LineAnnotation::Diamond
    {46, 69, 630},	// Okular::LineAnnotation::Dimension
    {46, 172, 595},	// Okular::LineAnnotation::LineAnnotation
    {46, 173, 596},	// Okular::LineAnnotation::LineAnnotation#
    {46, 188, 623},	// Okular::LineAnnotation::None
    {46, 205, 621},	// Okular::LineAnnotation::OpenArrow
    {46, 230, 631},	// Okular::LineAnnotation::PolygonCloud
    {46, 252, 626},	// Okular::LineAnnotation::RClosedArrow
    {46, 253, 625},	// Okular::LineAnnotation::ROpenArrow
    {46, 268, 627},	// Okular::LineAnnotation::Slash
    {46, 285, 618},	// Okular::LineAnnotation::Square
    {46, 322, 628},	// Okular::LineAnnotation::Unknown
    {46, 566, 605},	// Okular::LineAnnotation::lineClosed
    {46, 567, 603},	// Okular::LineAnnotation::lineEndStyle
    {46, 568, 607},	// Okular::LineAnnotation::lineInnerColor
    {46, 569, 615},	// Okular::LineAnnotation::lineIntent
    {46, 570, 611},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 571, 609},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 572, 598},	// Okular::LineAnnotation::linePoints
    {46, 573, 601},	// Okular::LineAnnotation::lineStartStyle
    {46, 822, 604},	// Okular::LineAnnotation::setLineClosed$
    {46, 824, 602},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 826, 606},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 828, 614},	// Okular::LineAnnotation::setLineIntent$
    {46, 830, 610},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 832, 608},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 834, 597},	// Okular::LineAnnotation::setLinePoints?
    {46, 836, 600},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 881, 612},	// Okular::LineAnnotation::setShowCaption$
    {46, 932, 613},	// Okular::LineAnnotation::showCaption
    {46, 952, 617},	// Okular::LineAnnotation::store##
    {46, 956, 616},	// Okular::LineAnnotation::subType
    {46, 995, 599},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1048, 632},	// Okular::LineAnnotation::~LineAnnotation
    {47, 190, 633},	// Okular::NormalizedPoint::NormalizedPoint
    {47, 191, 638},	// Okular::NormalizedPoint::NormalizedPoint#
    {47, 192, 634},	// Okular::NormalizedPoint::NormalizedPoint$$
    {47, 193, 635},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {47, 625, 636},	// Okular::NormalizedPoint::operator=#
    {47, 924, 640},	// Okular::NormalizedPoint::setX$
    {47, 928, 642},	// Okular::NormalizedPoint::setY$
    {47, 988, 637},	// Okular::NormalizedPoint::transform#
    {47, 1017, 639},	// Okular::NormalizedPoint::x
    {47, 1019, 641},	// Okular::NormalizedPoint::y
    {47, 1049, 643},	// Okular::NormalizedPoint::~NormalizedPoint
    {48, 194, 644},	// Okular::NormalizedRect::NormalizedRect
    {48, 195, 647},	// Okular::NormalizedRect::NormalizedRect#
    {48, 196, 646},	// Okular::NormalizedRect::NormalizedRect#$$
    {48, 197, 645},	// Okular::NormalizedRect::NormalizedRect$$$$
    {48, 373, 668},	// Okular::NormalizedRect::bottom
    {48, 393, 660},	// Okular::NormalizedRect::center
    {48, 405, 651},	// Okular::NormalizedRect::contains$$
    {48, 494, 649},	// Okular::NormalizedRect::fromQRectF#
    {48, 506, 655},	// Okular::NormalizedRect::geometry$$
    {48, 547, -7},	// Okular::NormalizedRect::intersects#
    {48, 548, 654},	// Okular::NormalizedRect::intersects$$$$
    {48, 554, 650},	// Okular::NormalizedRect::isNull
    {48, 565, 662},	// Okular::NormalizedRect::left
    {48, 623, 658},	// Okular::NormalizedRect::operator&#
    {48, 625, 648},	// Okular::NormalizedRect::operator=#
    {48, 627, 659},	// Okular::NormalizedRect::operator==#
    {48, 629, 656},	// Okular::NormalizedRect::operator|#
    {48, 631, 657},	// Okular::NormalizedRect::operator|=#
    {48, 722, 666},	// Okular::NormalizedRect::right
    {48, 757, 669},	// Okular::NormalizedRect::setBottom$
    {48, 820, 663},	// Okular::NormalizedRect::setLeft$
    {48, 873, 667},	// Okular::NormalizedRect::setRight$
    {48, 905, 665},	// Okular::NormalizedRect::setTop$
    {48, 977, 664},	// Okular::NormalizedRect::top
    {48, 988, 661},	// Okular::NormalizedRect::transform#
    {48, 1050, 670},	// Okular::NormalizedRect::~NormalizedRect
    {49, 14, 690},	// Okular::ObjectRect::Action
    {49, 145, 691},	// Okular::ObjectRect::Image
    {49, 199, 692},	// Okular::ObjectRect::OAnnotation
    {49, 201, 681},	// Okular::ObjectRect::ObjectRect#
    {49, 202, 673},	// Okular::ObjectRect::ObjectRect#$$
    {49, 203, 672},	// Okular::ObjectRect::ObjectRect#$$$
    {49, 204, 671},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {49, 277, 693},	// Okular::ObjectRect::SourceRef
    {49, 376, 677},	// Okular::ObjectRect::boundingRect$$
    {49, 406, 678},	// Okular::ObjectRect::contains$$$$
    {49, 445, 680},	// Okular::ObjectRect::distanceSqr$$$$
    {49, 583, 684},	// Okular::ObjectRect::m_object
    {49, 584, 682},	// Okular::ObjectRect::m_objectType
    {49, 585, 686},	// Okular::ObjectRect::m_path
    {49, 586, 688},	// Okular::ObjectRect::m_transformedPath
    {49, 610, 675},	// Okular::ObjectRect::object
    {49, 613, 674},	// Okular::ObjectRect::objectType
    {49, 699, 676},	// Okular::ObjectRect::region
    {49, 839, 685},	// Okular::ObjectRect::setM_object$
    {49, 841, 683},	// Okular::ObjectRect::setM_objectType$
    {49, 843, 687},	// Okular::ObjectRect::setM_path#
    {49, 845, 689},	// Okular::ObjectRect::setM_transformedPath#
    {49, 988, 679},	// Okular::ObjectRect::transform#
    {49, 1051, 694},	// Okular::ObjectRect::~ObjectRect
    {50, 52, 748},	// Okular::Page::Closing
    {50, 207, 747},	// Okular::Page::Opening
    {50, 212, 695},	// Okular::Page::Page$$$$
    {50, 344, 732},	// Okular::Page::addAnnotation#
    {50, 363, 719},	// Okular::Page::annotations
    {50, 374, 703},	// Okular::Page::boundingBox
    {50, 427, 741},	// Okular::Page::deleteAnnotations
    {50, 431, 737},	// Okular::Page::deletePixmap$
    {50, 432, 738},	// Okular::Page::deletePixmaps
    {50, 433, 739},	// Okular::Page::deleteRects
    {50, 434, 740},	// Okular::Page::deleteSourceReferences
    {50, 459, 727},	// Okular::Page::duration
    {50, 482, 745},	// Okular::Page::findText$$$$
    {50, 483, 712},	// Okular::Page::findText$$$$#
    {50, 492, 721},	// Okular::Page::formFields
    {50, 516, 711},	// Okular::Page::hasAnnotations
    {50, 519, 744},	// Okular::Page::hasHighlights
    {50, 520, 709},	// Okular::Page::hasHighlights$
    {50, 522, 708},	// Okular::Page::hasObjectRect$$$$
    {50, 524, 742},	// Okular::Page::hasPixmap$
    {50, 525, 743},	// Okular::Page::hasPixmap$$
    {50, 526, 706},	// Okular::Page::hasPixmap$$$
    {50, 527, 707},	// Okular::Page::hasTextPage
    {50, 528, 710},	// Okular::Page::hasTransition
    {50, 529, 701},	// Okular::Page::height
    {50, 551, 704},	// Okular::Page::isBoundingBoxKnown
    {50, 564, 729},	// Okular::Page::label
    {50, 606, 717},	// Okular::Page::nearestObjectRect$$$$$$
    {50, 609, 696},	// Okular::Page::number
    {50, 612, 716},	// Okular::Page::objectRect$$$$$
    {50, 646, 697},	// Okular::Page::orientation
    {50, 650, 720},	// Okular::Page::pageAction$
    {50, 695, 702},	// Okular::Page::ratio
    {50, 703, 733},	// Okular::Page::removeAnnotation#
    {50, 725, 698},	// Okular::Page::rotation
    {50, 759, 705},	// Okular::Page::setBoundingBox#
    {50, 781, 726},	// Okular::Page::setDuration$
    {50, 796, 736},	// Okular::Page::setFormFields?
    {50, 818, 728},	// Okular::Page::setLabel$
    {50, 858, 724},	// Okular::Page::setObjectRects?
    {50, 860, 735},	// Okular::Page::setPageAction$#
    {50, 868, 722},	// Okular::Page::setPixmap$#
    {50, 889, 725},	// Okular::Page::setSourceReferences?
    {50, 901, 723},	// Okular::Page::setTextPage#
    {50, 907, 734},	// Okular::Page::setTransition#
    {50, 962, 746},	// Okular::Page::text
    {50, 963, 713},	// Okular::Page::text#
    {50, 964, 714},	// Okular::Page::text#$
    {50, 967, 715},	// Okular::Page::textArea#
    {50, 972, 730},	// Okular::Page::textSelection
    {50, 973, 731},	// Okular::Page::textSelectionColor
    {50, 978, 699},	// Okular::Page::totalOrientation
    {50, 996, 718},	// Okular::Page::transition
    {50, 1015, 700},	// Okular::Page::width
    {50, 1052, 749},	// Okular::Page::~Page
    {51, 217, 750},	// Okular::PageSize::PageSize
    {51, 218, 752},	// Okular::PageSize::PageSize#
    {51, 219, 751},	// Okular::PageSize::PageSize$$$
    {51, 529, 754},	// Okular::PageSize::height
    {51, 554, 756},	// Okular::PageSize::isNull
    {51, 603, 755},	// Okular::PageSize::name
    {51, 621, 759},	// Okular::PageSize::operator!=#
    {51, 625, 757},	// Okular::PageSize::operator=#
    {51, 627, 758},	// Okular::PageSize::operator==#
    {51, 1015, 753},	// Okular::PageSize::width
    {51, 1053, 760},	// Okular::PageSize::~PageSize
    {52, 30, 781},	// Okular::PageTransition::Blinds
    {52, 31, 782},	// Okular::PageTransition::Box
    {52, 59, 788},	// Okular::PageTransition::Cover
    {52, 70, 784},	// Okular::PageTransition::Dissolve
    {52, 98, 790},	// Okular::PageTransition::Fade
    {52, 108, 786},	// Okular::PageTransition::Fly
    {52, 126, 785},	// Okular::PageTransition::Glitter
    {52, 144, 791},	// Okular::PageTransition::Horizontal
    {52, 152, 793},	// Okular::PageTransition::Inward
    {52, 208, 794},	// Okular::PageTransition::Outward
    {52, 221, 778},	// Okular::PageTransition::PageTransition
    {52, 222, 762},	// Okular::PageTransition::PageTransition#
    {52, 223, 761},	// Okular::PageTransition::PageTransition$
    {52, 240, 787},	// Okular::PageTransition::Push
    {52, 261, 779},	// Okular::PageTransition::Replace
    {52, 284, 780},	// Okular::PageTransition::Split
    {52, 320, 789},	// Okular::PageTransition::Uncover
    {52, 326, 792},	// Okular::PageTransition::Vertical
    {52, 331, 783},	// Okular::PageTransition::Wipe
    {52, 357, 766},	// Okular::PageTransition::alignment
    {52, 359, 768},	// Okular::PageTransition::angle
    {52, 442, 767},	// Okular::PageTransition::direction
    {52, 459, 765},	// Okular::PageTransition::duration
    {52, 558, 770},	// Okular::PageTransition::isRectangular
    {52, 625, 763},	// Okular::PageTransition::operator=#
    {52, 735, 769},	// Okular::PageTransition::scale
    {52, 749, 773},	// Okular::PageTransition::setAlignment$
    {52, 751, 775},	// Okular::PageTransition::setAngle$
    {52, 777, 774},	// Okular::PageTransition::setDirection$
    {52, 781, 772},	// Okular::PageTransition::setDuration$
    {52, 816, 777},	// Okular::PageTransition::setIsRectangular$
    {52, 879, 776},	// Okular::PageTransition::setScale$
    {52, 909, 771},	// Okular::PageTransition::setType$
    {52, 999, 764},	// Okular::PageTransition::type
    {52, 1054, 795},	// Okular::PageTransition::~PageTransition
    {53, 227, 796},	// Okular::PixmapRequest::PixmapRequest$$$$$$
    {53, 367, 802},	// Okular::PixmapRequest::asynchronous
    {53, 529, 800},	// Okular::PixmapRequest::height
    {53, 535, 797},	// Okular::PixmapRequest::id
    {53, 647, 803},	// Okular::PixmapRequest::page
    {53, 655, 798},	// Okular::PixmapRequest::pageNumber
    {53, 682, 801},	// Okular::PixmapRequest::priority
    {53, 1015, 799},	// Okular::PixmapRequest::width
    {53, 1055, 804},	// Okular::PixmapRequest::~PixmapRequest
    {54, 234, 806},	// Okular::PrintInterface::PrintInterface
    {54, 235, 807},	// Okular::PrintInterface::PrintInterface#
    {54, 672, 805},	// Okular::PrintInterface::printConfigurationWidget
    {54, 1056, 808},	// Okular::PrintInterface::~PrintInterface
    {55, 257, 809},	// Okular::RegularAreaRect::RegularAreaRect
    {55, 258, 810},	// Okular::RegularAreaRect::RegularAreaRect#
    {55, 625, 811},	// Okular::RegularAreaRect::operator=#
    {55, 1057, 812},	// Okular::RegularAreaRect::~RegularAreaRect
    {56, 265, 813},	// Okular::ScriptAction::ScriptAction$$
    {56, 338, 815},	// Okular::ScriptAction::actionTip
    {56, 339, 814},	// Okular::ScriptAction::actionType
    {56, 736, 817},	// Okular::ScriptAction::script
    {56, 737, 816},	// Okular::ScriptAction::scriptType
    {56, 1058, 818},	// Okular::ScriptAction::~ScriptAction
    {57, 6, 837},	// Okular::Sound::ALaw
    {57, 84, 833},	// Okular::Sound::Embedded
    {57, 96, 832},	// Okular::Sound::External
    {57, 255, 834},	// Okular::Sound::Raw
    {57, 267, 835},	// Okular::Sound::Signed
    {57, 271, 819},	// Okular::Sound::Sound#
    {57, 272, 820},	// Okular::Sound::Sound$
    {57, 369, 829},	// Okular::Sound::bitsPerSample
    {57, 394, 827},	// Okular::Sound::channels
    {57, 426, 823},	// Okular::Sound::data
    {57, 601, 836},	// Okular::Sound::muLaw
    {57, 729, 825},	// Okular::Sound::samplingRate
    {57, 755, 828},	// Okular::Sound::setBitsPerSample$
    {57, 767, 826},	// Okular::Sound::setChannels$
    {57, 877, 824},	// Okular::Sound::setSamplingRate$
    {57, 885, 830},	// Okular::Sound::setSoundEncoding$
    {57, 940, 831},	// Okular::Sound::soundEncoding
    {57, 942, 821},	// Okular::Sound::soundType
    {57, 1006, 822},	// Okular::Sound::url
    {57, 1059, 838},	// Okular::Sound::~Sound
    {58, 274, 839},	// Okular::SoundAction::SoundAction$$$$#
    {58, 338, 841},	// Okular::SoundAction::actionTip
    {58, 339, 840},	// Okular::SoundAction::actionType
    {58, 597, 845},	// Okular::SoundAction::mix
    {58, 711, 844},	// Okular::SoundAction::repeat
    {58, 939, 846},	// Okular::SoundAction::sound
    {58, 961, 843},	// Okular::SoundAction::synchronous
    {58, 1011, 842},	// Okular::SoundAction::volume
    {58, 1060, 847},	// Okular::SoundAction::~SoundAction
    {59, 275, 848},	// Okular::SoundAnnotation::SoundAnnotation
    {59, 276, 849},	// Okular::SoundAnnotation::SoundAnnotation#
    {59, 883, 853},	// Okular::SoundAnnotation::setSound#
    {59, 887, 851},	// Okular::SoundAnnotation::setSoundIconName$
    {59, 939, 852},	// Okular::SoundAnnotation::sound
    {59, 941, 850},	// Okular::SoundAnnotation::soundIconName
    {59, 952, 855},	// Okular::SoundAnnotation::store##
    {59, 956, 854},	// Okular::SoundAnnotation::subType
    {59, 1061, 856},	// Okular::SoundAnnotation::~SoundAnnotation
    {60, 279, 860},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {60, 280, 857},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {60, 376, 858},	// Okular::SourceRefObjectRect::boundingRect$$
    {60, 406, 859},	// Okular::SourceRefObjectRect::contains$$$$
    {60, 1062, 861},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {61, 282, 866},	// Okular::SourceReference::SourceReference$$
    {61, 283, 862},	// Okular::SourceReference::SourceReference$$$
    {61, 400, 865},	// Okular::SourceReference::column
    {61, 476, 863},	// Okular::SourceReference::fileName
    {61, 728, 864},	// Okular::SourceReference::row
    {61, 1063, 867},	// Okular::SourceReference::~SourceReference
    {62, 287, 868},	// Okular::StampAnnotation::StampAnnotation
    {62, 288, 869},	// Okular::StampAnnotation::StampAnnotation#
    {62, 891, 870},	// Okular::StampAnnotation::setStampIconName$
    {62, 943, 871},	// Okular::StampAnnotation::stampIconName
    {62, 952, 873},	// Okular::StampAnnotation::store##
    {62, 956, 872},	// Okular::StampAnnotation::subType
    {62, 1064, 874},	// Okular::StampAnnotation::~StampAnnotation
    {63, 41, 897},	// Okular::TextAnnotation::Callout
    {63, 146, 895},	// Okular::TextAnnotation::InPlace
    {63, 174, 894},	// Okular::TextAnnotation::Linked
    {63, 299, 875},	// Okular::TextAnnotation::TextAnnotation
    {63, 300, 876},	// Okular::TextAnnotation::TextAnnotation#
    {63, 319, 898},	// Okular::TextAnnotation::TypeWriter
    {63, 322, 896},	// Okular::TextAnnotation::Unknown
    {63, 541, 884},	// Okular::TextAnnotation::inplaceAlignment
    {63, 543, 888},	// Okular::TextAnnotation::inplaceCallout$
    {63, 544, 891},	// Okular::TextAnnotation::inplaceIntent
    {63, 545, 886},	// Okular::TextAnnotation::inplaceText
    {63, 808, 883},	// Okular::TextAnnotation::setInplaceAlignment$
    {63, 810, 887},	// Okular::TextAnnotation::setInplaceCallout#$
    {63, 812, 890},	// Okular::TextAnnotation::setInplaceIntent$
    {63, 814, 885},	// Okular::TextAnnotation::setInplaceText$
    {63, 897, 881},	// Okular::TextAnnotation::setTextFont#
    {63, 899, 879},	// Okular::TextAnnotation::setTextIcon$
    {63, 903, 877},	// Okular::TextAnnotation::setTextType$
    {63, 952, 893},	// Okular::TextAnnotation::store##
    {63, 956, 892},	// Okular::TextAnnotation::subType
    {63, 968, 882},	// Okular::TextAnnotation::textFont
    {63, 969, 880},	// Okular::TextAnnotation::textIcon
    {63, 974, 878},	// Okular::TextAnnotation::textType
    {63, 994, 889},	// Okular::TextAnnotation::transformedInplaceCallout$
    {63, 1065, 899},	// Okular::TextAnnotation::~TextAnnotation
    {64, 301, 907},	// Okular::TextDocumentConverter::TextDocumentConverter
    {64, 342, 909},	// Okular::TextDocumentConverter::addAction#$$
    {64, 345, 910},	// Okular::TextDocumentConverter::addAnnotation#$$
    {64, 347, 913},	// Okular::TextDocumentConverter::addMetaData$$
    {64, 348, 912},	// Okular::TextDocumentConverter::addMetaData$$$
    {64, 356, 911},	// Okular::TextDocumentConverter::addTitle$$#
    {64, 380, 917},	// Okular::TextDocumentConverter::calculateViewport##
    {64, 412, 908},	// Okular::TextDocumentConverter::convert$
    {64, 466, 914},	// Okular::TextDocumentConverter::error$$
    {64, 501, 918},	// Okular::TextDocumentConverter::generator
    {64, 595, 900},	// Okular::TextDocumentConverter::metaObject
    {64, 608, 916},	// Okular::TextDocumentConverter::notice$$
    {64, 691, 906},	// Okular::TextDocumentConverter::qt_metacall$$?
    {64, 693, 901},	// Okular::TextDocumentConverter::qt_metacast$
    {64, 949, 921},	// Okular::TextDocumentConverter::staticMetaObject
    {64, 980, 919},	// Okular::TextDocumentConverter::tr$
    {64, 981, 902},	// Okular::TextDocumentConverter::tr$$
    {64, 982, 904},	// Okular::TextDocumentConverter::tr$$$
    {64, 984, 920},	// Okular::TextDocumentConverter::trUtf8$
    {64, 985, 903},	// Okular::TextDocumentConverter::trUtf8$$
    {64, 986, 905},	// Okular::TextDocumentConverter::trUtf8$$$
    {64, 1013, 915},	// Okular::TextDocumentConverter::warning$$
    {64, 1066, 922},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {65, 303, 930},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {65, 386, 932},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {65, 446, 939},	// Okular::TextDocumentGenerator::doCloseDocument
    {65, 469, 935},	// Okular::TextDocumentGenerator::exportFormats
    {65, 471, 936},	// Okular::TextDocumentGenerator::exportTo$#
    {65, 495, 937},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {65, 496, 938},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {65, 498, 933},	// Okular::TextDocumentGenerator::generatePixmap#
    {65, 579, 931},	// Okular::TextDocumentGenerator::loadDocument$?
    {65, 595, 923},	// Okular::TextDocumentGenerator::metaObject
    {65, 669, 934},	// Okular::TextDocumentGenerator::print#
    {65, 691, 929},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {65, 693, 924},	// Okular::TextDocumentGenerator::qt_metacast$
    {65, 949, 943},	// Okular::TextDocumentGenerator::staticMetaObject
    {65, 971, 940},	// Okular::TextDocumentGenerator::textPage#
    {65, 980, 941},	// Okular::TextDocumentGenerator::tr$
    {65, 981, 925},	// Okular::TextDocumentGenerator::tr$$
    {65, 982, 927},	// Okular::TextDocumentGenerator::tr$$$
    {65, 984, 942},	// Okular::TextDocumentGenerator::trUtf8$
    {65, 985, 926},	// Okular::TextDocumentGenerator::trUtf8$$
    {65, 986, 928},	// Okular::TextDocumentGenerator::trUtf8$$$
    {65, 1067, 944},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {66, 305, 945},	// Okular::TextEntity::TextEntity$#
    {66, 366, 947},	// Okular::TextEntity::area
    {66, 962, 946},	// Okular::TextEntity::text
    {66, 990, 948},	// Okular::TextEntity::transformedArea#
    {66, 1068, 949},	// Okular::TextEntity::~TextEntity
    {67, 24, 958},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {67, 47, 959},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {67, 307, 950},	// Okular::TextPage::TextPage
    {67, 308, 951},	// Okular::TextPage::TextPage?
    {67, 365, 952},	// Okular::TextPage::append$#
    {67, 483, 953},	// Okular::TextPage::findText$$$$#
    {67, 962, 957},	// Okular::TextPage::text
    {67, 963, 954},	// Okular::TextPage::text#
    {67, 964, 955},	// Okular::TextPage::text#$
    {67, 967, 956},	// Okular::TextPage::textArea#
    {67, 1069, 960},	// Okular::TextPage::~TextPage
    {69, 324, 967},	// Okular::Utils::Utils
    {69, 325, 968},	// Okular::Utils::Utils#
    {69, 457, 962},	// Okular::Utils::dpiX
    {69, 458, 963},	// Okular::Utils::dpiY
    {69, 539, 966},	// Okular::Utils::imageBoundingBox#
    {69, 696, 964},	// Okular::Utils::realDpiX
    {69, 697, 965},	// Okular::Utils::realDpiY
    {69, 724, 961},	// Okular::Utils::rotateRect#$$$
    {69, 1070, 969},	// Okular::Utils::~Utils
    {71, 327, 972},	// Okular::VisiblePageRect::VisiblePageRect
    {71, 328, 971},	// Okular::VisiblePageRect::VisiblePageRect#
    {71, 329, 973},	// Okular::VisiblePageRect::VisiblePageRect$
    {71, 330, 970},	// Okular::VisiblePageRect::VisiblePageRect$#
    {71, 655, 974},	// Okular::VisiblePageRect::pageNumber
    {71, 698, 976},	// Okular::VisiblePageRect::rect
    {71, 862, 975},	// Okular::VisiblePageRect::setPageNumber$
    {71, 871, 977},	// Okular::VisiblePageRect::setRect#
    {71, 1071, 978},	// Okular::VisiblePageRect::~VisiblePageRect
    {83, 153, 1006},	// QGlobalSpace::KST_CTimeInfo
    {83, 154, 994},	// QGlobalSpace::KST_KCustom
    {83, 155, 989},	// QGlobalSpace::KST_KDEDesktopMimeType
    {83, 156, 988},	// QGlobalSpace::KST_KFolderMimeType
    {83, 157, 1003},	// QGlobalSpace::KST_KImageIO
    {83, 158, 991},	// QGlobalSpace::KST_KImageIOFormat
    {83, 159, 987},	// QGlobalSpace::KST_KMimeType
    {83, 160, 1005},	// QGlobalSpace::KST_KMimeTypeFactory
    {83, 161, 992},	// QGlobalSpace::KST_KProtocolInfo
    {83, 162, 1004},	// QGlobalSpace::KST_KProtocolInfoFactory
    {83, 163, 985},	// QGlobalSpace::KST_KService
    {83, 164, 1000},	// QGlobalSpace::KST_KServiceFactory
    {83, 165, 990},	// QGlobalSpace::KST_KServiceGroup
    {83, 166, 1002},	// QGlobalSpace::KST_KServiceGroupFactory
    {83, 167, 993},	// QGlobalSpace::KST_KServiceSeparator
    {83, 168, 986},	// QGlobalSpace::KST_KServiceType
    {83, 169, 1001},	// QGlobalSpace::KST_KServiceTypeFactory
    {83, 170, 984},	// QGlobalSpace::KST_KSycocaEntry
    {83, 241, 979},	// QGlobalSpace::Q_COMPLEX_TYPE
    {83, 242, 983},	// QGlobalSpace::Q_DUMMY_TYPE
    {83, 243, 982},	// QGlobalSpace::Q_MOVABLE_TYPE
    {83, 244, 980},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {83, 245, 981},	// QGlobalSpace::Q_STATIC_TYPE
    {83, 246, 997},	// QGlobalSpace::QtCriticalMsg
    {83, 247, 995},	// QGlobalSpace::QtDebugMsg
    {83, 248, 998},	// QGlobalSpace::QtFatalMsg
    {83, 249, 999},	// QGlobalSpace::QtSystemMsg
    {83, 250, 996},	// QGlobalSpace::QtWarningMsg
    {83, 332, 1009},	// QGlobalSpace::__codecvt_error
    {83, 333, 1010},	// QGlobalSpace::__codecvt_noconv
    {83, 334, 1007},	// QGlobalSpace::__codecvt_ok
    {83, 335, 1008},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    init_kparts_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 102,
        __smokeokular::methods, 1018,
        __smokeokular::methodMaps, 984,
        __smokeokular::methodNames, 1071,
        __smokeokular::types, 349,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
