#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 57: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 57: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 11:   //Phonon::Effect
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 11: return (void*)(Phonon::Effect*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::EffectParameter
      switch(to) {
        case 12: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectPrivate
      switch(to) {
        case 13: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectWidget
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 57: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::MediaController
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 15: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaNode
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 11: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNodePrivate
      switch(to) {
        case 17: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaObject
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaSource
      switch(to) {
        case 19: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 20: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 63: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 21: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 22: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 23: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::Path
      switch(to) {
        case 24: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::SeekSlider
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 57: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::StreamInterface
      switch(to) {
        case 26: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::VideoPlayer
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 29: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 11: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VolumeSlider
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 32:   //QAbstractListModel
      switch(to) {
        case 57: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 32: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 33:   //QActionEvent
      switch(to) {
        case 33: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QBool
      switch(to) {
        case 34: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 35:   //QByteArray
      switch(to) {
        case 35: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 36:   //QChildEvent
      switch(to) {
        case 36: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QCloseEvent
      switch(to) {
        case 37: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QContextMenuEvent
      switch(to) {
        case 38: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QDragEnterEvent
      switch(to) {
        case 39: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragLeaveEvent
      switch(to) {
        case 40: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragMoveEvent
      switch(to) {
        case 41: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDropEvent
      switch(to) {
        case 42: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QEvent
      switch(to) {
        case 43: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFocusEvent
      switch(to) {
        case 44: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFont
      switch(to) {
        case 45: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 47:   //QHideEvent
      switch(to) {
        case 47: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 48: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 49:   //QImage
      switch(to) {
        case 49: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 50:   //QInputMethodEvent
      switch(to) {
        case 50: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QKeyEvent
      switch(to) {
        case 51: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QMetaObject
      switch(to) {
        case 52: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 53:   //QMimeData
      switch(to) {
        case 53: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 11: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 15: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintEngine
      switch(to) {
        case 58: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEvent
      switch(to) {
        case 59: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QPalette
      switch(to) {
        case 60: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 61:   //QRegExp
      switch(to) {
        case 61: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 62:   //QResizeEvent
      switch(to) {
        case 62: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QSharedData
      switch(to) {
        case 63: return (void*)(QSharedData*)xptr;
        case 21: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 64:   //QShowEvent
      switch(to) {
        case 64: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QSize
      switch(to) {
        case 65: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 66:   //QStyle
      switch(to) {
        case 66: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 67:   //QTabletEvent
      switch(to) {
        case 67: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QTimerEvent
      switch(to) {
        case 68: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QUrl
      switch(to) {
        case 69: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 70:   //QVariant
      switch(to) {
        case 70: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 71:   //QWheelEvent
      switch(to) {
        case 71: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 72: return (void*)(QWidget*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    57, 16, 0,	// 1: QObject, Phonon::MediaNode
    57, 0,	// 4: QObject
    16, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    72, 0,	// 10: QWidget
    63, 0,	// 12: QSharedData
    72, 6, 0,	// 14: QWidget, Phonon::AbstractVideoOutput
    11, 0,	// 17: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AddonInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__BackendInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPixmap(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, 0, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//11
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//12
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//13
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//14
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//15
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//16
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//17
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//18
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//19
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "Phonon::ObjectDescriptionData", false, 12, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//21
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//22
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//24
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//25
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//26
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//27
    { "Phonon::VideoWidget", false, 14, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//28
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//29
    { "Phonon::VolumeFaderEffect", false, 17, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//30
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//31
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//32
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QBool", true, 0, 0, 0, 0, 0 },	//34
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//35
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFont", true, 0, 0, 0, 0, 0 },	//45
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//46
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//48
    { "QImage", true, 0, 0, 0, 0, 0 },	//49
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//52
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QPalette", true, 0, 0, 0, 0, 0 },	//60
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//61
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//63
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QSize", true, 0, 0, 0, 0, 0 },	//65
    { "QStyle", true, 0, 0, 0, 0, 0 },	//66
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QUrl", true, 0, 0, 0, 0, 0 },	//69
    { "QVariant", true, 0, 0, 0, 0, 0 },	//70
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QWidget", true, 0, 0, 0, 0, 0 },	//72
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Phonon::Effect*", 11, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "Phonon::EffectParameter*", 12, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::EffectParameter::Hint", 12, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Phonon::EffectParameter::Hints", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "Phonon::EffectPrivate&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "Phonon::EffectWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Phonon::MediaController*", 15, Smoke::t_class|Smoke::tf_ptr },	//21
    { "Phonon::MediaController::Feature", 15, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Phonon::MediaController::Features", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "Phonon::MediaNode*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Phonon::MediaNodePrivate&", 17, Smoke::t_class|Smoke::tf_ref },	//25
    { "Phonon::MediaObject*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Phonon::MediaSource", 19, Smoke::t_class|Smoke::tf_stack },	//27
    { "Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref },	//28
    { "Phonon::MediaSource*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Phonon::MediaSource::Type", 19, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Phonon::MediaSourcePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//31
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "Phonon::ObjectDescriptionData*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Phonon::ObjectDescriptionModelData*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Phonon::ObjectDescriptionPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Phonon::Path", 24, Smoke::t_class|Smoke::tf_stack },	//41
    { "Phonon::Path&", 24, Smoke::t_class|Smoke::tf_ref },	//42
    { "Phonon::Path*", 24, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Phonon::SeekSlider*", 25, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Phonon::StreamInterface*", 26, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Phonon::VideoPlayer*", 27, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Phonon::VideoWidget::AspectRatio", 28, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Phonon::VideoWidget::ScaleMode", 28, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Phonon::VideoWidgetPrivate&", 29, Smoke::t_class|Smoke::tf_ref },	//51
    { "Phonon::VolumeFaderEffect*", 30, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::VolumeFaderEffect::FadeCurve", 30, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Phonon::VolumeSlider*", 31, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QAbstractListModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QActionEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QBool", 34, Smoke::t_class|Smoke::tf_stack },	//57
    { "QChildEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QCloseEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QContextMenuEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QDragEnterEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDragLeaveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDragMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDropEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFocusEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QHideEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QIODevice*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QImage", 49, Smoke::t_class|Smoke::tf_stack },	//70
    { "QInputMethodEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QKeyEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QList<Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QList<Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QList<Phonon::ObjectDescription<Phonon::EffectType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QMetaObject::Call", 52, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QMimeData*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QPaintEngine*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QPaintEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QRegExp&", 61, Smoke::t_class|Smoke::tf_ref },	//95
    { "QResizeEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QShowEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QSize", 65, Smoke::t_class|Smoke::tf_stack },	//98
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//101
    { "QStyle&", 66, Smoke::t_class|Smoke::tf_ref },	//102
    { "QTabletEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QTimerEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QUrl", 69, Smoke::t_class|Smoke::tf_stack },	//105
    { "QVariant", 70, Smoke::t_class|Smoke::tf_stack },	//106
    { "QVariant::Type", 70, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWheelEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWidget*", 72, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//147
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtMsgType", 46, Smoke::t_enum|Smoke::tf_stack },	//183
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//184
    { "__codecvt_result", 46, Smoke::t_enum|Smoke::tf_stack },	//185
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//186
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Phonon::MediaNode&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Phonon::ObjectDescriptionData&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Phonon::ObjectDescriptionModelData&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Phonon::Path&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Phonon::StreamInterface&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QByteArray&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QFont&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<short> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QMetaObject&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QMetaObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QMimeData*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QPalette&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QRegExp&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QSize&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const QUrl&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QVariant&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//219
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//221
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//222
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//223
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//224
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//225
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//226
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//228
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//229
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  Phonon::Category
    188, 0,	//3  const Phonon::EffectParameter&
    11, 190, 0,	//5  Phonon::Category, const Phonon::MediaSource&
    24, 24, 0,	//8  Phonon::MediaNode*, Phonon::MediaNode*
    219, 0,	//11  const char*
    219, 219, 0,	//13  const char*, const char*
    219, 219, 223, 0,	//16  const char*, const char*, int
    86, 223, 228, 0,	//20  QMetaObject::Call, int, void**
    2, 91, 0,	//24  Phonon::AbstractAudioOutputPrivate&, QObject*
    91, 0,	//27  QObject*
    225, 0,	//29  long long
    186, 0,	//31  bool
    199, 0,	//33  const QByteArray&
    20, 215, 0,	//35  Phonon::ErrorType, const QString&
    4, 91, 0,	//38  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//41  Phonon::AbstractVideoOutputPrivate&
    187, 0,	//43  const Phonon::AbstractVideoOutput&
    223, 0,	//45  int
    207, 0,	//47  const QMap<Phonon::AudioDataOutput::Channel,QVector<short> >&
    11, 91, 0,	//49  Phonon::Category, QObject*
    215, 0,	//52  const QString&
    221, 0,	//54  double
    192, 0,	//56  const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&
    193, 91, 0,	//58  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    188, 218, 0,	//61  const Phonon::EffectParameter&, const QVariant&
    18, 91, 0,	//64  Phonon::EffectPrivate&, QObject*
    193, 0,	//67  const Phonon::ObjectDescription<Phonon::EffectType>&
    223, 215, 17, 218, 218, 218, 206, 215, 0,	//69  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    223, 215, 17, 218, 0,	//78  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&
    223, 215, 17, 218, 218, 0,	//83  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&
    223, 215, 17, 218, 218, 218, 0,	//89  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&
    223, 215, 17, 218, 218, 218, 206, 0,	//96  int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    13, 109, 0,	//104  Phonon::Effect*, QWidget*
    13, 0,	//107  Phonon::Effect*
    26, 0,	//109  Phonon::MediaObject*
    191, 0,	//111  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    194, 0,	//113  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    25, 0,	//115  Phonon::MediaNodePrivate&
    189, 0,	//117  const Phonon::MediaNode&
    32, 0,	//119  Phonon::MetaData
    190, 0,	//121  const Phonon::MediaSource&
    202, 0,	//123  const QList<Phonon::MediaSource>&
    205, 0,	//125  const QList<QUrl>&
    45, 45, 0,	//127  Phonon::State, Phonon::State
    217, 0,	//130  const QUrl&
    12, 215, 0,	//132  Phonon::DiscType, const QString&
    3, 0,	//135  Phonon::AbstractMediaStream*
    69, 0,	//137  QIODevice*
    31, 0,	//139  Phonon::MediaSourcePrivate&
    12, 0,	//141  Phonon::DiscType
    195, 0,	//143  const Phonon::ObjectDescriptionData&
    40, 223, 0,	//145  Phonon::ObjectDescriptionType, int
    39, 0,	//148  Phonon::ObjectDescriptionPrivate*
    223, 201, 0,	//150  int, const QHash<QByteArray,QVariant>&
    211, 0,	//153  const QModelIndex&
    211, 223, 0,	//155  const QModelIndex&, int
    40, 204, 0,	//158  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    203, 0,	//161  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    40, 210, 131, 223, 223, 211, 0,	//163  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    223, 223, 211, 0,	//170  int, int, const QModelIndex&
    40, 0,	//174  Phonon::ObjectDescriptionType
    55, 0,	//176  QAbstractListModel*
    196, 0,	//178  const Phonon::ObjectDescriptionModelData&
    223, 223, 0,	//180  int, int
    197, 0,	//183  const Phonon::Path&
    193, 13, 0,	//185  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    13, 13, 0,	//188  Phonon::Effect*, Phonon::Effect*
    109, 0,	//191  QWidget*
    26, 109, 0,	//193  Phonon::MediaObject*, QWidget*
    157, 0,	//196  Qt::Orientation
    214, 0,	//198  const QSize&
    198, 0,	//200  const Phonon::StreamInterface&
    11, 109, 0,	//202  Phonon::Category, QWidget*
    222, 0,	//205  float
    49, 0,	//207  Phonon::VideoWidget::AspectRatio
    50, 0,	//209  Phonon::VideoWidget::ScaleMode
    51, 109, 0,	//211  Phonon::VideoWidgetPrivate&, QWidget*
    88, 0,	//214  QMouseEvent*
    65, 0,	//216  QEvent*
    53, 0,	//218  Phonon::VolumeFaderEffect::FadeCurve
    222, 223, 0,	//220  float, int
    9, 109, 0,	//223  Phonon::AudioOutput*, QWidget*
    9, 0,	//226  Phonon::AudioOutput*
    91, 65, 0,	//228  QObject*, QEvent*
    104, 0,	//231  QTimerEvent*
    58, 0,	//233  QChildEvent*
    108, 0,	//235  QWheelEvent*
    72, 0,	//237  QKeyEvent*
    67, 0,	//239  QFocusEvent*
    94, 0,	//241  QPaintEvent*
    89, 0,	//243  QMoveEvent*
    96, 0,	//245  QResizeEvent*
    59, 0,	//247  QCloseEvent*
    60, 0,	//249  QContextMenuEvent*
    103, 0,	//251  QTabletEvent*
    56, 0,	//253  QActionEvent*
    61, 0,	//255  QDragEnterEvent*
    63, 0,	//257  QDragMoveEvent*
    62, 0,	//259  QDragLeaveEvent*
    64, 0,	//261  QDropEvent*
    97, 0,	//263  QShowEvent*
    68, 0,	//265  QHideEvent*
    184, 0,	//267  _XEvent*
    92, 0,	//269  QPaintDevice::PaintDeviceMetric
    71, 0,	//271  QInputMethodEvent*
    144, 0,	//273  Qt::InputMethodQuery
    102, 0,	//275  QStyle&
    212, 0,	//277  const QPalette&
    200, 0,	//279  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "Angles",	//10
    "ArtistMetaData",	//11
    "AspectRatio16_9",	//12
    "AspectRatio4_3",	//13
    "AspectRatioAuto",	//14
    "AspectRatioWidget",	//15
    "AudioCaptureDeviceType",	//16
    "AudioChannelType",	//17
    "AudioDataOutput",	//18
    "AudioDataOutput#",	//19
    "AudioOutput",	//20
    "AudioOutput#",	//21
    "AudioOutput$",	//22
    "AudioOutput$#",	//23
    "AudioOutputDeviceType",	//24
    "BufferingState",	//25
    "Cd",	//26
    "CenterChannel",	//27
    "Chapters",	//28
    "CommunicationCategory",	//29
    "DateMetaData",	//30
    "DescriptionMetaData",	//31
    "Disc",	//32
    "DrawChildren",	//33
    "DrawWindowBackground",	//34
    "Dvd",	//35
    "Effect",	//36
    "Effect##",	//37
    "Effect?",	//38
    "Effect?#",	//39
    "EffectParameter",	//40
    "EffectParameter#",	//41
    "EffectParameter$$$#",	//42
    "EffectParameter$$$##",	//43
    "EffectParameter$$$###",	//44
    "EffectParameter$$$###?",	//45
    "EffectParameter$$$###?$",	//46
    "EffectType",	//47
    "EffectWidget",	//48
    "EffectWidget#",	//49
    "EffectWidget##",	//50
    "Empty",	//51
    "ErrorState",	//52
    "Fade12Decibel",	//53
    "Fade3Decibel",	//54
    "Fade6Decibel",	//55
    "Fade9Decibel",	//56
    "FatalError",	//57
    "FitInView",	//58
    "GameCategory",	//59
    "GenreMetaData",	//60
    "IgnoreMask",	//61
    "IntegerHint",	//62
    "Invalid",	//63
    "LastCategory",	//64
    "LeftChannel",	//65
    "LeftSurroundChannel",	//66
    "LoadingState",	//67
    "LocalFile",	//68
    "LogarithmicHint",	//69
    "MediaController",	//70
    "MediaController#",	//71
    "MediaNode",	//72
    "MediaNode#",	//73
    "MediaObject",	//74
    "MediaObject#",	//75
    "MediaSource",	//76
    "MediaSource#",	//77
    "MediaSource$",	//78
    "MediaSource$$",	//79
    "MusicBrainzDiscIdMetaData",	//80
    "MusicCategory",	//81
    "NoCategory",	//82
    "NoDisc",	//83
    "NoError",	//84
    "NormalError",	//85
    "NotificationCategory",	//86
    "ObjectDescriptionData",	//87
    "ObjectDescriptionData#",	//88
    "ObjectDescriptionData$?",	//89
    "ObjectDescriptionModelData",	//90
    "ObjectDescriptionModelData#",	//91
    "Path",	//92
    "Path#",	//93
    "PausedState",	//94
    "PlayingState",	//95
    "Q_COMPLEX_TYPE",	//96
    "Q_DUMMY_TYPE",	//97
    "Q_MOVABLE_TYPE",	//98
    "Q_PRIMITIVE_TYPE",	//99
    "Q_STATIC_TYPE",	//100
    "QtCriticalMsg",	//101
    "QtDebugMsg",	//102
    "QtFatalMsg",	//103
    "QtSystemMsg",	//104
    "QtWarningMsg",	//105
    "RightChannel",	//106
    "RightSurroundChannel",	//107
    "ScaleAndCrop",	//108
    "SeekSlider",	//109
    "SeekSlider#",	//110
    "SeekSlider##",	//111
    "StoppedState",	//112
    "Stream",	//113
    "StreamInterface",	//114
    "StreamInterface#",	//115
    "SubtitleType",	//116
    "SubwooferChannel",	//117
    "TitleMetaData",	//118
    "Titles",	//119
    "ToggledHint",	//120
    "TracknumberMetaData",	//121
    "Url",	//122
    "Vcd",	//123
    "VideoCategory",	//124
    "VideoPlayer",	//125
    "VideoPlayer#",	//126
    "VideoPlayer$",	//127
    "VideoPlayer$#",	//128
    "VideoWidget",	//129
    "VideoWidget#",	//130
    "VideoWidget##",	//131
    "VolumeFaderEffect",	//132
    "VolumeFaderEffect#",	//133
    "VolumeSlider",	//134
    "VolumeSlider#",	//135
    "VolumeSlider##",	//136
    "__codecvt_error",	//137
    "__codecvt_noconv",	//138
    "__codecvt_ok",	//139
    "__codecvt_partial",	//140
    "aboutToFinish",	//141
    "actionEvent",	//142
    "angleChanged",	//143
    "angleChanged$",	//144
    "aspectRatio",	//145
    "audioOutput",	//146
    "autoDelete",	//147
    "autoplayTitles",	//148
    "availableAngles",	//149
    "availableAnglesChanged",	//150
    "availableAnglesChanged$",	//151
    "availableAudioChannels",	//152
    "availableAudioChannelsChanged",	//153
    "availableChapters",	//154
    "availableChaptersChanged",	//155
    "availableChaptersChanged$",	//156
    "availableSubtitles",	//157
    "availableSubtitlesChanged",	//158
    "availableTitles",	//159
    "availableTitlesChanged",	//160
    "availableTitlesChanged$",	//161
    "brightness",	//162
    "bufferStatus",	//163
    "bufferStatus$",	//164
    "category",	//165
    "categoryToString",	//166
    "categoryToString$",	//167
    "changeEvent",	//168
    "chapterChanged",	//169
    "chapterChanged$",	//170
    "childEvent",	//171
    "clear",	//172
    "clearQueue",	//173
    "closeEvent",	//174
    "connectNotify",	//175
    "connectToSource",	//176
    "connectToSource#",	//177
    "contextMenuEvent",	//178
    "contrast",	//179
    "createPath",	//180
    "createPath##",	//181
    "createPlayer",	//182
    "createPlayer$",	//183
    "createPlayer$#",	//184
    "currentAngle",	//185
    "currentAudioChannel",	//186
    "currentChapter",	//187
    "currentSource",	//188
    "currentSourceChanged",	//189
    "currentSourceChanged#",	//190
    "currentSubtitle",	//191
    "currentTime",	//192
    "currentTitle",	//193
    "customEvent",	//194
    "data",	//195
    "data#",	//196
    "data#$",	//197
    "dataReady",	//198
    "dataReady?",	//199
    "dataSize",	//200
    "defaultValue",	//201
    "description",	//202
    "devType",	//203
    "deviceName",	//204
    "discType",	//205
    "disconnect",	//206
    "disconnectNotify",	//207
    "dragEnterEvent",	//208
    "dragLeaveEvent",	//209
    "dragMoveEvent",	//210
    "dropEvent",	//211
    "dropMimeData",	//212
    "dropMimeData$#$$$#",	//213
    "effects",	//214
    "enabledChange",	//215
    "endOfData",	//216
    "endOfMedia",	//217
    "endOfMedia$",	//218
    "enoughData",	//219
    "enqueue",	//220
    "enqueue#",	//221
    "enqueue?",	//222
    "enterEvent",	//223
    "enterFullScreen",	//224
    "error",	//225
    "error$$",	//226
    "errorString",	//227
    "errorType",	//228
    "event",	//229
    "event#",	//230
    "eventFilter",	//231
    "exitFullScreen",	//232
    "fadeCurve",	//233
    "fadeIn",	//234
    "fadeIn$",	//235
    "fadeOut",	//236
    "fadeOut$",	//237
    "fadeTo",	//238
    "fadeTo$$",	//239
    "fileName",	//240
    "finished",	//241
    "flags",	//242
    "flags#",	//243
    "focusInEvent",	//244
    "focusNextPrevChild",	//245
    "focusOutEvent",	//246
    "fontChange",	//247
    "fromIndex",	//248
    "fromIndex$$",	//249
    "hasTracking",	//250
    "hasVideo",	//251
    "hasVideoChanged",	//252
    "hasVideoChanged$",	//253
    "heightForWidth",	//254
    "hideEvent",	//255
    "hue",	//256
    "iconSize",	//257
    "id",	//258
    "index",	//259
    "inputMethodEvent",	//260
    "inputMethodQuery",	//261
    "inputPaths",	//262
    "insertEffect",	//263
    "insertEffect#",	//264
    "insertEffect##",	//265
    "insertEffect?",	//266
    "insertEffect?#",	//267
    "isIconVisible",	//268
    "isLogarithmicControl",	//269
    "isMuteVisible",	//270
    "isMuted",	//271
    "isPaused",	//272
    "isPlaying",	//273
    "isSeekable",	//274
    "isValid",	//275
    "keyPressEvent",	//276
    "keyReleaseEvent",	//277
    "languageChange",	//278
    "leaveEvent",	//279
    "load",	//280
    "load#",	//281
    "maximumValue",	//282
    "maximumVolume",	//283
    "mediaObject",	//284
    "metaData",	//285
    "metaData$",	//286
    "metaDataChanged",	//287
    "metaObject",	//288
    "metric",	//289
    "mimeData",	//290
    "mimeData$?",	//291
    "mimeTypes",	//292
    "mimeTypes$",	//293
    "minimumSizeHint",	//294
    "minimumValue",	//295
    "modelData",	//296
    "modelData#",	//297
    "mouseDoubleClickEvent",	//298
    "mouseMoveEvent",	//299
    "mouseMoveEvent#",	//300
    "mousePressEvent",	//301
    "mouseReleaseEvent",	//302
    "moveDown",	//303
    "moveDown#",	//304
    "moveEvent",	//305
    "moveUp",	//306
    "moveUp#",	//307
    "mutedChanged",	//308
    "mutedChanged$",	//309
    "name",	//310
    "needData",	//311
    "nextTitle",	//312
    "operator!=",	//313
    "operator!=#",	//314
    "operator<",	//315
    "operator<#",	//316
    "operator=",	//317
    "operator=#",	//318
    "operator==",	//319
    "operator==#",	//320
    "operator>",	//321
    "operator>#",	//322
    "orientation",	//323
    "outputDevice",	//324
    "outputDeviceChanged",	//325
    "outputDeviceChanged?",	//326
    "outputPaths",	//327
    "pageStep",	//328
    "paintEngine",	//329
    "paintEvent",	//330
    "paletteChange",	//331
    "parameterValue",	//332
    "parameterValue#",	//333
    "parameters",	//334
    "pause",	//335
    "phononVersion",	//336
    "play",	//337
    "play#",	//338
    "possibleValues",	//339
    "prefinishMark",	//340
    "prefinishMarkReached",	//341
    "prefinishMarkReached$",	//342
    "previousTitle",	//343
    "property",	//344
    "property$",	//345
    "propertyNames",	//346
    "qHash",	//347
    "qHash#",	//348
    "qt_metacall",	//349
    "qt_metacall$$?",	//350
    "qt_metacast",	//351
    "qt_metacast$",	//352
    "queue",	//353
    "reconnect",	//354
    "reconnect##",	//355
    "remainingTime",	//356
    "removeEffect",	//357
    "removeEffect#",	//358
    "removeRows",	//359
    "removeRows$$",	//360
    "removeRows$$#",	//361
    "reset",	//362
    "resizeEvent",	//363
    "rowCount",	//364
    "rowCount#",	//365
    "sampleRate",	//366
    "saturation",	//367
    "scaleMode",	//368
    "seek",	//369
    "seek$",	//370
    "seekStream",	//371
    "seekStream$",	//372
    "seekableChanged",	//373
    "seekableChanged$",	//374
    "setAspectRatio",	//375
    "setAspectRatio$",	//376
    "setAudioOutput",	//377
    "setAudioOutput#",	//378
    "setAutoDelete",	//379
    "setAutoDelete$",	//380
    "setAutoplayTitles",	//381
    "setAutoplayTitles$",	//382
    "setBrightness",	//383
    "setBrightness$",	//384
    "setContrast",	//385
    "setContrast$",	//386
    "setCurrentAngle",	//387
    "setCurrentAngle$",	//388
    "setCurrentAudioChannel",	//389
    "setCurrentAudioChannel?",	//390
    "setCurrentChapter",	//391
    "setCurrentChapter$",	//392
    "setCurrentSource",	//393
    "setCurrentSource#",	//394
    "setCurrentSubtitle",	//395
    "setCurrentSubtitle?",	//396
    "setCurrentTitle",	//397
    "setCurrentTitle$",	//398
    "setDataSize",	//399
    "setDataSize$",	//400
    "setFadeCurve",	//401
    "setFadeCurve$",	//402
    "setFullScreen",	//403
    "setFullScreen$",	//404
    "setHue",	//405
    "setHue$",	//406
    "setIconSize",	//407
    "setIconSize#",	//408
    "setIconVisible",	//409
    "setIconVisible$",	//410
    "setMaximumVolume",	//411
    "setMaximumVolume$",	//412
    "setMediaObject",	//413
    "setMediaObject#",	//414
    "setModelData",	//415
    "setModelData?",	//416
    "setMuteVisible",	//417
    "setMuteVisible$",	//418
    "setMuted",	//419
    "setMuted$",	//420
    "setName",	//421
    "setName$",	//422
    "setOrientation",	//423
    "setOrientation$",	//424
    "setOutputDevice",	//425
    "setOutputDevice?",	//426
    "setPageStep",	//427
    "setPageStep$",	//428
    "setParameterValue",	//429
    "setParameterValue##",	//430
    "setPrefinishMark",	//431
    "setPrefinishMark$",	//432
    "setQueue",	//433
    "setQueue?",	//434
    "setSaturation",	//435
    "setSaturation$",	//436
    "setScaleMode",	//437
    "setScaleMode$",	//438
    "setSingleStep",	//439
    "setSingleStep$",	//440
    "setStreamSeekable",	//441
    "setStreamSeekable$",	//442
    "setStreamSize",	//443
    "setStreamSize$",	//444
    "setTickInterval",	//445
    "setTickInterval$",	//446
    "setTracking",	//447
    "setTracking$",	//448
    "setTransitionTime",	//449
    "setTransitionTime$",	//450
    "setVisible",	//451
    "setVolume",	//452
    "setVolume$",	//453
    "setVolumeDecibel",	//454
    "setVolumeDecibel$",	//455
    "showEvent",	//456
    "singleStep",	//457
    "sink",	//458
    "sizeHint",	//459
    "snapshot",	//460
    "source",	//461
    "state",	//462
    "stateChanged",	//463
    "stateChanged$$",	//464
    "staticMetaObject",	//465
    "stop",	//466
    "stream",	//467
    "streamSeekable",	//468
    "streamSize",	//469
    "styleChange",	//470
    "supportedDropActions",	//471
    "supportedFeatures",	//472
    "tabletEvent",	//473
    "tick",	//474
    "tick$",	//475
    "tickInterval",	//476
    "timerEvent",	//477
    "titleChanged",	//478
    "titleChanged$",	//479
    "totalTime",	//480
    "totalTimeChanged",	//481
    "totalTimeChanged$",	//482
    "tr",	//483
    "tr$",	//484
    "tr$$",	//485
    "tr$$$",	//486
    "trUtf8",	//487
    "trUtf8$",	//488
    "trUtf8$$",	//489
    "trUtf8$$$",	//490
    "transitionTime",	//491
    "tupleIndexAtPositionIndex",	//492
    "tupleIndexAtPositionIndex$",	//493
    "tupleIndexOrder",	//494
    "type",	//495
    "url",	//496
    "videoWidget",	//497
    "volume",	//498
    "volumeChanged",	//499
    "volumeChanged$",	//500
    "volumeDecibel",	//501
    "wheelEvent",	//502
    "windowActivationChange",	//503
    "writeData",	//504
    "writeData#",	//505
    "x11Event",	//506
    "~AbstractAudioOutput",	//507
    "~AbstractMediaStream",	//508
    "~AbstractVideoOutput",	//509
    "~AudioDataOutput",	//510
    "~AudioOutput",	//511
    "~Effect",	//512
    "~EffectParameter",	//513
    "~EffectWidget",	//514
    "~MediaController",	//515
    "~MediaNode",	//516
    "~MediaObject",	//517
    "~MediaSource",	//518
    "~ObjectDescriptionData",	//519
    "~ObjectDescriptionModelData",	//520
    "~Path",	//521
    "~SeekSlider",	//522
    "~StreamInterface",	//523
    "~VideoPlayer",	//524
    "~VideoWidget",	//525
    "~VolumeFaderEffect",	//526
    "~VolumeSlider",	//527
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 166, 1, 1, Smoke::mf_static, 99, 1},	//1 Phonon::categoryToString(Phonon::Category)
    {1, 347, 3, 1, Smoke::mf_static, 226, 2},	//2 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 182, 5, 2, Smoke::mf_static, 26, 3},	//3 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 182, 1, 1, Smoke::mf_static, 26, 4},	//4 Phonon::createPlayer(Phonon::Category)
    {1, 336, 0, 0, Smoke::mf_static, 219, 5},	//5 Phonon::phononVersion()
    {1, 180, 8, 2, Smoke::mf_static, 41, 6},	//6 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 7},	//7 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 8},	//8 Phonon::AlbumMetaData (enum)
    {1, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 9},	//9 Phonon::TitleMetaData (enum)
    {1, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 10},	//10 Phonon::DateMetaData (enum)
    {1, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 11},	//11 Phonon::GenreMetaData (enum)
    {1, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//12 Phonon::TracknumberMetaData (enum)
    {1, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//13 Phonon::DescriptionMetaData (enum)
    {1, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//14 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 15},	//15 Phonon::AudioOutputDeviceType (enum)
    {1, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 16},	//16 Phonon::EffectType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 17},	//17 Phonon::AudioChannelType (enum)
    {1, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 18},	//18 Phonon::SubtitleType (enum)
    {1, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 19},	//19 Phonon::AudioCaptureDeviceType (enum)
    {1, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 20},	//20 Phonon::NoDisc (enum)
    {1, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 21},	//21 Phonon::Cd (enum)
    {1, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 22},	//22 Phonon::Dvd (enum)
    {1, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 23},	//23 Phonon::Vcd (enum)
    {1, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 24},	//24 Phonon::NoError (enum)
    {1, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 25},	//25 Phonon::NormalError (enum)
    {1, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 26},	//26 Phonon::FatalError (enum)
    {1, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 27},	//27 Phonon::NoCategory (enum)
    {1, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 28},	//28 Phonon::NotificationCategory (enum)
    {1, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 29},	//29 Phonon::MusicCategory (enum)
    {1, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 30},	//30 Phonon::VideoCategory (enum)
    {1, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 31},	//31 Phonon::CommunicationCategory (enum)
    {1, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 32},	//32 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 33},	//33 Phonon::AccessibilityCategory (enum)
    {1, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 34},	//34 Phonon::LastCategory (enum)
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 35},	//35 Phonon::LoadingState (enum)
    {1, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 36},	//36 Phonon::StoppedState (enum)
    {1, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//37 Phonon::PlayingState (enum)
    {1, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//38 Phonon::BufferingState (enum)
    {1, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 39},	//39 Phonon::PausedState (enum)
    {1, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 40},	//40 Phonon::ErrorState (enum)
    {2, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//41 Phonon::AbstractAudioOutput::metaObject() const
    {2, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//42 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 483, 13, 2, Smoke::mf_static, 99, 3},	//43 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 487, 13, 2, Smoke::mf_static, 99, 4},	//44 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 483, 16, 3, Smoke::mf_static, 99, 5},	//45 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 487, 16, 3, Smoke::mf_static, 99, 6},	//46 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//47 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 24, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//48 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 483, 11, 1, Smoke::mf_static, 99, 9},	//49 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 487, 11, 1, Smoke::mf_static, 99, 10},	//50 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 11},	//51 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 507, 0, 0, Smoke::mf_dtor, 0, 12 },	//52 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//53 Phonon::AbstractMediaStream::metaObject() const
    {4, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//54 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 483, 13, 2, Smoke::mf_static, 99, 3},	//55 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 487, 13, 2, Smoke::mf_static, 99, 4},	//56 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 483, 16, 3, Smoke::mf_static, 99, 5},	//57 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 487, 16, 3, Smoke::mf_static, 99, 6},	//58 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//59 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 27, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//60 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 469, 0, 0, Smoke::mf_const|Smoke::mf_protected, 225, 9},	//61 Phonon::AbstractMediaStream::streamSize() const
    {4, 443, 29, 1, Smoke::mf_protected, 0, 10},	//62 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 468, 0, 0, Smoke::mf_const|Smoke::mf_protected, 186, 11},	//63 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 441, 31, 1, Smoke::mf_protected, 0, 12},	//64 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 504, 33, 1, Smoke::mf_protected, 0, 13},	//65 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 216, 0, 0, Smoke::mf_protected, 0, 14},	//66 Phonon::AbstractMediaStream::endOfData()
    {4, 225, 35, 2, Smoke::mf_protected, 0, 15},	//67 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 362, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//68 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 311, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//69 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//70 Phonon::AbstractMediaStream::enoughData()
    {4, 371, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//71 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 38, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//72 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 483, 11, 1, Smoke::mf_static, 99, 21},	//73 Phonon::AbstractMediaStream::tr(const char*)
    {4, 487, 11, 1, Smoke::mf_static, 99, 22},	//74 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//75 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 24},	//76 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 508, 0, 0, Smoke::mf_dtor, 0, 25 },	//77 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 41, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//78 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//79 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 509, 0, 0, Smoke::mf_dtor, 0, 3 },	//80 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//81 Phonon::AudioDataOutput::metaObject() const
    {8, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//82 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 483, 13, 2, Smoke::mf_static, 99, 3},	//83 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 487, 13, 2, Smoke::mf_static, 99, 4},	//84 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 483, 16, 3, Smoke::mf_static, 99, 5},	//85 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 487, 16, 3, Smoke::mf_static, 99, 6},	//86 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//87 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 18, 27, 1, Smoke::mf_ctor, 7, 8},	//88 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 200, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 9},	//89 Phonon::AudioDataOutput::dataSize() const
    {8, 366, 0, 0, Smoke::mf_const, 223, 10},	//90 Phonon::AudioDataOutput::sampleRate() const
    {8, 399, 45, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//91 Phonon::AudioDataOutput::setDataSize(int)
    {8, 198, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//92 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<short> >&)
    {8, 217, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//93 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 483, 11, 1, Smoke::mf_static, 99, 14},	//94 Phonon::AudioDataOutput::tr(const char*)
    {8, 487, 11, 1, Smoke::mf_static, 99, 15},	//95 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 18, 0, 0, Smoke::mf_ctor, 7, 16},	//96 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 17},	//97 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//98 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//99 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//100 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//101 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//102 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//103 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 510, 0, 0, Smoke::mf_dtor, 0, 24 },	//104 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//105 Phonon::AudioOutput::metaObject() const
    {9, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//106 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 483, 13, 2, Smoke::mf_static, 99, 3},	//107 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 487, 13, 2, Smoke::mf_static, 99, 4},	//108 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 483, 16, 3, Smoke::mf_static, 99, 5},	//109 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 487, 16, 3, Smoke::mf_static, 99, 6},	//110 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//111 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 49, 2, Smoke::mf_ctor, 9, 8},	//112 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 20, 27, 1, Smoke::mf_ctor, 9, 9},	//113 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 310, 0, 0, Smoke::mf_const|Smoke::mf_property, 99, 10},	//114 Phonon::AudioOutput::name() const
    {9, 498, 0, 0, Smoke::mf_const, 221, 11},	//115 Phonon::AudioOutput::volume() const
    {9, 501, 0, 0, Smoke::mf_const, 221, 12},	//116 Phonon::AudioOutput::volumeDecibel() const
    {9, 165, 0, 0, Smoke::mf_const, 11, 13},	//117 Phonon::AudioOutput::category() const
    {9, 324, 0, 0, Smoke::mf_const, 34, 14},	//118 Phonon::AudioOutput::outputDevice() const
    {9, 271, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 15},	//119 Phonon::AudioOutput::isMuted() const
    {9, 421, 52, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//120 Phonon::AudioOutput::setName(const QString&)
    {9, 452, 54, 1, Smoke::mf_slot, 0, 17},	//121 Phonon::AudioOutput::setVolume(double)
    {9, 454, 54, 1, Smoke::mf_slot, 0, 18},	//122 Phonon::AudioOutput::setVolumeDecibel(double)
    {9, 425, 56, 1, Smoke::mf_slot, 186, 19},	//123 Phonon::AudioOutput::setOutputDevice(const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&)
    {9, 419, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//124 Phonon::AudioOutput::setMuted(bool)
    {9, 499, 54, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//125 Phonon::AudioOutput::volumeChanged(double)
    {9, 308, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//126 Phonon::AudioOutput::mutedChanged(bool)
    {9, 325, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//127 Phonon::AudioOutput::outputDeviceChanged(const Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>&)
    {9, 483, 11, 1, Smoke::mf_static, 99, 24},	//128 Phonon::AudioOutput::tr(const char*)
    {9, 487, 11, 1, Smoke::mf_static, 99, 25},	//129 Phonon::AudioOutput::trUtf8(const char*)
    {9, 20, 1, 1, Smoke::mf_ctor, 9, 26},	//130 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 20, 0, 0, Smoke::mf_ctor, 9, 27},	//131 Phonon::AudioOutput::AudioOutput()
    {9, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 28},	//132 Phonon::AudioOutput::staticMetaObject() const
    {9, 511, 0, 0, Smoke::mf_dtor, 0, 29 },	//133 Phonon::AudioOutput::~AudioOutput()
    {11, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//134 Phonon::Effect::metaObject() const
    {11, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//135 Phonon::Effect::qt_metacast(const char*)
    {11, 483, 13, 2, Smoke::mf_static, 99, 3},	//136 Phonon::Effect::tr(const char*, const char*)
    {11, 487, 13, 2, Smoke::mf_static, 99, 4},	//137 Phonon::Effect::trUtf8(const char*, const char*)
    {11, 483, 16, 3, Smoke::mf_static, 99, 5},	//138 Phonon::Effect::tr(const char*, const char*, int)
    {11, 487, 16, 3, Smoke::mf_static, 99, 6},	//139 Phonon::Effect::trUtf8(const char*, const char*, int)
    {11, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//140 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {11, 36, 58, 2, Smoke::mf_ctor, 13, 8},	//141 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {11, 202, 0, 0, Smoke::mf_const, 35, 9},	//142 Phonon::Effect::description() const
    {11, 334, 0, 0, Smoke::mf_const, 74, 10},	//143 Phonon::Effect::parameters() const
    {11, 332, 3, 1, Smoke::mf_const, 106, 11},	//144 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {11, 429, 61, 2, 0, 0, 12},	//145 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {11, 36, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 13, 13},	//146 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {11, 483, 11, 1, Smoke::mf_static, 99, 14},	//147 Phonon::Effect::tr(const char*)
    {11, 487, 11, 1, Smoke::mf_static, 99, 15},	//148 Phonon::Effect::trUtf8(const char*)
    {11, 36, 67, 1, Smoke::mf_ctor, 13, 16},	//149 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {11, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 17},	//150 Phonon::Effect::staticMetaObject() const
    {11, 512, 0, 0, Smoke::mf_dtor, 0, 18 },	//151 Phonon::Effect::~Effect()
    {12, 40, 0, 0, Smoke::mf_ctor, 15, 1},	//152 Phonon::EffectParameter::EffectParameter()
    {12, 310, 0, 0, Smoke::mf_const, 215, 2},	//153 Phonon::EffectParameter::name() const
    {12, 202, 0, 0, Smoke::mf_const, 215, 3},	//154 Phonon::EffectParameter::description() const
    {12, 495, 0, 0, Smoke::mf_const, 107, 4},	//155 Phonon::EffectParameter::type() const
    {12, 269, 0, 0, Smoke::mf_const, 186, 5},	//156 Phonon::EffectParameter::isLogarithmicControl() const
    {12, 295, 0, 0, Smoke::mf_const, 106, 6},	//157 Phonon::EffectParameter::minimumValue() const
    {12, 282, 0, 0, Smoke::mf_const, 106, 7},	//158 Phonon::EffectParameter::maximumValue() const
    {12, 201, 0, 0, Smoke::mf_const, 106, 8},	//159 Phonon::EffectParameter::defaultValue() const
    {12, 339, 0, 0, Smoke::mf_const, 84, 9},	//160 Phonon::EffectParameter::possibleValues() const
    {12, 315, 3, 1, Smoke::mf_const, 186, 10},	//161 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {12, 321, 3, 1, Smoke::mf_const, 186, 11},	//162 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {12, 319, 3, 1, Smoke::mf_const, 186, 12},	//163 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {12, 40, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 13},	//164 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {12, 317, 3, 1, 0, 14, 14},	//165 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {12, 40, 69, 8, Smoke::mf_ctor, 15, 15},	//166 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {12, 258, 0, 0, Smoke::mf_const, 223, 16},	//167 Phonon::EffectParameter::id() const
    {12, 40, 78, 4, Smoke::mf_ctor, 15, 17},	//168 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&)
    {12, 40, 83, 5, Smoke::mf_ctor, 15, 18},	//169 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&)
    {12, 40, 89, 6, Smoke::mf_ctor, 15, 19},	//170 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&)
    {12, 40, 96, 7, Smoke::mf_ctor, 15, 20},	//171 Phonon::EffectParameter::EffectParameter(int, const QString&, Phonon::EffectParameter::Hints, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {12, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 21},	//172 Phonon::EffectParameter::ToggledHint (enum)
    {12, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 22},	//173 Phonon::EffectParameter::LogarithmicHint (enum)
    {12, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 23},	//174 Phonon::EffectParameter::IntegerHint (enum)
    {12, 513, 0, 0, Smoke::mf_dtor, 0, 24 },	//175 Phonon::EffectParameter::~EffectParameter()
    {14, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//176 Phonon::EffectWidget::metaObject() const
    {14, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//177 Phonon::EffectWidget::qt_metacast(const char*)
    {14, 483, 13, 2, Smoke::mf_static, 99, 3},	//178 Phonon::EffectWidget::tr(const char*, const char*)
    {14, 487, 13, 2, Smoke::mf_static, 99, 4},	//179 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {14, 483, 16, 3, Smoke::mf_static, 99, 5},	//180 Phonon::EffectWidget::tr(const char*, const char*, int)
    {14, 487, 16, 3, Smoke::mf_static, 99, 6},	//181 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {14, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//182 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 48, 104, 2, Smoke::mf_ctor, 19, 8},	//183 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {14, 483, 11, 1, Smoke::mf_static, 99, 9},	//184 Phonon::EffectWidget::tr(const char*)
    {14, 487, 11, 1, Smoke::mf_static, 99, 10},	//185 Phonon::EffectWidget::trUtf8(const char*)
    {14, 48, 107, 1, Smoke::mf_ctor, 19, 11},	//186 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {14, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 12},	//187 Phonon::EffectWidget::staticMetaObject() const
    {14, 514, 0, 0, Smoke::mf_dtor, 0, 13 },	//188 Phonon::EffectWidget::~EffectWidget()
    {15, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//189 Phonon::MediaController::metaObject() const
    {15, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//190 Phonon::MediaController::qt_metacast(const char*)
    {15, 483, 13, 2, Smoke::mf_static, 99, 3},	//191 Phonon::MediaController::tr(const char*, const char*)
    {15, 487, 13, 2, Smoke::mf_static, 99, 4},	//192 Phonon::MediaController::trUtf8(const char*, const char*)
    {15, 483, 16, 3, Smoke::mf_static, 99, 5},	//193 Phonon::MediaController::tr(const char*, const char*, int)
    {15, 487, 16, 3, Smoke::mf_static, 99, 6},	//194 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {15, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//195 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {15, 70, 109, 1, Smoke::mf_ctor, 21, 8},	//196 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {15, 472, 0, 0, Smoke::mf_const, 23, 9},	//197 Phonon::MediaController::supportedFeatures() const
    {15, 149, 0, 0, Smoke::mf_const, 223, 10},	//198 Phonon::MediaController::availableAngles() const
    {15, 185, 0, 0, Smoke::mf_const, 223, 11},	//199 Phonon::MediaController::currentAngle() const
    {15, 154, 0, 0, Smoke::mf_const, 223, 12},	//200 Phonon::MediaController::availableChapters() const
    {15, 187, 0, 0, Smoke::mf_const, 223, 13},	//201 Phonon::MediaController::currentChapter() const
    {15, 159, 0, 0, Smoke::mf_const, 223, 14},	//202 Phonon::MediaController::availableTitles() const
    {15, 193, 0, 0, Smoke::mf_const, 223, 15},	//203 Phonon::MediaController::currentTitle() const
    {15, 148, 0, 0, Smoke::mf_const, 186, 16},	//204 Phonon::MediaController::autoplayTitles() const
    {15, 186, 0, 0, Smoke::mf_const, 33, 17},	//205 Phonon::MediaController::currentAudioChannel() const
    {15, 191, 0, 0, Smoke::mf_const, 36, 18},	//206 Phonon::MediaController::currentSubtitle() const
    {15, 152, 0, 0, Smoke::mf_const, 77, 19},	//207 Phonon::MediaController::availableAudioChannels() const
    {15, 157, 0, 0, Smoke::mf_const, 80, 20},	//208 Phonon::MediaController::availableSubtitles() const
    {15, 389, 111, 1, 0, 0, 21},	//209 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {15, 395, 113, 1, 0, 0, 22},	//210 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {15, 387, 45, 1, Smoke::mf_slot, 0, 23},	//211 Phonon::MediaController::setCurrentAngle(int)
    {15, 391, 45, 1, Smoke::mf_slot, 0, 24},	//212 Phonon::MediaController::setCurrentChapter(int)
    {15, 397, 45, 1, Smoke::mf_slot, 0, 25},	//213 Phonon::MediaController::setCurrentTitle(int)
    {15, 381, 31, 1, Smoke::mf_slot, 0, 26},	//214 Phonon::MediaController::setAutoplayTitles(bool)
    {15, 312, 0, 0, Smoke::mf_slot, 0, 27},	//215 Phonon::MediaController::nextTitle()
    {15, 343, 0, 0, Smoke::mf_slot, 0, 28},	//216 Phonon::MediaController::previousTitle()
    {15, 158, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//217 Phonon::MediaController::availableSubtitlesChanged()
    {15, 153, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//218 Phonon::MediaController::availableAudioChannelsChanged()
    {15, 150, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//219 Phonon::MediaController::availableAnglesChanged(int)
    {15, 143, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//220 Phonon::MediaController::angleChanged(int)
    {15, 155, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//221 Phonon::MediaController::availableChaptersChanged(int)
    {15, 169, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//222 Phonon::MediaController::chapterChanged(int)
    {15, 160, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//223 Phonon::MediaController::availableTitlesChanged(int)
    {15, 478, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//224 Phonon::MediaController::titleChanged(int)
    {15, 483, 11, 1, Smoke::mf_static, 99, 37},	//225 Phonon::MediaController::tr(const char*)
    {15, 487, 11, 1, Smoke::mf_static, 99, 38},	//226 Phonon::MediaController::trUtf8(const char*)
    {15, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 39},	//227 Phonon::MediaController::staticMetaObject() const
    {15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 40},	//228 Phonon::MediaController::Angles (enum)
    {15, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 41},	//229 Phonon::MediaController::Chapters (enum)
    {15, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 42},	//230 Phonon::MediaController::Titles (enum)
    {15, 515, 0, 0, Smoke::mf_dtor, 0, 43 },	//231 Phonon::MediaController::~MediaController()
    {16, 275, 0, 0, Smoke::mf_const, 186, 1},	//232 Phonon::MediaNode::isValid() const
    {16, 262, 0, 0, Smoke::mf_const, 81, 2},	//233 Phonon::MediaNode::inputPaths() const
    {16, 327, 0, 0, Smoke::mf_const, 81, 3},	//234 Phonon::MediaNode::outputPaths() const
    {16, 72, 115, 1, Smoke::mf_ctor|Smoke::mf_protected, 24, 4},	//235 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {16, 72, 117, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 5},	//236 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {16, 516, 0, 0, Smoke::mf_dtor, 0, 6 },	//237 Phonon::MediaNode::~MediaNode()
    {18, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//238 Phonon::MediaObject::metaObject() const
    {18, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//239 Phonon::MediaObject::qt_metacast(const char*)
    {18, 483, 13, 2, Smoke::mf_static, 99, 3},	//240 Phonon::MediaObject::tr(const char*, const char*)
    {18, 487, 13, 2, Smoke::mf_static, 99, 4},	//241 Phonon::MediaObject::trUtf8(const char*, const char*)
    {18, 483, 16, 3, Smoke::mf_static, 99, 5},	//242 Phonon::MediaObject::tr(const char*, const char*, int)
    {18, 487, 16, 3, Smoke::mf_static, 99, 6},	//243 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {18, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//244 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {18, 74, 27, 1, Smoke::mf_ctor, 26, 8},	//245 Phonon::MediaObject::MediaObject(QObject*)
    {18, 462, 0, 0, Smoke::mf_const, 45, 9},	//246 Phonon::MediaObject::state() const
    {18, 251, 0, 0, Smoke::mf_const, 186, 10},	//247 Phonon::MediaObject::hasVideo() const
    {18, 274, 0, 0, Smoke::mf_const, 186, 11},	//248 Phonon::MediaObject::isSeekable() const
    {18, 476, 0, 0, Smoke::mf_const, 223, 12},	//249 Phonon::MediaObject::tickInterval() const
    {18, 285, 52, 1, Smoke::mf_const, 100, 13},	//250 Phonon::MediaObject::metaData(const QString&) const
    {18, 285, 119, 1, Smoke::mf_const, 100, 14},	//251 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {18, 285, 0, 0, Smoke::mf_const, 90, 15},	//252 Phonon::MediaObject::metaData() const
    {18, 227, 0, 0, Smoke::mf_const, 99, 16},	//253 Phonon::MediaObject::errorString() const
    {18, 228, 0, 0, Smoke::mf_const, 20, 17},	//254 Phonon::MediaObject::errorType() const
    {18, 188, 0, 0, Smoke::mf_const, 27, 18},	//255 Phonon::MediaObject::currentSource() const
    {18, 393, 121, 1, 0, 0, 19},	//256 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {18, 353, 0, 0, Smoke::mf_const, 75, 20},	//257 Phonon::MediaObject::queue() const
    {18, 433, 123, 1, 0, 0, 21},	//258 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {18, 433, 125, 1, 0, 0, 22},	//259 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {18, 220, 121, 1, 0, 0, 23},	//260 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {18, 220, 123, 1, 0, 0, 24},	//261 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {18, 220, 125, 1, 0, 0, 25},	//262 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {18, 173, 0, 0, 0, 0, 26},	//263 Phonon::MediaObject::clearQueue()
    {18, 192, 0, 0, Smoke::mf_const, 225, 27},	//264 Phonon::MediaObject::currentTime() const
    {18, 480, 0, 0, Smoke::mf_const, 225, 28},	//265 Phonon::MediaObject::totalTime() const
    {18, 356, 0, 0, Smoke::mf_const, 225, 29},	//266 Phonon::MediaObject::remainingTime() const
    {18, 340, 0, 0, Smoke::mf_const, 223, 30},	//267 Phonon::MediaObject::prefinishMark() const
    {18, 431, 45, 1, 0, 0, 31},	//268 Phonon::MediaObject::setPrefinishMark(int)
    {18, 491, 0, 0, Smoke::mf_const, 223, 32},	//269 Phonon::MediaObject::transitionTime() const
    {18, 449, 45, 1, 0, 0, 33},	//270 Phonon::MediaObject::setTransitionTime(int)
    {18, 445, 45, 1, Smoke::mf_slot, 0, 34},	//271 Phonon::MediaObject::setTickInterval(int)
    {18, 337, 0, 0, Smoke::mf_slot, 0, 35},	//272 Phonon::MediaObject::play()
    {18, 335, 0, 0, Smoke::mf_slot, 0, 36},	//273 Phonon::MediaObject::pause()
    {18, 466, 0, 0, Smoke::mf_slot, 0, 37},	//274 Phonon::MediaObject::stop()
    {18, 369, 29, 1, Smoke::mf_slot, 0, 38},	//275 Phonon::MediaObject::seek(long long)
    {18, 172, 0, 0, Smoke::mf_slot, 0, 39},	//276 Phonon::MediaObject::clear()
    {18, 463, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//277 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {18, 474, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//278 Phonon::MediaObject::tick(long long)
    {18, 287, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//279 Phonon::MediaObject::metaDataChanged()
    {18, 373, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//280 Phonon::MediaObject::seekableChanged(bool)
    {18, 252, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//281 Phonon::MediaObject::hasVideoChanged(bool)
    {18, 163, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//282 Phonon::MediaObject::bufferStatus(int)
    {18, 241, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//283 Phonon::MediaObject::finished()
    {18, 189, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//284 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {18, 141, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//285 Phonon::MediaObject::aboutToFinish()
    {18, 341, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//286 Phonon::MediaObject::prefinishMarkReached(int)
    {18, 481, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//287 Phonon::MediaObject::totalTimeChanged(long long)
    {18, 483, 11, 1, Smoke::mf_static, 99, 51},	//288 Phonon::MediaObject::tr(const char*)
    {18, 487, 11, 1, Smoke::mf_static, 99, 52},	//289 Phonon::MediaObject::trUtf8(const char*)
    {18, 74, 0, 0, Smoke::mf_ctor, 26, 53},	//290 Phonon::MediaObject::MediaObject()
    {18, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 54},	//291 Phonon::MediaObject::staticMetaObject() const
    {18, 517, 0, 0, Smoke::mf_dtor, 0, 55 },	//292 Phonon::MediaObject::~MediaObject()
    {19, 76, 0, 0, Smoke::mf_ctor, 29, 1},	//293 Phonon::MediaSource::MediaSource()
    {19, 76, 52, 1, Smoke::mf_ctor, 29, 2},	//294 Phonon::MediaSource::MediaSource(const QString&)
    {19, 76, 130, 1, Smoke::mf_ctor, 29, 3},	//295 Phonon::MediaSource::MediaSource(const QUrl&)
    {19, 76, 132, 2, Smoke::mf_ctor, 29, 4},	//296 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {19, 76, 135, 1, Smoke::mf_ctor, 29, 5},	//297 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {19, 76, 137, 1, Smoke::mf_ctor, 29, 6},	//298 Phonon::MediaSource::MediaSource(QIODevice*)
    {19, 76, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 7},	//299 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {19, 317, 121, 1, 0, 28, 8},	//300 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {19, 319, 121, 1, Smoke::mf_const, 186, 9},	//301 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {19, 379, 31, 1, 0, 0, 10},	//302 Phonon::MediaSource::setAutoDelete(bool)
    {19, 147, 0, 0, Smoke::mf_const, 186, 11},	//303 Phonon::MediaSource::autoDelete() const
    {19, 495, 0, 0, Smoke::mf_const, 30, 12},	//304 Phonon::MediaSource::type() const
    {19, 240, 0, 0, Smoke::mf_const, 99, 13},	//305 Phonon::MediaSource::fileName() const
    {19, 496, 0, 0, Smoke::mf_const, 105, 14},	//306 Phonon::MediaSource::url() const
    {19, 205, 0, 0, Smoke::mf_const, 12, 15},	//307 Phonon::MediaSource::discType() const
    {19, 204, 0, 0, Smoke::mf_const, 99, 16},	//308 Phonon::MediaSource::deviceName() const
    {19, 467, 0, 0, Smoke::mf_const, 3, 17},	//309 Phonon::MediaSource::stream() const
    {19, 76, 139, 1, Smoke::mf_ctor|Smoke::mf_protected, 29, 18},	//310 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {19, 76, 141, 1, Smoke::mf_ctor, 29, 19},	//311 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {19, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//312 Phonon::MediaSource::Invalid (enum)
    {19, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//313 Phonon::MediaSource::LocalFile (enum)
    {19, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//314 Phonon::MediaSource::Url (enum)
    {19, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//315 Phonon::MediaSource::Disc (enum)
    {19, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//316 Phonon::MediaSource::Stream (enum)
    {19, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//317 Phonon::MediaSource::Empty (enum)
    {19, 518, 0, 0, Smoke::mf_dtor, 0, 26 },	//318 Phonon::MediaSource::~MediaSource()
    {21, 319, 143, 1, Smoke::mf_const, 186, 1},	//319 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {21, 310, 0, 0, Smoke::mf_const, 99, 2},	//320 Phonon::ObjectDescriptionData::name() const
    {21, 202, 0, 0, Smoke::mf_const, 99, 3},	//321 Phonon::ObjectDescriptionData::description() const
    {21, 344, 11, 1, Smoke::mf_const, 106, 4},	//322 Phonon::ObjectDescriptionData::property(const char*) const
    {21, 346, 0, 0, Smoke::mf_const, 82, 5},	//323 Phonon::ObjectDescriptionData::propertyNames() const
    {21, 275, 0, 0, Smoke::mf_const, 186, 6},	//324 Phonon::ObjectDescriptionData::isValid() const
    {21, 259, 0, 0, Smoke::mf_const, 223, 7},	//325 Phonon::ObjectDescriptionData::index() const
    {21, 248, 145, 2, Smoke::mf_static, 37, 8},	//326 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {21, 87, 148, 1, Smoke::mf_ctor, 37, 9},	//327 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {21, 87, 150, 2, Smoke::mf_ctor, 37, 10},	//328 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {21, 87, 143, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 11},	//329 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {21, 87, 0, 0, Smoke::mf_ctor, 37, 12},	//330 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {21, 519, 0, 0, Smoke::mf_dtor, 0, 13 },	//331 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {22, 364, 153, 1, Smoke::mf_const, 223, 1},	//332 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {22, 195, 155, 2, Smoke::mf_const, 106, 2},	//333 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {22, 242, 153, 1, Smoke::mf_const, 147, 3},	//334 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {22, 494, 0, 0, Smoke::mf_const, 85, 4},	//335 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {22, 492, 45, 1, Smoke::mf_const, 223, 5},	//336 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {22, 290, 158, 2, Smoke::mf_const, 87, 6},	//337 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {22, 306, 153, 1, 0, 0, 7},	//338 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {22, 303, 153, 1, 0, 0, 8},	//339 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {22, 415, 161, 1, 0, 0, 9},	//340 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {22, 296, 0, 0, Smoke::mf_const, 83, 10},	//341 Phonon::ObjectDescriptionModelData::modelData() const
    {22, 296, 153, 1, Smoke::mf_const, 66, 11},	//342 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {22, 471, 0, 0, Smoke::mf_const, 132, 12},	//343 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {22, 212, 163, 6, 0, 186, 13},	//344 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 359, 170, 3, 0, 186, 14},	//345 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {22, 292, 174, 1, Smoke::mf_const, 100, 15},	//346 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {22, 90, 176, 1, Smoke::mf_ctor, 38, 16},	//347 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {22, 90, 178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 17},	//348 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {22, 364, 0, 0, Smoke::mf_const, 223, 18},	//349 Phonon::ObjectDescriptionModelData::rowCount() const
    {22, 195, 153, 1, Smoke::mf_const, 106, 19},	//350 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {22, 359, 180, 2, 0, 186, 20},	//351 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {22, 520, 0, 0, Smoke::mf_dtor, 0, 21 },	//352 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {24, 92, 0, 0, Smoke::mf_ctor, 43, 1},	//353 Phonon::Path::Path()
    {24, 92, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//354 Phonon::Path::Path(const Phonon::Path&)
    {24, 275, 0, 0, Smoke::mf_const, 186, 3},	//355 Phonon::Path::isValid() const
    {24, 263, 185, 2, 0, 13, 4},	//356 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {24, 263, 188, 2, 0, 186, 5},	//357 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {24, 357, 107, 1, 0, 186, 6},	//358 Phonon::Path::removeEffect(Phonon::Effect*)
    {24, 214, 0, 0, Smoke::mf_const, 73, 7},	//359 Phonon::Path::effects() const
    {24, 354, 8, 2, 0, 186, 8},	//360 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {24, 206, 0, 0, 0, 186, 9},	//361 Phonon::Path::disconnect()
    {24, 317, 183, 1, 0, 42, 10},	//362 Phonon::Path::operator=(const Phonon::Path&)
    {24, 319, 183, 1, Smoke::mf_const, 186, 11},	//363 Phonon::Path::operator==(const Phonon::Path&) const
    {24, 313, 183, 1, Smoke::mf_const, 186, 12},	//364 Phonon::Path::operator!=(const Phonon::Path&) const
    {24, 461, 0, 0, Smoke::mf_const, 24, 13},	//365 Phonon::Path::source() const
    {24, 458, 0, 0, Smoke::mf_const, 24, 14},	//366 Phonon::Path::sink() const
    {24, 263, 67, 1, 0, 13, 15},	//367 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {24, 263, 107, 1, 0, 186, 16},	//368 Phonon::Path::insertEffect(Phonon::Effect*)
    {24, 521, 0, 0, Smoke::mf_dtor, 0, 17 },	//369 Phonon::Path::~Path()
    {25, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//370 Phonon::SeekSlider::metaObject() const
    {25, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//371 Phonon::SeekSlider::qt_metacast(const char*)
    {25, 483, 13, 2, Smoke::mf_static, 99, 3},	//372 Phonon::SeekSlider::tr(const char*, const char*)
    {25, 487, 13, 2, Smoke::mf_static, 99, 4},	//373 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {25, 483, 16, 3, Smoke::mf_static, 99, 5},	//374 Phonon::SeekSlider::tr(const char*, const char*, int)
    {25, 487, 16, 3, Smoke::mf_static, 99, 6},	//375 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {25, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//376 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {25, 109, 191, 1, Smoke::mf_ctor, 44, 8},	//377 Phonon::SeekSlider::SeekSlider(QWidget*)
    {25, 109, 193, 2, Smoke::mf_ctor, 44, 9},	//378 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {25, 250, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 10},	//379 Phonon::SeekSlider::hasTracking() const
    {25, 447, 31, 1, Smoke::mf_property, 0, 11},	//380 Phonon::SeekSlider::setTracking(bool)
    {25, 328, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 12},	//381 Phonon::SeekSlider::pageStep() const
    {25, 427, 45, 1, Smoke::mf_property, 0, 13},	//382 Phonon::SeekSlider::setPageStep(int)
    {25, 457, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 14},	//383 Phonon::SeekSlider::singleStep() const
    {25, 439, 45, 1, Smoke::mf_property, 0, 15},	//384 Phonon::SeekSlider::setSingleStep(int)
    {25, 323, 0, 0, Smoke::mf_const|Smoke::mf_property, 157, 16},	//385 Phonon::SeekSlider::orientation() const
    {25, 268, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 17},	//386 Phonon::SeekSlider::isIconVisible() const
    {25, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 98, 18},	//387 Phonon::SeekSlider::iconSize() const
    {25, 284, 0, 0, Smoke::mf_const, 26, 19},	//388 Phonon::SeekSlider::mediaObject() const
    {25, 423, 196, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//389 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {25, 409, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//390 Phonon::SeekSlider::setIconVisible(bool)
    {25, 407, 198, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//391 Phonon::SeekSlider::setIconSize(const QSize&)
    {25, 413, 109, 1, Smoke::mf_slot, 0, 23},	//392 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {25, 483, 11, 1, Smoke::mf_static, 99, 24},	//393 Phonon::SeekSlider::tr(const char*)
    {25, 487, 11, 1, Smoke::mf_static, 99, 25},	//394 Phonon::SeekSlider::trUtf8(const char*)
    {25, 109, 0, 0, Smoke::mf_ctor, 44, 26},	//395 Phonon::SeekSlider::SeekSlider()
    {25, 109, 109, 1, Smoke::mf_ctor, 44, 27},	//396 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {25, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 28},	//397 Phonon::SeekSlider::staticMetaObject() const
    {25, 522, 0, 0, Smoke::mf_dtor, 0, 29 },	//398 Phonon::SeekSlider::~SeekSlider()
    {26, 504, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//399 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {26, 216, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//400 Phonon::StreamInterface::endOfData() [pure virtual]
    {26, 443, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//401 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {26, 441, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//402 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {26, 176, 121, 1, 0, 0, 5},	//403 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {26, 311, 0, 0, 0, 0, 6},	//404 Phonon::StreamInterface::needData()
    {26, 219, 0, 0, 0, 0, 7},	//405 Phonon::StreamInterface::enoughData()
    {26, 371, 29, 1, 0, 0, 8},	//406 Phonon::StreamInterface::seekStream(long long)
    {26, 362, 0, 0, 0, 0, 9},	//407 Phonon::StreamInterface::reset()
    {26, 114, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 46, 10},	//408 Phonon::StreamInterface::StreamInterface()
    {26, 114, 200, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 11},	//409 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {26, 523, 0, 0, Smoke::mf_dtor, 0, 12 },	//410 Phonon::StreamInterface::~StreamInterface()
    {27, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//411 Phonon::VideoPlayer::metaObject() const
    {27, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//412 Phonon::VideoPlayer::qt_metacast(const char*)
    {27, 483, 13, 2, Smoke::mf_static, 99, 3},	//413 Phonon::VideoPlayer::tr(const char*, const char*)
    {27, 487, 13, 2, Smoke::mf_static, 99, 4},	//414 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {27, 483, 16, 3, Smoke::mf_static, 99, 5},	//415 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {27, 487, 16, 3, Smoke::mf_static, 99, 6},	//416 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {27, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//417 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {27, 125, 202, 2, Smoke::mf_ctor, 47, 8},	//418 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {27, 125, 191, 1, Smoke::mf_ctor, 47, 9},	//419 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {27, 480, 0, 0, Smoke::mf_const, 225, 10},	//420 Phonon::VideoPlayer::totalTime() const
    {27, 192, 0, 0, Smoke::mf_const, 225, 11},	//421 Phonon::VideoPlayer::currentTime() const
    {27, 498, 0, 0, Smoke::mf_const, 222, 12},	//422 Phonon::VideoPlayer::volume() const
    {27, 273, 0, 0, Smoke::mf_const, 186, 13},	//423 Phonon::VideoPlayer::isPlaying() const
    {27, 272, 0, 0, Smoke::mf_const, 186, 14},	//424 Phonon::VideoPlayer::isPaused() const
    {27, 284, 0, 0, Smoke::mf_const, 26, 15},	//425 Phonon::VideoPlayer::mediaObject() const
    {27, 146, 0, 0, Smoke::mf_const, 9, 16},	//426 Phonon::VideoPlayer::audioOutput() const
    {27, 497, 0, 0, Smoke::mf_const, 48, 17},	//427 Phonon::VideoPlayer::videoWidget() const
    {27, 280, 121, 1, Smoke::mf_slot, 0, 18},	//428 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {27, 337, 121, 1, Smoke::mf_slot, 0, 19},	//429 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {27, 337, 0, 0, Smoke::mf_slot, 0, 20},	//430 Phonon::VideoPlayer::play()
    {27, 335, 0, 0, Smoke::mf_slot, 0, 21},	//431 Phonon::VideoPlayer::pause()
    {27, 466, 0, 0, Smoke::mf_slot, 0, 22},	//432 Phonon::VideoPlayer::stop()
    {27, 369, 29, 1, Smoke::mf_slot, 0, 23},	//433 Phonon::VideoPlayer::seek(long long)
    {27, 452, 205, 1, Smoke::mf_slot, 0, 24},	//434 Phonon::VideoPlayer::setVolume(float)
    {27, 241, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//435 Phonon::VideoPlayer::finished()
    {27, 483, 11, 1, Smoke::mf_static, 99, 26},	//436 Phonon::VideoPlayer::tr(const char*)
    {27, 487, 11, 1, Smoke::mf_static, 99, 27},	//437 Phonon::VideoPlayer::trUtf8(const char*)
    {27, 125, 1, 1, Smoke::mf_ctor, 47, 28},	//438 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {27, 125, 0, 0, Smoke::mf_ctor, 47, 29},	//439 Phonon::VideoPlayer::VideoPlayer()
    {27, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 30},	//440 Phonon::VideoPlayer::staticMetaObject() const
    {27, 524, 0, 0, Smoke::mf_dtor, 0, 31 },	//441 Phonon::VideoPlayer::~VideoPlayer()
    {28, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//442 Phonon::VideoWidget::metaObject() const
    {28, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//443 Phonon::VideoWidget::qt_metacast(const char*)
    {28, 483, 13, 2, Smoke::mf_static, 99, 3},	//444 Phonon::VideoWidget::tr(const char*, const char*)
    {28, 487, 13, 2, Smoke::mf_static, 99, 4},	//445 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {28, 483, 16, 3, Smoke::mf_static, 99, 5},	//446 Phonon::VideoWidget::tr(const char*, const char*, int)
    {28, 487, 16, 3, Smoke::mf_static, 99, 6},	//447 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {28, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//448 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {28, 129, 191, 1, Smoke::mf_ctor, 48, 8},	//449 Phonon::VideoWidget::VideoWidget(QWidget*)
    {28, 145, 0, 0, Smoke::mf_const|Smoke::mf_property, 49, 9},	//450 Phonon::VideoWidget::aspectRatio() const
    {28, 368, 0, 0, Smoke::mf_const|Smoke::mf_property, 50, 10},	//451 Phonon::VideoWidget::scaleMode() const
    {28, 162, 0, 0, Smoke::mf_const, 221, 11},	//452 Phonon::VideoWidget::brightness() const
    {28, 179, 0, 0, Smoke::mf_const, 221, 12},	//453 Phonon::VideoWidget::contrast() const
    {28, 256, 0, 0, Smoke::mf_const, 221, 13},	//454 Phonon::VideoWidget::hue() const
    {28, 367, 0, 0, Smoke::mf_const, 221, 14},	//455 Phonon::VideoWidget::saturation() const
    {28, 460, 0, 0, Smoke::mf_const, 70, 15},	//456 Phonon::VideoWidget::snapshot() const
    {28, 403, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//457 Phonon::VideoWidget::setFullScreen(bool)
    {28, 232, 0, 0, Smoke::mf_slot, 0, 17},	//458 Phonon::VideoWidget::exitFullScreen()
    {28, 224, 0, 0, Smoke::mf_slot, 0, 18},	//459 Phonon::VideoWidget::enterFullScreen()
    {28, 375, 207, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//460 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {28, 437, 209, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//461 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {28, 383, 54, 1, Smoke::mf_slot, 0, 21},	//462 Phonon::VideoWidget::setBrightness(double)
    {28, 385, 54, 1, Smoke::mf_slot, 0, 22},	//463 Phonon::VideoWidget::setContrast(double)
    {28, 405, 54, 1, Smoke::mf_slot, 0, 23},	//464 Phonon::VideoWidget::setHue(double)
    {28, 435, 54, 1, Smoke::mf_slot, 0, 24},	//465 Phonon::VideoWidget::setSaturation(double)
    {28, 129, 211, 2, Smoke::mf_ctor|Smoke::mf_protected, 48, 25},	//466 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {28, 299, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//467 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {28, 229, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 27},	//468 Phonon::VideoWidget::event(QEvent*)
    {28, 483, 11, 1, Smoke::mf_static, 99, 28},	//469 Phonon::VideoWidget::tr(const char*)
    {28, 487, 11, 1, Smoke::mf_static, 99, 29},	//470 Phonon::VideoWidget::trUtf8(const char*)
    {28, 129, 0, 0, Smoke::mf_ctor, 48, 30},	//471 Phonon::VideoWidget::VideoWidget()
    {28, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 31},	//472 Phonon::VideoWidget::staticMetaObject() const
    {28, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 32},	//473 Phonon::VideoWidget::AspectRatioAuto (enum)
    {28, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 33},	//474 Phonon::VideoWidget::AspectRatioWidget (enum)
    {28, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 34},	//475 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 35},	//476 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {28, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 36},	//477 Phonon::VideoWidget::FitInView (enum)
    {28, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 37},	//478 Phonon::VideoWidget::ScaleAndCrop (enum)
    {28, 525, 0, 0, Smoke::mf_dtor, 0, 38 },	//479 Phonon::VideoWidget::~VideoWidget()
    {30, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//480 Phonon::VolumeFaderEffect::metaObject() const
    {30, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//481 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {30, 483, 13, 2, Smoke::mf_static, 99, 3},	//482 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {30, 487, 13, 2, Smoke::mf_static, 99, 4},	//483 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {30, 483, 16, 3, Smoke::mf_static, 99, 5},	//484 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {30, 487, 16, 3, Smoke::mf_static, 99, 6},	//485 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {30, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//486 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {30, 132, 27, 1, Smoke::mf_ctor, 52, 8},	//487 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {30, 498, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 9},	//488 Phonon::VolumeFaderEffect::volume() const
    {30, 501, 0, 0, Smoke::mf_const|Smoke::mf_property, 221, 10},	//489 Phonon::VolumeFaderEffect::volumeDecibel() const
    {30, 233, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 11},	//490 Phonon::VolumeFaderEffect::fadeCurve() const
    {30, 234, 45, 1, Smoke::mf_slot, 0, 12},	//491 Phonon::VolumeFaderEffect::fadeIn(int)
    {30, 236, 45, 1, Smoke::mf_slot, 0, 13},	//492 Phonon::VolumeFaderEffect::fadeOut(int)
    {30, 452, 205, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//493 Phonon::VolumeFaderEffect::setVolume(float)
    {30, 454, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//494 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {30, 401, 218, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//495 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {30, 238, 220, 2, Smoke::mf_slot, 0, 17},	//496 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {30, 483, 11, 1, Smoke::mf_static, 99, 18},	//497 Phonon::VolumeFaderEffect::tr(const char*)
    {30, 487, 11, 1, Smoke::mf_static, 99, 19},	//498 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {30, 132, 0, 0, Smoke::mf_ctor, 52, 20},	//499 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {30, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 21},	//500 Phonon::VolumeFaderEffect::staticMetaObject() const
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//501 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//502 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//503 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {30, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//504 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {30, 526, 0, 0, Smoke::mf_dtor, 0, 26 },	//505 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {31, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 1},	//506 Phonon::VolumeSlider::metaObject() const
    {31, 351, 11, 1, Smoke::mf_virtual, 227, 2},	//507 Phonon::VolumeSlider::qt_metacast(const char*)
    {31, 483, 13, 2, Smoke::mf_static, 99, 3},	//508 Phonon::VolumeSlider::tr(const char*, const char*)
    {31, 487, 13, 2, Smoke::mf_static, 99, 4},	//509 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {31, 483, 16, 3, Smoke::mf_static, 99, 5},	//510 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {31, 487, 16, 3, Smoke::mf_static, 99, 6},	//511 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {31, 349, 20, 3, Smoke::mf_virtual, 223, 7},	//512 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {31, 134, 191, 1, Smoke::mf_ctor, 54, 8},	//513 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {31, 134, 223, 2, Smoke::mf_ctor, 54, 9},	//514 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {31, 250, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 10},	//515 Phonon::VolumeSlider::hasTracking() const
    {31, 447, 31, 1, Smoke::mf_property, 0, 11},	//516 Phonon::VolumeSlider::setTracking(bool)
    {31, 328, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 12},	//517 Phonon::VolumeSlider::pageStep() const
    {31, 427, 45, 1, Smoke::mf_property, 0, 13},	//518 Phonon::VolumeSlider::setPageStep(int)
    {31, 457, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 14},	//519 Phonon::VolumeSlider::singleStep() const
    {31, 439, 45, 1, Smoke::mf_property, 0, 15},	//520 Phonon::VolumeSlider::setSingleStep(int)
    {31, 270, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 16},	//521 Phonon::VolumeSlider::isMuteVisible() const
    {31, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 98, 17},	//522 Phonon::VolumeSlider::iconSize() const
    {31, 283, 0, 0, Smoke::mf_const, 221, 18},	//523 Phonon::VolumeSlider::maximumVolume() const
    {31, 323, 0, 0, Smoke::mf_const|Smoke::mf_property, 157, 19},	//524 Phonon::VolumeSlider::orientation() const
    {31, 146, 0, 0, Smoke::mf_const, 9, 20},	//525 Phonon::VolumeSlider::audioOutput() const
    {31, 411, 54, 1, Smoke::mf_slot, 0, 21},	//526 Phonon::VolumeSlider::setMaximumVolume(double)
    {31, 423, 196, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//527 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {31, 417, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//528 Phonon::VolumeSlider::setMuteVisible(bool)
    {31, 407, 198, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//529 Phonon::VolumeSlider::setIconSize(const QSize&)
    {31, 377, 226, 1, Smoke::mf_slot, 0, 25},	//530 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {31, 483, 11, 1, Smoke::mf_static, 99, 26},	//531 Phonon::VolumeSlider::tr(const char*)
    {31, 487, 11, 1, Smoke::mf_static, 99, 27},	//532 Phonon::VolumeSlider::trUtf8(const char*)
    {31, 134, 0, 0, Smoke::mf_ctor, 54, 28},	//533 Phonon::VolumeSlider::VolumeSlider()
    {31, 134, 226, 1, Smoke::mf_ctor, 54, 29},	//534 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {31, 465, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 208, 30},	//535 Phonon::VolumeSlider::staticMetaObject() const
    {31, 527, 0, 0, Smoke::mf_dtor, 0, 31 },	//536 Phonon::VolumeSlider::~VolumeSlider()
    {46, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 1},	//537 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {46, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 2},	//538 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {46, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 3},	//539 QGlobalSpace::Q_STATIC_TYPE (enum)
    {46, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 4},	//540 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {46, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 5},	//541 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {46, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 6},	//542 QGlobalSpace::QtDebugMsg (enum)
    {46, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 7},	//543 QGlobalSpace::QtWarningMsg (enum)
    {46, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 8},	//544 QGlobalSpace::QtCriticalMsg (enum)
    {46, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 9},	//545 QGlobalSpace::QtFatalMsg (enum)
    {46, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 10},	//546 QGlobalSpace::QtSystemMsg (enum)
    {46, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 11},	//547 QGlobalSpace::__codecvt_ok (enum)
    {46, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//548 QGlobalSpace::__codecvt_partial (enum)
    {46, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//549 QGlobalSpace::__codecvt_error (enum)
    {46, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 14},	//550 QGlobalSpace::__codecvt_noconv (enum)
    {57, 229, 216, 1, Smoke::mf_virtual, 186, 0},	//551 QObject::event(QEvent*)
    {57, 231, 228, 2, Smoke::mf_virtual, 186, 0},	//552 QObject::eventFilter(QObject*, QEvent*)
    {57, 477, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//553 QObject::timerEvent(QTimerEvent*)
    {57, 171, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//554 QObject::childEvent(QChildEvent*)
    {57, 194, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//555 QObject::customEvent(QEvent*)
    {57, 175, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//556 QObject::connectNotify(const char*)
    {57, 207, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//557 QObject::disconnectNotify(const char*)
    {72, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 0},	//558 QWidget::devType() const
    {72, 451, 31, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//559 QWidget::setVisible(bool)
    {72, 459, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 98, 0},	//560 QWidget::sizeHint() const
    {72, 294, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 98, 0},	//561 QWidget::minimumSizeHint() const
    {72, 254, 45, 1, Smoke::mf_const|Smoke::mf_virtual, 223, 0},	//562 QWidget::heightForWidth(int) const
    {72, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 93, 0},	//563 QWidget::paintEngine() const
    {72, 229, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//564 QWidget::event(QEvent*)
    {72, 301, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QWidget::mousePressEvent(QMouseEvent*)
    {72, 302, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QWidget::mouseReleaseEvent(QMouseEvent*)
    {72, 298, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {72, 299, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//568 QWidget::mouseMoveEvent(QMouseEvent*)
    {72, 502, 235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//569 QWidget::wheelEvent(QWheelEvent*)
    {72, 276, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//570 QWidget::keyPressEvent(QKeyEvent*)
    {72, 277, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//571 QWidget::keyReleaseEvent(QKeyEvent*)
    {72, 244, 239, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//572 QWidget::focusInEvent(QFocusEvent*)
    {72, 246, 239, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//573 QWidget::focusOutEvent(QFocusEvent*)
    {72, 223, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//574 QWidget::enterEvent(QEvent*)
    {72, 279, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::leaveEvent(QEvent*)
    {72, 330, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::paintEvent(QPaintEvent*)
    {72, 305, 243, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::moveEvent(QMoveEvent*)
    {72, 363, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::resizeEvent(QResizeEvent*)
    {72, 174, 247, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::closeEvent(QCloseEvent*)
    {72, 178, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::contextMenuEvent(QContextMenuEvent*)
    {72, 473, 251, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::tabletEvent(QTabletEvent*)
    {72, 142, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::actionEvent(QActionEvent*)
    {72, 208, 255, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::dragEnterEvent(QDragEnterEvent*)
    {72, 210, 257, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::dragMoveEvent(QDragMoveEvent*)
    {72, 209, 259, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {72, 211, 261, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::dropEvent(QDropEvent*)
    {72, 456, 263, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::showEvent(QShowEvent*)
    {72, 255, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::hideEvent(QHideEvent*)
    {72, 506, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//589 QWidget::x11Event(_XEvent*)
    {72, 168, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::changeEvent(QEvent*)
    {72, 289, 269, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 223, 0},	//591 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {72, 260, 271, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::inputMethodEvent(QInputMethodEvent*)
    {72, 261, 273, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 0},	//593 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {72, 245, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//594 QWidget::focusNextPrevChild(bool)
    {72, 470, 275, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::styleChange(QStyle&)
    {72, 215, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::enabledChange(bool)
    {72, 331, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::paletteChange(const QPalette&)
    {72, 247, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::fontChange(const QFont&)
    {72, 503, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::windowActivationChange(bool)
    {72, 278, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::languageChange()
    {72, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//601 QWidget::DrawWindowBackground (enum)
    {72, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 45},	//602 QWidget::DrawChildren (enum)
    {72, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 46},	//603 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    513,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    534,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
    78,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    79,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    377,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    396,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    347,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    348,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    295,  // Phonon::MediaSource::MediaSource(const QUrl&)
    297,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    298,  // Phonon::MediaSource::MediaSource(QIODevice*)
    299,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    310,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    294,  // Phonon::MediaSource::MediaSource(const QString&)
    311,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    0,
    327,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    329,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    235,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    236,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    261,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    262,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    250,  // Phonon::MediaObject::metaData(const QString&) const
    251,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    258,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    259,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 33},	// Phonon::AccessibilityCategory
    {1, 9, 8},	// Phonon::AlbumMetaData
    {1, 11, 7},	// Phonon::ArtistMetaData
    {1, 16, 19},	// Phonon::AudioCaptureDeviceType
    {1, 17, 17},	// Phonon::AudioChannelType
    {1, 24, 15},	// Phonon::AudioOutputDeviceType
    {1, 25, 38},	// Phonon::BufferingState
    {1, 26, 21},	// Phonon::Cd
    {1, 29, 31},	// Phonon::CommunicationCategory
    {1, 30, 10},	// Phonon::DateMetaData
    {1, 31, 13},	// Phonon::DescriptionMetaData
    {1, 35, 22},	// Phonon::Dvd
    {1, 47, 16},	// Phonon::EffectType
    {1, 52, 40},	// Phonon::ErrorState
    {1, 57, 26},	// Phonon::FatalError
    {1, 59, 32},	// Phonon::GameCategory
    {1, 60, 11},	// Phonon::GenreMetaData
    {1, 64, 34},	// Phonon::LastCategory
    {1, 67, 35},	// Phonon::LoadingState
    {1, 80, 14},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 81, 29},	// Phonon::MusicCategory
    {1, 82, 27},	// Phonon::NoCategory
    {1, 83, 20},	// Phonon::NoDisc
    {1, 84, 24},	// Phonon::NoError
    {1, 85, 25},	// Phonon::NormalError
    {1, 86, 28},	// Phonon::NotificationCategory
    {1, 94, 39},	// Phonon::PausedState
    {1, 95, 37},	// Phonon::PlayingState
    {1, 112, 36},	// Phonon::StoppedState
    {1, 116, 18},	// Phonon::SubtitleType
    {1, 118, 9},	// Phonon::TitleMetaData
    {1, 121, 12},	// Phonon::TracknumberMetaData
    {1, 123, 23},	// Phonon::Vcd
    {1, 124, 30},	// Phonon::VideoCategory
    {1, 167, 1},	// Phonon::categoryToString$
    {1, 181, 6},	// Phonon::createPath##
    {1, 183, 4},	// Phonon::createPlayer$
    {1, 184, 3},	// Phonon::createPlayer$#
    {1, 336, 5},	// Phonon::phononVersion
    {1, 348, 2},	// Phonon::qHash#
    {2, 2, 48},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 288, 41},	// Phonon::AbstractAudioOutput::metaObject
    {2, 350, 47},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 352, 42},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 465, 51},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 484, 49},	// Phonon::AbstractAudioOutput::tr$
    {2, 485, 43},	// Phonon::AbstractAudioOutput::tr$$
    {2, 486, 45},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 488, 50},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 489, 44},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 490, 46},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 507, 52},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 75},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 60},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 72},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 216, 66},	// Phonon::AbstractMediaStream::endOfData
    {4, 219, 70},	// Phonon::AbstractMediaStream::enoughData
    {4, 226, 67},	// Phonon::AbstractMediaStream::error$$
    {4, 288, 53},	// Phonon::AbstractMediaStream::metaObject
    {4, 311, 69},	// Phonon::AbstractMediaStream::needData
    {4, 350, 59},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 352, 54},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 362, 68},	// Phonon::AbstractMediaStream::reset
    {4, 372, 71},	// Phonon::AbstractMediaStream::seekStream$
    {4, 442, 64},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 444, 62},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 465, 76},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 468, 63},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 469, 61},	// Phonon::AbstractMediaStream::streamSize
    {4, 484, 73},	// Phonon::AbstractMediaStream::tr$
    {4, 485, 55},	// Phonon::AbstractMediaStream::tr$$
    {4, 486, 57},	// Phonon::AbstractMediaStream::tr$$$
    {4, 488, 74},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 489, 56},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 490, 58},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 505, 65},	// Phonon::AbstractMediaStream::writeData#
    {4, 508, 77},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -4},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 509, 80},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 18, 96},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 19, 88},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 27, 100},	// Phonon::AudioDataOutput::CenterChannel
    {8, 65, 98},	// Phonon::AudioDataOutput::LeftChannel
    {8, 66, 101},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 106, 99},	// Phonon::AudioDataOutput::RightChannel
    {8, 107, 102},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 117, 103},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 199, 92},	// Phonon::AudioDataOutput::dataReady?
    {8, 200, 89},	// Phonon::AudioDataOutput::dataSize
    {8, 218, 93},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 288, 81},	// Phonon::AudioDataOutput::metaObject
    {8, 350, 87},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 352, 82},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 366, 90},	// Phonon::AudioDataOutput::sampleRate
    {8, 400, 91},	// Phonon::AudioDataOutput::setDataSize$
    {8, 465, 97},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 484, 94},	// Phonon::AudioDataOutput::tr$
    {8, 485, 83},	// Phonon::AudioDataOutput::tr$$
    {8, 486, 85},	// Phonon::AudioDataOutput::tr$$$
    {8, 488, 95},	// Phonon::AudioDataOutput::trUtf8$
    {8, 489, 84},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 490, 86},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 510, 104},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 20, 131},	// Phonon::AudioOutput::AudioOutput
    {9, 21, 113},	// Phonon::AudioOutput::AudioOutput#
    {9, 22, 130},	// Phonon::AudioOutput::AudioOutput$
    {9, 23, 112},	// Phonon::AudioOutput::AudioOutput$#
    {9, 165, 117},	// Phonon::AudioOutput::category
    {9, 271, 119},	// Phonon::AudioOutput::isMuted
    {9, 288, 105},	// Phonon::AudioOutput::metaObject
    {9, 309, 126},	// Phonon::AudioOutput::mutedChanged$
    {9, 310, 114},	// Phonon::AudioOutput::name
    {9, 324, 118},	// Phonon::AudioOutput::outputDevice
    {9, 326, 127},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 350, 111},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 352, 106},	// Phonon::AudioOutput::qt_metacast$
    {9, 420, 124},	// Phonon::AudioOutput::setMuted$
    {9, 422, 120},	// Phonon::AudioOutput::setName$
    {9, 426, 123},	// Phonon::AudioOutput::setOutputDevice?
    {9, 453, 121},	// Phonon::AudioOutput::setVolume$
    {9, 455, 122},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 465, 132},	// Phonon::AudioOutput::staticMetaObject
    {9, 484, 128},	// Phonon::AudioOutput::tr$
    {9, 485, 107},	// Phonon::AudioOutput::tr$$
    {9, 486, 109},	// Phonon::AudioOutput::tr$$$
    {9, 488, 129},	// Phonon::AudioOutput::trUtf8$
    {9, 489, 108},	// Phonon::AudioOutput::trUtf8$$
    {9, 490, 110},	// Phonon::AudioOutput::trUtf8$$$
    {9, 498, 115},	// Phonon::AudioOutput::volume
    {9, 500, 125},	// Phonon::AudioOutput::volumeChanged$
    {9, 501, 116},	// Phonon::AudioOutput::volumeDecibel
    {9, 511, 133},	// Phonon::AudioOutput::~AudioOutput
    {11, 37, 146},	// Phonon::Effect::Effect##
    {11, 38, 149},	// Phonon::Effect::Effect?
    {11, 39, 141},	// Phonon::Effect::Effect?#
    {11, 202, 142},	// Phonon::Effect::description
    {11, 288, 134},	// Phonon::Effect::metaObject
    {11, 333, 144},	// Phonon::Effect::parameterValue#
    {11, 334, 143},	// Phonon::Effect::parameters
    {11, 350, 140},	// Phonon::Effect::qt_metacall$$?
    {11, 352, 135},	// Phonon::Effect::qt_metacast$
    {11, 430, 145},	// Phonon::Effect::setParameterValue##
    {11, 465, 150},	// Phonon::Effect::staticMetaObject
    {11, 484, 147},	// Phonon::Effect::tr$
    {11, 485, 136},	// Phonon::Effect::tr$$
    {11, 486, 138},	// Phonon::Effect::tr$$$
    {11, 488, 148},	// Phonon::Effect::trUtf8$
    {11, 489, 137},	// Phonon::Effect::trUtf8$$
    {11, 490, 139},	// Phonon::Effect::trUtf8$$$
    {11, 512, 151},	// Phonon::Effect::~Effect
    {12, 40, 152},	// Phonon::EffectParameter::EffectParameter
    {12, 41, 164},	// Phonon::EffectParameter::EffectParameter#
    {12, 42, 168},	// Phonon::EffectParameter::EffectParameter$$$#
    {12, 43, 169},	// Phonon::EffectParameter::EffectParameter$$$##
    {12, 44, 170},	// Phonon::EffectParameter::EffectParameter$$$###
    {12, 45, 171},	// Phonon::EffectParameter::EffectParameter$$$###?
    {12, 46, 166},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {12, 62, 174},	// Phonon::EffectParameter::IntegerHint
    {12, 69, 173},	// Phonon::EffectParameter::LogarithmicHint
    {12, 120, 172},	// Phonon::EffectParameter::ToggledHint
    {12, 201, 159},	// Phonon::EffectParameter::defaultValue
    {12, 202, 154},	// Phonon::EffectParameter::description
    {12, 258, 167},	// Phonon::EffectParameter::id
    {12, 269, 156},	// Phonon::EffectParameter::isLogarithmicControl
    {12, 282, 158},	// Phonon::EffectParameter::maximumValue
    {12, 295, 157},	// Phonon::EffectParameter::minimumValue
    {12, 310, 153},	// Phonon::EffectParameter::name
    {12, 316, 161},	// Phonon::EffectParameter::operator<#
    {12, 318, 165},	// Phonon::EffectParameter::operator=#
    {12, 320, 163},	// Phonon::EffectParameter::operator==#
    {12, 322, 162},	// Phonon::EffectParameter::operator>#
    {12, 339, 160},	// Phonon::EffectParameter::possibleValues
    {12, 495, 155},	// Phonon::EffectParameter::type
    {12, 513, 175},	// Phonon::EffectParameter::~EffectParameter
    {14, 49, 186},	// Phonon::EffectWidget::EffectWidget#
    {14, 50, 183},	// Phonon::EffectWidget::EffectWidget##
    {14, 288, 176},	// Phonon::EffectWidget::metaObject
    {14, 350, 182},	// Phonon::EffectWidget::qt_metacall$$?
    {14, 352, 177},	// Phonon::EffectWidget::qt_metacast$
    {14, 465, 187},	// Phonon::EffectWidget::staticMetaObject
    {14, 484, 184},	// Phonon::EffectWidget::tr$
    {14, 485, 178},	// Phonon::EffectWidget::tr$$
    {14, 486, 180},	// Phonon::EffectWidget::tr$$$
    {14, 488, 185},	// Phonon::EffectWidget::trUtf8$
    {14, 489, 179},	// Phonon::EffectWidget::trUtf8$$
    {14, 490, 181},	// Phonon::EffectWidget::trUtf8$$$
    {14, 514, 188},	// Phonon::EffectWidget::~EffectWidget
    {15, 10, 228},	// Phonon::MediaController::Angles
    {15, 28, 229},	// Phonon::MediaController::Chapters
    {15, 71, 196},	// Phonon::MediaController::MediaController#
    {15, 119, 230},	// Phonon::MediaController::Titles
    {15, 144, 220},	// Phonon::MediaController::angleChanged$
    {15, 148, 204},	// Phonon::MediaController::autoplayTitles
    {15, 149, 198},	// Phonon::MediaController::availableAngles
    {15, 151, 219},	// Phonon::MediaController::availableAnglesChanged$
    {15, 152, 207},	// Phonon::MediaController::availableAudioChannels
    {15, 153, 218},	// Phonon::MediaController::availableAudioChannelsChanged
    {15, 154, 200},	// Phonon::MediaController::availableChapters
    {15, 156, 221},	// Phonon::MediaController::availableChaptersChanged$
    {15, 157, 208},	// Phonon::MediaController::availableSubtitles
    {15, 158, 217},	// Phonon::MediaController::availableSubtitlesChanged
    {15, 159, 202},	// Phonon::MediaController::availableTitles
    {15, 161, 223},	// Phonon::MediaController::availableTitlesChanged$
    {15, 170, 222},	// Phonon::MediaController::chapterChanged$
    {15, 185, 199},	// Phonon::MediaController::currentAngle
    {15, 186, 205},	// Phonon::MediaController::currentAudioChannel
    {15, 187, 201},	// Phonon::MediaController::currentChapter
    {15, 191, 206},	// Phonon::MediaController::currentSubtitle
    {15, 193, 203},	// Phonon::MediaController::currentTitle
    {15, 288, 189},	// Phonon::MediaController::metaObject
    {15, 312, 215},	// Phonon::MediaController::nextTitle
    {15, 343, 216},	// Phonon::MediaController::previousTitle
    {15, 350, 195},	// Phonon::MediaController::qt_metacall$$?
    {15, 352, 190},	// Phonon::MediaController::qt_metacast$
    {15, 382, 214},	// Phonon::MediaController::setAutoplayTitles$
    {15, 388, 211},	// Phonon::MediaController::setCurrentAngle$
    {15, 390, 209},	// Phonon::MediaController::setCurrentAudioChannel?
    {15, 392, 212},	// Phonon::MediaController::setCurrentChapter$
    {15, 396, 210},	// Phonon::MediaController::setCurrentSubtitle?
    {15, 398, 213},	// Phonon::MediaController::setCurrentTitle$
    {15, 465, 227},	// Phonon::MediaController::staticMetaObject
    {15, 472, 197},	// Phonon::MediaController::supportedFeatures
    {15, 479, 224},	// Phonon::MediaController::titleChanged$
    {15, 484, 225},	// Phonon::MediaController::tr$
    {15, 485, 191},	// Phonon::MediaController::tr$$
    {15, 486, 193},	// Phonon::MediaController::tr$$$
    {15, 488, 226},	// Phonon::MediaController::trUtf8$
    {15, 489, 192},	// Phonon::MediaController::trUtf8$$
    {15, 490, 194},	// Phonon::MediaController::trUtf8$$$
    {15, 515, 231},	// Phonon::MediaController::~MediaController
    {16, 73, -25},	// Phonon::MediaNode::MediaNode#
    {16, 262, 233},	// Phonon::MediaNode::inputPaths
    {16, 275, 232},	// Phonon::MediaNode::isValid
    {16, 327, 234},	// Phonon::MediaNode::outputPaths
    {16, 516, 237},	// Phonon::MediaNode::~MediaNode
    {18, 74, 290},	// Phonon::MediaObject::MediaObject
    {18, 75, 245},	// Phonon::MediaObject::MediaObject#
    {18, 141, 285},	// Phonon::MediaObject::aboutToFinish
    {18, 164, 282},	// Phonon::MediaObject::bufferStatus$
    {18, 172, 276},	// Phonon::MediaObject::clear
    {18, 173, 263},	// Phonon::MediaObject::clearQueue
    {18, 188, 255},	// Phonon::MediaObject::currentSource
    {18, 190, 284},	// Phonon::MediaObject::currentSourceChanged#
    {18, 192, 264},	// Phonon::MediaObject::currentTime
    {18, 221, 260},	// Phonon::MediaObject::enqueue#
    {18, 222, -28},	// Phonon::MediaObject::enqueue?
    {18, 227, 253},	// Phonon::MediaObject::errorString
    {18, 228, 254},	// Phonon::MediaObject::errorType
    {18, 241, 283},	// Phonon::MediaObject::finished
    {18, 251, 247},	// Phonon::MediaObject::hasVideo
    {18, 253, 281},	// Phonon::MediaObject::hasVideoChanged$
    {18, 274, 248},	// Phonon::MediaObject::isSeekable
    {18, 285, 252},	// Phonon::MediaObject::metaData
    {18, 286, -31},	// Phonon::MediaObject::metaData$
    {18, 287, 279},	// Phonon::MediaObject::metaDataChanged
    {18, 288, 238},	// Phonon::MediaObject::metaObject
    {18, 335, 273},	// Phonon::MediaObject::pause
    {18, 337, 272},	// Phonon::MediaObject::play
    {18, 340, 267},	// Phonon::MediaObject::prefinishMark
    {18, 342, 286},	// Phonon::MediaObject::prefinishMarkReached$
    {18, 350, 244},	// Phonon::MediaObject::qt_metacall$$?
    {18, 352, 239},	// Phonon::MediaObject::qt_metacast$
    {18, 353, 257},	// Phonon::MediaObject::queue
    {18, 356, 266},	// Phonon::MediaObject::remainingTime
    {18, 370, 275},	// Phonon::MediaObject::seek$
    {18, 374, 280},	// Phonon::MediaObject::seekableChanged$
    {18, 394, 256},	// Phonon::MediaObject::setCurrentSource#
    {18, 432, 268},	// Phonon::MediaObject::setPrefinishMark$
    {18, 434, -34},	// Phonon::MediaObject::setQueue?
    {18, 446, 271},	// Phonon::MediaObject::setTickInterval$
    {18, 450, 270},	// Phonon::MediaObject::setTransitionTime$
    {18, 462, 246},	// Phonon::MediaObject::state
    {18, 464, 277},	// Phonon::MediaObject::stateChanged$$
    {18, 465, 291},	// Phonon::MediaObject::staticMetaObject
    {18, 466, 274},	// Phonon::MediaObject::stop
    {18, 475, 278},	// Phonon::MediaObject::tick$
    {18, 476, 249},	// Phonon::MediaObject::tickInterval
    {18, 480, 265},	// Phonon::MediaObject::totalTime
    {18, 482, 287},	// Phonon::MediaObject::totalTimeChanged$
    {18, 484, 288},	// Phonon::MediaObject::tr$
    {18, 485, 240},	// Phonon::MediaObject::tr$$
    {18, 486, 242},	// Phonon::MediaObject::tr$$$
    {18, 488, 289},	// Phonon::MediaObject::trUtf8$
    {18, 489, 241},	// Phonon::MediaObject::trUtf8$$
    {18, 490, 243},	// Phonon::MediaObject::trUtf8$$$
    {18, 491, 269},	// Phonon::MediaObject::transitionTime
    {18, 517, 292},	// Phonon::MediaObject::~MediaObject
    {19, 32, 315},	// Phonon::MediaSource::Disc
    {19, 51, 317},	// Phonon::MediaSource::Empty
    {19, 63, 312},	// Phonon::MediaSource::Invalid
    {19, 68, 313},	// Phonon::MediaSource::LocalFile
    {19, 76, 293},	// Phonon::MediaSource::MediaSource
    {19, 77, -13},	// Phonon::MediaSource::MediaSource#
    {19, 78, -19},	// Phonon::MediaSource::MediaSource$
    {19, 79, 296},	// Phonon::MediaSource::MediaSource$$
    {19, 113, 316},	// Phonon::MediaSource::Stream
    {19, 122, 314},	// Phonon::MediaSource::Url
    {19, 147, 303},	// Phonon::MediaSource::autoDelete
    {19, 204, 308},	// Phonon::MediaSource::deviceName
    {19, 205, 307},	// Phonon::MediaSource::discType
    {19, 240, 305},	// Phonon::MediaSource::fileName
    {19, 318, 300},	// Phonon::MediaSource::operator=#
    {19, 320, 301},	// Phonon::MediaSource::operator==#
    {19, 380, 302},	// Phonon::MediaSource::setAutoDelete$
    {19, 467, 309},	// Phonon::MediaSource::stream
    {19, 495, 304},	// Phonon::MediaSource::type
    {19, 496, 306},	// Phonon::MediaSource::url
    {19, 518, 318},	// Phonon::MediaSource::~MediaSource
    {21, 87, 330},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {21, 88, -22},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {21, 89, 328},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {21, 202, 321},	// Phonon::ObjectDescriptionData::description
    {21, 249, 326},	// Phonon::ObjectDescriptionData::fromIndex$$
    {21, 259, 325},	// Phonon::ObjectDescriptionData::index
    {21, 275, 324},	// Phonon::ObjectDescriptionData::isValid
    {21, 310, 320},	// Phonon::ObjectDescriptionData::name
    {21, 320, 319},	// Phonon::ObjectDescriptionData::operator==#
    {21, 345, 322},	// Phonon::ObjectDescriptionData::property$
    {21, 346, 323},	// Phonon::ObjectDescriptionData::propertyNames
    {21, 519, 331},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {22, 91, -10},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {22, 196, 350},	// Phonon::ObjectDescriptionModelData::data#
    {22, 197, 333},	// Phonon::ObjectDescriptionModelData::data#$
    {22, 213, 344},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {22, 243, 334},	// Phonon::ObjectDescriptionModelData::flags#
    {22, 291, 337},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {22, 293, 346},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {22, 296, 341},	// Phonon::ObjectDescriptionModelData::modelData
    {22, 297, 342},	// Phonon::ObjectDescriptionModelData::modelData#
    {22, 304, 339},	// Phonon::ObjectDescriptionModelData::moveDown#
    {22, 307, 338},	// Phonon::ObjectDescriptionModelData::moveUp#
    {22, 360, 351},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {22, 361, 345},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {22, 364, 349},	// Phonon::ObjectDescriptionModelData::rowCount
    {22, 365, 332},	// Phonon::ObjectDescriptionModelData::rowCount#
    {22, 416, 340},	// Phonon::ObjectDescriptionModelData::setModelData?
    {22, 471, 343},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {22, 493, 336},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {22, 494, 335},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {22, 520, 352},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {24, 92, 353},	// Phonon::Path::Path
    {24, 93, 354},	// Phonon::Path::Path#
    {24, 206, 361},	// Phonon::Path::disconnect
    {24, 214, 359},	// Phonon::Path::effects
    {24, 264, 368},	// Phonon::Path::insertEffect#
    {24, 265, 357},	// Phonon::Path::insertEffect##
    {24, 266, 367},	// Phonon::Path::insertEffect?
    {24, 267, 356},	// Phonon::Path::insertEffect?#
    {24, 275, 355},	// Phonon::Path::isValid
    {24, 314, 364},	// Phonon::Path::operator!=#
    {24, 318, 362},	// Phonon::Path::operator=#
    {24, 320, 363},	// Phonon::Path::operator==#
    {24, 355, 360},	// Phonon::Path::reconnect##
    {24, 358, 358},	// Phonon::Path::removeEffect#
    {24, 458, 366},	// Phonon::Path::sink
    {24, 461, 365},	// Phonon::Path::source
    {24, 521, 369},	// Phonon::Path::~Path
    {25, 109, 395},	// Phonon::SeekSlider::SeekSlider
    {25, 110, -7},	// Phonon::SeekSlider::SeekSlider#
    {25, 111, 378},	// Phonon::SeekSlider::SeekSlider##
    {25, 250, 379},	// Phonon::SeekSlider::hasTracking
    {25, 257, 387},	// Phonon::SeekSlider::iconSize
    {25, 268, 386},	// Phonon::SeekSlider::isIconVisible
    {25, 284, 388},	// Phonon::SeekSlider::mediaObject
    {25, 288, 370},	// Phonon::SeekSlider::metaObject
    {25, 323, 385},	// Phonon::SeekSlider::orientation
    {25, 328, 381},	// Phonon::SeekSlider::pageStep
    {25, 350, 376},	// Phonon::SeekSlider::qt_metacall$$?
    {25, 352, 371},	// Phonon::SeekSlider::qt_metacast$
    {25, 408, 391},	// Phonon::SeekSlider::setIconSize#
    {25, 410, 390},	// Phonon::SeekSlider::setIconVisible$
    {25, 414, 392},	// Phonon::SeekSlider::setMediaObject#
    {25, 424, 389},	// Phonon::SeekSlider::setOrientation$
    {25, 428, 382},	// Phonon::SeekSlider::setPageStep$
    {25, 440, 384},	// Phonon::SeekSlider::setSingleStep$
    {25, 448, 380},	// Phonon::SeekSlider::setTracking$
    {25, 457, 383},	// Phonon::SeekSlider::singleStep
    {25, 465, 397},	// Phonon::SeekSlider::staticMetaObject
    {25, 484, 393},	// Phonon::SeekSlider::tr$
    {25, 485, 372},	// Phonon::SeekSlider::tr$$
    {25, 486, 374},	// Phonon::SeekSlider::tr$$$
    {25, 488, 394},	// Phonon::SeekSlider::trUtf8$
    {25, 489, 373},	// Phonon::SeekSlider::trUtf8$$
    {25, 490, 375},	// Phonon::SeekSlider::trUtf8$$$
    {25, 522, 398},	// Phonon::SeekSlider::~SeekSlider
    {26, 114, 408},	// Phonon::StreamInterface::StreamInterface
    {26, 115, 409},	// Phonon::StreamInterface::StreamInterface#
    {26, 177, 403},	// Phonon::StreamInterface::connectToSource#
    {26, 216, 400},	// Phonon::StreamInterface::endOfData
    {26, 219, 405},	// Phonon::StreamInterface::enoughData
    {26, 311, 404},	// Phonon::StreamInterface::needData
    {26, 362, 407},	// Phonon::StreamInterface::reset
    {26, 372, 406},	// Phonon::StreamInterface::seekStream$
    {26, 442, 402},	// Phonon::StreamInterface::setStreamSeekable$
    {26, 444, 401},	// Phonon::StreamInterface::setStreamSize$
    {26, 505, 399},	// Phonon::StreamInterface::writeData#
    {26, 523, 410},	// Phonon::StreamInterface::~StreamInterface
    {27, 125, 439},	// Phonon::VideoPlayer::VideoPlayer
    {27, 126, 419},	// Phonon::VideoPlayer::VideoPlayer#
    {27, 127, 438},	// Phonon::VideoPlayer::VideoPlayer$
    {27, 128, 418},	// Phonon::VideoPlayer::VideoPlayer$#
    {27, 146, 426},	// Phonon::VideoPlayer::audioOutput
    {27, 192, 421},	// Phonon::VideoPlayer::currentTime
    {27, 241, 435},	// Phonon::VideoPlayer::finished
    {27, 272, 424},	// Phonon::VideoPlayer::isPaused
    {27, 273, 423},	// Phonon::VideoPlayer::isPlaying
    {27, 281, 428},	// Phonon::VideoPlayer::load#
    {27, 284, 425},	// Phonon::VideoPlayer::mediaObject
    {27, 288, 411},	// Phonon::VideoPlayer::metaObject
    {27, 335, 431},	// Phonon::VideoPlayer::pause
    {27, 337, 430},	// Phonon::VideoPlayer::play
    {27, 338, 429},	// Phonon::VideoPlayer::play#
    {27, 350, 417},	// Phonon::VideoPlayer::qt_metacall$$?
    {27, 352, 412},	// Phonon::VideoPlayer::qt_metacast$
    {27, 370, 433},	// Phonon::VideoPlayer::seek$
    {27, 453, 434},	// Phonon::VideoPlayer::setVolume$
    {27, 465, 440},	// Phonon::VideoPlayer::staticMetaObject
    {27, 466, 432},	// Phonon::VideoPlayer::stop
    {27, 480, 420},	// Phonon::VideoPlayer::totalTime
    {27, 484, 436},	// Phonon::VideoPlayer::tr$
    {27, 485, 413},	// Phonon::VideoPlayer::tr$$
    {27, 486, 415},	// Phonon::VideoPlayer::tr$$$
    {27, 488, 437},	// Phonon::VideoPlayer::trUtf8$
    {27, 489, 414},	// Phonon::VideoPlayer::trUtf8$$
    {27, 490, 416},	// Phonon::VideoPlayer::trUtf8$$$
    {27, 497, 427},	// Phonon::VideoPlayer::videoWidget
    {27, 498, 422},	// Phonon::VideoPlayer::volume
    {27, 524, 441},	// Phonon::VideoPlayer::~VideoPlayer
    {28, 12, 476},	// Phonon::VideoWidget::AspectRatio16_9
    {28, 13, 475},	// Phonon::VideoWidget::AspectRatio4_3
    {28, 14, 473},	// Phonon::VideoWidget::AspectRatioAuto
    {28, 15, 474},	// Phonon::VideoWidget::AspectRatioWidget
    {28, 58, 477},	// Phonon::VideoWidget::FitInView
    {28, 108, 478},	// Phonon::VideoWidget::ScaleAndCrop
    {28, 129, 471},	// Phonon::VideoWidget::VideoWidget
    {28, 130, 449},	// Phonon::VideoWidget::VideoWidget#
    {28, 131, 466},	// Phonon::VideoWidget::VideoWidget##
    {28, 145, 450},	// Phonon::VideoWidget::aspectRatio
    {28, 162, 452},	// Phonon::VideoWidget::brightness
    {28, 179, 453},	// Phonon::VideoWidget::contrast
    {28, 224, 459},	// Phonon::VideoWidget::enterFullScreen
    {28, 230, 468},	// Phonon::VideoWidget::event#
    {28, 232, 458},	// Phonon::VideoWidget::exitFullScreen
    {28, 256, 454},	// Phonon::VideoWidget::hue
    {28, 288, 442},	// Phonon::VideoWidget::metaObject
    {28, 300, 467},	// Phonon::VideoWidget::mouseMoveEvent#
    {28, 350, 448},	// Phonon::VideoWidget::qt_metacall$$?
    {28, 352, 443},	// Phonon::VideoWidget::qt_metacast$
    {28, 367, 455},	// Phonon::VideoWidget::saturation
    {28, 368, 451},	// Phonon::VideoWidget::scaleMode
    {28, 376, 460},	// Phonon::VideoWidget::setAspectRatio$
    {28, 384, 462},	// Phonon::VideoWidget::setBrightness$
    {28, 386, 463},	// Phonon::VideoWidget::setContrast$
    {28, 404, 457},	// Phonon::VideoWidget::setFullScreen$
    {28, 406, 464},	// Phonon::VideoWidget::setHue$
    {28, 436, 465},	// Phonon::VideoWidget::setSaturation$
    {28, 438, 461},	// Phonon::VideoWidget::setScaleMode$
    {28, 460, 456},	// Phonon::VideoWidget::snapshot
    {28, 465, 472},	// Phonon::VideoWidget::staticMetaObject
    {28, 484, 469},	// Phonon::VideoWidget::tr$
    {28, 485, 444},	// Phonon::VideoWidget::tr$$
    {28, 486, 446},	// Phonon::VideoWidget::tr$$$
    {28, 488, 470},	// Phonon::VideoWidget::trUtf8$
    {28, 489, 445},	// Phonon::VideoWidget::trUtf8$$
    {28, 490, 447},	// Phonon::VideoWidget::trUtf8$$$
    {28, 525, 479},	// Phonon::VideoWidget::~VideoWidget
    {30, 53, 504},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {30, 54, 501},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {30, 55, 502},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {30, 56, 503},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {30, 132, 499},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {30, 133, 487},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {30, 233, 490},	// Phonon::VolumeFaderEffect::fadeCurve
    {30, 235, 491},	// Phonon::VolumeFaderEffect::fadeIn$
    {30, 237, 492},	// Phonon::VolumeFaderEffect::fadeOut$
    {30, 239, 496},	// Phonon::VolumeFaderEffect::fadeTo$$
    {30, 288, 480},	// Phonon::VolumeFaderEffect::metaObject
    {30, 350, 486},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {30, 352, 481},	// Phonon::VolumeFaderEffect::qt_metacast$
    {30, 402, 495},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {30, 453, 493},	// Phonon::VolumeFaderEffect::setVolume$
    {30, 455, 494},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {30, 465, 500},	// Phonon::VolumeFaderEffect::staticMetaObject
    {30, 484, 497},	// Phonon::VolumeFaderEffect::tr$
    {30, 485, 482},	// Phonon::VolumeFaderEffect::tr$$
    {30, 486, 484},	// Phonon::VolumeFaderEffect::tr$$$
    {30, 488, 498},	// Phonon::VolumeFaderEffect::trUtf8$
    {30, 489, 483},	// Phonon::VolumeFaderEffect::trUtf8$$
    {30, 490, 485},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {30, 498, 488},	// Phonon::VolumeFaderEffect::volume
    {30, 501, 489},	// Phonon::VolumeFaderEffect::volumeDecibel
    {30, 526, 505},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {31, 134, 533},	// Phonon::VolumeSlider::VolumeSlider
    {31, 135, -1},	// Phonon::VolumeSlider::VolumeSlider#
    {31, 136, 514},	// Phonon::VolumeSlider::VolumeSlider##
    {31, 146, 525},	// Phonon::VolumeSlider::audioOutput
    {31, 250, 515},	// Phonon::VolumeSlider::hasTracking
    {31, 257, 522},	// Phonon::VolumeSlider::iconSize
    {31, 270, 521},	// Phonon::VolumeSlider::isMuteVisible
    {31, 283, 523},	// Phonon::VolumeSlider::maximumVolume
    {31, 288, 506},	// Phonon::VolumeSlider::metaObject
    {31, 323, 524},	// Phonon::VolumeSlider::orientation
    {31, 328, 517},	// Phonon::VolumeSlider::pageStep
    {31, 350, 512},	// Phonon::VolumeSlider::qt_metacall$$?
    {31, 352, 507},	// Phonon::VolumeSlider::qt_metacast$
    {31, 378, 530},	// Phonon::VolumeSlider::setAudioOutput#
    {31, 408, 529},	// Phonon::VolumeSlider::setIconSize#
    {31, 412, 526},	// Phonon::VolumeSlider::setMaximumVolume$
    {31, 418, 528},	// Phonon::VolumeSlider::setMuteVisible$
    {31, 424, 527},	// Phonon::VolumeSlider::setOrientation$
    {31, 428, 518},	// Phonon::VolumeSlider::setPageStep$
    {31, 440, 520},	// Phonon::VolumeSlider::setSingleStep$
    {31, 448, 516},	// Phonon::VolumeSlider::setTracking$
    {31, 457, 519},	// Phonon::VolumeSlider::singleStep
    {31, 465, 535},	// Phonon::VolumeSlider::staticMetaObject
    {31, 484, 531},	// Phonon::VolumeSlider::tr$
    {31, 485, 508},	// Phonon::VolumeSlider::tr$$
    {31, 486, 510},	// Phonon::VolumeSlider::tr$$$
    {31, 488, 532},	// Phonon::VolumeSlider::trUtf8$
    {31, 489, 509},	// Phonon::VolumeSlider::trUtf8$$
    {31, 490, 511},	// Phonon::VolumeSlider::trUtf8$$$
    {31, 527, 536},	// Phonon::VolumeSlider::~VolumeSlider
    {46, 96, 537},	// QGlobalSpace::Q_COMPLEX_TYPE
    {46, 97, 541},	// QGlobalSpace::Q_DUMMY_TYPE
    {46, 98, 540},	// QGlobalSpace::Q_MOVABLE_TYPE
    {46, 99, 538},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {46, 100, 539},	// QGlobalSpace::Q_STATIC_TYPE
    {46, 101, 544},	// QGlobalSpace::QtCriticalMsg
    {46, 102, 542},	// QGlobalSpace::QtDebugMsg
    {46, 103, 545},	// QGlobalSpace::QtFatalMsg
    {46, 104, 546},	// QGlobalSpace::QtSystemMsg
    {46, 105, 543},	// QGlobalSpace::QtWarningMsg
    {46, 137, 549},	// QGlobalSpace::__codecvt_error
    {46, 138, 550},	// QGlobalSpace::__codecvt_noconv
    {46, 139, 547},	// QGlobalSpace::__codecvt_ok
    {46, 140, 548},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 72,
        __smokephonon::methods, 604,
        __smokephonon::methodMaps, 537,
        __smokephonon::methodNames, 527,
        __smokephonon::types, 230,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
