#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 49: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 49: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 49: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 49: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 49: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 47: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 73: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 64: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 49: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 49: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCookie
      switch(to) {
        case 40: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCookieJar
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 49: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkInterface
      switch(to) {
        case 43: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkProxy
      switch(to) {
        case 44: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkProxyFactory
      switch(to) {
        case 45: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxyQuery
      switch(to) {
        case 46: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 49: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 47: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkRequest
      switch(to) {
        case 48: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 47: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 73: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 64: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 68: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 67: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPersistentModelIndex
      switch(to) {
        case 50: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QRect
      switch(to) {
        case 53: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 54:   //QRectF
      switch(to) {
        case 54: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 55:   //QRegExp
      switch(to) {
        case 55: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 56:   //QSize
      switch(to) {
        case 56: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 57:   //QSizeF
      switch(to) {
        case 57: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 59:   //QSslCertificate
      switch(to) {
        case 59: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 60:   //QSslCipher
      switch(to) {
        case 60: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 61:   //QSslConfiguration
      switch(to) {
        case 61: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 62:   //QSslError
      switch(to) {
        case 62: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 63:   //QSslKey
      switch(to) {
        case 63: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 64:   //QSslSocket
      switch(to) {
        case 68: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 49: return (void*)(QObject*)(QSslSocket*)xptr;
        case 64: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 65:   //QString::Null
      switch(to) {
        case 65: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 66:   //QStringRef
      switch(to) {
        case 66: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 67:   //QTcpServer
      switch(to) {
        case 49: return (void*)(QObject*)(QTcpServer*)xptr;
        case 67: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 68:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 49: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QTextStream
      switch(to) {
        case 69: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 70:   //QTextStreamManipulator
      switch(to) {
        case 70: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 49: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QUrl
      switch(to) {
        case 74: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 75:   //QUrlInfo
      switch(to) {
        case 75: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 76:   //QUuid
      switch(to) {
        case 76: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //sockaddr
      switch(to) {
        case 79: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    68, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//40
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//41
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//42
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//43
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//44
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//45
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//46
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//47
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QRect", true, 0, 0, 0, 0, 0 },	//53
    { "QRectF", true, 0, 0, 0, 0, 0 },	//54
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//55
    { "QSize", true, 0, 0, 0, 0, 0 },	//56
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//57
    { "QSsl", false, 0, xcall_QSsl, 0, Smoke::cf_namespace, 0 },	//58
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//59
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//60
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//61
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//62
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//63
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//64
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//65
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//66
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//67
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//68
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//69
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//73
    { "QUrl", true, 0, 0, 0, 0, 0 },	//74
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//75
    { "QUuid", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QFlags<QNetworkInterface::InterfaceFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QFlags<QNetworkProxy::Capabilities::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QFlags<QUdpSocket::BindMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//65
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//71
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//72
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//75
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//76
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//83
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//85
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//88
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//89
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//94
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//96
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//99
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//100
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//112
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//117
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//123
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//125
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//126
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkCookie*", 40, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkCookie::RawForm", 40, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QNetworkCookieJar*", 41, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QNetworkDiskCache*", 42, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QNetworkInterface", 43, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref },	//134
    { "QNetworkInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkInterface::InterfaceFlag", 43, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QNetworkInterface::InterfaceFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//138
    { "QNetworkProxy", 44, Smoke::t_class|Smoke::tf_stack },	//139
    { "QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref },	//140
    { "QNetworkProxy*", 44, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkProxy::Capabilities", 0, Smoke::t_uint|Smoke::tf_stack },	//142
    { "QNetworkProxy::Capabilities::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//143
    { "QNetworkProxy::Capability", 44, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkProxy::ProxyType", 44, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkProxyFactory*", 45, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref },	//147
    { "QNetworkProxyQuery*", 46, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QNetworkProxyQuery::QueryType", 46, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QNetworkReply*", 47, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkReply::NetworkError", 47, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkRequest", 48, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkRequest*", 48, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkRequest::Attribute", 48, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkRequest::CacheLoadControl", 48, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QNetworkRequest::KnownHeaders", 48, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QObject*(*)()", 49, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//161
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//162
    { "QRect&", 53, Smoke::t_class|Smoke::tf_ref },	//163
    { "QRectF&", 54, Smoke::t_class|Smoke::tf_ref },	//164
    { "QRegExp&", 55, Smoke::t_class|Smoke::tf_ref },	//165
    { "QRegExp::PatternSyntax", 55, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QSize&", 56, Smoke::t_class|Smoke::tf_ref },	//167
    { "QSizeF&", 57, Smoke::t_class|Smoke::tf_ref },	//168
    { "QSsl::AlternateNameEntryType", 58, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QSsl::EncodingFormat", 58, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QSsl::KeyAlgorithm", 58, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QSsl::KeyType", 58, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QSsl::SslProtocol", 58, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QSslCertificate", 59, Smoke::t_class|Smoke::tf_stack },	//174
    { "QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref },	//175
    { "QSslCertificate*", 59, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QSslCertificate::SubjectInfo", 59, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QSslCipher", 60, Smoke::t_class|Smoke::tf_stack },	//178
    { "QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref },	//179
    { "QSslCipher*", 60, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QSslConfiguration", 61, Smoke::t_class|Smoke::tf_stack },	//181
    { "QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref },	//182
    { "QSslConfiguration*", 61, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QSslError&", 62, Smoke::t_class|Smoke::tf_ref },	//184
    { "QSslError*", 62, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QSslError::SslError", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSslKey", 63, Smoke::t_class|Smoke::tf_stack },	//187
    { "QSslKey&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QSslKey*", 63, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QSslSocket*", 64, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QSslSocket::PeerVerifyMode", 64, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QSslSocket::SslMode", 64, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//194
    { "QString::Null", 65, Smoke::t_class|Smoke::tf_stack },	//195
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//198
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "QTcpServer*", 67, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QTcpSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//202
    { "QTextStream&", 69, Smoke::t_class|Smoke::tf_ref },	//203
    { "QTextStream&(*)(QTextStream&)", 69, Smoke::t_class|Smoke::tf_ref },	//204
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//205
    { "QTextStreamManipulator", 70, Smoke::t_class|Smoke::tf_stack },	//206
    { "QTime&", 71, Smoke::t_class|Smoke::tf_ref },	//207
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QUdpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QUdpSocket::BindFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QUdpSocket::BindMode", 0, Smoke::t_uint|Smoke::tf_stack },	//211
    { "QUdpSocket::BindMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QUrl", 74, Smoke::t_class|Smoke::tf_stack },	//213
    { "QUrl&", 74, Smoke::t_class|Smoke::tf_ref },	//214
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref },	//216
    { "QUrlInfo*", 75, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QUrlInfo::PermissionSpec", 75, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QUuid&", 76, Smoke::t_class|Smoke::tf_ref },	//219
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//220
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//221
    { "QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//223
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//224
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//274
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//301
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//316
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//318
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//319
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//322
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//350
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QNetworkProxyFactory&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//360
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QPersistentModelIndex&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//363
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//365
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QRect&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QRectF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QRegExp&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QRegExp*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//370
    { "const QSize", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//371
    { "const QSize&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QSizeF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//373
    { "const QSizeF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QSslError&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QSslError::SslError&", 62, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QSslKey&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//381
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const QStringRef&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QUrl&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QUuid&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//391
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const sockaddr*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//397
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//398
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//399
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//400
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//401
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//402
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//403
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//404
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//405
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//406
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//407
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//408
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//409
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//410
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//411
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//412
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//413
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//414
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//415
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//416
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//417
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//418
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//419
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    393, 0,	//1  const char*
    393, 393, 0,	//3  const char*, const char*
    393, 393, 399, 0,	//6  const char*, const char*, int
    119, 399, 418, 0,	//10  QMetaObject::Call, int, void**
    387, 0,	//14  const QUrl&
    353, 0,	//16  const QNetworkCacheMetaData&
    91, 0,	//18  QIODevice*
    158, 0,	//20  QObject*
    8, 158, 0,	//22  QAbstractSocket::SocketType, QObject*
    382, 412, 92, 0,	//25  const QString&, unsigned short, QIODevice::OpenMode
    331, 412, 92, 0,	//29  const QHostAddress&, unsigned short, QIODevice::OpenMode
    402, 0,	//33  long long
    399, 7, 92, 0,	//35  int, QAbstractSocket::SocketState, QIODevice::OpenMode
    6, 390, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    399, 0,	//44  int
    356, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    356, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    319, 402, 0,	//55  char*, long long
    393, 402, 0,	//58  const char*, long long
    412, 0,	//61  unsigned short
    331, 0,	//63  const QHostAddress&
    382, 0,	//65  const QString&
    382, 412, 0,	//67  const QString&, unsigned short
    331, 412, 0,	//70  const QHostAddress&, unsigned short
    399, 7, 0,	//73  int, QAbstractSocket::SocketState
    320, 0,	//76  const QAuthenticator&
    382, 382, 0,	//78  const QString&, const QString&
    68, 0,	//81  QFtp::TransferMode
    382, 91, 69, 0,	//83  const QString&, QIODevice*, QFtp::TransferType
    323, 382, 69, 0,	//87  const QByteArray&, const QString&, QFtp::TransferType
    91, 382, 69, 0,	//91  QIODevice*, const QString&, QFtp::TransferType
    388, 0,	//95  const QUrlInfo&
    402, 402, 0,	//97  long long, long long
    399, 382, 0,	//100  int, const QString&
    399, 316, 0,	//103  int, bool
    316, 0,	//106  bool
    382, 91, 0,	//108  const QString&, QIODevice*
    323, 382, 0,	//111  const QByteArray&, const QString&
    91, 382, 0,	//114  QIODevice*, const QString&
    27, 399, 0,	//117  QDir::SortFlags::enum_type, int
    385, 385, 0,	//120  const QStringRef&, const QStringRef&
    411, 0,	//123  unsigned long long
    397, 0,	//125  double
    27, 34, 0,	//127  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    393, 409, 0,	//130  const char*, unsigned int
    417, 396, 405, 0,	//133  void*, const void*, size_t
    393, 337, 0,	//137  const char*, const QLatin1String&
    118, 118, 0,	//140  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    24, 378, 0,	//143  QDebug, const QSslError&
    301, 301, 0,	//146  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    385, 382, 0,	//149  const QStringRef&, const QString&
    372, 372, 0,	//152  const QSize&, const QSize&
    393, 323, 0,	//155  const char*, const QByteArray&
    382, 393, 0,	//158  const QString&, const char*
    93, 399, 0,	//161  QIODevice::OpenMode::enum_type, int
    366, 366, 0,	//164  const QPointF&, const QPointF&
    397, 397, 0,	//167  double, double
    20, 168, 0,	//170  QDataStream&, QSizeF&
    323, 393, 0,	//173  const QByteArray&, const char*
    398, 0,	//176  float
    404, 0,	//178  signed char
    382, 385, 0,	//180  const QString&, const QStringRef&
    16, 0,	//183  QChar
    309, 63, 0,	//185  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    31, 31, 0,	//188  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    385, 337, 0,	//191  const QStringRef&, const QLatin1String&
    305, 305, 0,	//194  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    16, 16, 0,	//197  QChar, QChar
    305, 62, 0,	//200  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    323, 0,	//203  const QByteArray&
    24, 387, 0,	//205  QDebug, const QUrl&
    262, 262, 0,	//208  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    195, 382, 0,	//211  QString::Null, const QString&
    20, 331, 0,	//214  QDataStream&, const QHostAddress&
    215, 215, 0,	//217  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    397, 374, 0,	//220  double, const QSizeF&
    364, 364, 0,	//223  const QPoint&, const QPoint&
    20, 368, 0,	//226  QDataStream&, const QRectF&
    202, 44, 0,	//229  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    24, 7, 0,	//232  QDebug, QAbstractSocket::SocketState
    277, 277, 0,	//235  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    318, 0,	//238  char
    24, 348, 0,	//240  QDebug, const QMargins&
    293, 293, 0,	//243  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    277, 57, 0,	//246  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    24, 25, 0,	//249  QDebug, QDir::Filters
    364, 397, 0,	//252  const QPoint&, double
    24, 92, 0,	//255  QDebug, QIODevice::OpenMode
    20, 353, 0,	//258  QDataStream&, const QNetworkCacheMetaData&
    382, 323, 0,	//261  const QString&, const QByteArray&
    374, 374, 0,	//264  const QSizeF&, const QSizeF&
    24, 366, 0,	//267  QDebug, const QPointF&
    31, 399, 0,	//270  QFile::Permissions::enum_type, int
    143, 399, 0,	//273  QNetworkProxy::Capabilities::enum_type, int
    24, 339, 0,	//276  QDebug, const QLineF&
    24, 326, 0,	//279  QDebug, const QDateTime&
    24, 177, 0,	//282  QDebug, QSslCertificate::SubjectInfo
    393, 382, 0,	//285  const char*, const QString&
    118, 399, 0,	//288  QLocale::NumberOptions::enum_type, int
    337, 337, 0,	//291  const QLatin1String&, const QLatin1String&
    395, 399, 0,	//294  const unsigned char*, int
    393, 393, 409, 0,	//297  const char*, const char*, unsigned int
    337, 385, 0,	//301  const QLatin1String&, const QStringRef&
    31, 37, 0,	//304  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    259, 259, 0,	//307  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    143, 143, 0,	//310  QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type
    24, 364, 0,	//313  QDebug, const QPoint&
    20, 117, 0,	//316  QDataStream&, QLocale&
    280, 399, 0,	//319  Qt::Orientations::enum_type, int
    382, 16, 0,	//322  const QString&, QChar
    195, 195, 0,	//325  QString::Null, QString::Null
    24, 116, 0,	//328  QDebug, QLocalSocket::LocalSocketState
    301, 61, 0,	//331  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    395, 408, 399, 0,	//334  const unsigned char*, unsigned char*, int
    417, 405, 405, 405, 0,	//338  void*, size_t, size_t, size_t
    409, 0,	//343  unsigned int
    93, 38, 0,	//345  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    202, 202, 0,	//348  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    367, 367, 0,	//351  const QRect&, const QRect&
    321, 321, 0,	//354  const QBitArray&, const QBitArray&
    323, 323, 0,	//357  const QByteArray&, const QByteArray&
    417, 405, 0,	//360  void*, size_t
    298, 298, 0,	//363  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    20, 347, 0,	//366  QDataStream&, const QLocale&
    24, 328, 0,	//369  QDebug, const QEasingCurve&
    416, 0,	//372  void(*)(QtMsgType,const char*)
    351, 0,	//374  const QModelIndex&
    118, 40, 0,	//376  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    20, 23, 0,	//379  QDataStream&, QDateTime&
    13, 13, 0,	//382  QBool, QBool
    393, 385, 0,	//385  const char*, const QStringRef&
    280, 58, 0,	//388  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    309, 309, 0,	//391  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    16, 382, 0,	//394  QChar, const QString&
    202, 399, 0,	//397  QTextCodec::ConversionFlags::enum_type, int
    309, 399, 0,	//400  Qt::WindowStates::enum_type, int
    205, 399, 0,	//403  QTextStream::NumberFlags::enum_type, int
    20, 214, 0,	//406  QDataStream&, QUrl&
    382, 195, 0,	//409  const QString&, QString::Null
    270, 55, 0,	//412  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    26, 33, 0,	//415  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    382, 318, 0,	//418  const QString&, char
    319, 393, 0,	//421  char*, const char*
    364, 0,	//424  const QPoint&
    20, 386, 0,	//426  QDataStream&, const QTime&
    1, 32, 0,	//429  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    348, 348, 0,	//432  const QMargins&, const QMargins&
    246, 49, 0,	//435  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    24, 354, 0,	//438  QDebug, const QNetworkCookie&
    1, 1, 0,	//441  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    24, 5, 0,	//444  QDebug, QAbstractSocket::SocketError
    159, 0,	//447  QObject*(*)()
    405, 0,	//449  size_t
    270, 399, 0,	//451  Qt::KeyboardModifiers::enum_type, int
    20, 198, 0,	//454  QDataStream&, QStringList&
    254, 51, 0,	//457  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    24, 391, 0,	//460  QDebug, const QVariant::Type
    259, 399, 0,	//463  Qt::ImageConversionFlags::enum_type, int
    400, 0,	//466  long
    215, 399, 0,	//468  QUrl::FormattingOptions::enum_type, int
    20, 100, 0,	//471  QDataStream&, QLineF&
    248, 50, 0,	//474  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    318, 382, 0,	//477  char, const QString&
    20, 167, 0,	//480  QDataStream&, QSize&
    259, 52, 0,	//483  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    196, 196, 0,	//486  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    362, 0,	//489  const QPersistentModelIndex&
    20, 382, 0,	//491  QDataStream&, const QString&
    262, 399, 0,	//494  Qt::InputMethodHints::enum_type, int
    20, 326, 0,	//497  QDataStream&, const QDateTime&
    360, 382, 349, 0,	//500  const QObject*, const QString&, const QMetaObject&
    366, 397, 0,	//504  const QPointF&, double
    316, 13, 0,	//507  bool, QBool
    28, 35, 0,	//510  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    293, 399, 0,	//513  Qt::TextInteractionFlags::enum_type, int
    20, 126, 0,	//516  QDataStream&, QNetworkCacheMetaData&
    319, 393, 409, 0,	//519  char*, const char*, unsigned int
    20, 72, 0,	//523  QDataStream&, QHostAddress&
    93, 93, 0,	//526  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    20, 364, 0,	//529  QDataStream&, const QPoint&
    20, 221, 0,	//532  QDataStream&, QVariant&
    366, 0,	//535  const QPointF&
    24, 362, 0,	//537  QDebug, const QPersistentModelIndex&
    393, 393, 393, 399, 0,	//540  const char*, const char*, const char*, int
    280, 280, 0,	//545  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    24, 355, 0,	//548  QDebug, const QNetworkInterface&
    368, 368, 0,	//551  const QRectF&, const QRectF&
    417, 405, 405, 315, 0,	//554  void*, size_t, size_t, __compar_fn_t
    24, 115, 0,	//559  QDebug, QLocalSocket::LocalSocketError
    246, 246, 0,	//562  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    215, 47, 0,	//565  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    20, 383, 0,	//568  QDataStream&, const QStringList&
    323, 318, 0,	//571  const QByteArray&, char
    20, 161, 0,	//574  QDataStream&, QPoint&
    196, 399, 0,	//577  QString::SectionFlags::enum_type, int
    374, 397, 0,	//580  const QSizeF&, double
    254, 399, 0,	//583  Qt::GestureFlags::enum_type, int
    266, 266, 0,	//586  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    20, 325, 0,	//589  QDataStream&, const QDate&
    415, 0,	//592  void(*)()
    395, 399, 399, 0,	//594  const unsigned char*, int, int
    20, 338, 0,	//598  QDataStream&, const QLine&
    20, 194, 0,	//601  QDataStream&, QString&
    24, 331, 0,	//604  QDebug, const QHostAddress&
    417, 0,	//607  void*
    24, 327, 0,	//609  QDebug, const QDir&
    203, 204, 0,	//612  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 351, 0,	//615  QDebug, const QModelIndex&
    24, 375, 0,	//618  QDebug, const QSslCertificate&
    321, 0,	//621  const QBitArray&
    24, 386, 0,	//623  QDebug, const QTime&
    203, 206, 0,	//626  QTextStream&, QTextStreamManipulator
    28, 28, 0,	//629  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    248, 248, 0,	//632  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    385, 393, 0,	//635  const QStringRef&, const char*
    74, 331, 0,	//638  QHostAddress::SpecialAddress, const QHostAddress&
    274, 274, 0,	//641  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    20, 12, 0,	//644  QDataStream&, QBitArray&
    30, 36, 0,	//647  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    405, 405, 0,	//650  size_t, size_t
    98, 39, 0,	//653  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    24, 374, 0,	//656  QDebug, const QSizeF&
    266, 399, 0,	//659  Qt::ItemFlags::enum_type, int
    318, 323, 0,	//662  char, const QByteArray&
    262, 53, 0,	//665  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    20, 390, 0,	//668  QDataStream&, const QVariant&
    24, 390, 0,	//671  QDebug, const QVariant&
    20, 207, 0,	//674  QDataStream&, QTime&
    397, 366, 0,	//677  double, const QPointF&
    372, 397, 0,	//680  const QSize&, double
    24, 325, 0,	//683  QDebug, const QDate&
    196, 43, 0,	//686  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    319, 405, 393, 414, 0,	//689  char*, size_t, const char*, va_list
    397, 364, 0,	//694  double, const QPoint&
    417, 399, 405, 0,	//697  void*, int, size_t
    20, 339, 0,	//701  QDataStream&, const QLineF&
    393, 399, 0,	//704  const char*, int
    403, 0,	//707  short
    98, 399, 0,	//709  QLibrary::LoadHints::enum_type, int
    205, 205, 0,	//712  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    398, 398, 0,	//715  float, float
    390, 392, 0,	//718  const QVariant&, const QVariantComparisonHelper&
    401, 399, 319, 0,	//721  long double, int, char*
    24, 338, 0,	//725  QDebug, const QLine&
    205, 45, 0,	//728  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    323, 399, 0,	//731  const QByteArray&, int
    1, 399, 0,	//734  QAbstractFileEngine::FileFlags::enum_type, int
    26, 399, 0,	//737  QDir::Filters::enum_type, int
    24, 379, 0,	//740  QDebug, const QSslError::SslError&
    20, 323, 0,	//743  QDataStream&, const QByteArray&
    27, 27, 0,	//746  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    20, 387, 0,	//749  QDataStream&, const QUrl&
    248, 399, 0,	//752  Qt::DropActions::enum_type, int
    212, 399, 0,	//755  QUdpSocket::BindMode::enum_type, int
    24, 367, 0,	//758  QDebug, const QRect&
    98, 98, 0,	//761  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    138, 138, 0,	//764  QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type
    20, 163, 0,	//767  QDataStream&, QRect&
    20, 372, 0,	//770  QDataStream&, const QSize&
    20, 324, 0,	//773  QDataStream&, const QChar&
    20, 369, 0,	//776  QDataStream&, const QRegExp&
    224, 399, 0,	//779  Qt::Alignment::enum_type, int
    24, 368, 0,	//782  QDebug, const QRectF&
    266, 54, 0,	//785  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    254, 254, 0,	//788  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    20, 219, 0,	//791  QDataStream&, QUuid&
    224, 48, 0,	//794  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    212, 46, 0,	//797  QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>
    20, 223, 0,	//800  QDataStream&, QVariant::Type&
    390, 222, 417, 0,	//803  const QVariant&, QVariant::Type, void*
    360, 382, 370, 349, 112, 0,	//807  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    26, 26, 0,	//813  QDir::Filters::enum_type, QDir::Filters::enum_type
    330, 330, 0,	//816  const QHashDummyValue&, const QHashDummyValue&
    274, 399, 0,	//819  Qt::MatchFlags::enum_type, int
    20, 162, 0,	//822  QDataStream&, QPointF&
    305, 399, 0,	//825  Qt::WindowFlags::enum_type, int
    298, 60, 0,	//828  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    298, 399, 0,	//831  Qt::ToolBarAreas::enum_type, int
    246, 399, 0,	//834  Qt::DockWidgetAreas::enum_type, int
    212, 212, 0,	//837  QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type
    397, 372, 0,	//840  double, const QSize&
    293, 59, 0,	//843  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    24, 380, 0,	//846  QDebug, const QSslKey&
    13, 316, 0,	//849  QBool, bool
    20, 99, 0,	//852  QDataStream&, QLine&
    24, 372, 0,	//855  QDebug, const QSize&
    138, 399, 0,	//858  QNetworkInterface::InterfaceFlags::enum_type, int
    224, 224, 0,	//861  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    20, 391, 0,	//864  QDataStream&, const QVariant::Type
    20, 389, 0,	//867  QDataStream&, const QUuid&
    270, 270, 0,	//870  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    20, 164, 0,	//873  QDataStream&, QRectF&
    30, 399, 0,	//876  QEventLoop::ProcessEventsFlags::enum_type, int
    20, 367, 0,	//879  QDataStream&, const QRect&
    143, 42, 0,	//882  QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>
    24, 376, 0,	//885  QDebug, const QSslCipher&
    20, 17, 0,	//888  QDataStream&, QChar&
    20, 165, 0,	//891  QDataStream&, QRegExp&
    410, 0,	//894  unsigned long
    28, 399, 0,	//896  QDirIterator::IteratorFlags::enum_type, int
    20, 366, 0,	//899  QDataStream&, const QPointF&
    301, 399, 0,	//902  Qt::TouchPointStates::enum_type, int
    20, 374, 0,	//905  QDataStream&, const QSizeF&
    313, 393, 0,	//908  QtMsgType, const char*
    385, 0,	//911  const QStringRef&
    30, 30, 0,	//913  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    274, 56, 0,	//916  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    406, 0,	//919  unsigned char
    20, 15, 0,	//921  QDataStream&, QByteArray&
    138, 41, 0,	//924  QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>
    24, 360, 0,	//927  QDebug, const QObject*
    277, 399, 0,	//930  Qt::MouseButtons::enum_type, int
    20, 21, 0,	//933  QDataStream&, QDate&
    20, 321, 0,	//936  QDataStream&, const QBitArray&
    408, 0,	//939  unsigned char*
    336, 0,	//941  const QIPv6Address&
    394, 0,	//943  const sockaddr*
    74, 0,	//945  QHostAddress::SpecialAddress
    331, 399, 0,	//947  const QHostAddress&, int
    361, 0,	//950  const QPair<QHostAddress,int>&
    332, 0,	//952  const QHostInfo&
    340, 0,	//954  const QList<QHostAddress>&
    78, 0,	//956  QHostInfo::HostInfoError
    382, 158, 393, 0,	//958  const QString&, QObject*, const char*
    382, 412, 158, 0,	//962  const QString&, unsigned short, QObject*
    382, 80, 412, 158, 0,	//966  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    382, 80, 412, 0,	//971  const QString&, QHttp::ConnectionMode, unsigned short
    201, 0,	//975  QTcpSocket*
    382, 399, 382, 382, 0,	//977  const QString&, int, const QString&, const QString&
    382, 91, 91, 0,	//982  const QString&, QIODevice*, QIODevice*
    382, 323, 91, 0,	//986  const QString&, const QByteArray&, QIODevice*
    334, 91, 91, 0,	//990  const QHttpRequestHeader&, QIODevice*, QIODevice*
    334, 323, 91, 0,	//994  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    335, 0,	//998  const QHttpResponseHeader&
    399, 399, 0,	//1000  int, int
    382, 412, 10, 0,	//1003  const QString&, unsigned short, QAuthenticator*
    346, 0,	//1007  const QList<QSslError>&
    382, 80, 0,	//1009  const QString&, QHttp::ConnectionMode
    382, 399, 0,	//1012  const QString&, int
    382, 399, 382, 0,	//1015  const QString&, int, const QString&
    334, 0,	//1019  const QHttpRequestHeader&
    334, 91, 0,	//1021  const QHttpRequestHeader&, QIODevice*
    334, 323, 0,	//1024  const QHttpRequestHeader&, const QByteArray&
    333, 0,	//1027  const QHttpHeader&
    343, 0,	//1029  const QList<QPair<QString,QString> >&
    382, 382, 399, 399, 0,	//1031  const QString&, const QString&, int, int
    382, 382, 399, 0,	//1036  const QString&, const QString&, int
    399, 382, 399, 399, 0,	//1040  int, const QString&, int, int
    399, 382, 399, 0,	//1045  int, const QString&, int
    92, 0,	//1049  QIODevice::OpenMode
    399, 317, 0,	//1051  int, bool*
    97, 0,	//1054  QIntegerForSizeof< void* >::Unsigned
    382, 92, 0,	//1056  const QString&, QIODevice::OpenMode
    97, 116, 92, 0,	//1059  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QIODevice::OpenMode
    115, 0,	//1063  QLocalSocket::LocalSocketError
    116, 0,	//1065  QLocalSocket::LocalSocketState
    97, 116, 0,	//1067  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    146, 0,	//1070  QNetworkProxyFactory*
    2, 0,	//1072  QAbstractNetworkCache*
    131, 0,	//1074  QNetworkCookieJar*
    359, 0,	//1076  const QNetworkRequest&
    359, 91, 0,	//1078  const QNetworkRequest&, QIODevice*
    359, 323, 0,	//1081  const QNetworkRequest&, const QByteArray&
    150, 10, 0,	//1084  QNetworkReply*, QAuthenticator*
    150, 0,	//1087  QNetworkReply*
    150, 346, 0,	//1089  QNetworkReply*, const QList<QSslError>&
    122, 359, 91, 0,	//1092  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    122, 359, 0,	//1096  QNetworkAccessManager::Operation, const QNetworkRequest&
    352, 0,	//1099  const QNetworkAddressEntry&
    342, 0,	//1101  const QList<QPair<QByteArray,QByteArray> >&
    326, 0,	//1103  const QDateTime&
    329, 0,	//1105  const QHash<QNetworkRequest::Attribute,QVariant>&
    354, 0,	//1107  const QNetworkCookie&
    130, 0,	//1109  QNetworkCookie::RawForm
    341, 387, 0,	//1111  const QList<QNetworkCookie>&, const QUrl&
    341, 0,	//1114  const QList<QNetworkCookie>&
    355, 0,	//1116  const QNetworkInterface&
    145, 382, 412, 382, 382, 0,	//1118  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    145, 0,	//1124  QNetworkProxy::ProxyType
    142, 0,	//1126  QNetworkProxy::Capabilities
    145, 382, 0,	//1128  QNetworkProxy::ProxyType, const QString&
    145, 382, 412, 0,	//1131  QNetworkProxy::ProxyType, const QString&, unsigned short
    145, 382, 412, 382, 0,	//1135  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    358, 0,	//1140  const QNetworkProxyQuery&
    357, 0,	//1142  const QNetworkProxyFactory&
    387, 149, 0,	//1144  const QUrl&, QNetworkProxyQuery::QueryType
    382, 399, 382, 149, 0,	//1147  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    412, 382, 149, 0,	//1152  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    149, 0,	//1156  QNetworkProxyQuery::QueryType
    412, 382, 0,	//1158  unsigned short, const QString&
    157, 0,	//1161  QNetworkRequest::KnownHeaders
    155, 0,	//1163  QNetworkRequest::Attribute
    377, 0,	//1165  const QSslConfiguration&
    151, 0,	//1167  QNetworkReply::NetworkError
    122, 0,	//1169  QNetworkAccessManager::Operation
    151, 382, 0,	//1171  QNetworkReply::NetworkError, const QString&
    157, 390, 0,	//1174  QNetworkRequest::KnownHeaders, const QVariant&
    155, 390, 0,	//1177  QNetworkRequest::Attribute, const QVariant&
    29, 0,	//1180  QEvent*
    158, 29, 0,	//1182  QObject*, QEvent*
    208, 0,	//1185  QTimerEvent*
    18, 0,	//1187  QChildEvent*
    91, 170, 0,	//1189  QIODevice*, QSsl::EncodingFormat
    323, 170, 0,	//1192  const QByteArray&, QSsl::EncodingFormat
    375, 0,	//1195  const QSslCertificate&
    19, 0,	//1197  QCryptographicHash::Algorithm
    177, 0,	//1199  QSslCertificate::SubjectInfo
    382, 170, 166, 0,	//1201  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    382, 170, 0,	//1205  const QString&, QSsl::EncodingFormat
    382, 173, 0,	//1208  const QString&, QSsl::SslProtocol
    376, 0,	//1211  const QSslCipher&
    173, 0,	//1213  QSsl::SslProtocol
    191, 0,	//1215  QSslSocket::PeerVerifyMode
    380, 0,	//1217  const QSslKey&
    345, 0,	//1219  const QList<QSslCipher>&
    344, 0,	//1221  const QList<QSslCertificate>&
    186, 0,	//1223  QSslError::SslError
    186, 375, 0,	//1225  QSslError::SslError, const QSslCertificate&
    378, 0,	//1228  const QSslError&
    323, 171, 170, 172, 323, 0,	//1230  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    91, 171, 170, 172, 323, 0,	//1236  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    323, 171, 0,	//1242  const QByteArray&, QSsl::KeyAlgorithm
    323, 171, 170, 0,	//1245  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    323, 171, 170, 172, 0,	//1249  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    91, 171, 0,	//1254  QIODevice*, QSsl::KeyAlgorithm
    91, 171, 170, 0,	//1257  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    91, 171, 170, 172, 0,	//1261  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    382, 412, 382, 92, 0,	//1266  const QString&, unsigned short, const QString&, QIODevice::OpenMode
    382, 171, 170, 323, 0,	//1271  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    192, 0,	//1276  QSslSocket::SslMode
    382, 412, 382, 0,	//1278  const QString&, unsigned short, const QString&
    382, 171, 0,	//1282  const QString&, QSsl::KeyAlgorithm
    382, 171, 170, 0,	//1285  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    331, 412, 211, 0,	//1289  const QHostAddress&, unsigned short, QUdpSocket::BindMode
    412, 211, 0,	//1293  unsigned short, QUdpSocket::BindMode
    319, 402, 73, 413, 0,	//1296  char*, long long, QHostAddress*, unsigned short*
    393, 402, 331, 412, 0,	//1301  const char*, long long, const QHostAddress&, unsigned short
    323, 331, 412, 0,	//1306  const QByteArray&, const QHostAddress&, unsigned short
    319, 402, 73, 0,	//1310  char*, long long, QHostAddress*
    382, 399, 382, 382, 402, 326, 326, 316, 316, 316, 316, 316, 316, 0,	//1314  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    387, 399, 382, 382, 402, 326, 326, 316, 316, 316, 316, 316, 316, 0,	//1328  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    388, 388, 399, 0,	//1342  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Active",	//2
    "AddressInUseError",	//3
    "AlwaysCache",	//4
    "AlwaysNetwork",	//5
    "Any",	//6
    "AnyIPv6",	//7
    "AnyProtocol",	//8
    "Append",	//9
    "Ascii",	//10
    "AuthenticationRequiredError",	//11
    "AuthorityIssuerSerialNumberMismatch",	//12
    "AutoVerifyPeer",	//13
    "Binary",	//14
    "BoundState",	//15
    "Broadcast",	//16
    "CacheLoadControlAttribute",	//17
    "CacheSaveControlAttribute",	//18
    "CachingCapability",	//19
    "CanBroadcast",	//20
    "CanMulticast",	//21
    "Cd",	//22
    "CertificateExpired",	//23
    "CertificateNotYetValid",	//24
    "CertificateRejected",	//25
    "CertificateRevoked",	//26
    "CertificateSignatureFailed",	//27
    "CertificateUntrusted",	//28
    "Close",	//29
    "Closing",	//30
    "ClosingState",	//31
    "CommonName",	//32
    "ConnectToHost",	//33
    "Connected",	//34
    "ConnectedState",	//35
    "Connecting",	//36
    "ConnectingState",	//37
    "ConnectionEncryptedAttribute",	//38
    "ConnectionError",	//39
    "ConnectionModeHttp",	//40
    "ConnectionModeHttps",	//41
    "ConnectionRefused",	//42
    "ConnectionRefusedError",	//43
    "ContentAccessDenied",	//44
    "ContentLengthHeader",	//45
    "ContentNotFoundError",	//46
    "ContentOperationNotPermittedError",	//47
    "ContentReSendError",	//48
    "ContentTypeHeader",	//49
    "CookieHeader",	//50
    "CountryName",	//51
    "DatagramTooLargeError",	//52
    "DefaultForPlatform",	//53
    "DefaultProxy",	//54
    "DeleteOperation",	//55
    "Der",	//56
    "DnsEntry",	//57
    "DoNotBufferUploadDataAttribute",	//58
    "DontShareAddress",	//59
    "Dsa",	//60
    "EmailEntry",	//61
    "ExeGroup",	//62
    "ExeOther",	//63
    "ExeOwner",	//64
    "FtpCachingProxy",	//65
    "Full",	//66
    "Get",	//67
    "GetOperation",	//68
    "HeadOperation",	//69
    "HostLookup",	//70
    "HostLookupState",	//71
    "HostNameLookupCapability",	//72
    "HostNameMismatch",	//73
    "HostNotFound",	//74
    "HostNotFoundError",	//75
    "HttpCachingProxy",	//76
    "HttpPipeliningAllowedAttribute",	//77
    "HttpPipeliningWasUsedAttribute",	//78
    "HttpProxy",	//79
    "HttpReasonPhraseAttribute",	//80
    "HttpStatusCodeAttribute",	//81
    "IPv4Protocol",	//82
    "IPv6Protocol",	//83
    "InvalidCaCertificate",	//84
    "InvalidNotAfterField",	//85
    "InvalidNotBeforeField",	//86
    "InvalidPurpose",	//87
    "InvalidResponseHeader",	//88
    "IsLoopBack",	//89
    "IsPointToPoint",	//90
    "IsRunning",	//91
    "IsUp",	//92
    "KeepAliveOption",	//93
    "LastModifiedHeader",	//94
    "List",	//95
    "ListeningCapability",	//96
    "ListeningState",	//97
    "LocalHost",	//98
    "LocalHostIPv6",	//99
    "LocalityName",	//100
    "LocationHeader",	//101
    "LoggedIn",	//102
    "Login",	//103
    "LowDelayOption",	//104
    "Mkdir",	//105
    "NameAndValueOnly",	//106
    "NetworkError",	//107
    "NoError",	//108
    "NoPeerCertificate",	//109
    "NoProxy",	//110
    "NoSslSupport",	//111
    "None",	//112
    "NotConnected",	//113
    "NotOpen",	//114
    "Null",	//115
    "OperationCanceledError",	//116
    "Organization",	//117
    "OrganizationalUnitName",	//118
    "Passive",	//119
    "PathLengthExceeded",	//120
    "PeerClosedError",	//121
    "Pem",	//122
    "PostOperation",	//123
    "PreferCache",	//124
    "PreferNetwork",	//125
    "PrivateKey",	//126
    "ProtocolFailure",	//127
    "ProtocolInvalidOperationError",	//128
    "ProtocolUnknownError",	//129
    "ProxyAuthenticationRequiredError",	//130
    "ProxyConnectionClosedError",	//131
    "ProxyConnectionRefusedError",	//132
    "ProxyConnectionTimeoutError",	//133
    "ProxyNotFoundError",	//134
    "ProxyProtocolError",	//135
    "ProxyTimeoutError",	//136
    "PublicKey",	//137
    "Put",	//138
    "PutOperation",	//139
    "QAbstractNetworkCache",	//140
    "QAbstractNetworkCache#",	//141
    "QAbstractSocket",	//142
    "QAbstractSocket$#",	//143
    "QAuthenticator",	//144
    "QAuthenticator#",	//145
    "QFtp",	//146
    "QFtp#",	//147
    "QHostAddress",	//148
    "QHostAddress#",	//149
    "QHostAddress$",	//150
    "QHostInfo",	//151
    "QHostInfo#",	//152
    "QHostInfo$",	//153
    "QHttp",	//154
    "QHttp#",	//155
    "QHttp$",	//156
    "QHttp$$",	//157
    "QHttp$$#",	//158
    "QHttp$$$",	//159
    "QHttp$$$#",	//160
    "QHttpHeader",	//161
    "QHttpHeader#",	//162
    "QHttpHeader$",	//163
    "QHttpRequestHeader",	//164
    "QHttpRequestHeader#",	//165
    "QHttpRequestHeader$",	//166
    "QHttpRequestHeader$$",	//167
    "QHttpRequestHeader$$$",	//168
    "QHttpRequestHeader$$$$",	//169
    "QHttpResponseHeader",	//170
    "QHttpResponseHeader#",	//171
    "QHttpResponseHeader$",	//172
    "QHttpResponseHeader$$",	//173
    "QHttpResponseHeader$$$",	//174
    "QHttpResponseHeader$$$$",	//175
    "QIPv6Address",	//176
    "QIPv6Address#",	//177
    "QLocalServer",	//178
    "QLocalServer#",	//179
    "QLocalSocket",	//180
    "QLocalSocket#",	//181
    "QNetworkAccessManager",	//182
    "QNetworkAccessManager#",	//183
    "QNetworkAddressEntry",	//184
    "QNetworkAddressEntry#",	//185
    "QNetworkCacheMetaData",	//186
    "QNetworkCacheMetaData#",	//187
    "QNetworkCookie",	//188
    "QNetworkCookie#",	//189
    "QNetworkCookie##",	//190
    "QNetworkCookieJar",	//191
    "QNetworkCookieJar#",	//192
    "QNetworkDiskCache",	//193
    "QNetworkDiskCache#",	//194
    "QNetworkInterface",	//195
    "QNetworkInterface#",	//196
    "QNetworkProxy",	//197
    "QNetworkProxy#",	//198
    "QNetworkProxy$",	//199
    "QNetworkProxy$$",	//200
    "QNetworkProxy$$$",	//201
    "QNetworkProxy$$$$",	//202
    "QNetworkProxy$$$$$",	//203
    "QNetworkProxyFactory",	//204
    "QNetworkProxyFactory#",	//205
    "QNetworkProxyQuery",	//206
    "QNetworkProxyQuery#",	//207
    "QNetworkProxyQuery#$",	//208
    "QNetworkProxyQuery$",	//209
    "QNetworkProxyQuery$$",	//210
    "QNetworkProxyQuery$$$",	//211
    "QNetworkProxyQuery$$$$",	//212
    "QNetworkReply",	//213
    "QNetworkReply#",	//214
    "QNetworkRequest",	//215
    "QNetworkRequest#",	//216
    "QSslCertificate",	//217
    "QSslCertificate#",	//218
    "QSslCertificate#$",	//219
    "QSslCipher",	//220
    "QSslCipher#",	//221
    "QSslCipher$$",	//222
    "QSslConfiguration",	//223
    "QSslConfiguration#",	//224
    "QSslError",	//225
    "QSslError#",	//226
    "QSslError$",	//227
    "QSslError$#",	//228
    "QSslKey",	//229
    "QSslKey#",	//230
    "QSslKey#$",	//231
    "QSslKey#$$",	//232
    "QSslKey#$$$",	//233
    "QSslKey#$$$#",	//234
    "QSslSocket",	//235
    "QSslSocket#",	//236
    "QTcpServer",	//237
    "QTcpServer#",	//238
    "QTcpSocket",	//239
    "QTcpSocket#",	//240
    "QUdpSocket",	//241
    "QUdpSocket#",	//242
    "QUrlInfo",	//243
    "QUrlInfo#",	//244
    "QUrlInfo#$$$$##$$$$$$",	//245
    "QUrlInfo$$$$$##$$$$$$",	//246
    "QtCriticalMsg",	//247
    "QtDebugMsg",	//248
    "QtFatalMsg",	//249
    "QtSystemMsg",	//250
    "QtWarningMsg",	//251
    "QueryPeer",	//252
    "RawCommand",	//253
    "ReadGroup",	//254
    "ReadOnly",	//255
    "ReadOther",	//256
    "ReadOwner",	//257
    "ReadWrite",	//258
    "Reading",	//259
    "RedirectionTargetAttribute",	//260
    "RemoteHostClosedError",	//261
    "Remove",	//262
    "Rename",	//263
    "ReuseAddressHint",	//264
    "Rmdir",	//265
    "Rsa",	//266
    "SelfSignedCertificate",	//267
    "SelfSignedCertificateInChain",	//268
    "Sending",	//269
    "ServerNotFoundError",	//270
    "SetCookieHeader",	//271
    "SetProxy",	//272
    "SetTransferMode",	//273
    "ShareAddress",	//274
    "SocketAccessError",	//275
    "SocketAddressNotAvailableError",	//276
    "SocketResourceError",	//277
    "SocketTimeoutError",	//278
    "Socks5Proxy",	//279
    "SourceIsFromCacheAttribute",	//280
    "SslClientMode",	//281
    "SslHandshakeFailedError",	//282
    "SslServerMode",	//283
    "SslV2",	//284
    "SslV3",	//285
    "StateOrProvinceName",	//286
    "SubjectIssuerMismatch",	//287
    "TcpServer",	//288
    "TcpSocket",	//289
    "Text",	//290
    "TimeoutError",	//291
    "TlsV1",	//292
    "Truncate",	//293
    "TunnelingCapability",	//294
    "UdpSocket",	//295
    "UdpTunnelingCapability",	//296
    "UnableToDecodeIssuerPublicKey",	//297
    "UnableToDecryptCertificateSignature",	//298
    "UnableToGetIssuerCertificate",	//299
    "UnableToGetLocalIssuerCertificate",	//300
    "UnableToVerifyFirstCertificate",	//301
    "Unbuffered",	//302
    "Unconnected",	//303
    "UnconnectedState",	//304
    "UnencryptedMode",	//305
    "UnexpectedClose",	//306
    "UnfinishedSocketOperationError",	//307
    "UnknownContentError",	//308
    "UnknownError",	//309
    "UnknownNetworkError",	//310
    "UnknownNetworkLayerProtocol",	//311
    "UnknownOperation",	//312
    "UnknownProtocol",	//313
    "UnknownProxyError",	//314
    "UnknownSocketError",	//315
    "UnknownSocketType",	//316
    "UnspecifiedError",	//317
    "UnsupportedSocketOperationError",	//318
    "UrlRequest",	//319
    "User",	//320
    "UserMax",	//321
    "VerifyNone",	//322
    "VerifyPeer",	//323
    "WriteGroup",	//324
    "WriteOnly",	//325
    "WriteOther",	//326
    "WriteOwner",	//327
    "WrongContentLength",	//328
    "_IEEE_",	//329
    "_ISOC_",	//330
    "_POSIX_",	//331
    "_SVID_",	//332
    "_XOPEN_",	//333
    "__codecvt_error",	//334
    "__codecvt_noconv",	//335
    "__codecvt_ok",	//336
    "__codecvt_partial",	//337
    "abort",	//338
    "abortHostLookup",	//339
    "abortHostLookup$",	//340
    "addCaCertificate",	//341
    "addCaCertificate#",	//342
    "addCaCertificates",	//343
    "addCaCertificates$",	//344
    "addCaCertificates$$",	//345
    "addCaCertificates$$$",	//346
    "addCaCertificates?",	//347
    "addDefaultCaCertificate",	//348
    "addDefaultCaCertificate#",	//349
    "addDefaultCaCertificates",	//350
    "addDefaultCaCertificates$",	//351
    "addDefaultCaCertificates$$",	//352
    "addDefaultCaCertificates$$$",	//353
    "addDefaultCaCertificates?",	//354
    "addValue",	//355
    "addValue$$",	//356
    "addressEntries",	//357
    "addresses",	//358
    "algorithm",	//359
    "allAddresses",	//360
    "allCookies",	//361
    "allInterfaces",	//362
    "allValues",	//363
    "allValues$",	//364
    "alternateSubjectNames",	//365
    "applicationProxy",	//366
    "atEnd",	//367
    "attribute",	//368
    "attribute$",	//369
    "attribute$#",	//370
    "attributes",	//371
    "authenticationMethod",	//372
    "authenticationRequired",	//373
    "authenticationRequired##",	//374
    "authenticationRequired$$#",	//375
    "bind",	//376
    "bind#$",	//377
    "bind#$$",	//378
    "bind$",	//379
    "bind$$",	//380
    "broadcast",	//381
    "bytesAvailable",	//382
    "bytesToWrite",	//383
    "caCertificates",	//384
    "cache",	//385
    "cacheDirectory",	//386
    "cacheSize",	//387
    "canReadLine",	//388
    "capabilities",	//389
    "cd",	//390
    "cd$",	//391
    "certificate",	//392
    "childEvent",	//393
    "ciphers",	//394
    "clear",	//395
    "clearPendingCommands",	//396
    "clearPendingRequests",	//397
    "close",	//398
    "closeConnection",	//399
    "commandFinished",	//400
    "commandFinished$$",	//401
    "commandStarted",	//402
    "commandStarted$",	//403
    "connectNotify",	//404
    "connectToHost",	//405
    "connectToHost#$",	//406
    "connectToHost#$$",	//407
    "connectToHost$",	//408
    "connectToHost$$",	//409
    "connectToHost$$$",	//410
    "connectToHostEncrypted",	//411
    "connectToHostEncrypted$$",	//412
    "connectToHostEncrypted$$$",	//413
    "connectToHostEncrypted$$$$",	//414
    "connectToHostImplementation",	//415
    "connectToHostImplementation$$",	//416
    "connectToHostImplementation$$$",	//417
    "connectToServer",	//418
    "connectToServer$",	//419
    "connectToServer$$",	//420
    "connected",	//421
    "contentLength",	//422
    "contentType",	//423
    "cookieJar",	//424
    "cookiesForUrl",	//425
    "cookiesForUrl#",	//426
    "createRequest",	//427
    "createRequest$#",	//428
    "createRequest$##",	//429
    "currentCommand",	//430
    "currentDestinationDevice",	//431
    "currentDevice",	//432
    "currentId",	//433
    "currentRequest",	//434
    "currentSourceDevice",	//435
    "customEvent",	//436
    "data",	//437
    "data#",	//438
    "dataReadProgress",	//439
    "dataReadProgress$$",	//440
    "dataSendProgress",	//441
    "dataSendProgress$$",	//442
    "dataTransferProgress",	//443
    "dataTransferProgress$$",	//444
    "defaultCaCertificates",	//445
    "defaultCiphers",	//446
    "defaultConfiguration",	//447
    "deleteResource",	//448
    "deleteResource#",	//449
    "detach",	//450
    "digest",	//451
    "digest$",	//452
    "disconnectFromHost",	//453
    "disconnectFromHostImplementation",	//454
    "disconnectFromServer",	//455
    "disconnectNotify",	//456
    "disconnected",	//457
    "domain",	//458
    "done",	//459
    "done$",	//460
    "downloadProgress",	//461
    "downloadProgress$$",	//462
    "effectiveDate",	//463
    "encrypted",	//464
    "encryptedBytesAvailable",	//465
    "encryptedBytesToWrite",	//466
    "encryptedBytesWritten",	//467
    "encryptedBytesWritten$",	//468
    "encryptionMethod",	//469
    "equal",	//470
    "equal##$",	//471
    "error",	//472
    "error$",	//473
    "errorString",	//474
    "event",	//475
    "eventFilter",	//476
    "expirationDate",	//477
    "expire",	//478
    "expiryDate",	//479
    "fileMetaData",	//480
    "fileMetaData$",	//481
    "finished",	//482
    "finished#",	//483
    "flags",	//484
    "flush",	//485
    "fromData",	//486
    "fromData#",	//487
    "fromData#$",	//488
    "fromDevice",	//489
    "fromDevice#",	//490
    "fromDevice#$",	//491
    "fromName",	//492
    "fromName$",	//493
    "fromPath",	//494
    "fromPath$",	//495
    "fromPath$$",	//496
    "fromPath$$$",	//497
    "fullServerName",	//498
    "get",	//499
    "get#",	//500
    "get$",	//501
    "get$#",	//502
    "get$#$",	//503
    "greaterThan",	//504
    "greaterThan##$",	//505
    "group",	//506
    "handle",	//507
    "hardwareAddress",	//508
    "hasContentLength",	//509
    "hasContentType",	//510
    "hasKey",	//511
    "hasKey$",	//512
    "hasPendingCommands",	//513
    "hasPendingConnections",	//514
    "hasPendingDatagrams",	//515
    "hasPendingRequests",	//516
    "hasRawHeader",	//517
    "hasRawHeader#",	//518
    "head",	//519
    "head#",	//520
    "head$",	//521
    "header",	//522
    "header$",	//523
    "hostFound",	//524
    "hostName",	//525
    "humanReadableName",	//526
    "ignoreSslErrors",	//527
    "ignoreSslErrors?",	//528
    "incomingConnection",	//529
    "incomingConnection$",	//530
    "incomingConnection?",	//531
    "index",	//532
    "insert",	//533
    "insert#",	//534
    "interfaceFromIndex",	//535
    "interfaceFromIndex$",	//536
    "interfaceFromName",	//537
    "interfaceFromName$",	//538
    "ip",	//539
    "isCachingProxy",	//540
    "isDir",	//541
    "isEncrypted",	//542
    "isExecutable",	//543
    "isFile",	//544
    "isFinished",	//545
    "isHttpOnly",	//546
    "isInSubnet",	//547
    "isInSubnet#$",	//548
    "isInSubnet?",	//549
    "isListening",	//550
    "isNull",	//551
    "isReadable",	//552
    "isRunning",	//553
    "isSecure",	//554
    "isSequential",	//555
    "isSessionCookie",	//556
    "isSymLink",	//557
    "isTransparentProxy",	//558
    "isValid",	//559
    "isWritable",	//560
    "issuerInfo",	//561
    "issuerInfo#",	//562
    "issuerInfo$",	//563
    "keyExchangeMethod",	//564
    "keys",	//565
    "lastModified",	//566
    "lastRead",	//567
    "lastResponse",	//568
    "length",	//569
    "lessThan",	//570
    "lessThan##$",	//571
    "list",	//572
    "list$",	//573
    "listInfo",	//574
    "listInfo#",	//575
    "listen",	//576
    "listen#",	//577
    "listen#$",	//578
    "listen$",	//579
    "localAddress",	//580
    "localCertificate",	//581
    "localDomainName",	//582
    "localHostName",	//583
    "localPort",	//584
    "login",	//585
    "login$",	//586
    "login$$",	//587
    "lookupHost",	//588
    "lookupHost$#$",	//589
    "lookupId",	//590
    "majorVersion",	//591
    "manager",	//592
    "maxPendingConnections",	//593
    "maximumCacheSize",	//594
    "metaData",	//595
    "metaData#",	//596
    "metaDataChanged",	//597
    "metaObject",	//598
    "method",	//599
    "minorVersion",	//600
    "mkdir",	//601
    "mkdir$",	//602
    "mode",	//603
    "modeChanged",	//604
    "modeChanged$",	//605
    "name",	//606
    "netmask",	//607
    "newConnection",	//608
    "nextPendingConnection",	//609
    "open",	//610
    "operation",	//611
    "operator!=",	//612
    "operator!=#",	//613
    "operator!=##",	//614
    "operator!=#$",	//615
    "operator!=$",	//616
    "operator!=$#",	//617
    "operator!=$$",	//618
    "operator&",	//619
    "operator&##",	//620
    "operator*",	//621
    "operator*#$",	//622
    "operator*$#",	//623
    "operator+",	//624
    "operator+##",	//625
    "operator+#$",	//626
    "operator+$#",	//627
    "operator+$$",	//628
    "operator-",	//629
    "operator-#",	//630
    "operator-##",	//631
    "operator/",	//632
    "operator/#$",	//633
    "operator<",	//634
    "operator<##",	//635
    "operator<#$",	//636
    "operator<$#",	//637
    "operator<$$",	//638
    "operator<<",	//639
    "operator<<##",	//640
    "operator<<#$",	//641
    "operator<<#?",	//642
    "operator<=",	//643
    "operator<=##",	//644
    "operator<=#$",	//645
    "operator<=$#",	//646
    "operator<=$$",	//647
    "operator=",	//648
    "operator=#",	//649
    "operator=$",	//650
    "operator==",	//651
    "operator==#",	//652
    "operator==##",	//653
    "operator==#$",	//654
    "operator==$",	//655
    "operator==$#",	//656
    "operator==$$",	//657
    "operator>",	//658
    "operator>##",	//659
    "operator>#$",	//660
    "operator>$#",	//661
    "operator>$$",	//662
    "operator>=",	//663
    "operator>=##",	//664
    "operator>=#$",	//665
    "operator>=$#",	//666
    "operator>=$$",	//667
    "operator>>",	//668
    "operator>>##",	//669
    "operator>>#$",	//670
    "operator>>#?",	//671
    "operator[]",	//672
    "operator[]$",	//673
    "operator^",	//674
    "operator^##",	//675
    "operator|",	//676
    "operator|##",	//677
    "operator|?$",	//678
    "operator|??",	//679
    "originatingObject",	//680
    "owner",	//681
    "parse",	//682
    "parse$",	//683
    "parseCookies",	//684
    "parseCookies#",	//685
    "parseLine",	//686
    "parseLine$$",	//687
    "parseSubnet",	//688
    "parseSubnet$",	//689
    "password",	//690
    "path",	//691
    "peerAddress",	//692
    "peerCertificate",	//693
    "peerCertificateChain",	//694
    "peerHostName",	//695
    "peerName",	//696
    "peerPort",	//697
    "peerVerifyDepth",	//698
    "peerVerifyError",	//699
    "peerVerifyError#",	//700
    "peerVerifyMode",	//701
    "pendingDatagramSize",	//702
    "permissions",	//703
    "port",	//704
    "pos",	//705
    "post",	//706
    "post##",	//707
    "post$#",	//708
    "post$##",	//709
    "prefixLength",	//710
    "prepare",	//711
    "prepare#",	//712
    "privateKey",	//713
    "protocol",	//714
    "protocolString",	//715
    "protocolTag",	//716
    "proxy",	//717
    "proxyAuthenticationRequired",	//718
    "proxyAuthenticationRequired##",	//719
    "proxyFactory",	//720
    "proxyForQuery",	//721
    "proxyForQuery#",	//722
    "publicKey",	//723
    "put",	//724
    "put##",	//725
    "put#$",	//726
    "put#$$",	//727
    "qAcos",	//728
    "qAcos$",	//729
    "qAddPostRoutine",	//730
    "qAddPostRoutine$",	//731
    "qAppName",	//732
    "qAsin",	//733
    "qAsin$",	//734
    "qAtan",	//735
    "qAtan$",	//736
    "qAtan2",	//737
    "qAtan2$$",	//738
    "qCeil",	//739
    "qCeil$",	//740
    "qChecksum",	//741
    "qChecksum$$",	//742
    "qCompress",	//743
    "qCompress#",	//744
    "qCompress#$",	//745
    "qCompress$$",	//746
    "qCompress$$$",	//747
    "qCos",	//748
    "qCos$",	//749
    "qCritical",	//750
    "qDebug",	//751
    "qExp",	//752
    "qExp$",	//753
    "qFabs",	//754
    "qFabs$",	//755
    "qFastCos",	//756
    "qFastCos$",	//757
    "qFastSin",	//758
    "qFastSin$",	//759
    "qFlagLocation",	//760
    "qFlagLocation$",	//761
    "qFloor",	//762
    "qFloor$",	//763
    "qFree",	//764
    "qFree$",	//765
    "qFreeAligned",	//766
    "qFreeAligned$",	//767
    "qFuzzyCompare",	//768
    "qFuzzyCompare$$",	//769
    "qFuzzyIsNull",	//770
    "qFuzzyIsNull$",	//771
    "qHash",	//772
    "qHash#",	//773
    "qHash$",	//774
    "qInf",	//775
    "qInstallMsgHandler",	//776
    "qInstallMsgHandler$",	//777
    "qIntCast",	//778
    "qIntCast$",	//779
    "qIsFinite",	//780
    "qIsFinite$",	//781
    "qIsInf",	//782
    "qIsInf$",	//783
    "qIsNaN",	//784
    "qIsNaN$",	//785
    "qIsNull",	//786
    "qIsNull$",	//787
    "qLn",	//788
    "qLn$",	//789
    "qMalloc",	//790
    "qMalloc?",	//791
    "qMallocAligned",	//792
    "qMallocAligned??",	//793
    "qMemCopy",	//794
    "qMemCopy$$?",	//795
    "qMemSet",	//796
    "qMemSet$$?",	//797
    "qPow",	//798
    "qPow$$",	//799
    "qQNaN",	//800
    "qRealloc",	//801
    "qRealloc$?",	//802
    "qReallocAligned",	//803
    "qReallocAligned$???",	//804
    "qRegisterStaticPluginInstanceFunction",	//805
    "qRegisterStaticPluginInstanceFunction#",	//806
    "qRemovePostRoutine",	//807
    "qRemovePostRoutine$",	//808
    "qRound",	//809
    "qRound$",	//810
    "qRound64",	//811
    "qRound64$",	//812
    "qSNaN",	//813
    "qSetFieldWidth",	//814
    "qSetFieldWidth$",	//815
    "qSetPadChar",	//816
    "qSetPadChar#",	//817
    "qSetRealNumberPrecision",	//818
    "qSetRealNumberPrecision$",	//819
    "qSharedBuild",	//820
    "qSin",	//821
    "qSin$",	//822
    "qSqrt",	//823
    "qSqrt$",	//824
    "qStringComparisonHelper",	//825
    "qStringComparisonHelper#$",	//826
    "qStringComparisonHelper$$",	//827
    "qTan",	//828
    "qTan$",	//829
    "qUncompress",	//830
    "qUncompress#",	//831
    "qUncompress$$",	//832
    "qVersion",	//833
    "qWarning",	//834
    "qbswap_helper",	//835
    "qbswap_helper$$$",	//836
    "qgcvt",	//837
    "qgcvt$$$",	//838
    "qgetenv",	//839
    "qgetenv$",	//840
    "qputenv",	//841
    "qputenv$#",	//842
    "qrand",	//843
    "qsort",	//844
    "qsort$???",	//845
    "qsrand",	//846
    "qsrand$",	//847
    "qstrcmp",	//848
    "qstrcmp##",	//849
    "qstrcmp#$",	//850
    "qstrcmp$#",	//851
    "qstrcmp$$",	//852
    "qstrcpy",	//853
    "qstrcpy$$",	//854
    "qstrdup",	//855
    "qstrdup$",	//856
    "qstricmp",	//857
    "qstricmp$$",	//858
    "qstrlen",	//859
    "qstrlen$",	//860
    "qstrncmp",	//861
    "qstrncmp$$$",	//862
    "qstrncpy",	//863
    "qstrncpy$$$",	//864
    "qstrnicmp",	//865
    "qstrnicmp$$$",	//866
    "qstrnlen",	//867
    "qstrnlen$$",	//868
    "qtTrId",	//869
    "qtTrId$",	//870
    "qtTrId$$",	//871
    "qt_assert",	//872
    "qt_assert$$$",	//873
    "qt_assert_x",	//874
    "qt_assert_x$$$$",	//875
    "qt_check_pointer",	//876
    "qt_check_pointer$$",	//877
    "qt_error_string",	//878
    "qt_error_string$",	//879
    "qt_message_output",	//880
    "qt_message_output$$",	//881
    "qt_metacall",	//882
    "qt_metacall$$?",	//883
    "qt_metacast",	//884
    "qt_metacast$",	//885
    "qt_noop",	//886
    "qt_qFindChild_helper",	//887
    "qt_qFindChild_helper#$#",	//888
    "qt_qFindChildren_helper",	//889
    "qt_qFindChildren_helper#$##?",	//890
    "queryProxy",	//891
    "queryProxy#",	//892
    "queryType",	//893
    "qvariant_cast_helper",	//894
    "qvariant_cast_helper#$$",	//895
    "qvsnprintf",	//896
    "qvsnprintf$?$?",	//897
    "rawCommand",	//898
    "rawCommand$",	//899
    "rawCommandReply",	//900
    "rawCommandReply$$",	//901
    "rawHeader",	//902
    "rawHeader#",	//903
    "rawHeaderList",	//904
    "rawHeaders",	//905
    "read",	//906
    "read$$",	//907
    "readAll",	//908
    "readBufferSize",	//909
    "readData",	//910
    "readData$$",	//911
    "readDatagram",	//912
    "readDatagram$$",	//913
    "readDatagram$$#",	//914
    "readDatagram$$#$",	//915
    "readLineData",	//916
    "readLineData$$",	//917
    "readyRead",	//918
    "readyRead#",	//919
    "realm",	//920
    "reasonPhrase",	//921
    "remove",	//922
    "remove#",	//923
    "remove$",	//924
    "removeAllValues",	//925
    "removeAllValues$",	//926
    "removeServer",	//927
    "removeServer$",	//928
    "removeValue",	//929
    "removeValue$",	//930
    "rename",	//931
    "rename$$",	//932
    "request",	//933
    "request#",	//934
    "request##",	//935
    "request###",	//936
    "requestFinished",	//937
    "requestFinished$$",	//938
    "requestStarted",	//939
    "requestStarted$",	//940
    "reset",	//941
    "responseHeaderReceived",	//942
    "responseHeaderReceived#",	//943
    "rmdir",	//944
    "rmdir$",	//945
    "saveToDisk",	//946
    "scopeId",	//947
    "seek",	//948
    "serialNumber",	//949
    "serverAddress",	//950
    "serverError",	//951
    "serverName",	//952
    "serverPort",	//953
    "sessionCipher",	//954
    "setAddress",	//955
    "setAddress#",	//956
    "setAddress$",	//957
    "setAddresses",	//958
    "setAddresses?",	//959
    "setAllCookies",	//960
    "setAllCookies?",	//961
    "setApplicationProxy",	//962
    "setApplicationProxy#",	//963
    "setApplicationProxyFactory",	//964
    "setApplicationProxyFactory#",	//965
    "setAttribute",	//966
    "setAttribute$#",	//967
    "setAttributes",	//968
    "setAttributes?",	//969
    "setBroadcast",	//970
    "setBroadcast#",	//971
    "setCaCertificates",	//972
    "setCaCertificates?",	//973
    "setCache",	//974
    "setCache#",	//975
    "setCacheDirectory",	//976
    "setCacheDirectory$",	//977
    "setCapabilities",	//978
    "setCapabilities$",	//979
    "setCiphers",	//980
    "setCiphers$",	//981
    "setCiphers?",	//982
    "setContentLength",	//983
    "setContentLength$",	//984
    "setContentType",	//985
    "setContentType$",	//986
    "setCookieJar",	//987
    "setCookieJar#",	//988
    "setCookiesFromUrl",	//989
    "setCookiesFromUrl?#",	//990
    "setDefaultCaCertificates",	//991
    "setDefaultCaCertificates?",	//992
    "setDefaultCiphers",	//993
    "setDefaultCiphers?",	//994
    "setDefaultConfiguration",	//995
    "setDefaultConfiguration#",	//996
    "setDir",	//997
    "setDir$",	//998
    "setDomain",	//999
    "setDomain$",	//1000
    "setError",	//1001
    "setError$",	//1002
    "setError$$",	//1003
    "setErrorString",	//1004
    "setErrorString$",	//1005
    "setExpirationDate",	//1006
    "setExpirationDate#",	//1007
    "setFile",	//1008
    "setFile$",	//1009
    "setGroup",	//1010
    "setGroup$",	//1011
    "setHeader",	//1012
    "setHeader$#",	//1013
    "setHost",	//1014
    "setHost$",	//1015
    "setHost$$",	//1016
    "setHost$$$",	//1017
    "setHostName",	//1018
    "setHostName$",	//1019
    "setHttpOnly",	//1020
    "setHttpOnly$",	//1021
    "setIp",	//1022
    "setIp#",	//1023
    "setLastModified",	//1024
    "setLastModified#",	//1025
    "setLastRead",	//1026
    "setLastRead#",	//1027
    "setLocalAddress",	//1028
    "setLocalAddress#",	//1029
    "setLocalCertificate",	//1030
    "setLocalCertificate#",	//1031
    "setLocalCertificate$",	//1032
    "setLocalCertificate$$",	//1033
    "setLocalPort",	//1034
    "setLocalPort$",	//1035
    "setLookupId",	//1036
    "setLookupId$",	//1037
    "setMaxPendingConnections",	//1038
    "setMaxPendingConnections$",	//1039
    "setMaximumCacheSize",	//1040
    "setMaximumCacheSize$",	//1041
    "setName",	//1042
    "setName#",	//1043
    "setName$",	//1044
    "setNetmask",	//1045
    "setNetmask#",	//1046
    "setOperation",	//1047
    "setOperation$",	//1048
    "setOriginatingObject",	//1049
    "setOriginatingObject#",	//1050
    "setOwner",	//1051
    "setOwner$",	//1052
    "setPassword",	//1053
    "setPassword$",	//1054
    "setPath",	//1055
    "setPath$",	//1056
    "setPeerAddress",	//1057
    "setPeerAddress#",	//1058
    "setPeerHostName",	//1059
    "setPeerHostName$",	//1060
    "setPeerName",	//1061
    "setPeerName$",	//1062
    "setPeerPort",	//1063
    "setPeerPort$",	//1064
    "setPeerVerifyDepth",	//1065
    "setPeerVerifyDepth$",	//1066
    "setPeerVerifyMode",	//1067
    "setPeerVerifyMode$",	//1068
    "setPermissions",	//1069
    "setPermissions$",	//1070
    "setPort",	//1071
    "setPort$",	//1072
    "setPrefixLength",	//1073
    "setPrefixLength$",	//1074
    "setPrivateKey",	//1075
    "setPrivateKey#",	//1076
    "setPrivateKey$",	//1077
    "setPrivateKey$$",	//1078
    "setPrivateKey$$$",	//1079
    "setPrivateKey$$$#",	//1080
    "setProtocol",	//1081
    "setProtocol$",	//1082
    "setProtocolTag",	//1083
    "setProtocolTag$",	//1084
    "setProxy",	//1085
    "setProxy#",	//1086
    "setProxy$$",	//1087
    "setProxy$$$",	//1088
    "setProxy$$$$",	//1089
    "setProxyFactory",	//1090
    "setProxyFactory#",	//1091
    "setQueryType",	//1092
    "setQueryType$",	//1093
    "setRawHeader",	//1094
    "setRawHeader##",	//1095
    "setRawHeaders",	//1096
    "setRawHeaders?",	//1097
    "setReadBufferSize",	//1098
    "setReadBufferSize$",	//1099
    "setReadable",	//1100
    "setReadable$",	//1101
    "setRequest",	//1102
    "setRequest#",	//1103
    "setRequest$$",	//1104
    "setRequest$$$",	//1105
    "setRequest$$$$",	//1106
    "setSaveToDisk",	//1107
    "setSaveToDisk$",	//1108
    "setScopeId",	//1109
    "setScopeId$",	//1110
    "setSecure",	//1111
    "setSecure$",	//1112
    "setSize",	//1113
    "setSize$",	//1114
    "setSocket",	//1115
    "setSocket#",	//1116
    "setSocketDescriptor",	//1117
    "setSocketDescriptor$",	//1118
    "setSocketDescriptor$$",	//1119
    "setSocketDescriptor$$$",	//1120
    "setSocketDescriptor?",	//1121
    "setSocketDescriptor?$",	//1122
    "setSocketDescriptor?$$",	//1123
    "setSocketError",	//1124
    "setSocketError$",	//1125
    "setSocketOption",	//1126
    "setSocketOption$#",	//1127
    "setSocketState",	//1128
    "setSocketState$",	//1129
    "setSslConfiguration",	//1130
    "setSslConfiguration#",	//1131
    "setStatusLine",	//1132
    "setStatusLine$",	//1133
    "setStatusLine$$",	//1134
    "setStatusLine$$$",	//1135
    "setStatusLine$$$$",	//1136
    "setSymLink",	//1137
    "setSymLink$",	//1138
    "setTransferMode",	//1139
    "setTransferMode$",	//1140
    "setType",	//1141
    "setType$",	//1142
    "setUrl",	//1143
    "setUrl#",	//1144
    "setUseSystemConfiguration",	//1145
    "setUseSystemConfiguration$",	//1146
    "setUser",	//1147
    "setUser$",	//1148
    "setUser$$",	//1149
    "setValid",	//1150
    "setValid$",	//1151
    "setValue",	//1152
    "setValue#",	//1153
    "setValue$$",	//1154
    "setValues",	//1155
    "setValues?",	//1156
    "setWritable",	//1157
    "setWritable$",	//1158
    "size",	//1159
    "socketDescriptor",	//1160
    "socketOption",	//1161
    "socketOption$",	//1162
    "socketType",	//1163
    "sslConfiguration",	//1164
    "sslErrors",	//1165
    "sslErrors#?",	//1166
    "sslErrors?",	//1167
    "startClientEncryption",	//1168
    "startServerEncryption",	//1169
    "state",	//1170
    "stateChanged",	//1171
    "stateChanged$",	//1172
    "staticMetaObject",	//1173
    "statusCode",	//1174
    "subjectInfo",	//1175
    "subjectInfo#",	//1176
    "subjectInfo$",	//1177
    "supportedBits",	//1178
    "supportedCiphers",	//1179
    "supportsSsl",	//1180
    "systemCaCertificates",	//1181
    "systemProxyForQuery",	//1182
    "systemProxyForQuery#",	//1183
    "timerEvent",	//1184
    "toDer",	//1185
    "toDer#",	//1186
    "toIPv4Address",	//1187
    "toIPv6Address",	//1188
    "toPem",	//1189
    "toPem#",	//1190
    "toRawForm",	//1191
    "toRawForm$",	//1192
    "toString",	//1193
    "tr",	//1194
    "tr$",	//1195
    "tr$$",	//1196
    "tr$$$",	//1197
    "trUtf8",	//1198
    "trUtf8$",	//1199
    "trUtf8$$",	//1200
    "trUtf8$$$",	//1201
    "type",	//1202
    "updateMetaData",	//1203
    "updateMetaData#",	//1204
    "uploadProgress",	//1205
    "uploadProgress$$",	//1206
    "url",	//1207
    "usedBits",	//1208
    "user",	//1209
    "value",	//1210
    "value$",	//1211
    "values",	//1212
    "version",	//1213
    "waitForBytesWritten",	//1214
    "waitForBytesWritten$",	//1215
    "waitForConnected",	//1216
    "waitForConnected$",	//1217
    "waitForDisconnected",	//1218
    "waitForDisconnected$",	//1219
    "waitForEncrypted",	//1220
    "waitForEncrypted$",	//1221
    "waitForNewConnection",	//1222
    "waitForNewConnection$",	//1223
    "waitForNewConnection$$",	//1224
    "waitForReadyRead",	//1225
    "waitForReadyRead$",	//1226
    "writeData",	//1227
    "writeData$$",	//1228
    "writeDatagram",	//1229
    "writeDatagram##$",	//1230
    "writeDatagram$$#$",	//1231
    "~QAbstractNetworkCache",	//1232
    "~QAbstractSocket",	//1233
    "~QAuthenticator",	//1234
    "~QFtp",	//1235
    "~QHostAddress",	//1236
    "~QHostInfo",	//1237
    "~QHttp",	//1238
    "~QHttpHeader",	//1239
    "~QHttpRequestHeader",	//1240
    "~QHttpResponseHeader",	//1241
    "~QIPv6Address",	//1242
    "~QLocalServer",	//1243
    "~QLocalSocket",	//1244
    "~QNetworkAccessManager",	//1245
    "~QNetworkAddressEntry",	//1246
    "~QNetworkCacheMetaData",	//1247
    "~QNetworkCookie",	//1248
    "~QNetworkCookieJar",	//1249
    "~QNetworkDiskCache",	//1250
    "~QNetworkInterface",	//1251
    "~QNetworkProxy",	//1252
    "~QNetworkProxyFactory",	//1253
    "~QNetworkProxyQuery",	//1254
    "~QNetworkReply",	//1255
    "~QNetworkRequest",	//1256
    "~QSslCertificate",	//1257
    "~QSslCipher",	//1258
    "~QSslConfiguration",	//1259
    "~QSslError",	//1260
    "~QSslKey",	//1261
    "~QSslSocket",	//1262
    "~QTcpServer",	//1263
    "~QTcpSocket",	//1264
    "~QUdpSocket",	//1265
    "~QUrlInfo",	//1266
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1194, 3, 2, Smoke::mf_static, 193, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1198, 3, 2, Smoke::mf_static, 193, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1194, 6, 3, Smoke::mf_static, 193, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1198, 6, 3, Smoke::mf_static, 193, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 595, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1203, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 437, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 922, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 316, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 402, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 711, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 533, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 395, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 140, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1194, 1, 1, Smoke::mf_static, 193, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1198, 1, 1, Smoke::mf_static, 193, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 140, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1232, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//22 QAbstractSocket::metaObject() const
    {2, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1194, 3, 2, Smoke::mf_static, 193, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1198, 3, 2, Smoke::mf_static, 193, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1194, 6, 3, Smoke::mf_static, 193, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1198, 6, 3, Smoke::mf_static, 193, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 142, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 405, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QIODevice::OpenMode)
    {2, 405, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QIODevice::OpenMode)
    {2, 453, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 559, 0, 0, Smoke::mf_const, 316, 12},	//33 QAbstractSocket::isValid() const
    {2, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 584, 0, 0, Smoke::mf_const, 412, 16},	//37 QAbstractSocket::localPort() const
    {2, 580, 0, 0, Smoke::mf_const, 71, 17},	//38 QAbstractSocket::localAddress() const
    {2, 697, 0, 0, Smoke::mf_const, 412, 18},	//39 QAbstractSocket::peerPort() const
    {2, 692, 0, 0, Smoke::mf_const, 71, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 696, 0, 0, Smoke::mf_const, 193, 20},	//41 QAbstractSocket::peerName() const
    {2, 909, 0, 0, Smoke::mf_const, 402, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1098, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 338, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1160, 0, 0, Smoke::mf_const, 399, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1117, 35, 3, 0, 316, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QIODevice::OpenMode)
    {2, 1126, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1161, 42, 1, 0, 220, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1163, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1170, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 472, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 398, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 32},	//53 QAbstractSocket::isSequential() const
    {2, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 33},	//54 QAbstractSocket::atEnd() const
    {2, 485, 0, 0, 0, 316, 34},	//55 QAbstractSocket::flush()
    {2, 1216, 44, 1, 0, 316, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1225, 44, 1, Smoke::mf_virtual, 316, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1214, 44, 1, Smoke::mf_virtual, 316, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1218, 44, 1, 0, 316, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1085, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 717, 0, 0, Smoke::mf_const, 139, 40},	//61 QAbstractSocket::proxy() const
    {2, 524, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 457, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1171, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 472, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 718, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 415, 25, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, unsigned short, QIODevice::OpenMode)
    {2, 454, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 910, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 916, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1227, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1128, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1124, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1034, 61, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1028, 63, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1063, 61, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1057, 63, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1061, 65, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1194, 1, 1, Smoke::mf_static, 193, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1198, 1, 1, Smoke::mf_static, 193, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 405, 67, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 405, 70, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1117, 44, 1, 0, 316, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1117, 73, 2, 0, 316, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1216, 0, 0, 0, 316, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1225, 0, 0, 0, 316, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1214, 0, 0, 0, 316, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1218, 0, 0, 0, 316, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 415, 67, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, unsigned short)
    {2, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1233, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 144, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 144, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 648, 76, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 651, 76, 1, Smoke::mf_const, 316, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 612, 76, 1, Smoke::mf_const, 316, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1209, 0, 0, Smoke::mf_const, 193, 6},	//133 QAuthenticator::user() const
    {3, 1147, 65, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 690, 0, 0, Smoke::mf_const, 193, 8},	//135 QAuthenticator::password() const
    {3, 1053, 65, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 920, 0, 0, Smoke::mf_const, 193, 10},	//137 QAuthenticator::realm() const
    {3, 551, 0, 0, Smoke::mf_const, 316, 11},	//138 QAuthenticator::isNull() const
    {3, 450, 0, 0, 0, 0, 12},	//139 QAuthenticator::detach()
    {3, 1234, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QAuthenticator::~QAuthenticator()
    {16, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//141 QFtp::metaObject() const
    {16, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//142 QFtp::qt_metacast(const char*)
    {16, 1194, 3, 2, Smoke::mf_static, 193, 3},	//143 QFtp::tr(const char*, const char*)
    {16, 1198, 3, 2, Smoke::mf_static, 193, 4},	//144 QFtp::trUtf8(const char*, const char*)
    {16, 1194, 6, 3, Smoke::mf_static, 193, 5},	//145 QFtp::tr(const char*, const char*, int)
    {16, 1198, 6, 3, Smoke::mf_static, 193, 6},	//146 QFtp::trUtf8(const char*, const char*, int)
    {16, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//147 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 146, 20, 1, Smoke::mf_ctor, 64, 8},	//148 QFtp::QFtp(QObject*)
    {16, 1085, 67, 2, 0, 399, 9},	//149 QFtp::setProxy(const QString&, unsigned short)
    {16, 405, 67, 2, 0, 399, 10},	//150 QFtp::connectToHost(const QString&, unsigned short)
    {16, 585, 78, 2, 0, 399, 11},	//151 QFtp::login(const QString&, const QString&)
    {16, 398, 0, 0, 0, 399, 12},	//152 QFtp::close()
    {16, 1139, 81, 1, 0, 399, 13},	//153 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 572, 65, 1, 0, 399, 14},	//154 QFtp::list(const QString&)
    {16, 390, 65, 1, 0, 399, 15},	//155 QFtp::cd(const QString&)
    {16, 499, 83, 3, 0, 399, 16},	//156 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 724, 87, 3, 0, 399, 17},	//157 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 724, 91, 3, 0, 399, 18},	//158 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 922, 65, 1, 0, 399, 19},	//159 QFtp::remove(const QString&)
    {16, 601, 65, 1, 0, 399, 20},	//160 QFtp::mkdir(const QString&)
    {16, 944, 65, 1, 0, 399, 21},	//161 QFtp::rmdir(const QString&)
    {16, 931, 78, 2, 0, 399, 22},	//162 QFtp::rename(const QString&, const QString&)
    {16, 898, 65, 1, 0, 399, 23},	//163 QFtp::rawCommand(const QString&)
    {16, 382, 0, 0, Smoke::mf_const, 402, 24},	//164 QFtp::bytesAvailable() const
    {16, 906, 55, 2, 0, 402, 25},	//165 QFtp::read(char*, long long)
    {16, 908, 0, 0, 0, 14, 26},	//166 QFtp::readAll()
    {16, 433, 0, 0, Smoke::mf_const, 399, 27},	//167 QFtp::currentId() const
    {16, 432, 0, 0, Smoke::mf_const, 91, 28},	//168 QFtp::currentDevice() const
    {16, 430, 0, 0, Smoke::mf_const, 65, 29},	//169 QFtp::currentCommand() const
    {16, 513, 0, 0, Smoke::mf_const, 316, 30},	//170 QFtp::hasPendingCommands() const
    {16, 396, 0, 0, 0, 0, 31},	//171 QFtp::clearPendingCommands()
    {16, 1170, 0, 0, Smoke::mf_const, 67, 32},	//172 QFtp::state() const
    {16, 472, 0, 0, Smoke::mf_const, 66, 33},	//173 QFtp::error() const
    {16, 474, 0, 0, Smoke::mf_const, 193, 34},	//174 QFtp::errorString() const
    {16, 338, 0, 0, Smoke::mf_slot, 0, 35},	//175 QFtp::abort()
    {16, 1171, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//176 QFtp::stateChanged(int)
    {16, 574, 95, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//177 QFtp::listInfo(const QUrlInfo&)
    {16, 918, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//178 QFtp::readyRead()
    {16, 443, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//179 QFtp::dataTransferProgress(long long, long long)
    {16, 900, 100, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//180 QFtp::rawCommandReply(int, const QString&)
    {16, 402, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//181 QFtp::commandStarted(int)
    {16, 400, 103, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//182 QFtp::commandFinished(int, bool)
    {16, 459, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//183 QFtp::done(bool)
    {16, 1194, 1, 1, Smoke::mf_static, 193, 44},	//184 QFtp::tr(const char*)
    {16, 1198, 1, 1, Smoke::mf_static, 193, 45},	//185 QFtp::trUtf8(const char*)
    {16, 146, 0, 0, Smoke::mf_ctor, 64, 46},	//186 QFtp::QFtp()
    {16, 405, 65, 1, 0, 399, 47},	//187 QFtp::connectToHost(const QString&)
    {16, 585, 0, 0, 0, 399, 48},	//188 QFtp::login()
    {16, 585, 65, 1, 0, 399, 49},	//189 QFtp::login(const QString&)
    {16, 572, 0, 0, 0, 399, 50},	//190 QFtp::list()
    {16, 499, 65, 1, 0, 399, 51},	//191 QFtp::get(const QString&)
    {16, 499, 108, 2, 0, 399, 52},	//192 QFtp::get(const QString&, QIODevice*)
    {16, 724, 111, 2, 0, 399, 53},	//193 QFtp::put(const QByteArray&, const QString&)
    {16, 724, 114, 2, 0, 399, 54},	//194 QFtp::put(QIODevice*, const QString&)
    {16, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 55},	//195 QFtp::staticMetaObject() const
    {16, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 56},	//196 QFtp::Unconnected (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 57},	//197 QFtp::HostLookup (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 58},	//198 QFtp::Connecting (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 59},	//199 QFtp::Connected (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 60},	//200 QFtp::LoggedIn (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 61},	//201 QFtp::Closing (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 62},	//202 QFtp::NoError (enum)
    {16, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 63},	//203 QFtp::UnknownError (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 64},	//204 QFtp::HostNotFound (enum)
    {16, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 65},	//205 QFtp::ConnectionRefused (enum)
    {16, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 66},	//206 QFtp::NotConnected (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 67},	//207 QFtp::None (enum)
    {16, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 68},	//208 QFtp::SetTransferMode (enum)
    {16, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 69},	//209 QFtp::SetProxy (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 70},	//210 QFtp::ConnectToHost (enum)
    {16, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 71},	//211 QFtp::Login (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 72},	//212 QFtp::Close (enum)
    {16, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 73},	//213 QFtp::List (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 74},	//214 QFtp::Cd (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 75},	//215 QFtp::Get (enum)
    {16, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 76},	//216 QFtp::Put (enum)
    {16, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 77},	//217 QFtp::Remove (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 78},	//218 QFtp::Mkdir (enum)
    {16, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 79},	//219 QFtp::Rmdir (enum)
    {16, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 80},	//220 QFtp::Rename (enum)
    {16, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 81},	//221 QFtp::RawCommand (enum)
    {16, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 82},	//222 QFtp::Active (enum)
    {16, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 83},	//223 QFtp::Passive (enum)
    {16, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 84},	//224 QFtp::Binary (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 85},	//225 QFtp::Ascii (enum)
    {16, 1235, 0, 0, Smoke::mf_dtor, 0, 86 },	//226 QFtp::~QFtp()
    {17, 676, 117, 2, Smoke::mf_static, 96, 1},	//227 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {17, 663, 120, 2, Smoke::mf_static, 316, 2},	//228 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 772, 123, 1, Smoke::mf_static, 409, 3},	//229 QGlobalSpace::qHash(unsigned long long)
    {17, 782, 125, 1, Smoke::mf_static, 316, 4},	//230 QGlobalSpace::qIsInf(double)
    {17, 676, 127, 2, Smoke::mf_static, 34, 5},	//231 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {17, 867, 130, 2, Smoke::mf_static, 409, 6},	//232 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 794, 133, 3, Smoke::mf_static, 417, 7},	//233 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 886, 0, 0, Smoke::mf_static, 0, 8},	//234 QGlobalSpace::qt_noop()
    {17, 651, 137, 2, Smoke::mf_static, 316, 9},	//235 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 676, 140, 2, Smoke::mf_static, 40, 10},	//236 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {17, 639, 143, 2, Smoke::mf_static, 24, 11},	//237 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 676, 146, 2, Smoke::mf_static, 61, 12},	//238 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {17, 651, 149, 2, Smoke::mf_static, 316, 13},	//239 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 651, 152, 2, Smoke::mf_static, 316, 14},	//240 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 624, 155, 2, Smoke::mf_static, 322, 15},	//241 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 825, 158, 2, Smoke::mf_static, 316, 16},	//242 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 676, 161, 2, Smoke::mf_static, 96, 17},	//243 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {17, 848, 155, 2, Smoke::mf_static, 399, 18},	//244 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 651, 164, 2, Smoke::mf_static, 316, 19},	//245 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 737, 167, 2, Smoke::mf_static, 397, 20},	//246 QGlobalSpace::qAtan2(double, double)
    {17, 668, 170, 2, Smoke::mf_static, 20, 21},	//247 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 663, 173, 2, Smoke::mf_static, 316, 22},	//248 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 782, 176, 1, Smoke::mf_static, 316, 23},	//249 QGlobalSpace::qIsInf(float)
    {17, 839, 1, 1, Smoke::mf_static, 14, 24},	//250 QGlobalSpace::qgetenv(const char*)
    {17, 772, 178, 1, Smoke::mf_static, 409, 25},	//251 QGlobalSpace::qHash(signed char)
    {17, 651, 180, 2, Smoke::mf_static, 316, 26},	//252 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 658, 155, 2, Smoke::mf_static, 316, 27},	//253 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 778, 125, 1, Smoke::mf_static, 399, 28},	//254 QGlobalSpace::qIntCast(double)
    {17, 816, 183, 1, Smoke::mf_static, 206, 29},	//255 QGlobalSpace::qSetPadChar(QChar)
    {17, 676, 185, 2, Smoke::mf_static, 63, 30},	//256 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {17, 676, 188, 2, Smoke::mf_static, 37, 31},	//257 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {17, 651, 191, 2, Smoke::mf_static, 316, 32},	//258 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 676, 194, 2, Smoke::mf_static, 62, 33},	//259 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {17, 651, 197, 2, Smoke::mf_static, 316, 34},	//260 QGlobalSpace::operator==(QChar, QChar)
    {17, 676, 200, 2, Smoke::mf_static, 62, 35},	//261 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {17, 772, 203, 1, Smoke::mf_static, 409, 36},	//262 QGlobalSpace::qHash(const QByteArray&)
    {17, 639, 205, 2, Smoke::mf_static, 24, 37},	//263 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 634, 197, 2, Smoke::mf_static, 316, 38},	//264 QGlobalSpace::operator<(QChar, QChar)
    {17, 676, 208, 2, Smoke::mf_static, 53, 39},	//265 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {17, 663, 197, 2, Smoke::mf_static, 316, 40},	//266 QGlobalSpace::operator>=(QChar, QChar)
    {17, 612, 211, 2, Smoke::mf_static, 316, 41},	//267 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 639, 214, 2, Smoke::mf_static, 20, 42},	//268 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 634, 155, 2, Smoke::mf_static, 316, 43},	//269 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 848, 3, 2, Smoke::mf_static, 399, 44},	//270 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 676, 217, 2, Smoke::mf_static, 47, 45},	//271 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {17, 748, 125, 1, Smoke::mf_static, 397, 46},	//272 QGlobalSpace::qCos(double)
    {17, 658, 197, 2, Smoke::mf_static, 316, 47},	//273 QGlobalSpace::operator>(QChar, QChar)
    {17, 621, 220, 2, Smoke::mf_static, 373, 48},	//274 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 820, 0, 0, Smoke::mf_static, 316, 49},	//275 QGlobalSpace::qSharedBuild()
    {17, 612, 120, 2, Smoke::mf_static, 316, 50},	//276 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 629, 223, 2, Smoke::mf_static, 363, 51},	//277 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 639, 226, 2, Smoke::mf_static, 20, 52},	//278 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 676, 229, 2, Smoke::mf_static, 44, 53},	//279 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {17, 639, 232, 2, Smoke::mf_static, 24, 54},	//280 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 676, 235, 2, Smoke::mf_static, 57, 55},	//281 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {17, 772, 238, 1, Smoke::mf_static, 409, 56},	//282 QGlobalSpace::qHash(char)
    {17, 612, 149, 2, Smoke::mf_static, 316, 57},	//283 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 639, 240, 2, Smoke::mf_static, 24, 58},	//284 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 676, 243, 2, Smoke::mf_static, 59, 59},	//285 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {17, 676, 246, 2, Smoke::mf_static, 57, 60},	//286 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {17, 639, 249, 2, Smoke::mf_static, 24, 61},	//287 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {17, 632, 252, 2, Smoke::mf_static, 363, 62},	//288 QGlobalSpace::operator/(const QPoint&, double)
    {17, 624, 223, 2, Smoke::mf_static, 363, 63},	//289 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 639, 255, 2, Smoke::mf_static, 24, 64},	//290 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {17, 639, 258, 2, Smoke::mf_static, 20, 65},	//291 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 624, 261, 2, Smoke::mf_static, 381, 66},	//292 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 629, 264, 2, Smoke::mf_static, 373, 67},	//293 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 639, 267, 2, Smoke::mf_static, 24, 68},	//294 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 780, 125, 1, Smoke::mf_static, 316, 69},	//295 QGlobalSpace::qIsFinite(double)
    {17, 612, 173, 2, Smoke::mf_static, 316, 70},	//296 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 676, 270, 2, Smoke::mf_static, 96, 71},	//297 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {17, 676, 273, 2, Smoke::mf_static, 96, 72},	//298 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, int)
    {17, 639, 276, 2, Smoke::mf_static, 24, 73},	//299 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 639, 279, 2, Smoke::mf_static, 24, 74},	//300 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 639, 282, 2, Smoke::mf_static, 24, 75},	//301 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 634, 285, 2, Smoke::mf_static, 316, 76},	//302 QGlobalSpace::operator<(const char*, const QString&)
    {17, 624, 152, 2, Smoke::mf_static, 371, 77},	//303 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 878, 44, 1, Smoke::mf_static, 193, 78},	//304 QGlobalSpace::qt_error_string(int)
    {17, 878, 0, 0, Smoke::mf_static, 193, 79},	//305 QGlobalSpace::qt_error_string()
    {17, 676, 288, 2, Smoke::mf_static, 96, 80},	//306 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {17, 624, 264, 2, Smoke::mf_static, 373, 81},	//307 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 634, 291, 2, Smoke::mf_static, 316, 82},	//308 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 830, 294, 2, Smoke::mf_static, 14, 83},	//309 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 861, 297, 3, Smoke::mf_static, 399, 84},	//310 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 828, 125, 1, Smoke::mf_static, 397, 85},	//311 QGlobalSpace::qTan(double)
    {17, 658, 137, 2, Smoke::mf_static, 316, 86},	//312 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 612, 301, 2, Smoke::mf_static, 316, 87},	//313 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 814, 44, 1, Smoke::mf_static, 206, 88},	//314 QGlobalSpace::qSetFieldWidth(int)
    {17, 676, 304, 2, Smoke::mf_static, 37, 89},	//315 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {17, 676, 307, 2, Smoke::mf_static, 52, 90},	//316 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {17, 676, 310, 2, Smoke::mf_static, 42, 91},	//317 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type)
    {17, 762, 125, 1, Smoke::mf_static, 399, 92},	//318 QGlobalSpace::qFloor(double)
    {17, 639, 313, 2, Smoke::mf_static, 24, 93},	//319 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 668, 316, 2, Smoke::mf_static, 20, 94},	//320 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 676, 319, 2, Smoke::mf_static, 96, 95},	//321 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {17, 780, 176, 1, Smoke::mf_static, 316, 96},	//322 QGlobalSpace::qIsFinite(float)
    {17, 624, 322, 2, Smoke::mf_static, 381, 97},	//323 QGlobalSpace::operator+(const QString&, QChar)
    {17, 612, 325, 2, Smoke::mf_static, 316, 98},	//324 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 639, 328, 2, Smoke::mf_static, 24, 99},	//325 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 676, 331, 2, Smoke::mf_static, 61, 100},	//326 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {17, 835, 334, 3, Smoke::mf_static, 0, 101},	//327 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 624, 173, 2, Smoke::mf_static, 322, 102},	//328 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 624, 158, 2, Smoke::mf_static, 381, 103},	//329 QGlobalSpace::operator+(const QString&, const char*)
    {17, 658, 291, 2, Smoke::mf_static, 316, 104},	//330 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 803, 338, 4, Smoke::mf_static, 417, 105},	//331 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 624, 111, 2, Smoke::mf_static, 381, 106},	//332 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 772, 343, 1, Smoke::mf_static, 409, 107},	//333 QGlobalSpace::qHash(unsigned int)
    {17, 676, 345, 2, Smoke::mf_static, 38, 108},	//334 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {17, 772, 183, 1, Smoke::mf_static, 409, 109},	//335 QGlobalSpace::qHash(QChar)
    {17, 676, 348, 2, Smoke::mf_static, 44, 110},	//336 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {17, 643, 173, 2, Smoke::mf_static, 316, 111},	//337 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 778, 176, 1, Smoke::mf_static, 399, 112},	//338 QGlobalSpace::qIntCast(float)
    {17, 651, 351, 2, Smoke::mf_static, 316, 113},	//339 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 674, 354, 2, Smoke::mf_static, 11, 114},	//340 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 658, 357, 2, Smoke::mf_static, 316, 115},	//341 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 801, 360, 2, Smoke::mf_static, 417, 116},	//342 QGlobalSpace::qRealloc(void*, size_t)
    {17, 676, 363, 2, Smoke::mf_static, 60, 117},	//343 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {17, 772, 65, 1, Smoke::mf_static, 409, 118},	//344 QGlobalSpace::qHash(const QString&)
    {17, 643, 291, 2, Smoke::mf_static, 316, 119},	//345 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 639, 366, 2, Smoke::mf_static, 20, 120},	//346 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 639, 369, 2, Smoke::mf_static, 24, 121},	//347 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 811, 125, 1, Smoke::mf_static, 402, 122},	//348 QGlobalSpace::qRound64(double)
    {17, 776, 372, 1, Smoke::mf_static, 416, 123},	//349 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 823, 125, 1, Smoke::mf_static, 397, 124},	//350 QGlobalSpace::qSqrt(double)
    {17, 772, 374, 1, Smoke::mf_static, 409, 125},	//351 QGlobalSpace::qHash(const QModelIndex&)
    {17, 676, 376, 2, Smoke::mf_static, 40, 126},	//352 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {17, 756, 125, 1, Smoke::mf_static, 397, 127},	//353 QGlobalSpace::qFastCos(double)
    {17, 668, 379, 2, Smoke::mf_static, 20, 128},	//354 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 651, 382, 2, Smoke::mf_static, 316, 129},	//355 QGlobalSpace::operator==(QBool, QBool)
    {17, 651, 385, 2, Smoke::mf_static, 316, 130},	//356 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 676, 388, 2, Smoke::mf_static, 58, 131},	//357 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {17, 772, 63, 1, Smoke::mf_static, 409, 132},	//358 QGlobalSpace::qHash(const QHostAddress&)
    {17, 612, 285, 2, Smoke::mf_static, 316, 133},	//359 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 784, 176, 1, Smoke::mf_static, 316, 134},	//360 QGlobalSpace::qIsNaN(float)
    {17, 676, 391, 2, Smoke::mf_static, 63, 135},	//361 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {17, 643, 357, 2, Smoke::mf_static, 316, 136},	//362 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 760, 1, 1, Smoke::mf_static, 393, 137},	//363 QGlobalSpace::qFlagLocation(const char*)
    {17, 784, 125, 1, Smoke::mf_static, 316, 138},	//364 QGlobalSpace::qIsNaN(double)
    {17, 624, 394, 2, Smoke::mf_static, 381, 139},	//365 QGlobalSpace::operator+(QChar, const QString&)
    {17, 676, 397, 2, Smoke::mf_static, 96, 140},	//366 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {17, 676, 400, 2, Smoke::mf_static, 96, 141},	//367 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {17, 676, 403, 2, Smoke::mf_static, 96, 142},	//368 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {17, 668, 406, 2, Smoke::mf_static, 20, 143},	//369 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 872, 6, 3, Smoke::mf_static, 0, 144},	//370 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 772, 33, 1, Smoke::mf_static, 409, 145},	//371 QGlobalSpace::qHash(long long)
    {17, 612, 409, 2, Smoke::mf_static, 316, 146},	//372 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 676, 412, 2, Smoke::mf_static, 55, 147},	//373 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {17, 676, 415, 2, Smoke::mf_static, 33, 148},	//374 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {17, 624, 418, 2, Smoke::mf_static, 381, 149},	//375 QGlobalSpace::operator+(const QString&, char)
    {17, 612, 191, 2, Smoke::mf_static, 316, 150},	//376 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 629, 164, 2, Smoke::mf_static, 365, 151},	//377 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 651, 325, 2, Smoke::mf_static, 316, 152},	//378 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 634, 357, 2, Smoke::mf_static, 316, 153},	//379 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 770, 176, 1, Smoke::mf_static, 316, 154},	//380 QGlobalSpace::qFuzzyIsNull(float)
    {17, 853, 421, 2, Smoke::mf_static, 319, 155},	//381 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 772, 44, 1, Smoke::mf_static, 409, 156},	//382 QGlobalSpace::qHash(int)
    {17, 624, 164, 2, Smoke::mf_static, 365, 157},	//383 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 651, 264, 2, Smoke::mf_static, 316, 158},	//384 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 629, 424, 1, Smoke::mf_static, 363, 159},	//385 QGlobalSpace::operator-(const QPoint&)
    {17, 639, 426, 2, Smoke::mf_static, 20, 160},	//386 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 676, 429, 2, Smoke::mf_static, 32, 161},	//387 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {17, 752, 125, 1, Smoke::mf_static, 397, 162},	//388 QGlobalSpace::qExp(double)
    {17, 818, 44, 1, Smoke::mf_static, 206, 163},	//389 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 651, 432, 2, Smoke::mf_static, 316, 164},	//390 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 788, 125, 1, Smoke::mf_static, 397, 165},	//391 QGlobalSpace::qLn(double)
    {17, 676, 435, 2, Smoke::mf_static, 49, 166},	//392 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {17, 639, 438, 2, Smoke::mf_static, 24, 167},	//393 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 676, 441, 2, Smoke::mf_static, 32, 168},	//394 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {17, 639, 444, 2, Smoke::mf_static, 24, 169},	//395 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 612, 264, 2, Smoke::mf_static, 316, 170},	//396 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 805, 447, 1, Smoke::mf_static, 0, 171},	//397 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 741, 130, 2, Smoke::mf_static, 412, 172},	//398 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 790, 449, 1, Smoke::mf_static, 417, 173},	//399 QGlobalSpace::qMalloc(size_t)
    {17, 800, 0, 0, Smoke::mf_static, 397, 174},	//400 QGlobalSpace::qQNaN()
    {17, 676, 451, 2, Smoke::mf_static, 96, 175},	//401 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {17, 668, 454, 2, Smoke::mf_static, 20, 176},	//402 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 841, 155, 2, Smoke::mf_static, 316, 177},	//403 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 676, 457, 2, Smoke::mf_static, 51, 178},	//404 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {17, 639, 460, 2, Smoke::mf_static, 24, 179},	//405 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 676, 463, 2, Smoke::mf_static, 96, 180},	//406 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {17, 846, 343, 1, Smoke::mf_static, 0, 181},	//407 QGlobalSpace::qsrand(unsigned int)
    {17, 772, 466, 1, Smoke::mf_static, 409, 182},	//408 QGlobalSpace::qHash(long)
    {17, 676, 468, 2, Smoke::mf_static, 96, 183},	//409 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {17, 658, 120, 2, Smoke::mf_static, 316, 184},	//410 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 772, 61, 1, Smoke::mf_static, 409, 185},	//411 QGlobalSpace::qHash(unsigned short)
    {17, 668, 471, 2, Smoke::mf_static, 20, 186},	//412 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 612, 164, 2, Smoke::mf_static, 316, 187},	//413 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 676, 474, 2, Smoke::mf_static, 50, 188},	//414 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {17, 865, 297, 3, Smoke::mf_static, 399, 189},	//415 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 624, 477, 2, Smoke::mf_static, 381, 190},	//416 QGlobalSpace::operator+(char, const QString&)
    {17, 668, 480, 2, Smoke::mf_static, 20, 191},	//417 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 651, 211, 2, Smoke::mf_static, 316, 192},	//418 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 651, 301, 2, Smoke::mf_static, 316, 193},	//419 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 676, 483, 2, Smoke::mf_static, 52, 194},	//420 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {17, 624, 357, 2, Smoke::mf_static, 322, 195},	//421 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 676, 486, 2, Smoke::mf_static, 43, 196},	//422 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {17, 772, 489, 1, Smoke::mf_static, 409, 197},	//423 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 658, 285, 2, Smoke::mf_static, 316, 198},	//424 QGlobalSpace::operator>(const char*, const QString&)
    {17, 639, 491, 2, Smoke::mf_static, 20, 199},	//425 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 676, 494, 2, Smoke::mf_static, 96, 200},	//426 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {17, 639, 497, 2, Smoke::mf_static, 20, 201},	//427 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 887, 500, 3, Smoke::mf_static, 158, 202},	//428 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 632, 504, 2, Smoke::mf_static, 365, 203},	//429 QGlobalSpace::operator/(const QPointF&, double)
    {17, 612, 507, 2, Smoke::mf_static, 316, 204},	//430 QGlobalSpace::operator!=(bool, QBool)
    {17, 651, 291, 2, Smoke::mf_static, 316, 205},	//431 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 676, 510, 2, Smoke::mf_static, 35, 206},	//432 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {17, 676, 513, 2, Smoke::mf_static, 96, 207},	//433 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {17, 668, 516, 2, Smoke::mf_static, 20, 208},	//434 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 863, 519, 3, Smoke::mf_static, 319, 209},	//435 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 830, 203, 1, Smoke::mf_static, 14, 210},	//436 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 668, 523, 2, Smoke::mf_static, 20, 211},	//437 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 676, 526, 2, Smoke::mf_static, 38, 212},	//438 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {17, 639, 529, 2, Smoke::mf_static, 20, 213},	//439 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 668, 532, 2, Smoke::mf_static, 20, 214},	//440 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 629, 535, 1, Smoke::mf_static, 365, 215},	//441 QGlobalSpace::operator-(const QPointF&)
    {17, 651, 507, 2, Smoke::mf_static, 316, 216},	//442 QGlobalSpace::operator==(bool, QBool)
    {17, 843, 0, 0, Smoke::mf_static, 399, 217},	//443 QGlobalSpace::qrand()
    {17, 639, 537, 2, Smoke::mf_static, 24, 218},	//444 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 874, 540, 4, Smoke::mf_static, 0, 219},	//445 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 619, 354, 2, Smoke::mf_static, 11, 220},	//446 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 663, 155, 2, Smoke::mf_static, 316, 221},	//447 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 676, 545, 2, Smoke::mf_static, 58, 222},	//448 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {17, 639, 548, 2, Smoke::mf_static, 24, 223},	//449 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 612, 551, 2, Smoke::mf_static, 316, 224},	//450 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 844, 554, 4, Smoke::mf_static, 0, 225},	//451 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {17, 750, 0, 0, Smoke::mf_static, 24, 226},	//452 QGlobalSpace::qCritical()
    {17, 612, 155, 2, Smoke::mf_static, 316, 227},	//453 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 639, 559, 2, Smoke::mf_static, 24, 228},	//454 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 612, 223, 2, Smoke::mf_static, 316, 229},	//455 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 634, 137, 2, Smoke::mf_static, 316, 230},	//456 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 676, 562, 2, Smoke::mf_static, 49, 231},	//457 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {17, 676, 565, 2, Smoke::mf_static, 47, 232},	//458 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {17, 651, 551, 2, Smoke::mf_static, 316, 233},	//459 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 639, 568, 2, Smoke::mf_static, 20, 234},	//460 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 624, 571, 2, Smoke::mf_static, 322, 235},	//461 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 668, 574, 2, Smoke::mf_static, 20, 236},	//462 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 676, 577, 2, Smoke::mf_static, 96, 237},	//463 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {17, 632, 580, 2, Smoke::mf_static, 373, 238},	//464 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 663, 291, 2, Smoke::mf_static, 316, 239},	//465 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 676, 583, 2, Smoke::mf_static, 96, 240},	//466 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {17, 676, 586, 2, Smoke::mf_static, 54, 241},	//467 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {17, 639, 589, 2, Smoke::mf_static, 20, 242},	//468 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 651, 223, 2, Smoke::mf_static, 316, 243},	//469 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 730, 592, 1, Smoke::mf_static, 0, 244},	//470 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 743, 594, 3, Smoke::mf_static, 14, 245},	//471 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 743, 294, 2, Smoke::mf_static, 14, 246},	//472 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 643, 155, 2, Smoke::mf_static, 316, 247},	//473 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 758, 125, 1, Smoke::mf_static, 397, 248},	//474 QGlobalSpace::qFastSin(double)
    {17, 643, 120, 2, Smoke::mf_static, 316, 249},	//475 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 639, 598, 2, Smoke::mf_static, 20, 250},	//476 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 668, 601, 2, Smoke::mf_static, 20, 251},	//477 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 732, 0, 0, Smoke::mf_static, 193, 252},	//478 QGlobalSpace::qAppName()
    {17, 833, 0, 0, Smoke::mf_static, 393, 253},	//479 QGlobalSpace::qVersion()
    {17, 639, 604, 2, Smoke::mf_static, 24, 254},	//480 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 764, 607, 1, Smoke::mf_static, 0, 255},	//481 QGlobalSpace::qFree(void*)
    {17, 766, 607, 1, Smoke::mf_static, 0, 256},	//482 QGlobalSpace::qFreeAligned(void*)
    {17, 651, 409, 2, Smoke::mf_static, 316, 257},	//483 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 639, 609, 2, Smoke::mf_static, 24, 258},	//484 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 639, 612, 2, Smoke::mf_static, 203, 259},	//485 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 634, 173, 2, Smoke::mf_static, 316, 260},	//486 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 639, 615, 2, Smoke::mf_static, 24, 261},	//487 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 639, 618, 2, Smoke::mf_static, 24, 262},	//488 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 772, 621, 1, Smoke::mf_static, 409, 263},	//489 QGlobalSpace::qHash(const QBitArray&)
    {17, 639, 623, 2, Smoke::mf_static, 24, 264},	//490 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 639, 626, 2, Smoke::mf_static, 203, 265},	//491 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 739, 125, 1, Smoke::mf_static, 399, 266},	//492 QGlobalSpace::qCeil(double)
    {17, 676, 629, 2, Smoke::mf_static, 35, 267},	//493 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {17, 676, 632, 2, Smoke::mf_static, 50, 268},	//494 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {17, 612, 197, 2, Smoke::mf_static, 316, 269},	//495 QGlobalSpace::operator!=(QChar, QChar)
    {17, 825, 635, 2, Smoke::mf_static, 316, 270},	//496 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 855, 1, 1, Smoke::mf_static, 319, 271},	//497 QGlobalSpace::qstrdup(const char*)
    {17, 651, 638, 2, Smoke::mf_static, 316, 272},	//498 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 676, 641, 2, Smoke::mf_static, 56, 273},	//499 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {17, 668, 644, 2, Smoke::mf_static, 20, 274},	//500 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 643, 285, 2, Smoke::mf_static, 316, 275},	//501 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 612, 385, 2, Smoke::mf_static, 316, 276},	//502 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 676, 647, 2, Smoke::mf_static, 36, 277},	//503 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {17, 751, 0, 0, Smoke::mf_static, 24, 278},	//504 QGlobalSpace::qDebug()
    {17, 792, 650, 2, Smoke::mf_static, 417, 279},	//505 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 676, 653, 2, Smoke::mf_static, 39, 280},	//506 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {17, 612, 635, 2, Smoke::mf_static, 316, 281},	//507 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 798, 167, 2, Smoke::mf_static, 397, 282},	//508 QGlobalSpace::qPow(double, double)
    {17, 643, 137, 2, Smoke::mf_static, 316, 283},	//509 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 639, 656, 2, Smoke::mf_static, 24, 284},	//510 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 676, 659, 2, Smoke::mf_static, 96, 285},	//511 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {17, 668, 612, 2, Smoke::mf_static, 203, 286},	//512 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 624, 662, 2, Smoke::mf_static, 322, 287},	//513 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 676, 665, 2, Smoke::mf_static, 53, 288},	//514 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {17, 651, 155, 2, Smoke::mf_static, 316, 289},	//515 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 639, 668, 2, Smoke::mf_static, 20, 290},	//516 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 629, 152, 2, Smoke::mf_static, 371, 291},	//517 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 639, 671, 2, Smoke::mf_static, 24, 292},	//518 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 624, 285, 2, Smoke::mf_static, 381, 293},	//519 QGlobalSpace::operator+(const char*, const QString&)
    {17, 668, 674, 2, Smoke::mf_static, 20, 294},	//520 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 612, 432, 2, Smoke::mf_static, 316, 295},	//521 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 621, 677, 2, Smoke::mf_static, 365, 296},	//522 QGlobalSpace::operator*(double, const QPointF&)
    {17, 651, 120, 2, Smoke::mf_static, 316, 297},	//523 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 621, 680, 2, Smoke::mf_static, 371, 298},	//524 QGlobalSpace::operator*(const QSize&, double)
    {17, 639, 683, 2, Smoke::mf_static, 24, 299},	//525 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 676, 686, 2, Smoke::mf_static, 43, 300},	//526 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {17, 896, 689, 4, Smoke::mf_static, 399, 301},	//527 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 621, 694, 2, Smoke::mf_static, 363, 302},	//528 QGlobalSpace::operator*(double, const QPoint&)
    {17, 796, 697, 3, Smoke::mf_static, 417, 303},	//529 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 639, 701, 2, Smoke::mf_static, 20, 304},	//530 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 876, 704, 2, Smoke::mf_static, 0, 305},	//531 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 772, 707, 1, Smoke::mf_static, 409, 306},	//532 QGlobalSpace::qHash(short)
    {17, 754, 125, 1, Smoke::mf_static, 397, 307},	//533 QGlobalSpace::qFabs(double)
    {17, 676, 709, 2, Smoke::mf_static, 96, 308},	//534 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {17, 676, 712, 2, Smoke::mf_static, 45, 309},	//535 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {17, 848, 357, 2, Smoke::mf_static, 399, 310},	//536 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 768, 715, 2, Smoke::mf_static, 316, 311},	//537 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 651, 718, 2, Smoke::mf_static, 316, 312},	//538 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 837, 721, 3, Smoke::mf_static, 319, 313},	//539 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 728, 125, 1, Smoke::mf_static, 397, 314},	//540 QGlobalSpace::qAcos(double)
    {17, 663, 357, 2, Smoke::mf_static, 316, 315},	//541 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 639, 725, 2, Smoke::mf_static, 24, 316},	//542 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 676, 728, 2, Smoke::mf_static, 45, 317},	//543 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {17, 770, 125, 1, Smoke::mf_static, 316, 318},	//544 QGlobalSpace::qFuzzyIsNull(double)
    {17, 743, 731, 2, Smoke::mf_static, 14, 319},	//545 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 743, 203, 1, Smoke::mf_static, 14, 320},	//546 QGlobalSpace::qCompress(const QByteArray&)
    {17, 676, 734, 2, Smoke::mf_static, 96, 321},	//547 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {17, 676, 737, 2, Smoke::mf_static, 96, 322},	//548 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {17, 639, 740, 2, Smoke::mf_static, 24, 323},	//549 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 639, 743, 2, Smoke::mf_static, 20, 324},	//550 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 676, 746, 2, Smoke::mf_static, 34, 325},	//551 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {17, 639, 749, 2, Smoke::mf_static, 20, 326},	//552 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 676, 752, 2, Smoke::mf_static, 96, 327},	//553 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {17, 676, 755, 2, Smoke::mf_static, 96, 328},	//554 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, int)
    {17, 733, 125, 1, Smoke::mf_static, 397, 329},	//555 QGlobalSpace::qAsin(double)
    {17, 639, 758, 2, Smoke::mf_static, 24, 330},	//556 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 676, 761, 2, Smoke::mf_static, 39, 331},	//557 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {17, 612, 351, 2, Smoke::mf_static, 316, 332},	//558 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 676, 764, 2, Smoke::mf_static, 41, 333},	//559 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type)
    {17, 821, 125, 1, Smoke::mf_static, 397, 334},	//560 QGlobalSpace::qSin(double)
    {17, 651, 357, 2, Smoke::mf_static, 316, 335},	//561 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 668, 767, 2, Smoke::mf_static, 20, 336},	//562 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 676, 354, 2, Smoke::mf_static, 11, 337},	//563 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 639, 770, 2, Smoke::mf_static, 20, 338},	//564 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 639, 773, 2, Smoke::mf_static, 20, 339},	//565 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 639, 776, 2, Smoke::mf_static, 20, 340},	//566 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 869, 704, 2, Smoke::mf_static, 193, 341},	//567 QGlobalSpace::qtTrId(const char*, int)
    {17, 869, 1, 1, Smoke::mf_static, 193, 342},	//568 QGlobalSpace::qtTrId(const char*)
    {17, 676, 779, 2, Smoke::mf_static, 96, 343},	//569 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {17, 639, 782, 2, Smoke::mf_static, 24, 344},	//570 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 643, 197, 2, Smoke::mf_static, 316, 345},	//571 QGlobalSpace::operator<=(QChar, QChar)
    {17, 676, 785, 2, Smoke::mf_static, 54, 346},	//572 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {17, 612, 718, 2, Smoke::mf_static, 316, 347},	//573 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 676, 788, 2, Smoke::mf_static, 51, 348},	//574 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {17, 668, 791, 2, Smoke::mf_static, 20, 349},	//575 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 676, 794, 2, Smoke::mf_static, 48, 350},	//576 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {17, 676, 797, 2, Smoke::mf_static, 46, 351},	//577 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>)
    {17, 668, 800, 2, Smoke::mf_static, 20, 352},	//578 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 894, 803, 3, Smoke::mf_static, 316, 353},	//579 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 632, 680, 2, Smoke::mf_static, 371, 354},	//580 QGlobalSpace::operator/(const QSize&, double)
    {17, 786, 176, 1, Smoke::mf_static, 316, 355},	//581 QGlobalSpace::qIsNull(float)
    {17, 889, 807, 5, Smoke::mf_static, 0, 356},	//582 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 676, 813, 2, Smoke::mf_static, 33, 357},	//583 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {17, 651, 816, 2, Smoke::mf_static, 316, 358},	//584 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 735, 125, 1, Smoke::mf_static, 397, 359},	//585 QGlobalSpace::qAtan(double)
    {17, 676, 819, 2, Smoke::mf_static, 96, 360},	//586 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {17, 668, 822, 2, Smoke::mf_static, 20, 361},	//587 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 768, 167, 2, Smoke::mf_static, 316, 362},	//588 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 676, 825, 2, Smoke::mf_static, 96, 363},	//589 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {17, 612, 137, 2, Smoke::mf_static, 316, 364},	//590 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 676, 828, 2, Smoke::mf_static, 60, 365},	//591 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {17, 621, 252, 2, Smoke::mf_static, 363, 366},	//592 QGlobalSpace::operator*(const QPoint&, double)
    {17, 676, 831, 2, Smoke::mf_static, 96, 367},	//593 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {17, 813, 0, 0, Smoke::mf_static, 397, 368},	//594 QGlobalSpace::qSNaN()
    {17, 651, 173, 2, Smoke::mf_static, 316, 369},	//595 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 621, 580, 2, Smoke::mf_static, 373, 370},	//596 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 651, 635, 2, Smoke::mf_static, 316, 371},	//597 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 676, 834, 2, Smoke::mf_static, 96, 372},	//598 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {17, 676, 837, 2, Smoke::mf_static, 46, 373},	//599 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type)
    {17, 621, 840, 2, Smoke::mf_static, 371, 374},	//600 QGlobalSpace::operator*(double, const QSize&)
    {17, 634, 120, 2, Smoke::mf_static, 316, 375},	//601 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 676, 843, 2, Smoke::mf_static, 59, 376},	//602 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {17, 639, 846, 2, Smoke::mf_static, 24, 377},	//603 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 612, 849, 2, Smoke::mf_static, 316, 378},	//604 QGlobalSpace::operator!=(QBool, bool)
    {17, 612, 152, 2, Smoke::mf_static, 316, 379},	//605 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 668, 852, 2, Smoke::mf_static, 20, 380},	//606 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 639, 855, 2, Smoke::mf_static, 24, 381},	//607 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 612, 291, 2, Smoke::mf_static, 316, 382},	//608 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 621, 504, 2, Smoke::mf_static, 365, 383},	//609 QGlobalSpace::operator*(const QPointF&, double)
    {17, 676, 858, 2, Smoke::mf_static, 96, 384},	//610 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, int)
    {17, 676, 861, 2, Smoke::mf_static, 48, 385},	//611 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {17, 857, 3, 2, Smoke::mf_static, 399, 386},	//612 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 612, 180, 2, Smoke::mf_static, 316, 387},	//613 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 809, 125, 1, Smoke::mf_static, 399, 388},	//614 QGlobalSpace::qRound(double)
    {17, 775, 0, 0, Smoke::mf_static, 397, 389},	//615 QGlobalSpace::qInf()
    {17, 639, 864, 2, Smoke::mf_static, 20, 390},	//616 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 639, 867, 2, Smoke::mf_static, 20, 391},	//617 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 676, 870, 2, Smoke::mf_static, 55, 392},	//618 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {17, 848, 173, 2, Smoke::mf_static, 399, 393},	//619 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 807, 592, 1, Smoke::mf_static, 0, 394},	//620 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 668, 873, 2, Smoke::mf_static, 20, 395},	//621 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 676, 876, 2, Smoke::mf_static, 96, 396},	//622 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {17, 639, 879, 2, Smoke::mf_static, 20, 397},	//623 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 676, 882, 2, Smoke::mf_static, 42, 398},	//624 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>)
    {17, 834, 0, 0, Smoke::mf_static, 24, 399},	//625 QGlobalSpace::qWarning()
    {17, 859, 1, 1, Smoke::mf_static, 409, 400},	//626 QGlobalSpace::qstrlen(const char*)
    {17, 651, 849, 2, Smoke::mf_static, 316, 401},	//627 QGlobalSpace::operator==(QBool, bool)
    {17, 639, 885, 2, Smoke::mf_static, 24, 402},	//628 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 668, 888, 2, Smoke::mf_static, 20, 403},	//629 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 668, 891, 2, Smoke::mf_static, 20, 404},	//630 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 772, 894, 1, Smoke::mf_static, 409, 405},	//631 QGlobalSpace::qHash(unsigned long)
    {17, 676, 896, 2, Smoke::mf_static, 96, 406},	//632 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {17, 639, 899, 2, Smoke::mf_static, 20, 407},	//633 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 676, 902, 2, Smoke::mf_static, 96, 408},	//634 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {17, 639, 905, 2, Smoke::mf_static, 20, 409},	//635 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 651, 285, 2, Smoke::mf_static, 316, 410},	//636 QGlobalSpace::operator==(const char*, const QString&)
    {17, 624, 78, 2, Smoke::mf_static, 381, 411},	//637 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 612, 382, 2, Smoke::mf_static, 316, 412},	//638 QGlobalSpace::operator!=(QBool, QBool)
    {17, 880, 908, 2, Smoke::mf_static, 0, 413},	//639 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 663, 285, 2, Smoke::mf_static, 316, 414},	//640 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 772, 911, 1, Smoke::mf_static, 409, 415},	//641 QGlobalSpace::qHash(const QStringRef&)
    {17, 786, 125, 1, Smoke::mf_static, 316, 416},	//642 QGlobalSpace::qIsNull(double)
    {17, 676, 913, 2, Smoke::mf_static, 36, 417},	//643 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {17, 663, 137, 2, Smoke::mf_static, 316, 418},	//644 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 658, 173, 2, Smoke::mf_static, 316, 419},	//645 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 676, 916, 2, Smoke::mf_static, 56, 420},	//646 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {17, 772, 919, 1, Smoke::mf_static, 409, 421},	//647 QGlobalSpace::qHash(unsigned char)
    {17, 668, 921, 2, Smoke::mf_static, 20, 422},	//648 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 676, 924, 2, Smoke::mf_static, 41, 423},	//649 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>)
    {17, 639, 927, 2, Smoke::mf_static, 24, 424},	//650 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 676, 930, 2, Smoke::mf_static, 96, 425},	//651 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {17, 612, 357, 2, Smoke::mf_static, 316, 426},	//652 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 668, 933, 2, Smoke::mf_static, 20, 427},	//653 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 639, 936, 2, Smoke::mf_static, 20, 428},	//654 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 429},	//655 QGlobalSpace::_IEEE_ (enum)
    {17, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 430},	//656 QGlobalSpace::_SVID_ (enum)
    {17, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 431},	//657 QGlobalSpace::_XOPEN_ (enum)
    {17, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 432},	//658 QGlobalSpace::_POSIX_ (enum)
    {17, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 433},	//659 QGlobalSpace::_ISOC_ (enum)
    {17, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 434},	//660 QGlobalSpace::QtDebugMsg (enum)
    {17, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 435},	//661 QGlobalSpace::QtWarningMsg (enum)
    {17, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 436},	//662 QGlobalSpace::QtCriticalMsg (enum)
    {17, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 437},	//663 QGlobalSpace::QtFatalMsg (enum)
    {17, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 438},	//664 QGlobalSpace::QtSystemMsg (enum)
    {17, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 439},	//665 QGlobalSpace::__codecvt_ok (enum)
    {17, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 440},	//666 QGlobalSpace::__codecvt_partial (enum)
    {17, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 441},	//667 QGlobalSpace::__codecvt_error (enum)
    {17, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 442},	//668 QGlobalSpace::__codecvt_noconv (enum)
    {19, 148, 0, 0, Smoke::mf_ctor, 73, 1},	//669 QHostAddress::QHostAddress()
    {19, 148, 343, 1, Smoke::mf_ctor, 73, 2},	//670 QHostAddress::QHostAddress(unsigned int)
    {19, 148, 939, 1, Smoke::mf_ctor, 73, 3},	//671 QHostAddress::QHostAddress(unsigned char*)
    {19, 148, 941, 1, Smoke::mf_ctor, 73, 4},	//672 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 148, 943, 1, Smoke::mf_ctor, 73, 5},	//673 QHostAddress::QHostAddress(const sockaddr*)
    {19, 148, 65, 1, Smoke::mf_ctor, 73, 6},	//674 QHostAddress::QHostAddress(const QString&)
    {19, 148, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 7},	//675 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 148, 945, 1, Smoke::mf_ctor, 73, 8},	//676 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 648, 63, 1, 0, 72, 9},	//677 QHostAddress::operator=(const QHostAddress&)
    {19, 648, 65, 1, 0, 72, 10},	//678 QHostAddress::operator=(const QString&)
    {19, 955, 343, 1, 0, 0, 11},	//679 QHostAddress::setAddress(unsigned int)
    {19, 955, 939, 1, 0, 0, 12},	//680 QHostAddress::setAddress(unsigned char*)
    {19, 955, 941, 1, 0, 0, 13},	//681 QHostAddress::setAddress(const QIPv6Address&)
    {19, 955, 943, 1, 0, 0, 14},	//682 QHostAddress::setAddress(const sockaddr*)
    {19, 955, 65, 1, 0, 316, 15},	//683 QHostAddress::setAddress(const QString&)
    {19, 714, 0, 0, Smoke::mf_const, 4, 16},	//684 QHostAddress::protocol() const
    {19, 1187, 0, 0, Smoke::mf_const, 409, 17},	//685 QHostAddress::toIPv4Address() const
    {19, 1188, 0, 0, Smoke::mf_const, 94, 18},	//686 QHostAddress::toIPv6Address() const
    {19, 1193, 0, 0, Smoke::mf_const, 193, 19},	//687 QHostAddress::toString() const
    {19, 947, 0, 0, Smoke::mf_const, 193, 20},	//688 QHostAddress::scopeId() const
    {19, 1109, 65, 1, 0, 0, 21},	//689 QHostAddress::setScopeId(const QString&)
    {19, 651, 63, 1, Smoke::mf_const, 316, 22},	//690 QHostAddress::operator==(const QHostAddress&) const
    {19, 651, 945, 1, Smoke::mf_const, 316, 23},	//691 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 612, 63, 1, Smoke::mf_const, 316, 24},	//692 QHostAddress::operator!=(const QHostAddress&) const
    {19, 612, 945, 1, Smoke::mf_const, 316, 25},	//693 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 551, 0, 0, Smoke::mf_const, 316, 26},	//694 QHostAddress::isNull() const
    {19, 395, 0, 0, 0, 0, 27},	//695 QHostAddress::clear()
    {19, 547, 947, 2, Smoke::mf_const, 316, 28},	//696 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 547, 950, 1, Smoke::mf_const, 316, 29},	//697 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 688, 65, 1, Smoke::mf_static, 160, 30},	//698 QHostAddress::parseSubnet(const QString&)
    {19, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 31},	//699 QHostAddress::Null (enum)
    {19, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 32},	//700 QHostAddress::Broadcast (enum)
    {19, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 33},	//701 QHostAddress::LocalHost (enum)
    {19, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 34},	//702 QHostAddress::LocalHostIPv6 (enum)
    {19, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 35},	//703 QHostAddress::Any (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 36},	//704 QHostAddress::AnyIPv6 (enum)
    {19, 1236, 0, 0, Smoke::mf_dtor, 0, 37 },	//705 QHostAddress::~QHostAddress()
    {20, 151, 44, 1, Smoke::mf_ctor, 77, 1},	//706 QHostInfo::QHostInfo(int)
    {20, 151, 952, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//707 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 648, 952, 1, 0, 76, 3},	//708 QHostInfo::operator=(const QHostInfo&)
    {20, 525, 0, 0, Smoke::mf_const, 193, 4},	//709 QHostInfo::hostName() const
    {20, 1018, 65, 1, 0, 0, 5},	//710 QHostInfo::setHostName(const QString&)
    {20, 358, 0, 0, Smoke::mf_const, 102, 6},	//711 QHostInfo::addresses() const
    {20, 958, 954, 1, 0, 0, 7},	//712 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 472, 0, 0, Smoke::mf_const, 78, 8},	//713 QHostInfo::error() const
    {20, 1001, 956, 1, 0, 0, 9},	//714 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 474, 0, 0, Smoke::mf_const, 193, 10},	//715 QHostInfo::errorString() const
    {20, 1004, 65, 1, 0, 0, 11},	//716 QHostInfo::setErrorString(const QString&)
    {20, 1036, 44, 1, 0, 0, 12},	//717 QHostInfo::setLookupId(int)
    {20, 590, 0, 0, Smoke::mf_const, 399, 13},	//718 QHostInfo::lookupId() const
    {20, 588, 958, 3, Smoke::mf_static, 399, 14},	//719 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 339, 44, 1, Smoke::mf_static, 0, 15},	//720 QHostInfo::abortHostLookup(int)
    {20, 492, 65, 1, Smoke::mf_static, 75, 16},	//721 QHostInfo::fromName(const QString&)
    {20, 583, 0, 0, Smoke::mf_static, 193, 17},	//722 QHostInfo::localHostName()
    {20, 582, 0, 0, Smoke::mf_static, 193, 18},	//723 QHostInfo::localDomainName()
    {20, 151, 0, 0, Smoke::mf_ctor, 77, 19},	//724 QHostInfo::QHostInfo()
    {20, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 20},	//725 QHostInfo::NoError (enum)
    {20, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 21},	//726 QHostInfo::HostNotFound (enum)
    {20, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 22},	//727 QHostInfo::UnknownError (enum)
    {20, 1237, 0, 0, Smoke::mf_dtor, 0, 23 },	//728 QHostInfo::~QHostInfo()
    {21, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//729 QHttp::metaObject() const
    {21, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//730 QHttp::qt_metacast(const char*)
    {21, 1194, 3, 2, Smoke::mf_static, 193, 3},	//731 QHttp::tr(const char*, const char*)
    {21, 1198, 3, 2, Smoke::mf_static, 193, 4},	//732 QHttp::trUtf8(const char*, const char*)
    {21, 1194, 6, 3, Smoke::mf_static, 193, 5},	//733 QHttp::tr(const char*, const char*, int)
    {21, 1198, 6, 3, Smoke::mf_static, 193, 6},	//734 QHttp::trUtf8(const char*, const char*, int)
    {21, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//735 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 154, 20, 1, Smoke::mf_ctor, 79, 8},	//736 QHttp::QHttp(QObject*)
    {21, 154, 962, 3, Smoke::mf_ctor, 79, 9},	//737 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 154, 966, 4, Smoke::mf_ctor, 79, 10},	//738 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1014, 67, 2, 0, 399, 11},	//739 QHttp::setHost(const QString&, unsigned short)
    {21, 1014, 971, 3, 0, 399, 12},	//740 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1115, 975, 1, 0, 399, 13},	//741 QHttp::setSocket(QTcpSocket*)
    {21, 1147, 78, 2, 0, 399, 14},	//742 QHttp::setUser(const QString&, const QString&)
    {21, 1085, 977, 4, 0, 399, 15},	//743 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1085, 46, 1, 0, 399, 16},	//744 QHttp::setProxy(const QNetworkProxy&)
    {21, 499, 108, 2, 0, 399, 17},	//745 QHttp::get(const QString&, QIODevice*)
    {21, 706, 982, 3, 0, 399, 18},	//746 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 706, 986, 3, 0, 399, 19},	//747 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 519, 65, 1, 0, 399, 20},	//748 QHttp::head(const QString&)
    {21, 933, 990, 3, 0, 399, 21},	//749 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 933, 994, 3, 0, 399, 22},	//750 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 399, 0, 0, 0, 399, 23},	//751 QHttp::closeConnection()
    {21, 398, 0, 0, 0, 399, 24},	//752 QHttp::close()
    {21, 382, 0, 0, Smoke::mf_const, 402, 25},	//753 QHttp::bytesAvailable() const
    {21, 906, 55, 2, 0, 402, 26},	//754 QHttp::read(char*, long long)
    {21, 908, 0, 0, 0, 14, 27},	//755 QHttp::readAll()
    {21, 433, 0, 0, Smoke::mf_const, 399, 28},	//756 QHttp::currentId() const
    {21, 435, 0, 0, Smoke::mf_const, 91, 29},	//757 QHttp::currentSourceDevice() const
    {21, 431, 0, 0, Smoke::mf_const, 91, 30},	//758 QHttp::currentDestinationDevice() const
    {21, 434, 0, 0, Smoke::mf_const, 85, 31},	//759 QHttp::currentRequest() const
    {21, 568, 0, 0, Smoke::mf_const, 88, 32},	//760 QHttp::lastResponse() const
    {21, 516, 0, 0, Smoke::mf_const, 316, 33},	//761 QHttp::hasPendingRequests() const
    {21, 397, 0, 0, 0, 0, 34},	//762 QHttp::clearPendingRequests()
    {21, 1170, 0, 0, Smoke::mf_const, 82, 35},	//763 QHttp::state() const
    {21, 472, 0, 0, Smoke::mf_const, 81, 36},	//764 QHttp::error() const
    {21, 474, 0, 0, Smoke::mf_const, 193, 37},	//765 QHttp::errorString() const
    {21, 338, 0, 0, Smoke::mf_slot, 0, 38},	//766 QHttp::abort()
    {21, 527, 0, 0, Smoke::mf_slot, 0, 39},	//767 QHttp::ignoreSslErrors()
    {21, 1171, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//768 QHttp::stateChanged(int)
    {21, 942, 998, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//769 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 918, 998, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//770 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 441, 1000, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//771 QHttp::dataSendProgress(int, int)
    {21, 439, 1000, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//772 QHttp::dataReadProgress(int, int)
    {21, 939, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//773 QHttp::requestStarted(int)
    {21, 937, 103, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//774 QHttp::requestFinished(int, bool)
    {21, 459, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//775 QHttp::done(bool)
    {21, 718, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//776 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 373, 1003, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//777 QHttp::authenticationRequired(const QString&, unsigned short, QAuthenticator*)
    {21, 1165, 1007, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//778 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1194, 1, 1, Smoke::mf_static, 193, 51},	//779 QHttp::tr(const char*)
    {21, 1198, 1, 1, Smoke::mf_static, 193, 52},	//780 QHttp::trUtf8(const char*)
    {21, 154, 0, 0, Smoke::mf_ctor, 79, 53},	//781 QHttp::QHttp()
    {21, 154, 65, 1, Smoke::mf_ctor, 79, 54},	//782 QHttp::QHttp(const QString&)
    {21, 154, 67, 2, Smoke::mf_ctor, 79, 55},	//783 QHttp::QHttp(const QString&, unsigned short)
    {21, 154, 1009, 2, Smoke::mf_ctor, 79, 56},	//784 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 154, 971, 3, Smoke::mf_ctor, 79, 57},	//785 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1014, 65, 1, 0, 399, 58},	//786 QHttp::setHost(const QString&)
    {21, 1014, 1009, 2, 0, 399, 59},	//787 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1147, 65, 1, 0, 399, 60},	//788 QHttp::setUser(const QString&)
    {21, 1085, 1012, 2, 0, 399, 61},	//789 QHttp::setProxy(const QString&, int)
    {21, 1085, 1015, 3, 0, 399, 62},	//790 QHttp::setProxy(const QString&, int, const QString&)
    {21, 499, 65, 1, 0, 399, 63},	//791 QHttp::get(const QString&)
    {21, 706, 108, 2, 0, 399, 64},	//792 QHttp::post(const QString&, QIODevice*)
    {21, 706, 261, 2, 0, 399, 65},	//793 QHttp::post(const QString&, const QByteArray&)
    {21, 933, 1019, 1, 0, 399, 66},	//794 QHttp::request(const QHttpRequestHeader&)
    {21, 933, 1021, 2, 0, 399, 67},	//795 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 933, 1024, 2, 0, 399, 68},	//796 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 69},	//797 QHttp::staticMetaObject() const
    {21, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//798 QHttp::ConnectionModeHttp (enum)
    {21, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//799 QHttp::ConnectionModeHttps (enum)
    {21, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 72},	//800 QHttp::Unconnected (enum)
    {21, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 73},	//801 QHttp::HostLookup (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 74},	//802 QHttp::Connecting (enum)
    {21, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 75},	//803 QHttp::Sending (enum)
    {21, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 76},	//804 QHttp::Reading (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 77},	//805 QHttp::Connected (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 78},	//806 QHttp::Closing (enum)
    {21, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 79},	//807 QHttp::NoError (enum)
    {21, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 80},	//808 QHttp::UnknownError (enum)
    {21, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 81},	//809 QHttp::HostNotFound (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 82},	//810 QHttp::ConnectionRefused (enum)
    {21, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 83},	//811 QHttp::UnexpectedClose (enum)
    {21, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 84},	//812 QHttp::InvalidResponseHeader (enum)
    {21, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 85},	//813 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 86},	//814 QHttp::Aborted (enum)
    {21, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 87},	//815 QHttp::AuthenticationRequiredError (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 88},	//816 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1238, 0, 0, Smoke::mf_dtor, 0, 89 },	//817 QHttp::~QHttp()
    {22, 161, 0, 0, Smoke::mf_ctor, 84, 1},	//818 QHttpHeader::QHttpHeader()
    {22, 161, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//819 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 161, 65, 1, Smoke::mf_ctor, 84, 3},	//820 QHttpHeader::QHttpHeader(const QString&)
    {22, 648, 1027, 1, 0, 83, 4},	//821 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1152, 78, 2, 0, 0, 5},	//822 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1155, 1029, 1, 0, 0, 6},	//823 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 355, 78, 2, 0, 0, 7},	//824 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1212, 0, 0, Smoke::mf_const, 108, 8},	//825 QHttpHeader::values() const
    {22, 511, 65, 1, Smoke::mf_const, 316, 9},	//826 QHttpHeader::hasKey(const QString&) const
    {22, 565, 0, 0, Smoke::mf_const, 197, 10},	//827 QHttpHeader::keys() const
    {22, 1210, 65, 1, Smoke::mf_const, 193, 11},	//828 QHttpHeader::value(const QString&) const
    {22, 363, 65, 1, Smoke::mf_const, 197, 12},	//829 QHttpHeader::allValues(const QString&) const
    {22, 929, 65, 1, 0, 0, 13},	//830 QHttpHeader::removeValue(const QString&)
    {22, 925, 65, 1, 0, 0, 14},	//831 QHttpHeader::removeAllValues(const QString&)
    {22, 509, 0, 0, Smoke::mf_const, 316, 15},	//832 QHttpHeader::hasContentLength() const
    {22, 422, 0, 0, Smoke::mf_const, 409, 16},	//833 QHttpHeader::contentLength() const
    {22, 983, 44, 1, 0, 0, 17},	//834 QHttpHeader::setContentLength(int)
    {22, 510, 0, 0, Smoke::mf_const, 316, 18},	//835 QHttpHeader::hasContentType() const
    {22, 423, 0, 0, Smoke::mf_const, 193, 19},	//836 QHttpHeader::contentType() const
    {22, 985, 65, 1, 0, 0, 20},	//837 QHttpHeader::setContentType(const QString&)
    {22, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 21},	//838 QHttpHeader::toString() const
    {22, 559, 0, 0, Smoke::mf_const, 316, 22},	//839 QHttpHeader::isValid() const
    {22, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 399, 23},	//840 QHttpHeader::majorVersion() const [pure virtual]
    {22, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 399, 24},	//841 QHttpHeader::minorVersion() const [pure virtual]
    {22, 686, 1012, 2, Smoke::mf_protected|Smoke::mf_virtual, 316, 25},	//842 QHttpHeader::parseLine(const QString&, int)
    {22, 682, 65, 1, Smoke::mf_protected, 316, 26},	//843 QHttpHeader::parse(const QString&)
    {22, 1150, 106, 1, Smoke::mf_protected, 0, 27},	//844 QHttpHeader::setValid(bool)
    {22, 1239, 0, 0, Smoke::mf_dtor, 0, 28 },	//845 QHttpHeader::~QHttpHeader()
    {23, 164, 0, 0, Smoke::mf_ctor, 87, 1},	//846 QHttpRequestHeader::QHttpRequestHeader()
    {23, 164, 1031, 4, Smoke::mf_ctor, 87, 2},	//847 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 164, 1019, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//848 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 164, 65, 1, Smoke::mf_ctor, 87, 4},	//849 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 648, 1019, 1, 0, 86, 5},	//850 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1102, 1031, 4, 0, 0, 6},	//851 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 599, 0, 0, Smoke::mf_const, 193, 7},	//852 QHttpRequestHeader::method() const
    {23, 691, 0, 0, Smoke::mf_const, 193, 8},	//853 QHttpRequestHeader::path() const
    {23, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 9},	//854 QHttpRequestHeader::majorVersion() const
    {23, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 10},	//855 QHttpRequestHeader::minorVersion() const
    {23, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 11},	//856 QHttpRequestHeader::toString() const
    {23, 686, 1012, 2, Smoke::mf_protected|Smoke::mf_virtual, 316, 12},	//857 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 164, 78, 2, Smoke::mf_ctor, 87, 13},	//858 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 164, 1036, 3, Smoke::mf_ctor, 87, 14},	//859 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1102, 78, 2, 0, 0, 15},	//860 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1102, 1036, 3, 0, 0, 16},	//861 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1240, 0, 0, Smoke::mf_dtor, 0, 17 },	//862 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 170, 0, 0, Smoke::mf_ctor, 90, 1},	//863 QHttpResponseHeader::QHttpResponseHeader()
    {24, 170, 998, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 2},	//864 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 170, 65, 1, Smoke::mf_ctor, 90, 3},	//865 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 170, 1040, 4, Smoke::mf_ctor, 90, 4},	//866 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 648, 998, 1, 0, 89, 5},	//867 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1132, 1040, 4, 0, 0, 6},	//868 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1174, 0, 0, Smoke::mf_const, 399, 7},	//869 QHttpResponseHeader::statusCode() const
    {24, 921, 0, 0, Smoke::mf_const, 193, 8},	//870 QHttpResponseHeader::reasonPhrase() const
    {24, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 9},	//871 QHttpResponseHeader::majorVersion() const
    {24, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 399, 10},	//872 QHttpResponseHeader::minorVersion() const
    {24, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 11},	//873 QHttpResponseHeader::toString() const
    {24, 686, 1012, 2, Smoke::mf_protected|Smoke::mf_virtual, 316, 12},	//874 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 170, 44, 1, Smoke::mf_ctor, 90, 13},	//875 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 170, 100, 2, Smoke::mf_ctor, 90, 14},	//876 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 170, 1045, 3, Smoke::mf_ctor, 90, 15},	//877 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1132, 44, 1, 0, 0, 16},	//878 QHttpResponseHeader::setStatusLine(int)
    {24, 1132, 100, 2, 0, 0, 17},	//879 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1132, 1045, 3, 0, 0, 18},	//880 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1241, 0, 0, Smoke::mf_dtor, 0, 19 },	//881 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 610, 1049, 1, Smoke::mf_virtual, 316, 0},	//882 QIODevice::open(QIODevice::OpenMode)
    {25, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 0},	//883 QIODevice::pos() const
    {25, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 0},	//884 QIODevice::size() const
    {25, 948, 33, 1, Smoke::mf_virtual, 316, 0},	//885 QIODevice::seek(long long)
    {25, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 0},	//886 QIODevice::atEnd() const
    {25, 941, 0, 0, Smoke::mf_virtual, 316, 0},	//887 QIODevice::reset()
    {25, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 0},	//888 QIODevice::bytesAvailable() const
    {25, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 0},	//889 QIODevice::bytesToWrite() const
    {25, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 0},	//890 QIODevice::canReadLine() const
    {25, 1225, 44, 1, Smoke::mf_virtual, 316, 0},	//891 QIODevice::waitForReadyRead(int)
    {25, 1214, 44, 1, Smoke::mf_virtual, 316, 0},	//892 QIODevice::waitForBytesWritten(int)
    {25, 910, 55, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 402, 0},	//893 QIODevice::readData(char*, long long) [pure virtual]
    {25, 916, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 0},	//894 QIODevice::readLineData(char*, long long)
    {25, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 14},	//895 QIODevice::NotOpen (enum)
    {25, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 15},	//896 QIODevice::ReadOnly (enum)
    {25, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 16},	//897 QIODevice::WriteOnly (enum)
    {25, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 17},	//898 QIODevice::ReadWrite (enum)
    {25, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 18},	//899 QIODevice::Append (enum)
    {25, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 19},	//900 QIODevice::Truncate (enum)
    {25, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 20},	//901 QIODevice::Text (enum)
    {25, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 21},	//902 QIODevice::Unbuffered (enum)
    {26, 672, 44, 1, 0, 407, 1},	//903 QIPv6Address::operator[](int)
    {26, 672, 44, 1, Smoke::mf_const, 406, 2},	//904 QIPv6Address::operator[](int) const
    {26, 176, 0, 0, Smoke::mf_ctor, 95, 3},	//905 QIPv6Address::QIPv6Address()
    {26, 176, 941, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 4},	//906 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1242, 0, 0, Smoke::mf_dtor, 0, 5 },	//907 QIPv6Address::~QIPv6Address()
    {31, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//908 QLocalServer::metaObject() const
    {31, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//909 QLocalServer::qt_metacast(const char*)
    {31, 1194, 3, 2, Smoke::mf_static, 193, 3},	//910 QLocalServer::tr(const char*, const char*)
    {31, 1198, 3, 2, Smoke::mf_static, 193, 4},	//911 QLocalServer::trUtf8(const char*, const char*)
    {31, 1194, 6, 3, Smoke::mf_static, 193, 5},	//912 QLocalServer::tr(const char*, const char*, int)
    {31, 1198, 6, 3, Smoke::mf_static, 193, 6},	//913 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//914 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//915 QLocalServer::newConnection()
    {31, 178, 20, 1, Smoke::mf_ctor, 113, 9},	//916 QLocalServer::QLocalServer(QObject*)
    {31, 398, 0, 0, 0, 0, 10},	//917 QLocalServer::close()
    {31, 474, 0, 0, Smoke::mf_const, 193, 11},	//918 QLocalServer::errorString() const
    {31, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 12},	//919 QLocalServer::hasPendingConnections() const
    {31, 550, 0, 0, Smoke::mf_const, 316, 13},	//920 QLocalServer::isListening() const
    {31, 576, 65, 1, 0, 316, 14},	//921 QLocalServer::listen(const QString&)
    {31, 593, 0, 0, Smoke::mf_const, 399, 15},	//922 QLocalServer::maxPendingConnections() const
    {31, 609, 0, 0, Smoke::mf_virtual, 114, 16},	//923 QLocalServer::nextPendingConnection()
    {31, 952, 0, 0, Smoke::mf_const, 193, 17},	//924 QLocalServer::serverName() const
    {31, 498, 0, 0, Smoke::mf_const, 193, 18},	//925 QLocalServer::fullServerName() const
    {31, 927, 65, 1, Smoke::mf_static, 316, 19},	//926 QLocalServer::removeServer(const QString&)
    {31, 951, 0, 0, Smoke::mf_const, 5, 20},	//927 QLocalServer::serverError() const
    {31, 1038, 44, 1, 0, 0, 21},	//928 QLocalServer::setMaxPendingConnections(int)
    {31, 1222, 1051, 2, 0, 316, 22},	//929 QLocalServer::waitForNewConnection(int, bool*)
    {31, 529, 1054, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//930 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1194, 1, 1, Smoke::mf_static, 193, 24},	//931 QLocalServer::tr(const char*)
    {31, 1198, 1, 1, Smoke::mf_static, 193, 25},	//932 QLocalServer::trUtf8(const char*)
    {31, 178, 0, 0, Smoke::mf_ctor, 113, 26},	//933 QLocalServer::QLocalServer()
    {31, 1222, 0, 0, 0, 316, 27},	//934 QLocalServer::waitForNewConnection()
    {31, 1222, 44, 1, 0, 316, 28},	//935 QLocalServer::waitForNewConnection(int)
    {31, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 29},	//936 QLocalServer::staticMetaObject() const
    {31, 1243, 0, 0, Smoke::mf_dtor, 0, 30 },	//937 QLocalServer::~QLocalServer()
    {32, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//938 QLocalSocket::metaObject() const
    {32, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//939 QLocalSocket::qt_metacast(const char*)
    {32, 1194, 3, 2, Smoke::mf_static, 193, 3},	//940 QLocalSocket::tr(const char*, const char*)
    {32, 1198, 3, 2, Smoke::mf_static, 193, 4},	//941 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1194, 6, 3, Smoke::mf_static, 193, 5},	//942 QLocalSocket::tr(const char*, const char*, int)
    {32, 1198, 6, 3, Smoke::mf_static, 193, 6},	//943 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//944 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 180, 20, 1, Smoke::mf_ctor, 114, 8},	//945 QLocalSocket::QLocalSocket(QObject*)
    {32, 418, 1056, 2, 0, 0, 9},	//946 QLocalSocket::connectToServer(const QString&, QIODevice::OpenMode)
    {32, 455, 0, 0, 0, 0, 10},	//947 QLocalSocket::disconnectFromServer()
    {32, 952, 0, 0, Smoke::mf_const, 193, 11},	//948 QLocalSocket::serverName() const
    {32, 498, 0, 0, Smoke::mf_const, 193, 12},	//949 QLocalSocket::fullServerName() const
    {32, 338, 0, 0, 0, 0, 13},	//950 QLocalSocket::abort()
    {32, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 14},	//951 QLocalSocket::isSequential() const
    {32, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 15},	//952 QLocalSocket::bytesAvailable() const
    {32, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 16},	//953 QLocalSocket::bytesToWrite() const
    {32, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 17},	//954 QLocalSocket::canReadLine() const
    {32, 398, 0, 0, Smoke::mf_virtual, 0, 18},	//955 QLocalSocket::close()
    {32, 472, 0, 0, Smoke::mf_const, 115, 19},	//956 QLocalSocket::error() const
    {32, 485, 0, 0, 0, 316, 20},	//957 QLocalSocket::flush()
    {32, 559, 0, 0, Smoke::mf_const, 316, 21},	//958 QLocalSocket::isValid() const
    {32, 909, 0, 0, Smoke::mf_const, 402, 22},	//959 QLocalSocket::readBufferSize() const
    {32, 1098, 33, 1, 0, 0, 23},	//960 QLocalSocket::setReadBufferSize(long long)
    {32, 1117, 1059, 3, 0, 316, 24},	//961 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QIODevice::OpenMode)
    {32, 1160, 0, 0, Smoke::mf_const, 97, 25},	//962 QLocalSocket::socketDescriptor() const
    {32, 1170, 0, 0, Smoke::mf_const, 116, 26},	//963 QLocalSocket::state() const
    {32, 1214, 44, 1, Smoke::mf_virtual, 316, 27},	//964 QLocalSocket::waitForBytesWritten(int)
    {32, 1216, 44, 1, 0, 316, 28},	//965 QLocalSocket::waitForConnected(int)
    {32, 1218, 44, 1, 0, 316, 29},	//966 QLocalSocket::waitForDisconnected(int)
    {32, 1225, 44, 1, Smoke::mf_virtual, 316, 30},	//967 QLocalSocket::waitForReadyRead(int)
    {32, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//968 QLocalSocket::connected()
    {32, 457, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//969 QLocalSocket::disconnected()
    {32, 472, 1063, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//970 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1171, 1065, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//971 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 910, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 35},	//972 QLocalSocket::readData(char*, long long)
    {32, 1227, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 36},	//973 QLocalSocket::writeData(const char*, long long)
    {32, 1194, 1, 1, Smoke::mf_static, 193, 37},	//974 QLocalSocket::tr(const char*)
    {32, 1198, 1, 1, Smoke::mf_static, 193, 38},	//975 QLocalSocket::trUtf8(const char*)
    {32, 180, 0, 0, Smoke::mf_ctor, 114, 39},	//976 QLocalSocket::QLocalSocket()
    {32, 418, 65, 1, 0, 0, 40},	//977 QLocalSocket::connectToServer(const QString&)
    {32, 1117, 1054, 1, 0, 316, 41},	//978 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1117, 1067, 2, 0, 316, 42},	//979 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1214, 0, 0, 0, 316, 43},	//980 QLocalSocket::waitForBytesWritten()
    {32, 1216, 0, 0, 0, 316, 44},	//981 QLocalSocket::waitForConnected()
    {32, 1218, 0, 0, 0, 316, 45},	//982 QLocalSocket::waitForDisconnected()
    {32, 1225, 0, 0, 0, 316, 46},	//983 QLocalSocket::waitForReadyRead()
    {32, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 47},	//984 QLocalSocket::staticMetaObject() const
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 48},	//985 QLocalSocket::ConnectionRefusedError (enum)
    {32, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 49},	//986 QLocalSocket::PeerClosedError (enum)
    {32, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 50},	//987 QLocalSocket::ServerNotFoundError (enum)
    {32, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 51},	//988 QLocalSocket::SocketAccessError (enum)
    {32, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 52},	//989 QLocalSocket::SocketResourceError (enum)
    {32, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 53},	//990 QLocalSocket::SocketTimeoutError (enum)
    {32, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 54},	//991 QLocalSocket::DatagramTooLargeError (enum)
    {32, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 55},	//992 QLocalSocket::ConnectionError (enum)
    {32, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 56},	//993 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 57},	//994 QLocalSocket::UnknownSocketError (enum)
    {32, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 58},	//995 QLocalSocket::UnconnectedState (enum)
    {32, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 59},	//996 QLocalSocket::ConnectingState (enum)
    {32, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 60},	//997 QLocalSocket::ConnectedState (enum)
    {32, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 61},	//998 QLocalSocket::ClosingState (enum)
    {32, 1244, 0, 0, Smoke::mf_dtor, 0, 62 },	//999 QLocalSocket::~QLocalSocket()
    {37, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1000 QNetworkAccessManager::metaObject() const
    {37, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1001 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1002 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1003 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1004 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1005 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1006 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 182, 20, 1, Smoke::mf_ctor, 121, 8},	//1007 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 717, 0, 0, Smoke::mf_const, 139, 9},	//1008 QNetworkAccessManager::proxy() const
    {37, 1085, 46, 1, 0, 0, 10},	//1009 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 720, 0, 0, Smoke::mf_const, 146, 11},	//1010 QNetworkAccessManager::proxyFactory() const
    {37, 1090, 1070, 1, 0, 0, 12},	//1011 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 385, 0, 0, Smoke::mf_const, 2, 13},	//1012 QNetworkAccessManager::cache() const
    {37, 974, 1072, 1, 0, 0, 14},	//1013 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 424, 0, 0, Smoke::mf_const, 131, 15},	//1014 QNetworkAccessManager::cookieJar() const
    {37, 987, 1074, 1, 0, 0, 16},	//1015 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 519, 1076, 1, 0, 150, 17},	//1016 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 499, 1076, 1, 0, 150, 18},	//1017 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 706, 1078, 2, 0, 150, 19},	//1018 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 706, 1081, 2, 0, 150, 20},	//1019 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 724, 1078, 2, 0, 150, 21},	//1020 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 724, 1081, 2, 0, 150, 22},	//1021 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 448, 1076, 1, 0, 150, 23},	//1022 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 718, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1023 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 373, 1084, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1024 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 482, 1087, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1025 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1165, 1089, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1026 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 427, 1092, 3, Smoke::mf_protected|Smoke::mf_virtual, 150, 28},	//1027 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1194, 1, 1, Smoke::mf_static, 193, 29},	//1028 QNetworkAccessManager::tr(const char*)
    {37, 1198, 1, 1, Smoke::mf_static, 193, 30},	//1029 QNetworkAccessManager::trUtf8(const char*)
    {37, 182, 0, 0, Smoke::mf_ctor, 121, 31},	//1030 QNetworkAccessManager::QNetworkAccessManager()
    {37, 427, 1096, 2, Smoke::mf_protected, 150, 32},	//1031 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 33},	//1032 QNetworkAccessManager::staticMetaObject() const
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//1033 QNetworkAccessManager::HeadOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//1034 QNetworkAccessManager::GetOperation (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//1035 QNetworkAccessManager::PutOperation (enum)
    {37, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 37},	//1036 QNetworkAccessManager::PostOperation (enum)
    {37, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 38},	//1037 QNetworkAccessManager::DeleteOperation (enum)
    {37, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 39},	//1038 QNetworkAccessManager::UnknownOperation (enum)
    {37, 1245, 0, 0, Smoke::mf_dtor, 0, 40 },	//1039 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 184, 0, 0, Smoke::mf_ctor, 124, 1},	//1040 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 184, 1099, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//1041 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 648, 1099, 1, 0, 123, 3},	//1042 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 651, 1099, 1, Smoke::mf_const, 316, 4},	//1043 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 612, 1099, 1, Smoke::mf_const, 316, 5},	//1044 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 539, 0, 0, Smoke::mf_const, 71, 6},	//1045 QNetworkAddressEntry::ip() const
    {38, 1022, 63, 1, 0, 0, 7},	//1046 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 607, 0, 0, Smoke::mf_const, 71, 8},	//1047 QNetworkAddressEntry::netmask() const
    {38, 1045, 63, 1, 0, 0, 9},	//1048 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 710, 0, 0, Smoke::mf_const, 399, 10},	//1049 QNetworkAddressEntry::prefixLength() const
    {38, 1073, 44, 1, 0, 0, 11},	//1050 QNetworkAddressEntry::setPrefixLength(int)
    {38, 381, 0, 0, Smoke::mf_const, 71, 12},	//1051 QNetworkAddressEntry::broadcast() const
    {38, 970, 63, 1, 0, 0, 13},	//1052 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1246, 0, 0, Smoke::mf_dtor, 0, 14 },	//1053 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 186, 0, 0, Smoke::mf_ctor, 127, 1},	//1054 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 186, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 2},	//1055 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 648, 16, 1, 0, 126, 3},	//1056 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 651, 16, 1, Smoke::mf_const, 316, 4},	//1057 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 612, 16, 1, Smoke::mf_const, 316, 5},	//1058 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 559, 0, 0, Smoke::mf_const, 316, 6},	//1059 QNetworkCacheMetaData::isValid() const
    {39, 1207, 0, 0, Smoke::mf_const, 213, 7},	//1060 QNetworkCacheMetaData::url() const
    {39, 1143, 14, 1, 0, 0, 8},	//1061 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 905, 0, 0, Smoke::mf_const, 107, 9},	//1062 QNetworkCacheMetaData::rawHeaders() const
    {39, 1096, 1101, 1, 0, 0, 10},	//1063 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 566, 0, 0, Smoke::mf_const, 22, 11},	//1064 QNetworkCacheMetaData::lastModified() const
    {39, 1024, 1103, 1, 0, 0, 12},	//1065 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 477, 0, 0, Smoke::mf_const, 22, 13},	//1066 QNetworkCacheMetaData::expirationDate() const
    {39, 1006, 1103, 1, 0, 0, 14},	//1067 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 946, 0, 0, Smoke::mf_const, 316, 15},	//1068 QNetworkCacheMetaData::saveToDisk() const
    {39, 1107, 106, 1, 0, 0, 16},	//1069 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 371, 0, 0, Smoke::mf_const, 70, 17},	//1070 QNetworkCacheMetaData::attributes() const
    {39, 968, 1105, 1, 0, 0, 18},	//1071 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1247, 0, 0, Smoke::mf_dtor, 0, 19 },	//1072 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 188, 357, 2, Smoke::mf_ctor, 129, 1},	//1073 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {40, 188, 1107, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1074 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {40, 648, 1107, 1, 0, 128, 3},	//1075 QNetworkCookie::operator=(const QNetworkCookie&)
    {40, 651, 1107, 1, Smoke::mf_const, 316, 4},	//1076 QNetworkCookie::operator==(const QNetworkCookie&) const
    {40, 612, 1107, 1, Smoke::mf_const, 316, 5},	//1077 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {40, 554, 0, 0, Smoke::mf_const, 316, 6},	//1078 QNetworkCookie::isSecure() const
    {40, 1111, 106, 1, 0, 0, 7},	//1079 QNetworkCookie::setSecure(bool)
    {40, 546, 0, 0, Smoke::mf_const, 316, 8},	//1080 QNetworkCookie::isHttpOnly() const
    {40, 1020, 106, 1, 0, 0, 9},	//1081 QNetworkCookie::setHttpOnly(bool)
    {40, 556, 0, 0, Smoke::mf_const, 316, 10},	//1082 QNetworkCookie::isSessionCookie() const
    {40, 477, 0, 0, Smoke::mf_const, 22, 11},	//1083 QNetworkCookie::expirationDate() const
    {40, 1006, 1103, 1, 0, 0, 12},	//1084 QNetworkCookie::setExpirationDate(const QDateTime&)
    {40, 458, 0, 0, Smoke::mf_const, 193, 13},	//1085 QNetworkCookie::domain() const
    {40, 999, 65, 1, 0, 0, 14},	//1086 QNetworkCookie::setDomain(const QString&)
    {40, 691, 0, 0, Smoke::mf_const, 193, 15},	//1087 QNetworkCookie::path() const
    {40, 1055, 65, 1, 0, 0, 16},	//1088 QNetworkCookie::setPath(const QString&)
    {40, 606, 0, 0, Smoke::mf_const, 14, 17},	//1089 QNetworkCookie::name() const
    {40, 1042, 203, 1, 0, 0, 18},	//1090 QNetworkCookie::setName(const QByteArray&)
    {40, 1210, 0, 0, Smoke::mf_const, 14, 19},	//1091 QNetworkCookie::value() const
    {40, 1152, 203, 1, 0, 0, 20},	//1092 QNetworkCookie::setValue(const QByteArray&)
    {40, 1191, 1109, 1, Smoke::mf_const, 14, 21},	//1093 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {40, 684, 203, 1, Smoke::mf_static, 104, 22},	//1094 QNetworkCookie::parseCookies(const QByteArray&)
    {40, 188, 0, 0, Smoke::mf_ctor, 129, 23},	//1095 QNetworkCookie::QNetworkCookie()
    {40, 188, 203, 1, Smoke::mf_ctor, 129, 24},	//1096 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {40, 1191, 0, 0, Smoke::mf_const, 14, 25},	//1097 QNetworkCookie::toRawForm() const
    {40, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 26},	//1098 QNetworkCookie::NameAndValueOnly (enum)
    {40, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 27},	//1099 QNetworkCookie::Full (enum)
    {40, 1248, 0, 0, Smoke::mf_dtor, 0, 28 },	//1100 QNetworkCookie::~QNetworkCookie()
    {41, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1101 QNetworkCookieJar::metaObject() const
    {41, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1102 QNetworkCookieJar::qt_metacast(const char*)
    {41, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1103 QNetworkCookieJar::tr(const char*, const char*)
    {41, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1104 QNetworkCookieJar::trUtf8(const char*, const char*)
    {41, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1105 QNetworkCookieJar::tr(const char*, const char*, int)
    {41, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1106 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {41, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1107 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {41, 191, 20, 1, Smoke::mf_ctor, 131, 8},	//1108 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {41, 425, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 9},	//1109 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {41, 989, 1111, 2, Smoke::mf_virtual, 316, 10},	//1110 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {41, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected, 104, 11},	//1111 QNetworkCookieJar::allCookies() const
    {41, 960, 1114, 1, Smoke::mf_protected, 0, 12},	//1112 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {41, 1194, 1, 1, Smoke::mf_static, 193, 13},	//1113 QNetworkCookieJar::tr(const char*)
    {41, 1198, 1, 1, Smoke::mf_static, 193, 14},	//1114 QNetworkCookieJar::trUtf8(const char*)
    {41, 191, 0, 0, Smoke::mf_ctor, 131, 15},	//1115 QNetworkCookieJar::QNetworkCookieJar()
    {41, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 16},	//1116 QNetworkCookieJar::staticMetaObject() const
    {41, 1249, 0, 0, Smoke::mf_dtor, 0, 17 },	//1117 QNetworkCookieJar::~QNetworkCookieJar()
    {42, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1118 QNetworkDiskCache::metaObject() const
    {42, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1119 QNetworkDiskCache::qt_metacast(const char*)
    {42, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1120 QNetworkDiskCache::tr(const char*, const char*)
    {42, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1121 QNetworkDiskCache::trUtf8(const char*, const char*)
    {42, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1122 QNetworkDiskCache::tr(const char*, const char*, int)
    {42, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1123 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {42, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1124 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {42, 193, 20, 1, Smoke::mf_ctor, 132, 8},	//1125 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {42, 386, 0, 0, Smoke::mf_const, 193, 9},	//1126 QNetworkDiskCache::cacheDirectory() const
    {42, 976, 65, 1, 0, 0, 10},	//1127 QNetworkDiskCache::setCacheDirectory(const QString&)
    {42, 594, 0, 0, Smoke::mf_const, 402, 11},	//1128 QNetworkDiskCache::maximumCacheSize() const
    {42, 1040, 33, 1, 0, 0, 12},	//1129 QNetworkDiskCache::setMaximumCacheSize(long long)
    {42, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 13},	//1130 QNetworkDiskCache::cacheSize() const
    {42, 595, 14, 1, Smoke::mf_virtual, 125, 14},	//1131 QNetworkDiskCache::metaData(const QUrl&)
    {42, 1203, 16, 1, Smoke::mf_virtual, 0, 15},	//1132 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {42, 437, 14, 1, Smoke::mf_virtual, 91, 16},	//1133 QNetworkDiskCache::data(const QUrl&)
    {42, 922, 14, 1, Smoke::mf_virtual, 316, 17},	//1134 QNetworkDiskCache::remove(const QUrl&)
    {42, 711, 16, 1, Smoke::mf_virtual, 91, 18},	//1135 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {42, 533, 18, 1, Smoke::mf_virtual, 0, 19},	//1136 QNetworkDiskCache::insert(QIODevice*)
    {42, 480, 65, 1, Smoke::mf_const, 125, 20},	//1137 QNetworkDiskCache::fileMetaData(const QString&) const
    {42, 395, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1138 QNetworkDiskCache::clear()
    {42, 478, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 402, 22},	//1139 QNetworkDiskCache::expire()
    {42, 1194, 1, 1, Smoke::mf_static, 193, 23},	//1140 QNetworkDiskCache::tr(const char*)
    {42, 1198, 1, 1, Smoke::mf_static, 193, 24},	//1141 QNetworkDiskCache::trUtf8(const char*)
    {42, 193, 0, 0, Smoke::mf_ctor, 132, 25},	//1142 QNetworkDiskCache::QNetworkDiskCache()
    {42, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 26},	//1143 QNetworkDiskCache::staticMetaObject() const
    {42, 1250, 0, 0, Smoke::mf_dtor, 0, 27 },	//1144 QNetworkDiskCache::~QNetworkDiskCache()
    {43, 195, 0, 0, Smoke::mf_ctor, 135, 1},	//1145 QNetworkInterface::QNetworkInterface()
    {43, 195, 1116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1146 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {43, 648, 1116, 1, 0, 134, 3},	//1147 QNetworkInterface::operator=(const QNetworkInterface&)
    {43, 559, 0, 0, Smoke::mf_const, 316, 4},	//1148 QNetworkInterface::isValid() const
    {43, 532, 0, 0, Smoke::mf_const, 399, 5},	//1149 QNetworkInterface::index() const
    {43, 606, 0, 0, Smoke::mf_const, 193, 6},	//1150 QNetworkInterface::name() const
    {43, 526, 0, 0, Smoke::mf_const, 193, 7},	//1151 QNetworkInterface::humanReadableName() const
    {43, 484, 0, 0, Smoke::mf_const, 137, 8},	//1152 QNetworkInterface::flags() const
    {43, 508, 0, 0, Smoke::mf_const, 193, 9},	//1153 QNetworkInterface::hardwareAddress() const
    {43, 357, 0, 0, Smoke::mf_const, 103, 10},	//1154 QNetworkInterface::addressEntries() const
    {43, 537, 65, 1, Smoke::mf_static, 133, 11},	//1155 QNetworkInterface::interfaceFromName(const QString&)
    {43, 535, 44, 1, Smoke::mf_static, 133, 12},	//1156 QNetworkInterface::interfaceFromIndex(int)
    {43, 362, 0, 0, Smoke::mf_static, 105, 13},	//1157 QNetworkInterface::allInterfaces()
    {43, 360, 0, 0, Smoke::mf_static, 102, 14},	//1158 QNetworkInterface::allAddresses()
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 15},	//1159 QNetworkInterface::IsUp (enum)
    {43, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 16},	//1160 QNetworkInterface::IsRunning (enum)
    {43, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 17},	//1161 QNetworkInterface::CanBroadcast (enum)
    {43, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 18},	//1162 QNetworkInterface::IsLoopBack (enum)
    {43, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 19},	//1163 QNetworkInterface::IsPointToPoint (enum)
    {43, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 20},	//1164 QNetworkInterface::CanMulticast (enum)
    {43, 1251, 0, 0, Smoke::mf_dtor, 0, 21 },	//1165 QNetworkInterface::~QNetworkInterface()
    {44, 197, 0, 0, Smoke::mf_ctor, 141, 1},	//1166 QNetworkProxy::QNetworkProxy()
    {44, 197, 1118, 5, Smoke::mf_ctor, 141, 2},	//1167 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {44, 197, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 3},	//1168 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {44, 648, 46, 1, 0, 140, 4},	//1169 QNetworkProxy::operator=(const QNetworkProxy&)
    {44, 651, 46, 1, Smoke::mf_const, 316, 5},	//1170 QNetworkProxy::operator==(const QNetworkProxy&) const
    {44, 612, 46, 1, Smoke::mf_const, 316, 6},	//1171 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {44, 1141, 1124, 1, 0, 0, 7},	//1172 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {44, 1202, 0, 0, Smoke::mf_const, 145, 8},	//1173 QNetworkProxy::type() const
    {44, 978, 1126, 1, 0, 0, 9},	//1174 QNetworkProxy::setCapabilities(QNetworkProxy::Capabilities)
    {44, 389, 0, 0, Smoke::mf_const, 142, 10},	//1175 QNetworkProxy::capabilities() const
    {44, 540, 0, 0, Smoke::mf_const, 316, 11},	//1176 QNetworkProxy::isCachingProxy() const
    {44, 558, 0, 0, Smoke::mf_const, 316, 12},	//1177 QNetworkProxy::isTransparentProxy() const
    {44, 1147, 65, 1, 0, 0, 13},	//1178 QNetworkProxy::setUser(const QString&)
    {44, 1209, 0, 0, Smoke::mf_const, 193, 14},	//1179 QNetworkProxy::user() const
    {44, 1053, 65, 1, 0, 0, 15},	//1180 QNetworkProxy::setPassword(const QString&)
    {44, 690, 0, 0, Smoke::mf_const, 193, 16},	//1181 QNetworkProxy::password() const
    {44, 1018, 65, 1, 0, 0, 17},	//1182 QNetworkProxy::setHostName(const QString&)
    {44, 525, 0, 0, Smoke::mf_const, 193, 18},	//1183 QNetworkProxy::hostName() const
    {44, 1071, 61, 1, 0, 0, 19},	//1184 QNetworkProxy::setPort(unsigned short)
    {44, 704, 0, 0, Smoke::mf_const, 412, 20},	//1185 QNetworkProxy::port() const
    {44, 962, 46, 1, Smoke::mf_static, 0, 21},	//1186 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {44, 366, 0, 0, Smoke::mf_static, 139, 22},	//1187 QNetworkProxy::applicationProxy()
    {44, 197, 1124, 1, Smoke::mf_ctor, 141, 23},	//1188 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {44, 197, 1128, 2, Smoke::mf_ctor, 141, 24},	//1189 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {44, 197, 1131, 3, Smoke::mf_ctor, 141, 25},	//1190 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {44, 197, 1135, 4, Smoke::mf_ctor, 141, 26},	//1191 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {44, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 27},	//1192 QNetworkProxy::DefaultProxy (enum)
    {44, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 28},	//1193 QNetworkProxy::Socks5Proxy (enum)
    {44, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 29},	//1194 QNetworkProxy::NoProxy (enum)
    {44, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 30},	//1195 QNetworkProxy::HttpProxy (enum)
    {44, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 31},	//1196 QNetworkProxy::HttpCachingProxy (enum)
    {44, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 32},	//1197 QNetworkProxy::FtpCachingProxy (enum)
    {44, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 33},	//1198 QNetworkProxy::TunnelingCapability (enum)
    {44, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 34},	//1199 QNetworkProxy::ListeningCapability (enum)
    {44, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 35},	//1200 QNetworkProxy::UdpTunnelingCapability (enum)
    {44, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 36},	//1201 QNetworkProxy::CachingCapability (enum)
    {44, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 37},	//1202 QNetworkProxy::HostNameLookupCapability (enum)
    {44, 1252, 0, 0, Smoke::mf_dtor, 0, 38 },	//1203 QNetworkProxy::~QNetworkProxy()
    {45, 204, 0, 0, Smoke::mf_ctor, 146, 1},	//1204 QNetworkProxyFactory::QNetworkProxyFactory()
    {45, 891, 1140, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 106, 2},	//1205 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {45, 1145, 106, 1, Smoke::mf_static, 0, 3},	//1206 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {45, 964, 1070, 1, Smoke::mf_static, 0, 4},	//1207 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {45, 721, 1140, 1, Smoke::mf_static, 106, 5},	//1208 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {45, 1182, 1140, 1, Smoke::mf_static, 106, 6},	//1209 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {45, 204, 1142, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 7},	//1210 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {45, 891, 0, 0, Smoke::mf_purevirtual, 106, 8},	//1211 QNetworkProxyFactory::queryProxy() [pure virtual]
    {45, 1182, 0, 0, Smoke::mf_static, 106, 9},	//1212 QNetworkProxyFactory::systemProxyForQuery()
    {45, 1253, 0, 0, Smoke::mf_dtor, 0, 10 },	//1213 QNetworkProxyFactory::~QNetworkProxyFactory()
    {46, 206, 0, 0, Smoke::mf_ctor, 148, 1},	//1214 QNetworkProxyQuery::QNetworkProxyQuery()
    {46, 206, 1144, 2, Smoke::mf_ctor, 148, 2},	//1215 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {46, 206, 1147, 4, Smoke::mf_ctor, 148, 3},	//1216 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {46, 206, 1152, 3, Smoke::mf_ctor, 148, 4},	//1217 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {46, 206, 1140, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 5},	//1218 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {46, 648, 1140, 1, 0, 147, 6},	//1219 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {46, 651, 1140, 1, Smoke::mf_const, 316, 7},	//1220 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {46, 612, 1140, 1, Smoke::mf_const, 316, 8},	//1221 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {46, 893, 0, 0, Smoke::mf_const, 149, 9},	//1222 QNetworkProxyQuery::queryType() const
    {46, 1092, 1156, 1, 0, 0, 10},	//1223 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {46, 697, 0, 0, Smoke::mf_const, 399, 11},	//1224 QNetworkProxyQuery::peerPort() const
    {46, 1063, 44, 1, 0, 0, 12},	//1225 QNetworkProxyQuery::setPeerPort(int)
    {46, 695, 0, 0, Smoke::mf_const, 193, 13},	//1226 QNetworkProxyQuery::peerHostName() const
    {46, 1059, 65, 1, 0, 0, 14},	//1227 QNetworkProxyQuery::setPeerHostName(const QString&)
    {46, 584, 0, 0, Smoke::mf_const, 399, 15},	//1228 QNetworkProxyQuery::localPort() const
    {46, 1034, 44, 1, 0, 0, 16},	//1229 QNetworkProxyQuery::setLocalPort(int)
    {46, 716, 0, 0, Smoke::mf_const, 193, 17},	//1230 QNetworkProxyQuery::protocolTag() const
    {46, 1083, 65, 1, 0, 0, 18},	//1231 QNetworkProxyQuery::setProtocolTag(const QString&)
    {46, 1207, 0, 0, Smoke::mf_const, 213, 19},	//1232 QNetworkProxyQuery::url() const
    {46, 1143, 14, 1, 0, 0, 20},	//1233 QNetworkProxyQuery::setUrl(const QUrl&)
    {46, 206, 14, 1, Smoke::mf_ctor, 148, 21},	//1234 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {46, 206, 1012, 2, Smoke::mf_ctor, 148, 22},	//1235 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {46, 206, 1015, 3, Smoke::mf_ctor, 148, 23},	//1236 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {46, 206, 61, 1, Smoke::mf_ctor, 148, 24},	//1237 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {46, 206, 1158, 2, Smoke::mf_ctor, 148, 25},	//1238 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {46, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//1239 QNetworkProxyQuery::TcpSocket (enum)
    {46, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//1240 QNetworkProxyQuery::UdpSocket (enum)
    {46, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 28},	//1241 QNetworkProxyQuery::TcpServer (enum)
    {46, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 29},	//1242 QNetworkProxyQuery::UrlRequest (enum)
    {46, 1254, 0, 0, Smoke::mf_dtor, 0, 30 },	//1243 QNetworkProxyQuery::~QNetworkProxyQuery()
    {47, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1244 QNetworkReply::metaObject() const
    {47, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1245 QNetworkReply::qt_metacast(const char*)
    {47, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1246 QNetworkReply::tr(const char*, const char*)
    {47, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1247 QNetworkReply::trUtf8(const char*, const char*)
    {47, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1248 QNetworkReply::tr(const char*, const char*, int)
    {47, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1249 QNetworkReply::trUtf8(const char*, const char*, int)
    {47, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1250 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {47, 338, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1251 QNetworkReply::abort() [pure virtual]
    {47, 398, 0, 0, Smoke::mf_virtual, 0, 9},	//1252 QNetworkReply::close()
    {47, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 10},	//1253 QNetworkReply::isSequential() const
    {47, 909, 0, 0, Smoke::mf_const, 402, 11},	//1254 QNetworkReply::readBufferSize() const
    {47, 1098, 33, 1, Smoke::mf_virtual, 0, 12},	//1255 QNetworkReply::setReadBufferSize(long long)
    {47, 592, 0, 0, Smoke::mf_const, 121, 13},	//1256 QNetworkReply::manager() const
    {47, 611, 0, 0, Smoke::mf_const, 122, 14},	//1257 QNetworkReply::operation() const
    {47, 933, 0, 0, Smoke::mf_const, 152, 15},	//1258 QNetworkReply::request() const
    {47, 472, 0, 0, Smoke::mf_const, 151, 16},	//1259 QNetworkReply::error() const
    {47, 545, 0, 0, Smoke::mf_const, 316, 17},	//1260 QNetworkReply::isFinished() const
    {47, 553, 0, 0, Smoke::mf_const, 316, 18},	//1261 QNetworkReply::isRunning() const
    {47, 1207, 0, 0, Smoke::mf_const, 213, 19},	//1262 QNetworkReply::url() const
    {47, 522, 1161, 1, Smoke::mf_const, 220, 20},	//1263 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {47, 517, 203, 1, Smoke::mf_const, 316, 21},	//1264 QNetworkReply::hasRawHeader(const QByteArray&) const
    {47, 904, 0, 0, Smoke::mf_const, 101, 22},	//1265 QNetworkReply::rawHeaderList() const
    {47, 902, 203, 1, Smoke::mf_const, 14, 23},	//1266 QNetworkReply::rawHeader(const QByteArray&) const
    {47, 368, 1163, 1, Smoke::mf_const, 220, 24},	//1267 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {47, 1164, 0, 0, Smoke::mf_const, 181, 25},	//1268 QNetworkReply::sslConfiguration() const
    {47, 1130, 1165, 1, 0, 0, 26},	//1269 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {47, 527, 1007, 1, 0, 0, 27},	//1270 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {47, 527, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1271 QNetworkReply::ignoreSslErrors()
    {47, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1272 QNetworkReply::metaDataChanged()
    {47, 482, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1273 QNetworkReply::finished()
    {47, 472, 1167, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1274 QNetworkReply::error(QNetworkReply::NetworkError)
    {47, 1165, 1007, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1275 QNetworkReply::sslErrors(const QList<QSslError>&)
    {47, 1205, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1276 QNetworkReply::uploadProgress(long long, long long)
    {47, 461, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1277 QNetworkReply::downloadProgress(long long, long long)
    {47, 213, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 35},	//1278 QNetworkReply::QNetworkReply(QObject*)
    {47, 1227, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 36},	//1279 QNetworkReply::writeData(const char*, long long)
    {47, 1047, 1169, 1, Smoke::mf_protected, 0, 37},	//1280 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {47, 1102, 1076, 1, Smoke::mf_protected, 0, 38},	//1281 QNetworkReply::setRequest(const QNetworkRequest&)
    {47, 1001, 1171, 2, Smoke::mf_protected, 0, 39},	//1282 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {47, 1143, 14, 1, Smoke::mf_protected, 0, 40},	//1283 QNetworkReply::setUrl(const QUrl&)
    {47, 1012, 1174, 2, Smoke::mf_protected, 0, 41},	//1284 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {47, 1094, 357, 2, Smoke::mf_protected, 0, 42},	//1285 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {47, 966, 1177, 2, Smoke::mf_protected, 0, 43},	//1286 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {47, 1194, 1, 1, Smoke::mf_static, 193, 44},	//1287 QNetworkReply::tr(const char*)
    {47, 1198, 1, 1, Smoke::mf_static, 193, 45},	//1288 QNetworkReply::trUtf8(const char*)
    {47, 213, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 150, 46},	//1289 QNetworkReply::QNetworkReply()
    {47, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 47},	//1290 QNetworkReply::staticMetaObject() const
    {47, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 48},	//1291 QNetworkReply::NoError (enum)
    {47, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 49},	//1292 QNetworkReply::ConnectionRefusedError (enum)
    {47, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 50},	//1293 QNetworkReply::RemoteHostClosedError (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 51},	//1294 QNetworkReply::HostNotFoundError (enum)
    {47, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 52},	//1295 QNetworkReply::TimeoutError (enum)
    {47, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 53},	//1296 QNetworkReply::OperationCanceledError (enum)
    {47, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 54},	//1297 QNetworkReply::SslHandshakeFailedError (enum)
    {47, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 55},	//1298 QNetworkReply::UnknownNetworkError (enum)
    {47, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 56},	//1299 QNetworkReply::ProxyConnectionRefusedError (enum)
    {47, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 57},	//1300 QNetworkReply::ProxyConnectionClosedError (enum)
    {47, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 58},	//1301 QNetworkReply::ProxyNotFoundError (enum)
    {47, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 59},	//1302 QNetworkReply::ProxyTimeoutError (enum)
    {47, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 60},	//1303 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {47, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 61},	//1304 QNetworkReply::UnknownProxyError (enum)
    {47, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 62},	//1305 QNetworkReply::ContentAccessDenied (enum)
    {47, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 63},	//1306 QNetworkReply::ContentOperationNotPermittedError (enum)
    {47, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 64},	//1307 QNetworkReply::ContentNotFoundError (enum)
    {47, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 65},	//1308 QNetworkReply::AuthenticationRequiredError (enum)
    {47, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 66},	//1309 QNetworkReply::ContentReSendError (enum)
    {47, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 67},	//1310 QNetworkReply::UnknownContentError (enum)
    {47, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 68},	//1311 QNetworkReply::ProtocolUnknownError (enum)
    {47, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 69},	//1312 QNetworkReply::ProtocolInvalidOperationError (enum)
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 70},	//1313 QNetworkReply::ProtocolFailure (enum)
    {47, 1255, 0, 0, Smoke::mf_dtor, 0, 71 },	//1314 QNetworkReply::~QNetworkReply()
    {48, 215, 14, 1, Smoke::mf_ctor, 154, 1},	//1315 QNetworkRequest::QNetworkRequest(const QUrl&)
    {48, 215, 1076, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//1316 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {48, 648, 1076, 1, 0, 153, 3},	//1317 QNetworkRequest::operator=(const QNetworkRequest&)
    {48, 651, 1076, 1, Smoke::mf_const, 316, 4},	//1318 QNetworkRequest::operator==(const QNetworkRequest&) const
    {48, 612, 1076, 1, Smoke::mf_const, 316, 5},	//1319 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {48, 1207, 0, 0, Smoke::mf_const, 213, 6},	//1320 QNetworkRequest::url() const
    {48, 1143, 14, 1, 0, 0, 7},	//1321 QNetworkRequest::setUrl(const QUrl&)
    {48, 522, 1161, 1, Smoke::mf_const, 220, 8},	//1322 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {48, 1012, 1174, 2, 0, 0, 9},	//1323 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {48, 517, 203, 1, Smoke::mf_const, 316, 10},	//1324 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {48, 904, 0, 0, Smoke::mf_const, 101, 11},	//1325 QNetworkRequest::rawHeaderList() const
    {48, 902, 203, 1, Smoke::mf_const, 14, 12},	//1326 QNetworkRequest::rawHeader(const QByteArray&) const
    {48, 1094, 357, 2, 0, 0, 13},	//1327 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {48, 368, 1177, 2, Smoke::mf_const, 220, 14},	//1328 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {48, 966, 1177, 2, 0, 0, 15},	//1329 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {48, 1164, 0, 0, Smoke::mf_const, 181, 16},	//1330 QNetworkRequest::sslConfiguration() const
    {48, 1130, 1165, 1, 0, 0, 17},	//1331 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {48, 1049, 20, 1, 0, 0, 18},	//1332 QNetworkRequest::setOriginatingObject(QObject*)
    {48, 680, 0, 0, Smoke::mf_const, 158, 19},	//1333 QNetworkRequest::originatingObject() const
    {48, 215, 0, 0, Smoke::mf_ctor, 154, 20},	//1334 QNetworkRequest::QNetworkRequest()
    {48, 368, 1163, 1, Smoke::mf_const, 220, 21},	//1335 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {48, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 22},	//1336 QNetworkRequest::ContentTypeHeader (enum)
    {48, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 23},	//1337 QNetworkRequest::ContentLengthHeader (enum)
    {48, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 24},	//1338 QNetworkRequest::LocationHeader (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 25},	//1339 QNetworkRequest::LastModifiedHeader (enum)
    {48, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 26},	//1340 QNetworkRequest::CookieHeader (enum)
    {48, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 27},	//1341 QNetworkRequest::SetCookieHeader (enum)
    {48, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 28},	//1342 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 29},	//1343 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {48, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 30},	//1344 QNetworkRequest::RedirectionTargetAttribute (enum)
    {48, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 31},	//1345 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {48, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 32},	//1346 QNetworkRequest::CacheLoadControlAttribute (enum)
    {48, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 33},	//1347 QNetworkRequest::CacheSaveControlAttribute (enum)
    {48, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 34},	//1348 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {48, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 35},	//1349 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {48, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 36},	//1350 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {48, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 37},	//1351 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {48, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 38},	//1352 QNetworkRequest::User (enum)
    {48, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 39},	//1353 QNetworkRequest::UserMax (enum)
    {48, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 40},	//1354 QNetworkRequest::AlwaysNetwork (enum)
    {48, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 41},	//1355 QNetworkRequest::PreferNetwork (enum)
    {48, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 42},	//1356 QNetworkRequest::PreferCache (enum)
    {48, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 43},	//1357 QNetworkRequest::AlwaysCache (enum)
    {48, 1256, 0, 0, Smoke::mf_dtor, 0, 44 },	//1358 QNetworkRequest::~QNetworkRequest()
    {49, 475, 1180, 1, Smoke::mf_virtual, 316, 0},	//1359 QObject::event(QEvent*)
    {49, 476, 1182, 2, Smoke::mf_virtual, 316, 0},	//1360 QObject::eventFilter(QObject*, QEvent*)
    {49, 1184, 1185, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1361 QObject::timerEvent(QTimerEvent*)
    {49, 393, 1187, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1362 QObject::childEvent(QChildEvent*)
    {49, 436, 1180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1363 QObject::customEvent(QEvent*)
    {49, 404, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1364 QObject::connectNotify(const char*)
    {49, 456, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QObject::disconnectNotify(const char*)
    {58, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 1},	//1366 QSsl::Rsa (enum)
    {58, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 2},	//1367 QSsl::Dsa (enum)
    {58, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 3},	//1368 QSsl::Pem (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 4},	//1369 QSsl::Der (enum)
    {58, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 5},	//1370 QSsl::SslV3 (enum)
    {58, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//1371 QSsl::SslV2 (enum)
    {58, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//1372 QSsl::TlsV1 (enum)
    {58, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 8},	//1373 QSsl::AnyProtocol (enum)
    {58, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 9},	//1374 QSsl::UnknownProtocol (enum)
    {58, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 10},	//1375 QSsl::EmailEntry (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 11},	//1376 QSsl::DnsEntry (enum)
    {58, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 12},	//1377 QSsl::PrivateKey (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 13},	//1378 QSsl::PublicKey (enum)
    {59, 217, 1189, 2, Smoke::mf_ctor, 176, 1},	//1379 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {59, 217, 1192, 2, Smoke::mf_ctor, 176, 2},	//1380 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {59, 217, 1195, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 176, 3},	//1381 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {59, 648, 1195, 1, 0, 175, 4},	//1382 QSslCertificate::operator=(const QSslCertificate&)
    {59, 651, 1195, 1, Smoke::mf_const, 316, 5},	//1383 QSslCertificate::operator==(const QSslCertificate&) const
    {59, 612, 1195, 1, Smoke::mf_const, 316, 6},	//1384 QSslCertificate::operator!=(const QSslCertificate&) const
    {59, 551, 0, 0, Smoke::mf_const, 316, 7},	//1385 QSslCertificate::isNull() const
    {59, 559, 0, 0, Smoke::mf_const, 316, 8},	//1386 QSslCertificate::isValid() const
    {59, 395, 0, 0, 0, 0, 9},	//1387 QSslCertificate::clear()
    {59, 1213, 0, 0, Smoke::mf_const, 14, 10},	//1388 QSslCertificate::version() const
    {59, 949, 0, 0, Smoke::mf_const, 14, 11},	//1389 QSslCertificate::serialNumber() const
    {59, 451, 1197, 1, Smoke::mf_const, 14, 12},	//1390 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {59, 561, 1199, 1, Smoke::mf_const, 193, 13},	//1391 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {59, 561, 203, 1, Smoke::mf_const, 193, 14},	//1392 QSslCertificate::issuerInfo(const QByteArray&) const
    {59, 1175, 1199, 1, Smoke::mf_const, 193, 15},	//1393 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {59, 1175, 203, 1, Smoke::mf_const, 193, 16},	//1394 QSslCertificate::subjectInfo(const QByteArray&) const
    {59, 365, 0, 0, Smoke::mf_const, 120, 17},	//1395 QSslCertificate::alternateSubjectNames() const
    {59, 463, 0, 0, Smoke::mf_const, 22, 18},	//1396 QSslCertificate::effectiveDate() const
    {59, 479, 0, 0, Smoke::mf_const, 22, 19},	//1397 QSslCertificate::expiryDate() const
    {59, 723, 0, 0, Smoke::mf_const, 187, 20},	//1398 QSslCertificate::publicKey() const
    {59, 1189, 0, 0, Smoke::mf_const, 14, 21},	//1399 QSslCertificate::toPem() const
    {59, 1185, 0, 0, Smoke::mf_const, 14, 22},	//1400 QSslCertificate::toDer() const
    {59, 494, 1201, 3, Smoke::mf_static, 109, 23},	//1401 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {59, 489, 1189, 2, Smoke::mf_static, 109, 24},	//1402 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {59, 486, 1192, 2, Smoke::mf_static, 109, 25},	//1403 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {59, 507, 0, 0, Smoke::mf_const, 410, 26},	//1404 QSslCertificate::handle() const
    {59, 217, 18, 1, Smoke::mf_ctor, 176, 27},	//1405 QSslCertificate::QSslCertificate(QIODevice*)
    {59, 217, 0, 0, Smoke::mf_ctor, 176, 28},	//1406 QSslCertificate::QSslCertificate()
    {59, 217, 203, 1, Smoke::mf_ctor, 176, 29},	//1407 QSslCertificate::QSslCertificate(const QByteArray&)
    {59, 451, 0, 0, Smoke::mf_const, 14, 30},	//1408 QSslCertificate::digest() const
    {59, 494, 65, 1, Smoke::mf_static, 109, 31},	//1409 QSslCertificate::fromPath(const QString&)
    {59, 494, 1205, 2, Smoke::mf_static, 109, 32},	//1410 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {59, 489, 18, 1, Smoke::mf_static, 109, 33},	//1411 QSslCertificate::fromDevice(QIODevice*)
    {59, 486, 203, 1, Smoke::mf_static, 109, 34},	//1412 QSslCertificate::fromData(const QByteArray&)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 35},	//1413 QSslCertificate::Organization (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 36},	//1414 QSslCertificate::CommonName (enum)
    {59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 37},	//1415 QSslCertificate::LocalityName (enum)
    {59, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 38},	//1416 QSslCertificate::OrganizationalUnitName (enum)
    {59, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 39},	//1417 QSslCertificate::CountryName (enum)
    {59, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 40},	//1418 QSslCertificate::StateOrProvinceName (enum)
    {59, 1257, 0, 0, Smoke::mf_dtor, 0, 41 },	//1419 QSslCertificate::~QSslCertificate()
    {60, 220, 0, 0, Smoke::mf_ctor, 180, 1},	//1420 QSslCipher::QSslCipher()
    {60, 220, 1208, 2, Smoke::mf_ctor, 180, 2},	//1421 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {60, 220, 1211, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 180, 3},	//1422 QSslCipher::QSslCipher(const QSslCipher&)
    {60, 648, 1211, 1, 0, 179, 4},	//1423 QSslCipher::operator=(const QSslCipher&)
    {60, 651, 1211, 1, Smoke::mf_const, 316, 5},	//1424 QSslCipher::operator==(const QSslCipher&) const
    {60, 612, 1211, 1, Smoke::mf_const, 316, 6},	//1425 QSslCipher::operator!=(const QSslCipher&) const
    {60, 551, 0, 0, Smoke::mf_const, 316, 7},	//1426 QSslCipher::isNull() const
    {60, 606, 0, 0, Smoke::mf_const, 193, 8},	//1427 QSslCipher::name() const
    {60, 1178, 0, 0, Smoke::mf_const, 399, 9},	//1428 QSslCipher::supportedBits() const
    {60, 1208, 0, 0, Smoke::mf_const, 399, 10},	//1429 QSslCipher::usedBits() const
    {60, 564, 0, 0, Smoke::mf_const, 193, 11},	//1430 QSslCipher::keyExchangeMethod() const
    {60, 372, 0, 0, Smoke::mf_const, 193, 12},	//1431 QSslCipher::authenticationMethod() const
    {60, 469, 0, 0, Smoke::mf_const, 193, 13},	//1432 QSslCipher::encryptionMethod() const
    {60, 715, 0, 0, Smoke::mf_const, 193, 14},	//1433 QSslCipher::protocolString() const
    {60, 714, 0, 0, Smoke::mf_const, 173, 15},	//1434 QSslCipher::protocol() const
    {60, 1258, 0, 0, Smoke::mf_dtor, 0, 16 },	//1435 QSslCipher::~QSslCipher()
    {61, 223, 0, 0, Smoke::mf_ctor, 183, 1},	//1436 QSslConfiguration::QSslConfiguration()
    {61, 223, 1165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 183, 2},	//1437 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {61, 648, 1165, 1, 0, 182, 3},	//1438 QSslConfiguration::operator=(const QSslConfiguration&)
    {61, 651, 1165, 1, Smoke::mf_const, 316, 4},	//1439 QSslConfiguration::operator==(const QSslConfiguration&) const
    {61, 612, 1165, 1, Smoke::mf_const, 316, 5},	//1440 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {61, 551, 0, 0, Smoke::mf_const, 316, 6},	//1441 QSslConfiguration::isNull() const
    {61, 714, 0, 0, Smoke::mf_const, 173, 7},	//1442 QSslConfiguration::protocol() const
    {61, 1081, 1213, 1, 0, 0, 8},	//1443 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {61, 701, 0, 0, Smoke::mf_const, 191, 9},	//1444 QSslConfiguration::peerVerifyMode() const
    {61, 1067, 1215, 1, 0, 0, 10},	//1445 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {61, 698, 0, 0, Smoke::mf_const, 399, 11},	//1446 QSslConfiguration::peerVerifyDepth() const
    {61, 1065, 44, 1, 0, 0, 12},	//1447 QSslConfiguration::setPeerVerifyDepth(int)
    {61, 581, 0, 0, Smoke::mf_const, 174, 13},	//1448 QSslConfiguration::localCertificate() const
    {61, 1030, 1195, 1, 0, 0, 14},	//1449 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {61, 693, 0, 0, Smoke::mf_const, 174, 15},	//1450 QSslConfiguration::peerCertificate() const
    {61, 694, 0, 0, Smoke::mf_const, 109, 16},	//1451 QSslConfiguration::peerCertificateChain() const
    {61, 954, 0, 0, Smoke::mf_const, 178, 17},	//1452 QSslConfiguration::sessionCipher() const
    {61, 713, 0, 0, Smoke::mf_const, 187, 18},	//1453 QSslConfiguration::privateKey() const
    {61, 1075, 1217, 1, 0, 0, 19},	//1454 QSslConfiguration::setPrivateKey(const QSslKey&)
    {61, 394, 0, 0, Smoke::mf_const, 110, 20},	//1455 QSslConfiguration::ciphers() const
    {61, 980, 1219, 1, 0, 0, 21},	//1456 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {61, 384, 0, 0, Smoke::mf_const, 109, 22},	//1457 QSslConfiguration::caCertificates() const
    {61, 972, 1221, 1, 0, 0, 23},	//1458 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {61, 447, 0, 0, Smoke::mf_static, 181, 24},	//1459 QSslConfiguration::defaultConfiguration()
    {61, 995, 1165, 1, Smoke::mf_static, 0, 25},	//1460 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {61, 1259, 0, 0, Smoke::mf_dtor, 0, 26 },	//1461 QSslConfiguration::~QSslConfiguration()
    {62, 225, 0, 0, Smoke::mf_ctor, 185, 1},	//1462 QSslError::QSslError()
    {62, 225, 1223, 1, Smoke::mf_ctor, 185, 2},	//1463 QSslError::QSslError(QSslError::SslError)
    {62, 225, 1225, 2, Smoke::mf_ctor, 185, 3},	//1464 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {62, 225, 1228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 4},	//1465 QSslError::QSslError(const QSslError&)
    {62, 648, 1228, 1, 0, 184, 5},	//1466 QSslError::operator=(const QSslError&)
    {62, 651, 1228, 1, Smoke::mf_const, 316, 6},	//1467 QSslError::operator==(const QSslError&) const
    {62, 612, 1228, 1, Smoke::mf_const, 316, 7},	//1468 QSslError::operator!=(const QSslError&) const
    {62, 472, 0, 0, Smoke::mf_const, 186, 8},	//1469 QSslError::error() const
    {62, 474, 0, 0, Smoke::mf_const, 193, 9},	//1470 QSslError::errorString() const
    {62, 392, 0, 0, Smoke::mf_const, 174, 10},	//1471 QSslError::certificate() const
    {62, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 11},	//1472 QSslError::NoError (enum)
    {62, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 12},	//1473 QSslError::UnableToGetIssuerCertificate (enum)
    {62, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 13},	//1474 QSslError::UnableToDecryptCertificateSignature (enum)
    {62, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 14},	//1475 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 15},	//1476 QSslError::CertificateSignatureFailed (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 16},	//1477 QSslError::CertificateNotYetValid (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 17},	//1478 QSslError::CertificateExpired (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 18},	//1479 QSslError::InvalidNotBeforeField (enum)
    {62, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 19},	//1480 QSslError::InvalidNotAfterField (enum)
    {62, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 20},	//1481 QSslError::SelfSignedCertificate (enum)
    {62, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 21},	//1482 QSslError::SelfSignedCertificateInChain (enum)
    {62, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 22},	//1483 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {62, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 23},	//1484 QSslError::UnableToVerifyFirstCertificate (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 24},	//1485 QSslError::CertificateRevoked (enum)
    {62, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 25},	//1486 QSslError::InvalidCaCertificate (enum)
    {62, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 26},	//1487 QSslError::PathLengthExceeded (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 27},	//1488 QSslError::InvalidPurpose (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 28},	//1489 QSslError::CertificateUntrusted (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 29},	//1490 QSslError::CertificateRejected (enum)
    {62, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 30},	//1491 QSslError::SubjectIssuerMismatch (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 31},	//1492 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {62, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 32},	//1493 QSslError::NoPeerCertificate (enum)
    {62, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 33},	//1494 QSslError::HostNameMismatch (enum)
    {62, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 34},	//1495 QSslError::NoSslSupport (enum)
    {62, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 35},	//1496 QSslError::UnspecifiedError (enum)
    {62, 1260, 0, 0, Smoke::mf_dtor, 0, 36 },	//1497 QSslError::~QSslError()
    {63, 229, 0, 0, Smoke::mf_ctor, 189, 1},	//1498 QSslKey::QSslKey()
    {63, 229, 1230, 5, Smoke::mf_ctor, 189, 2},	//1499 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 229, 1236, 5, Smoke::mf_ctor, 189, 3},	//1500 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 229, 1217, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 189, 4},	//1501 QSslKey::QSslKey(const QSslKey&)
    {63, 648, 1217, 1, 0, 188, 5},	//1502 QSslKey::operator=(const QSslKey&)
    {63, 551, 0, 0, Smoke::mf_const, 316, 6},	//1503 QSslKey::isNull() const
    {63, 395, 0, 0, 0, 0, 7},	//1504 QSslKey::clear()
    {63, 569, 0, 0, Smoke::mf_const, 399, 8},	//1505 QSslKey::length() const
    {63, 1202, 0, 0, Smoke::mf_const, 172, 9},	//1506 QSslKey::type() const
    {63, 359, 0, 0, Smoke::mf_const, 171, 10},	//1507 QSslKey::algorithm() const
    {63, 1189, 203, 1, Smoke::mf_const, 14, 11},	//1508 QSslKey::toPem(const QByteArray&) const
    {63, 1185, 203, 1, Smoke::mf_const, 14, 12},	//1509 QSslKey::toDer(const QByteArray&) const
    {63, 507, 0, 0, Smoke::mf_const, 410, 13},	//1510 QSslKey::handle() const
    {63, 651, 1217, 1, Smoke::mf_const, 316, 14},	//1511 QSslKey::operator==(const QSslKey&) const
    {63, 612, 1217, 1, Smoke::mf_const, 316, 15},	//1512 QSslKey::operator!=(const QSslKey&) const
    {63, 229, 1242, 2, Smoke::mf_ctor, 189, 16},	//1513 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {63, 229, 1245, 3, Smoke::mf_ctor, 189, 17},	//1514 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 229, 1249, 4, Smoke::mf_ctor, 189, 18},	//1515 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 229, 1254, 2, Smoke::mf_ctor, 189, 19},	//1516 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {63, 229, 1257, 3, Smoke::mf_ctor, 189, 20},	//1517 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 229, 1261, 4, Smoke::mf_ctor, 189, 21},	//1518 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 1189, 0, 0, Smoke::mf_const, 14, 22},	//1519 QSslKey::toPem() const
    {63, 1185, 0, 0, Smoke::mf_const, 14, 23},	//1520 QSslKey::toDer() const
    {63, 1261, 0, 0, Smoke::mf_dtor, 0, 24 },	//1521 QSslKey::~QSslKey()
    {64, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1522 QSslSocket::metaObject() const
    {64, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1523 QSslSocket::qt_metacast(const char*)
    {64, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1524 QSslSocket::tr(const char*, const char*)
    {64, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1525 QSslSocket::trUtf8(const char*, const char*)
    {64, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1526 QSslSocket::tr(const char*, const char*, int)
    {64, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1527 QSslSocket::trUtf8(const char*, const char*, int)
    {64, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1528 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {64, 235, 20, 1, Smoke::mf_ctor, 190, 8},	//1529 QSslSocket::QSslSocket(QObject*)
    {64, 411, 25, 3, 0, 0, 9},	//1530 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QIODevice::OpenMode)
    {64, 411, 1266, 4, 0, 0, 10},	//1531 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QIODevice::OpenMode)
    {64, 1117, 35, 3, 0, 316, 11},	//1532 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QIODevice::OpenMode)
    {64, 1126, 39, 2, 0, 0, 12},	//1533 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {64, 1161, 42, 1, 0, 220, 13},	//1534 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {64, 603, 0, 0, Smoke::mf_const, 192, 14},	//1535 QSslSocket::mode() const
    {64, 542, 0, 0, Smoke::mf_const, 316, 15},	//1536 QSslSocket::isEncrypted() const
    {64, 714, 0, 0, Smoke::mf_const, 173, 16},	//1537 QSslSocket::protocol() const
    {64, 1081, 1213, 1, 0, 0, 17},	//1538 QSslSocket::setProtocol(QSsl::SslProtocol)
    {64, 701, 0, 0, Smoke::mf_const, 191, 18},	//1539 QSslSocket::peerVerifyMode() const
    {64, 1067, 1215, 1, 0, 0, 19},	//1540 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 698, 0, 0, Smoke::mf_const, 399, 20},	//1541 QSslSocket::peerVerifyDepth() const
    {64, 1065, 44, 1, 0, 0, 21},	//1542 QSslSocket::setPeerVerifyDepth(int)
    {64, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 22},	//1543 QSslSocket::bytesAvailable() const
    {64, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 23},	//1544 QSslSocket::bytesToWrite() const
    {64, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 24},	//1545 QSslSocket::canReadLine() const
    {64, 398, 0, 0, Smoke::mf_virtual, 0, 25},	//1546 QSslSocket::close()
    {64, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 26},	//1547 QSslSocket::atEnd() const
    {64, 485, 0, 0, 0, 316, 27},	//1548 QSslSocket::flush()
    {64, 338, 0, 0, 0, 0, 28},	//1549 QSslSocket::abort()
    {64, 1098, 33, 1, 0, 0, 29},	//1550 QSslSocket::setReadBufferSize(long long)
    {64, 465, 0, 0, Smoke::mf_const, 402, 30},	//1551 QSslSocket::encryptedBytesAvailable() const
    {64, 466, 0, 0, Smoke::mf_const, 402, 31},	//1552 QSslSocket::encryptedBytesToWrite() const
    {64, 1164, 0, 0, Smoke::mf_const, 181, 32},	//1553 QSslSocket::sslConfiguration() const
    {64, 1130, 1165, 1, 0, 0, 33},	//1554 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {64, 1030, 1195, 1, 0, 0, 34},	//1555 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {64, 1030, 1205, 2, 0, 0, 35},	//1556 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {64, 581, 0, 0, Smoke::mf_const, 174, 36},	//1557 QSslSocket::localCertificate() const
    {64, 693, 0, 0, Smoke::mf_const, 174, 37},	//1558 QSslSocket::peerCertificate() const
    {64, 694, 0, 0, Smoke::mf_const, 109, 38},	//1559 QSslSocket::peerCertificateChain() const
    {64, 954, 0, 0, Smoke::mf_const, 178, 39},	//1560 QSslSocket::sessionCipher() const
    {64, 1075, 1217, 1, 0, 0, 40},	//1561 QSslSocket::setPrivateKey(const QSslKey&)
    {64, 1075, 1271, 4, 0, 0, 41},	//1562 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {64, 713, 0, 0, Smoke::mf_const, 187, 42},	//1563 QSslSocket::privateKey() const
    {64, 394, 0, 0, Smoke::mf_const, 110, 43},	//1564 QSslSocket::ciphers() const
    {64, 980, 1219, 1, 0, 0, 44},	//1565 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {64, 980, 65, 1, 0, 0, 45},	//1566 QSslSocket::setCiphers(const QString&)
    {64, 993, 1219, 1, Smoke::mf_static, 0, 46},	//1567 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {64, 446, 0, 0, Smoke::mf_static, 110, 47},	//1568 QSslSocket::defaultCiphers()
    {64, 1179, 0, 0, Smoke::mf_static, 110, 48},	//1569 QSslSocket::supportedCiphers()
    {64, 343, 1201, 3, 0, 316, 49},	//1570 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 341, 1195, 1, 0, 0, 50},	//1571 QSslSocket::addCaCertificate(const QSslCertificate&)
    {64, 343, 1221, 1, 0, 0, 51},	//1572 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {64, 972, 1221, 1, 0, 0, 52},	//1573 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {64, 384, 0, 0, Smoke::mf_const, 109, 53},	//1574 QSslSocket::caCertificates() const
    {64, 350, 1201, 3, Smoke::mf_static, 316, 54},	//1575 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 348, 1195, 1, Smoke::mf_static, 0, 55},	//1576 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {64, 350, 1221, 1, Smoke::mf_static, 0, 56},	//1577 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 991, 1221, 1, Smoke::mf_static, 0, 57},	//1578 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 445, 0, 0, Smoke::mf_static, 109, 58},	//1579 QSslSocket::defaultCaCertificates()
    {64, 1181, 0, 0, Smoke::mf_static, 109, 59},	//1580 QSslSocket::systemCaCertificates()
    {64, 1216, 44, 1, 0, 316, 60},	//1581 QSslSocket::waitForConnected(int)
    {64, 1220, 44, 1, 0, 316, 61},	//1582 QSslSocket::waitForEncrypted(int)
    {64, 1225, 44, 1, Smoke::mf_virtual, 316, 62},	//1583 QSslSocket::waitForReadyRead(int)
    {64, 1214, 44, 1, Smoke::mf_virtual, 316, 63},	//1584 QSslSocket::waitForBytesWritten(int)
    {64, 1218, 44, 1, 0, 316, 64},	//1585 QSslSocket::waitForDisconnected(int)
    {64, 1165, 0, 0, Smoke::mf_const, 111, 65},	//1586 QSslSocket::sslErrors() const
    {64, 1180, 0, 0, Smoke::mf_static, 316, 66},	//1587 QSslSocket::supportsSsl()
    {64, 527, 1007, 1, 0, 0, 67},	//1588 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {64, 1168, 0, 0, Smoke::mf_slot, 0, 68},	//1589 QSslSocket::startClientEncryption()
    {64, 1169, 0, 0, Smoke::mf_slot, 0, 69},	//1590 QSslSocket::startServerEncryption()
    {64, 527, 0, 0, Smoke::mf_slot, 0, 70},	//1591 QSslSocket::ignoreSslErrors()
    {64, 464, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1592 QSslSocket::encrypted()
    {64, 699, 1228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1593 QSslSocket::peerVerifyError(const QSslError&)
    {64, 1165, 1007, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1594 QSslSocket::sslErrors(const QList<QSslError>&)
    {64, 604, 1276, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1595 QSslSocket::modeChanged(QSslSocket::SslMode)
    {64, 467, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1596 QSslSocket::encryptedBytesWritten(long long)
    {64, 415, 25, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1597 QSslSocket::connectToHostImplementation(const QString&, unsigned short, QIODevice::OpenMode)
    {64, 454, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1598 QSslSocket::disconnectFromHostImplementation()
    {64, 910, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 78},	//1599 QSslSocket::readData(char*, long long)
    {64, 1227, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 402, 79},	//1600 QSslSocket::writeData(const char*, long long)
    {64, 1194, 1, 1, Smoke::mf_static, 193, 80},	//1601 QSslSocket::tr(const char*)
    {64, 1198, 1, 1, Smoke::mf_static, 193, 81},	//1602 QSslSocket::trUtf8(const char*)
    {64, 235, 0, 0, Smoke::mf_ctor, 190, 82},	//1603 QSslSocket::QSslSocket()
    {64, 411, 67, 2, 0, 0, 83},	//1604 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {64, 411, 1278, 3, 0, 0, 84},	//1605 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {64, 1117, 44, 1, 0, 316, 85},	//1606 QSslSocket::setSocketDescriptor(int)
    {64, 1117, 73, 2, 0, 316, 86},	//1607 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {64, 1030, 65, 1, 0, 0, 87},	//1608 QSslSocket::setLocalCertificate(const QString&)
    {64, 1075, 65, 1, 0, 0, 88},	//1609 QSslSocket::setPrivateKey(const QString&)
    {64, 1075, 1282, 2, 0, 0, 89},	//1610 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {64, 1075, 1285, 3, 0, 0, 90},	//1611 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 343, 65, 1, 0, 316, 91},	//1612 QSslSocket::addCaCertificates(const QString&)
    {64, 343, 1205, 2, 0, 316, 92},	//1613 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 350, 65, 1, Smoke::mf_static, 316, 93},	//1614 QSslSocket::addDefaultCaCertificates(const QString&)
    {64, 350, 1205, 2, Smoke::mf_static, 316, 94},	//1615 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 1216, 0, 0, 0, 316, 95},	//1616 QSslSocket::waitForConnected()
    {64, 1220, 0, 0, 0, 316, 96},	//1617 QSslSocket::waitForEncrypted()
    {64, 1225, 0, 0, 0, 316, 97},	//1618 QSslSocket::waitForReadyRead()
    {64, 1214, 0, 0, 0, 316, 98},	//1619 QSslSocket::waitForBytesWritten()
    {64, 1218, 0, 0, 0, 316, 99},	//1620 QSslSocket::waitForDisconnected()
    {64, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 100},	//1621 QSslSocket::staticMetaObject() const
    {64, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 101},	//1622 QSslSocket::UnencryptedMode (enum)
    {64, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 102},	//1623 QSslSocket::SslClientMode (enum)
    {64, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 103},	//1624 QSslSocket::SslServerMode (enum)
    {64, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 104},	//1625 QSslSocket::VerifyNone (enum)
    {64, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 105},	//1626 QSslSocket::QueryPeer (enum)
    {64, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 106},	//1627 QSslSocket::VerifyPeer (enum)
    {64, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 107},	//1628 QSslSocket::AutoVerifyPeer (enum)
    {64, 1262, 0, 0, Smoke::mf_dtor, 0, 108 },	//1629 QSslSocket::~QSslSocket()
    {67, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1630 QTcpServer::metaObject() const
    {67, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1631 QTcpServer::qt_metacast(const char*)
    {67, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1632 QTcpServer::tr(const char*, const char*)
    {67, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1633 QTcpServer::trUtf8(const char*, const char*)
    {67, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1634 QTcpServer::tr(const char*, const char*, int)
    {67, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1635 QTcpServer::trUtf8(const char*, const char*, int)
    {67, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1636 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {67, 237, 20, 1, Smoke::mf_ctor, 200, 8},	//1637 QTcpServer::QTcpServer(QObject*)
    {67, 576, 70, 2, 0, 316, 9},	//1638 QTcpServer::listen(const QHostAddress&, unsigned short)
    {67, 398, 0, 0, 0, 0, 10},	//1639 QTcpServer::close()
    {67, 550, 0, 0, Smoke::mf_const, 316, 11},	//1640 QTcpServer::isListening() const
    {67, 1038, 44, 1, 0, 0, 12},	//1641 QTcpServer::setMaxPendingConnections(int)
    {67, 593, 0, 0, Smoke::mf_const, 399, 13},	//1642 QTcpServer::maxPendingConnections() const
    {67, 953, 0, 0, Smoke::mf_const, 412, 14},	//1643 QTcpServer::serverPort() const
    {67, 950, 0, 0, Smoke::mf_const, 71, 15},	//1644 QTcpServer::serverAddress() const
    {67, 1160, 0, 0, Smoke::mf_const, 399, 16},	//1645 QTcpServer::socketDescriptor() const
    {67, 1117, 44, 1, 0, 316, 17},	//1646 QTcpServer::setSocketDescriptor(int)
    {67, 1222, 1051, 2, 0, 316, 18},	//1647 QTcpServer::waitForNewConnection(int, bool*)
    {67, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 316, 19},	//1648 QTcpServer::hasPendingConnections() const
    {67, 609, 0, 0, Smoke::mf_virtual, 201, 20},	//1649 QTcpServer::nextPendingConnection()
    {67, 951, 0, 0, Smoke::mf_const, 5, 21},	//1650 QTcpServer::serverError() const
    {67, 474, 0, 0, Smoke::mf_const, 193, 22},	//1651 QTcpServer::errorString() const
    {67, 1085, 46, 1, 0, 0, 23},	//1652 QTcpServer::setProxy(const QNetworkProxy&)
    {67, 717, 0, 0, Smoke::mf_const, 139, 24},	//1653 QTcpServer::proxy() const
    {67, 529, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1654 QTcpServer::incomingConnection(int)
    {67, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1655 QTcpServer::newConnection()
    {67, 1194, 1, 1, Smoke::mf_static, 193, 27},	//1656 QTcpServer::tr(const char*)
    {67, 1198, 1, 1, Smoke::mf_static, 193, 28},	//1657 QTcpServer::trUtf8(const char*)
    {67, 237, 0, 0, Smoke::mf_ctor, 200, 29},	//1658 QTcpServer::QTcpServer()
    {67, 576, 0, 0, 0, 316, 30},	//1659 QTcpServer::listen()
    {67, 576, 63, 1, 0, 316, 31},	//1660 QTcpServer::listen(const QHostAddress&)
    {67, 1222, 0, 0, 0, 316, 32},	//1661 QTcpServer::waitForNewConnection()
    {67, 1222, 44, 1, 0, 316, 33},	//1662 QTcpServer::waitForNewConnection(int)
    {67, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 34},	//1663 QTcpServer::staticMetaObject() const
    {67, 1263, 0, 0, Smoke::mf_dtor, 0, 35 },	//1664 QTcpServer::~QTcpServer()
    {68, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1665 QTcpSocket::metaObject() const
    {68, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1666 QTcpSocket::qt_metacast(const char*)
    {68, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1667 QTcpSocket::tr(const char*, const char*)
    {68, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1668 QTcpSocket::trUtf8(const char*, const char*)
    {68, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1669 QTcpSocket::tr(const char*, const char*, int)
    {68, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1670 QTcpSocket::trUtf8(const char*, const char*, int)
    {68, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1671 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 239, 20, 1, Smoke::mf_ctor, 201, 8},	//1672 QTcpSocket::QTcpSocket(QObject*)
    {68, 1194, 1, 1, Smoke::mf_static, 193, 9},	//1673 QTcpSocket::tr(const char*)
    {68, 1198, 1, 1, Smoke::mf_static, 193, 10},	//1674 QTcpSocket::trUtf8(const char*)
    {68, 239, 0, 0, Smoke::mf_ctor, 201, 11},	//1675 QTcpSocket::QTcpSocket()
    {68, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 12},	//1676 QTcpSocket::staticMetaObject() const
    {68, 1264, 0, 0, Smoke::mf_dtor, 0, 13 },	//1677 QTcpSocket::~QTcpSocket()
    {73, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1678 QUdpSocket::metaObject() const
    {73, 884, 1, 1, Smoke::mf_virtual, 417, 2},	//1679 QUdpSocket::qt_metacast(const char*)
    {73, 1194, 3, 2, Smoke::mf_static, 193, 3},	//1680 QUdpSocket::tr(const char*, const char*)
    {73, 1198, 3, 2, Smoke::mf_static, 193, 4},	//1681 QUdpSocket::trUtf8(const char*, const char*)
    {73, 1194, 6, 3, Smoke::mf_static, 193, 5},	//1682 QUdpSocket::tr(const char*, const char*, int)
    {73, 1198, 6, 3, Smoke::mf_static, 193, 6},	//1683 QUdpSocket::trUtf8(const char*, const char*, int)
    {73, 882, 10, 3, Smoke::mf_virtual, 399, 7},	//1684 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 241, 20, 1, Smoke::mf_ctor, 209, 8},	//1685 QUdpSocket::QUdpSocket(QObject*)
    {73, 376, 70, 2, 0, 316, 9},	//1686 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {73, 376, 61, 1, 0, 316, 10},	//1687 QUdpSocket::bind(unsigned short)
    {73, 376, 1289, 3, 0, 316, 11},	//1688 QUdpSocket::bind(const QHostAddress&, unsigned short, QUdpSocket::BindMode)
    {73, 376, 1293, 2, 0, 316, 12},	//1689 QUdpSocket::bind(unsigned short, QUdpSocket::BindMode)
    {73, 515, 0, 0, Smoke::mf_const, 316, 13},	//1690 QUdpSocket::hasPendingDatagrams() const
    {73, 702, 0, 0, Smoke::mf_const, 402, 14},	//1691 QUdpSocket::pendingDatagramSize() const
    {73, 912, 1296, 4, 0, 402, 15},	//1692 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {73, 1229, 1301, 4, 0, 402, 16},	//1693 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {73, 1229, 1306, 3, 0, 402, 17},	//1694 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {73, 1194, 1, 1, Smoke::mf_static, 193, 18},	//1695 QUdpSocket::tr(const char*)
    {73, 1198, 1, 1, Smoke::mf_static, 193, 19},	//1696 QUdpSocket::trUtf8(const char*)
    {73, 241, 0, 0, Smoke::mf_ctor, 209, 20},	//1697 QUdpSocket::QUdpSocket()
    {73, 376, 0, 0, 0, 316, 21},	//1698 QUdpSocket::bind()
    {73, 912, 55, 2, 0, 402, 22},	//1699 QUdpSocket::readDatagram(char*, long long)
    {73, 912, 1310, 3, 0, 402, 23},	//1700 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {73, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 24},	//1701 QUdpSocket::staticMetaObject() const
    {73, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//1702 QUdpSocket::DefaultForPlatform (enum)
    {73, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//1703 QUdpSocket::ShareAddress (enum)
    {73, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//1704 QUdpSocket::DontShareAddress (enum)
    {73, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//1705 QUdpSocket::ReuseAddressHint (enum)
    {73, 1265, 0, 0, Smoke::mf_dtor, 0, 29 },	//1706 QUdpSocket::~QUdpSocket()
    {75, 243, 0, 0, Smoke::mf_ctor, 217, 1},	//1707 QUrlInfo::QUrlInfo()
    {75, 243, 95, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1708 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {75, 243, 1314, 13, Smoke::mf_ctor, 217, 3},	//1709 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 243, 1328, 13, Smoke::mf_ctor, 217, 4},	//1710 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 648, 95, 1, 0, 216, 5},	//1711 QUrlInfo::operator=(const QUrlInfo&)
    {75, 1042, 65, 1, Smoke::mf_virtual, 0, 6},	//1712 QUrlInfo::setName(const QString&)
    {75, 997, 106, 1, Smoke::mf_virtual, 0, 7},	//1713 QUrlInfo::setDir(bool)
    {75, 1008, 106, 1, Smoke::mf_virtual, 0, 8},	//1714 QUrlInfo::setFile(bool)
    {75, 1137, 106, 1, Smoke::mf_virtual, 0, 9},	//1715 QUrlInfo::setSymLink(bool)
    {75, 1051, 65, 1, Smoke::mf_virtual, 0, 10},	//1716 QUrlInfo::setOwner(const QString&)
    {75, 1010, 65, 1, Smoke::mf_virtual, 0, 11},	//1717 QUrlInfo::setGroup(const QString&)
    {75, 1113, 33, 1, Smoke::mf_virtual, 0, 12},	//1718 QUrlInfo::setSize(long long)
    {75, 1157, 106, 1, Smoke::mf_virtual, 0, 13},	//1719 QUrlInfo::setWritable(bool)
    {75, 1100, 106, 1, Smoke::mf_virtual, 0, 14},	//1720 QUrlInfo::setReadable(bool)
    {75, 1069, 44, 1, Smoke::mf_virtual, 0, 15},	//1721 QUrlInfo::setPermissions(int)
    {75, 1024, 1103, 1, Smoke::mf_virtual, 0, 16},	//1722 QUrlInfo::setLastModified(const QDateTime&)
    {75, 1026, 1103, 1, 0, 0, 17},	//1723 QUrlInfo::setLastRead(const QDateTime&)
    {75, 559, 0, 0, Smoke::mf_const, 316, 18},	//1724 QUrlInfo::isValid() const
    {75, 606, 0, 0, Smoke::mf_const, 193, 19},	//1725 QUrlInfo::name() const
    {75, 703, 0, 0, Smoke::mf_const, 399, 20},	//1726 QUrlInfo::permissions() const
    {75, 681, 0, 0, Smoke::mf_const, 193, 21},	//1727 QUrlInfo::owner() const
    {75, 506, 0, 0, Smoke::mf_const, 193, 22},	//1728 QUrlInfo::group() const
    {75, 1159, 0, 0, Smoke::mf_const, 402, 23},	//1729 QUrlInfo::size() const
    {75, 566, 0, 0, Smoke::mf_const, 22, 24},	//1730 QUrlInfo::lastModified() const
    {75, 567, 0, 0, Smoke::mf_const, 22, 25},	//1731 QUrlInfo::lastRead() const
    {75, 541, 0, 0, Smoke::mf_const, 316, 26},	//1732 QUrlInfo::isDir() const
    {75, 544, 0, 0, Smoke::mf_const, 316, 27},	//1733 QUrlInfo::isFile() const
    {75, 557, 0, 0, Smoke::mf_const, 316, 28},	//1734 QUrlInfo::isSymLink() const
    {75, 560, 0, 0, Smoke::mf_const, 316, 29},	//1735 QUrlInfo::isWritable() const
    {75, 552, 0, 0, Smoke::mf_const, 316, 30},	//1736 QUrlInfo::isReadable() const
    {75, 543, 0, 0, Smoke::mf_const, 316, 31},	//1737 QUrlInfo::isExecutable() const
    {75, 504, 1342, 3, Smoke::mf_static, 316, 32},	//1738 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 570, 1342, 3, Smoke::mf_static, 316, 33},	//1739 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 470, 1342, 3, Smoke::mf_static, 316, 34},	//1740 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {75, 651, 95, 1, Smoke::mf_const, 316, 35},	//1741 QUrlInfo::operator==(const QUrlInfo&) const
    {75, 612, 95, 1, Smoke::mf_const, 316, 36},	//1742 QUrlInfo::operator!=(const QUrlInfo&) const
    {75, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1743 QUrlInfo::ReadOwner (enum)
    {75, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1744 QUrlInfo::WriteOwner (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1745 QUrlInfo::ExeOwner (enum)
    {75, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1746 QUrlInfo::ReadGroup (enum)
    {75, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1747 QUrlInfo::WriteGroup (enum)
    {75, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1748 QUrlInfo::ExeGroup (enum)
    {75, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1749 QUrlInfo::ReadOther (enum)
    {75, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1750 QUrlInfo::WriteOther (enum)
    {75, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1751 QUrlInfo::ExeOther (enum)
    {75, 1266, 0, 0, Smoke::mf_dtor, 0, 46 },	//1752 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    783,  // QHttp::QHttp(const QString&, unsigned short)
    784,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    792,  // QHttp::post(const QString&, QIODevice*)
    793,  // QHttp::post(const QString&, const QByteArray&)
    0,
    746,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    747,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    795,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    796,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    749,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    750,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    739,  // QHttp::setHost(const QString&, unsigned short)
    787,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1381,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1405,  // QSslCertificate::QSslCertificate(QIODevice*)
    1407,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1379,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1380,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    672,  // QHostAddress::QHostAddress(const QIPv6Address&)
    673,  // QHostAddress::QHostAddress(const sockaddr*)
    675,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    670,  // QHostAddress::QHostAddress(unsigned int)
    671,  // QHostAddress::QHostAddress(unsigned char*)
    674,  // QHostAddress::QHostAddress(const QString&)
    676,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    681,  // QHostAddress::setAddress(const QIPv6Address&)
    682,  // QHostAddress::setAddress(const sockaddr*)
    0,
    679,  // QHostAddress::setAddress(unsigned int)
    680,  // QHostAddress::setAddress(unsigned char*)
    683,  // QHostAddress::setAddress(const QString&)
    0,
    1074,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1096,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    1513,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1516,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1514,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1517,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1515,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1518,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1499,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1500,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    903,  // QIPv6Address::operator[](int)
    904,  // QIPv6Address::operator[](int) const
    0,
    865,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    875,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    276,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    313,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    324,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    376,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    396,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    413,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    450,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    455,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    495,  // QGlobalSpace::operator!=(QChar, QChar)
    521,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    558,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    573,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    605,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    608,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    638,  // QGlobalSpace::operator!=(QBool, QBool)
    652,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    267,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    283,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    296,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    507,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    604,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    372,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    430,  // QGlobalSpace::operator!=(bool, QBool)
    453,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    502,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    590,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    613,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    524,  // QGlobalSpace::operator*(const QSize&, double)
    592,  // QGlobalSpace::operator*(const QPoint&, double)
    596,  // QGlobalSpace::operator*(const QSizeF&, double)
    609,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    274,  // QGlobalSpace::operator*(double, const QSizeF&)
    522,  // QGlobalSpace::operator*(double, const QPointF&)
    528,  // QGlobalSpace::operator*(double, const QPoint&)
    600,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    289,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    303,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    307,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    383,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    421,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    328,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    332,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    365,  // QGlobalSpace::operator+(QChar, const QString&)
    461,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    241,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    292,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    323,  // QGlobalSpace::operator+(const QString&, QChar)
    513,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    329,  // QGlobalSpace::operator+(const QString&, const char*)
    375,  // QGlobalSpace::operator+(const QString&, char)
    416,  // QGlobalSpace::operator+(char, const QString&)
    519,  // QGlobalSpace::operator+(const char*, const QString&)
    637,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    385,  // QGlobalSpace::operator-(const QPoint&)
    441,  // QGlobalSpace::operator-(const QPointF&)
    0,
    277,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    293,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    377,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    517,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    288,  // QGlobalSpace::operator/(const QPoint&, double)
    429,  // QGlobalSpace::operator/(const QPointF&, double)
    464,  // QGlobalSpace::operator/(const QSizeF&, double)
    580,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    264,  // QGlobalSpace::operator<(QChar, QChar)
    308,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    379,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    601,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    269,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    456,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    237,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    263,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    268,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    278,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    284,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    291,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    294,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    299,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    300,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    319,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    347,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    386,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    393,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    439,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    444,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    449,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    468,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    480,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    484,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    485,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    487,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    488,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    490,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    491,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    510,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    518,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    525,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    542,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    550,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    552,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    556,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    564,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    565,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    566,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    570,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    603,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    607,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    628,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    650,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    654,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    280,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    287,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    290,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    301,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    325,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    395,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    405,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    454,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    549,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    345,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    362,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    475,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    571,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    473,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    509,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    245,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    258,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    260,  // QGlobalSpace::operator==(QChar, QChar)
    339,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    355,  // QGlobalSpace::operator==(QBool, QBool)
    378,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    384,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    390,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    419,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    431,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    459,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    469,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    523,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    538,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    561,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    584,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    239,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    418,  // QGlobalSpace::operator==(QString::Null, const QString&)
    595,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    597,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    627,  // QGlobalSpace::operator==(QBool, bool)
    0,
    235,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    252,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    356,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    442,  // QGlobalSpace::operator==(bool, QBool)
    483,  // QGlobalSpace::operator==(const QString&, QString::Null)
    498,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    515,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    273,  // QGlobalSpace::operator>(QChar, QChar)
    330,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    341,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    410,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    253,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    312,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    228,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>=(QChar, QChar)
    465,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    541,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    447,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    644,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    247,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    354,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    412,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    500,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    512,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    520,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    562,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    575,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    587,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    621,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    629,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    630,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    653,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    477,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    578,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    227,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    243,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    297,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    298,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, int)
    306,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    321,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    366,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    367,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    368,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    401,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    406,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    409,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    426,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    433,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    463,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    466,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    511,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    534,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    547,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    548,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    553,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    554,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, int)
    569,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    586,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    589,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    593,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    598,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    610,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, int)
    622,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    632,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    634,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    651,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    231,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    236,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    238,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    256,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    257,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    259,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    261,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    265,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    271,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    279,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    281,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    285,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    286,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    315,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    316,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    317,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type)
    326,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    334,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    336,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    343,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    352,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    357,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    361,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    373,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    374,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    387,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    392,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    394,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    404,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    414,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    420,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    422,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    432,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    438,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    448,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    457,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    458,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    467,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    493,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    494,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    499,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    503,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    506,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    514,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    526,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    535,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    543,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    551,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    557,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    559,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type)
    572,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    574,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    576,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    577,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>)
    583,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    591,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    599,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type)
    602,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    611,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    618,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    624,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>)
    643,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    646,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    649,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>)
    0,
    537,  // QGlobalSpace::qFuzzyCompare(float, float)
    588,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    380,  // QGlobalSpace::qFuzzyIsNull(float)
    544,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    262,  // QGlobalSpace::qHash(const QByteArray&)
    335,  // QGlobalSpace::qHash(QChar)
    351,  // QGlobalSpace::qHash(const QModelIndex&)
    358,  // QGlobalSpace::qHash(const QHostAddress&)
    423,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    489,  // QGlobalSpace::qHash(const QBitArray&)
    641,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    229,  // QGlobalSpace::qHash(unsigned long long)
    251,  // QGlobalSpace::qHash(signed char)
    282,  // QGlobalSpace::qHash(char)
    333,  // QGlobalSpace::qHash(unsigned int)
    344,  // QGlobalSpace::qHash(const QString&)
    371,  // QGlobalSpace::qHash(long long)
    382,  // QGlobalSpace::qHash(int)
    408,  // QGlobalSpace::qHash(long)
    411,  // QGlobalSpace::qHash(unsigned short)
    532,  // QGlobalSpace::qHash(short)
    631,  // QGlobalSpace::qHash(unsigned long)
    647,  // QGlobalSpace::qHash(unsigned char)
    0,
    254,  // QGlobalSpace::qIntCast(double)
    338,  // QGlobalSpace::qIntCast(float)
    0,
    295,  // QGlobalSpace::qIsFinite(double)
    322,  // QGlobalSpace::qIsFinite(float)
    0,
    230,  // QGlobalSpace::qIsInf(double)
    249,  // QGlobalSpace::qIsInf(float)
    0,
    360,  // QGlobalSpace::qIsNaN(float)
    364,  // QGlobalSpace::qIsNaN(double)
    0,
    581,  // QGlobalSpace::qIsNull(float)
    642,  // QGlobalSpace::qIsNull(double)
    0,
    1530,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QIODevice::OpenMode)
    1605,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    193,  // QFtp::put(const QByteArray&, const QString&)
    194,  // QFtp::put(QIODevice*, const QString&)
    0,
    157,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    158,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    1218,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1234,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1235,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1238,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1217,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1236,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1315,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1316,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1018,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1019,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1020,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1021,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 140, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 141, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 387, 12},	// QAbstractNetworkCache::cacheSize
    {1, 395, 15},	// QAbstractNetworkCache::clear
    {1, 438, 10},	// QAbstractNetworkCache::data#
    {1, 534, 14},	// QAbstractNetworkCache::insert#
    {1, 596, 8},	// QAbstractNetworkCache::metaData#
    {1, 598, 1},	// QAbstractNetworkCache::metaObject
    {1, 712, 13},	// QAbstractNetworkCache::prepare#
    {1, 883, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 885, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 923, 11},	// QAbstractNetworkCache::remove#
    {1, 1173, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1195, 17},	// QAbstractNetworkCache::tr$
    {1, 1196, 3},	// QAbstractNetworkCache::tr$$
    {1, 1197, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1199, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1200, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1201, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1204, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1232, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 3, 106},	// QAbstractSocket::AddressInUseError
    {2, 15, 122},	// QAbstractSocket::BoundState
    {2, 31, 124},	// QAbstractSocket::ClosingState
    {2, 35, 121},	// QAbstractSocket::ConnectedState
    {2, 37, 120},	// QAbstractSocket::ConnectingState
    {2, 43, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 52, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 71, 119},	// QAbstractSocket::HostLookupState
    {2, 75, 100},	// QAbstractSocket::HostNotFoundError
    {2, 82, 95},	// QAbstractSocket::IPv4Protocol
    {2, 83, 96},	// QAbstractSocket::IPv6Protocol
    {2, 93, 126},	// QAbstractSocket::KeepAliveOption
    {2, 97, 123},	// QAbstractSocket::ListeningState
    {2, 104, 125},	// QAbstractSocket::LowDelayOption
    {2, 107, 105},	// QAbstractSocket::NetworkError
    {2, 130, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 131, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 132, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 133, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 134, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 135, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 143, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 261, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 275, 101},	// QAbstractSocket::SocketAccessError
    {2, 276, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 277, 102},	// QAbstractSocket::SocketResourceError
    {2, 278, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 282, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 289, 92},	// QAbstractSocket::TcpSocket
    {2, 295, 93},	// QAbstractSocket::UdpSocket
    {2, 304, 118},	// QAbstractSocket::UnconnectedState
    {2, 307, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 311, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 315, 117},	// QAbstractSocket::UnknownSocketError
    {2, 316, 94},	// QAbstractSocket::UnknownSocketType
    {2, 318, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 338, 44},	// QAbstractSocket::abort
    {2, 367, 54},	// QAbstractSocket::atEnd
    {2, 382, 34},	// QAbstractSocket::bytesAvailable
    {2, 383, 35},	// QAbstractSocket::bytesToWrite
    {2, 388, 36},	// QAbstractSocket::canReadLine
    {2, 398, 52},	// QAbstractSocket::close
    {2, 406, 83},	// QAbstractSocket::connectToHost#$
    {2, 407, 31},	// QAbstractSocket::connectToHost#$$
    {2, 409, 82},	// QAbstractSocket::connectToHost$$
    {2, 410, 30},	// QAbstractSocket::connectToHost$$$
    {2, 416, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 417, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 421, 63},	// QAbstractSocket::connected
    {2, 453, 32},	// QAbstractSocket::disconnectFromHost
    {2, 454, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 457, 64},	// QAbstractSocket::disconnected
    {2, 472, 51},	// QAbstractSocket::error
    {2, 473, 66},	// QAbstractSocket::error$
    {2, 485, 55},	// QAbstractSocket::flush
    {2, 524, 62},	// QAbstractSocket::hostFound
    {2, 555, 53},	// QAbstractSocket::isSequential
    {2, 559, 33},	// QAbstractSocket::isValid
    {2, 580, 38},	// QAbstractSocket::localAddress
    {2, 584, 37},	// QAbstractSocket::localPort
    {2, 598, 22},	// QAbstractSocket::metaObject
    {2, 692, 40},	// QAbstractSocket::peerAddress
    {2, 696, 41},	// QAbstractSocket::peerName
    {2, 697, 39},	// QAbstractSocket::peerPort
    {2, 717, 61},	// QAbstractSocket::proxy
    {2, 719, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 883, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 885, 23},	// QAbstractSocket::qt_metacast$
    {2, 909, 42},	// QAbstractSocket::readBufferSize
    {2, 911, 70},	// QAbstractSocket::readData$$
    {2, 917, 71},	// QAbstractSocket::readLineData$$
    {2, 1029, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1035, 75},	// QAbstractSocket::setLocalPort$
    {2, 1058, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1062, 79},	// QAbstractSocket::setPeerName$
    {2, 1064, 77},	// QAbstractSocket::setPeerPort$
    {2, 1086, 60},	// QAbstractSocket::setProxy#
    {2, 1099, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1118, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1119, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1120, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1125, 74},	// QAbstractSocket::setSocketError$
    {2, 1127, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1129, 73},	// QAbstractSocket::setSocketState$
    {2, 1160, 45},	// QAbstractSocket::socketDescriptor
    {2, 1162, 48},	// QAbstractSocket::socketOption$
    {2, 1163, 49},	// QAbstractSocket::socketType
    {2, 1170, 50},	// QAbstractSocket::state
    {2, 1172, 65},	// QAbstractSocket::stateChanged$
    {2, 1173, 91},	// QAbstractSocket::staticMetaObject
    {2, 1195, 80},	// QAbstractSocket::tr$
    {2, 1196, 24},	// QAbstractSocket::tr$$
    {2, 1197, 26},	// QAbstractSocket::tr$$$
    {2, 1199, 81},	// QAbstractSocket::trUtf8$
    {2, 1200, 25},	// QAbstractSocket::trUtf8$$
    {2, 1201, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1214, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1215, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1216, 86},	// QAbstractSocket::waitForConnected
    {2, 1217, 56},	// QAbstractSocket::waitForConnected$
    {2, 1218, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1219, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1225, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1226, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1228, 72},	// QAbstractSocket::writeData$$
    {2, 1233, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 144, 128},	// QAuthenticator::QAuthenticator
    {3, 145, 129},	// QAuthenticator::QAuthenticator#
    {3, 450, 139},	// QAuthenticator::detach
    {3, 551, 138},	// QAuthenticator::isNull
    {3, 613, 132},	// QAuthenticator::operator!=#
    {3, 649, 130},	// QAuthenticator::operator=#
    {3, 652, 131},	// QAuthenticator::operator==#
    {3, 690, 135},	// QAuthenticator::password
    {3, 920, 137},	// QAuthenticator::realm
    {3, 1054, 136},	// QAuthenticator::setPassword$
    {3, 1148, 134},	// QAuthenticator::setUser$
    {3, 1209, 133},	// QAuthenticator::user
    {3, 1234, 140},	// QAuthenticator::~QAuthenticator
    {16, 2, 222},	// QFtp::Active
    {16, 10, 225},	// QFtp::Ascii
    {16, 14, 224},	// QFtp::Binary
    {16, 22, 214},	// QFtp::Cd
    {16, 29, 212},	// QFtp::Close
    {16, 30, 201},	// QFtp::Closing
    {16, 33, 210},	// QFtp::ConnectToHost
    {16, 34, 199},	// QFtp::Connected
    {16, 36, 198},	// QFtp::Connecting
    {16, 42, 205},	// QFtp::ConnectionRefused
    {16, 67, 215},	// QFtp::Get
    {16, 70, 197},	// QFtp::HostLookup
    {16, 74, 204},	// QFtp::HostNotFound
    {16, 95, 213},	// QFtp::List
    {16, 102, 200},	// QFtp::LoggedIn
    {16, 103, 211},	// QFtp::Login
    {16, 105, 218},	// QFtp::Mkdir
    {16, 108, 202},	// QFtp::NoError
    {16, 112, 207},	// QFtp::None
    {16, 113, 206},	// QFtp::NotConnected
    {16, 119, 223},	// QFtp::Passive
    {16, 138, 216},	// QFtp::Put
    {16, 146, 186},	// QFtp::QFtp
    {16, 147, 148},	// QFtp::QFtp#
    {16, 253, 221},	// QFtp::RawCommand
    {16, 262, 217},	// QFtp::Remove
    {16, 263, 220},	// QFtp::Rename
    {16, 265, 219},	// QFtp::Rmdir
    {16, 272, 209},	// QFtp::SetProxy
    {16, 273, 208},	// QFtp::SetTransferMode
    {16, 303, 196},	// QFtp::Unconnected
    {16, 309, 203},	// QFtp::UnknownError
    {16, 338, 175},	// QFtp::abort
    {16, 382, 164},	// QFtp::bytesAvailable
    {16, 391, 155},	// QFtp::cd$
    {16, 396, 171},	// QFtp::clearPendingCommands
    {16, 398, 152},	// QFtp::close
    {16, 401, 182},	// QFtp::commandFinished$$
    {16, 403, 181},	// QFtp::commandStarted$
    {16, 408, 187},	// QFtp::connectToHost$
    {16, 409, 150},	// QFtp::connectToHost$$
    {16, 430, 169},	// QFtp::currentCommand
    {16, 432, 168},	// QFtp::currentDevice
    {16, 433, 167},	// QFtp::currentId
    {16, 444, 179},	// QFtp::dataTransferProgress$$
    {16, 460, 183},	// QFtp::done$
    {16, 472, 173},	// QFtp::error
    {16, 474, 174},	// QFtp::errorString
    {16, 501, 191},	// QFtp::get$
    {16, 502, 192},	// QFtp::get$#
    {16, 503, 156},	// QFtp::get$#$
    {16, 513, 170},	// QFtp::hasPendingCommands
    {16, 572, 190},	// QFtp::list
    {16, 573, 154},	// QFtp::list$
    {16, 575, 177},	// QFtp::listInfo#
    {16, 585, 188},	// QFtp::login
    {16, 586, 189},	// QFtp::login$
    {16, 587, 151},	// QFtp::login$$
    {16, 598, 141},	// QFtp::metaObject
    {16, 602, 160},	// QFtp::mkdir$
    {16, 726, -433},	// QFtp::put#$
    {16, 727, -436},	// QFtp::put#$$
    {16, 883, 147},	// QFtp::qt_metacall$$?
    {16, 885, 142},	// QFtp::qt_metacast$
    {16, 899, 163},	// QFtp::rawCommand$
    {16, 901, 180},	// QFtp::rawCommandReply$$
    {16, 907, 165},	// QFtp::read$$
    {16, 908, 166},	// QFtp::readAll
    {16, 918, 178},	// QFtp::readyRead
    {16, 924, 159},	// QFtp::remove$
    {16, 932, 162},	// QFtp::rename$$
    {16, 945, 161},	// QFtp::rmdir$
    {16, 1087, 149},	// QFtp::setProxy$$
    {16, 1140, 153},	// QFtp::setTransferMode$
    {16, 1170, 172},	// QFtp::state
    {16, 1172, 176},	// QFtp::stateChanged$
    {16, 1173, 195},	// QFtp::staticMetaObject
    {16, 1195, 184},	// QFtp::tr$
    {16, 1196, 143},	// QFtp::tr$$
    {16, 1197, 145},	// QFtp::tr$$$
    {16, 1199, 185},	// QFtp::trUtf8$
    {16, 1200, 144},	// QFtp::trUtf8$$
    {16, 1201, 146},	// QFtp::trUtf8$$$
    {16, 1235, 226},	// QFtp::~QFtp
    {17, 247, 662},	// QGlobalSpace::QtCriticalMsg
    {17, 248, 660},	// QGlobalSpace::QtDebugMsg
    {17, 249, 663},	// QGlobalSpace::QtFatalMsg
    {17, 250, 664},	// QGlobalSpace::QtSystemMsg
    {17, 251, 661},	// QGlobalSpace::QtWarningMsg
    {17, 329, 655},	// QGlobalSpace::_IEEE_
    {17, 330, 659},	// QGlobalSpace::_ISOC_
    {17, 331, 658},	// QGlobalSpace::_POSIX_
    {17, 332, 656},	// QGlobalSpace::_SVID_
    {17, 333, 657},	// QGlobalSpace::_XOPEN_
    {17, 334, 667},	// QGlobalSpace::__codecvt_error
    {17, 335, 668},	// QGlobalSpace::__codecvt_noconv
    {17, 336, 665},	// QGlobalSpace::__codecvt_ok
    {17, 337, 666},	// QGlobalSpace::__codecvt_partial
    {17, 614, -63},	// QGlobalSpace::operator!=##
    {17, 615, -80},	// QGlobalSpace::operator!=#$
    {17, 617, -86},	// QGlobalSpace::operator!=$#
    {17, 618, 359},	// QGlobalSpace::operator!=$$
    {17, 620, 446},	// QGlobalSpace::operator&##
    {17, 622, -93},	// QGlobalSpace::operator*#$
    {17, 623, -98},	// QGlobalSpace::operator*$#
    {17, 625, -103},	// QGlobalSpace::operator+##
    {17, 626, -109},	// QGlobalSpace::operator+#$
    {17, 627, -114},	// QGlobalSpace::operator+$#
    {17, 628, -119},	// QGlobalSpace::operator+$$
    {17, 630, -125},	// QGlobalSpace::operator-#
    {17, 631, -128},	// QGlobalSpace::operator-##
    {17, 633, -133},	// QGlobalSpace::operator/#$
    {17, 635, -138},	// QGlobalSpace::operator<##
    {17, 636, 486},	// QGlobalSpace::operator<#$
    {17, 637, -143},	// QGlobalSpace::operator<$#
    {17, 638, 302},	// QGlobalSpace::operator<$$
    {17, 640, -146},	// QGlobalSpace::operator<<##
    {17, 641, -196},	// QGlobalSpace::operator<<#$
    {17, 642, 460},	// QGlobalSpace::operator<<#?
    {17, 644, -208},	// QGlobalSpace::operator<=##
    {17, 645, 337},	// QGlobalSpace::operator<=#$
    {17, 646, -213},	// QGlobalSpace::operator<=$#
    {17, 647, 501},	// QGlobalSpace::operator<=$$
    {17, 653, -216},	// QGlobalSpace::operator==##
    {17, 654, -234},	// QGlobalSpace::operator==#$
    {17, 656, -240},	// QGlobalSpace::operator==$#
    {17, 657, 636},	// QGlobalSpace::operator==$$
    {17, 659, -248},	// QGlobalSpace::operator>##
    {17, 660, 645},	// QGlobalSpace::operator>#$
    {17, 661, -253},	// QGlobalSpace::operator>$#
    {17, 662, 424},	// QGlobalSpace::operator>$$
    {17, 664, -256},	// QGlobalSpace::operator>=##
    {17, 665, 248},	// QGlobalSpace::operator>=#$
    {17, 666, -261},	// QGlobalSpace::operator>=$#
    {17, 667, 640},	// QGlobalSpace::operator>=$$
    {17, 669, -264},	// QGlobalSpace::operator>>##
    {17, 670, -287},	// QGlobalSpace::operator>>#$
    {17, 671, 402},	// QGlobalSpace::operator>>#?
    {17, 675, 340},	// QGlobalSpace::operator^##
    {17, 677, 563},	// QGlobalSpace::operator|##
    {17, 678, -290},	// QGlobalSpace::operator|?$
    {17, 679, -323},	// QGlobalSpace::operator|??
    {17, 729, 540},	// QGlobalSpace::qAcos$
    {17, 731, 470},	// QGlobalSpace::qAddPostRoutine$
    {17, 732, 478},	// QGlobalSpace::qAppName
    {17, 734, 555},	// QGlobalSpace::qAsin$
    {17, 736, 585},	// QGlobalSpace::qAtan$
    {17, 738, 246},	// QGlobalSpace::qAtan2$$
    {17, 740, 492},	// QGlobalSpace::qCeil$
    {17, 742, 398},	// QGlobalSpace::qChecksum$$
    {17, 744, 546},	// QGlobalSpace::qCompress#
    {17, 745, 545},	// QGlobalSpace::qCompress#$
    {17, 746, 472},	// QGlobalSpace::qCompress$$
    {17, 747, 471},	// QGlobalSpace::qCompress$$$
    {17, 749, 272},	// QGlobalSpace::qCos$
    {17, 750, 452},	// QGlobalSpace::qCritical
    {17, 751, 504},	// QGlobalSpace::qDebug
    {17, 753, 388},	// QGlobalSpace::qExp$
    {17, 755, 533},	// QGlobalSpace::qFabs$
    {17, 757, 353},	// QGlobalSpace::qFastCos$
    {17, 759, 474},	// QGlobalSpace::qFastSin$
    {17, 761, 363},	// QGlobalSpace::qFlagLocation$
    {17, 763, 318},	// QGlobalSpace::qFloor$
    {17, 765, 481},	// QGlobalSpace::qFree$
    {17, 767, 482},	// QGlobalSpace::qFreeAligned$
    {17, 769, -388},	// QGlobalSpace::qFuzzyCompare$$
    {17, 771, -391},	// QGlobalSpace::qFuzzyIsNull$
    {17, 773, -394},	// QGlobalSpace::qHash#
    {17, 774, -402},	// QGlobalSpace::qHash$
    {17, 775, 615},	// QGlobalSpace::qInf
    {17, 777, 349},	// QGlobalSpace::qInstallMsgHandler$
    {17, 779, -415},	// QGlobalSpace::qIntCast$
    {17, 781, -418},	// QGlobalSpace::qIsFinite$
    {17, 783, -421},	// QGlobalSpace::qIsInf$
    {17, 785, -424},	// QGlobalSpace::qIsNaN$
    {17, 787, -427},	// QGlobalSpace::qIsNull$
    {17, 789, 391},	// QGlobalSpace::qLn$
    {17, 791, 399},	// QGlobalSpace::qMalloc?
    {17, 793, 505},	// QGlobalSpace::qMallocAligned??
    {17, 795, 233},	// QGlobalSpace::qMemCopy$$?
    {17, 797, 529},	// QGlobalSpace::qMemSet$$?
    {17, 799, 508},	// QGlobalSpace::qPow$$
    {17, 800, 400},	// QGlobalSpace::qQNaN
    {17, 802, 342},	// QGlobalSpace::qRealloc$?
    {17, 804, 331},	// QGlobalSpace::qReallocAligned$???
    {17, 806, 397},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 808, 620},	// QGlobalSpace::qRemovePostRoutine$
    {17, 810, 614},	// QGlobalSpace::qRound$
    {17, 812, 348},	// QGlobalSpace::qRound64$
    {17, 813, 594},	// QGlobalSpace::qSNaN
    {17, 815, 314},	// QGlobalSpace::qSetFieldWidth$
    {17, 817, 255},	// QGlobalSpace::qSetPadChar#
    {17, 819, 389},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 820, 275},	// QGlobalSpace::qSharedBuild
    {17, 822, 560},	// QGlobalSpace::qSin$
    {17, 824, 350},	// QGlobalSpace::qSqrt$
    {17, 826, 496},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 827, 242},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 829, 311},	// QGlobalSpace::qTan$
    {17, 831, 436},	// QGlobalSpace::qUncompress#
    {17, 832, 309},	// QGlobalSpace::qUncompress$$
    {17, 833, 479},	// QGlobalSpace::qVersion
    {17, 834, 625},	// QGlobalSpace::qWarning
    {17, 836, 327},	// QGlobalSpace::qbswap_helper$$$
    {17, 838, 539},	// QGlobalSpace::qgcvt$$$
    {17, 840, 250},	// QGlobalSpace::qgetenv$
    {17, 842, 403},	// QGlobalSpace::qputenv$#
    {17, 843, 443},	// QGlobalSpace::qrand
    {17, 845, 451},	// QGlobalSpace::qsort$???
    {17, 847, 407},	// QGlobalSpace::qsrand$
    {17, 849, 536},	// QGlobalSpace::qstrcmp##
    {17, 850, 619},	// QGlobalSpace::qstrcmp#$
    {17, 851, 244},	// QGlobalSpace::qstrcmp$#
    {17, 852, 270},	// QGlobalSpace::qstrcmp$$
    {17, 854, 381},	// QGlobalSpace::qstrcpy$$
    {17, 856, 497},	// QGlobalSpace::qstrdup$
    {17, 858, 612},	// QGlobalSpace::qstricmp$$
    {17, 860, 626},	// QGlobalSpace::qstrlen$
    {17, 862, 310},	// QGlobalSpace::qstrncmp$$$
    {17, 864, 435},	// QGlobalSpace::qstrncpy$$$
    {17, 866, 415},	// QGlobalSpace::qstrnicmp$$$
    {17, 868, 232},	// QGlobalSpace::qstrnlen$$
    {17, 870, 568},	// QGlobalSpace::qtTrId$
    {17, 871, 567},	// QGlobalSpace::qtTrId$$
    {17, 873, 370},	// QGlobalSpace::qt_assert$$$
    {17, 875, 445},	// QGlobalSpace::qt_assert_x$$$$
    {17, 877, 531},	// QGlobalSpace::qt_check_pointer$$
    {17, 878, 305},	// QGlobalSpace::qt_error_string
    {17, 879, 304},	// QGlobalSpace::qt_error_string$
    {17, 881, 639},	// QGlobalSpace::qt_message_output$$
    {17, 886, 234},	// QGlobalSpace::qt_noop
    {17, 888, 428},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 890, 582},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 895, 579},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 897, 527},	// QGlobalSpace::qvsnprintf$?$?
    {19, 6, 703},	// QHostAddress::Any
    {19, 7, 704},	// QHostAddress::AnyIPv6
    {19, 16, 700},	// QHostAddress::Broadcast
    {19, 98, 701},	// QHostAddress::LocalHost
    {19, 99, 702},	// QHostAddress::LocalHostIPv6
    {19, 115, 699},	// QHostAddress::Null
    {19, 148, 669},	// QHostAddress::QHostAddress
    {19, 149, -26},	// QHostAddress::QHostAddress#
    {19, 150, -30},	// QHostAddress::QHostAddress$
    {19, 395, 695},	// QHostAddress::clear
    {19, 548, 696},	// QHostAddress::isInSubnet#$
    {19, 549, 697},	// QHostAddress::isInSubnet?
    {19, 551, 694},	// QHostAddress::isNull
    {19, 613, 692},	// QHostAddress::operator!=#
    {19, 616, 693},	// QHostAddress::operator!=$
    {19, 649, 677},	// QHostAddress::operator=#
    {19, 650, 678},	// QHostAddress::operator=$
    {19, 652, 690},	// QHostAddress::operator==#
    {19, 655, 691},	// QHostAddress::operator==$
    {19, 689, 698},	// QHostAddress::parseSubnet$
    {19, 714, 684},	// QHostAddress::protocol
    {19, 947, 688},	// QHostAddress::scopeId
    {19, 956, -35},	// QHostAddress::setAddress#
    {19, 957, -38},	// QHostAddress::setAddress$
    {19, 1110, 689},	// QHostAddress::setScopeId$
    {19, 1187, 685},	// QHostAddress::toIPv4Address
    {19, 1188, 686},	// QHostAddress::toIPv6Address
    {19, 1193, 687},	// QHostAddress::toString
    {19, 1236, 705},	// QHostAddress::~QHostAddress
    {20, 74, 726},	// QHostInfo::HostNotFound
    {20, 108, 725},	// QHostInfo::NoError
    {20, 151, 724},	// QHostInfo::QHostInfo
    {20, 152, 707},	// QHostInfo::QHostInfo#
    {20, 153, 706},	// QHostInfo::QHostInfo$
    {20, 309, 727},	// QHostInfo::UnknownError
    {20, 340, 720},	// QHostInfo::abortHostLookup$
    {20, 358, 711},	// QHostInfo::addresses
    {20, 472, 713},	// QHostInfo::error
    {20, 474, 715},	// QHostInfo::errorString
    {20, 493, 721},	// QHostInfo::fromName$
    {20, 525, 709},	// QHostInfo::hostName
    {20, 582, 723},	// QHostInfo::localDomainName
    {20, 583, 722},	// QHostInfo::localHostName
    {20, 589, 719},	// QHostInfo::lookupHost$#$
    {20, 590, 718},	// QHostInfo::lookupId
    {20, 649, 708},	// QHostInfo::operator=#
    {20, 959, 712},	// QHostInfo::setAddresses?
    {20, 1002, 714},	// QHostInfo::setError$
    {20, 1005, 716},	// QHostInfo::setErrorString$
    {20, 1019, 710},	// QHostInfo::setHostName$
    {20, 1037, 717},	// QHostInfo::setLookupId$
    {20, 1237, 728},	// QHostInfo::~QHostInfo
    {21, 1, 814},	// QHttp::Aborted
    {21, 11, 815},	// QHttp::AuthenticationRequiredError
    {21, 30, 806},	// QHttp::Closing
    {21, 34, 805},	// QHttp::Connected
    {21, 36, 802},	// QHttp::Connecting
    {21, 40, 798},	// QHttp::ConnectionModeHttp
    {21, 41, 799},	// QHttp::ConnectionModeHttps
    {21, 42, 810},	// QHttp::ConnectionRefused
    {21, 70, 801},	// QHttp::HostLookup
    {21, 74, 809},	// QHttp::HostNotFound
    {21, 88, 812},	// QHttp::InvalidResponseHeader
    {21, 108, 807},	// QHttp::NoError
    {21, 130, 816},	// QHttp::ProxyAuthenticationRequiredError
    {21, 154, 781},	// QHttp::QHttp
    {21, 155, 736},	// QHttp::QHttp#
    {21, 156, 782},	// QHttp::QHttp$
    {21, 157, -1},	// QHttp::QHttp$$
    {21, 158, 737},	// QHttp::QHttp$$#
    {21, 159, 785},	// QHttp::QHttp$$$
    {21, 160, 738},	// QHttp::QHttp$$$#
    {21, 259, 804},	// QHttp::Reading
    {21, 269, 803},	// QHttp::Sending
    {21, 303, 800},	// QHttp::Unconnected
    {21, 306, 811},	// QHttp::UnexpectedClose
    {21, 309, 808},	// QHttp::UnknownError
    {21, 328, 813},	// QHttp::WrongContentLength
    {21, 338, 766},	// QHttp::abort
    {21, 375, 777},	// QHttp::authenticationRequired$$#
    {21, 382, 753},	// QHttp::bytesAvailable
    {21, 397, 762},	// QHttp::clearPendingRequests
    {21, 398, 752},	// QHttp::close
    {21, 399, 751},	// QHttp::closeConnection
    {21, 431, 758},	// QHttp::currentDestinationDevice
    {21, 433, 756},	// QHttp::currentId
    {21, 434, 759},	// QHttp::currentRequest
    {21, 435, 757},	// QHttp::currentSourceDevice
    {21, 440, 772},	// QHttp::dataReadProgress$$
    {21, 442, 771},	// QHttp::dataSendProgress$$
    {21, 460, 775},	// QHttp::done$
    {21, 472, 764},	// QHttp::error
    {21, 474, 765},	// QHttp::errorString
    {21, 501, 791},	// QHttp::get$
    {21, 502, 745},	// QHttp::get$#
    {21, 516, 761},	// QHttp::hasPendingRequests
    {21, 521, 748},	// QHttp::head$
    {21, 527, 767},	// QHttp::ignoreSslErrors
    {21, 568, 760},	// QHttp::lastResponse
    {21, 598, 729},	// QHttp::metaObject
    {21, 708, -4},	// QHttp::post$#
    {21, 709, -7},	// QHttp::post$##
    {21, 719, 776},	// QHttp::proxyAuthenticationRequired##
    {21, 883, 735},	// QHttp::qt_metacall$$?
    {21, 885, 730},	// QHttp::qt_metacast$
    {21, 907, 754},	// QHttp::read$$
    {21, 908, 755},	// QHttp::readAll
    {21, 919, 770},	// QHttp::readyRead#
    {21, 934, 794},	// QHttp::request#
    {21, 935, -10},	// QHttp::request##
    {21, 936, -13},	// QHttp::request###
    {21, 938, 774},	// QHttp::requestFinished$$
    {21, 940, 773},	// QHttp::requestStarted$
    {21, 943, 769},	// QHttp::responseHeaderReceived#
    {21, 1015, 786},	// QHttp::setHost$
    {21, 1016, -16},	// QHttp::setHost$$
    {21, 1017, 740},	// QHttp::setHost$$$
    {21, 1086, 744},	// QHttp::setProxy#
    {21, 1087, 789},	// QHttp::setProxy$$
    {21, 1088, 790},	// QHttp::setProxy$$$
    {21, 1089, 743},	// QHttp::setProxy$$$$
    {21, 1116, 741},	// QHttp::setSocket#
    {21, 1148, 788},	// QHttp::setUser$
    {21, 1149, 742},	// QHttp::setUser$$
    {21, 1167, 778},	// QHttp::sslErrors?
    {21, 1170, 763},	// QHttp::state
    {21, 1172, 768},	// QHttp::stateChanged$
    {21, 1173, 797},	// QHttp::staticMetaObject
    {21, 1195, 779},	// QHttp::tr$
    {21, 1196, 731},	// QHttp::tr$$
    {21, 1197, 733},	// QHttp::tr$$$
    {21, 1199, 780},	// QHttp::trUtf8$
    {21, 1200, 732},	// QHttp::trUtf8$$
    {21, 1201, 734},	// QHttp::trUtf8$$$
    {21, 1238, 817},	// QHttp::~QHttp
    {22, 161, 818},	// QHttpHeader::QHttpHeader
    {22, 162, 819},	// QHttpHeader::QHttpHeader#
    {22, 163, 820},	// QHttpHeader::QHttpHeader$
    {22, 356, 824},	// QHttpHeader::addValue$$
    {22, 364, 829},	// QHttpHeader::allValues$
    {22, 422, 833},	// QHttpHeader::contentLength
    {22, 423, 836},	// QHttpHeader::contentType
    {22, 509, 832},	// QHttpHeader::hasContentLength
    {22, 510, 835},	// QHttpHeader::hasContentType
    {22, 512, 826},	// QHttpHeader::hasKey$
    {22, 559, 839},	// QHttpHeader::isValid
    {22, 565, 827},	// QHttpHeader::keys
    {22, 591, 840},	// QHttpHeader::majorVersion
    {22, 600, 841},	// QHttpHeader::minorVersion
    {22, 649, 821},	// QHttpHeader::operator=#
    {22, 683, 843},	// QHttpHeader::parse$
    {22, 687, 842},	// QHttpHeader::parseLine$$
    {22, 926, 831},	// QHttpHeader::removeAllValues$
    {22, 930, 830},	// QHttpHeader::removeValue$
    {22, 984, 834},	// QHttpHeader::setContentLength$
    {22, 986, 837},	// QHttpHeader::setContentType$
    {22, 1151, 844},	// QHttpHeader::setValid$
    {22, 1154, 822},	// QHttpHeader::setValue$$
    {22, 1156, 823},	// QHttpHeader::setValues?
    {22, 1193, 838},	// QHttpHeader::toString
    {22, 1211, 828},	// QHttpHeader::value$
    {22, 1212, 825},	// QHttpHeader::values
    {22, 1239, 845},	// QHttpHeader::~QHttpHeader
    {23, 164, 846},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 165, 848},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 166, 849},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 167, 858},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 168, 859},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 169, 847},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 591, 854},	// QHttpRequestHeader::majorVersion
    {23, 599, 852},	// QHttpRequestHeader::method
    {23, 600, 855},	// QHttpRequestHeader::minorVersion
    {23, 649, 850},	// QHttpRequestHeader::operator=#
    {23, 687, 857},	// QHttpRequestHeader::parseLine$$
    {23, 691, 853},	// QHttpRequestHeader::path
    {23, 1104, 860},	// QHttpRequestHeader::setRequest$$
    {23, 1105, 861},	// QHttpRequestHeader::setRequest$$$
    {23, 1106, 851},	// QHttpRequestHeader::setRequest$$$$
    {23, 1193, 856},	// QHttpRequestHeader::toString
    {23, 1240, 862},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 170, 863},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 171, 864},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 172, -60},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 173, 876},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 174, 877},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 175, 866},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 591, 871},	// QHttpResponseHeader::majorVersion
    {24, 600, 872},	// QHttpResponseHeader::minorVersion
    {24, 649, 867},	// QHttpResponseHeader::operator=#
    {24, 687, 874},	// QHttpResponseHeader::parseLine$$
    {24, 921, 870},	// QHttpResponseHeader::reasonPhrase
    {24, 1133, 878},	// QHttpResponseHeader::setStatusLine$
    {24, 1134, 879},	// QHttpResponseHeader::setStatusLine$$
    {24, 1135, 880},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1136, 868},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1174, 869},	// QHttpResponseHeader::statusCode
    {24, 1193, 873},	// QHttpResponseHeader::toString
    {24, 1241, 881},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 176, 905},	// QIPv6Address::QIPv6Address
    {26, 177, 906},	// QIPv6Address::QIPv6Address#
    {26, 673, -57},	// QIPv6Address::operator[]$
    {26, 1242, 907},	// QIPv6Address::~QIPv6Address
    {31, 178, 933},	// QLocalServer::QLocalServer
    {31, 179, 916},	// QLocalServer::QLocalServer#
    {31, 398, 917},	// QLocalServer::close
    {31, 474, 918},	// QLocalServer::errorString
    {31, 498, 925},	// QLocalServer::fullServerName
    {31, 514, 919},	// QLocalServer::hasPendingConnections
    {31, 531, 930},	// QLocalServer::incomingConnection?
    {31, 550, 920},	// QLocalServer::isListening
    {31, 579, 921},	// QLocalServer::listen$
    {31, 593, 922},	// QLocalServer::maxPendingConnections
    {31, 598, 908},	// QLocalServer::metaObject
    {31, 608, 915},	// QLocalServer::newConnection
    {31, 609, 923},	// QLocalServer::nextPendingConnection
    {31, 883, 914},	// QLocalServer::qt_metacall$$?
    {31, 885, 909},	// QLocalServer::qt_metacast$
    {31, 928, 926},	// QLocalServer::removeServer$
    {31, 951, 927},	// QLocalServer::serverError
    {31, 952, 924},	// QLocalServer::serverName
    {31, 1039, 928},	// QLocalServer::setMaxPendingConnections$
    {31, 1173, 936},	// QLocalServer::staticMetaObject
    {31, 1195, 931},	// QLocalServer::tr$
    {31, 1196, 910},	// QLocalServer::tr$$
    {31, 1197, 912},	// QLocalServer::tr$$$
    {31, 1199, 932},	// QLocalServer::trUtf8$
    {31, 1200, 911},	// QLocalServer::trUtf8$$
    {31, 1201, 913},	// QLocalServer::trUtf8$$$
    {31, 1222, 934},	// QLocalServer::waitForNewConnection
    {31, 1223, 935},	// QLocalServer::waitForNewConnection$
    {31, 1224, 929},	// QLocalServer::waitForNewConnection$$
    {31, 1243, 937},	// QLocalServer::~QLocalServer
    {32, 31, 998},	// QLocalSocket::ClosingState
    {32, 35, 997},	// QLocalSocket::ConnectedState
    {32, 37, 996},	// QLocalSocket::ConnectingState
    {32, 39, 992},	// QLocalSocket::ConnectionError
    {32, 43, 985},	// QLocalSocket::ConnectionRefusedError
    {32, 52, 991},	// QLocalSocket::DatagramTooLargeError
    {32, 121, 986},	// QLocalSocket::PeerClosedError
    {32, 180, 976},	// QLocalSocket::QLocalSocket
    {32, 181, 945},	// QLocalSocket::QLocalSocket#
    {32, 270, 987},	// QLocalSocket::ServerNotFoundError
    {32, 275, 988},	// QLocalSocket::SocketAccessError
    {32, 277, 989},	// QLocalSocket::SocketResourceError
    {32, 278, 990},	// QLocalSocket::SocketTimeoutError
    {32, 304, 995},	// QLocalSocket::UnconnectedState
    {32, 315, 994},	// QLocalSocket::UnknownSocketError
    {32, 318, 993},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 338, 950},	// QLocalSocket::abort
    {32, 382, 952},	// QLocalSocket::bytesAvailable
    {32, 383, 953},	// QLocalSocket::bytesToWrite
    {32, 388, 954},	// QLocalSocket::canReadLine
    {32, 398, 955},	// QLocalSocket::close
    {32, 419, 977},	// QLocalSocket::connectToServer$
    {32, 420, 946},	// QLocalSocket::connectToServer$$
    {32, 421, 968},	// QLocalSocket::connected
    {32, 455, 947},	// QLocalSocket::disconnectFromServer
    {32, 457, 969},	// QLocalSocket::disconnected
    {32, 472, 956},	// QLocalSocket::error
    {32, 473, 970},	// QLocalSocket::error$
    {32, 485, 957},	// QLocalSocket::flush
    {32, 498, 949},	// QLocalSocket::fullServerName
    {32, 555, 951},	// QLocalSocket::isSequential
    {32, 559, 958},	// QLocalSocket::isValid
    {32, 598, 938},	// QLocalSocket::metaObject
    {32, 883, 944},	// QLocalSocket::qt_metacall$$?
    {32, 885, 939},	// QLocalSocket::qt_metacast$
    {32, 909, 959},	// QLocalSocket::readBufferSize
    {32, 911, 972},	// QLocalSocket::readData$$
    {32, 952, 948},	// QLocalSocket::serverName
    {32, 1099, 960},	// QLocalSocket::setReadBufferSize$
    {32, 1121, 978},	// QLocalSocket::setSocketDescriptor?
    {32, 1122, 979},	// QLocalSocket::setSocketDescriptor?$
    {32, 1123, 961},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1160, 962},	// QLocalSocket::socketDescriptor
    {32, 1170, 963},	// QLocalSocket::state
    {32, 1172, 971},	// QLocalSocket::stateChanged$
    {32, 1173, 984},	// QLocalSocket::staticMetaObject
    {32, 1195, 974},	// QLocalSocket::tr$
    {32, 1196, 940},	// QLocalSocket::tr$$
    {32, 1197, 942},	// QLocalSocket::tr$$$
    {32, 1199, 975},	// QLocalSocket::trUtf8$
    {32, 1200, 941},	// QLocalSocket::trUtf8$$
    {32, 1201, 943},	// QLocalSocket::trUtf8$$$
    {32, 1214, 980},	// QLocalSocket::waitForBytesWritten
    {32, 1215, 964},	// QLocalSocket::waitForBytesWritten$
    {32, 1216, 981},	// QLocalSocket::waitForConnected
    {32, 1217, 965},	// QLocalSocket::waitForConnected$
    {32, 1218, 982},	// QLocalSocket::waitForDisconnected
    {32, 1219, 966},	// QLocalSocket::waitForDisconnected$
    {32, 1225, 983},	// QLocalSocket::waitForReadyRead
    {32, 1226, 967},	// QLocalSocket::waitForReadyRead$
    {32, 1228, 973},	// QLocalSocket::writeData$$
    {32, 1244, 999},	// QLocalSocket::~QLocalSocket
    {37, 55, 1037},	// QNetworkAccessManager::DeleteOperation
    {37, 68, 1034},	// QNetworkAccessManager::GetOperation
    {37, 69, 1033},	// QNetworkAccessManager::HeadOperation
    {37, 123, 1036},	// QNetworkAccessManager::PostOperation
    {37, 139, 1035},	// QNetworkAccessManager::PutOperation
    {37, 182, 1030},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 183, 1007},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 312, 1038},	// QNetworkAccessManager::UnknownOperation
    {37, 374, 1024},	// QNetworkAccessManager::authenticationRequired##
    {37, 385, 1012},	// QNetworkAccessManager::cache
    {37, 424, 1014},	// QNetworkAccessManager::cookieJar
    {37, 428, 1031},	// QNetworkAccessManager::createRequest$#
    {37, 429, 1027},	// QNetworkAccessManager::createRequest$##
    {37, 449, 1022},	// QNetworkAccessManager::deleteResource#
    {37, 483, 1025},	// QNetworkAccessManager::finished#
    {37, 500, 1017},	// QNetworkAccessManager::get#
    {37, 520, 1016},	// QNetworkAccessManager::head#
    {37, 598, 1000},	// QNetworkAccessManager::metaObject
    {37, 707, -451},	// QNetworkAccessManager::post##
    {37, 717, 1008},	// QNetworkAccessManager::proxy
    {37, 719, 1023},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 720, 1010},	// QNetworkAccessManager::proxyFactory
    {37, 725, -454},	// QNetworkAccessManager::put##
    {37, 883, 1006},	// QNetworkAccessManager::qt_metacall$$?
    {37, 885, 1001},	// QNetworkAccessManager::qt_metacast$
    {37, 975, 1013},	// QNetworkAccessManager::setCache#
    {37, 988, 1015},	// QNetworkAccessManager::setCookieJar#
    {37, 1086, 1009},	// QNetworkAccessManager::setProxy#
    {37, 1091, 1011},	// QNetworkAccessManager::setProxyFactory#
    {37, 1166, 1026},	// QNetworkAccessManager::sslErrors#?
    {37, 1173, 1032},	// QNetworkAccessManager::staticMetaObject
    {37, 1195, 1028},	// QNetworkAccessManager::tr$
    {37, 1196, 1002},	// QNetworkAccessManager::tr$$
    {37, 1197, 1004},	// QNetworkAccessManager::tr$$$
    {37, 1199, 1029},	// QNetworkAccessManager::trUtf8$
    {37, 1200, 1003},	// QNetworkAccessManager::trUtf8$$
    {37, 1201, 1005},	// QNetworkAccessManager::trUtf8$$$
    {37, 1245, 1039},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 184, 1040},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 185, 1041},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 381, 1051},	// QNetworkAddressEntry::broadcast
    {38, 539, 1045},	// QNetworkAddressEntry::ip
    {38, 607, 1047},	// QNetworkAddressEntry::netmask
    {38, 613, 1044},	// QNetworkAddressEntry::operator!=#
    {38, 649, 1042},	// QNetworkAddressEntry::operator=#
    {38, 652, 1043},	// QNetworkAddressEntry::operator==#
    {38, 710, 1049},	// QNetworkAddressEntry::prefixLength
    {38, 971, 1052},	// QNetworkAddressEntry::setBroadcast#
    {38, 1023, 1046},	// QNetworkAddressEntry::setIp#
    {38, 1046, 1048},	// QNetworkAddressEntry::setNetmask#
    {38, 1074, 1050},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1246, 1053},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 186, 1054},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 187, 1055},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 371, 1070},	// QNetworkCacheMetaData::attributes
    {39, 477, 1066},	// QNetworkCacheMetaData::expirationDate
    {39, 559, 1059},	// QNetworkCacheMetaData::isValid
    {39, 566, 1064},	// QNetworkCacheMetaData::lastModified
    {39, 613, 1058},	// QNetworkCacheMetaData::operator!=#
    {39, 649, 1056},	// QNetworkCacheMetaData::operator=#
    {39, 652, 1057},	// QNetworkCacheMetaData::operator==#
    {39, 905, 1062},	// QNetworkCacheMetaData::rawHeaders
    {39, 946, 1068},	// QNetworkCacheMetaData::saveToDisk
    {39, 969, 1071},	// QNetworkCacheMetaData::setAttributes?
    {39, 1007, 1067},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1025, 1065},	// QNetworkCacheMetaData::setLastModified#
    {39, 1097, 1063},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1108, 1069},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1144, 1061},	// QNetworkCacheMetaData::setUrl#
    {39, 1207, 1060},	// QNetworkCacheMetaData::url
    {39, 1247, 1072},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 66, 1099},	// QNetworkCookie::Full
    {40, 106, 1098},	// QNetworkCookie::NameAndValueOnly
    {40, 188, 1095},	// QNetworkCookie::QNetworkCookie
    {40, 189, -42},	// QNetworkCookie::QNetworkCookie#
    {40, 190, 1073},	// QNetworkCookie::QNetworkCookie##
    {40, 458, 1085},	// QNetworkCookie::domain
    {40, 477, 1083},	// QNetworkCookie::expirationDate
    {40, 546, 1080},	// QNetworkCookie::isHttpOnly
    {40, 554, 1078},	// QNetworkCookie::isSecure
    {40, 556, 1082},	// QNetworkCookie::isSessionCookie
    {40, 606, 1089},	// QNetworkCookie::name
    {40, 613, 1077},	// QNetworkCookie::operator!=#
    {40, 649, 1075},	// QNetworkCookie::operator=#
    {40, 652, 1076},	// QNetworkCookie::operator==#
    {40, 685, 1094},	// QNetworkCookie::parseCookies#
    {40, 691, 1087},	// QNetworkCookie::path
    {40, 1000, 1086},	// QNetworkCookie::setDomain$
    {40, 1007, 1084},	// QNetworkCookie::setExpirationDate#
    {40, 1021, 1081},	// QNetworkCookie::setHttpOnly$
    {40, 1043, 1090},	// QNetworkCookie::setName#
    {40, 1056, 1088},	// QNetworkCookie::setPath$
    {40, 1112, 1079},	// QNetworkCookie::setSecure$
    {40, 1153, 1092},	// QNetworkCookie::setValue#
    {40, 1191, 1097},	// QNetworkCookie::toRawForm
    {40, 1192, 1093},	// QNetworkCookie::toRawForm$
    {40, 1210, 1091},	// QNetworkCookie::value
    {40, 1248, 1100},	// QNetworkCookie::~QNetworkCookie
    {41, 191, 1115},	// QNetworkCookieJar::QNetworkCookieJar
    {41, 192, 1108},	// QNetworkCookieJar::QNetworkCookieJar#
    {41, 361, 1111},	// QNetworkCookieJar::allCookies
    {41, 426, 1109},	// QNetworkCookieJar::cookiesForUrl#
    {41, 598, 1101},	// QNetworkCookieJar::metaObject
    {41, 883, 1107},	// QNetworkCookieJar::qt_metacall$$?
    {41, 885, 1102},	// QNetworkCookieJar::qt_metacast$
    {41, 961, 1112},	// QNetworkCookieJar::setAllCookies?
    {41, 990, 1110},	// QNetworkCookieJar::setCookiesFromUrl?#
    {41, 1173, 1116},	// QNetworkCookieJar::staticMetaObject
    {41, 1195, 1113},	// QNetworkCookieJar::tr$
    {41, 1196, 1103},	// QNetworkCookieJar::tr$$
    {41, 1197, 1105},	// QNetworkCookieJar::tr$$$
    {41, 1199, 1114},	// QNetworkCookieJar::trUtf8$
    {41, 1200, 1104},	// QNetworkCookieJar::trUtf8$$
    {41, 1201, 1106},	// QNetworkCookieJar::trUtf8$$$
    {41, 1249, 1117},	// QNetworkCookieJar::~QNetworkCookieJar
    {42, 193, 1142},	// QNetworkDiskCache::QNetworkDiskCache
    {42, 194, 1125},	// QNetworkDiskCache::QNetworkDiskCache#
    {42, 386, 1126},	// QNetworkDiskCache::cacheDirectory
    {42, 387, 1130},	// QNetworkDiskCache::cacheSize
    {42, 395, 1138},	// QNetworkDiskCache::clear
    {42, 438, 1133},	// QNetworkDiskCache::data#
    {42, 478, 1139},	// QNetworkDiskCache::expire
    {42, 481, 1137},	// QNetworkDiskCache::fileMetaData$
    {42, 534, 1136},	// QNetworkDiskCache::insert#
    {42, 594, 1128},	// QNetworkDiskCache::maximumCacheSize
    {42, 596, 1131},	// QNetworkDiskCache::metaData#
    {42, 598, 1118},	// QNetworkDiskCache::metaObject
    {42, 712, 1135},	// QNetworkDiskCache::prepare#
    {42, 883, 1124},	// QNetworkDiskCache::qt_metacall$$?
    {42, 885, 1119},	// QNetworkDiskCache::qt_metacast$
    {42, 923, 1134},	// QNetworkDiskCache::remove#
    {42, 977, 1127},	// QNetworkDiskCache::setCacheDirectory$
    {42, 1041, 1129},	// QNetworkDiskCache::setMaximumCacheSize$
    {42, 1173, 1143},	// QNetworkDiskCache::staticMetaObject
    {42, 1195, 1140},	// QNetworkDiskCache::tr$
    {42, 1196, 1120},	// QNetworkDiskCache::tr$$
    {42, 1197, 1122},	// QNetworkDiskCache::tr$$$
    {42, 1199, 1141},	// QNetworkDiskCache::trUtf8$
    {42, 1200, 1121},	// QNetworkDiskCache::trUtf8$$
    {42, 1201, 1123},	// QNetworkDiskCache::trUtf8$$$
    {42, 1204, 1132},	// QNetworkDiskCache::updateMetaData#
    {42, 1250, 1144},	// QNetworkDiskCache::~QNetworkDiskCache
    {43, 20, 1161},	// QNetworkInterface::CanBroadcast
    {43, 21, 1164},	// QNetworkInterface::CanMulticast
    {43, 89, 1162},	// QNetworkInterface::IsLoopBack
    {43, 90, 1163},	// QNetworkInterface::IsPointToPoint
    {43, 91, 1160},	// QNetworkInterface::IsRunning
    {43, 92, 1159},	// QNetworkInterface::IsUp
    {43, 195, 1145},	// QNetworkInterface::QNetworkInterface
    {43, 196, 1146},	// QNetworkInterface::QNetworkInterface#
    {43, 357, 1154},	// QNetworkInterface::addressEntries
    {43, 360, 1158},	// QNetworkInterface::allAddresses
    {43, 362, 1157},	// QNetworkInterface::allInterfaces
    {43, 484, 1152},	// QNetworkInterface::flags
    {43, 508, 1153},	// QNetworkInterface::hardwareAddress
    {43, 526, 1151},	// QNetworkInterface::humanReadableName
    {43, 532, 1149},	// QNetworkInterface::index
    {43, 536, 1156},	// QNetworkInterface::interfaceFromIndex$
    {43, 538, 1155},	// QNetworkInterface::interfaceFromName$
    {43, 559, 1148},	// QNetworkInterface::isValid
    {43, 606, 1150},	// QNetworkInterface::name
    {43, 649, 1147},	// QNetworkInterface::operator=#
    {43, 1251, 1165},	// QNetworkInterface::~QNetworkInterface
    {44, 19, 1201},	// QNetworkProxy::CachingCapability
    {44, 54, 1192},	// QNetworkProxy::DefaultProxy
    {44, 65, 1197},	// QNetworkProxy::FtpCachingProxy
    {44, 72, 1202},	// QNetworkProxy::HostNameLookupCapability
    {44, 76, 1196},	// QNetworkProxy::HttpCachingProxy
    {44, 79, 1195},	// QNetworkProxy::HttpProxy
    {44, 96, 1199},	// QNetworkProxy::ListeningCapability
    {44, 110, 1194},	// QNetworkProxy::NoProxy
    {44, 197, 1166},	// QNetworkProxy::QNetworkProxy
    {44, 198, 1168},	// QNetworkProxy::QNetworkProxy#
    {44, 199, 1188},	// QNetworkProxy::QNetworkProxy$
    {44, 200, 1189},	// QNetworkProxy::QNetworkProxy$$
    {44, 201, 1190},	// QNetworkProxy::QNetworkProxy$$$
    {44, 202, 1191},	// QNetworkProxy::QNetworkProxy$$$$
    {44, 203, 1167},	// QNetworkProxy::QNetworkProxy$$$$$
    {44, 279, 1193},	// QNetworkProxy::Socks5Proxy
    {44, 294, 1198},	// QNetworkProxy::TunnelingCapability
    {44, 296, 1200},	// QNetworkProxy::UdpTunnelingCapability
    {44, 366, 1187},	// QNetworkProxy::applicationProxy
    {44, 389, 1175},	// QNetworkProxy::capabilities
    {44, 525, 1183},	// QNetworkProxy::hostName
    {44, 540, 1176},	// QNetworkProxy::isCachingProxy
    {44, 558, 1177},	// QNetworkProxy::isTransparentProxy
    {44, 613, 1171},	// QNetworkProxy::operator!=#
    {44, 649, 1169},	// QNetworkProxy::operator=#
    {44, 652, 1170},	// QNetworkProxy::operator==#
    {44, 690, 1181},	// QNetworkProxy::password
    {44, 704, 1185},	// QNetworkProxy::port
    {44, 963, 1186},	// QNetworkProxy::setApplicationProxy#
    {44, 979, 1174},	// QNetworkProxy::setCapabilities$
    {44, 1019, 1182},	// QNetworkProxy::setHostName$
    {44, 1054, 1180},	// QNetworkProxy::setPassword$
    {44, 1072, 1184},	// QNetworkProxy::setPort$
    {44, 1142, 1172},	// QNetworkProxy::setType$
    {44, 1148, 1178},	// QNetworkProxy::setUser$
    {44, 1202, 1173},	// QNetworkProxy::type
    {44, 1209, 1179},	// QNetworkProxy::user
    {44, 1252, 1203},	// QNetworkProxy::~QNetworkProxy
    {45, 204, 1204},	// QNetworkProxyFactory::QNetworkProxyFactory
    {45, 205, 1210},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {45, 722, 1208},	// QNetworkProxyFactory::proxyForQuery#
    {45, 891, 1211},	// QNetworkProxyFactory::queryProxy
    {45, 892, 1205},	// QNetworkProxyFactory::queryProxy#
    {45, 965, 1207},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {45, 1146, 1206},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {45, 1182, 1212},	// QNetworkProxyFactory::systemProxyForQuery
    {45, 1183, 1209},	// QNetworkProxyFactory::systemProxyForQuery#
    {45, 1253, 1213},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {46, 206, 1214},	// QNetworkProxyQuery::QNetworkProxyQuery
    {46, 207, -439},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {46, 208, 1215},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {46, 209, 1237},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {46, 210, -442},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {46, 211, -445},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {46, 212, 1216},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {46, 288, 1241},	// QNetworkProxyQuery::TcpServer
    {46, 289, 1239},	// QNetworkProxyQuery::TcpSocket
    {46, 295, 1240},	// QNetworkProxyQuery::UdpSocket
    {46, 319, 1242},	// QNetworkProxyQuery::UrlRequest
    {46, 584, 1228},	// QNetworkProxyQuery::localPort
    {46, 613, 1221},	// QNetworkProxyQuery::operator!=#
    {46, 649, 1219},	// QNetworkProxyQuery::operator=#
    {46, 652, 1220},	// QNetworkProxyQuery::operator==#
    {46, 695, 1226},	// QNetworkProxyQuery::peerHostName
    {46, 697, 1224},	// QNetworkProxyQuery::peerPort
    {46, 716, 1230},	// QNetworkProxyQuery::protocolTag
    {46, 893, 1222},	// QNetworkProxyQuery::queryType
    {46, 1035, 1229},	// QNetworkProxyQuery::setLocalPort$
    {46, 1060, 1227},	// QNetworkProxyQuery::setPeerHostName$
    {46, 1064, 1225},	// QNetworkProxyQuery::setPeerPort$
    {46, 1084, 1231},	// QNetworkProxyQuery::setProtocolTag$
    {46, 1093, 1223},	// QNetworkProxyQuery::setQueryType$
    {46, 1144, 1233},	// QNetworkProxyQuery::setUrl#
    {46, 1207, 1232},	// QNetworkProxyQuery::url
    {46, 1254, 1243},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {47, 11, 1308},	// QNetworkReply::AuthenticationRequiredError
    {47, 43, 1292},	// QNetworkReply::ConnectionRefusedError
    {47, 44, 1305},	// QNetworkReply::ContentAccessDenied
    {47, 46, 1307},	// QNetworkReply::ContentNotFoundError
    {47, 47, 1306},	// QNetworkReply::ContentOperationNotPermittedError
    {47, 48, 1309},	// QNetworkReply::ContentReSendError
    {47, 75, 1294},	// QNetworkReply::HostNotFoundError
    {47, 108, 1291},	// QNetworkReply::NoError
    {47, 116, 1296},	// QNetworkReply::OperationCanceledError
    {47, 127, 1313},	// QNetworkReply::ProtocolFailure
    {47, 128, 1312},	// QNetworkReply::ProtocolInvalidOperationError
    {47, 129, 1311},	// QNetworkReply::ProtocolUnknownError
    {47, 130, 1303},	// QNetworkReply::ProxyAuthenticationRequiredError
    {47, 131, 1300},	// QNetworkReply::ProxyConnectionClosedError
    {47, 132, 1299},	// QNetworkReply::ProxyConnectionRefusedError
    {47, 134, 1301},	// QNetworkReply::ProxyNotFoundError
    {47, 136, 1302},	// QNetworkReply::ProxyTimeoutError
    {47, 213, 1289},	// QNetworkReply::QNetworkReply
    {47, 214, 1278},	// QNetworkReply::QNetworkReply#
    {47, 261, 1293},	// QNetworkReply::RemoteHostClosedError
    {47, 282, 1297},	// QNetworkReply::SslHandshakeFailedError
    {47, 291, 1295},	// QNetworkReply::TimeoutError
    {47, 308, 1310},	// QNetworkReply::UnknownContentError
    {47, 310, 1298},	// QNetworkReply::UnknownNetworkError
    {47, 314, 1304},	// QNetworkReply::UnknownProxyError
    {47, 338, 1251},	// QNetworkReply::abort
    {47, 369, 1267},	// QNetworkReply::attribute$
    {47, 398, 1252},	// QNetworkReply::close
    {47, 462, 1277},	// QNetworkReply::downloadProgress$$
    {47, 472, 1259},	// QNetworkReply::error
    {47, 473, 1274},	// QNetworkReply::error$
    {47, 482, 1273},	// QNetworkReply::finished
    {47, 518, 1264},	// QNetworkReply::hasRawHeader#
    {47, 523, 1263},	// QNetworkReply::header$
    {47, 527, 1271},	// QNetworkReply::ignoreSslErrors
    {47, 528, 1270},	// QNetworkReply::ignoreSslErrors?
    {47, 545, 1260},	// QNetworkReply::isFinished
    {47, 553, 1261},	// QNetworkReply::isRunning
    {47, 555, 1253},	// QNetworkReply::isSequential
    {47, 592, 1256},	// QNetworkReply::manager
    {47, 597, 1272},	// QNetworkReply::metaDataChanged
    {47, 598, 1244},	// QNetworkReply::metaObject
    {47, 611, 1257},	// QNetworkReply::operation
    {47, 883, 1250},	// QNetworkReply::qt_metacall$$?
    {47, 885, 1245},	// QNetworkReply::qt_metacast$
    {47, 903, 1266},	// QNetworkReply::rawHeader#
    {47, 904, 1265},	// QNetworkReply::rawHeaderList
    {47, 909, 1254},	// QNetworkReply::readBufferSize
    {47, 933, 1258},	// QNetworkReply::request
    {47, 967, 1286},	// QNetworkReply::setAttribute$#
    {47, 1003, 1282},	// QNetworkReply::setError$$
    {47, 1013, 1284},	// QNetworkReply::setHeader$#
    {47, 1048, 1280},	// QNetworkReply::setOperation$
    {47, 1095, 1285},	// QNetworkReply::setRawHeader##
    {47, 1099, 1255},	// QNetworkReply::setReadBufferSize$
    {47, 1103, 1281},	// QNetworkReply::setRequest#
    {47, 1131, 1269},	// QNetworkReply::setSslConfiguration#
    {47, 1144, 1283},	// QNetworkReply::setUrl#
    {47, 1164, 1268},	// QNetworkReply::sslConfiguration
    {47, 1167, 1275},	// QNetworkReply::sslErrors?
    {47, 1173, 1290},	// QNetworkReply::staticMetaObject
    {47, 1195, 1287},	// QNetworkReply::tr$
    {47, 1196, 1246},	// QNetworkReply::tr$$
    {47, 1197, 1248},	// QNetworkReply::tr$$$
    {47, 1199, 1288},	// QNetworkReply::trUtf8$
    {47, 1200, 1247},	// QNetworkReply::trUtf8$$
    {47, 1201, 1249},	// QNetworkReply::trUtf8$$$
    {47, 1206, 1276},	// QNetworkReply::uploadProgress$$
    {47, 1207, 1262},	// QNetworkReply::url
    {47, 1228, 1279},	// QNetworkReply::writeData$$
    {47, 1255, 1314},	// QNetworkReply::~QNetworkReply
    {48, 4, 1357},	// QNetworkRequest::AlwaysCache
    {48, 5, 1354},	// QNetworkRequest::AlwaysNetwork
    {48, 17, 1346},	// QNetworkRequest::CacheLoadControlAttribute
    {48, 18, 1347},	// QNetworkRequest::CacheSaveControlAttribute
    {48, 38, 1345},	// QNetworkRequest::ConnectionEncryptedAttribute
    {48, 45, 1337},	// QNetworkRequest::ContentLengthHeader
    {48, 49, 1336},	// QNetworkRequest::ContentTypeHeader
    {48, 50, 1340},	// QNetworkRequest::CookieHeader
    {48, 58, 1349},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {48, 77, 1350},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {48, 78, 1351},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {48, 80, 1343},	// QNetworkRequest::HttpReasonPhraseAttribute
    {48, 81, 1342},	// QNetworkRequest::HttpStatusCodeAttribute
    {48, 94, 1339},	// QNetworkRequest::LastModifiedHeader
    {48, 101, 1338},	// QNetworkRequest::LocationHeader
    {48, 124, 1356},	// QNetworkRequest::PreferCache
    {48, 125, 1355},	// QNetworkRequest::PreferNetwork
    {48, 215, 1334},	// QNetworkRequest::QNetworkRequest
    {48, 216, -448},	// QNetworkRequest::QNetworkRequest#
    {48, 260, 1344},	// QNetworkRequest::RedirectionTargetAttribute
    {48, 271, 1341},	// QNetworkRequest::SetCookieHeader
    {48, 280, 1348},	// QNetworkRequest::SourceIsFromCacheAttribute
    {48, 320, 1352},	// QNetworkRequest::User
    {48, 321, 1353},	// QNetworkRequest::UserMax
    {48, 369, 1335},	// QNetworkRequest::attribute$
    {48, 370, 1328},	// QNetworkRequest::attribute$#
    {48, 518, 1324},	// QNetworkRequest::hasRawHeader#
    {48, 523, 1322},	// QNetworkRequest::header$
    {48, 613, 1319},	// QNetworkRequest::operator!=#
    {48, 649, 1317},	// QNetworkRequest::operator=#
    {48, 652, 1318},	// QNetworkRequest::operator==#
    {48, 680, 1333},	// QNetworkRequest::originatingObject
    {48, 903, 1326},	// QNetworkRequest::rawHeader#
    {48, 904, 1325},	// QNetworkRequest::rawHeaderList
    {48, 967, 1329},	// QNetworkRequest::setAttribute$#
    {48, 1013, 1323},	// QNetworkRequest::setHeader$#
    {48, 1050, 1332},	// QNetworkRequest::setOriginatingObject#
    {48, 1095, 1327},	// QNetworkRequest::setRawHeader##
    {48, 1131, 1331},	// QNetworkRequest::setSslConfiguration#
    {48, 1144, 1321},	// QNetworkRequest::setUrl#
    {48, 1164, 1330},	// QNetworkRequest::sslConfiguration
    {48, 1207, 1320},	// QNetworkRequest::url
    {48, 1256, 1358},	// QNetworkRequest::~QNetworkRequest
    {58, 8, 1373},	// QSsl::AnyProtocol
    {58, 56, 1369},	// QSsl::Der
    {58, 57, 1376},	// QSsl::DnsEntry
    {58, 60, 1367},	// QSsl::Dsa
    {58, 61, 1375},	// QSsl::EmailEntry
    {58, 122, 1368},	// QSsl::Pem
    {58, 126, 1377},	// QSsl::PrivateKey
    {58, 137, 1378},	// QSsl::PublicKey
    {58, 266, 1366},	// QSsl::Rsa
    {58, 284, 1371},	// QSsl::SslV2
    {58, 285, 1370},	// QSsl::SslV3
    {58, 292, 1372},	// QSsl::TlsV1
    {58, 313, 1374},	// QSsl::UnknownProtocol
    {59, 32, 1414},	// QSslCertificate::CommonName
    {59, 51, 1417},	// QSslCertificate::CountryName
    {59, 100, 1415},	// QSslCertificate::LocalityName
    {59, 117, 1413},	// QSslCertificate::Organization
    {59, 118, 1416},	// QSslCertificate::OrganizationalUnitName
    {59, 217, 1406},	// QSslCertificate::QSslCertificate
    {59, 218, -19},	// QSslCertificate::QSslCertificate#
    {59, 219, -23},	// QSslCertificate::QSslCertificate#$
    {59, 286, 1418},	// QSslCertificate::StateOrProvinceName
    {59, 365, 1395},	// QSslCertificate::alternateSubjectNames
    {59, 395, 1387},	// QSslCertificate::clear
    {59, 451, 1408},	// QSslCertificate::digest
    {59, 452, 1390},	// QSslCertificate::digest$
    {59, 463, 1396},	// QSslCertificate::effectiveDate
    {59, 479, 1397},	// QSslCertificate::expiryDate
    {59, 487, 1412},	// QSslCertificate::fromData#
    {59, 488, 1403},	// QSslCertificate::fromData#$
    {59, 490, 1411},	// QSslCertificate::fromDevice#
    {59, 491, 1402},	// QSslCertificate::fromDevice#$
    {59, 495, 1409},	// QSslCertificate::fromPath$
    {59, 496, 1410},	// QSslCertificate::fromPath$$
    {59, 497, 1401},	// QSslCertificate::fromPath$$$
    {59, 507, 1404},	// QSslCertificate::handle
    {59, 551, 1385},	// QSslCertificate::isNull
    {59, 559, 1386},	// QSslCertificate::isValid
    {59, 562, 1392},	// QSslCertificate::issuerInfo#
    {59, 563, 1391},	// QSslCertificate::issuerInfo$
    {59, 613, 1384},	// QSslCertificate::operator!=#
    {59, 649, 1382},	// QSslCertificate::operator=#
    {59, 652, 1383},	// QSslCertificate::operator==#
    {59, 723, 1398},	// QSslCertificate::publicKey
    {59, 949, 1389},	// QSslCertificate::serialNumber
    {59, 1176, 1394},	// QSslCertificate::subjectInfo#
    {59, 1177, 1393},	// QSslCertificate::subjectInfo$
    {59, 1185, 1400},	// QSslCertificate::toDer
    {59, 1189, 1399},	// QSslCertificate::toPem
    {59, 1213, 1388},	// QSslCertificate::version
    {59, 1257, 1419},	// QSslCertificate::~QSslCertificate
    {60, 220, 1420},	// QSslCipher::QSslCipher
    {60, 221, 1422},	// QSslCipher::QSslCipher#
    {60, 222, 1421},	// QSslCipher::QSslCipher$$
    {60, 372, 1431},	// QSslCipher::authenticationMethod
    {60, 469, 1432},	// QSslCipher::encryptionMethod
    {60, 551, 1426},	// QSslCipher::isNull
    {60, 564, 1430},	// QSslCipher::keyExchangeMethod
    {60, 606, 1427},	// QSslCipher::name
    {60, 613, 1425},	// QSslCipher::operator!=#
    {60, 649, 1423},	// QSslCipher::operator=#
    {60, 652, 1424},	// QSslCipher::operator==#
    {60, 714, 1434},	// QSslCipher::protocol
    {60, 715, 1433},	// QSslCipher::protocolString
    {60, 1178, 1428},	// QSslCipher::supportedBits
    {60, 1208, 1429},	// QSslCipher::usedBits
    {60, 1258, 1435},	// QSslCipher::~QSslCipher
    {61, 223, 1436},	// QSslConfiguration::QSslConfiguration
    {61, 224, 1437},	// QSslConfiguration::QSslConfiguration#
    {61, 384, 1457},	// QSslConfiguration::caCertificates
    {61, 394, 1455},	// QSslConfiguration::ciphers
    {61, 447, 1459},	// QSslConfiguration::defaultConfiguration
    {61, 551, 1441},	// QSslConfiguration::isNull
    {61, 581, 1448},	// QSslConfiguration::localCertificate
    {61, 613, 1440},	// QSslConfiguration::operator!=#
    {61, 649, 1438},	// QSslConfiguration::operator=#
    {61, 652, 1439},	// QSslConfiguration::operator==#
    {61, 693, 1450},	// QSslConfiguration::peerCertificate
    {61, 694, 1451},	// QSslConfiguration::peerCertificateChain
    {61, 698, 1446},	// QSslConfiguration::peerVerifyDepth
    {61, 701, 1444},	// QSslConfiguration::peerVerifyMode
    {61, 713, 1453},	// QSslConfiguration::privateKey
    {61, 714, 1442},	// QSslConfiguration::protocol
    {61, 954, 1452},	// QSslConfiguration::sessionCipher
    {61, 973, 1458},	// QSslConfiguration::setCaCertificates?
    {61, 982, 1456},	// QSslConfiguration::setCiphers?
    {61, 996, 1460},	// QSslConfiguration::setDefaultConfiguration#
    {61, 1031, 1449},	// QSslConfiguration::setLocalCertificate#
    {61, 1066, 1447},	// QSslConfiguration::setPeerVerifyDepth$
    {61, 1068, 1445},	// QSslConfiguration::setPeerVerifyMode$
    {61, 1076, 1454},	// QSslConfiguration::setPrivateKey#
    {61, 1082, 1443},	// QSslConfiguration::setProtocol$
    {61, 1259, 1461},	// QSslConfiguration::~QSslConfiguration
    {62, 12, 1492},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {62, 23, 1478},	// QSslError::CertificateExpired
    {62, 24, 1477},	// QSslError::CertificateNotYetValid
    {62, 25, 1490},	// QSslError::CertificateRejected
    {62, 26, 1485},	// QSslError::CertificateRevoked
    {62, 27, 1476},	// QSslError::CertificateSignatureFailed
    {62, 28, 1489},	// QSslError::CertificateUntrusted
    {62, 73, 1494},	// QSslError::HostNameMismatch
    {62, 84, 1486},	// QSslError::InvalidCaCertificate
    {62, 85, 1480},	// QSslError::InvalidNotAfterField
    {62, 86, 1479},	// QSslError::InvalidNotBeforeField
    {62, 87, 1488},	// QSslError::InvalidPurpose
    {62, 108, 1472},	// QSslError::NoError
    {62, 109, 1493},	// QSslError::NoPeerCertificate
    {62, 111, 1495},	// QSslError::NoSslSupport
    {62, 120, 1487},	// QSslError::PathLengthExceeded
    {62, 225, 1462},	// QSslError::QSslError
    {62, 226, 1465},	// QSslError::QSslError#
    {62, 227, 1463},	// QSslError::QSslError$
    {62, 228, 1464},	// QSslError::QSslError$#
    {62, 267, 1481},	// QSslError::SelfSignedCertificate
    {62, 268, 1482},	// QSslError::SelfSignedCertificateInChain
    {62, 287, 1491},	// QSslError::SubjectIssuerMismatch
    {62, 297, 1475},	// QSslError::UnableToDecodeIssuerPublicKey
    {62, 298, 1474},	// QSslError::UnableToDecryptCertificateSignature
    {62, 299, 1473},	// QSslError::UnableToGetIssuerCertificate
    {62, 300, 1483},	// QSslError::UnableToGetLocalIssuerCertificate
    {62, 301, 1484},	// QSslError::UnableToVerifyFirstCertificate
    {62, 317, 1496},	// QSslError::UnspecifiedError
    {62, 392, 1471},	// QSslError::certificate
    {62, 472, 1469},	// QSslError::error
    {62, 474, 1470},	// QSslError::errorString
    {62, 613, 1468},	// QSslError::operator!=#
    {62, 649, 1466},	// QSslError::operator=#
    {62, 652, 1467},	// QSslError::operator==#
    {62, 1260, 1497},	// QSslError::~QSslError
    {63, 229, 1498},	// QSslKey::QSslKey
    {63, 230, 1501},	// QSslKey::QSslKey#
    {63, 231, -45},	// QSslKey::QSslKey#$
    {63, 232, -48},	// QSslKey::QSslKey#$$
    {63, 233, -51},	// QSslKey::QSslKey#$$$
    {63, 234, -54},	// QSslKey::QSslKey#$$$#
    {63, 359, 1507},	// QSslKey::algorithm
    {63, 395, 1504},	// QSslKey::clear
    {63, 507, 1510},	// QSslKey::handle
    {63, 551, 1503},	// QSslKey::isNull
    {63, 569, 1505},	// QSslKey::length
    {63, 613, 1512},	// QSslKey::operator!=#
    {63, 649, 1502},	// QSslKey::operator=#
    {63, 652, 1511},	// QSslKey::operator==#
    {63, 1185, 1520},	// QSslKey::toDer
    {63, 1186, 1509},	// QSslKey::toDer#
    {63, 1189, 1519},	// QSslKey::toPem
    {63, 1190, 1508},	// QSslKey::toPem#
    {63, 1202, 1506},	// QSslKey::type
    {63, 1261, 1521},	// QSslKey::~QSslKey
    {64, 13, 1628},	// QSslSocket::AutoVerifyPeer
    {64, 235, 1603},	// QSslSocket::QSslSocket
    {64, 236, 1529},	// QSslSocket::QSslSocket#
    {64, 252, 1626},	// QSslSocket::QueryPeer
    {64, 281, 1623},	// QSslSocket::SslClientMode
    {64, 283, 1624},	// QSslSocket::SslServerMode
    {64, 305, 1622},	// QSslSocket::UnencryptedMode
    {64, 322, 1625},	// QSslSocket::VerifyNone
    {64, 323, 1627},	// QSslSocket::VerifyPeer
    {64, 338, 1549},	// QSslSocket::abort
    {64, 342, 1571},	// QSslSocket::addCaCertificate#
    {64, 344, 1612},	// QSslSocket::addCaCertificates$
    {64, 345, 1613},	// QSslSocket::addCaCertificates$$
    {64, 346, 1570},	// QSslSocket::addCaCertificates$$$
    {64, 347, 1572},	// QSslSocket::addCaCertificates?
    {64, 349, 1576},	// QSslSocket::addDefaultCaCertificate#
    {64, 351, 1614},	// QSslSocket::addDefaultCaCertificates$
    {64, 352, 1615},	// QSslSocket::addDefaultCaCertificates$$
    {64, 353, 1575},	// QSslSocket::addDefaultCaCertificates$$$
    {64, 354, 1577},	// QSslSocket::addDefaultCaCertificates?
    {64, 367, 1547},	// QSslSocket::atEnd
    {64, 382, 1543},	// QSslSocket::bytesAvailable
    {64, 383, 1544},	// QSslSocket::bytesToWrite
    {64, 384, 1574},	// QSslSocket::caCertificates
    {64, 388, 1545},	// QSslSocket::canReadLine
    {64, 394, 1564},	// QSslSocket::ciphers
    {64, 398, 1546},	// QSslSocket::close
    {64, 412, 1604},	// QSslSocket::connectToHostEncrypted$$
    {64, 413, -430},	// QSslSocket::connectToHostEncrypted$$$
    {64, 414, 1531},	// QSslSocket::connectToHostEncrypted$$$$
    {64, 417, 1597},	// QSslSocket::connectToHostImplementation$$$
    {64, 445, 1579},	// QSslSocket::defaultCaCertificates
    {64, 446, 1568},	// QSslSocket::defaultCiphers
    {64, 454, 1598},	// QSslSocket::disconnectFromHostImplementation
    {64, 464, 1592},	// QSslSocket::encrypted
    {64, 465, 1551},	// QSslSocket::encryptedBytesAvailable
    {64, 466, 1552},	// QSslSocket::encryptedBytesToWrite
    {64, 468, 1596},	// QSslSocket::encryptedBytesWritten$
    {64, 485, 1548},	// QSslSocket::flush
    {64, 527, 1591},	// QSslSocket::ignoreSslErrors
    {64, 528, 1588},	// QSslSocket::ignoreSslErrors?
    {64, 542, 1536},	// QSslSocket::isEncrypted
    {64, 581, 1557},	// QSslSocket::localCertificate
    {64, 598, 1522},	// QSslSocket::metaObject
    {64, 603, 1535},	// QSslSocket::mode
    {64, 605, 1595},	// QSslSocket::modeChanged$
    {64, 693, 1558},	// QSslSocket::peerCertificate
    {64, 694, 1559},	// QSslSocket::peerCertificateChain
    {64, 698, 1541},	// QSslSocket::peerVerifyDepth
    {64, 700, 1593},	// QSslSocket::peerVerifyError#
    {64, 701, 1539},	// QSslSocket::peerVerifyMode
    {64, 713, 1563},	// QSslSocket::privateKey
    {64, 714, 1537},	// QSslSocket::protocol
    {64, 883, 1528},	// QSslSocket::qt_metacall$$?
    {64, 885, 1523},	// QSslSocket::qt_metacast$
    {64, 911, 1599},	// QSslSocket::readData$$
    {64, 954, 1560},	// QSslSocket::sessionCipher
    {64, 973, 1573},	// QSslSocket::setCaCertificates?
    {64, 981, 1566},	// QSslSocket::setCiphers$
    {64, 982, 1565},	// QSslSocket::setCiphers?
    {64, 992, 1578},	// QSslSocket::setDefaultCaCertificates?
    {64, 994, 1567},	// QSslSocket::setDefaultCiphers?
    {64, 1031, 1555},	// QSslSocket::setLocalCertificate#
    {64, 1032, 1608},	// QSslSocket::setLocalCertificate$
    {64, 1033, 1556},	// QSslSocket::setLocalCertificate$$
    {64, 1066, 1542},	// QSslSocket::setPeerVerifyDepth$
    {64, 1068, 1540},	// QSslSocket::setPeerVerifyMode$
    {64, 1076, 1561},	// QSslSocket::setPrivateKey#
    {64, 1077, 1609},	// QSslSocket::setPrivateKey$
    {64, 1078, 1610},	// QSslSocket::setPrivateKey$$
    {64, 1079, 1611},	// QSslSocket::setPrivateKey$$$
    {64, 1080, 1562},	// QSslSocket::setPrivateKey$$$#
    {64, 1082, 1538},	// QSslSocket::setProtocol$
    {64, 1099, 1550},	// QSslSocket::setReadBufferSize$
    {64, 1118, 1606},	// QSslSocket::setSocketDescriptor$
    {64, 1119, 1607},	// QSslSocket::setSocketDescriptor$$
    {64, 1120, 1532},	// QSslSocket::setSocketDescriptor$$$
    {64, 1127, 1533},	// QSslSocket::setSocketOption$#
    {64, 1131, 1554},	// QSslSocket::setSslConfiguration#
    {64, 1162, 1534},	// QSslSocket::socketOption$
    {64, 1164, 1553},	// QSslSocket::sslConfiguration
    {64, 1165, 1586},	// QSslSocket::sslErrors
    {64, 1167, 1594},	// QSslSocket::sslErrors?
    {64, 1168, 1589},	// QSslSocket::startClientEncryption
    {64, 1169, 1590},	// QSslSocket::startServerEncryption
    {64, 1173, 1621},	// QSslSocket::staticMetaObject
    {64, 1179, 1569},	// QSslSocket::supportedCiphers
    {64, 1180, 1587},	// QSslSocket::supportsSsl
    {64, 1181, 1580},	// QSslSocket::systemCaCertificates
    {64, 1195, 1601},	// QSslSocket::tr$
    {64, 1196, 1524},	// QSslSocket::tr$$
    {64, 1197, 1526},	// QSslSocket::tr$$$
    {64, 1199, 1602},	// QSslSocket::trUtf8$
    {64, 1200, 1525},	// QSslSocket::trUtf8$$
    {64, 1201, 1527},	// QSslSocket::trUtf8$$$
    {64, 1214, 1619},	// QSslSocket::waitForBytesWritten
    {64, 1215, 1584},	// QSslSocket::waitForBytesWritten$
    {64, 1216, 1616},	// QSslSocket::waitForConnected
    {64, 1217, 1581},	// QSslSocket::waitForConnected$
    {64, 1218, 1620},	// QSslSocket::waitForDisconnected
    {64, 1219, 1585},	// QSslSocket::waitForDisconnected$
    {64, 1220, 1617},	// QSslSocket::waitForEncrypted
    {64, 1221, 1582},	// QSslSocket::waitForEncrypted$
    {64, 1225, 1618},	// QSslSocket::waitForReadyRead
    {64, 1226, 1583},	// QSslSocket::waitForReadyRead$
    {64, 1228, 1600},	// QSslSocket::writeData$$
    {64, 1262, 1629},	// QSslSocket::~QSslSocket
    {67, 237, 1658},	// QTcpServer::QTcpServer
    {67, 238, 1637},	// QTcpServer::QTcpServer#
    {67, 398, 1639},	// QTcpServer::close
    {67, 474, 1651},	// QTcpServer::errorString
    {67, 514, 1648},	// QTcpServer::hasPendingConnections
    {67, 530, 1654},	// QTcpServer::incomingConnection$
    {67, 550, 1640},	// QTcpServer::isListening
    {67, 576, 1659},	// QTcpServer::listen
    {67, 577, 1660},	// QTcpServer::listen#
    {67, 578, 1638},	// QTcpServer::listen#$
    {67, 593, 1642},	// QTcpServer::maxPendingConnections
    {67, 598, 1630},	// QTcpServer::metaObject
    {67, 608, 1655},	// QTcpServer::newConnection
    {67, 609, 1649},	// QTcpServer::nextPendingConnection
    {67, 717, 1653},	// QTcpServer::proxy
    {67, 883, 1636},	// QTcpServer::qt_metacall$$?
    {67, 885, 1631},	// QTcpServer::qt_metacast$
    {67, 950, 1644},	// QTcpServer::serverAddress
    {67, 951, 1650},	// QTcpServer::serverError
    {67, 953, 1643},	// QTcpServer::serverPort
    {67, 1039, 1641},	// QTcpServer::setMaxPendingConnections$
    {67, 1086, 1652},	// QTcpServer::setProxy#
    {67, 1118, 1646},	// QTcpServer::setSocketDescriptor$
    {67, 1160, 1645},	// QTcpServer::socketDescriptor
    {67, 1173, 1663},	// QTcpServer::staticMetaObject
    {67, 1195, 1656},	// QTcpServer::tr$
    {67, 1196, 1632},	// QTcpServer::tr$$
    {67, 1197, 1634},	// QTcpServer::tr$$$
    {67, 1199, 1657},	// QTcpServer::trUtf8$
    {67, 1200, 1633},	// QTcpServer::trUtf8$$
    {67, 1201, 1635},	// QTcpServer::trUtf8$$$
    {67, 1222, 1661},	// QTcpServer::waitForNewConnection
    {67, 1223, 1662},	// QTcpServer::waitForNewConnection$
    {67, 1224, 1647},	// QTcpServer::waitForNewConnection$$
    {67, 1263, 1664},	// QTcpServer::~QTcpServer
    {68, 239, 1675},	// QTcpSocket::QTcpSocket
    {68, 240, 1672},	// QTcpSocket::QTcpSocket#
    {68, 598, 1665},	// QTcpSocket::metaObject
    {68, 883, 1671},	// QTcpSocket::qt_metacall$$?
    {68, 885, 1666},	// QTcpSocket::qt_metacast$
    {68, 1173, 1676},	// QTcpSocket::staticMetaObject
    {68, 1195, 1673},	// QTcpSocket::tr$
    {68, 1196, 1667},	// QTcpSocket::tr$$
    {68, 1197, 1669},	// QTcpSocket::tr$$$
    {68, 1199, 1674},	// QTcpSocket::trUtf8$
    {68, 1200, 1668},	// QTcpSocket::trUtf8$$
    {68, 1201, 1670},	// QTcpSocket::trUtf8$$$
    {68, 1264, 1677},	// QTcpSocket::~QTcpSocket
    {73, 53, 1702},	// QUdpSocket::DefaultForPlatform
    {73, 59, 1704},	// QUdpSocket::DontShareAddress
    {73, 241, 1697},	// QUdpSocket::QUdpSocket
    {73, 242, 1685},	// QUdpSocket::QUdpSocket#
    {73, 264, 1705},	// QUdpSocket::ReuseAddressHint
    {73, 274, 1703},	// QUdpSocket::ShareAddress
    {73, 376, 1698},	// QUdpSocket::bind
    {73, 377, 1686},	// QUdpSocket::bind#$
    {73, 378, 1688},	// QUdpSocket::bind#$$
    {73, 379, 1687},	// QUdpSocket::bind$
    {73, 380, 1689},	// QUdpSocket::bind$$
    {73, 515, 1690},	// QUdpSocket::hasPendingDatagrams
    {73, 598, 1678},	// QUdpSocket::metaObject
    {73, 702, 1691},	// QUdpSocket::pendingDatagramSize
    {73, 883, 1684},	// QUdpSocket::qt_metacall$$?
    {73, 885, 1679},	// QUdpSocket::qt_metacast$
    {73, 913, 1699},	// QUdpSocket::readDatagram$$
    {73, 914, 1700},	// QUdpSocket::readDatagram$$#
    {73, 915, 1692},	// QUdpSocket::readDatagram$$#$
    {73, 1173, 1701},	// QUdpSocket::staticMetaObject
    {73, 1195, 1695},	// QUdpSocket::tr$
    {73, 1196, 1680},	// QUdpSocket::tr$$
    {73, 1197, 1682},	// QUdpSocket::tr$$$
    {73, 1199, 1696},	// QUdpSocket::trUtf8$
    {73, 1200, 1681},	// QUdpSocket::trUtf8$$
    {73, 1201, 1683},	// QUdpSocket::trUtf8$$$
    {73, 1230, 1694},	// QUdpSocket::writeDatagram##$
    {73, 1231, 1693},	// QUdpSocket::writeDatagram$$#$
    {73, 1265, 1706},	// QUdpSocket::~QUdpSocket
    {75, 62, 1748},	// QUrlInfo::ExeGroup
    {75, 63, 1751},	// QUrlInfo::ExeOther
    {75, 64, 1745},	// QUrlInfo::ExeOwner
    {75, 243, 1707},	// QUrlInfo::QUrlInfo
    {75, 244, 1708},	// QUrlInfo::QUrlInfo#
    {75, 245, 1710},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {75, 246, 1709},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {75, 254, 1746},	// QUrlInfo::ReadGroup
    {75, 256, 1749},	// QUrlInfo::ReadOther
    {75, 257, 1743},	// QUrlInfo::ReadOwner
    {75, 324, 1747},	// QUrlInfo::WriteGroup
    {75, 326, 1750},	// QUrlInfo::WriteOther
    {75, 327, 1744},	// QUrlInfo::WriteOwner
    {75, 471, 1740},	// QUrlInfo::equal##$
    {75, 505, 1738},	// QUrlInfo::greaterThan##$
    {75, 506, 1728},	// QUrlInfo::group
    {75, 541, 1732},	// QUrlInfo::isDir
    {75, 543, 1737},	// QUrlInfo::isExecutable
    {75, 544, 1733},	// QUrlInfo::isFile
    {75, 552, 1736},	// QUrlInfo::isReadable
    {75, 557, 1734},	// QUrlInfo::isSymLink
    {75, 559, 1724},	// QUrlInfo::isValid
    {75, 560, 1735},	// QUrlInfo::isWritable
    {75, 566, 1730},	// QUrlInfo::lastModified
    {75, 567, 1731},	// QUrlInfo::lastRead
    {75, 571, 1739},	// QUrlInfo::lessThan##$
    {75, 606, 1725},	// QUrlInfo::name
    {75, 613, 1742},	// QUrlInfo::operator!=#
    {75, 649, 1711},	// QUrlInfo::operator=#
    {75, 652, 1741},	// QUrlInfo::operator==#
    {75, 681, 1727},	// QUrlInfo::owner
    {75, 703, 1726},	// QUrlInfo::permissions
    {75, 998, 1713},	// QUrlInfo::setDir$
    {75, 1009, 1714},	// QUrlInfo::setFile$
    {75, 1011, 1717},	// QUrlInfo::setGroup$
    {75, 1025, 1722},	// QUrlInfo::setLastModified#
    {75, 1027, 1723},	// QUrlInfo::setLastRead#
    {75, 1044, 1712},	// QUrlInfo::setName$
    {75, 1052, 1716},	// QUrlInfo::setOwner$
    {75, 1070, 1721},	// QUrlInfo::setPermissions$
    {75, 1101, 1720},	// QUrlInfo::setReadable$
    {75, 1114, 1718},	// QUrlInfo::setSize$
    {75, 1138, 1715},	// QUrlInfo::setSymLink$
    {75, 1158, 1719},	// QUrlInfo::setWritable$
    {75, 1159, 1729},	// QUrlInfo::size
    {75, 1266, 1752},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 79,
        __smokeqtnetwork::methods, 1753,
        __smokeqtnetwork::methodMaps, 1401,
        __smokeqtnetwork::methodNames, 1266,
        __smokeqtnetwork::types, 420,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
