#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsBlurEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMessageBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3DockWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrintPreviewWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListViewItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionGroupBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPinchGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionHeader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QListView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWizard(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsScene(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnMask(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionMenuItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileIconProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractPrintDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBoxV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFrameFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDockWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInputContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractItemView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFormLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStackedLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageWriter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBarV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturn(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPlainTextEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMovie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidgetV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCalendarWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionGraphicsItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextDocument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCompleter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontDatabase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractItemDelegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComplex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAccessible(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileSystemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFocusRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDesktopServices(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLCDNumber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextListFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV4(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSizeGrip(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTitleBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColormap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDialogButtonBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTab(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QClipboard(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataWidgetMapper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrintEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCharFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSwipeGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHeaderView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGestureRecognizer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDateTimeEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInputDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsPixmapItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDoubleValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemTrayIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageIOPlugin(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMdiSubWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QToolButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMdiArea(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWorkspace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageIOHandler(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIconEngineV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTreeWidgetItemIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsSceneContextMenuEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QBoxLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBaseV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSessionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProgressBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPageSetupDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QItemSelectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTouchEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGL", false, 0, xcall_QGL, 0, Smoke::cf_namespace, 0 },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTriggers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabled::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::Relation::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QAccessible::State::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Sections::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QDockWidget::DockWidgetFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDrawBorderPixmap::DrawingHints", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QDrawPixmaps::DrawingHints", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFileDialog::Options::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<QAbstractItemView::EditTriggers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<QAbstractSpinBox::StepEnabled::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<QAccessible::Relation::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<QAccessible::State::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<QColorDialog::ColorDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<QDateTimeEdit::Sections::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<QDialogButtonBox::StandardButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<QDockWidget::DockWidgetFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QFlags<QFileDialog::Options::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QFlags<QFontComboBox::FontFilters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFlags<QFontDialog::FontDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QFlags<QGL::FormatOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QFlags<QGLContext::BindOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QFlags<QGLFormat::OpenGLVersionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<QGLShader::ShaderType::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QFlags<QGestureRecognizer::Result::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsBlurEffect::BlurHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsEffect::ChangeFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsScene::SceneLayers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsView::CacheMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsView::OptimizationFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QFlags<QImageIOPlugin::Capabilities::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QFlags<QInputDialog::InputDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QFlags<QItemSelectionModel::SelectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QFlags<QMainWindow::DockOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<QMdiArea::AreaOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<QMdiSubWindow::SubWindowOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QFlags<QMessageBox::StandardButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QFlags<QPaintEngine::DirtyFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QFlags<QPaintEngine::PaintEngineFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QFlags<QPainter::RenderHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QFlags<QStyle::State::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QFlags<QStyle::SubControls::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionButton::ButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionTab::CornerWidgets::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QFlags<QTextDocument::FindFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QFlags<QTextEdit::AutoFormatting::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QFlags<QTextFormat::PageBreakFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QFlags<QTextItem::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QFlags<QTextOption::Flags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QFlags<QWizard::WizardOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//131
    { "QFontComboBox::FontFilters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//132
    { "QFontDialog::FontDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//133
    { "QGL::FormatOption", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGL::FormatOptions", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QGL::FormatOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//136
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//137
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QGLContext::BindOptions", 0, Smoke::t_uint|Smoke::tf_stack },	//141
    { "QGLContext::BindOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//142
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//143
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//147
    { "QGLFormat::OpenGLVersionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//151
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//152
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGLShader::ShaderType", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "QGLShader::ShaderType::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGestureRecognizer::Result::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QGraphicsBlurEffect::BlurHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QGraphicsEffect::ChangeFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QGraphicsItem::GraphicsItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QGraphicsScene::SceneLayers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QGraphicsView::CacheMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//171
    { "QGraphicsView::OptimizationFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//174
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//176
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//177
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//178
    { "QImageIOPlugin::Capabilities::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//180
    { "QInputDialog::InputDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QItemSelectionModel::SelectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//183
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//185
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//187
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//188
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//189
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//190
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//191
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//193
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//194
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//195
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QMainWindow::DockOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//198
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//199
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//200
    { "QMdiArea::AreaOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//201
    { "QMdiSubWindow::SubWindowOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//202
    { "QMessageBox::StandardButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//203
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QPaintEngine::DirtyFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QPaintEngine::PaintEngineFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QPainter::RenderHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//217
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//220
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//222
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//223
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//224
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//225
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//226
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//227
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//228
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//229
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//230
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//231
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//232
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//233
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//234
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//235
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//236
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//237
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//238
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//241
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//242
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//243
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//244
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//246
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//247
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//249
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//250
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//253
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//254
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//255
    { "QStyle::State", 0, Smoke::t_uint|Smoke::tf_stack },	//256
    { "QStyle::State::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QStyle::SubControls::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QStyleOptionButton::ButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QStyleOptionFrameV2::FrameFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QStyleOptionTab::CornerWidgets::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "QStyleOptionToolBar::ToolBarFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//263
    { "QStyleOptionToolButton::ToolButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "QStyleOptionViewItemV2::ViewItemFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//269
    { "QTextDocument::FindFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "QTextEdit::AutoFormatting::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTextFormat::PageBreakFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QTextItem::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//274
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTextOption::Flags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//276
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//279
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//280
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//281
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//283
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//284
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//285
    { "QTreeWidgetItemIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//286
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//287
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//288
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//290
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//291
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//293
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//294
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//295
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//296
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//297
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//298
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//301
    { "QWizard::WizardOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//302
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//303
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//325
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//327
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//339
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//350
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//360
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//373
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//378
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//381
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//384
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//385
    { "Qt::WindowFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//386
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//387
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//388
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//390
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//391
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//395
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//396
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//397
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//398
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//399
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//400
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//401
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//405
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//415
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//418
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//431
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//433
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//451
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//453
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//462
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//473
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//475
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//477
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//499
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//501
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//503
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//504
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//506
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//507
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//509
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//510
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//511
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//512
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//513
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//514
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//517
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//518
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//519
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//520
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//521
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//522
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//523
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//524
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//525
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//526
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//527
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//528
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//529
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//530
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//531
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//532
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//533
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//534
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//535
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//536
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//537
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    214, 0,	//1  QPaintEngine::Type
    417, 0,	//3  const QGLColormap&
    519, 515, 519, 0,	//5  int, const unsigned int*, int
    519, 528, 0,	//9  int, unsigned int
    519, 408, 0,	//12  int, const QColor&
    519, 0,	//15  int
    528, 0,	//17  unsigned int
    529, 0,	//19  unsigned long
    519, 515, 0,	//21  int, const unsigned int*
    419, 209, 0,	//24  const QGLFormat&, QPaintDevice*
    419, 0,	//27  const QGLFormat&
    418, 0,	//29  const QGLContext*
    418, 418, 0,	//31  const QGLContext*, const QGLContext*
    440, 528, 519, 141, 0,	//34  const QImage&, unsigned int, int, QGLContext::BindOptions
    461, 528, 519, 141, 0,	//39  const QPixmap&, unsigned int, int, QGLContext::BindOptions
    440, 528, 519, 0,	//44  const QImage&, unsigned int, int
    461, 528, 519, 0,	//48  const QPixmap&, unsigned int, int
    483, 0,	//52  const QString&
    471, 528, 528, 0,	//54  const QRectF&, unsigned int, unsigned int
    465, 528, 528, 0,	//58  const QPointF&, unsigned int, unsigned int
    419, 519, 0,	//62  const QGLFormat&, int
    399, 0,	//65  bool
    416, 519, 0,	//67  const QFont&, int
    408, 0,	//70  const QColor&
    209, 0,	//72  QPaintDevice*
    440, 0,	//74  const QImage&
    440, 528, 0,	//76  const QImage&, unsigned int
    461, 0,	//79  const QPixmap&
    461, 528, 0,	//81  const QPixmap&, unsigned int
    471, 528, 0,	//84  const QRectF&, unsigned int
    465, 528, 0,	//87  const QPointF&, unsigned int
    139, 0,	//90  QGLContext*
    135, 519, 0,	//92  QGL::FormatOptions, int
    135, 0,	//95  QGL::FormatOptions
    476, 528, 0,	//97  const QSize&, unsigned int
    519, 519, 528, 0,	//100  int, int, unsigned int
    476, 150, 528, 528, 0,	//104  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    519, 519, 150, 528, 528, 0,	//109  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    476, 420, 0,	//115  const QSize&, const QGLFramebufferObjectFormat&
    519, 519, 420, 0,	//118  int, int, const QGLFramebufferObjectFormat&
    149, 470, 149, 470, 528, 528, 0,	//122  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    210, 0,	//129  QPaintDevice::PaintDeviceMetric
    476, 0,	//131  const QSize&
    519, 519, 0,	//133  int, int
    476, 150, 0,	//136  const QSize&, QGLFramebufferObject::Attachment
    476, 150, 528, 0,	//139  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    519, 519, 150, 0,	//143  int, int, QGLFramebufferObject::Attachment
    519, 519, 150, 528, 0,	//147  int, int, QGLFramebufferObject::Attachment, unsigned int
    149, 470, 149, 470, 0,	//152  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    149, 470, 149, 470, 528, 0,	//157  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    420, 0,	//163  const QGLFramebufferObjectFormat&
    150, 0,	//165  QGLFramebufferObject::Attachment
    476, 419, 160, 0,	//167  const QSize&, const QGLFormat&, QGLWidget*
    519, 519, 419, 160, 0,	//171  int, int, const QGLFormat&, QGLWidget*
    476, 419, 0,	//176  const QSize&, const QGLFormat&
    519, 519, 419, 0,	//179  int, int, const QGLFormat&
    510, 0,	//183  const char*
    510, 510, 0,	//185  const char*, const char*
    510, 510, 519, 0,	//188  const char*, const char*, int
    204, 519, 536, 0,	//192  QMetaObject::Call, int, void**
    156, 207, 0,	//196  QGLShader::ShaderType, QObject*
    156, 418, 207, 0,	//199  QGLShader::ShaderType, const QGLContext*, QObject*
    406, 0,	//203  const QByteArray&
    156, 0,	//205  QGLShader::ShaderType
    156, 418, 0,	//207  QGLShader::ShaderType, const QGLContext*
    207, 0,	//210  QObject*
    418, 207, 0,	//212  const QGLContext*, QObject*
    155, 0,	//215  QGLShader*
    156, 510, 0,	//217  QGLShader::ShaderType, const char*
    156, 406, 0,	//220  QGLShader::ShaderType, const QByteArray&
    156, 483, 0,	//223  QGLShader::ShaderType, const QString&
    510, 519, 0,	//226  const char*, int
    406, 519, 0,	//229  const QByteArray&, int
    483, 519, 0,	//232  const QString&, int
    519, 518, 0,	//235  int, float
    519, 518, 518, 0,	//238  int, float, float
    519, 518, 518, 518, 0,	//242  int, float, float, float
    519, 518, 518, 518, 518, 0,	//247  int, float, float, float, float
    519, 502, 0,	//253  int, const QVector2D&
    519, 505, 0,	//256  int, const QVector3D&
    519, 508, 0,	//259  int, const QVector4D&
    519, 511, 519, 519, 0,	//262  int, const float*, int, int
    510, 518, 0,	//267  const char*, float
    510, 518, 518, 0,	//270  const char*, float, float
    510, 518, 518, 518, 0,	//274  const char*, float, float, float
    510, 518, 518, 518, 518, 0,	//279  const char*, float, float, float, float
    510, 502, 0,	//285  const char*, const QVector2D&
    510, 505, 0,	//288  const char*, const QVector3D&
    510, 508, 0,	//291  const char*, const QVector4D&
    510, 408, 0,	//294  const char*, const QColor&
    510, 511, 519, 519, 0,	//297  const char*, const float*, int, int
    519, 503, 519, 0,	//302  int, const QVector2D*, int
    519, 506, 519, 0,	//306  int, const QVector3D*, int
    519, 509, 519, 0,	//310  int, const QVector4D*, int
    510, 503, 519, 0,	//314  const char*, const QVector2D*, int
    510, 506, 519, 0,	//318  const char*, const QVector3D*, int
    510, 509, 519, 0,	//322  const char*, const QVector4D*, int
    519, 463, 0,	//326  int, const QPoint&
    519, 465, 0,	//329  int, const QPointF&
    519, 476, 0,	//332  int, const QSize&
    519, 478, 0,	//335  int, const QSizeF&
    519, 422, 0,	//338  int, const QGenericMatrix<2,2,double>&
    519, 424, 0,	//341  int, const QGenericMatrix<2,3,double>&
    519, 426, 0,	//344  int, const QGenericMatrix<2,4,double>&
    519, 428, 0,	//347  int, const QGenericMatrix<3,2,double>&
    519, 430, 0,	//350  int, const QGenericMatrix<3,3,double>&
    519, 432, 0,	//353  int, const QGenericMatrix<3,4,double>&
    519, 434, 0,	//356  int, const QGenericMatrix<4,2,double>&
    519, 436, 0,	//359  int, const QGenericMatrix<4,3,double>&
    519, 450, 0,	//362  int, const QMatrix4x4&
    519, 512, 0,	//365  int, const float[4][4]
    519, 494, 0,	//368  int, const QTransform&
    510, 528, 0,	//371  const char*, unsigned int
    510, 463, 0,	//374  const char*, const QPoint&
    510, 465, 0,	//377  const char*, const QPointF&
    510, 476, 0,	//380  const char*, const QSize&
    510, 478, 0,	//383  const char*, const QSizeF&
    510, 422, 0,	//386  const char*, const QGenericMatrix<2,2,double>&
    510, 424, 0,	//389  const char*, const QGenericMatrix<2,3,double>&
    510, 426, 0,	//392  const char*, const QGenericMatrix<2,4,double>&
    510, 428, 0,	//395  const char*, const QGenericMatrix<3,2,double>&
    510, 430, 0,	//398  const char*, const QGenericMatrix<3,3,double>&
    510, 432, 0,	//401  const char*, const QGenericMatrix<3,4,double>&
    510, 434, 0,	//404  const char*, const QGenericMatrix<4,2,double>&
    510, 436, 0,	//407  const char*, const QGenericMatrix<4,3,double>&
    510, 450, 0,	//410  const char*, const QMatrix4x4&
    510, 512, 0,	//413  const char*, const float[4][4]
    510, 494, 0,	//416  const char*, const QTransform&
    519, 513, 519, 0,	//419  int, const int*, int
    519, 423, 519, 0,	//423  int, const QGenericMatrix<2,2,double>*, int
    519, 425, 519, 0,	//427  int, const QGenericMatrix<2,3,double>*, int
    519, 427, 519, 0,	//431  int, const QGenericMatrix<2,4,double>*, int
    519, 429, 519, 0,	//435  int, const QGenericMatrix<3,2,double>*, int
    519, 431, 519, 0,	//439  int, const QGenericMatrix<3,3,double>*, int
    519, 433, 519, 0,	//443  int, const QGenericMatrix<3,4,double>*, int
    519, 435, 519, 0,	//447  int, const QGenericMatrix<4,2,double>*, int
    519, 437, 519, 0,	//451  int, const QGenericMatrix<4,3,double>*, int
    519, 451, 519, 0,	//455  int, const QMatrix4x4*, int
    510, 513, 519, 0,	//459  const char*, const int*, int
    510, 515, 519, 0,	//463  const char*, const unsigned int*, int
    510, 423, 519, 0,	//467  const char*, const QGenericMatrix<2,2,double>*, int
    510, 425, 519, 0,	//471  const char*, const QGenericMatrix<2,3,double>*, int
    510, 427, 519, 0,	//475  const char*, const QGenericMatrix<2,4,double>*, int
    510, 429, 519, 0,	//479  const char*, const QGenericMatrix<3,2,double>*, int
    510, 431, 519, 0,	//483  const char*, const QGenericMatrix<3,3,double>*, int
    510, 433, 519, 0,	//487  const char*, const QGenericMatrix<3,4,double>*, int
    510, 435, 519, 0,	//491  const char*, const QGenericMatrix<4,2,double>*, int
    510, 437, 519, 0,	//495  const char*, const QGenericMatrix<4,3,double>*, int
    510, 451, 519, 0,	//499  const char*, const QMatrix4x4*, int
    519, 511, 519, 0,	//503  int, const float*, int
    519, 503, 0,	//507  int, const QVector2D*
    519, 506, 0,	//510  int, const QVector3D*
    519, 509, 0,	//513  int, const QVector4D*
    510, 511, 519, 0,	//516  const char*, const float*, int
    510, 503, 0,	//520  const char*, const QVector2D*
    510, 506, 0,	//523  const char*, const QVector3D*
    510, 509, 0,	//526  const char*, const QVector4D*
    300, 421, 386, 0,	//529  QWidget*, const QGLWidget*, Qt::WindowFlags
    139, 300, 421, 386, 0,	//533  QGLContext*, QWidget*, const QGLWidget*, Qt::WindowFlags
    419, 300, 421, 386, 0,	//538  const QGLFormat&, QWidget*, const QGLWidget*, Qt::WindowFlags
    139, 418, 399, 0,	//543  QGLContext*, const QGLContext*, bool
    519, 519, 399, 0,	//547  int, int, bool
    519, 519, 483, 416, 519, 0,	//551  int, int, const QString&, const QFont&, int
    517, 517, 517, 483, 416, 519, 0,	//557  double, double, double, const QString&, const QFont&, int
    46, 0,	//564  QEvent*
    215, 0,	//566  QPaintEvent*
    239, 0,	//568  QResizeEvent*
    300, 0,	//570  QWidget*
    300, 421, 0,	//572  QWidget*, const QGLWidget*
    139, 300, 0,	//575  QGLContext*, QWidget*
    139, 300, 421, 0,	//578  QGLContext*, QWidget*, const QGLWidget*
    419, 300, 0,	//582  const QGLFormat&, QWidget*
    419, 300, 421, 0,	//585  const QGLFormat&, QWidget*, const QGLWidget*
    139, 418, 0,	//589  QGLContext*, const QGLContext*
    519, 519, 483, 0,	//592  int, int, const QString&
    519, 519, 483, 416, 0,	//596  int, int, const QString&, const QFont&
    517, 517, 517, 483, 0,	//601  double, double, double, const QString&
    517, 517, 517, 483, 416, 0,	//606  double, double, double, const QString&, const QFont&
    416, 0,	//612  const QFont&
    35, 519, 0,	//614  QDir::SortFlags::enum_type, int
    171, 171, 0,	//617  QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type
    486, 486, 0,	//620  const QStringRef&, const QStringRef&
    530, 0,	//623  unsigned long long
    517, 0,	//625  double
    450, 450, 0,	//627  const QMatrix4x4&, const QMatrix4x4&
    35, 60, 0,	//630  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    505, 505, 0,	//633  const QVector3D&, const QVector3D&
    502, 502, 0,	//636  const QVector2D&, const QVector2D&
    535, 516, 525, 0,	//639  void*, const void*, size_t
    510, 443, 0,	//643  const char*, const QLatin1String&
    196, 196, 0,	//646  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    27, 176, 0,	//649  QDataStream&, QIcon&
    381, 381, 0,	//652  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    465, 449, 0,	//655  const QPointF&, const QMatrix&
    201, 86, 0,	//658  QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>
    10, 519, 0,	//661  QAccessible::State::enum_type, int
    486, 483, 0,	//664  const QStringRef&, const QString&
    476, 476, 0,	//667  const QSize&, const QSize&
    302, 302, 0,	//670  QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type
    27, 442, 0,	//673  QDataStream&, const QKeySequence&
    510, 406, 0,	//676  const char*, const QByteArray&
    27, 247, 0,	//679  QDataStream&, QStandardItem&
    483, 510, 0,	//682  const QString&, const char*
    27, 233, 0,	//685  QDataStream&, QQuaternion&
    175, 519, 0,	//688  QIODevice::OpenMode::enum_type, int
    465, 465, 0,	//691  const QPointF&, const QPointF&
    27, 467, 0,	//694  QDataStream&, const QPolygonF&
    517, 517, 0,	//697  double, double
    27, 243, 0,	//700  QDataStream&, QSizeF&
    406, 510, 0,	//703  const QByteArray&, const char*
    37, 62, 0,	//706  QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>
    518, 0,	//709  float
    524, 0,	//711  signed char
    142, 69, 0,	//713  QGLContext::BindOptions::enum_type, QFlags<QGLContext::BindOptions::enum_type>
    483, 486, 0,	//716  const QString&, const QStringRef&
    257, 94, 0,	//719  QStyle::State::enum_type, QFlags<QStyle::State::enum_type>
    18, 0,	//722  QChar
    27, 474, 0,	//724  QDataStream&, const QRegion&
    132, 66, 0,	//727  QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>
    450, 463, 0,	//730  const QMatrix4x4&, const QPoint&
    391, 129, 0,	//733  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    48, 48, 0,	//736  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    27, 491, 0,	//739  QDataStream&, const QTextLength&
    31, 403, 0,	//742  QDebug, const QBrush&
    486, 443, 0,	//745  const QStringRef&, const QLatin1String&
    450, 508, 0,	//748  const QMatrix4x4&, const QVector4D&
    387, 387, 0,	//751  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    18, 18, 0,	//754  QChar, QChar
    31, 469, 0,	//757  QDebug, const QQuaternion&
    450, 0,	//760  const QMatrix4x4&
    387, 128, 0,	//762  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    450, 517, 0,	//765  const QMatrix4x4&, double
    27, 457, 0,	//768  QDataStream&, const QPalette&
    31, 496, 0,	//771  QDebug, const QUrl&
    273, 519, 0,	//774  QTextFormat::PageBreakFlags::enum_type, int
    27, 23, 0,	//777  QDataStream&, QColor&
    27, 266, 0,	//780  QDataStream&, QTableWidgetItem&
    171, 77, 0,	//783  QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>
    342, 342, 0,	//786  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    250, 483, 0,	//789  QString::Null, const QString&
    31, 166, 0,	//792  QDebug, QGraphicsItem::GraphicsItemFlag
    301, 112, 0,	//795  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    30, 30, 0,	//798  QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type
    3, 3, 0,	//801  QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type
    245, 245, 0,	//804  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    286, 286, 0,	//807  QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type
    288, 288, 0,	//810  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    265, 265, 0,	//813  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type
    517, 478, 0,	//816  double, const QSizeF&
    469, 469, 0,	//819  const QQuaternion&, const QQuaternion&
    463, 463, 0,	//822  const QPoint&, const QPoint&
    260, 519, 0,	//825  QStyleOptionFrameV2::FrameFeatures::enum_type, int
    27, 471, 0,	//828  QDataStream&, const QRectF&
    262, 262, 0,	//831  QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type
    269, 103, 0,	//834  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    168, 519, 0,	//837  QGraphicsItem::GraphicsItemFlags::enum_type, int
    494, 517, 0,	//840  const QTransform&, double
    357, 357, 0,	//843  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    400, 0,	//846  char
    31, 448, 0,	//848  QDebug, const QMargins&
    373, 373, 0,	//851  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    49, 65, 0,	//854  QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>
    357, 123, 0,	//857  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    171, 519, 0,	//860  QGraphicsView::CacheMode::enum_type, int
    31, 33, 0,	//863  QDebug, QDir::Filters
    286, 110, 0,	//866  QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>
    133, 67, 0,	//869  QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>
    463, 517, 0,	//872  const QPoint&, double
    216, 519, 519, 519, 519, 457, 399, 404, 0,	//875  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    216, 519, 519, 519, 519, 457, 0,	//884  QPainter*, int, int, int, int, const QPalette&
    216, 519, 519, 519, 519, 457, 399, 0,	//891  QPainter*, int, int, int, int, const QPalette&, bool
    181, 519, 0,	//899  QInputDialog::InputDialogOptions::enum_type, int
    27, 494, 0,	//902  QDataStream&, const QTransform&
    31, 174, 0,	//905  QDebug, QIODevice::OpenMode
    483, 406, 0,	//908  const QString&, const QByteArray&
    478, 478, 0,	//911  const QSizeF&, const QSizeF&
    505, 450, 0,	//914  const QVector3D&, const QMatrix4x4&
    508, 508, 0,	//917  const QVector4D&, const QVector4D&
    245, 92, 0,	//920  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    31, 465, 0,	//923  QDebug, const QPointF&
    27, 461, 0,	//926  QDataStream&, const QPixmap&
    245, 519, 0,	//929  QSizePolicy::ControlTypes::enum_type, int
    48, 519, 0,	//932  QFile::Permissions::enum_type, int
    31, 445, 0,	//935  QDebug, const QLineF&
    31, 411, 0,	//938  QDebug, const QDateTime&
    136, 519, 0,	//941  QGL::FormatOptions::enum_type, int
    510, 483, 0,	//944  const char*, const QString&
    519, 519, 519, 0,	//947  int, int, int
    27, 460, 0,	//951  QDataStream&, const QPicture&
    132, 132, 0,	//954  QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type
    262, 519, 0,	//957  QStyleOptionTab::CornerWidgets::enum_type, int
    30, 57, 0,	//960  QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>
    286, 519, 0,	//963  QTreeWidgetItemIterator::IteratorFlags::enum_type, int
    196, 519, 0,	//966  QLocale::NumberOptions::enum_type, int
    443, 443, 0,	//969  const QLatin1String&, const QLatin1String&
    514, 519, 0,	//972  const unsigned char*, int
    510, 510, 528, 0,	//975  const char*, const char*, unsigned int
    443, 486, 0,	//979  const QLatin1String&, const QStringRef&
    197, 519, 0,	//982  QMainWindow::DockOptions::enum_type, int
    184, 186, 0,	//985  QKeyEvent*, QKeySequence::StandardKey
    271, 519, 0,	//988  QTextEdit::AutoFormatting::enum_type, int
    277, 246, 0,	//991  QTextStream&, QSplitter&
    48, 64, 0,	//994  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    441, 0,	//997  const QItemSelectionRange&
    339, 339, 0,	//999  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    31, 463, 0,	//1002  QDebug, const QPoint&
    27, 195, 0,	//1005  QDataStream&, QLocale&
    360, 519, 0,	//1008  Qt::Orientations::enum_type, int
    271, 105, 0,	//1011  QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>
    483, 18, 0,	//1014  const QString&, QChar
    250, 250, 0,	//1017  QString::Null, QString::Null
    381, 127, 0,	//1020  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    514, 527, 519, 0,	//1023  const unsigned char*, unsigned char*, int
    258, 519, 0,	//1027  QStyle::SubControls::enum_type, int
    535, 525, 525, 525, 0,	//1030  void*, size_t, size_t, size_t
    27, 220, 0,	//1035  QDataStream&, QPalette&
    27, 409, 0,	//1038  QDataStream&, const QCursor&
    406, 483, 0,	//1041  const QByteArray&, const QString&
    175, 79, 0,	//1044  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    269, 269, 0,	//1047  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    470, 470, 0,	//1050  const QRect&, const QRect&
    402, 402, 0,	//1053  const QBitArray&, const QBitArray&
    406, 406, 0,	//1056  const QByteArray&, const QByteArray&
    202, 519, 0,	//1059  QMdiSubWindow::SubWindowOptions::enum_type, int
    535, 525, 0,	//1062  void*, size_t
    378, 378, 0,	//1065  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    4, 4, 0,	//1068  QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type
    264, 264, 0,	//1071  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type
    212, 212, 0,	//1074  QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type
    27, 449, 0,	//1077  QDataStream&, const QMatrix&
    27, 447, 0,	//1080  QDataStream&, const QLocale&
    31, 414, 0,	//1083  QDebug, const QEasingCurve&
    534, 0,	//1086  void(*)(QtMsgType,const char*)
    454, 0,	//1088  const QModelIndex&
    196, 84, 0,	//1090  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    27, 29, 0,	//1093  QDataStream&, QDateTime&
    31, 415, 0,	//1096  QDebug, const QEvent*
    14, 14, 0,	//1099  QBool, QBool
    510, 486, 0,	//1102  const char*, const QStringRef&
    261, 519, 0,	//1105  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int
    360, 124, 0,	//1108  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    148, 70, 0,	//1111  QGLFormat::OpenGLVersionFlags::enum_type, QFlags<QGLFormat::OpenGLVersionFlags::enum_type>
    32, 58, 0,	//1114  QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>
    391, 391, 0,	//1117  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    27, 221, 0,	//1120  QDataStream&, QPen&
    444, 494, 0,	//1123  const QLine&, const QTransform&
    31, 467, 0,	//1126  QDebug, const QPolygonF&
    202, 202, 0,	//1129  QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type
    18, 483, 0,	//1132  QChar, const QString&
    269, 519, 0,	//1135  QTextCodec::ConversionFlags::enum_type, int
    216, 470, 448, 461, 470, 448, 492, 42, 0,	//1138  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QDrawBorderPixmap::DrawingHints
    216, 470, 448, 461, 470, 448, 0,	//1147  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    216, 470, 448, 461, 470, 448, 492, 0,	//1154  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    391, 519, 0,	//1162  Qt::WindowStates::enum_type, int
    279, 519, 0,	//1165  QTextStream::NumberFlags::enum_type, int
    148, 148, 0,	//1168  QGLFormat::OpenGLVersionFlags::enum_type, QGLFormat::OpenGLVersionFlags::enum_type
    263, 519, 0,	//1171  QStyleOptionToolBar::ToolBarFeatures::enum_type, int
    31, 165, 0,	//1174  QDebug, QGraphicsItem::GraphicsItemChange
    27, 287, 0,	//1177  QDataStream&, QUrl&
    2, 51, 0,	//1180  QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>
    522, 0,	//1183  long long
    469, 0,	//1185  const QQuaternion&
    274, 274, 0,	//1187  QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type
    483, 250, 0,	//1190  const QString&, QString::Null
    350, 121, 0,	//1193  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    494, 494, 0,	//1196  const QTransform&, const QTransform&
    27, 15, 0,	//1199  QDataStream&, QBrush&
    34, 59, 0,	//1202  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    483, 400, 0,	//1205  const QString&, char
    161, 161, 0,	//1208  QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type
    456, 449, 0,	//1211  const QPainterPath&, const QMatrix&
    27, 244, 0,	//1214  QDataStream&, QSizePolicy&
    216, 519, 519, 519, 519, 408, 519, 404, 0,	//1217  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    216, 519, 519, 519, 519, 408, 0,	//1226  QPainter*, int, int, int, int, const QColor&
    216, 519, 519, 519, 519, 408, 519, 0,	//1233  QPainter*, int, int, int, int, const QColor&, int
    197, 85, 0,	//1241  QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>
    213, 519, 0,	//1244  QPaintEngine::PaintEngineFeatures::enum_type, int
    133, 519, 0,	//1247  QFontDialog::FontDialogOptions::enum_type, int
    469, 517, 0,	//1250  const QQuaternion&, double
    401, 510, 0,	//1253  char*, const char*
    474, 449, 0,	//1256  const QRegion&, const QMatrix&
    463, 0,	//1259  const QPoint&
    161, 519, 0,	//1261  QGestureRecognizer::Result::enum_type, int
    27, 493, 0,	//1264  QDataStream&, const QTime&
    1, 50, 0,	//1267  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    448, 448, 0,	//1270  const QMargins&, const QMargins&
    2, 519, 0,	//1273  QAbstractItemView::EditTriggers::enum_type, int
    216, 470, 457, 399, 519, 519, 404, 0,	//1276  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    216, 470, 457, 0,	//1284  QPainter*, const QRect&, const QPalette&
    216, 470, 457, 399, 0,	//1288  QPainter*, const QRect&, const QPalette&, bool
    216, 470, 457, 399, 519, 0,	//1293  QPainter*, const QRect&, const QPalette&, bool, int
    216, 470, 457, 399, 519, 519, 0,	//1299  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 456, 0,	//1306  QDataStream&, const QPainterPath&
    325, 115, 0,	//1309  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    1, 1, 0,	//1312  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    508, 450, 0,	//1315  const QVector4D&, const QMatrix4x4&
    208, 0,	//1318  QObject*(*)()
    31, 441, 0,	//1320  QDebug, const QItemSelectionRange&
    31, 442, 0,	//1323  QDebug, const QKeySequence&
    32, 519, 0,	//1326  QDialogButtonBox::StandardButtons::enum_type, int
    216, 470, 448, 461, 0,	//1329  QPainter*, const QRect&, const QMargins&, const QPixmap&
    508, 517, 0,	//1334  const QVector4D&, double
    277, 480, 0,	//1337  QTextStream&, const QSplitter&
    525, 0,	//1340  size_t
    350, 519, 0,	//1342  Qt::KeyboardModifiers::enum_type, int
    27, 253, 0,	//1345  QDataStream&, QStringList&
    333, 117, 0,	//1348  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    27, 505, 0,	//1351  QDataStream&, const QVector3D&
    31, 499, 0,	//1354  QDebug, const QVariant::Type
    27, 502, 0,	//1357  QDataStream&, const QVector2D&
    27, 403, 0,	//1360  QDataStream&, const QBrush&
    339, 519, 0,	//1363  Qt::ImageConversionFlags::enum_type, int
    213, 90, 0,	//1366  QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>
    216, 470, 457, 399, 404, 0,	//1369  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    179, 80, 0,	//1375  QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>
    520, 0,	//1378  long
    27, 495, 0,	//1380  QDataStream&, const QTreeWidgetItem&
    179, 519, 0,	//1383  QImageIOPlugin::Capabilities::enum_type, int
    288, 519, 0,	//1386  QUrl::FormattingOptions::enum_type, int
    261, 261, 0,	//1389  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type
    531, 0,	//1392  unsigned short
    27, 191, 0,	//1394  QDataStream&, QLineF&
    217, 519, 0,	//1397  QPainter::RenderHints::enum_type, int
    49, 49, 0,	//1400  QFileDialog::Options::enum_type, QFileDialog::Options::enum_type
    27, 440, 0,	//1403  QDataStream&, const QImage&
    327, 116, 0,	//1406  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    216, 470, 457, 399, 519, 404, 0,	//1409  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    400, 483, 0,	//1416  char, const QString&
    27, 242, 0,	//1419  QDataStream&, QSize&
    163, 519, 0,	//1422  QGraphicsEffect::ChangeFlags::enum_type, int
    27, 185, 0,	//1425  QDataStream&, QKeySequence&
    339, 118, 0,	//1428  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    251, 251, 0,	//1431  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    302, 519, 0,	//1434  QWizard::WizardOptions::enum_type, int
    157, 71, 0,	//1437  QGLShader::ShaderType::enum_type, QFlags<QGLShader::ShaderType::enum_type>
    459, 0,	//1440  const QPersistentModelIndex&
    31, 474, 0,	//1442  QDebug, const QRegion&
    27, 508, 0,	//1445  QDataStream&, const QVector4D&
    202, 87, 0,	//1448  QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>
    27, 439, 0,	//1451  QDataStream&, const QIcon&
    27, 483, 0,	//1454  QDataStream&, const QString&
    342, 519, 0,	//1457  Qt::InputMethodHints::enum_type, int
    27, 411, 0,	//1460  QDataStream&, const QDateTime&
    27, 296, 0,	//1463  QDataStream&, QVector3D&
    455, 483, 452, 0,	//1466  const QObject*, const QString&, const QMetaObject&
    216, 519, 519, 519, 519, 457, 399, 519, 404, 0,	//1470  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    216, 519, 519, 519, 519, 457, 399, 519, 0,	//1480  QPainter*, int, int, int, int, const QPalette&, bool, int
    27, 294, 0,	//1489  QDataStream&, QVector2D&
    502, 517, 0,	//1492  const QVector2D&, double
    465, 517, 0,	//1495  const QPointF&, double
    399, 14, 0,	//1498  bool, QBool
    36, 61, 0,	//1501  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    172, 172, 0,	//1504  QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type
    505, 517, 0,	//1507  const QVector3D&, double
    373, 519, 0,	//1510  Qt::TextInteractionFlags::enum_type, int
    401, 510, 528, 0,	//1513  char*, const char*, unsigned int
    517, 502, 0,	//1517  double, const QVector2D&
    508, 0,	//1520  const QVector4D&
    270, 519, 0,	//1522  QTextDocument::FindFlags::enum_type, int
    27, 200, 0,	//1525  QDataStream&, QMatrix4x4&
    136, 68, 0,	//1528  QGL::FormatOptions::enum_type, QFlags<QGL::FormatOptions::enum_type>
    2, 2, 0,	//1531  QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type
    175, 175, 0,	//1534  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    27, 463, 0,	//1537  QDataStream&, const QPoint&
    258, 258, 0,	//1540  QStyle::SubControls::enum_type, QStyle::SubControls::enum_type
    27, 291, 0,	//1543  QDataStream&, QVariant&
    465, 450, 0,	//1546  const QPointF&, const QMatrix4x4&
    27, 178, 0,	//1549  QDataStream&, QImage&
    465, 0,	//1552  const QPointF&
    31, 487, 0,	//1554  QDebug, const QStyleOption&
    27, 222, 0,	//1557  QDataStream&, QPicture&
    31, 459, 0,	//1560  QDebug, const QPersistentModelIndex&
    467, 449, 0,	//1563  const QPolygonF&, const QMatrix&
    27, 298, 0,	//1566  QDataStream&, QVector4D&
    510, 510, 510, 519, 0,	//1569  const char*, const char*, const char*, int
    181, 81, 0,	//1574  QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>
    10, 10, 0,	//1577  QAccessible::State::enum_type, QAccessible::State::enum_type
    27, 450, 0,	//1580  QDataStream&, const QMatrix4x4&
    360, 360, 0,	//1583  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    263, 100, 0,	//1586  QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>
    449, 449, 0,	//1589  const QMatrix&, const QMatrix&
    471, 471, 0,	//1592  const QRectF&, const QRectF&
    535, 525, 525, 398, 0,	//1595  void*, size_t, size_t, __compar_fn_t
    519, 519, 519, 519, 0,	//1600  int, int, int, int
    203, 203, 0,	//1605  QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type
    170, 519, 0,	//1608  QGraphicsScene::SceneLayers::enum_type, int
    27, 284, 0,	//1611  QDataStream&, QTransform&
    31, 169, 0,	//1614  QDebug, QGraphicsObject*
    27, 481, 0,	//1617  QDataStream&, const QStandardItem&
    37, 37, 0,	//1620  QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type
    217, 91, 0,	//1623  QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>
    517, 508, 0,	//1626  double, const QVector4D&
    325, 325, 0,	//1629  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    288, 111, 0,	//1632  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    276, 519, 0,	//1635  QTextOption::Flags::enum_type, int
    27, 484, 0,	//1638  QDataStream&, const QStringList&
    31, 450, 0,	//1641  QDebug, const QMatrix4x4&
    406, 400, 0,	//1644  const QByteArray&, char
    264, 519, 0,	//1647  QStyleOptionToolButton::ToolButtonFeatures::enum_type, int
    27, 226, 0,	//1650  QDataStream&, QPoint&
    251, 519, 0,	//1653  QString::SectionFlags::enum_type, int
    478, 517, 0,	//1656  const QSizeF&, double
    333, 519, 0,	//1659  Qt::GestureFlags::enum_type, int
    346, 346, 0,	//1662  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    270, 104, 0,	//1665  QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>
    27, 410, 0,	//1668  QDataStream&, const QDate&
    533, 0,	//1671  void(*)()
    261, 98, 0,	//1673  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>
    514, 519, 519, 0,	//1676  const unsigned char*, int, int
    27, 444, 0,	//1680  QDataStream&, const QLine&
    27, 198, 0,	//1683  QDataStream&, QMatrix&
    27, 249, 0,	//1686  QDataStream&, QString&
    216, 413, 519, 461, 44, 0,	//1689  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QDrawPixmaps::DrawingHints
    216, 413, 519, 461, 0,	//1695  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    3, 519, 0,	//1700  QAbstractPrintDialog::PrintDialogOptions::enum_type, int
    217, 217, 0,	//1703  QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type
    27, 446, 0,	//1706  QDataStream&, const QListWidgetItem&
    9, 9, 0,	//1709  QAccessible::Relation::enum_type, QAccessible::Relation::enum_type
    265, 519, 0,	//1712  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int
    535, 0,	//1715  void*
    445, 449, 0,	//1717  const QLineF&, const QMatrix&
    27, 490, 0,	//1720  QDataStream&, const QTextFormat&
    27, 285, 0,	//1723  QDataStream&, QTreeWidgetItem&
    31, 412, 0,	//1726  QDebug, const QDir&
    277, 278, 0,	//1729  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 458, 0,	//1732  QDebug, const QPen&
    517, 469, 0,	//1735  double, const QQuaternion&
    419, 419, 0,	//1738  const QGLFormat&, const QGLFormat&
    31, 454, 0,	//1741  QDebug, const QModelIndex&
    170, 76, 0,	//1744  QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>
    31, 505, 0,	//1747  QDebug, const QVector3D&
    301, 519, 0,	//1750  QWidget::RenderFlags::enum_type, int
    402, 0,	//1753  const QBitArray&
    31, 502, 0,	//1755  QDebug, const QVector2D&
    31, 493, 0,	//1758  QDebug, const QTime&
    277, 280, 0,	//1761  QTextStream&, QTextStreamManipulator
    36, 36, 0,	//1764  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    327, 327, 0,	//1767  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    31, 508, 0,	//1770  QDebug, const QVector4D&
    27, 272, 0,	//1773  QDataStream&, QTextFormat&
    265, 102, 0,	//1776  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>
    486, 510, 0,	//1779  const QStringRef&, const char*
    172, 78, 0,	//1782  QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>
    31, 167, 0,	//1785  QDebug, QGraphicsItem::GraphicsItemFlags
    162, 162, 0,	//1788  QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type
    354, 354, 0,	//1791  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    262, 99, 0,	//1794  QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>
    179, 179, 0,	//1797  QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type
    27, 13, 0,	//1800  QDataStream&, QBitArray&
    27, 230, 0,	//1803  QDataStream&, QPolygon&
    27, 238, 0,	//1806  QDataStream&, QRegion&
    259, 96, 0,	//1809  QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>
    27, 479, 0,	//1812  QDataStream&, const QSizePolicy&
    157, 519, 0,	//1815  QGLShader::ShaderType::enum_type, int
    47, 63, 0,	//1818  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    525, 525, 0,	//1821  size_t, size_t
    301, 301, 0,	//1824  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    463, 494, 0,	//1827  const QPoint&, const QTransform&
    187, 83, 0,	//1830  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    24, 519, 0,	//1833  QColorDialog::ColorDialogOptions::enum_type, int
    31, 478, 0,	//1836  QDebug, const QSizeF&
    270, 270, 0,	//1839  QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type
    346, 519, 0,	//1842  Qt::ItemFlags::enum_type, int
    400, 406, 0,	//1845  char, const QByteArray&
    342, 119, 0,	//1848  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    27, 498, 0,	//1851  QDataStream&, const QVariant&
    31, 498, 0,	//1854  QDebug, const QVariant&
    27, 281, 0,	//1857  QDataStream&, QTime&
    260, 97, 0,	//1860  QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>
    27, 224, 0,	//1863  QDataStream&, QPixmap&
    264, 101, 0,	//1866  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>
    517, 465, 0,	//1869  double, const QPointF&
    302, 113, 0,	//1872  QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>
    474, 494, 0,	//1875  const QRegion&, const QTransform&
    132, 519, 0,	//1878  QFontComboBox::FontFilters::enum_type, int
    476, 517, 0,	//1881  const QSize&, double
    37, 519, 0,	//1884  QDockWidget::DockWidgetFeatures::enum_type, int
    31, 410, 0,	//1887  QDebug, const QDate&
    456, 494, 0,	//1890  const QPainterPath&, const QTransform&
    251, 93, 0,	//1893  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    401, 525, 510, 532, 0,	//1896  char*, size_t, const char*, va_list
    517, 463, 0,	//1901  double, const QPoint&
    467, 494, 0,	//1904  const QPolygonF&, const QTransform&
    535, 519, 525, 0,	//1907  void*, int, size_t
    27, 445, 0,	//1911  QDataStream&, const QLineF&
    197, 197, 0,	//1914  QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type
    162, 519, 0,	//1917  QGraphicsBlurEffect::BlurHints::enum_type, int
    523, 0,	//1920  short
    181, 181, 0,	//1922  QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type
    187, 519, 0,	//1925  QLibrary::LoadHints::enum_type, int
    279, 279, 0,	//1928  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    183, 183, 0,	//1931  QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type
    32, 32, 0,	//1934  QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type
    518, 518, 0,	//1937  float, float
    498, 500, 0,	//1940  const QVariant&, const QVariantComparisonHelper&
    521, 519, 401, 0,	//1943  long double, int, char*
    163, 163, 0,	//1947  QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type
    161, 72, 0,	//1950  QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>
    27, 458, 0,	//1953  QDataStream&, const QPen&
    27, 219, 0,	//1956  QDataStream&, QPainterPath&
    274, 519, 0,	//1959  QTextItem::RenderFlags::enum_type, int
    31, 444, 0,	//1962  QDebug, const QLine&
    216, 519, 519, 519, 519, 457, 399, 519, 519, 404, 0,	//1965  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    216, 519, 519, 519, 519, 457, 399, 519, 519, 0,	//1976  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    9, 54, 0,	//1986  QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>
    168, 168, 0,	//1989  QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type
    279, 109, 0,	//1992  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    27, 275, 0,	//1995  QDataStream&, QTextLength&
    31, 494, 0,	//1998  QDebug, const QTransform&
    273, 273, 0,	//2001  QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type
    31, 466, 0,	//2004  QDebug, const QPolygon&
    162, 73, 0,	//2007  QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>
    1, 519, 0,	//2010  QAbstractFileEngine::FileFlags::enum_type, int
    9, 519, 0,	//2013  QAccessible::Relation::enum_type, int
    34, 519, 0,	//2016  QDir::Filters::enum_type, int
    502, 0,	//2019  const QVector2D&
    27, 408, 0,	//2021  QDataStream&, const QColor&
    517, 450, 0,	//2024  double, const QMatrix4x4&
    27, 406, 0,	//2027  QDataStream&, const QByteArray&
    444, 449, 0,	//2030  const QLine&, const QMatrix&
    35, 35, 0,	//2033  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    27, 496, 0,	//2036  QDataStream&, const QUrl&
    327, 519, 0,	//2039  Qt::DropActions::enum_type, int
    31, 470, 0,	//2042  QDebug, const QRect&
    31, 416, 0,	//2045  QDebug, const QFont&
    187, 187, 0,	//2048  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    259, 259, 0,	//2051  QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type
    3, 52, 0,	//2054  QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>
    27, 234, 0,	//2057  QDataStream&, QRect&
    27, 476, 0,	//2060  QDataStream&, const QSize&
    276, 276, 0,	//2063  QTextOption::Flags::enum_type, QTextOption::Flags::enum_type
    27, 407, 0,	//2066  QDataStream&, const QChar&
    263, 263, 0,	//2069  QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type
    186, 184, 0,	//2072  QKeySequence::StandardKey, QKeyEvent*
    257, 257, 0,	//2075  QStyle::State::enum_type, QStyle::State::enum_type
    27, 194, 0,	//2078  QDataStream&, QListWidgetItem&
    27, 472, 0,	//2081  QDataStream&, const QRegExp&
    271, 271, 0,	//2084  QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type
    148, 519, 0,	//2087  QGLFormat::OpenGLVersionFlags::enum_type, int
    276, 108, 0,	//2090  QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>
    303, 519, 0,	//2093  Qt::Alignment::enum_type, int
    505, 0,	//2096  const QVector3D&
    31, 471, 0,	//2098  QDebug, const QRectF&
    157, 157, 0,	//2101  QGLShader::ShaderType::enum_type, QGLShader::ShaderType::enum_type
    346, 120, 0,	//2104  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    259, 519, 0,	//2107  QStyleOptionButton::ButtonFeatures::enum_type, int
    333, 333, 0,	//2110  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    27, 289, 0,	//2113  QDataStream&, QUuid&
    27, 131, 0,	//2116  QDataStream&, QFont&
    303, 114, 0,	//2119  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    216, 470, 408, 519, 404, 0,	//2122  QPainter*, const QRect&, const QColor&, int, const QBrush*
    216, 470, 408, 0,	//2128  QPainter*, const QRect&, const QColor&
    216, 470, 408, 519, 0,	//2132  QPainter*, const QRect&, const QColor&, int
    27, 232, 0,	//2137  QDataStream&, QPolygonF&
    27, 293, 0,	//2140  QDataStream&, QVariant::Type&
    498, 292, 535, 0,	//2143  const QVariant&, QVariant::Type, void*
    463, 450, 0,	//2147  const QPoint&, const QMatrix4x4&
    183, 519, 0,	//2150  QItemSelectionModel::SelectionFlags::enum_type, int
    463, 449, 0,	//2153  const QPoint&, const QMatrix&
    455, 483, 473, 452, 193, 0,	//2156  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    34, 34, 0,	//2162  QDir::Filters::enum_type, QDir::Filters::enum_type
    438, 438, 0,	//2165  const QHashDummyValue&, const QHashDummyValue&
    354, 519, 0,	//2168  Qt::MatchFlags::enum_type, int
    257, 519, 0,	//2171  QStyle::State::enum_type, int
    27, 228, 0,	//2174  QDataStream&, QPointF&
    212, 89, 0,	//2177  QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>
    450, 505, 0,	//2180  const QMatrix4x4&, const QVector3D&
    387, 519, 0,	//2183  Qt::WindowFlags::enum_type, int
    378, 126, 0,	//2186  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    27, 489, 0,	//2189  QDataStream&, const QTableWidgetItem&
    213, 213, 0,	//2192  QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type
    31, 164, 0,	//2195  QDebug, QGraphicsItem*
    216, 463, 463, 457, 399, 519, 519, 0,	//2198  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    216, 463, 463, 457, 0,	//2206  QPainter*, const QPoint&, const QPoint&, const QPalette&
    216, 463, 463, 457, 399, 0,	//2211  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    216, 463, 463, 457, 399, 519, 0,	//2217  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    378, 519, 0,	//2224  Qt::ToolBarAreas::enum_type, int
    450, 465, 0,	//2227  const QMatrix4x4&, const QPointF&
    27, 416, 0,	//2230  QDataStream&, const QFont&
    325, 519, 0,	//2233  Qt::DockWidgetAreas::enum_type, int
    466, 494, 0,	//2236  const QPolygon&, const QTransform&
    517, 476, 0,	//2239  double, const QSize&
    31, 256, 0,	//2242  QDebug, QStyle::State
    373, 125, 0,	//2245  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    274, 107, 0,	//2248  QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>
    14, 399, 0,	//2251  QBool, bool
    27, 189, 0,	//2254  QDataStream&, QLine&
    163, 74, 0,	//2257  QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>
    31, 476, 0,	//2260  QDebug, const QSize&
    445, 494, 0,	//2263  const QLineF&, const QTransform&
    4, 53, 0,	//2266  QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>
    303, 303, 0,	//2269  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    168, 75, 0,	//2272  QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>
    212, 519, 0,	//2275  QPaintEngine::DirtyFlags::enum_type, int
    30, 519, 0,	//2278  QDateTimeEdit::Sections::enum_type, int
    27, 499, 0,	//2281  QDataStream&, const QVariant::Type
    465, 494, 0,	//2284  const QPointF&, const QTransform&
    31, 408, 0,	//2287  QDebug, const QColor&
    31, 449, 0,	//2290  QDebug, const QMatrix&
    27, 497, 0,	//2293  QDataStream&, const QUuid&
    350, 350, 0,	//2296  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    170, 170, 0,	//2299  QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type
    49, 519, 0,	//2302  QFileDialog::Options::enum_type, int
    27, 235, 0,	//2305  QDataStream&, QRectF&
    10, 55, 0,	//2308  QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>
    201, 519, 0,	//2311  QMdiArea::AreaOptions::enum_type, int
    27, 26, 0,	//2314  QDataStream&, QCursor&
    24, 24, 0,	//2317  QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type
    47, 519, 0,	//2320  QEventLoop::ProcessEventsFlags::enum_type, int
    203, 88, 0,	//2323  QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>
    27, 470, 0,	//2326  QDataStream&, const QRect&
    142, 142, 0,	//2329  QGLContext::BindOptions::enum_type, QGLContext::BindOptions::enum_type
    136, 136, 0,	//2332  QGL::FormatOptions::enum_type, QGL::FormatOptions::enum_type
    27, 19, 0,	//2335  QDataStream&, QChar&
    27, 236, 0,	//2338  QDataStream&, QRegExp&
    27, 469, 0,	//2341  QDataStream&, const QQuaternion&
    36, 519, 0,	//2344  QDirIterator::IteratorFlags::enum_type, int
    27, 465, 0,	//2347  QDataStream&, const QPointF&
    381, 519, 0,	//2350  Qt::TouchPointStates::enum_type, int
    27, 478, 0,	//2353  QDataStream&, const QSizeF&
    483, 483, 0,	//2356  const QString&, const QString&
    183, 82, 0,	//2359  QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>
    172, 519, 0,	//2362  QGraphicsView::OptimizationFlags::enum_type, int
    273, 106, 0,	//2365  QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>
    395, 510, 0,	//2368  QtMsgType, const char*
    203, 519, 0,	//2371  QMessageBox::StandardButtons::enum_type, int
    31, 456, 0,	//2374  QDebug, const QPainterPath&
    517, 505, 0,	//2377  double, const QVector3D&
    260, 260, 0,	//2380  QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type
    142, 519, 0,	//2383  QGLContext::BindOptions::enum_type, int
    24, 56, 0,	//2386  QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>
    201, 201, 0,	//2389  QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type
    486, 0,	//2392  const QStringRef&
    258, 95, 0,	//2394  QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>
    4, 519, 0,	//2397  QAbstractSpinBox::StepEnabled::enum_type, int
    47, 47, 0,	//2400  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    133, 133, 0,	//2403  QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type
    354, 122, 0,	//2406  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    526, 0,	//2409  unsigned char
    27, 17, 0,	//2411  QDataStream&, QByteArray&
    466, 449, 0,	//2414  const QPolygon&, const QMatrix&
    31, 488, 0,	//2417  QDebug, const QStyleOption::OptionType&
    31, 455, 0,	//2420  QDebug, const QObject*
    357, 519, 0,	//2423  Qt::MouseButtons::enum_type, int
    27, 466, 0,	//2426  QDataStream&, const QPolygon&
    27, 28, 0,	//2429  QDataStream&, QDate&
    27, 402, 0,	//2432  QDataStream&, const QBitArray&
    207, 46, 0,	//2435  QObject*, QEvent*
    282, 0,	//2438  QTimerEvent*
    20, 0,	//2440  QChildEvent*
    205, 0,	//2442  QMouseEvent*
    299, 0,	//2444  QWheelEvent*
    184, 0,	//2446  QKeyEvent*
    130, 0,	//2448  QFocusEvent*
    206, 0,	//2450  QMoveEvent*
    21, 0,	//2452  QCloseEvent*
    25, 0,	//2454  QContextMenuEvent*
    267, 0,	//2456  QTabletEvent*
    11, 0,	//2458  QActionEvent*
    38, 0,	//2460  QDragEnterEvent*
    40, 0,	//2462  QDragMoveEvent*
    39, 0,	//2464  QDragLeaveEvent*
    45, 0,	//2466  QDropEvent*
    240, 0,	//2468  QShowEvent*
    173, 0,	//2470  QHideEvent*
    396, 0,	//2472  _XEvent*
    182, 0,	//2474  QInputMethodEvent*
    343, 0,	//2476  Qt::InputMethodQuery
    255, 0,	//2478  QStyle&
    457, 0,	//2480  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "DefaultBindOption",	//6
    "Depth",	//7
    "DepthBuffer",	//8
    "DirectRendering",	//9
    "DoubleBuffer",	//10
    "DrawChildren",	//11
    "DrawWindowBackground",	//12
    "Fragment",	//13
    "HasOverlay",	//14
    "IgnoreMask",	//15
    "IndirectRendering",	//16
    "InternalBindOption",	//17
    "InvertedYBindOption",	//18
    "LinearFilteringBindOption",	//19
    "MemoryManagedBindOption",	//20
    "MipmapBindOption",	//21
    "NoAccumBuffer",	//22
    "NoAlphaChannel",	//23
    "NoAttachment",	//24
    "NoBindOption",	//25
    "NoDepthBuffer",	//26
    "NoOverlay",	//27
    "NoSampleBuffers",	//28
    "NoStencilBuffer",	//29
    "NoStereoBuffers",	//30
    "OpenGL_ES_CommonLite_Version_1_0",	//31
    "OpenGL_ES_CommonLite_Version_1_1",	//32
    "OpenGL_ES_Common_Version_1_0",	//33
    "OpenGL_ES_Common_Version_1_1",	//34
    "OpenGL_ES_Version_2_0",	//35
    "OpenGL_Version_1_1",	//36
    "OpenGL_Version_1_2",	//37
    "OpenGL_Version_1_3",	//38
    "OpenGL_Version_1_4",	//39
    "OpenGL_Version_1_5",	//40
    "OpenGL_Version_2_0",	//41
    "OpenGL_Version_2_1",	//42
    "OpenGL_Version_3_0",	//43
    "OpenGL_Version_None",	//44
    "PremultipliedAlphaBindOption",	//45
    "QGLColormap",	//46
    "QGLColormap#",	//47
    "QGLContext",	//48
    "QGLContext#",	//49
    "QGLContext##",	//50
    "QGLFormat",	//51
    "QGLFormat#",	//52
    "QGLFormat$",	//53
    "QGLFormat$$",	//54
    "QGLFramebufferObject",	//55
    "QGLFramebufferObject#",	//56
    "QGLFramebufferObject##",	//57
    "QGLFramebufferObject#$",	//58
    "QGLFramebufferObject#$$",	//59
    "QGLFramebufferObject#$$$",	//60
    "QGLFramebufferObject$$",	//61
    "QGLFramebufferObject$$#",	//62
    "QGLFramebufferObject$$$",	//63
    "QGLFramebufferObject$$$$",	//64
    "QGLFramebufferObject$$$$$",	//65
    "QGLFramebufferObjectFormat",	//66
    "QGLFramebufferObjectFormat#",	//67
    "QGLPixelBuffer",	//68
    "QGLPixelBuffer#",	//69
    "QGLPixelBuffer##",	//70
    "QGLPixelBuffer###",	//71
    "QGLPixelBuffer$$",	//72
    "QGLPixelBuffer$$#",	//73
    "QGLPixelBuffer$$##",	//74
    "QGLShader",	//75
    "QGLShader$",	//76
    "QGLShader$#",	//77
    "QGLShader$##",	//78
    "QGLShaderProgram",	//79
    "QGLShaderProgram#",	//80
    "QGLShaderProgram##",	//81
    "QGLWidget",	//82
    "QGLWidget#",	//83
    "QGLWidget##",	//84
    "QGLWidget###",	//85
    "QGLWidget###$",	//86
    "QGLWidget##$",	//87
    "QtCriticalMsg",	//88
    "QtDebugMsg",	//89
    "QtFatalMsg",	//90
    "QtSystemMsg",	//91
    "QtWarningMsg",	//92
    "Rgba",	//93
    "SampleBuffers",	//94
    "SingleBuffer",	//95
    "StencilBuffer",	//96
    "StereoBuffers",	//97
    "Vertex",	//98
    "_IEEE_",	//99
    "_ISOC_",	//100
    "_POSIX_",	//101
    "_SVID_",	//102
    "_XOPEN_",	//103
    "__codecvt_error",	//104
    "__codecvt_noconv",	//105
    "__codecvt_ok",	//106
    "__codecvt_partial",	//107
    "accum",	//108
    "accumBufferSize",	//109
    "actionEvent",	//110
    "addShader",	//111
    "addShader#",	//112
    "addShaderFromSourceCode",	//113
    "addShaderFromSourceCode$#",	//114
    "addShaderFromSourceCode$$",	//115
    "addShaderFromSourceFile",	//116
    "addShaderFromSourceFile$$",	//117
    "alpha",	//118
    "alphaBufferSize",	//119
    "areSharing",	//120
    "areSharing##",	//121
    "attachment",	//122
    "attributeLocation",	//123
    "attributeLocation#",	//124
    "attributeLocation$",	//125
    "autoBufferSwap",	//126
    "bind",	//127
    "bindAttributeLocation",	//128
    "bindAttributeLocation#$",	//129
    "bindAttributeLocation$$",	//130
    "bindTexture",	//131
    "bindTexture#",	//132
    "bindTexture#$",	//133
    "bindTexture#$$",	//134
    "bindTexture#$$$",	//135
    "bindTexture$",	//136
    "bindToDynamicTexture",	//137
    "bindToDynamicTexture$",	//138
    "blitFramebuffer",	//139
    "blitFramebuffer####",	//140
    "blitFramebuffer####$",	//141
    "blitFramebuffer####$$",	//142
    "blueBufferSize",	//143
    "changeEvent",	//144
    "childEvent",	//145
    "chooseContext",	//146
    "chooseContext#",	//147
    "chooseVisual",	//148
    "closeEvent",	//149
    "colorIndex",	//150
    "colorIndex#",	//151
    "colormap",	//152
    "compileSourceCode",	//153
    "compileSourceCode#",	//154
    "compileSourceCode$",	//155
    "compileSourceFile",	//156
    "compileSourceFile$",	//157
    "connectNotify",	//158
    "context",	//159
    "contextMenuEvent",	//160
    "convertToGLFormat",	//161
    "convertToGLFormat#",	//162
    "create",	//163
    "create#",	//164
    "currentContext",	//165
    "currentCtx",	//166
    "customEvent",	//167
    "defaultFormat",	//168
    "defaultOverlayFormat",	//169
    "deleteTexture",	//170
    "deleteTexture$",	//171
    "depth",	//172
    "depthBufferSize",	//173
    "detach",	//174
    "devType",	//175
    "device",	//176
    "deviceIsPixmap",	//177
    "directRendering",	//178
    "disableAttributeArray",	//179
    "disableAttributeArray$",	//180
    "disconnectNotify",	//181
    "doneCurrent",	//182
    "doubleBuffer",	//183
    "dragEnterEvent",	//184
    "dragLeaveEvent",	//185
    "dragMoveEvent",	//186
    "drawTexture",	//187
    "drawTexture#$",	//188
    "drawTexture#$$",	//189
    "dropEvent",	//190
    "enableAttributeArray",	//191
    "enableAttributeArray$",	//192
    "enabledChange",	//193
    "enterEvent",	//194
    "entryColor",	//195
    "entryColor$",	//196
    "entryRgb",	//197
    "entryRgb$",	//198
    "event",	//199
    "event#",	//200
    "eventFilter",	//201
    "find",	//202
    "find$",	//203
    "findNearest",	//204
    "findNearest$",	//205
    "focusInEvent",	//206
    "focusNextPrevChild",	//207
    "focusOutEvent",	//208
    "fontChange",	//209
    "fontDisplayListBase",	//210
    "fontDisplayListBase#",	//211
    "fontDisplayListBase#$",	//212
    "format",	//213
    "generateDynamicTexture",	//214
    "generateFontDisplayLists",	//215
    "generateFontDisplayLists#$",	//216
    "getProcAddress",	//217
    "getProcAddress$",	//218
    "glDraw",	//219
    "glInit",	//220
    "grabFrameBuffer",	//221
    "grabFrameBuffer$",	//222
    "greenBufferSize",	//223
    "handle",	//224
    "hasOpenGL",	//225
    "hasOpenGLFramebufferBlit",	//226
    "hasOpenGLFramebufferObjects",	//227
    "hasOpenGLOverlays",	//228
    "hasOpenGLPbuffers",	//229
    "hasOpenGLShaderPrograms",	//230
    "hasOpenGLShaderPrograms#",	//231
    "hasOverlay",	//232
    "heightForWidth",	//233
    "hideEvent",	//234
    "initializeGL",	//235
    "initializeOverlayGL",	//236
    "initialized",	//237
    "inputMethodEvent",	//238
    "inputMethodQuery",	//239
    "internalTextureFormat",	//240
    "isBound",	//241
    "isCompiled",	//242
    "isEmpty",	//243
    "isLinked",	//244
    "isSharing",	//245
    "isValid",	//246
    "keyPressEvent",	//247
    "keyReleaseEvent",	//248
    "languageChange",	//249
    "leaveEvent",	//250
    "link",	//251
    "log",	//252
    "makeCurrent",	//253
    "makeOverlayCurrent",	//254
    "metaObject",	//255
    "metric",	//256
    "metric$",	//257
    "minimumSizeHint",	//258
    "mouseDoubleClickEvent",	//259
    "mouseMoveEvent",	//260
    "mousePressEvent",	//261
    "mouseReleaseEvent",	//262
    "moveEvent",	//263
    "openGLVersionFlags",	//264
    "operator!=",	//265
    "operator!=#",	//266
    "operator!=##",	//267
    "operator!=#$",	//268
    "operator!=$#",	//269
    "operator!=$$",	//270
    "operator&",	//271
    "operator&##",	//272
    "operator*",	//273
    "operator*##",	//274
    "operator*#$",	//275
    "operator*$#",	//276
    "operator+",	//277
    "operator+##",	//278
    "operator+#$",	//279
    "operator+$#",	//280
    "operator+$$",	//281
    "operator-",	//282
    "operator-#",	//283
    "operator-##",	//284
    "operator-#$",	//285
    "operator/",	//286
    "operator/#$",	//287
    "operator<",	//288
    "operator<##",	//289
    "operator<#$",	//290
    "operator<$#",	//291
    "operator<$$",	//292
    "operator<<",	//293
    "operator<<##",	//294
    "operator<<#$",	//295
    "operator<<#?",	//296
    "operator<=",	//297
    "operator<=##",	//298
    "operator<=#$",	//299
    "operator<=$#",	//300
    "operator<=$$",	//301
    "operator=",	//302
    "operator=#",	//303
    "operator==",	//304
    "operator==#",	//305
    "operator==##",	//306
    "operator==#$",	//307
    "operator==$#",	//308
    "operator==$$",	//309
    "operator>",	//310
    "operator>##",	//311
    "operator>#$",	//312
    "operator>$#",	//313
    "operator>$$",	//314
    "operator>=",	//315
    "operator>=##",	//316
    "operator>=#$",	//317
    "operator>=$#",	//318
    "operator>=$$",	//319
    "operator>>",	//320
    "operator>>##",	//321
    "operator>>#$",	//322
    "operator>>#?",	//323
    "operator^",	//324
    "operator^##",	//325
    "operator|",	//326
    "operator|##",	//327
    "operator|?$",	//328
    "operator|??",	//329
    "overlayContext",	//330
    "overlayTransparentColor",	//331
    "paintEngine",	//332
    "paintEvent",	//333
    "paintEvent#",	//334
    "paintGL",	//335
    "paintOverlayGL",	//336
    "paletteChange",	//337
    "plane",	//338
    "programId",	//339
    "qAccessibleActionCastHelper",	//340
    "qAccessibleEditableTextCastHelper",	//341
    "qAccessibleImageCastHelper",	//342
    "qAccessibleTableCastHelper",	//343
    "qAccessibleTextCastHelper",	//344
    "qAccessibleValueCastHelper",	//345
    "qAcos",	//346
    "qAcos$",	//347
    "qAddPostRoutine",	//348
    "qAddPostRoutine$",	//349
    "qAlpha",	//350
    "qAlpha$",	//351
    "qAppName",	//352
    "qAsin",	//353
    "qAsin$",	//354
    "qAtan",	//355
    "qAtan$",	//356
    "qAtan2",	//357
    "qAtan2$$",	//358
    "qBlue",	//359
    "qBlue$",	//360
    "qCeil",	//361
    "qCeil$",	//362
    "qChecksum",	//363
    "qChecksum$$",	//364
    "qCompress",	//365
    "qCompress#",	//366
    "qCompress#$",	//367
    "qCompress$$",	//368
    "qCompress$$$",	//369
    "qCos",	//370
    "qCos$",	//371
    "qCritical",	//372
    "qDebug",	//373
    "qDrawBorderPixmap",	//374
    "qDrawBorderPixmap####",	//375
    "qDrawBorderPixmap######",	//376
    "qDrawBorderPixmap#######",	//377
    "qDrawBorderPixmap#######$",	//378
    "qDrawPixmaps",	//379
    "qDrawPixmaps##$#",	//380
    "qDrawPixmaps##$#$",	//381
    "qDrawPlainRect",	//382
    "qDrawPlainRect###",	//383
    "qDrawPlainRect###$",	//384
    "qDrawPlainRect###$#",	//385
    "qDrawPlainRect#$$$$#",	//386
    "qDrawPlainRect#$$$$#$",	//387
    "qDrawPlainRect#$$$$#$#",	//388
    "qDrawShadeLine",	//389
    "qDrawShadeLine####",	//390
    "qDrawShadeLine####$",	//391
    "qDrawShadeLine####$$",	//392
    "qDrawShadeLine####$$$",	//393
    "qDrawShadeLine#$$$$#",	//394
    "qDrawShadeLine#$$$$#$",	//395
    "qDrawShadeLine#$$$$#$$",	//396
    "qDrawShadeLine#$$$$#$$$",	//397
    "qDrawShadePanel",	//398
    "qDrawShadePanel###",	//399
    "qDrawShadePanel###$",	//400
    "qDrawShadePanel###$$",	//401
    "qDrawShadePanel###$$#",	//402
    "qDrawShadePanel#$$$$#",	//403
    "qDrawShadePanel#$$$$#$",	//404
    "qDrawShadePanel#$$$$#$$",	//405
    "qDrawShadePanel#$$$$#$$#",	//406
    "qDrawShadeRect",	//407
    "qDrawShadeRect###",	//408
    "qDrawShadeRect###$",	//409
    "qDrawShadeRect###$$",	//410
    "qDrawShadeRect###$$$",	//411
    "qDrawShadeRect###$$$#",	//412
    "qDrawShadeRect#$$$$#",	//413
    "qDrawShadeRect#$$$$#$",	//414
    "qDrawShadeRect#$$$$#$$",	//415
    "qDrawShadeRect#$$$$#$$$",	//416
    "qDrawShadeRect#$$$$#$$$#",	//417
    "qDrawWinButton",	//418
    "qDrawWinButton###",	//419
    "qDrawWinButton###$",	//420
    "qDrawWinButton###$#",	//421
    "qDrawWinButton#$$$$#",	//422
    "qDrawWinButton#$$$$#$",	//423
    "qDrawWinButton#$$$$#$#",	//424
    "qDrawWinPanel",	//425
    "qDrawWinPanel###",	//426
    "qDrawWinPanel###$",	//427
    "qDrawWinPanel###$#",	//428
    "qDrawWinPanel#$$$$#",	//429
    "qDrawWinPanel#$$$$#$",	//430
    "qDrawWinPanel#$$$$#$#",	//431
    "qExp",	//432
    "qExp$",	//433
    "qFabs",	//434
    "qFabs$",	//435
    "qFastCos",	//436
    "qFastCos$",	//437
    "qFastSin",	//438
    "qFastSin$",	//439
    "qFlagLocation",	//440
    "qFlagLocation$",	//441
    "qFloor",	//442
    "qFloor$",	//443
    "qFree",	//444
    "qFree$",	//445
    "qFreeAligned",	//446
    "qFreeAligned$",	//447
    "qFuzzyCompare",	//448
    "qFuzzyCompare##",	//449
    "qFuzzyCompare$$",	//450
    "qFuzzyIsNull",	//451
    "qFuzzyIsNull$",	//452
    "qGray",	//453
    "qGray$",	//454
    "qGray$$$",	//455
    "qGreen",	//456
    "qGreen$",	//457
    "qHash",	//458
    "qHash#",	//459
    "qHash$",	//460
    "qInf",	//461
    "qInstallMsgHandler",	//462
    "qInstallMsgHandler$",	//463
    "qIntCast",	//464
    "qIntCast$",	//465
    "qIsFinite",	//466
    "qIsFinite$",	//467
    "qIsGray",	//468
    "qIsGray$",	//469
    "qIsInf",	//470
    "qIsInf$",	//471
    "qIsNaN",	//472
    "qIsNaN$",	//473
    "qIsNull",	//474
    "qIsNull$",	//475
    "qLn",	//476
    "qLn$",	//477
    "qMalloc",	//478
    "qMalloc?",	//479
    "qMallocAligned",	//480
    "qMallocAligned??",	//481
    "qMemCopy",	//482
    "qMemCopy$$?",	//483
    "qMemSet",	//484
    "qMemSet$$?",	//485
    "qPow",	//486
    "qPow$$",	//487
    "qQNaN",	//488
    "qRealloc",	//489
    "qRealloc$?",	//490
    "qReallocAligned",	//491
    "qReallocAligned$???",	//492
    "qRed",	//493
    "qRed$",	//494
    "qRegisterStaticPluginInstanceFunction",	//495
    "qRegisterStaticPluginInstanceFunction#",	//496
    "qRemovePostRoutine",	//497
    "qRemovePostRoutine$",	//498
    "qRgb",	//499
    "qRgb$$$",	//500
    "qRgba",	//501
    "qRgba$$$$",	//502
    "qRound",	//503
    "qRound$",	//504
    "qRound64",	//505
    "qRound64$",	//506
    "qSNaN",	//507
    "qSetFieldWidth",	//508
    "qSetFieldWidth$",	//509
    "qSetPadChar",	//510
    "qSetPadChar#",	//511
    "qSetRealNumberPrecision",	//512
    "qSetRealNumberPrecision$",	//513
    "qSharedBuild",	//514
    "qSin",	//515
    "qSin$",	//516
    "qSqrt",	//517
    "qSqrt$",	//518
    "qStringComparisonHelper",	//519
    "qStringComparisonHelper#$",	//520
    "qStringComparisonHelper$$",	//521
    "qTan",	//522
    "qTan$",	//523
    "qUncompress",	//524
    "qUncompress#",	//525
    "qUncompress$$",	//526
    "qVersion",	//527
    "qWarning",	//528
    "qbswap_helper",	//529
    "qbswap_helper$$$",	//530
    "qgcvt",	//531
    "qgcvt$$$",	//532
    "qgetenv",	//533
    "qgetenv$",	//534
    "qglClearColor",	//535
    "qglClearColor#",	//536
    "qglColor",	//537
    "qglColor#",	//538
    "qputenv",	//539
    "qputenv$#",	//540
    "qrand",	//541
    "qsort",	//542
    "qsort$???",	//543
    "qsrand",	//544
    "qsrand$",	//545
    "qstrcmp",	//546
    "qstrcmp##",	//547
    "qstrcmp#$",	//548
    "qstrcmp$#",	//549
    "qstrcmp$$",	//550
    "qstrcpy",	//551
    "qstrcpy$$",	//552
    "qstrdup",	//553
    "qstrdup$",	//554
    "qstricmp",	//555
    "qstricmp$$",	//556
    "qstrlen",	//557
    "qstrlen$",	//558
    "qstrncmp",	//559
    "qstrncmp$$$",	//560
    "qstrncpy",	//561
    "qstrncpy$$$",	//562
    "qstrnicmp",	//563
    "qstrnicmp$$$",	//564
    "qstrnlen",	//565
    "qstrnlen$$",	//566
    "qtTrId",	//567
    "qtTrId$",	//568
    "qtTrId$$",	//569
    "qt_assert",	//570
    "qt_assert$$$",	//571
    "qt_assert_x",	//572
    "qt_assert_x$$$$",	//573
    "qt_check_pointer",	//574
    "qt_check_pointer$$",	//575
    "qt_error_string",	//576
    "qt_error_string$",	//577
    "qt_message_output",	//578
    "qt_message_output$$",	//579
    "qt_metacall",	//580
    "qt_metacall$$?",	//581
    "qt_metacast",	//582
    "qt_metacast$",	//583
    "qt_noop",	//584
    "qt_qFindChild_helper",	//585
    "qt_qFindChild_helper#$#",	//586
    "qt_qFindChildren_helper",	//587
    "qt_qFindChildren_helper#$##?",	//588
    "qvariant_cast_helper",	//589
    "qvariant_cast_helper#$$",	//590
    "qvsnprintf",	//591
    "qvsnprintf$?$?",	//592
    "redBufferSize",	//593
    "release",	//594
    "releaseFromDynamicTexture",	//595
    "removeAllShaders",	//596
    "removeShader",	//597
    "removeShader#",	//598
    "renderPixmap",	//599
    "renderPixmap$",	//600
    "renderPixmap$$",	//601
    "renderPixmap$$$",	//602
    "renderText",	//603
    "renderText$$$",	//604
    "renderText$$$#",	//605
    "renderText$$$#$",	//606
    "renderText$$$$",	//607
    "renderText$$$$#",	//608
    "renderText$$$$#$",	//609
    "requestedFormat",	//610
    "reset",	//611
    "resizeEvent",	//612
    "resizeEvent#",	//613
    "resizeGL",	//614
    "resizeGL$$",	//615
    "resizeOverlayGL",	//616
    "resizeOverlayGL$$",	//617
    "rgba",	//618
    "sampleBuffers",	//619
    "samples",	//620
    "setAccum",	//621
    "setAccum$",	//622
    "setAccumBufferSize",	//623
    "setAccumBufferSize$",	//624
    "setAlpha",	//625
    "setAlpha$",	//626
    "setAlphaBufferSize",	//627
    "setAlphaBufferSize$",	//628
    "setAttachment",	//629
    "setAttachment$",	//630
    "setAttributeArray",	//631
    "setAttributeArray$#",	//632
    "setAttributeArray$#$",	//633
    "setAttributeArray$$$",	//634
    "setAttributeArray$$$$",	//635
    "setAttributeValue",	//636
    "setAttributeValue$#",	//637
    "setAttributeValue$$",	//638
    "setAttributeValue$$$",	//639
    "setAttributeValue$$$$",	//640
    "setAttributeValue$$$$$",	//641
    "setAutoBufferSwap",	//642
    "setAutoBufferSwap$",	//643
    "setBlueBufferSize",	//644
    "setBlueBufferSize$",	//645
    "setColormap",	//646
    "setColormap#",	//647
    "setContext",	//648
    "setContext#",	//649
    "setContext##",	//650
    "setContext##$",	//651
    "setCurrentCtx",	//652
    "setCurrentCtx#",	//653
    "setDefaultFormat",	//654
    "setDefaultFormat#",	//655
    "setDefaultOverlayFormat",	//656
    "setDefaultOverlayFormat#",	//657
    "setDepth",	//658
    "setDepth$",	//659
    "setDepthBufferSize",	//660
    "setDepthBufferSize$",	//661
    "setDevice",	//662
    "setDevice#",	//663
    "setDirectRendering",	//664
    "setDirectRendering$",	//665
    "setDoubleBuffer",	//666
    "setDoubleBuffer$",	//667
    "setEntries",	//668
    "setEntries$$",	//669
    "setEntries$$$",	//670
    "setEntry",	//671
    "setEntry$#",	//672
    "setEntry$$",	//673
    "setFormat",	//674
    "setFormat#",	//675
    "setGreenBufferSize",	//676
    "setGreenBufferSize$",	//677
    "setHandle",	//678
    "setHandle$",	//679
    "setInitialized",	//680
    "setInitialized$",	//681
    "setInternalTextureFormat",	//682
    "setInternalTextureFormat$",	//683
    "setMouseTracking",	//684
    "setMouseTracking$",	//685
    "setOption",	//686
    "setOption$",	//687
    "setOverlay",	//688
    "setOverlay$",	//689
    "setPlane",	//690
    "setPlane$",	//691
    "setPreferredPaintEngine",	//692
    "setPreferredPaintEngine$",	//693
    "setRedBufferSize",	//694
    "setRedBufferSize$",	//695
    "setRgba",	//696
    "setRgba$",	//697
    "setSampleBuffers",	//698
    "setSampleBuffers$",	//699
    "setSamples",	//700
    "setSamples$",	//701
    "setStencil",	//702
    "setStencil$",	//703
    "setStencilBufferSize",	//704
    "setStencilBufferSize$",	//705
    "setStereo",	//706
    "setStereo$",	//707
    "setSwapInterval",	//708
    "setSwapInterval$",	//709
    "setTextureCacheLimit",	//710
    "setTextureCacheLimit$",	//711
    "setTextureTarget",	//712
    "setTextureTarget$",	//713
    "setUniformValue",	//714
    "setUniformValue$#",	//715
    "setUniformValue$$",	//716
    "setUniformValue$$$",	//717
    "setUniformValue$$$$",	//718
    "setUniformValue$$$$$",	//719
    "setUniformValue$?",	//720
    "setUniformValueArray",	//721
    "setUniformValueArray$#$",	//722
    "setUniformValueArray$$$",	//723
    "setUniformValueArray$$$$",	//724
    "setUniformValueArray$?$",	//725
    "setValid",	//726
    "setValid$",	//727
    "setVisible",	//728
    "setWindowCreated",	//729
    "setWindowCreated$",	//730
    "shaderId",	//731
    "shaderType",	//732
    "shaders",	//733
    "showEvent",	//734
    "size",	//735
    "sizeHint",	//736
    "sourceCode",	//737
    "staticMetaObject",	//738
    "stencil",	//739
    "stencilBufferSize",	//740
    "stereo",	//741
    "styleChange",	//742
    "swapBuffers",	//743
    "swapInterval",	//744
    "tabletEvent",	//745
    "testOption",	//746
    "testOption$",	//747
    "texture",	//748
    "textureCacheLimit",	//749
    "textureTarget",	//750
    "timerEvent",	//751
    "toImage",	//752
    "tr",	//753
    "tr$",	//754
    "tr$$",	//755
    "tr$$$",	//756
    "trUtf8",	//757
    "trUtf8$",	//758
    "trUtf8$$",	//759
    "trUtf8$$$",	//760
    "tryVisual",	//761
    "tryVisual#",	//762
    "tryVisual#$",	//763
    "uniformLocation",	//764
    "uniformLocation#",	//765
    "uniformLocation$",	//766
    "updateDynamicTexture",	//767
    "updateDynamicTexture$",	//768
    "updateGL",	//769
    "updateOverlayGL",	//770
    "wheelEvent",	//771
    "windowActivationChange",	//772
    "windowCreated",	//773
    "x11Event",	//774
    "~QGLColormap",	//775
    "~QGLContext",	//776
    "~QGLFormat",	//777
    "~QGLFramebufferObject",	//778
    "~QGLFramebufferObjectFormat",	//779
    "~QGLPixelBuffer",	//780
    "~QGLShader",	//781
    "~QGLShaderProgram",	//782
    "~QGLWidget",	//783
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 692, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {27, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 2},	//2 QGL::DoubleBuffer (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 3},	//3 QGL::DepthBuffer (enum)
    {27, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 4},	//4 QGL::Rgba (enum)
    {27, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 5},	//5 QGL::AlphaChannel (enum)
    {27, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 6},	//6 QGL::AccumBuffer (enum)
    {27, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 7},	//7 QGL::StencilBuffer (enum)
    {27, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 8},	//8 QGL::StereoBuffers (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 9},	//9 QGL::DirectRendering (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 10},	//10 QGL::HasOverlay (enum)
    {27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 11},	//11 QGL::SampleBuffers (enum)
    {27, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 12},	//12 QGL::SingleBuffer (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 13},	//13 QGL::NoDepthBuffer (enum)
    {27, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 14},	//14 QGL::ColorIndex (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 15},	//15 QGL::NoAlphaChannel (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 16},	//16 QGL::NoAccumBuffer (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 17},	//17 QGL::NoStencilBuffer (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 18},	//18 QGL::NoStereoBuffers (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 19},	//19 QGL::IndirectRendering (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 20},	//20 QGL::NoOverlay (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 21},	//21 QGL::NoSampleBuffers (enum)
    {28, 46, 0, 0, Smoke::mf_ctor, 138, 1},	//22 QGLColormap::QGLColormap()
    {28, 46, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//23 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 302, 3, 1, 0, 137, 3},	//24 QGLColormap::operator=(const QGLColormap&)
    {28, 243, 0, 0, Smoke::mf_const, 399, 4},	//25 QGLColormap::isEmpty() const
    {28, 735, 0, 0, Smoke::mf_const, 519, 5},	//26 QGLColormap::size() const
    {28, 174, 0, 0, 0, 0, 6},	//27 QGLColormap::detach()
    {28, 668, 5, 3, 0, 0, 7},	//28 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 671, 9, 2, 0, 0, 8},	//29 QGLColormap::setEntry(int, unsigned int)
    {28, 671, 12, 2, 0, 0, 9},	//30 QGLColormap::setEntry(int, const QColor&)
    {28, 197, 15, 1, Smoke::mf_const, 528, 10},	//31 QGLColormap::entryRgb(int) const
    {28, 195, 15, 1, Smoke::mf_const, 22, 11},	//32 QGLColormap::entryColor(int) const
    {28, 202, 17, 1, Smoke::mf_const, 519, 12},	//33 QGLColormap::find(unsigned int) const
    {28, 204, 17, 1, Smoke::mf_const, 519, 13},	//34 QGLColormap::findNearest(unsigned int) const
    {28, 224, 0, 0, Smoke::mf_protected, 529, 14},	//35 QGLColormap::handle()
    {28, 678, 19, 1, Smoke::mf_protected, 0, 15},	//36 QGLColormap::setHandle(unsigned long)
    {28, 668, 21, 2, 0, 0, 16},	//37 QGLColormap::setEntries(int, const unsigned int*)
    {28, 775, 0, 0, Smoke::mf_dtor, 0, 17 },	//38 QGLColormap::~QGLColormap()
    {29, 48, 24, 2, Smoke::mf_ctor, 139, 1},	//39 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 48, 27, 1, Smoke::mf_ctor, 139, 2},	//40 QGLContext::QGLContext(const QGLFormat&)
    {29, 163, 29, 1, Smoke::mf_virtual, 399, 3},	//41 QGLContext::create(const QGLContext*)
    {29, 246, 0, 0, Smoke::mf_const, 399, 4},	//42 QGLContext::isValid() const
    {29, 245, 0, 0, Smoke::mf_const, 399, 5},	//43 QGLContext::isSharing() const
    {29, 611, 0, 0, 0, 0, 6},	//44 QGLContext::reset()
    {29, 120, 31, 2, Smoke::mf_static, 399, 7},	//45 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 213, 0, 0, Smoke::mf_const, 143, 8},	//46 QGLContext::format() const
    {29, 610, 0, 0, Smoke::mf_const, 143, 9},	//47 QGLContext::requestedFormat() const
    {29, 674, 27, 1, 0, 0, 10},	//48 QGLContext::setFormat(const QGLFormat&)
    {29, 253, 0, 0, Smoke::mf_virtual, 0, 11},	//49 QGLContext::makeCurrent()
    {29, 182, 0, 0, Smoke::mf_virtual, 0, 12},	//50 QGLContext::doneCurrent()
    {29, 743, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//51 QGLContext::swapBuffers() const
    {29, 131, 34, 4, 0, 528, 14},	//52 QGLContext::bindTexture(const QImage&, unsigned int, int, QGLContext::BindOptions)
    {29, 131, 39, 4, 0, 528, 15},	//53 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QGLContext::BindOptions)
    {29, 131, 44, 3, 0, 528, 16},	//54 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 131, 48, 3, 0, 528, 17},	//55 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 131, 52, 1, 0, 528, 18},	//56 QGLContext::bindTexture(const QString&)
    {29, 170, 17, 1, 0, 0, 19},	//57 QGLContext::deleteTexture(unsigned int)
    {29, 187, 54, 3, 0, 0, 20},	//58 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 187, 58, 3, 0, 0, 21},	//59 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 710, 15, 1, Smoke::mf_static, 0, 22},	//60 QGLContext::setTextureCacheLimit(int)
    {29, 749, 0, 0, Smoke::mf_static, 519, 23},	//61 QGLContext::textureCacheLimit()
    {29, 217, 52, 1, Smoke::mf_const, 535, 24},	//62 QGLContext::getProcAddress(const QString&) const
    {29, 176, 0, 0, Smoke::mf_const, 209, 25},	//63 QGLContext::device() const
    {29, 331, 0, 0, Smoke::mf_const, 22, 26},	//64 QGLContext::overlayTransparentColor() const
    {29, 165, 0, 0, Smoke::mf_static, 418, 27},	//65 QGLContext::currentContext()
    {29, 146, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 399, 28},	//66 QGLContext::chooseContext(const QGLContext*)
    {29, 761, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 535, 29},	//67 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 148, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 535, 30},	//68 QGLContext::chooseVisual()
    {29, 177, 0, 0, Smoke::mf_const|Smoke::mf_protected, 399, 31},	//69 QGLContext::deviceIsPixmap() const
    {29, 773, 0, 0, Smoke::mf_const|Smoke::mf_protected, 399, 32},	//70 QGLContext::windowCreated() const
    {29, 729, 65, 1, Smoke::mf_protected, 0, 33},	//71 QGLContext::setWindowCreated(bool)
    {29, 237, 0, 0, Smoke::mf_const|Smoke::mf_protected, 399, 34},	//72 QGLContext::initialized() const
    {29, 680, 65, 1, Smoke::mf_protected, 0, 35},	//73 QGLContext::setInitialized(bool)
    {29, 215, 67, 2, Smoke::mf_protected, 0, 36},	//74 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 150, 70, 1, Smoke::mf_const|Smoke::mf_protected, 528, 37},	//75 QGLContext::colorIndex(const QColor&) const
    {29, 726, 65, 1, Smoke::mf_protected, 0, 38},	//76 QGLContext::setValid(bool)
    {29, 662, 72, 1, Smoke::mf_protected, 0, 39},	//77 QGLContext::setDevice(QPaintDevice*)
    {29, 163, 0, 0, 0, 399, 40},	//78 QGLContext::create()
    {29, 131, 74, 1, 0, 528, 41},	//79 QGLContext::bindTexture(const QImage&)
    {29, 131, 76, 2, 0, 528, 42},	//80 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 131, 79, 1, 0, 528, 43},	//81 QGLContext::bindTexture(const QPixmap&)
    {29, 131, 81, 2, 0, 528, 44},	//82 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 187, 84, 2, 0, 0, 45},	//83 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 187, 87, 2, 0, 0, 46},	//84 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 146, 0, 0, Smoke::mf_protected, 399, 47},	//85 QGLContext::chooseContext()
    {29, 761, 27, 1, Smoke::mf_protected, 535, 48},	//86 QGLContext::tryVisual(const QGLFormat&)
    {29, 166, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 139, 49},	//87 QGLContext::currentCtx() const
    {29, 652, 90, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//88 QGLContext::setCurrentCtx(QGLContext*)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 51},	//89 QGLContext::NoBindOption (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 52},	//90 QGLContext::InvertedYBindOption (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 53},	//91 QGLContext::MipmapBindOption (enum)
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 54},	//92 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 55},	//93 QGLContext::LinearFilteringBindOption (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 56},	//94 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 57},	//95 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 58},	//96 QGLContext::DefaultBindOption (enum)
    {29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 59},	//97 QGLContext::InternalBindOption (enum)
    {29, 776, 0, 0, Smoke::mf_dtor, 0, 60 },	//98 QGLContext::~QGLContext()
    {30, 51, 0, 0, Smoke::mf_ctor, 145, 1},	//99 QGLFormat::QGLFormat()
    {30, 51, 92, 2, Smoke::mf_ctor, 145, 2},	//100 QGLFormat::QGLFormat(QGL::FormatOptions, int)
    {30, 51, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//101 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 302, 27, 1, 0, 144, 4},	//102 QGLFormat::operator=(const QGLFormat&)
    {30, 660, 15, 1, 0, 0, 5},	//103 QGLFormat::setDepthBufferSize(int)
    {30, 173, 0, 0, Smoke::mf_const, 519, 6},	//104 QGLFormat::depthBufferSize() const
    {30, 623, 15, 1, 0, 0, 7},	//105 QGLFormat::setAccumBufferSize(int)
    {30, 109, 0, 0, Smoke::mf_const, 519, 8},	//106 QGLFormat::accumBufferSize() const
    {30, 694, 15, 1, 0, 0, 9},	//107 QGLFormat::setRedBufferSize(int)
    {30, 593, 0, 0, Smoke::mf_const, 519, 10},	//108 QGLFormat::redBufferSize() const
    {30, 676, 15, 1, 0, 0, 11},	//109 QGLFormat::setGreenBufferSize(int)
    {30, 223, 0, 0, Smoke::mf_const, 519, 12},	//110 QGLFormat::greenBufferSize() const
    {30, 644, 15, 1, 0, 0, 13},	//111 QGLFormat::setBlueBufferSize(int)
    {30, 143, 0, 0, Smoke::mf_const, 519, 14},	//112 QGLFormat::blueBufferSize() const
    {30, 627, 15, 1, 0, 0, 15},	//113 QGLFormat::setAlphaBufferSize(int)
    {30, 119, 0, 0, Smoke::mf_const, 519, 16},	//114 QGLFormat::alphaBufferSize() const
    {30, 704, 15, 1, 0, 0, 17},	//115 QGLFormat::setStencilBufferSize(int)
    {30, 740, 0, 0, Smoke::mf_const, 519, 18},	//116 QGLFormat::stencilBufferSize() const
    {30, 698, 65, 1, 0, 0, 19},	//117 QGLFormat::setSampleBuffers(bool)
    {30, 619, 0, 0, Smoke::mf_const, 399, 20},	//118 QGLFormat::sampleBuffers() const
    {30, 700, 15, 1, 0, 0, 21},	//119 QGLFormat::setSamples(int)
    {30, 620, 0, 0, Smoke::mf_const, 519, 22},	//120 QGLFormat::samples() const
    {30, 708, 15, 1, 0, 0, 23},	//121 QGLFormat::setSwapInterval(int)
    {30, 744, 0, 0, Smoke::mf_const, 519, 24},	//122 QGLFormat::swapInterval() const
    {30, 183, 0, 0, Smoke::mf_const, 399, 25},	//123 QGLFormat::doubleBuffer() const
    {30, 666, 65, 1, 0, 0, 26},	//124 QGLFormat::setDoubleBuffer(bool)
    {30, 172, 0, 0, Smoke::mf_const, 399, 27},	//125 QGLFormat::depth() const
    {30, 658, 65, 1, 0, 0, 28},	//126 QGLFormat::setDepth(bool)
    {30, 618, 0, 0, Smoke::mf_const, 399, 29},	//127 QGLFormat::rgba() const
    {30, 696, 65, 1, 0, 0, 30},	//128 QGLFormat::setRgba(bool)
    {30, 118, 0, 0, Smoke::mf_const, 399, 31},	//129 QGLFormat::alpha() const
    {30, 625, 65, 1, 0, 0, 32},	//130 QGLFormat::setAlpha(bool)
    {30, 108, 0, 0, Smoke::mf_const, 399, 33},	//131 QGLFormat::accum() const
    {30, 621, 65, 1, 0, 0, 34},	//132 QGLFormat::setAccum(bool)
    {30, 739, 0, 0, Smoke::mf_const, 399, 35},	//133 QGLFormat::stencil() const
    {30, 702, 65, 1, 0, 0, 36},	//134 QGLFormat::setStencil(bool)
    {30, 741, 0, 0, Smoke::mf_const, 399, 37},	//135 QGLFormat::stereo() const
    {30, 706, 65, 1, 0, 0, 38},	//136 QGLFormat::setStereo(bool)
    {30, 178, 0, 0, Smoke::mf_const, 399, 39},	//137 QGLFormat::directRendering() const
    {30, 664, 65, 1, 0, 0, 40},	//138 QGLFormat::setDirectRendering(bool)
    {30, 232, 0, 0, Smoke::mf_const, 399, 41},	//139 QGLFormat::hasOverlay() const
    {30, 688, 65, 1, 0, 0, 42},	//140 QGLFormat::setOverlay(bool)
    {30, 338, 0, 0, Smoke::mf_const, 519, 43},	//141 QGLFormat::plane() const
    {30, 690, 15, 1, 0, 0, 44},	//142 QGLFormat::setPlane(int)
    {30, 686, 95, 1, 0, 0, 45},	//143 QGLFormat::setOption(QGL::FormatOptions)
    {30, 746, 95, 1, Smoke::mf_const, 399, 46},	//144 QGLFormat::testOption(QGL::FormatOptions) const
    {30, 168, 0, 0, Smoke::mf_static, 143, 47},	//145 QGLFormat::defaultFormat()
    {30, 654, 27, 1, Smoke::mf_static, 0, 48},	//146 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 169, 0, 0, Smoke::mf_static, 143, 49},	//147 QGLFormat::defaultOverlayFormat()
    {30, 656, 27, 1, Smoke::mf_static, 0, 50},	//148 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 225, 0, 0, Smoke::mf_static, 399, 51},	//149 QGLFormat::hasOpenGL()
    {30, 228, 0, 0, Smoke::mf_static, 399, 52},	//150 QGLFormat::hasOpenGLOverlays()
    {30, 264, 0, 0, Smoke::mf_static, 147, 53},	//151 QGLFormat::openGLVersionFlags()
    {30, 51, 95, 1, Smoke::mf_ctor, 145, 54},	//152 QGLFormat::QGLFormat(QGL::FormatOptions)
    {30, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 55},	//153 QGLFormat::OpenGL_Version_None (enum)
    {30, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 56},	//154 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 57},	//155 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 58},	//156 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 59},	//157 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 60},	//158 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 61},	//159 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 62},	//160 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 63},	//161 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 64},	//162 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//163 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//164 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 67},	//165 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 68},	//166 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 777, 0, 0, Smoke::mf_dtor, 0, 69 },	//167 QGLFormat::~QGLFormat()
    {31, 55, 97, 2, Smoke::mf_ctor, 149, 1},	//168 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 55, 100, 3, Smoke::mf_ctor, 149, 2},	//169 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 55, 104, 4, Smoke::mf_ctor, 149, 3},	//170 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 55, 109, 5, Smoke::mf_ctor, 149, 4},	//171 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 55, 115, 2, Smoke::mf_ctor, 149, 5},	//172 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 55, 118, 3, Smoke::mf_ctor, 149, 6},	//173 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 213, 0, 0, Smoke::mf_const, 151, 7},	//174 QGLFramebufferObject::format() const
    {31, 246, 0, 0, Smoke::mf_const, 399, 8},	//175 QGLFramebufferObject::isValid() const
    {31, 241, 0, 0, Smoke::mf_const, 399, 9},	//176 QGLFramebufferObject::isBound() const
    {31, 127, 0, 0, 0, 399, 10},	//177 QGLFramebufferObject::bind()
    {31, 594, 0, 0, 0, 399, 11},	//178 QGLFramebufferObject::release()
    {31, 748, 0, 0, Smoke::mf_const, 528, 12},	//179 QGLFramebufferObject::texture() const
    {31, 735, 0, 0, Smoke::mf_const, 241, 13},	//180 QGLFramebufferObject::size() const
    {31, 752, 0, 0, Smoke::mf_const, 177, 14},	//181 QGLFramebufferObject::toImage() const
    {31, 122, 0, 0, Smoke::mf_const, 150, 15},	//182 QGLFramebufferObject::attachment() const
    {31, 332, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 16},	//183 QGLFramebufferObject::paintEngine() const
    {31, 224, 0, 0, Smoke::mf_const, 528, 17},	//184 QGLFramebufferObject::handle() const
    {31, 227, 0, 0, Smoke::mf_static, 399, 18},	//185 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 187, 54, 3, 0, 0, 19},	//186 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 187, 58, 3, 0, 0, 20},	//187 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 226, 0, 0, Smoke::mf_static, 399, 21},	//188 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 139, 122, 6, Smoke::mf_static, 0, 22},	//189 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 23},	//190 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 175, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 24},	//191 QGLFramebufferObject::devType() const
    {31, 55, 131, 1, Smoke::mf_ctor, 149, 25},	//192 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 55, 133, 2, Smoke::mf_ctor, 149, 26},	//193 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 55, 136, 2, Smoke::mf_ctor, 149, 27},	//194 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 55, 139, 3, Smoke::mf_ctor, 149, 28},	//195 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 55, 143, 3, Smoke::mf_ctor, 149, 29},	//196 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 55, 147, 4, Smoke::mf_ctor, 149, 30},	//197 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 187, 84, 2, 0, 0, 31},	//198 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 187, 87, 2, 0, 0, 32},	//199 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 139, 152, 4, Smoke::mf_static, 0, 33},	//200 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 139, 157, 5, Smoke::mf_static, 0, 34},	//201 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 35},	//202 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 36},	//203 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 37},	//204 QGLFramebufferObject::Depth (enum)
    {31, 778, 0, 0, Smoke::mf_dtor, 0, 38 },	//205 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 66, 0, 0, Smoke::mf_ctor, 153, 1},	//206 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 66, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 2},	//207 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 302, 163, 1, 0, 152, 3},	//208 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 700, 15, 1, 0, 0, 4},	//209 QGLFramebufferObjectFormat::setSamples(int)
    {32, 620, 0, 0, Smoke::mf_const, 519, 5},	//210 QGLFramebufferObjectFormat::samples() const
    {32, 629, 165, 1, 0, 0, 6},	//211 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 122, 0, 0, Smoke::mf_const, 150, 7},	//212 QGLFramebufferObjectFormat::attachment() const
    {32, 712, 17, 1, 0, 0, 8},	//213 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 750, 0, 0, Smoke::mf_const, 528, 9},	//214 QGLFramebufferObjectFormat::textureTarget() const
    {32, 682, 17, 1, 0, 0, 10},	//215 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 240, 0, 0, Smoke::mf_const, 528, 11},	//216 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 304, 163, 1, Smoke::mf_const, 399, 12},	//217 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 265, 163, 1, Smoke::mf_const, 399, 13},	//218 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 779, 0, 0, Smoke::mf_dtor, 0, 14 },	//219 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 68, 167, 3, Smoke::mf_ctor, 154, 1},	//220 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 68, 171, 4, Smoke::mf_ctor, 154, 2},	//221 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 246, 0, 0, Smoke::mf_const, 399, 3},	//222 QGLPixelBuffer::isValid() const
    {33, 253, 0, 0, 0, 399, 4},	//223 QGLPixelBuffer::makeCurrent()
    {33, 182, 0, 0, 0, 399, 5},	//224 QGLPixelBuffer::doneCurrent()
    {33, 214, 0, 0, Smoke::mf_const, 528, 6},	//225 QGLPixelBuffer::generateDynamicTexture() const
    {33, 137, 17, 1, 0, 399, 7},	//226 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 595, 0, 0, 0, 0, 8},	//227 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 767, 17, 1, Smoke::mf_const, 0, 9},	//228 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 131, 76, 2, 0, 528, 10},	//229 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 131, 81, 2, 0, 528, 11},	//230 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 131, 52, 1, 0, 528, 12},	//231 QGLPixelBuffer::bindTexture(const QString&)
    {33, 170, 17, 1, 0, 0, 13},	//232 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 187, 54, 3, 0, 0, 14},	//233 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 187, 58, 3, 0, 0, 15},	//234 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 735, 0, 0, Smoke::mf_const, 241, 16},	//235 QGLPixelBuffer::size() const
    {33, 224, 0, 0, Smoke::mf_const, 529, 17},	//236 QGLPixelBuffer::handle() const
    {33, 752, 0, 0, Smoke::mf_const, 177, 18},	//237 QGLPixelBuffer::toImage() const
    {33, 332, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 19},	//238 QGLPixelBuffer::paintEngine() const
    {33, 213, 0, 0, Smoke::mf_const, 143, 20},	//239 QGLPixelBuffer::format() const
    {33, 229, 0, 0, Smoke::mf_static, 399, 21},	//240 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 22},	//241 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 175, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 23},	//242 QGLPixelBuffer::devType() const
    {33, 68, 131, 1, Smoke::mf_ctor, 154, 24},	//243 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 68, 176, 2, Smoke::mf_ctor, 154, 25},	//244 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 68, 133, 2, Smoke::mf_ctor, 154, 26},	//245 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 68, 179, 3, Smoke::mf_ctor, 154, 27},	//246 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 131, 74, 1, 0, 528, 28},	//247 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 131, 79, 1, 0, 528, 29},	//248 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 187, 84, 2, 0, 0, 30},	//249 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 187, 87, 2, 0, 0, 31},	//250 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 780, 0, 0, Smoke::mf_dtor, 0, 32 },	//251 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 453, 1},	//252 QGLShader::metaObject() const
    {34, 582, 183, 1, Smoke::mf_virtual, 535, 2},	//253 QGLShader::qt_metacast(const char*)
    {34, 753, 185, 2, Smoke::mf_static, 248, 3},	//254 QGLShader::tr(const char*, const char*)
    {34, 757, 185, 2, Smoke::mf_static, 248, 4},	//255 QGLShader::trUtf8(const char*, const char*)
    {34, 753, 188, 3, Smoke::mf_static, 248, 5},	//256 QGLShader::tr(const char*, const char*, int)
    {34, 757, 188, 3, Smoke::mf_static, 248, 6},	//257 QGLShader::trUtf8(const char*, const char*, int)
    {34, 580, 192, 3, Smoke::mf_virtual, 519, 7},	//258 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 75, 196, 2, Smoke::mf_ctor, 155, 8},	//259 QGLShader::QGLShader(QGLShader::ShaderType, QObject*)
    {34, 75, 199, 3, Smoke::mf_ctor, 155, 9},	//260 QGLShader::QGLShader(QGLShader::ShaderType, const QGLContext*, QObject*)
    {34, 732, 0, 0, Smoke::mf_const, 156, 10},	//261 QGLShader::shaderType() const
    {34, 153, 183, 1, 0, 399, 11},	//262 QGLShader::compileSourceCode(const char*)
    {34, 153, 203, 1, 0, 399, 12},	//263 QGLShader::compileSourceCode(const QByteArray&)
    {34, 153, 52, 1, 0, 399, 13},	//264 QGLShader::compileSourceCode(const QString&)
    {34, 156, 52, 1, 0, 399, 14},	//265 QGLShader::compileSourceFile(const QString&)
    {34, 737, 0, 0, Smoke::mf_const, 16, 15},	//266 QGLShader::sourceCode() const
    {34, 242, 0, 0, Smoke::mf_const, 399, 16},	//267 QGLShader::isCompiled() const
    {34, 252, 0, 0, Smoke::mf_const, 248, 17},	//268 QGLShader::log() const
    {34, 731, 0, 0, Smoke::mf_const, 528, 18},	//269 QGLShader::shaderId() const
    {34, 753, 183, 1, Smoke::mf_static, 248, 19},	//270 QGLShader::tr(const char*)
    {34, 757, 183, 1, Smoke::mf_static, 248, 20},	//271 QGLShader::trUtf8(const char*)
    {34, 75, 205, 1, Smoke::mf_ctor, 155, 21},	//272 QGLShader::QGLShader(QGLShader::ShaderType)
    {34, 75, 207, 2, Smoke::mf_ctor, 155, 22},	//273 QGLShader::QGLShader(QGLShader::ShaderType, const QGLContext*)
    {34, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 452, 23},	//274 QGLShader::staticMetaObject() const
    {34, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 24},	//275 QGLShader::Vertex (enum)
    {34, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 25},	//276 QGLShader::Fragment (enum)
    {34, 781, 0, 0, Smoke::mf_dtor, 0, 26 },	//277 QGLShader::~QGLShader()
    {35, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 453, 1},	//278 QGLShaderProgram::metaObject() const
    {35, 582, 183, 1, Smoke::mf_virtual, 535, 2},	//279 QGLShaderProgram::qt_metacast(const char*)
    {35, 753, 185, 2, Smoke::mf_static, 248, 3},	//280 QGLShaderProgram::tr(const char*, const char*)
    {35, 757, 185, 2, Smoke::mf_static, 248, 4},	//281 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 753, 188, 3, Smoke::mf_static, 248, 5},	//282 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 757, 188, 3, Smoke::mf_static, 248, 6},	//283 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 580, 192, 3, Smoke::mf_virtual, 519, 7},	//284 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 79, 210, 1, Smoke::mf_ctor, 159, 8},	//285 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 79, 212, 2, Smoke::mf_ctor, 159, 9},	//286 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 111, 215, 1, 0, 399, 10},	//287 QGLShaderProgram::addShader(QGLShader*)
    {35, 597, 215, 1, 0, 0, 11},	//288 QGLShaderProgram::removeShader(QGLShader*)
    {35, 733, 0, 0, Smoke::mf_const, 192, 12},	//289 QGLShaderProgram::shaders() const
    {35, 113, 217, 2, 0, 399, 13},	//290 QGLShaderProgram::addShaderFromSourceCode(QGLShader::ShaderType, const char*)
    {35, 113, 220, 2, 0, 399, 14},	//291 QGLShaderProgram::addShaderFromSourceCode(QGLShader::ShaderType, const QByteArray&)
    {35, 113, 223, 2, 0, 399, 15},	//292 QGLShaderProgram::addShaderFromSourceCode(QGLShader::ShaderType, const QString&)
    {35, 116, 223, 2, 0, 399, 16},	//293 QGLShaderProgram::addShaderFromSourceFile(QGLShader::ShaderType, const QString&)
    {35, 596, 0, 0, 0, 0, 17},	//294 QGLShaderProgram::removeAllShaders()
    {35, 251, 0, 0, Smoke::mf_virtual, 399, 18},	//295 QGLShaderProgram::link()
    {35, 244, 0, 0, Smoke::mf_const, 399, 19},	//296 QGLShaderProgram::isLinked() const
    {35, 252, 0, 0, Smoke::mf_const, 248, 20},	//297 QGLShaderProgram::log() const
    {35, 127, 0, 0, 0, 399, 21},	//298 QGLShaderProgram::bind()
    {35, 594, 0, 0, 0, 0, 22},	//299 QGLShaderProgram::release()
    {35, 339, 0, 0, Smoke::mf_const, 528, 23},	//300 QGLShaderProgram::programId() const
    {35, 128, 226, 2, 0, 0, 24},	//301 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 128, 229, 2, 0, 0, 25},	//302 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 128, 232, 2, 0, 0, 26},	//303 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 123, 183, 1, Smoke::mf_const, 519, 27},	//304 QGLShaderProgram::attributeLocation(const char*) const
    {35, 123, 203, 1, Smoke::mf_const, 519, 28},	//305 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 123, 52, 1, Smoke::mf_const, 519, 29},	//306 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 636, 235, 2, 0, 0, 30},	//307 QGLShaderProgram::setAttributeValue(int, float)
    {35, 636, 238, 3, 0, 0, 31},	//308 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 636, 242, 4, 0, 0, 32},	//309 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 636, 247, 5, 0, 0, 33},	//310 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 636, 253, 2, 0, 0, 34},	//311 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 636, 256, 2, 0, 0, 35},	//312 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 636, 259, 2, 0, 0, 36},	//313 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 636, 12, 2, 0, 0, 37},	//314 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 636, 262, 4, 0, 0, 38},	//315 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 636, 267, 2, 0, 0, 39},	//316 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 636, 270, 3, 0, 0, 40},	//317 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 636, 274, 4, 0, 0, 41},	//318 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 636, 279, 5, 0, 0, 42},	//319 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 636, 285, 2, 0, 0, 43},	//320 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 636, 288, 2, 0, 0, 44},	//321 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 636, 291, 2, 0, 0, 45},	//322 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 636, 294, 2, 0, 0, 46},	//323 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 636, 297, 4, 0, 0, 47},	//324 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 631, 262, 4, 0, 0, 48},	//325 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 631, 302, 3, 0, 0, 49},	//326 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 631, 306, 3, 0, 0, 50},	//327 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 631, 310, 3, 0, 0, 51},	//328 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 631, 297, 4, 0, 0, 52},	//329 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 631, 314, 3, 0, 0, 53},	//330 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 631, 318, 3, 0, 0, 54},	//331 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 631, 322, 3, 0, 0, 55},	//332 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 191, 15, 1, 0, 0, 56},	//333 QGLShaderProgram::enableAttributeArray(int)
    {35, 191, 183, 1, 0, 0, 57},	//334 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 179, 15, 1, 0, 0, 58},	//335 QGLShaderProgram::disableAttributeArray(int)
    {35, 179, 183, 1, 0, 0, 59},	//336 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 764, 183, 1, Smoke::mf_const, 519, 60},	//337 QGLShaderProgram::uniformLocation(const char*) const
    {35, 764, 203, 1, Smoke::mf_const, 519, 61},	//338 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 764, 52, 1, Smoke::mf_const, 519, 62},	//339 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 714, 235, 2, 0, 0, 63},	//340 QGLShaderProgram::setUniformValue(int, float)
    {35, 714, 133, 2, 0, 0, 64},	//341 QGLShaderProgram::setUniformValue(int, int)
    {35, 714, 9, 2, 0, 0, 65},	//342 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 714, 238, 3, 0, 0, 66},	//343 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 714, 242, 4, 0, 0, 67},	//344 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 714, 247, 5, 0, 0, 68},	//345 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 714, 253, 2, 0, 0, 69},	//346 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 714, 256, 2, 0, 0, 70},	//347 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 714, 259, 2, 0, 0, 71},	//348 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 714, 12, 2, 0, 0, 72},	//349 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 714, 326, 2, 0, 0, 73},	//350 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 714, 329, 2, 0, 0, 74},	//351 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 714, 332, 2, 0, 0, 75},	//352 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 714, 335, 2, 0, 0, 76},	//353 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 714, 338, 2, 0, 0, 77},	//354 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 714, 341, 2, 0, 0, 78},	//355 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 714, 344, 2, 0, 0, 79},	//356 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 714, 347, 2, 0, 0, 80},	//357 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 714, 350, 2, 0, 0, 81},	//358 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 714, 353, 2, 0, 0, 82},	//359 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 714, 356, 2, 0, 0, 83},	//360 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 714, 359, 2, 0, 0, 84},	//361 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 714, 362, 2, 0, 0, 85},	//362 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 714, 365, 2, 0, 0, 86},	//363 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 714, 368, 2, 0, 0, 87},	//364 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 714, 267, 2, 0, 0, 88},	//365 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 714, 226, 2, 0, 0, 89},	//366 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 714, 371, 2, 0, 0, 90},	//367 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 714, 270, 3, 0, 0, 91},	//368 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 714, 274, 4, 0, 0, 92},	//369 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 714, 279, 5, 0, 0, 93},	//370 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 714, 285, 2, 0, 0, 94},	//371 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 714, 288, 2, 0, 0, 95},	//372 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 714, 291, 2, 0, 0, 96},	//373 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 714, 294, 2, 0, 0, 97},	//374 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 714, 374, 2, 0, 0, 98},	//375 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 714, 377, 2, 0, 0, 99},	//376 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 714, 380, 2, 0, 0, 100},	//377 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 714, 383, 2, 0, 0, 101},	//378 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 714, 386, 2, 0, 0, 102},	//379 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 714, 389, 2, 0, 0, 103},	//380 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 714, 392, 2, 0, 0, 104},	//381 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 714, 395, 2, 0, 0, 105},	//382 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 714, 398, 2, 0, 0, 106},	//383 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 714, 401, 2, 0, 0, 107},	//384 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 714, 404, 2, 0, 0, 108},	//385 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 714, 407, 2, 0, 0, 109},	//386 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 714, 410, 2, 0, 0, 110},	//387 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 714, 413, 2, 0, 0, 111},	//388 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 714, 416, 2, 0, 0, 112},	//389 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 721, 262, 4, 0, 0, 113},	//390 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 721, 419, 3, 0, 0, 114},	//391 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 721, 5, 3, 0, 0, 115},	//392 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 721, 302, 3, 0, 0, 116},	//393 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 721, 306, 3, 0, 0, 117},	//394 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 721, 310, 3, 0, 0, 118},	//395 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 721, 423, 3, 0, 0, 119},	//396 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 721, 427, 3, 0, 0, 120},	//397 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 721, 431, 3, 0, 0, 121},	//398 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 721, 435, 3, 0, 0, 122},	//399 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 721, 439, 3, 0, 0, 123},	//400 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 721, 443, 3, 0, 0, 124},	//401 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 721, 447, 3, 0, 0, 125},	//402 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 721, 451, 3, 0, 0, 126},	//403 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 721, 455, 3, 0, 0, 127},	//404 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 721, 297, 4, 0, 0, 128},	//405 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 721, 459, 3, 0, 0, 129},	//406 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 721, 463, 3, 0, 0, 130},	//407 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 721, 314, 3, 0, 0, 131},	//408 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 721, 318, 3, 0, 0, 132},	//409 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 721, 322, 3, 0, 0, 133},	//410 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 721, 467, 3, 0, 0, 134},	//411 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 721, 471, 3, 0, 0, 135},	//412 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 721, 475, 3, 0, 0, 136},	//413 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 721, 479, 3, 0, 0, 137},	//414 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 721, 483, 3, 0, 0, 138},	//415 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 721, 487, 3, 0, 0, 139},	//416 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 721, 491, 3, 0, 0, 140},	//417 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 721, 495, 3, 0, 0, 141},	//418 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 721, 499, 3, 0, 0, 142},	//419 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 230, 29, 1, Smoke::mf_static, 399, 143},	//420 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 753, 183, 1, Smoke::mf_static, 248, 144},	//421 QGLShaderProgram::tr(const char*)
    {35, 757, 183, 1, Smoke::mf_static, 248, 145},	//422 QGLShaderProgram::trUtf8(const char*)
    {35, 79, 0, 0, Smoke::mf_ctor, 159, 146},	//423 QGLShaderProgram::QGLShaderProgram()
    {35, 79, 29, 1, Smoke::mf_ctor, 159, 147},	//424 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 631, 503, 3, 0, 0, 148},	//425 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 631, 507, 2, 0, 0, 149},	//426 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 631, 510, 2, 0, 0, 150},	//427 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 631, 513, 2, 0, 0, 151},	//428 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 631, 516, 3, 0, 0, 152},	//429 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 631, 520, 2, 0, 0, 153},	//430 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 631, 523, 2, 0, 0, 154},	//431 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 631, 526, 2, 0, 0, 155},	//432 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 230, 0, 0, Smoke::mf_static, 399, 156},	//433 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 452, 157},	//434 QGLShaderProgram::staticMetaObject() const
    {35, 782, 0, 0, Smoke::mf_dtor, 0, 158 },	//435 QGLShaderProgram::~QGLShaderProgram()
    {36, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 453, 1},	//436 QGLWidget::metaObject() const
    {36, 582, 183, 1, Smoke::mf_virtual, 535, 2},	//437 QGLWidget::qt_metacast(const char*)
    {36, 753, 185, 2, Smoke::mf_static, 248, 3},	//438 QGLWidget::tr(const char*, const char*)
    {36, 757, 185, 2, Smoke::mf_static, 248, 4},	//439 QGLWidget::trUtf8(const char*, const char*)
    {36, 753, 188, 3, Smoke::mf_static, 248, 5},	//440 QGLWidget::tr(const char*, const char*, int)
    {36, 757, 188, 3, Smoke::mf_static, 248, 6},	//441 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 580, 192, 3, Smoke::mf_virtual, 519, 7},	//442 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 82, 529, 3, Smoke::mf_ctor, 160, 8},	//443 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, Qt::WindowFlags)
    {36, 82, 533, 4, Smoke::mf_ctor, 160, 9},	//444 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, Qt::WindowFlags)
    {36, 82, 538, 4, Smoke::mf_ctor, 160, 10},	//445 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, Qt::WindowFlags)
    {36, 537, 70, 1, Smoke::mf_const, 0, 11},	//446 QGLWidget::qglColor(const QColor&) const
    {36, 535, 70, 1, Smoke::mf_const, 0, 12},	//447 QGLWidget::qglClearColor(const QColor&) const
    {36, 246, 0, 0, Smoke::mf_const, 399, 13},	//448 QGLWidget::isValid() const
    {36, 245, 0, 0, Smoke::mf_const, 399, 14},	//449 QGLWidget::isSharing() const
    {36, 253, 0, 0, 0, 0, 15},	//450 QGLWidget::makeCurrent()
    {36, 182, 0, 0, 0, 0, 16},	//451 QGLWidget::doneCurrent()
    {36, 183, 0, 0, Smoke::mf_const, 399, 17},	//452 QGLWidget::doubleBuffer() const
    {36, 743, 0, 0, 0, 0, 18},	//453 QGLWidget::swapBuffers()
    {36, 213, 0, 0, Smoke::mf_const, 143, 19},	//454 QGLWidget::format() const
    {36, 674, 27, 1, 0, 0, 20},	//455 QGLWidget::setFormat(const QGLFormat&)
    {36, 159, 0, 0, Smoke::mf_const, 418, 21},	//456 QGLWidget::context() const
    {36, 648, 543, 3, 0, 0, 22},	//457 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 599, 547, 3, 0, 223, 23},	//458 QGLWidget::renderPixmap(int, int, bool)
    {36, 221, 65, 1, 0, 177, 24},	//459 QGLWidget::grabFrameBuffer(bool)
    {36, 254, 0, 0, 0, 0, 25},	//460 QGLWidget::makeOverlayCurrent()
    {36, 330, 0, 0, Smoke::mf_const, 418, 26},	//461 QGLWidget::overlayContext() const
    {36, 161, 74, 1, Smoke::mf_static, 177, 27},	//462 QGLWidget::convertToGLFormat(const QImage&)
    {36, 684, 65, 1, 0, 0, 28},	//463 QGLWidget::setMouseTracking(bool)
    {36, 152, 0, 0, Smoke::mf_const, 417, 29},	//464 QGLWidget::colormap() const
    {36, 646, 3, 1, 0, 0, 30},	//465 QGLWidget::setColormap(const QGLColormap&)
    {36, 603, 551, 5, 0, 0, 31},	//466 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 603, 557, 6, 0, 0, 32},	//467 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 332, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 33},	//468 QGLWidget::paintEngine() const
    {36, 131, 34, 4, 0, 528, 34},	//469 QGLWidget::bindTexture(const QImage&, unsigned int, int, QGLContext::BindOptions)
    {36, 131, 39, 4, 0, 528, 35},	//470 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QGLContext::BindOptions)
    {36, 131, 44, 3, 0, 528, 36},	//471 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 131, 48, 3, 0, 528, 37},	//472 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 131, 52, 1, 0, 528, 38},	//473 QGLWidget::bindTexture(const QString&)
    {36, 170, 17, 1, 0, 0, 39},	//474 QGLWidget::deleteTexture(unsigned int)
    {36, 187, 54, 3, 0, 0, 40},	//475 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 187, 58, 3, 0, 0, 41},	//476 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 769, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//477 QGLWidget::updateGL()
    {36, 770, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//478 QGLWidget::updateOverlayGL()
    {36, 199, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 399, 44},	//479 QGLWidget::event(QEvent*)
    {36, 235, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//480 QGLWidget::initializeGL()
    {36, 614, 133, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//481 QGLWidget::resizeGL(int, int)
    {36, 335, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//482 QGLWidget::paintGL()
    {36, 236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//483 QGLWidget::initializeOverlayGL()
    {36, 616, 133, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//484 QGLWidget::resizeOverlayGL(int, int)
    {36, 336, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//485 QGLWidget::paintOverlayGL()
    {36, 642, 65, 1, Smoke::mf_protected, 0, 51},	//486 QGLWidget::setAutoBufferSwap(bool)
    {36, 126, 0, 0, Smoke::mf_const|Smoke::mf_protected, 399, 52},	//487 QGLWidget::autoBufferSwap() const
    {36, 333, 566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//488 QGLWidget::paintEvent(QPaintEvent*)
    {36, 612, 568, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//489 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 220, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//490 QGLWidget::glInit()
    {36, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//491 QGLWidget::glDraw()
    {36, 210, 67, 2, Smoke::mf_protected, 519, 57},	//492 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 753, 183, 1, Smoke::mf_static, 248, 58},	//493 QGLWidget::tr(const char*)
    {36, 757, 183, 1, Smoke::mf_static, 248, 59},	//494 QGLWidget::trUtf8(const char*)
    {36, 82, 0, 0, Smoke::mf_ctor, 160, 60},	//495 QGLWidget::QGLWidget()
    {36, 82, 570, 1, Smoke::mf_ctor, 160, 61},	//496 QGLWidget::QGLWidget(QWidget*)
    {36, 82, 572, 2, Smoke::mf_ctor, 160, 62},	//497 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 82, 90, 1, Smoke::mf_ctor, 160, 63},	//498 QGLWidget::QGLWidget(QGLContext*)
    {36, 82, 575, 2, Smoke::mf_ctor, 160, 64},	//499 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 82, 578, 3, Smoke::mf_ctor, 160, 65},	//500 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 82, 27, 1, Smoke::mf_ctor, 160, 66},	//501 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 82, 582, 2, Smoke::mf_ctor, 160, 67},	//502 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 82, 585, 3, Smoke::mf_ctor, 160, 68},	//503 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 648, 90, 1, 0, 0, 69},	//504 QGLWidget::setContext(QGLContext*)
    {36, 648, 589, 2, 0, 0, 70},	//505 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 599, 0, 0, 0, 223, 71},	//506 QGLWidget::renderPixmap()
    {36, 599, 15, 1, 0, 223, 72},	//507 QGLWidget::renderPixmap(int)
    {36, 599, 133, 2, 0, 223, 73},	//508 QGLWidget::renderPixmap(int, int)
    {36, 221, 0, 0, 0, 177, 74},	//509 QGLWidget::grabFrameBuffer()
    {36, 603, 592, 3, 0, 0, 75},	//510 QGLWidget::renderText(int, int, const QString&)
    {36, 603, 596, 4, 0, 0, 76},	//511 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 603, 601, 4, 0, 0, 77},	//512 QGLWidget::renderText(double, double, double, const QString&)
    {36, 603, 606, 5, 0, 0, 78},	//513 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 131, 74, 1, 0, 528, 79},	//514 QGLWidget::bindTexture(const QImage&)
    {36, 131, 76, 2, 0, 528, 80},	//515 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 131, 79, 1, 0, 528, 81},	//516 QGLWidget::bindTexture(const QPixmap&)
    {36, 131, 81, 2, 0, 528, 82},	//517 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 187, 84, 2, 0, 0, 83},	//518 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 187, 87, 2, 0, 0, 84},	//519 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 210, 612, 1, Smoke::mf_protected, 519, 85},	//520 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 452, 86},	//521 QGLWidget::staticMetaObject() const
    {36, 783, 0, 0, Smoke::mf_dtor, 0, 87 },	//522 QGLWidget::~QGLWidget()
    {37, 326, 614, 2, Smoke::mf_static, 180, 1},	//523 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {37, 326, 617, 2, Smoke::mf_static, 77, 2},	//524 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type)
    {37, 345, 0, 0, Smoke::mf_static, 8, 3},	//525 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 315, 620, 2, Smoke::mf_static, 399, 4},	//526 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 458, 623, 1, Smoke::mf_static, 528, 5},	//527 QGlobalSpace::qHash(unsigned long long)
    {37, 470, 625, 1, Smoke::mf_static, 399, 6},	//528 QGlobalSpace::qIsInf(double)
    {37, 282, 627, 2, Smoke::mf_static, 199, 7},	//529 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 326, 630, 2, Smoke::mf_static, 60, 8},	//530 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {37, 304, 633, 2, Smoke::mf_static, 399, 9},	//531 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 265, 636, 2, Smoke::mf_static, 399, 10},	//532 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 565, 371, 2, Smoke::mf_static, 528, 11},	//533 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 482, 639, 3, Smoke::mf_static, 535, 12},	//534 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 584, 0, 0, Smoke::mf_static, 0, 13},	//535 QGlobalSpace::qt_noop()
    {37, 304, 643, 2, Smoke::mf_static, 399, 14},	//536 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 326, 646, 2, Smoke::mf_static, 84, 15},	//537 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {37, 320, 649, 2, Smoke::mf_static, 27, 16},	//538 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 326, 652, 2, Smoke::mf_static, 127, 17},	//539 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {37, 273, 655, 2, Smoke::mf_static, 227, 18},	//540 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 326, 658, 2, Smoke::mf_static, 86, 19},	//541 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>)
    {37, 326, 661, 2, Smoke::mf_static, 180, 20},	//542 QGlobalSpace::operator|(QAccessible::State::enum_type, int)
    {37, 304, 664, 2, Smoke::mf_static, 399, 21},	//543 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 304, 667, 2, Smoke::mf_static, 399, 22},	//544 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 326, 670, 2, Smoke::mf_static, 113, 23},	//545 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type)
    {37, 293, 673, 2, Smoke::mf_static, 27, 24},	//546 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 277, 676, 2, Smoke::mf_static, 405, 25},	//547 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 320, 679, 2, Smoke::mf_static, 27, 26},	//548 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 519, 682, 2, Smoke::mf_static, 399, 27},	//549 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 320, 685, 2, Smoke::mf_static, 27, 28},	//550 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 326, 688, 2, Smoke::mf_static, 180, 29},	//551 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {37, 546, 676, 2, Smoke::mf_static, 519, 30},	//552 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 304, 691, 2, Smoke::mf_static, 399, 31},	//553 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 293, 694, 2, Smoke::mf_static, 27, 32},	//554 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 357, 697, 2, Smoke::mf_static, 517, 33},	//555 QGlobalSpace::qAtan2(double, double)
    {37, 320, 700, 2, Smoke::mf_static, 27, 34},	//556 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 315, 703, 2, Smoke::mf_static, 399, 35},	//557 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 326, 706, 2, Smoke::mf_static, 62, 36},	//558 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>)
    {37, 470, 709, 1, Smoke::mf_static, 399, 37},	//559 QGlobalSpace::qIsInf(float)
    {37, 533, 183, 1, Smoke::mf_static, 16, 38},	//560 QGlobalSpace::qgetenv(const char*)
    {37, 458, 711, 1, Smoke::mf_static, 528, 39},	//561 QGlobalSpace::qHash(signed char)
    {37, 326, 713, 2, Smoke::mf_static, 69, 40},	//562 QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, QFlags<QGLContext::BindOptions::enum_type>)
    {37, 304, 716, 2, Smoke::mf_static, 399, 41},	//563 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 310, 676, 2, Smoke::mf_static, 399, 42},	//564 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 277, 627, 2, Smoke::mf_static, 199, 43},	//565 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 464, 625, 1, Smoke::mf_static, 519, 44},	//566 QGlobalSpace::qIntCast(double)
    {37, 326, 719, 2, Smoke::mf_static, 94, 45},	//567 QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    {37, 510, 722, 1, Smoke::mf_static, 280, 46},	//568 QGlobalSpace::qSetPadChar(QChar)
    {37, 293, 724, 2, Smoke::mf_static, 27, 47},	//569 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 326, 727, 2, Smoke::mf_static, 66, 48},	//570 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>)
    {37, 273, 730, 2, Smoke::mf_static, 225, 49},	//571 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 326, 733, 2, Smoke::mf_static, 129, 50},	//572 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {37, 326, 736, 2, Smoke::mf_static, 64, 51},	//573 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {37, 293, 739, 2, Smoke::mf_static, 27, 52},	//574 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 293, 742, 2, Smoke::mf_static, 31, 53},	//575 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 304, 745, 2, Smoke::mf_static, 399, 54},	//576 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 273, 748, 2, Smoke::mf_static, 297, 55},	//577 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 326, 751, 2, Smoke::mf_static, 128, 56},	//578 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {37, 304, 754, 2, Smoke::mf_static, 399, 57},	//579 QGlobalSpace::operator==(QChar, QChar)
    {37, 293, 757, 2, Smoke::mf_static, 31, 58},	//580 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 273, 627, 2, Smoke::mf_static, 199, 59},	//581 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 282, 760, 1, Smoke::mf_static, 199, 60},	//582 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 326, 762, 2, Smoke::mf_static, 128, 61},	//583 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {37, 458, 203, 1, Smoke::mf_static, 528, 62},	//584 QGlobalSpace::qHash(const QByteArray&)
    {37, 273, 765, 2, Smoke::mf_static, 199, 63},	//585 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 293, 768, 2, Smoke::mf_static, 27, 64},	//586 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 293, 771, 2, Smoke::mf_static, 31, 65},	//587 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 326, 774, 2, Smoke::mf_static, 180, 66},	//588 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, int)
    {37, 320, 777, 2, Smoke::mf_static, 27, 67},	//589 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 288, 754, 2, Smoke::mf_static, 399, 68},	//590 QGlobalSpace::operator<(QChar, QChar)
    {37, 320, 780, 2, Smoke::mf_static, 27, 69},	//591 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 326, 783, 2, Smoke::mf_static, 77, 70},	//592 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>)
    {37, 326, 786, 2, Smoke::mf_static, 119, 71},	//593 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {37, 315, 754, 2, Smoke::mf_static, 399, 72},	//594 QGlobalSpace::operator>=(QChar, QChar)
    {37, 265, 789, 2, Smoke::mf_static, 399, 73},	//595 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 293, 792, 2, Smoke::mf_static, 31, 74},	//596 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 326, 795, 2, Smoke::mf_static, 112, 75},	//597 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {37, 326, 798, 2, Smoke::mf_static, 57, 76},	//598 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type)
    {37, 326, 801, 2, Smoke::mf_static, 52, 77},	//599 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type)
    {37, 288, 676, 2, Smoke::mf_static, 399, 78},	//600 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 326, 804, 2, Smoke::mf_static, 92, 79},	//601 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {37, 326, 807, 2, Smoke::mf_static, 110, 80},	//602 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type)
    {37, 546, 185, 2, Smoke::mf_static, 519, 81},	//603 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 326, 810, 2, Smoke::mf_static, 111, 82},	//604 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {37, 277, 633, 2, Smoke::mf_static, 504, 83},	//605 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 370, 625, 1, Smoke::mf_static, 517, 84},	//606 QGlobalSpace::qCos(double)
    {37, 310, 754, 2, Smoke::mf_static, 399, 85},	//607 QGlobalSpace::operator>(QChar, QChar)
    {37, 326, 813, 2, Smoke::mf_static, 102, 86},	//608 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    {37, 273, 816, 2, Smoke::mf_static, 477, 87},	//609 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 514, 0, 0, Smoke::mf_static, 399, 88},	//610 QGlobalSpace::qSharedBuild()
    {37, 304, 819, 2, Smoke::mf_static, 399, 89},	//611 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 265, 620, 2, Smoke::mf_static, 399, 90},	//612 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 282, 822, 2, Smoke::mf_static, 462, 91},	//613 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 326, 825, 2, Smoke::mf_static, 180, 92},	//614 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    {37, 341, 0, 0, Smoke::mf_static, 8, 93},	//615 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 293, 828, 2, Smoke::mf_static, 27, 94},	//616 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 326, 831, 2, Smoke::mf_static, 99, 95},	//617 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    {37, 326, 834, 2, Smoke::mf_static, 103, 96},	//618 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {37, 326, 837, 2, Smoke::mf_static, 180, 97},	//619 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, int)
    {37, 282, 840, 2, Smoke::mf_static, 283, 98},	//620 QGlobalSpace::operator-(const QTransform&, double)
    {37, 326, 843, 2, Smoke::mf_static, 123, 99},	//621 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {37, 458, 846, 1, Smoke::mf_static, 528, 100},	//622 QGlobalSpace::qHash(char)
    {37, 273, 633, 2, Smoke::mf_static, 504, 101},	//623 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 265, 664, 2, Smoke::mf_static, 399, 102},	//624 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 293, 848, 2, Smoke::mf_static, 31, 103},	//625 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 326, 851, 2, Smoke::mf_static, 125, 104},	//626 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {37, 326, 854, 2, Smoke::mf_static, 65, 105},	//627 QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>)
    {37, 326, 857, 2, Smoke::mf_static, 123, 106},	//628 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {37, 326, 860, 2, Smoke::mf_static, 180, 107},	//629 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, int)
    {37, 293, 863, 2, Smoke::mf_static, 31, 108},	//630 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {37, 326, 866, 2, Smoke::mf_static, 110, 109},	//631 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>)
    {37, 326, 869, 2, Smoke::mf_static, 67, 110},	//632 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>)
    {37, 286, 872, 2, Smoke::mf_static, 462, 111},	//633 QGlobalSpace::operator/(const QPoint&, double)
    {37, 425, 875, 8, Smoke::mf_static, 0, 112},	//634 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 425, 884, 6, Smoke::mf_static, 0, 113},	//635 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 425, 891, 7, Smoke::mf_static, 0, 114},	//636 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 277, 822, 2, Smoke::mf_static, 462, 115},	//637 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 326, 899, 2, Smoke::mf_static, 180, 116},	//638 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, int)
    {37, 293, 902, 2, Smoke::mf_static, 27, 117},	//639 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 293, 905, 2, Smoke::mf_static, 31, 118},	//640 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {37, 277, 908, 2, Smoke::mf_static, 482, 119},	//641 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 282, 911, 2, Smoke::mf_static, 477, 120},	//642 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 273, 914, 2, Smoke::mf_static, 295, 121},	//643 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 448, 917, 2, Smoke::mf_static, 399, 122},	//644 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 326, 920, 2, Smoke::mf_static, 92, 123},	//645 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {37, 293, 923, 2, Smoke::mf_static, 31, 124},	//646 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 282, 633, 2, Smoke::mf_static, 504, 125},	//647 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 466, 625, 1, Smoke::mf_static, 399, 126},	//648 QGlobalSpace::qIsFinite(double)
    {37, 265, 703, 2, Smoke::mf_static, 399, 127},	//649 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 293, 926, 2, Smoke::mf_static, 27, 128},	//650 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 326, 929, 2, Smoke::mf_static, 180, 129},	//651 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {37, 326, 932, 2, Smoke::mf_static, 180, 130},	//652 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {37, 293, 935, 2, Smoke::mf_static, 31, 131},	//653 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 350, 17, 1, Smoke::mf_static, 519, 132},	//654 QGlobalSpace::qAlpha(unsigned int)
    {37, 293, 938, 2, Smoke::mf_static, 31, 133},	//655 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 326, 941, 2, Smoke::mf_static, 180, 134},	//656 QGlobalSpace::operator|(QGL::FormatOptions::enum_type, int)
    {37, 288, 944, 2, Smoke::mf_static, 399, 135},	//657 QGlobalSpace::operator<(const char*, const QString&)
    {37, 453, 947, 3, Smoke::mf_static, 519, 136},	//658 QGlobalSpace::qGray(int, int, int)
    {37, 293, 951, 2, Smoke::mf_static, 27, 137},	//659 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 326, 954, 2, Smoke::mf_static, 66, 138},	//660 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type)
    {37, 277, 667, 2, Smoke::mf_static, 475, 139},	//661 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 326, 957, 2, Smoke::mf_static, 180, 140},	//662 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    {37, 326, 960, 2, Smoke::mf_static, 57, 141},	//663 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>)
    {37, 326, 963, 2, Smoke::mf_static, 180, 142},	//664 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, int)
    {37, 576, 15, 1, Smoke::mf_static, 248, 143},	//665 QGlobalSpace::qt_error_string(int)
    {37, 576, 0, 0, Smoke::mf_static, 248, 144},	//666 QGlobalSpace::qt_error_string()
    {37, 326, 966, 2, Smoke::mf_static, 180, 145},	//667 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {37, 277, 911, 2, Smoke::mf_static, 477, 146},	//668 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 286, 765, 2, Smoke::mf_static, 199, 147},	//669 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 282, 917, 2, Smoke::mf_static, 507, 148},	//670 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 288, 969, 2, Smoke::mf_static, 399, 149},	//671 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 524, 972, 2, Smoke::mf_static, 16, 150},	//672 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 559, 975, 3, Smoke::mf_static, 519, 151},	//673 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 522, 625, 1, Smoke::mf_static, 517, 152},	//674 QGlobalSpace::qTan(double)
    {37, 310, 643, 2, Smoke::mf_static, 399, 153},	//675 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 265, 979, 2, Smoke::mf_static, 399, 154},	//676 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 508, 15, 1, Smoke::mf_static, 280, 155},	//677 QGlobalSpace::qSetFieldWidth(int)
    {37, 326, 982, 2, Smoke::mf_static, 180, 156},	//678 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, int)
    {37, 304, 985, 2, Smoke::mf_static, 399, 157},	//679 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 326, 988, 2, Smoke::mf_static, 180, 158},	//680 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, int)
    {37, 320, 991, 2, Smoke::mf_static, 277, 159},	//681 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 326, 994, 2, Smoke::mf_static, 64, 160},	//682 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {37, 458, 997, 1, Smoke::mf_static, 528, 161},	//683 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 493, 17, 1, Smoke::mf_static, 519, 162},	//684 QGlobalSpace::qRed(unsigned int)
    {37, 326, 999, 2, Smoke::mf_static, 118, 163},	//685 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {37, 273, 840, 2, Smoke::mf_static, 283, 164},	//686 QGlobalSpace::operator*(const QTransform&, double)
    {37, 442, 625, 1, Smoke::mf_static, 519, 165},	//687 QGlobalSpace::qFloor(double)
    {37, 293, 1002, 2, Smoke::mf_static, 31, 166},	//688 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 320, 1005, 2, Smoke::mf_static, 27, 167},	//689 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 326, 1008, 2, Smoke::mf_static, 180, 168},	//690 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {37, 466, 709, 1, Smoke::mf_static, 399, 169},	//691 QGlobalSpace::qIsFinite(float)
    {37, 326, 1011, 2, Smoke::mf_static, 105, 170},	//692 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>)
    {37, 277, 1014, 2, Smoke::mf_static, 482, 171},	//693 QGlobalSpace::operator+(const QString&, QChar)
    {37, 265, 1017, 2, Smoke::mf_static, 399, 172},	//694 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 326, 1020, 2, Smoke::mf_static, 127, 173},	//695 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {37, 273, 917, 2, Smoke::mf_static, 507, 174},	//696 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 529, 1023, 3, Smoke::mf_static, 0, 175},	//697 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 277, 703, 2, Smoke::mf_static, 405, 176},	//698 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 344, 0, 0, Smoke::mf_static, 8, 177},	//699 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 277, 682, 2, Smoke::mf_static, 482, 178},	//700 QGlobalSpace::operator+(const QString&, const char*)
    {37, 310, 969, 2, Smoke::mf_static, 399, 179},	//701 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 326, 1027, 2, Smoke::mf_static, 180, 180},	//702 QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    {37, 491, 1030, 4, Smoke::mf_static, 535, 181},	//703 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 320, 1035, 2, Smoke::mf_static, 27, 182},	//704 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 293, 1038, 2, Smoke::mf_static, 27, 183},	//705 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 277, 1041, 2, Smoke::mf_static, 482, 184},	//706 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 458, 17, 1, Smoke::mf_static, 528, 185},	//707 QGlobalSpace::qHash(unsigned int)
    {37, 326, 1044, 2, Smoke::mf_static, 79, 186},	//708 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {37, 448, 819, 2, Smoke::mf_static, 399, 187},	//709 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 458, 722, 1, Smoke::mf_static, 528, 188},	//710 QGlobalSpace::qHash(QChar)
    {37, 326, 1047, 2, Smoke::mf_static, 103, 189},	//711 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {37, 297, 703, 2, Smoke::mf_static, 399, 190},	//712 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 464, 709, 1, Smoke::mf_static, 519, 191},	//713 QGlobalSpace::qIntCast(float)
    {37, 304, 1050, 2, Smoke::mf_static, 399, 192},	//714 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 324, 1053, 2, Smoke::mf_static, 12, 193},	//715 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 310, 1056, 2, Smoke::mf_static, 399, 194},	//716 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 326, 1059, 2, Smoke::mf_static, 180, 195},	//717 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, int)
    {37, 489, 1062, 2, Smoke::mf_static, 535, 196},	//718 QGlobalSpace::qRealloc(void*, size_t)
    {37, 326, 1065, 2, Smoke::mf_static, 126, 197},	//719 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {37, 458, 52, 1, Smoke::mf_static, 528, 198},	//720 QGlobalSpace::qHash(const QString&)
    {37, 297, 969, 2, Smoke::mf_static, 399, 199},	//721 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 277, 917, 2, Smoke::mf_static, 507, 200},	//722 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 326, 1068, 2, Smoke::mf_static, 53, 201},	//723 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    {37, 326, 1071, 2, Smoke::mf_static, 101, 202},	//724 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    {37, 326, 1074, 2, Smoke::mf_static, 89, 203},	//725 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type)
    {37, 293, 1077, 2, Smoke::mf_static, 27, 204},	//726 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 293, 1080, 2, Smoke::mf_static, 27, 205},	//727 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 293, 1083, 2, Smoke::mf_static, 31, 206},	//728 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 505, 625, 1, Smoke::mf_static, 522, 207},	//729 QGlobalSpace::qRound64(double)
    {37, 462, 1086, 1, Smoke::mf_static, 534, 208},	//730 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 517, 625, 1, Smoke::mf_static, 517, 209},	//731 QGlobalSpace::qSqrt(double)
    {37, 458, 1088, 1, Smoke::mf_static, 528, 210},	//732 QGlobalSpace::qHash(const QModelIndex&)
    {37, 326, 1090, 2, Smoke::mf_static, 84, 211},	//733 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {37, 436, 625, 1, Smoke::mf_static, 517, 212},	//734 QGlobalSpace::qFastCos(double)
    {37, 320, 1093, 2, Smoke::mf_static, 27, 213},	//735 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 293, 1096, 2, Smoke::mf_static, 31, 214},	//736 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 304, 1099, 2, Smoke::mf_static, 399, 215},	//737 QGlobalSpace::operator==(QBool, QBool)
    {37, 304, 1102, 2, Smoke::mf_static, 399, 216},	//738 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 326, 1105, 2, Smoke::mf_static, 180, 217},	//739 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int)
    {37, 326, 1108, 2, Smoke::mf_static, 124, 218},	//740 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {37, 265, 944, 2, Smoke::mf_static, 399, 219},	//741 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 326, 1111, 2, Smoke::mf_static, 70, 220},	//742 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, QFlags<QGLFormat::OpenGLVersionFlags::enum_type>)
    {37, 472, 709, 1, Smoke::mf_static, 399, 221},	//743 QGlobalSpace::qIsNaN(float)
    {37, 326, 1114, 2, Smoke::mf_static, 58, 222},	//744 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>)
    {37, 326, 1117, 2, Smoke::mf_static, 129, 223},	//745 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {37, 297, 1056, 2, Smoke::mf_static, 399, 224},	//746 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 320, 1120, 2, Smoke::mf_static, 27, 225},	//747 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 440, 183, 1, Smoke::mf_static, 510, 226},	//748 QGlobalSpace::qFlagLocation(const char*)
    {37, 277, 840, 2, Smoke::mf_static, 283, 227},	//749 QGlobalSpace::operator+(const QTransform&, double)
    {37, 273, 1123, 2, Smoke::mf_static, 188, 228},	//750 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 293, 1126, 2, Smoke::mf_static, 31, 229},	//751 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 472, 625, 1, Smoke::mf_static, 399, 230},	//752 QGlobalSpace::qIsNaN(double)
    {37, 453, 17, 1, Smoke::mf_static, 519, 231},	//753 QGlobalSpace::qGray(unsigned int)
    {37, 326, 1129, 2, Smoke::mf_static, 87, 232},	//754 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type)
    {37, 277, 1132, 2, Smoke::mf_static, 482, 233},	//755 QGlobalSpace::operator+(QChar, const QString&)
    {37, 326, 1135, 2, Smoke::mf_static, 180, 234},	//756 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {37, 374, 1138, 8, Smoke::mf_static, 0, 235},	//757 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QDrawBorderPixmap::DrawingHints)
    {37, 374, 1147, 6, Smoke::mf_static, 0, 236},	//758 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 374, 1154, 7, Smoke::mf_static, 0, 237},	//759 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 326, 1162, 2, Smoke::mf_static, 180, 238},	//760 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {37, 326, 1165, 2, Smoke::mf_static, 180, 239},	//761 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {37, 326, 1168, 2, Smoke::mf_static, 70, 240},	//762 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, QGLFormat::OpenGLVersionFlags::enum_type)
    {37, 326, 1171, 2, Smoke::mf_static, 180, 241},	//763 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    {37, 293, 1174, 2, Smoke::mf_static, 31, 242},	//764 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 320, 1177, 2, Smoke::mf_static, 27, 243},	//765 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 326, 1180, 2, Smoke::mf_static, 51, 244},	//766 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    {37, 570, 188, 3, Smoke::mf_static, 0, 245},	//767 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 458, 1183, 1, Smoke::mf_static, 528, 246},	//768 QGlobalSpace::qHash(long long)
    {37, 282, 1185, 1, Smoke::mf_static, 468, 247},	//769 QGlobalSpace::operator-(const QQuaternion&)
    {37, 326, 1187, 2, Smoke::mf_static, 107, 248},	//770 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type)
    {37, 265, 1190, 2, Smoke::mf_static, 399, 249},	//771 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 326, 1193, 2, Smoke::mf_static, 121, 250},	//772 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {37, 448, 1196, 2, Smoke::mf_static, 399, 251},	//773 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 320, 1199, 2, Smoke::mf_static, 27, 252},	//774 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 326, 1202, 2, Smoke::mf_static, 59, 253},	//775 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {37, 499, 947, 3, Smoke::mf_static, 528, 254},	//776 QGlobalSpace::qRgb(int, int, int)
    {37, 277, 1205, 2, Smoke::mf_static, 482, 255},	//777 QGlobalSpace::operator+(const QString&, char)
    {37, 326, 1208, 2, Smoke::mf_static, 72, 256},	//778 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type)
    {37, 265, 745, 2, Smoke::mf_static, 399, 257},	//779 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 273, 1211, 2, Smoke::mf_static, 218, 258},	//780 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 282, 691, 2, Smoke::mf_static, 464, 259},	//781 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 304, 1017, 2, Smoke::mf_static, 399, 260},	//782 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 320, 1214, 2, Smoke::mf_static, 27, 261},	//783 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 288, 1056, 2, Smoke::mf_static, 399, 262},	//784 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 343, 0, 0, Smoke::mf_static, 8, 263},	//785 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 382, 1217, 8, Smoke::mf_static, 0, 264},	//786 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 382, 1226, 6, Smoke::mf_static, 0, 265},	//787 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 382, 1233, 7, Smoke::mf_static, 0, 266},	//788 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 451, 709, 1, Smoke::mf_static, 399, 267},	//789 QGlobalSpace::qFuzzyIsNull(float)
    {37, 326, 1241, 2, Smoke::mf_static, 85, 268},	//790 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>)
    {37, 326, 1244, 2, Smoke::mf_static, 180, 269},	//791 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, int)
    {37, 326, 1247, 2, Smoke::mf_static, 180, 270},	//792 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, int)
    {37, 273, 1250, 2, Smoke::mf_static, 468, 271},	//793 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 551, 1253, 2, Smoke::mf_static, 401, 272},	//794 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 458, 15, 1, Smoke::mf_static, 528, 273},	//795 QGlobalSpace::qHash(int)
    {37, 277, 691, 2, Smoke::mf_static, 464, 274},	//796 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 273, 1256, 2, Smoke::mf_static, 237, 275},	//797 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 304, 911, 2, Smoke::mf_static, 399, 276},	//798 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 282, 1259, 1, Smoke::mf_static, 462, 277},	//799 QGlobalSpace::operator-(const QPoint&)
    {37, 326, 1261, 2, Smoke::mf_static, 180, 278},	//800 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, int)
    {37, 293, 1264, 2, Smoke::mf_static, 27, 279},	//801 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 326, 1267, 2, Smoke::mf_static, 50, 280},	//802 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {37, 432, 625, 1, Smoke::mf_static, 517, 281},	//803 QGlobalSpace::qExp(double)
    {37, 512, 15, 1, Smoke::mf_static, 280, 282},	//804 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 304, 1270, 2, Smoke::mf_static, 399, 283},	//805 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 476, 625, 1, Smoke::mf_static, 517, 284},	//806 QGlobalSpace::qLn(double)
    {37, 326, 1273, 2, Smoke::mf_static, 180, 285},	//807 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    {37, 277, 636, 2, Smoke::mf_static, 501, 286},	//808 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 407, 1276, 7, Smoke::mf_static, 0, 287},	//809 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 407, 1284, 3, Smoke::mf_static, 0, 288},	//810 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 407, 1288, 4, Smoke::mf_static, 0, 289},	//811 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 407, 1293, 5, Smoke::mf_static, 0, 290},	//812 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 407, 1299, 6, Smoke::mf_static, 0, 291},	//813 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 293, 1306, 2, Smoke::mf_static, 27, 292},	//814 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 326, 1309, 2, Smoke::mf_static, 115, 293},	//815 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {37, 326, 1312, 2, Smoke::mf_static, 50, 294},	//816 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {37, 273, 1315, 2, Smoke::mf_static, 297, 295},	//817 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 265, 911, 2, Smoke::mf_static, 399, 296},	//818 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 495, 1318, 1, Smoke::mf_static, 0, 297},	//819 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 293, 1320, 2, Smoke::mf_static, 31, 298},	//820 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 293, 1323, 2, Smoke::mf_static, 31, 299},	//821 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 363, 371, 2, Smoke::mf_static, 531, 300},	//822 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 326, 1326, 2, Smoke::mf_static, 180, 301},	//823 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, int)
    {37, 374, 1329, 4, Smoke::mf_static, 0, 302},	//824 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 286, 1334, 2, Smoke::mf_static, 507, 303},	//825 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 293, 1337, 2, Smoke::mf_static, 277, 304},	//826 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 478, 1340, 1, Smoke::mf_static, 535, 305},	//827 QGlobalSpace::qMalloc(size_t)
    {37, 488, 0, 0, Smoke::mf_static, 517, 306},	//828 QGlobalSpace::qQNaN()
    {37, 326, 1342, 2, Smoke::mf_static, 180, 307},	//829 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {37, 320, 1345, 2, Smoke::mf_static, 27, 308},	//830 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 539, 676, 2, Smoke::mf_static, 399, 309},	//831 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 326, 1348, 2, Smoke::mf_static, 117, 310},	//832 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {37, 293, 1351, 2, Smoke::mf_static, 27, 311},	//833 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 293, 1354, 2, Smoke::mf_static, 31, 312},	//834 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 359, 17, 1, Smoke::mf_static, 519, 313},	//835 QGlobalSpace::qBlue(unsigned int)
    {37, 273, 636, 2, Smoke::mf_static, 501, 314},	//836 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 293, 1357, 2, Smoke::mf_static, 27, 315},	//837 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 293, 1360, 2, Smoke::mf_static, 27, 316},	//838 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 326, 1363, 2, Smoke::mf_static, 180, 317},	//839 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {37, 326, 1366, 2, Smoke::mf_static, 90, 318},	//840 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>)
    {37, 418, 1369, 5, Smoke::mf_static, 0, 319},	//841 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 418, 1284, 3, Smoke::mf_static, 0, 320},	//842 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 418, 1288, 4, Smoke::mf_static, 0, 321},	//843 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 544, 17, 1, Smoke::mf_static, 0, 322},	//844 QGlobalSpace::qsrand(unsigned int)
    {37, 265, 819, 2, Smoke::mf_static, 399, 323},	//845 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 326, 1375, 2, Smoke::mf_static, 80, 324},	//846 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>)
    {37, 458, 1378, 1, Smoke::mf_static, 528, 325},	//847 QGlobalSpace::qHash(long)
    {37, 293, 1380, 2, Smoke::mf_static, 27, 326},	//848 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 326, 1383, 2, Smoke::mf_static, 180, 327},	//849 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, int)
    {37, 326, 1386, 2, Smoke::mf_static, 180, 328},	//850 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {37, 310, 620, 2, Smoke::mf_static, 399, 329},	//851 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 326, 1389, 2, Smoke::mf_static, 98, 330},	//852 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type)
    {37, 458, 1392, 1, Smoke::mf_static, 528, 331},	//853 QGlobalSpace::qHash(unsigned short)
    {37, 320, 1394, 2, Smoke::mf_static, 27, 332},	//854 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 326, 1397, 2, Smoke::mf_static, 180, 333},	//855 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, int)
    {37, 326, 1400, 2, Smoke::mf_static, 65, 334},	//856 QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFileDialog::Options::enum_type)
    {37, 265, 691, 2, Smoke::mf_static, 399, 335},	//857 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 293, 1403, 2, Smoke::mf_static, 27, 336},	//858 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 282, 636, 2, Smoke::mf_static, 501, 337},	//859 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 326, 1406, 2, Smoke::mf_static, 116, 338},	//860 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {37, 398, 1409, 6, Smoke::mf_static, 0, 339},	//861 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 398, 1284, 3, Smoke::mf_static, 0, 340},	//862 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 398, 1288, 4, Smoke::mf_static, 0, 341},	//863 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 398, 1293, 5, Smoke::mf_static, 0, 342},	//864 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 563, 975, 3, Smoke::mf_static, 519, 343},	//865 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 277, 1416, 2, Smoke::mf_static, 482, 344},	//866 QGlobalSpace::operator+(char, const QString&)
    {37, 320, 1419, 2, Smoke::mf_static, 27, 345},	//867 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 326, 1422, 2, Smoke::mf_static, 180, 346},	//868 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, int)
    {37, 304, 789, 2, Smoke::mf_static, 399, 347},	//869 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 320, 1425, 2, Smoke::mf_static, 27, 348},	//870 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 304, 979, 2, Smoke::mf_static, 399, 349},	//871 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 326, 1428, 2, Smoke::mf_static, 118, 350},	//872 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {37, 277, 1056, 2, Smoke::mf_static, 405, 351},	//873 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 326, 1431, 2, Smoke::mf_static, 93, 352},	//874 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {37, 326, 1434, 2, Smoke::mf_static, 180, 353},	//875 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, int)
    {37, 326, 1437, 2, Smoke::mf_static, 71, 354},	//876 QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, QFlags<QGLShader::ShaderType::enum_type>)
    {37, 458, 1440, 1, Smoke::mf_static, 528, 355},	//877 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 310, 944, 2, Smoke::mf_static, 399, 356},	//878 QGlobalSpace::operator>(const char*, const QString&)
    {37, 293, 1442, 2, Smoke::mf_static, 31, 357},	//879 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 293, 1445, 2, Smoke::mf_static, 27, 358},	//880 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 326, 1448, 2, Smoke::mf_static, 87, 359},	//881 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>)
    {37, 293, 1451, 2, Smoke::mf_static, 27, 360},	//882 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 293, 1454, 2, Smoke::mf_static, 27, 361},	//883 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 326, 1457, 2, Smoke::mf_static, 180, 362},	//884 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {37, 293, 1460, 2, Smoke::mf_static, 27, 363},	//885 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 320, 1463, 2, Smoke::mf_static, 27, 364},	//886 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 585, 1466, 3, Smoke::mf_static, 207, 365},	//887 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 398, 1470, 9, Smoke::mf_static, 0, 366},	//888 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 398, 884, 6, Smoke::mf_static, 0, 367},	//889 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 398, 891, 7, Smoke::mf_static, 0, 368},	//890 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 398, 1480, 8, Smoke::mf_static, 0, 369},	//891 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 320, 1489, 2, Smoke::mf_static, 27, 370},	//892 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 286, 1492, 2, Smoke::mf_static, 501, 371},	//893 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 286, 1495, 2, Smoke::mf_static, 464, 372},	//894 QGlobalSpace::operator/(const QPointF&, double)
    {37, 265, 1498, 2, Smoke::mf_static, 399, 373},	//895 QGlobalSpace::operator!=(bool, QBool)
    {37, 304, 969, 2, Smoke::mf_static, 399, 374},	//896 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 326, 1501, 2, Smoke::mf_static, 61, 375},	//897 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {37, 326, 1504, 2, Smoke::mf_static, 78, 376},	//898 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type)
    {37, 286, 1507, 2, Smoke::mf_static, 504, 377},	//899 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 326, 1510, 2, Smoke::mf_static, 180, 378},	//900 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {37, 561, 1513, 3, Smoke::mf_static, 401, 379},	//901 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 273, 1517, 2, Smoke::mf_static, 501, 380},	//902 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 282, 1520, 1, Smoke::mf_static, 507, 381},	//903 QGlobalSpace::operator-(const QVector4D&)
    {37, 326, 1522, 2, Smoke::mf_static, 180, 382},	//904 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, int)
    {37, 320, 1525, 2, Smoke::mf_static, 27, 383},	//905 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 524, 203, 1, Smoke::mf_static, 16, 384},	//906 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 286, 840, 2, Smoke::mf_static, 283, 385},	//907 QGlobalSpace::operator/(const QTransform&, double)
    {37, 326, 1528, 2, Smoke::mf_static, 68, 386},	//908 QGlobalSpace::operator|(QGL::FormatOptions::enum_type, QFlags<QGL::FormatOptions::enum_type>)
    {37, 448, 627, 2, Smoke::mf_static, 399, 387},	//909 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 326, 1531, 2, Smoke::mf_static, 51, 388},	//910 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    {37, 326, 1534, 2, Smoke::mf_static, 79, 389},	//911 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {37, 293, 1537, 2, Smoke::mf_static, 27, 390},	//912 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 326, 1540, 2, Smoke::mf_static, 95, 391},	//913 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    {37, 320, 1543, 2, Smoke::mf_static, 27, 392},	//914 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 340, 0, 0, Smoke::mf_static, 8, 393},	//915 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 273, 1546, 2, Smoke::mf_static, 227, 394},	//916 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 320, 1549, 2, Smoke::mf_static, 27, 395},	//917 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 282, 1552, 1, Smoke::mf_static, 464, 396},	//918 QGlobalSpace::operator-(const QPointF&)
    {37, 293, 1554, 2, Smoke::mf_static, 31, 397},	//919 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 304, 1498, 2, Smoke::mf_static, 399, 398},	//920 QGlobalSpace::operator==(bool, QBool)
    {37, 320, 1557, 2, Smoke::mf_static, 27, 399},	//921 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 541, 0, 0, Smoke::mf_static, 519, 400},	//922 QGlobalSpace::qrand()
    {37, 293, 1560, 2, Smoke::mf_static, 31, 401},	//923 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 273, 1563, 2, Smoke::mf_static, 231, 402},	//924 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 320, 1566, 2, Smoke::mf_static, 27, 403},	//925 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 572, 1569, 4, Smoke::mf_static, 0, 404},	//926 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 326, 1574, 2, Smoke::mf_static, 81, 405},	//927 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>)
    {37, 271, 1053, 2, Smoke::mf_static, 12, 406},	//928 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 315, 676, 2, Smoke::mf_static, 399, 407},	//929 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 326, 1577, 2, Smoke::mf_static, 55, 408},	//930 QGlobalSpace::operator|(QAccessible::State::enum_type, QAccessible::State::enum_type)
    {37, 293, 1580, 2, Smoke::mf_static, 27, 409},	//931 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 326, 1583, 2, Smoke::mf_static, 124, 410},	//932 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {37, 326, 1586, 2, Smoke::mf_static, 100, 411},	//933 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    {37, 448, 1589, 2, Smoke::mf_static, 399, 412},	//934 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 265, 1592, 2, Smoke::mf_static, 399, 413},	//935 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 542, 1595, 4, Smoke::mf_static, 0, 414},	//936 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {37, 501, 1600, 4, Smoke::mf_static, 528, 415},	//937 QGlobalSpace::qRgba(int, int, int, int)
    {37, 326, 1605, 2, Smoke::mf_static, 88, 416},	//938 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type)
    {37, 372, 0, 0, Smoke::mf_static, 31, 417},	//939 QGlobalSpace::qCritical()
    {37, 326, 1608, 2, Smoke::mf_static, 180, 418},	//940 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, int)
    {37, 273, 1334, 2, Smoke::mf_static, 507, 419},	//941 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 320, 1611, 2, Smoke::mf_static, 27, 420},	//942 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 293, 1614, 2, Smoke::mf_static, 31, 421},	//943 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 293, 1617, 2, Smoke::mf_static, 27, 422},	//944 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 265, 676, 2, Smoke::mf_static, 399, 423},	//945 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 326, 1620, 2, Smoke::mf_static, 62, 424},	//946 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type)
    {37, 326, 1623, 2, Smoke::mf_static, 91, 425},	//947 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>)
    {37, 265, 822, 2, Smoke::mf_static, 399, 426},	//948 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 288, 643, 2, Smoke::mf_static, 399, 427},	//949 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 273, 1626, 2, Smoke::mf_static, 507, 428},	//950 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 326, 1629, 2, Smoke::mf_static, 115, 429},	//951 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {37, 326, 1632, 2, Smoke::mf_static, 111, 430},	//952 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {37, 304, 1592, 2, Smoke::mf_static, 399, 431},	//953 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 326, 1635, 2, Smoke::mf_static, 180, 432},	//954 QGlobalSpace::operator|(QTextOption::Flags::enum_type, int)
    {37, 293, 1638, 2, Smoke::mf_static, 27, 433},	//955 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 293, 1641, 2, Smoke::mf_static, 31, 434},	//956 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 277, 1644, 2, Smoke::mf_static, 405, 435},	//957 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 326, 1647, 2, Smoke::mf_static, 180, 436},	//958 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    {37, 320, 1650, 2, Smoke::mf_static, 27, 437},	//959 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 326, 1653, 2, Smoke::mf_static, 180, 438},	//960 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {37, 286, 1656, 2, Smoke::mf_static, 477, 439},	//961 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 315, 969, 2, Smoke::mf_static, 399, 440},	//962 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 326, 1659, 2, Smoke::mf_static, 180, 441},	//963 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {37, 326, 1662, 2, Smoke::mf_static, 120, 442},	//964 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {37, 326, 1665, 2, Smoke::mf_static, 104, 443},	//965 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>)
    {37, 304, 917, 2, Smoke::mf_static, 399, 444},	//966 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 293, 1668, 2, Smoke::mf_static, 27, 445},	//967 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 304, 822, 2, Smoke::mf_static, 399, 446},	//968 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 348, 1671, 1, Smoke::mf_static, 0, 447},	//969 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 326, 1673, 2, Smoke::mf_static, 98, 448},	//970 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>)
    {37, 365, 1676, 3, Smoke::mf_static, 16, 449},	//971 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 365, 972, 2, Smoke::mf_static, 16, 450},	//972 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 297, 676, 2, Smoke::mf_static, 399, 451},	//973 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 438, 625, 1, Smoke::mf_static, 517, 452},	//974 QGlobalSpace::qFastSin(double)
    {37, 297, 620, 2, Smoke::mf_static, 399, 453},	//975 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 293, 1680, 2, Smoke::mf_static, 27, 454},	//976 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 320, 1683, 2, Smoke::mf_static, 27, 455},	//977 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 320, 1686, 2, Smoke::mf_static, 27, 456},	//978 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 286, 1250, 2, Smoke::mf_static, 468, 457},	//979 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 352, 0, 0, Smoke::mf_static, 248, 458},	//980 QGlobalSpace::qAppName()
    {37, 527, 0, 0, Smoke::mf_static, 510, 459},	//981 QGlobalSpace::qVersion()
    {37, 379, 1689, 5, Smoke::mf_static, 0, 460},	//982 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QDrawPixmaps::DrawingHints)
    {37, 379, 1695, 4, Smoke::mf_static, 0, 461},	//983 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {37, 326, 1700, 2, Smoke::mf_static, 180, 462},	//984 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, int)
    {37, 326, 1703, 2, Smoke::mf_static, 91, 463},	//985 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type)
    {37, 293, 1706, 2, Smoke::mf_static, 27, 464},	//986 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 326, 1709, 2, Smoke::mf_static, 54, 465},	//987 QGlobalSpace::operator|(QAccessible::Relation::enum_type, QAccessible::Relation::enum_type)
    {37, 326, 1712, 2, Smoke::mf_static, 180, 466},	//988 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    {37, 444, 1715, 1, Smoke::mf_static, 0, 467},	//989 QGlobalSpace::qFree(void*)
    {37, 273, 1717, 2, Smoke::mf_static, 190, 468},	//990 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 293, 1720, 2, Smoke::mf_static, 27, 469},	//991 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 446, 1715, 1, Smoke::mf_static, 0, 470},	//992 QGlobalSpace::qFreeAligned(void*)
    {37, 320, 1723, 2, Smoke::mf_static, 27, 471},	//993 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 304, 1190, 2, Smoke::mf_static, 399, 472},	//994 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 293, 1726, 2, Smoke::mf_static, 31, 473},	//995 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 293, 1729, 2, Smoke::mf_static, 277, 474},	//996 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 288, 703, 2, Smoke::mf_static, 399, 475},	//997 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 293, 1732, 2, Smoke::mf_static, 31, 476},	//998 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 273, 1735, 2, Smoke::mf_static, 468, 477},	//999 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 273, 1492, 2, Smoke::mf_static, 501, 478},	//1000 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 265, 1738, 2, Smoke::mf_static, 399, 479},	//1001 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 293, 1741, 2, Smoke::mf_static, 31, 480},	//1002 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 265, 917, 2, Smoke::mf_static, 399, 481},	//1003 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 326, 1744, 2, Smoke::mf_static, 76, 482},	//1004 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>)
    {37, 293, 1747, 2, Smoke::mf_static, 31, 483},	//1005 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 273, 1507, 2, Smoke::mf_static, 504, 484},	//1006 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 326, 1750, 2, Smoke::mf_static, 180, 485},	//1007 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {37, 458, 1753, 1, Smoke::mf_static, 528, 486},	//1008 QGlobalSpace::qHash(const QBitArray&)
    {37, 293, 1755, 2, Smoke::mf_static, 31, 487},	//1009 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 293, 1758, 2, Smoke::mf_static, 31, 488},	//1010 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 293, 1761, 2, Smoke::mf_static, 277, 489},	//1011 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 361, 625, 1, Smoke::mf_static, 519, 490},	//1012 QGlobalSpace::qCeil(double)
    {37, 326, 1764, 2, Smoke::mf_static, 61, 491},	//1013 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {37, 326, 1767, 2, Smoke::mf_static, 116, 492},	//1014 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {37, 293, 1770, 2, Smoke::mf_static, 31, 493},	//1015 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 320, 1773, 2, Smoke::mf_static, 27, 494},	//1016 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 265, 754, 2, Smoke::mf_static, 399, 495},	//1017 QGlobalSpace::operator!=(QChar, QChar)
    {37, 326, 1776, 2, Smoke::mf_static, 102, 496},	//1018 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    {37, 519, 1779, 2, Smoke::mf_static, 399, 497},	//1019 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 326, 1782, 2, Smoke::mf_static, 78, 498},	//1020 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>)
    {37, 553, 183, 1, Smoke::mf_static, 401, 499},	//1021 QGlobalSpace::qstrdup(const char*)
    {37, 293, 1785, 2, Smoke::mf_static, 31, 500},	//1022 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlags)
    {37, 326, 1788, 2, Smoke::mf_static, 73, 501},	//1023 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type)
    {37, 326, 1791, 2, Smoke::mf_static, 122, 502},	//1024 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {37, 326, 1794, 2, Smoke::mf_static, 99, 503},	//1025 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    {37, 326, 1797, 2, Smoke::mf_static, 80, 504},	//1026 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type)
    {37, 342, 0, 0, Smoke::mf_static, 8, 505},	//1027 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 320, 1800, 2, Smoke::mf_static, 27, 506},	//1028 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 320, 1803, 2, Smoke::mf_static, 27, 507},	//1029 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 297, 944, 2, Smoke::mf_static, 399, 508},	//1030 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 265, 1102, 2, Smoke::mf_static, 399, 509},	//1031 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 320, 1806, 2, Smoke::mf_static, 27, 510},	//1032 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 326, 1809, 2, Smoke::mf_static, 96, 511},	//1033 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    {37, 293, 1812, 2, Smoke::mf_static, 27, 512},	//1034 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 326, 1815, 2, Smoke::mf_static, 180, 513},	//1035 QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, int)
    {37, 326, 1818, 2, Smoke::mf_static, 63, 514},	//1036 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {37, 373, 0, 0, Smoke::mf_static, 31, 515},	//1037 QGlobalSpace::qDebug()
    {37, 480, 1821, 2, Smoke::mf_static, 535, 516},	//1038 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 326, 1824, 2, Smoke::mf_static, 112, 517},	//1039 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {37, 273, 1827, 2, Smoke::mf_static, 225, 518},	//1040 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 326, 1830, 2, Smoke::mf_static, 83, 519},	//1041 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {37, 265, 1779, 2, Smoke::mf_static, 399, 520},	//1042 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 326, 1833, 2, Smoke::mf_static, 180, 521},	//1043 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, int)
    {37, 456, 17, 1, Smoke::mf_static, 519, 522},	//1044 QGlobalSpace::qGreen(unsigned int)
    {37, 486, 697, 2, Smoke::mf_static, 517, 523},	//1045 QGlobalSpace::qPow(double, double)
    {37, 297, 643, 2, Smoke::mf_static, 399, 524},	//1046 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 293, 1836, 2, Smoke::mf_static, 31, 525},	//1047 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 326, 1839, 2, Smoke::mf_static, 104, 526},	//1048 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type)
    {37, 326, 1842, 2, Smoke::mf_static, 180, 527},	//1049 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {37, 320, 1729, 2, Smoke::mf_static, 277, 528},	//1050 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 277, 1845, 2, Smoke::mf_static, 405, 529},	//1051 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 326, 1848, 2, Smoke::mf_static, 119, 530},	//1052 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {37, 304, 676, 2, Smoke::mf_static, 399, 531},	//1053 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 293, 1851, 2, Smoke::mf_static, 27, 532},	//1054 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 282, 667, 2, Smoke::mf_static, 475, 533},	//1055 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 293, 1854, 2, Smoke::mf_static, 31, 534},	//1056 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 277, 944, 2, Smoke::mf_static, 482, 535},	//1057 QGlobalSpace::operator+(const char*, const QString&)
    {37, 320, 1857, 2, Smoke::mf_static, 27, 536},	//1058 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 326, 1860, 2, Smoke::mf_static, 97, 537},	//1059 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    {37, 320, 1863, 2, Smoke::mf_static, 27, 538},	//1060 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 326, 1866, 2, Smoke::mf_static, 101, 539},	//1061 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    {37, 265, 1270, 2, Smoke::mf_static, 399, 540},	//1062 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 273, 1869, 2, Smoke::mf_static, 464, 541},	//1063 QGlobalSpace::operator*(double, const QPointF&)
    {37, 326, 1872, 2, Smoke::mf_static, 113, 542},	//1064 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>)
    {37, 273, 1875, 2, Smoke::mf_static, 237, 543},	//1065 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 326, 1878, 2, Smoke::mf_static, 180, 544},	//1066 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, int)
    {37, 304, 620, 2, Smoke::mf_static, 399, 545},	//1067 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 273, 1881, 2, Smoke::mf_static, 475, 546},	//1068 QGlobalSpace::operator*(const QSize&, double)
    {37, 326, 1884, 2, Smoke::mf_static, 180, 547},	//1069 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, int)
    {37, 293, 1887, 2, Smoke::mf_static, 31, 548},	//1070 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 448, 636, 2, Smoke::mf_static, 399, 549},	//1071 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 273, 1890, 2, Smoke::mf_static, 218, 550},	//1072 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 326, 1893, 2, Smoke::mf_static, 93, 551},	//1073 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {37, 591, 1896, 4, Smoke::mf_static, 519, 552},	//1074 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 304, 1738, 2, Smoke::mf_static, 399, 553},	//1075 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 273, 1901, 2, Smoke::mf_static, 462, 554},	//1076 QGlobalSpace::operator*(double, const QPoint&)
    {37, 273, 1904, 2, Smoke::mf_static, 231, 555},	//1077 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 484, 1907, 3, Smoke::mf_static, 535, 556},	//1078 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 293, 1911, 2, Smoke::mf_static, 27, 557},	//1079 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 326, 1914, 2, Smoke::mf_static, 85, 558},	//1080 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type)
    {37, 574, 226, 2, Smoke::mf_static, 0, 559},	//1081 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 326, 1917, 2, Smoke::mf_static, 180, 560},	//1082 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, int)
    {37, 425, 1369, 5, Smoke::mf_static, 0, 561},	//1083 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 425, 1284, 3, Smoke::mf_static, 0, 562},	//1084 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 425, 1288, 4, Smoke::mf_static, 0, 563},	//1085 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 458, 1920, 1, Smoke::mf_static, 528, 564},	//1086 QGlobalSpace::qHash(short)
    {37, 434, 625, 1, Smoke::mf_static, 517, 565},	//1087 QGlobalSpace::qFabs(double)
    {37, 326, 1922, 2, Smoke::mf_static, 81, 566},	//1088 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type)
    {37, 326, 1925, 2, Smoke::mf_static, 180, 567},	//1089 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {37, 326, 1928, 2, Smoke::mf_static, 109, 568},	//1090 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {37, 326, 1931, 2, Smoke::mf_static, 82, 569},	//1091 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    {37, 546, 1056, 2, Smoke::mf_static, 519, 570},	//1092 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 326, 1934, 2, Smoke::mf_static, 58, 571},	//1093 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type)
    {37, 448, 1937, 2, Smoke::mf_static, 399, 572},	//1094 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 304, 1940, 2, Smoke::mf_static, 399, 573},	//1095 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 531, 1943, 3, Smoke::mf_static, 401, 574},	//1096 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 326, 1947, 2, Smoke::mf_static, 74, 575},	//1097 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type)
    {37, 346, 625, 1, Smoke::mf_static, 517, 576},	//1098 QGlobalSpace::qAcos(double)
    {37, 326, 1950, 2, Smoke::mf_static, 72, 577},	//1099 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>)
    {37, 293, 1953, 2, Smoke::mf_static, 27, 578},	//1100 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 315, 1056, 2, Smoke::mf_static, 399, 579},	//1101 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 320, 1956, 2, Smoke::mf_static, 27, 580},	//1102 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 326, 1959, 2, Smoke::mf_static, 180, 581},	//1103 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, int)
    {37, 293, 1962, 2, Smoke::mf_static, 31, 582},	//1104 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 407, 1965, 10, Smoke::mf_static, 0, 583},	//1105 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 407, 884, 6, Smoke::mf_static, 0, 584},	//1106 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 407, 891, 7, Smoke::mf_static, 0, 585},	//1107 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 407, 1480, 8, Smoke::mf_static, 0, 586},	//1108 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 407, 1976, 9, Smoke::mf_static, 0, 587},	//1109 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 326, 1986, 2, Smoke::mf_static, 54, 588},	//1110 QGlobalSpace::operator|(QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>)
    {37, 326, 1989, 2, Smoke::mf_static, 75, 589},	//1111 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type)
    {37, 326, 1992, 2, Smoke::mf_static, 109, 590},	//1112 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {37, 320, 1995, 2, Smoke::mf_static, 27, 591},	//1113 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 293, 1998, 2, Smoke::mf_static, 31, 592},	//1114 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 326, 2001, 2, Smoke::mf_static, 106, 593},	//1115 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type)
    {37, 451, 625, 1, Smoke::mf_static, 399, 594},	//1116 QGlobalSpace::qFuzzyIsNull(double)
    {37, 365, 229, 2, Smoke::mf_static, 16, 595},	//1117 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 365, 203, 1, Smoke::mf_static, 16, 596},	//1118 QGlobalSpace::qCompress(const QByteArray&)
    {37, 293, 2004, 2, Smoke::mf_static, 31, 597},	//1119 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 326, 2007, 2, Smoke::mf_static, 73, 598},	//1120 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>)
    {37, 326, 2010, 2, Smoke::mf_static, 180, 599},	//1121 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {37, 326, 2013, 2, Smoke::mf_static, 180, 600},	//1122 QGlobalSpace::operator|(QAccessible::Relation::enum_type, int)
    {37, 326, 2016, 2, Smoke::mf_static, 180, 601},	//1123 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {37, 282, 2019, 1, Smoke::mf_static, 501, 602},	//1124 QGlobalSpace::operator-(const QVector2D&)
    {37, 293, 2021, 2, Smoke::mf_static, 27, 603},	//1125 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 273, 2024, 2, Smoke::mf_static, 199, 604},	//1126 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 293, 2027, 2, Smoke::mf_static, 27, 605},	//1127 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 389, 1976, 9, Smoke::mf_static, 0, 606},	//1128 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 389, 884, 6, Smoke::mf_static, 0, 607},	//1129 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 389, 891, 7, Smoke::mf_static, 0, 608},	//1130 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 389, 1480, 8, Smoke::mf_static, 0, 609},	//1131 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 273, 2030, 2, Smoke::mf_static, 188, 610},	//1132 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 326, 2033, 2, Smoke::mf_static, 60, 611},	//1133 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {37, 293, 2036, 2, Smoke::mf_static, 27, 612},	//1134 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 326, 2039, 2, Smoke::mf_static, 180, 613},	//1135 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {37, 353, 625, 1, Smoke::mf_static, 517, 614},	//1136 QGlobalSpace::qAsin(double)
    {37, 293, 2042, 2, Smoke::mf_static, 31, 615},	//1137 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 293, 2045, 2, Smoke::mf_static, 31, 616},	//1138 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 326, 2048, 2, Smoke::mf_static, 83, 617},	//1139 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {37, 326, 2051, 2, Smoke::mf_static, 96, 618},	//1140 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    {37, 265, 1050, 2, Smoke::mf_static, 399, 619},	//1141 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 515, 625, 1, Smoke::mf_static, 517, 620},	//1142 QGlobalSpace::qSin(double)
    {37, 304, 1056, 2, Smoke::mf_static, 399, 621},	//1143 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 326, 2054, 2, Smoke::mf_static, 52, 622},	//1144 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>)
    {37, 320, 2057, 2, Smoke::mf_static, 27, 623},	//1145 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 326, 1053, 2, Smoke::mf_static, 12, 624},	//1146 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 293, 2060, 2, Smoke::mf_static, 27, 625},	//1147 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 326, 2063, 2, Smoke::mf_static, 108, 626},	//1148 QGlobalSpace::operator|(QTextOption::Flags::enum_type, QTextOption::Flags::enum_type)
    {37, 448, 633, 2, Smoke::mf_static, 399, 627},	//1149 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 418, 875, 8, Smoke::mf_static, 0, 628},	//1150 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 418, 884, 6, Smoke::mf_static, 0, 629},	//1151 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 418, 891, 7, Smoke::mf_static, 0, 630},	//1152 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 293, 2066, 2, Smoke::mf_static, 27, 631},	//1153 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 326, 2069, 2, Smoke::mf_static, 100, 632},	//1154 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    {37, 304, 2072, 2, Smoke::mf_static, 399, 633},	//1155 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 326, 2075, 2, Smoke::mf_static, 94, 634},	//1156 QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    {37, 320, 2078, 2, Smoke::mf_static, 27, 635},	//1157 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 293, 2081, 2, Smoke::mf_static, 27, 636},	//1158 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 326, 2084, 2, Smoke::mf_static, 105, 637},	//1159 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type)
    {37, 326, 2087, 2, Smoke::mf_static, 180, 638},	//1160 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, int)
    {37, 567, 226, 2, Smoke::mf_static, 248, 639},	//1161 QGlobalSpace::qtTrId(const char*, int)
    {37, 567, 183, 1, Smoke::mf_static, 248, 640},	//1162 QGlobalSpace::qtTrId(const char*)
    {37, 326, 2090, 2, Smoke::mf_static, 108, 641},	//1163 QGlobalSpace::operator|(QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>)
    {37, 326, 2093, 2, Smoke::mf_static, 180, 642},	//1164 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {37, 282, 2096, 1, Smoke::mf_static, 504, 643},	//1165 QGlobalSpace::operator-(const QVector3D&)
    {37, 293, 2098, 2, Smoke::mf_static, 31, 644},	//1166 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 297, 754, 2, Smoke::mf_static, 399, 645},	//1167 QGlobalSpace::operator<=(QChar, QChar)
    {37, 326, 2101, 2, Smoke::mf_static, 71, 646},	//1168 QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, QGLShader::ShaderType::enum_type)
    {37, 326, 2104, 2, Smoke::mf_static, 120, 647},	//1169 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {37, 468, 17, 1, Smoke::mf_static, 399, 648},	//1170 QGlobalSpace::qIsGray(unsigned int)
    {37, 326, 2107, 2, Smoke::mf_static, 180, 649},	//1171 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    {37, 265, 1940, 2, Smoke::mf_static, 399, 650},	//1172 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 326, 2110, 2, Smoke::mf_static, 117, 651},	//1173 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {37, 320, 2113, 2, Smoke::mf_static, 27, 652},	//1174 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 320, 2116, 2, Smoke::mf_static, 27, 653},	//1175 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 326, 2119, 2, Smoke::mf_static, 114, 654},	//1176 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {37, 382, 2122, 5, Smoke::mf_static, 0, 655},	//1177 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 382, 2128, 3, Smoke::mf_static, 0, 656},	//1178 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 382, 2132, 4, Smoke::mf_static, 0, 657},	//1179 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 320, 2137, 2, Smoke::mf_static, 27, 658},	//1180 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 320, 2140, 2, Smoke::mf_static, 27, 659},	//1181 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 589, 2143, 3, Smoke::mf_static, 399, 660},	//1182 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 273, 2147, 2, Smoke::mf_static, 225, 661},	//1183 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 286, 1881, 2, Smoke::mf_static, 475, 662},	//1184 QGlobalSpace::operator/(const QSize&, double)
    {37, 326, 2150, 2, Smoke::mf_static, 180, 663},	//1185 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    {37, 273, 2153, 2, Smoke::mf_static, 225, 664},	//1186 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 474, 709, 1, Smoke::mf_static, 399, 665},	//1187 QGlobalSpace::qIsNull(float)
    {37, 587, 2156, 5, Smoke::mf_static, 0, 666},	//1188 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 326, 2162, 2, Smoke::mf_static, 59, 667},	//1189 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {37, 304, 2165, 2, Smoke::mf_static, 399, 668},	//1190 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 355, 625, 1, Smoke::mf_static, 517, 669},	//1191 QGlobalSpace::qAtan(double)
    {37, 326, 2168, 2, Smoke::mf_static, 180, 670},	//1192 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {37, 326, 2171, 2, Smoke::mf_static, 180, 671},	//1193 QGlobalSpace::operator|(QStyle::State::enum_type, int)
    {37, 320, 2174, 2, Smoke::mf_static, 27, 672},	//1194 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 326, 2177, 2, Smoke::mf_static, 89, 673},	//1195 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>)
    {37, 448, 697, 2, Smoke::mf_static, 399, 674},	//1196 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 273, 2180, 2, Smoke::mf_static, 295, 675},	//1197 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 326, 2183, 2, Smoke::mf_static, 180, 676},	//1198 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {37, 265, 643, 2, Smoke::mf_static, 399, 677},	//1199 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 326, 2186, 2, Smoke::mf_static, 126, 678},	//1200 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {37, 293, 2189, 2, Smoke::mf_static, 27, 679},	//1201 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 326, 2192, 2, Smoke::mf_static, 90, 680},	//1202 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type)
    {37, 293, 2195, 2, Smoke::mf_static, 31, 681},	//1203 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 389, 2198, 7, Smoke::mf_static, 0, 682},	//1204 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 389, 2206, 4, Smoke::mf_static, 0, 683},	//1205 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 389, 2211, 5, Smoke::mf_static, 0, 684},	//1206 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 389, 2217, 6, Smoke::mf_static, 0, 685},	//1207 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 273, 872, 2, Smoke::mf_static, 462, 686},	//1208 QGlobalSpace::operator*(const QPoint&, double)
    {37, 326, 2224, 2, Smoke::mf_static, 180, 687},	//1209 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {37, 507, 0, 0, Smoke::mf_static, 517, 688},	//1210 QGlobalSpace::qSNaN()
    {37, 273, 2227, 2, Smoke::mf_static, 227, 689},	//1211 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 304, 703, 2, Smoke::mf_static, 399, 690},	//1212 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 293, 2230, 2, Smoke::mf_static, 27, 691},	//1213 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 273, 1656, 2, Smoke::mf_static, 477, 692},	//1214 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 304, 1779, 2, Smoke::mf_static, 399, 693},	//1215 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 326, 2233, 2, Smoke::mf_static, 180, 694},	//1216 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {37, 265, 633, 2, Smoke::mf_static, 399, 695},	//1217 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 304, 636, 2, Smoke::mf_static, 399, 696},	//1218 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 273, 2236, 2, Smoke::mf_static, 229, 697},	//1219 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 273, 2239, 2, Smoke::mf_static, 475, 698},	//1220 QGlobalSpace::operator*(double, const QSize&)
    {37, 288, 620, 2, Smoke::mf_static, 399, 699},	//1221 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 293, 2242, 2, Smoke::mf_static, 31, 700},	//1222 QGlobalSpace::operator<<(QDebug, QStyle::State)
    {37, 326, 2245, 2, Smoke::mf_static, 125, 701},	//1223 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {37, 326, 2248, 2, Smoke::mf_static, 107, 702},	//1224 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>)
    {37, 265, 2251, 2, Smoke::mf_static, 399, 703},	//1225 QGlobalSpace::operator!=(QBool, bool)
    {37, 265, 667, 2, Smoke::mf_static, 399, 704},	//1226 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 320, 2254, 2, Smoke::mf_static, 27, 705},	//1227 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 326, 2257, 2, Smoke::mf_static, 74, 706},	//1228 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>)
    {37, 293, 2260, 2, Smoke::mf_static, 31, 707},	//1229 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 265, 969, 2, Smoke::mf_static, 399, 708},	//1230 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 273, 2263, 2, Smoke::mf_static, 190, 709},	//1231 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 282, 819, 2, Smoke::mf_static, 468, 710},	//1232 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 326, 2266, 2, Smoke::mf_static, 53, 711},	//1233 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    {37, 273, 1495, 2, Smoke::mf_static, 464, 712},	//1234 QGlobalSpace::operator*(const QPointF&, double)
    {37, 326, 2269, 2, Smoke::mf_static, 114, 713},	//1235 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {37, 555, 185, 2, Smoke::mf_static, 519, 714},	//1236 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 326, 2272, 2, Smoke::mf_static, 75, 715},	//1237 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>)
    {37, 326, 2275, 2, Smoke::mf_static, 180, 716},	//1238 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, int)
    {37, 326, 2278, 2, Smoke::mf_static, 180, 717},	//1239 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, int)
    {37, 265, 716, 2, Smoke::mf_static, 399, 718},	//1240 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 503, 625, 1, Smoke::mf_static, 519, 719},	//1241 QGlobalSpace::qRound(double)
    {37, 461, 0, 0, Smoke::mf_static, 517, 720},	//1242 QGlobalSpace::qInf()
    {37, 293, 2281, 2, Smoke::mf_static, 27, 721},	//1243 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 273, 819, 2, Smoke::mf_static, 468, 722},	//1244 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 273, 2284, 2, Smoke::mf_static, 227, 723},	//1245 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 293, 2287, 2, Smoke::mf_static, 31, 724},	//1246 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 293, 2290, 2, Smoke::mf_static, 31, 725},	//1247 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 293, 2293, 2, Smoke::mf_static, 27, 726},	//1248 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 326, 2296, 2, Smoke::mf_static, 121, 727},	//1249 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {37, 546, 703, 2, Smoke::mf_static, 519, 728},	//1250 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 326, 2299, 2, Smoke::mf_static, 76, 729},	//1251 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type)
    {37, 326, 2302, 2, Smoke::mf_static, 180, 730},	//1252 QGlobalSpace::operator|(QFileDialog::Options::enum_type, int)
    {37, 497, 1671, 1, Smoke::mf_static, 0, 731},	//1253 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 277, 819, 2, Smoke::mf_static, 468, 732},	//1254 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 320, 2305, 2, Smoke::mf_static, 27, 733},	//1255 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 326, 2308, 2, Smoke::mf_static, 55, 734},	//1256 QGlobalSpace::operator|(QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>)
    {37, 326, 2311, 2, Smoke::mf_static, 180, 735},	//1257 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, int)
    {37, 320, 2314, 2, Smoke::mf_static, 27, 736},	//1258 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 326, 2317, 2, Smoke::mf_static, 56, 737},	//1259 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type)
    {37, 326, 2320, 2, Smoke::mf_static, 180, 738},	//1260 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {37, 326, 2323, 2, Smoke::mf_static, 88, 739},	//1261 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>)
    {37, 293, 2326, 2, Smoke::mf_static, 27, 740},	//1262 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 326, 2329, 2, Smoke::mf_static, 69, 741},	//1263 QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, QGLContext::BindOptions::enum_type)
    {37, 528, 0, 0, Smoke::mf_static, 31, 742},	//1264 QGlobalSpace::qWarning()
    {37, 557, 183, 1, Smoke::mf_static, 528, 743},	//1265 QGlobalSpace::qstrlen(const char*)
    {37, 304, 2251, 2, Smoke::mf_static, 399, 744},	//1266 QGlobalSpace::operator==(QBool, bool)
    {37, 326, 2332, 2, Smoke::mf_static, 68, 745},	//1267 QGlobalSpace::operator|(QGL::FormatOptions::enum_type, QGL::FormatOptions::enum_type)
    {37, 320, 2335, 2, Smoke::mf_static, 27, 746},	//1268 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 320, 2338, 2, Smoke::mf_static, 27, 747},	//1269 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 458, 19, 1, Smoke::mf_static, 528, 748},	//1270 QGlobalSpace::qHash(unsigned long)
    {37, 293, 2341, 2, Smoke::mf_static, 27, 749},	//1271 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 326, 2344, 2, Smoke::mf_static, 180, 750},	//1272 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {37, 293, 2347, 2, Smoke::mf_static, 27, 751},	//1273 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 326, 2350, 2, Smoke::mf_static, 180, 752},	//1274 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {37, 293, 2353, 2, Smoke::mf_static, 27, 753},	//1275 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 304, 944, 2, Smoke::mf_static, 399, 754},	//1276 QGlobalSpace::operator==(const char*, const QString&)
    {37, 277, 2356, 2, Smoke::mf_static, 482, 755},	//1277 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 265, 1099, 2, Smoke::mf_static, 399, 756},	//1278 QGlobalSpace::operator!=(QBool, QBool)
    {37, 326, 2359, 2, Smoke::mf_static, 82, 757},	//1279 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    {37, 326, 2362, 2, Smoke::mf_static, 180, 758},	//1280 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, int)
    {37, 326, 2365, 2, Smoke::mf_static, 106, 759},	//1281 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>)
    {37, 578, 2368, 2, Smoke::mf_static, 0, 760},	//1282 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 326, 2371, 2, Smoke::mf_static, 180, 761},	//1283 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, int)
    {37, 293, 2374, 2, Smoke::mf_static, 31, 762},	//1284 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 273, 2377, 2, Smoke::mf_static, 504, 763},	//1285 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 326, 2380, 2, Smoke::mf_static, 97, 764},	//1286 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    {37, 326, 2383, 2, Smoke::mf_static, 180, 765},	//1287 QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, int)
    {37, 315, 944, 2, Smoke::mf_static, 399, 766},	//1288 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 326, 2386, 2, Smoke::mf_static, 56, 767},	//1289 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>)
    {37, 326, 2389, 2, Smoke::mf_static, 86, 768},	//1290 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type)
    {37, 458, 2392, 1, Smoke::mf_static, 528, 769},	//1291 QGlobalSpace::qHash(const QStringRef&)
    {37, 326, 2394, 2, Smoke::mf_static, 95, 770},	//1292 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    {37, 474, 625, 1, Smoke::mf_static, 399, 771},	//1293 QGlobalSpace::qIsNull(double)
    {37, 326, 2397, 2, Smoke::mf_static, 180, 772},	//1294 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    {37, 326, 2400, 2, Smoke::mf_static, 63, 773},	//1295 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {37, 326, 2403, 2, Smoke::mf_static, 67, 774},	//1296 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type)
    {37, 315, 643, 2, Smoke::mf_static, 399, 775},	//1297 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 310, 703, 2, Smoke::mf_static, 399, 776},	//1298 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 326, 2406, 2, Smoke::mf_static, 122, 777},	//1299 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {37, 458, 2409, 1, Smoke::mf_static, 528, 778},	//1300 QGlobalSpace::qHash(unsigned char)
    {37, 320, 2411, 2, Smoke::mf_static, 27, 779},	//1301 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 273, 2414, 2, Smoke::mf_static, 229, 780},	//1302 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 293, 2417, 2, Smoke::mf_static, 31, 781},	//1303 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 293, 2420, 2, Smoke::mf_static, 31, 782},	//1304 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 326, 2423, 2, Smoke::mf_static, 180, 783},	//1305 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {37, 265, 1056, 2, Smoke::mf_static, 399, 784},	//1306 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 293, 2426, 2, Smoke::mf_static, 27, 785},	//1307 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 320, 2429, 2, Smoke::mf_static, 27, 786},	//1308 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 293, 2432, 2, Smoke::mf_static, 27, 787},	//1309 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 788},	//1310 QGlobalSpace::_IEEE_ (enum)
    {37, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 789},	//1311 QGlobalSpace::_SVID_ (enum)
    {37, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 790},	//1312 QGlobalSpace::_XOPEN_ (enum)
    {37, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 791},	//1313 QGlobalSpace::_POSIX_ (enum)
    {37, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 792},	//1314 QGlobalSpace::_ISOC_ (enum)
    {37, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 793},	//1315 QGlobalSpace::QtDebugMsg (enum)
    {37, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 794},	//1316 QGlobalSpace::QtWarningMsg (enum)
    {37, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 795},	//1317 QGlobalSpace::QtCriticalMsg (enum)
    {37, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 796},	//1318 QGlobalSpace::QtFatalMsg (enum)
    {37, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 797},	//1319 QGlobalSpace::QtSystemMsg (enum)
    {37, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 798},	//1320 QGlobalSpace::__codecvt_ok (enum)
    {37, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 799},	//1321 QGlobalSpace::__codecvt_partial (enum)
    {37, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 800},	//1322 QGlobalSpace::__codecvt_error (enum)
    {37, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 801},	//1323 QGlobalSpace::__codecvt_noconv (enum)
    {61, 199, 564, 1, Smoke::mf_virtual, 399, 0},	//1324 QObject::event(QEvent*)
    {61, 201, 2435, 2, Smoke::mf_virtual, 399, 0},	//1325 QObject::eventFilter(QObject*, QEvent*)
    {61, 751, 2438, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1326 QObject::timerEvent(QTimerEvent*)
    {61, 145, 2440, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1327 QObject::childEvent(QChildEvent*)
    {61, 167, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1328 QObject::customEvent(QEvent*)
    {61, 158, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1329 QObject::connectNotify(const char*)
    {61, 181, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1330 QObject::disconnectNotify(const char*)
    {112, 175, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//1331 QWidget::devType() const
    {112, 728, 65, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1332 QWidget::setVisible(bool)
    {112, 736, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 241, 0},	//1333 QWidget::sizeHint() const
    {112, 258, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 241, 0},	//1334 QWidget::minimumSizeHint() const
    {112, 233, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//1335 QWidget::heightForWidth(int) const
    {112, 261, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1336 QWidget::mousePressEvent(QMouseEvent*)
    {112, 262, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1337 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 259, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1338 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 260, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1339 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 771, 2444, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1340 QWidget::wheelEvent(QWheelEvent*)
    {112, 247, 2446, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1341 QWidget::keyPressEvent(QKeyEvent*)
    {112, 248, 2446, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1342 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 206, 2448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1343 QWidget::focusInEvent(QFocusEvent*)
    {112, 208, 2448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1344 QWidget::focusOutEvent(QFocusEvent*)
    {112, 194, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1345 QWidget::enterEvent(QEvent*)
    {112, 250, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1346 QWidget::leaveEvent(QEvent*)
    {112, 263, 2450, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1347 QWidget::moveEvent(QMoveEvent*)
    {112, 149, 2452, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1348 QWidget::closeEvent(QCloseEvent*)
    {112, 160, 2454, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1349 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 745, 2456, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1350 QWidget::tabletEvent(QTabletEvent*)
    {112, 110, 2458, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1351 QWidget::actionEvent(QActionEvent*)
    {112, 184, 2460, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1352 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 186, 2462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1353 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 185, 2464, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1354 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 190, 2466, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1355 QWidget::dropEvent(QDropEvent*)
    {112, 734, 2468, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1356 QWidget::showEvent(QShowEvent*)
    {112, 234, 2470, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1357 QWidget::hideEvent(QHideEvent*)
    {112, 774, 2472, 1, Smoke::mf_protected|Smoke::mf_virtual, 399, 0},	//1358 QWidget::x11Event(_XEvent*)
    {112, 144, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1359 QWidget::changeEvent(QEvent*)
    {112, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 0},	//1360 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 238, 2474, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1361 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 239, 2476, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//1362 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 207, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 399, 0},	//1363 QWidget::focusNextPrevChild(bool)
    {112, 742, 2478, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1364 QWidget::styleChange(QStyle&)
    {112, 193, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QWidget::enabledChange(bool)
    {112, 337, 2480, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1366 QWidget::paletteChange(const QPalette&)
    {112, 209, 612, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1367 QWidget::fontChange(const QFont&)
    {112, 772, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1368 QWidget::windowActivationChange(bool)
    {112, 249, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1369 QWidget::languageChange()
    {112, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 40},	//1370 QWidget::DrawWindowBackground (enum)
    {112, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 41},	//1371 QWidget::DrawChildren (enum)
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 42},	//1372 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    532,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    612,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    676,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    694,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    779,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    818,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    845,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    857,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    935,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    948,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1001,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1003,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1017,  // QGlobalSpace::operator!=(QChar, QChar)
    1062,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1141,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1172,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1217,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1226,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1230,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1278,  // QGlobalSpace::operator!=(QBool, QBool)
    1306,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    595,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    624,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    649,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1042,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1225,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    771,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    895,  // QGlobalSpace::operator!=(bool, QBool)
    945,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1031,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1199,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1240,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    540,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    571,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    577,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    581,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    623,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    643,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    696,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    750,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    780,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    797,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    817,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    836,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    916,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    924,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    990,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1040,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1065,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1072,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1077,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1132,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1183,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1186,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1197,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1211,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1219,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1231,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1244,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1245,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1302,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    585,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    686,  // QGlobalSpace::operator*(const QTransform&, double)
    793,  // QGlobalSpace::operator*(const QQuaternion&, double)
    941,  // QGlobalSpace::operator*(const QVector4D&, double)
    1000,  // QGlobalSpace::operator*(const QVector2D&, double)
    1006,  // QGlobalSpace::operator*(const QVector3D&, double)
    1068,  // QGlobalSpace::operator*(const QSize&, double)
    1208,  // QGlobalSpace::operator*(const QPoint&, double)
    1214,  // QGlobalSpace::operator*(const QSizeF&, double)
    1234,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    609,  // QGlobalSpace::operator*(double, const QSizeF&)
    902,  // QGlobalSpace::operator*(double, const QVector2D&)
    950,  // QGlobalSpace::operator*(double, const QVector4D&)
    999,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1063,  // QGlobalSpace::operator*(double, const QPointF&)
    1076,  // QGlobalSpace::operator*(double, const QPoint&)
    1126,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1220,  // QGlobalSpace::operator*(double, const QSize&)
    1285,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    565,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    605,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    637,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    661,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    668,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    722,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    796,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    808,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    873,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1254,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    698,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    706,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    749,  // QGlobalSpace::operator+(const QTransform&, double)
    755,  // QGlobalSpace::operator+(QChar, const QString&)
    957,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    547,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    641,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    693,  // QGlobalSpace::operator+(const QString&, QChar)
    1051,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    700,  // QGlobalSpace::operator+(const QString&, const char*)
    777,  // QGlobalSpace::operator+(const QString&, char)
    866,  // QGlobalSpace::operator+(char, const QString&)
    1057,  // QGlobalSpace::operator+(const char*, const QString&)
    1277,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    582,  // QGlobalSpace::operator-(const QMatrix4x4&)
    769,  // QGlobalSpace::operator-(const QQuaternion&)
    799,  // QGlobalSpace::operator-(const QPoint&)
    903,  // QGlobalSpace::operator-(const QVector4D&)
    918,  // QGlobalSpace::operator-(const QPointF&)
    1124,  // QGlobalSpace::operator-(const QVector2D&)
    1165,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    529,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    613,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    642,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    647,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    670,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    781,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    859,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1055,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1232,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    633,  // QGlobalSpace::operator/(const QPoint&, double)
    669,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    825,  // QGlobalSpace::operator/(const QVector4D&, double)
    893,  // QGlobalSpace::operator/(const QVector2D&, double)
    894,  // QGlobalSpace::operator/(const QPointF&, double)
    899,  // QGlobalSpace::operator/(const QVector3D&, double)
    907,  // QGlobalSpace::operator/(const QTransform&, double)
    961,  // QGlobalSpace::operator/(const QSizeF&, double)
    979,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1184,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    590,  // QGlobalSpace::operator<(QChar, QChar)
    671,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    784,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1221,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    600,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    949,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    546,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    554,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    574,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    575,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    580,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    587,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    625,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    639,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    646,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    650,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    653,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    655,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    659,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    688,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    705,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    726,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    727,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    728,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    736,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    751,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    801,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    814,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    820,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    821,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    826,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    833,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    837,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    838,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    848,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    858,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    879,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    880,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    882,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    885,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    912,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    919,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    923,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    931,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    943,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    944,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    956,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    967,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    976,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    986,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    991,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    995,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    996,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    998,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1002,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1005,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1009,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1010,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1011,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1015,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1034,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1047,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1054,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1056,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1070,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1079,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1100,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1104,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1114,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1119,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1125,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1127,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1134,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1137,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1138,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1147,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1153,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1158,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1166,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1201,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1203,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1213,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1229,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1246,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1247,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1248,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1262,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1271,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1273,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1275,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1284,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1304,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1307,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1309,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    596,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    630,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    640,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    764,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    834,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    883,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1022,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlags)
    1222,  // QGlobalSpace::operator<<(QDebug, QStyle::State)
    1243,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1303,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    721,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    746,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    975,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1167,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    973,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1046,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    531,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    544,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    553,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    576,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    579,  // QGlobalSpace::operator==(QChar, QChar)
    611,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    714,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    737,  // QGlobalSpace::operator==(QBool, QBool)
    782,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    798,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    805,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    871,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    896,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    953,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    966,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    968,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1067,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1075,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1095,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1143,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1190,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1218,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    543,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    679,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    869,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1212,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1215,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1266,  // QGlobalSpace::operator==(QBool, bool)
    0,
    536,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    563,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    738,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    920,  // QGlobalSpace::operator==(bool, QBool)
    994,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1053,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1155,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    607,  // QGlobalSpace::operator>(QChar, QChar)
    701,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    716,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    851,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    564,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    675,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    526,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    594,  // QGlobalSpace::operator>=(QChar, QChar)
    962,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1101,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    929,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1297,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    538,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    550,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    591,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    681,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    689,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    735,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    747,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    783,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    854,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    867,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    870,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    886,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    892,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    905,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    914,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    917,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    921,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    925,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    942,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    959,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    977,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    993,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1016,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1028,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1029,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1032,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1050,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1058,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1060,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1102,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1113,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1145,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1157,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1174,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1175,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1180,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1194,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1227,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1255,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1258,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1268,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1269,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1301,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1308,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    978,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1181,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    523,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    542,  // QGlobalSpace::operator|(QAccessible::State::enum_type, int)
    551,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    588,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, int)
    614,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    619,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, int)
    629,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, int)
    638,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, int)
    651,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    652,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    656,  // QGlobalSpace::operator|(QGL::FormatOptions::enum_type, int)
    662,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    664,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, int)
    667,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    678,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, int)
    680,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, int)
    690,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    702,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    717,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, int)
    739,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int)
    756,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    760,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    761,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    763,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    791,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, int)
    792,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, int)
    800,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, int)
    807,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    823,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, int)
    829,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    839,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    849,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, int)
    850,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    855,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, int)
    868,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, int)
    875,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, int)
    884,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    900,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    904,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, int)
    940,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, int)
    954,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, int)
    958,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    960,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    963,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    984,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, int)
    988,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    1007,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    1035,  // QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, int)
    1043,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, int)
    1049,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    1066,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, int)
    1069,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, int)
    1082,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, int)
    1089,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    1103,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, int)
    1121,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    1122,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, int)
    1123,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    1135,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    1160,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, int)
    1164,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    1171,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    1185,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    1192,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    1193,  // QGlobalSpace::operator|(QStyle::State::enum_type, int)
    1198,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    1209,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    1216,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    1238,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, int)
    1239,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, int)
    1252,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, int)
    1257,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, int)
    1260,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    1272,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    1274,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    1280,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, int)
    1283,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, int)
    1287,  // QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, int)
    1294,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    1305,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    524,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type)
    530,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    537,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    539,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    541,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>)
    545,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type)
    558,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>)
    562,  // QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, QFlags<QGLContext::BindOptions::enum_type>)
    567,  // QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    570,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>)
    572,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    573,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    578,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    583,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    592,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    597,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    598,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type)
    599,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type)
    601,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    602,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type)
    604,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    608,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    617,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    618,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    621,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    626,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    627,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>)
    628,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    631,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>)
    632,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>)
    645,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    660,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type)
    663,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>)
    682,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    685,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    692,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>)
    695,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    708,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    711,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    719,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    723,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    724,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    725,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type)
    733,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    740,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    742,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, QFlags<QGLFormat::OpenGLVersionFlags::enum_type>)
    744,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>)
    745,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    754,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type)
    762,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlags::enum_type, QGLFormat::OpenGLVersionFlags::enum_type)
    766,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    770,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type)
    772,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    775,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    778,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type)
    790,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>)
    802,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    815,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    816,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    832,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    840,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>)
    846,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>)
    852,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type)
    856,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFileDialog::Options::enum_type)
    860,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    872,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    874,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    876,  // QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, QFlags<QGLShader::ShaderType::enum_type>)
    881,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>)
    897,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    898,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type)
    908,  // QGlobalSpace::operator|(QGL::FormatOptions::enum_type, QFlags<QGL::FormatOptions::enum_type>)
    910,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    911,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    913,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    927,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>)
    930,  // QGlobalSpace::operator|(QAccessible::State::enum_type, QAccessible::State::enum_type)
    932,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    933,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    938,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type)
    946,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type)
    947,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>)
    951,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    952,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    964,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    965,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>)
    970,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>)
    985,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type)
    987,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, QAccessible::Relation::enum_type)
    1004,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>)
    1013,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    1014,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    1018,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    1020,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>)
    1023,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type)
    1024,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    1025,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    1026,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type)
    1033,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    1036,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    1039,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    1041,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    1048,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type)
    1052,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    1059,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    1061,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    1064,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>)
    1073,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    1080,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type)
    1088,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type)
    1090,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    1091,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    1093,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type)
    1097,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type)
    1099,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>)
    1110,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>)
    1111,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type)
    1112,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    1115,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type)
    1120,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>)
    1133,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    1139,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    1140,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    1144,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>)
    1148,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, QTextOption::Flags::enum_type)
    1154,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    1156,  // QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    1159,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type)
    1163,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>)
    1168,  // QGlobalSpace::operator|(QGLShader::ShaderType::enum_type, QGLShader::ShaderType::enum_type)
    1169,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    1173,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    1176,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    1189,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    1195,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>)
    1200,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    1202,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type)
    1223,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    1224,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>)
    1228,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>)
    1233,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    1235,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    1237,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>)
    1249,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    1251,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type)
    1256,  // QGlobalSpace::operator|(QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>)
    1259,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type)
    1261,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>)
    1263,  // QGlobalSpace::operator|(QGLContext::BindOptions::enum_type, QGLContext::BindOptions::enum_type)
    1267,  // QGlobalSpace::operator|(QGL::FormatOptions::enum_type, QGL::FormatOptions::enum_type)
    1279,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    1281,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>)
    1286,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    1289,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>)
    1290,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type)
    1292,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    1295,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    1296,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type)
    1299,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    0,
    644,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    709,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    773,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    909,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    934,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1071,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1149,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1094,  // QGlobalSpace::qFuzzyCompare(float, float)
    1196,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    789,  // QGlobalSpace::qFuzzyIsNull(float)
    1116,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    584,  // QGlobalSpace::qHash(const QByteArray&)
    683,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    710,  // QGlobalSpace::qHash(QChar)
    732,  // QGlobalSpace::qHash(const QModelIndex&)
    877,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1008,  // QGlobalSpace::qHash(const QBitArray&)
    1291,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    527,  // QGlobalSpace::qHash(unsigned long long)
    561,  // QGlobalSpace::qHash(signed char)
    622,  // QGlobalSpace::qHash(char)
    707,  // QGlobalSpace::qHash(unsigned int)
    720,  // QGlobalSpace::qHash(const QString&)
    768,  // QGlobalSpace::qHash(long long)
    795,  // QGlobalSpace::qHash(int)
    847,  // QGlobalSpace::qHash(long)
    853,  // QGlobalSpace::qHash(unsigned short)
    1086,  // QGlobalSpace::qHash(short)
    1270,  // QGlobalSpace::qHash(unsigned long)
    1300,  // QGlobalSpace::qHash(unsigned char)
    0,
    566,  // QGlobalSpace::qIntCast(double)
    713,  // QGlobalSpace::qIntCast(float)
    0,
    648,  // QGlobalSpace::qIsFinite(double)
    691,  // QGlobalSpace::qIsFinite(float)
    0,
    528,  // QGlobalSpace::qIsInf(double)
    559,  // QGlobalSpace::qIsInf(float)
    0,
    743,  // QGlobalSpace::qIsNaN(float)
    752,  // QGlobalSpace::qIsNaN(double)
    0,
    1187,  // QGlobalSpace::qIsNull(float)
    1293,  // QGlobalSpace::qIsNull(double)
    0,
    259,  // QGLShader::QGLShader(QGLShader::ShaderType, QObject*)
    273,  // QGLShader::QGLShader(QGLShader::ShaderType, const QGLContext*)
    0,
    262,  // QGLShader::compileSourceCode(const char*)
    264,  // QGLShader::compileSourceCode(const QString&)
    0,
    496,  // QGLWidget::QGLWidget(QWidget*)
    498,  // QGLWidget::QGLWidget(QGLContext*)
    501,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    497,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    499,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    502,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    500,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    503,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    444,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, Qt::WindowFlags)
    445,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, Qt::WindowFlags)
    0,
    514,  // QGLWidget::bindTexture(const QImage&)
    516,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    515,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    517,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    471,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    472,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    469,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QGLContext::BindOptions)
    470,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QGLContext::BindOptions)
    0,
    518,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    519,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    475,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    476,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    79,  // QGLContext::bindTexture(const QImage&)
    81,  // QGLContext::bindTexture(const QPixmap&)
    0,
    80,  // QGLContext::bindTexture(const QImage&, unsigned int)
    82,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    54,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    55,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    52,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QGLContext::BindOptions)
    53,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QGLContext::BindOptions)
    0,
    83,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    84,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    58,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    59,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    247,  // QGLPixelBuffer::bindTexture(const QImage&)
    248,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    229,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    230,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    249,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    250,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    233,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    234,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    285,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    424,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    290,  // QGLShaderProgram::addShaderFromSourceCode(QGLShader::ShaderType, const char*)
    292,  // QGLShaderProgram::addShaderFromSourceCode(QGLShader::ShaderType, const QString&)
    0,
    304,  // QGLShaderProgram::attributeLocation(const char*) const
    306,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    301,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    303,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    335,  // QGLShaderProgram::disableAttributeArray(int)
    336,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    333,  // QGLShaderProgram::enableAttributeArray(int)
    334,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    426,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    427,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    428,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    430,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    431,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    432,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    326,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    327,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    328,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    330,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    331,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    332,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    425,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    429,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    325,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    329,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    0,
    311,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    312,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    313,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    314,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    320,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    321,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    322,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    323,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    307,  // QGLShaderProgram::setAttributeValue(int, float)
    316,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    308,  // QGLShaderProgram::setAttributeValue(int, float, float)
    317,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    309,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    315,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    318,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    324,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    310,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    319,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    346,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    347,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    348,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    349,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    350,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    351,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    352,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    353,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    362,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    364,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    371,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    372,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    373,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    374,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    375,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    376,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    377,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    378,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    387,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    389,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    340,  // QGLShaderProgram::setUniformValue(int, float)
    341,  // QGLShaderProgram::setUniformValue(int, int)
    342,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    363,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    365,  // QGLShaderProgram::setUniformValue(const char*, float)
    366,  // QGLShaderProgram::setUniformValue(const char*, int)
    367,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    388,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    343,  // QGLShaderProgram::setUniformValue(int, float, float)
    368,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    344,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    369,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    345,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    370,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    354,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    355,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    356,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    357,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    358,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    359,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    360,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    361,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    379,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    380,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    381,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    382,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    383,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    384,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    385,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    386,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    393,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    394,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    395,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    404,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    408,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    409,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    410,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    419,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    391,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    392,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    406,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    407,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    390,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    405,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    396,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    397,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    398,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    399,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    400,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    401,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    402,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    403,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    411,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    412,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    413,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    414,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    415,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    416,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    417,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    418,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    337,  // QGLShaderProgram::uniformLocation(const char*) const
    339,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    168,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    194,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    169,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    196,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    198,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    199,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    186,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    187,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 1, 6},	// QGL::AccumBuffer
    {27, 2, 5},	// QGL::AlphaChannel
    {27, 4, 14},	// QGL::ColorIndex
    {27, 8, 3},	// QGL::DepthBuffer
    {27, 9, 9},	// QGL::DirectRendering
    {27, 10, 2},	// QGL::DoubleBuffer
    {27, 14, 10},	// QGL::HasOverlay
    {27, 16, 19},	// QGL::IndirectRendering
    {27, 22, 16},	// QGL::NoAccumBuffer
    {27, 23, 15},	// QGL::NoAlphaChannel
    {27, 26, 13},	// QGL::NoDepthBuffer
    {27, 27, 20},	// QGL::NoOverlay
    {27, 28, 21},	// QGL::NoSampleBuffers
    {27, 29, 17},	// QGL::NoStencilBuffer
    {27, 30, 18},	// QGL::NoStereoBuffers
    {27, 93, 4},	// QGL::Rgba
    {27, 94, 11},	// QGL::SampleBuffers
    {27, 95, 12},	// QGL::SingleBuffer
    {27, 96, 7},	// QGL::StencilBuffer
    {27, 97, 8},	// QGL::StereoBuffers
    {27, 693, 1},	// QGL::setPreferredPaintEngine$
    {28, 46, 22},	// QGLColormap::QGLColormap
    {28, 47, 23},	// QGLColormap::QGLColormap#
    {28, 174, 27},	// QGLColormap::detach
    {28, 196, 32},	// QGLColormap::entryColor$
    {28, 198, 31},	// QGLColormap::entryRgb$
    {28, 203, 33},	// QGLColormap::find$
    {28, 205, 34},	// QGLColormap::findNearest$
    {28, 224, 35},	// QGLColormap::handle
    {28, 243, 25},	// QGLColormap::isEmpty
    {28, 303, 24},	// QGLColormap::operator=#
    {28, 669, 37},	// QGLColormap::setEntries$$
    {28, 670, 28},	// QGLColormap::setEntries$$$
    {28, 672, 30},	// QGLColormap::setEntry$#
    {28, 673, 29},	// QGLColormap::setEntry$$
    {28, 679, 36},	// QGLColormap::setHandle$
    {28, 735, 26},	// QGLColormap::size
    {28, 775, 38},	// QGLColormap::~QGLColormap
    {29, 3, 95},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 6, 96},	// QGLContext::DefaultBindOption
    {29, 17, 97},	// QGLContext::InternalBindOption
    {29, 18, 90},	// QGLContext::InvertedYBindOption
    {29, 19, 93},	// QGLContext::LinearFilteringBindOption
    {29, 20, 94},	// QGLContext::MemoryManagedBindOption
    {29, 21, 91},	// QGLContext::MipmapBindOption
    {29, 25, 89},	// QGLContext::NoBindOption
    {29, 45, 92},	// QGLContext::PremultipliedAlphaBindOption
    {29, 49, 40},	// QGLContext::QGLContext#
    {29, 50, 39},	// QGLContext::QGLContext##
    {29, 121, 45},	// QGLContext::areSharing##
    {29, 132, -701},	// QGLContext::bindTexture#
    {29, 133, -704},	// QGLContext::bindTexture#$
    {29, 134, -707},	// QGLContext::bindTexture#$$
    {29, 135, -710},	// QGLContext::bindTexture#$$$
    {29, 136, 56},	// QGLContext::bindTexture$
    {29, 146, 85},	// QGLContext::chooseContext
    {29, 147, 66},	// QGLContext::chooseContext#
    {29, 148, 68},	// QGLContext::chooseVisual
    {29, 151, 75},	// QGLContext::colorIndex#
    {29, 163, 78},	// QGLContext::create
    {29, 164, 41},	// QGLContext::create#
    {29, 165, 65},	// QGLContext::currentContext
    {29, 166, 87},	// QGLContext::currentCtx
    {29, 171, 57},	// QGLContext::deleteTexture$
    {29, 176, 63},	// QGLContext::device
    {29, 177, 69},	// QGLContext::deviceIsPixmap
    {29, 182, 50},	// QGLContext::doneCurrent
    {29, 188, -713},	// QGLContext::drawTexture#$
    {29, 189, -716},	// QGLContext::drawTexture#$$
    {29, 213, 46},	// QGLContext::format
    {29, 216, 74},	// QGLContext::generateFontDisplayLists#$
    {29, 218, 62},	// QGLContext::getProcAddress$
    {29, 237, 72},	// QGLContext::initialized
    {29, 245, 43},	// QGLContext::isSharing
    {29, 246, 42},	// QGLContext::isValid
    {29, 253, 49},	// QGLContext::makeCurrent
    {29, 331, 64},	// QGLContext::overlayTransparentColor
    {29, 610, 47},	// QGLContext::requestedFormat
    {29, 611, 44},	// QGLContext::reset
    {29, 653, 88},	// QGLContext::setCurrentCtx#
    {29, 663, 77},	// QGLContext::setDevice#
    {29, 675, 48},	// QGLContext::setFormat#
    {29, 681, 73},	// QGLContext::setInitialized$
    {29, 711, 60},	// QGLContext::setTextureCacheLimit$
    {29, 727, 76},	// QGLContext::setValid$
    {29, 730, 71},	// QGLContext::setWindowCreated$
    {29, 743, 51},	// QGLContext::swapBuffers
    {29, 749, 61},	// QGLContext::textureCacheLimit
    {29, 762, 86},	// QGLContext::tryVisual#
    {29, 763, 67},	// QGLContext::tryVisual#$
    {29, 773, 70},	// QGLContext::windowCreated
    {29, 776, 98},	// QGLContext::~QGLContext
    {30, 31, 162},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 32, 164},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 33, 161},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 34, 163},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 35, 165},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 36, 154},	// QGLFormat::OpenGL_Version_1_1
    {30, 37, 155},	// QGLFormat::OpenGL_Version_1_2
    {30, 38, 156},	// QGLFormat::OpenGL_Version_1_3
    {30, 39, 157},	// QGLFormat::OpenGL_Version_1_4
    {30, 40, 158},	// QGLFormat::OpenGL_Version_1_5
    {30, 41, 159},	// QGLFormat::OpenGL_Version_2_0
    {30, 42, 160},	// QGLFormat::OpenGL_Version_2_1
    {30, 43, 166},	// QGLFormat::OpenGL_Version_3_0
    {30, 44, 153},	// QGLFormat::OpenGL_Version_None
    {30, 51, 99},	// QGLFormat::QGLFormat
    {30, 52, 101},	// QGLFormat::QGLFormat#
    {30, 53, 152},	// QGLFormat::QGLFormat$
    {30, 54, 100},	// QGLFormat::QGLFormat$$
    {30, 108, 131},	// QGLFormat::accum
    {30, 109, 106},	// QGLFormat::accumBufferSize
    {30, 118, 129},	// QGLFormat::alpha
    {30, 119, 114},	// QGLFormat::alphaBufferSize
    {30, 143, 112},	// QGLFormat::blueBufferSize
    {30, 168, 145},	// QGLFormat::defaultFormat
    {30, 169, 147},	// QGLFormat::defaultOverlayFormat
    {30, 172, 125},	// QGLFormat::depth
    {30, 173, 104},	// QGLFormat::depthBufferSize
    {30, 178, 137},	// QGLFormat::directRendering
    {30, 183, 123},	// QGLFormat::doubleBuffer
    {30, 223, 110},	// QGLFormat::greenBufferSize
    {30, 225, 149},	// QGLFormat::hasOpenGL
    {30, 228, 150},	// QGLFormat::hasOpenGLOverlays
    {30, 232, 139},	// QGLFormat::hasOverlay
    {30, 264, 151},	// QGLFormat::openGLVersionFlags
    {30, 303, 102},	// QGLFormat::operator=#
    {30, 338, 141},	// QGLFormat::plane
    {30, 593, 108},	// QGLFormat::redBufferSize
    {30, 618, 127},	// QGLFormat::rgba
    {30, 619, 118},	// QGLFormat::sampleBuffers
    {30, 620, 120},	// QGLFormat::samples
    {30, 622, 132},	// QGLFormat::setAccum$
    {30, 624, 105},	// QGLFormat::setAccumBufferSize$
    {30, 626, 130},	// QGLFormat::setAlpha$
    {30, 628, 113},	// QGLFormat::setAlphaBufferSize$
    {30, 645, 111},	// QGLFormat::setBlueBufferSize$
    {30, 655, 146},	// QGLFormat::setDefaultFormat#
    {30, 657, 148},	// QGLFormat::setDefaultOverlayFormat#
    {30, 659, 126},	// QGLFormat::setDepth$
    {30, 661, 103},	// QGLFormat::setDepthBufferSize$
    {30, 665, 138},	// QGLFormat::setDirectRendering$
    {30, 667, 124},	// QGLFormat::setDoubleBuffer$
    {30, 677, 109},	// QGLFormat::setGreenBufferSize$
    {30, 687, 143},	// QGLFormat::setOption$
    {30, 689, 140},	// QGLFormat::setOverlay$
    {30, 691, 142},	// QGLFormat::setPlane$
    {30, 695, 107},	// QGLFormat::setRedBufferSize$
    {30, 697, 128},	// QGLFormat::setRgba$
    {30, 699, 117},	// QGLFormat::setSampleBuffers$
    {30, 701, 119},	// QGLFormat::setSamples$
    {30, 703, 134},	// QGLFormat::setStencil$
    {30, 705, 115},	// QGLFormat::setStencilBufferSize$
    {30, 707, 136},	// QGLFormat::setStereo$
    {30, 709, 121},	// QGLFormat::setSwapInterval$
    {30, 739, 133},	// QGLFormat::stencil
    {30, 740, 116},	// QGLFormat::stencilBufferSize
    {30, 741, 135},	// QGLFormat::stereo
    {30, 744, 122},	// QGLFormat::swapInterval
    {30, 747, 144},	// QGLFormat::testOption$
    {30, 777, 167},	// QGLFormat::~QGLFormat
    {31, 5, 203},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 7, 204},	// QGLFramebufferObject::Depth
    {31, 24, 202},	// QGLFramebufferObject::NoAttachment
    {31, 56, 192},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 57, 172},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 58, -885},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 59, 195},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 60, 170},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 61, 193},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 62, 173},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 63, -888},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 64, 197},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 65, 171},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 122, 182},	// QGLFramebufferObject::attachment
    {31, 127, 177},	// QGLFramebufferObject::bind
    {31, 140, 200},	// QGLFramebufferObject::blitFramebuffer####
    {31, 141, 201},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 142, 189},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 175, 191},	// QGLFramebufferObject::devType
    {31, 188, -891},	// QGLFramebufferObject::drawTexture#$
    {31, 189, -894},	// QGLFramebufferObject::drawTexture#$$
    {31, 213, 174},	// QGLFramebufferObject::format
    {31, 224, 184},	// QGLFramebufferObject::handle
    {31, 226, 188},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 227, 185},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 241, 176},	// QGLFramebufferObject::isBound
    {31, 246, 175},	// QGLFramebufferObject::isValid
    {31, 257, 190},	// QGLFramebufferObject::metric$
    {31, 332, 183},	// QGLFramebufferObject::paintEngine
    {31, 594, 178},	// QGLFramebufferObject::release
    {31, 735, 180},	// QGLFramebufferObject::size
    {31, 748, 179},	// QGLFramebufferObject::texture
    {31, 752, 181},	// QGLFramebufferObject::toImage
    {31, 778, 205},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 66, 206},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 67, 207},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 122, 212},	// QGLFramebufferObjectFormat::attachment
    {32, 240, 216},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 266, 218},	// QGLFramebufferObjectFormat::operator!=#
    {32, 303, 208},	// QGLFramebufferObjectFormat::operator=#
    {32, 305, 217},	// QGLFramebufferObjectFormat::operator==#
    {32, 620, 210},	// QGLFramebufferObjectFormat::samples
    {32, 630, 211},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 683, 215},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 701, 209},	// QGLFramebufferObjectFormat::setSamples$
    {32, 713, 213},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 750, 214},	// QGLFramebufferObjectFormat::textureTarget
    {32, 779, 219},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 69, 243},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 70, 244},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 71, 220},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 72, 245},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 73, 246},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 74, 221},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 132, -719},	// QGLPixelBuffer::bindTexture#
    {33, 133, -722},	// QGLPixelBuffer::bindTexture#$
    {33, 136, 231},	// QGLPixelBuffer::bindTexture$
    {33, 138, 226},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 171, 232},	// QGLPixelBuffer::deleteTexture$
    {33, 175, 242},	// QGLPixelBuffer::devType
    {33, 182, 224},	// QGLPixelBuffer::doneCurrent
    {33, 188, -725},	// QGLPixelBuffer::drawTexture#$
    {33, 189, -728},	// QGLPixelBuffer::drawTexture#$$
    {33, 213, 239},	// QGLPixelBuffer::format
    {33, 214, 225},	// QGLPixelBuffer::generateDynamicTexture
    {33, 224, 236},	// QGLPixelBuffer::handle
    {33, 229, 240},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 246, 222},	// QGLPixelBuffer::isValid
    {33, 253, 223},	// QGLPixelBuffer::makeCurrent
    {33, 257, 241},	// QGLPixelBuffer::metric$
    {33, 332, 238},	// QGLPixelBuffer::paintEngine
    {33, 595, 227},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 735, 235},	// QGLPixelBuffer::size
    {33, 752, 237},	// QGLPixelBuffer::toImage
    {33, 768, 228},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 780, 251},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 13, 276},	// QGLShader::Fragment
    {34, 76, 272},	// QGLShader::QGLShader$
    {34, 77, -663},	// QGLShader::QGLShader$#
    {34, 78, 260},	// QGLShader::QGLShader$##
    {34, 98, 275},	// QGLShader::Vertex
    {34, 154, 263},	// QGLShader::compileSourceCode#
    {34, 155, -666},	// QGLShader::compileSourceCode$
    {34, 157, 265},	// QGLShader::compileSourceFile$
    {34, 242, 267},	// QGLShader::isCompiled
    {34, 252, 268},	// QGLShader::log
    {34, 255, 252},	// QGLShader::metaObject
    {34, 581, 258},	// QGLShader::qt_metacall$$?
    {34, 583, 253},	// QGLShader::qt_metacast$
    {34, 731, 269},	// QGLShader::shaderId
    {34, 732, 261},	// QGLShader::shaderType
    {34, 737, 266},	// QGLShader::sourceCode
    {34, 738, 274},	// QGLShader::staticMetaObject
    {34, 754, 270},	// QGLShader::tr$
    {34, 755, 254},	// QGLShader::tr$$
    {34, 756, 256},	// QGLShader::tr$$$
    {34, 758, 271},	// QGLShader::trUtf8$
    {34, 759, 255},	// QGLShader::trUtf8$$
    {34, 760, 257},	// QGLShader::trUtf8$$$
    {34, 781, 277},	// QGLShader::~QGLShader
    {35, 79, 423},	// QGLShaderProgram::QGLShaderProgram
    {35, 80, -731},	// QGLShaderProgram::QGLShaderProgram#
    {35, 81, 286},	// QGLShaderProgram::QGLShaderProgram##
    {35, 112, 287},	// QGLShaderProgram::addShader#
    {35, 114, 291},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 115, -734},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 117, 293},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 124, 305},	// QGLShaderProgram::attributeLocation#
    {35, 125, -737},	// QGLShaderProgram::attributeLocation$
    {35, 127, 298},	// QGLShaderProgram::bind
    {35, 129, 302},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 130, -740},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 180, -743},	// QGLShaderProgram::disableAttributeArray$
    {35, 192, -746},	// QGLShaderProgram::enableAttributeArray$
    {35, 230, 433},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 231, 420},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 244, 296},	// QGLShaderProgram::isLinked
    {35, 251, 295},	// QGLShaderProgram::link
    {35, 252, 297},	// QGLShaderProgram::log
    {35, 255, 278},	// QGLShaderProgram::metaObject
    {35, 339, 300},	// QGLShaderProgram::programId
    {35, 581, 284},	// QGLShaderProgram::qt_metacall$$?
    {35, 583, 279},	// QGLShaderProgram::qt_metacast$
    {35, 594, 299},	// QGLShaderProgram::release
    {35, 596, 294},	// QGLShaderProgram::removeAllShaders
    {35, 598, 288},	// QGLShaderProgram::removeShader#
    {35, 632, -749},	// QGLShaderProgram::setAttributeArray$#
    {35, 633, -756},	// QGLShaderProgram::setAttributeArray$#$
    {35, 634, -763},	// QGLShaderProgram::setAttributeArray$$$
    {35, 635, -766},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 637, -769},	// QGLShaderProgram::setAttributeValue$#
    {35, 638, -778},	// QGLShaderProgram::setAttributeValue$$
    {35, 639, -781},	// QGLShaderProgram::setAttributeValue$$$
    {35, 640, -784},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 641, -789},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 715, -792},	// QGLShaderProgram::setUniformValue$#
    {35, 716, -813},	// QGLShaderProgram::setUniformValue$$
    {35, 717, -822},	// QGLShaderProgram::setUniformValue$$$
    {35, 718, -825},	// QGLShaderProgram::setUniformValue$$$$
    {35, 719, -828},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 720, -831},	// QGLShaderProgram::setUniformValue$?
    {35, 722, -848},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 723, -857},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 724, -862},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 725, -865},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 733, 289},	// QGLShaderProgram::shaders
    {35, 738, 434},	// QGLShaderProgram::staticMetaObject
    {35, 754, 421},	// QGLShaderProgram::tr$
    {35, 755, 280},	// QGLShaderProgram::tr$$
    {35, 756, 282},	// QGLShaderProgram::tr$$$
    {35, 758, 422},	// QGLShaderProgram::trUtf8$
    {35, 759, 281},	// QGLShaderProgram::trUtf8$$
    {35, 760, 283},	// QGLShaderProgram::trUtf8$$$
    {35, 765, 338},	// QGLShaderProgram::uniformLocation#
    {35, 766, -882},	// QGLShaderProgram::uniformLocation$
    {35, 782, 435},	// QGLShaderProgram::~QGLShaderProgram
    {36, 82, 495},	// QGLWidget::QGLWidget
    {36, 83, -669},	// QGLWidget::QGLWidget#
    {36, 84, -673},	// QGLWidget::QGLWidget##
    {36, 85, -677},	// QGLWidget::QGLWidget###
    {36, 86, -680},	// QGLWidget::QGLWidget###$
    {36, 87, 443},	// QGLWidget::QGLWidget##$
    {36, 126, 487},	// QGLWidget::autoBufferSwap
    {36, 132, -683},	// QGLWidget::bindTexture#
    {36, 133, -686},	// QGLWidget::bindTexture#$
    {36, 134, -689},	// QGLWidget::bindTexture#$$
    {36, 135, -692},	// QGLWidget::bindTexture#$$$
    {36, 136, 473},	// QGLWidget::bindTexture$
    {36, 152, 464},	// QGLWidget::colormap
    {36, 159, 456},	// QGLWidget::context
    {36, 162, 462},	// QGLWidget::convertToGLFormat#
    {36, 171, 474},	// QGLWidget::deleteTexture$
    {36, 182, 451},	// QGLWidget::doneCurrent
    {36, 183, 452},	// QGLWidget::doubleBuffer
    {36, 188, -695},	// QGLWidget::drawTexture#$
    {36, 189, -698},	// QGLWidget::drawTexture#$$
    {36, 200, 479},	// QGLWidget::event#
    {36, 211, 520},	// QGLWidget::fontDisplayListBase#
    {36, 212, 492},	// QGLWidget::fontDisplayListBase#$
    {36, 213, 454},	// QGLWidget::format
    {36, 219, 491},	// QGLWidget::glDraw
    {36, 220, 490},	// QGLWidget::glInit
    {36, 221, 509},	// QGLWidget::grabFrameBuffer
    {36, 222, 459},	// QGLWidget::grabFrameBuffer$
    {36, 235, 480},	// QGLWidget::initializeGL
    {36, 236, 483},	// QGLWidget::initializeOverlayGL
    {36, 245, 449},	// QGLWidget::isSharing
    {36, 246, 448},	// QGLWidget::isValid
    {36, 253, 450},	// QGLWidget::makeCurrent
    {36, 254, 460},	// QGLWidget::makeOverlayCurrent
    {36, 255, 436},	// QGLWidget::metaObject
    {36, 330, 461},	// QGLWidget::overlayContext
    {36, 332, 468},	// QGLWidget::paintEngine
    {36, 334, 488},	// QGLWidget::paintEvent#
    {36, 335, 482},	// QGLWidget::paintGL
    {36, 336, 485},	// QGLWidget::paintOverlayGL
    {36, 536, 447},	// QGLWidget::qglClearColor#
    {36, 538, 446},	// QGLWidget::qglColor#
    {36, 581, 442},	// QGLWidget::qt_metacall$$?
    {36, 583, 437},	// QGLWidget::qt_metacast$
    {36, 599, 506},	// QGLWidget::renderPixmap
    {36, 600, 507},	// QGLWidget::renderPixmap$
    {36, 601, 508},	// QGLWidget::renderPixmap$$
    {36, 602, 458},	// QGLWidget::renderPixmap$$$
    {36, 604, 510},	// QGLWidget::renderText$$$
    {36, 605, 511},	// QGLWidget::renderText$$$#
    {36, 606, 466},	// QGLWidget::renderText$$$#$
    {36, 607, 512},	// QGLWidget::renderText$$$$
    {36, 608, 513},	// QGLWidget::renderText$$$$#
    {36, 609, 467},	// QGLWidget::renderText$$$$#$
    {36, 613, 489},	// QGLWidget::resizeEvent#
    {36, 615, 481},	// QGLWidget::resizeGL$$
    {36, 617, 484},	// QGLWidget::resizeOverlayGL$$
    {36, 643, 486},	// QGLWidget::setAutoBufferSwap$
    {36, 647, 465},	// QGLWidget::setColormap#
    {36, 649, 504},	// QGLWidget::setContext#
    {36, 650, 505},	// QGLWidget::setContext##
    {36, 651, 457},	// QGLWidget::setContext##$
    {36, 675, 455},	// QGLWidget::setFormat#
    {36, 685, 463},	// QGLWidget::setMouseTracking$
    {36, 738, 521},	// QGLWidget::staticMetaObject
    {36, 743, 453},	// QGLWidget::swapBuffers
    {36, 754, 493},	// QGLWidget::tr$
    {36, 755, 438},	// QGLWidget::tr$$
    {36, 756, 440},	// QGLWidget::tr$$$
    {36, 758, 494},	// QGLWidget::trUtf8$
    {36, 759, 439},	// QGLWidget::trUtf8$$
    {36, 760, 441},	// QGLWidget::trUtf8$$$
    {36, 769, 477},	// QGLWidget::updateGL
    {36, 770, 478},	// QGLWidget::updateOverlayGL
    {36, 783, 522},	// QGLWidget::~QGLWidget
    {37, 88, 1317},	// QGlobalSpace::QtCriticalMsg
    {37, 89, 1315},	// QGlobalSpace::QtDebugMsg
    {37, 90, 1318},	// QGlobalSpace::QtFatalMsg
    {37, 91, 1319},	// QGlobalSpace::QtSystemMsg
    {37, 92, 1316},	// QGlobalSpace::QtWarningMsg
    {37, 99, 1310},	// QGlobalSpace::_IEEE_
    {37, 100, 1314},	// QGlobalSpace::_ISOC_
    {37, 101, 1313},	// QGlobalSpace::_POSIX_
    {37, 102, 1311},	// QGlobalSpace::_SVID_
    {37, 103, 1312},	// QGlobalSpace::_XOPEN_
    {37, 104, 1322},	// QGlobalSpace::__codecvt_error
    {37, 105, 1323},	// QGlobalSpace::__codecvt_noconv
    {37, 106, 1320},	// QGlobalSpace::__codecvt_ok
    {37, 107, 1321},	// QGlobalSpace::__codecvt_partial
    {37, 267, -1},	// QGlobalSpace::operator!=##
    {37, 268, -23},	// QGlobalSpace::operator!=#$
    {37, 269, -29},	// QGlobalSpace::operator!=$#
    {37, 270, 741},	// QGlobalSpace::operator!=$$
    {37, 272, 928},	// QGlobalSpace::operator&##
    {37, 274, -36},	// QGlobalSpace::operator*##
    {37, 275, -66},	// QGlobalSpace::operator*#$
    {37, 276, -77},	// QGlobalSpace::operator*$#
    {37, 278, -87},	// QGlobalSpace::operator+##
    {37, 279, -98},	// QGlobalSpace::operator+#$
    {37, 280, -104},	// QGlobalSpace::operator+$#
    {37, 281, -109},	// QGlobalSpace::operator+$$
    {37, 283, -115},	// QGlobalSpace::operator-#
    {37, 284, -123},	// QGlobalSpace::operator-##
    {37, 285, 620},	// QGlobalSpace::operator-#$
    {37, 287, -133},	// QGlobalSpace::operator/#$
    {37, 289, -144},	// QGlobalSpace::operator<##
    {37, 290, 997},	// QGlobalSpace::operator<#$
    {37, 291, -149},	// QGlobalSpace::operator<$#
    {37, 292, 657},	// QGlobalSpace::operator<$$
    {37, 294, -152},	// QGlobalSpace::operator<<##
    {37, 295, -244},	// QGlobalSpace::operator<<#$
    {37, 296, 955},	// QGlobalSpace::operator<<#?
    {37, 298, -255},	// QGlobalSpace::operator<=##
    {37, 299, 712},	// QGlobalSpace::operator<=#$
    {37, 300, -260},	// QGlobalSpace::operator<=$#
    {37, 301, 1030},	// QGlobalSpace::operator<=$$
    {37, 306, -263},	// QGlobalSpace::operator==##
    {37, 307, -286},	// QGlobalSpace::operator==#$
    {37, 308, -293},	// QGlobalSpace::operator==$#
    {37, 309, 1276},	// QGlobalSpace::operator==$$
    {37, 311, -301},	// QGlobalSpace::operator>##
    {37, 312, 1298},	// QGlobalSpace::operator>#$
    {37, 313, -306},	// QGlobalSpace::operator>$#
    {37, 314, 878},	// QGlobalSpace::operator>$$
    {37, 316, -309},	// QGlobalSpace::operator>=##
    {37, 317, 557},	// QGlobalSpace::operator>=#$
    {37, 318, -314},	// QGlobalSpace::operator>=$#
    {37, 319, 1288},	// QGlobalSpace::operator>=$$
    {37, 321, -317},	// QGlobalSpace::operator>>##
    {37, 322, -368},	// QGlobalSpace::operator>>#$
    {37, 323, 830},	// QGlobalSpace::operator>>#?
    {37, 325, 715},	// QGlobalSpace::operator^##
    {37, 327, 1146},	// QGlobalSpace::operator|##
    {37, 328, -371},	// QGlobalSpace::operator|?$
    {37, 329, -452},	// QGlobalSpace::operator|??
    {37, 340, 915},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 341, 615},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 342, 1027},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 343, 785},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 344, 699},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 345, 525},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 347, 1098},	// QGlobalSpace::qAcos$
    {37, 349, 969},	// QGlobalSpace::qAddPostRoutine$
    {37, 351, 654},	// QGlobalSpace::qAlpha$
    {37, 352, 980},	// QGlobalSpace::qAppName
    {37, 354, 1136},	// QGlobalSpace::qAsin$
    {37, 356, 1191},	// QGlobalSpace::qAtan$
    {37, 358, 555},	// QGlobalSpace::qAtan2$$
    {37, 360, 835},	// QGlobalSpace::qBlue$
    {37, 362, 1012},	// QGlobalSpace::qCeil$
    {37, 364, 822},	// QGlobalSpace::qChecksum$$
    {37, 366, 1118},	// QGlobalSpace::qCompress#
    {37, 367, 1117},	// QGlobalSpace::qCompress#$
    {37, 368, 972},	// QGlobalSpace::qCompress$$
    {37, 369, 971},	// QGlobalSpace::qCompress$$$
    {37, 371, 606},	// QGlobalSpace::qCos$
    {37, 372, 939},	// QGlobalSpace::qCritical
    {37, 373, 1037},	// QGlobalSpace::qDebug
    {37, 375, 824},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 376, 758},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 377, 759},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 378, 757},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 380, 983},	// QGlobalSpace::qDrawPixmaps##$#
    {37, 381, 982},	// QGlobalSpace::qDrawPixmaps##$#$
    {37, 383, 1178},	// QGlobalSpace::qDrawPlainRect###
    {37, 384, 1179},	// QGlobalSpace::qDrawPlainRect###$
    {37, 385, 1177},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 386, 787},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 387, 788},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 388, 786},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 390, 1205},	// QGlobalSpace::qDrawShadeLine####
    {37, 391, 1206},	// QGlobalSpace::qDrawShadeLine####$
    {37, 392, 1207},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 393, 1204},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 394, 1129},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 395, 1130},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 396, 1131},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 397, 1128},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 399, 862},	// QGlobalSpace::qDrawShadePanel###
    {37, 400, 863},	// QGlobalSpace::qDrawShadePanel###$
    {37, 401, 864},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 402, 861},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 403, 889},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 404, 890},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 405, 891},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 406, 888},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 408, 810},	// QGlobalSpace::qDrawShadeRect###
    {37, 409, 811},	// QGlobalSpace::qDrawShadeRect###$
    {37, 410, 812},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 411, 813},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 412, 809},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 413, 1106},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 414, 1107},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 415, 1108},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 416, 1109},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 417, 1105},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 419, 842},	// QGlobalSpace::qDrawWinButton###
    {37, 420, 843},	// QGlobalSpace::qDrawWinButton###$
    {37, 421, 841},	// QGlobalSpace::qDrawWinButton###$#
    {37, 422, 1151},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 423, 1152},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 424, 1150},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 426, 1084},	// QGlobalSpace::qDrawWinPanel###
    {37, 427, 1085},	// QGlobalSpace::qDrawWinPanel###$
    {37, 428, 1083},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 429, 635},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 430, 636},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 431, 634},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 433, 803},	// QGlobalSpace::qExp$
    {37, 435, 1087},	// QGlobalSpace::qFabs$
    {37, 437, 734},	// QGlobalSpace::qFastCos$
    {37, 439, 974},	// QGlobalSpace::qFastSin$
    {37, 441, 748},	// QGlobalSpace::qFlagLocation$
    {37, 443, 687},	// QGlobalSpace::qFloor$
    {37, 445, 989},	// QGlobalSpace::qFree$
    {37, 447, 992},	// QGlobalSpace::qFreeAligned$
    {37, 449, -613},	// QGlobalSpace::qFuzzyCompare##
    {37, 450, -621},	// QGlobalSpace::qFuzzyCompare$$
    {37, 452, -624},	// QGlobalSpace::qFuzzyIsNull$
    {37, 454, 753},	// QGlobalSpace::qGray$
    {37, 455, 658},	// QGlobalSpace::qGray$$$
    {37, 457, 1044},	// QGlobalSpace::qGreen$
    {37, 459, -627},	// QGlobalSpace::qHash#
    {37, 460, -635},	// QGlobalSpace::qHash$
    {37, 461, 1242},	// QGlobalSpace::qInf
    {37, 463, 730},	// QGlobalSpace::qInstallMsgHandler$
    {37, 465, -648},	// QGlobalSpace::qIntCast$
    {37, 467, -651},	// QGlobalSpace::qIsFinite$
    {37, 469, 1170},	// QGlobalSpace::qIsGray$
    {37, 471, -654},	// QGlobalSpace::qIsInf$
    {37, 473, -657},	// QGlobalSpace::qIsNaN$
    {37, 475, -660},	// QGlobalSpace::qIsNull$
    {37, 477, 806},	// QGlobalSpace::qLn$
    {37, 479, 827},	// QGlobalSpace::qMalloc?
    {37, 481, 1038},	// QGlobalSpace::qMallocAligned??
    {37, 483, 534},	// QGlobalSpace::qMemCopy$$?
    {37, 485, 1078},	// QGlobalSpace::qMemSet$$?
    {37, 487, 1045},	// QGlobalSpace::qPow$$
    {37, 488, 828},	// QGlobalSpace::qQNaN
    {37, 490, 718},	// QGlobalSpace::qRealloc$?
    {37, 492, 703},	// QGlobalSpace::qReallocAligned$???
    {37, 494, 684},	// QGlobalSpace::qRed$
    {37, 496, 819},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 498, 1253},	// QGlobalSpace::qRemovePostRoutine$
    {37, 500, 776},	// QGlobalSpace::qRgb$$$
    {37, 502, 937},	// QGlobalSpace::qRgba$$$$
    {37, 504, 1241},	// QGlobalSpace::qRound$
    {37, 506, 729},	// QGlobalSpace::qRound64$
    {37, 507, 1210},	// QGlobalSpace::qSNaN
    {37, 509, 677},	// QGlobalSpace::qSetFieldWidth$
    {37, 511, 568},	// QGlobalSpace::qSetPadChar#
    {37, 513, 804},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 514, 610},	// QGlobalSpace::qSharedBuild
    {37, 516, 1142},	// QGlobalSpace::qSin$
    {37, 518, 731},	// QGlobalSpace::qSqrt$
    {37, 520, 1019},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 521, 549},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 523, 674},	// QGlobalSpace::qTan$
    {37, 525, 906},	// QGlobalSpace::qUncompress#
    {37, 526, 672},	// QGlobalSpace::qUncompress$$
    {37, 527, 981},	// QGlobalSpace::qVersion
    {37, 528, 1264},	// QGlobalSpace::qWarning
    {37, 530, 697},	// QGlobalSpace::qbswap_helper$$$
    {37, 532, 1096},	// QGlobalSpace::qgcvt$$$
    {37, 534, 560},	// QGlobalSpace::qgetenv$
    {37, 540, 831},	// QGlobalSpace::qputenv$#
    {37, 541, 922},	// QGlobalSpace::qrand
    {37, 543, 936},	// QGlobalSpace::qsort$???
    {37, 545, 844},	// QGlobalSpace::qsrand$
    {37, 547, 1092},	// QGlobalSpace::qstrcmp##
    {37, 548, 1250},	// QGlobalSpace::qstrcmp#$
    {37, 549, 552},	// QGlobalSpace::qstrcmp$#
    {37, 550, 603},	// QGlobalSpace::qstrcmp$$
    {37, 552, 794},	// QGlobalSpace::qstrcpy$$
    {37, 554, 1021},	// QGlobalSpace::qstrdup$
    {37, 556, 1236},	// QGlobalSpace::qstricmp$$
    {37, 558, 1265},	// QGlobalSpace::qstrlen$
    {37, 560, 673},	// QGlobalSpace::qstrncmp$$$
    {37, 562, 901},	// QGlobalSpace::qstrncpy$$$
    {37, 564, 865},	// QGlobalSpace::qstrnicmp$$$
    {37, 566, 533},	// QGlobalSpace::qstrnlen$$
    {37, 568, 1162},	// QGlobalSpace::qtTrId$
    {37, 569, 1161},	// QGlobalSpace::qtTrId$$
    {37, 571, 767},	// QGlobalSpace::qt_assert$$$
    {37, 573, 926},	// QGlobalSpace::qt_assert_x$$$$
    {37, 575, 1081},	// QGlobalSpace::qt_check_pointer$$
    {37, 576, 666},	// QGlobalSpace::qt_error_string
    {37, 577, 665},	// QGlobalSpace::qt_error_string$
    {37, 579, 1282},	// QGlobalSpace::qt_message_output$$
    {37, 584, 535},	// QGlobalSpace::qt_noop
    {37, 586, 887},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 588, 1188},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 590, 1182},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 592, 1074},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1373,
        __smokeqtopengl::methodMaps, 612,
        __smokeqtopengl::methodNames, 783,
        __smokeqtopengl::types, 538,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
