#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, 0, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//14
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QFlags<QSql::ParamType::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//53
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//55
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//56
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//58
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//59
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//65
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//68
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//70
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//71
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//72
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//73
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//74
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//75
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSql::ParamType", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QSql::ParamType::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//82
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//83
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//92
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//93
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//96
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//97
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//100
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//101
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//103
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//104
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//109
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//111
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//120
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//121
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//124
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//125
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//127
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//130
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//131
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//133
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//135
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//136
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//137
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//139
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//140
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//141
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//184
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//185
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//189
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//193
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//200
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//218
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//225
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//233
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//234
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//235
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//236
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//237
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//240
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//256
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//257
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//259
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//261
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//263
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//269
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//271
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//293
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//296
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//298
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//299
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//300
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//301
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//302
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//303
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//304
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//305
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//306
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//307
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//308
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//310
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//311
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//312
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//313
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//318
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    258, 292, 300, 0,	//1  const QModelIndex&, const QVariant&, int
    258, 0,	//5  const QModelIndex&
    258, 253, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    251, 0,	//10  const QList<QModelIndex>&
    300, 300, 258, 0,	//12  int, int, const QModelIndex&
    300, 208, 0,	//16  int, Qt::SortOrder
    258, 300, 292, 300, 193, 0,	//19  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    257, 164, 300, 300, 258, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    239, 239, 0,	//31  const QBitArray&, const QBitArray&
    260, 0,	//34  const QPersistentModelIndex&
    295, 295, 300, 0,	//36  const char*, const char*, int
    1, 21, 0,	//40  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    262, 298, 0,	//43  const QPoint&, double
    298, 0,	//46  double
    298, 264, 0,	//48  double, const QPointF&
    254, 254, 0,	//51  const QMargins&, const QMargins&
    298, 272, 0,	//54  double, const QSizeF&
    13, 260, 0,	//57  QDebug, const QPersistentModelIndex&
    238, 295, 0,	//60  char*, const char*
    218, 218, 0,	//63  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    265, 265, 0,	//66  const QRect&, const QRect&
    270, 270, 0,	//69  const QSize&, const QSize&
    13, 262, 0,	//72  QDebug, const QPoint&
    307, 0,	//75  unsigned char
    79, 79, 0,	//77  QSql::ParamType::enum_type, QSql::ParamType::enum_type
    166, 37, 0,	//80  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    122, 300, 0,	//83  QString::SectionFlags::enum_type, int
    134, 300, 0,	//86  QUrl::FormattingOptions::enum_type, int
    10, 249, 0,	//89  QDataStream&, const QLine&
    272, 298, 0,	//92  const QSizeF&, double
    295, 248, 0,	//95  const char*, const QLatin1String&
    272, 272, 0,	//98  const QSizeF&, const QSizeF&
    241, 241, 0,	//101  const QByteArray&, const QByteArray&
    248, 288, 0,	//104  const QLatin1String&, const QStringRef&
    13, 293, 0,	//107  QDebug, const QVariant::Type
    292, 294, 0,	//110  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//113  QBool, QBool
    288, 0,	//116  const QStringRef&
    121, 121, 0,	//118  QString::Null, QString::Null
    10, 266, 0,	//121  QDataStream&, const QRectF&
    10, 59, 0,	//124  QDataStream&, QLocale&
    7, 285, 0,	//127  QChar, const QString&
    54, 28, 0,	//130  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    13, 289, 0,	//133  QDebug, const QTime&
    10, 241, 0,	//136  QDataStream&, const QByteArray&
    13, 243, 0,	//139  QDebug, const QDate&
    239, 0,	//142  const QBitArray&
    296, 308, 300, 0,	//144  const unsigned char*, unsigned char*, int
    225, 300, 0,	//148  Qt::WindowFlags::enum_type, int
    13, 51, 0,	//151  QDebug, QIODevice::OpenMode
    292, 138, 316, 0,	//154  const QVariant&, QVariant::Type, void*
    285, 0,	//158  const QString&
    177, 177, 0,	//160  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    312, 0,	//163  unsigned short
    67, 0,	//165  QObject*(*)()
    301, 0,	//167  long
    303, 0,	//169  long long
    10, 286, 0,	//171  QDataStream&, const QStringList&
    309, 0,	//174  unsigned int
    299, 0,	//176  float
    189, 189, 0,	//178  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    10, 267, 0,	//181  QDataStream&, const QRegExp&
    241, 295, 0,	//184  const QByteArray&, const char*
    13, 272, 0,	//187  QDebug, const QSizeF&
    20, 26, 0,	//190  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    54, 300, 0,	//193  QLibrary::LoadHints::enum_type, int
    221, 221, 0,	//196  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    16, 23, 0,	//199  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    15, 300, 0,	//202  QDir::Filters::enum_type, int
    126, 126, 0,	//205  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    10, 69, 0,	//208  QDataStream&, QPointF&
    285, 295, 0,	//211  const QString&, const char*
    13, 246, 0,	//214  QDebug, const QEasingCurve&
    194, 194, 0,	//217  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    10, 11, 0,	//220  QDataStream&, QDate&
    200, 200, 0,	//223  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    237, 241, 0,	//226  char, const QByteArray&
    177, 39, 0,	//229  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    295, 285, 0,	//232  const char*, const QString&
    295, 241, 0,	//235  const char*, const QByteArray&
    10, 135, 0,	//238  QDataStream&, QUuid&
    298, 298, 0,	//241  double, double
    172, 300, 0,	//244  Qt::GestureFlags::enum_type, int
    10, 6, 0,	//247  QDataStream&, QByteArray&
    10, 137, 0,	//250  QDataStream&, QVariant&
    10, 72, 0,	//253  QDataStream&, QRegExp&
    264, 264, 0,	//256  const QPointF&, const QPointF&
    213, 300, 0,	//259  Qt::TextInteractionFlags::enum_type, int
    185, 185, 0,	//262  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    288, 288, 0,	//265  const QStringRef&, const QStringRef&
    194, 43, 0,	//268  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    13, 250, 0,	//271  QDebug, const QLineF&
    7, 7, 0,	//274  QChar, QChar
    295, 295, 309, 0,	//277  const char*, const char*, unsigned int
    241, 0,	//281  const QByteArray&
    129, 300, 0,	//283  QTextStream::NumberFlags::enum_type, int
    134, 34, 0,	//286  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    295, 300, 0,	//289  const char*, int
    200, 300, 0,	//292  Qt::Orientations::enum_type, int
    10, 3, 0,	//295  QDataStream&, QBitArray&
    264, 298, 0,	//298  const QPointF&, double
    7, 0,	//301  QChar
    60, 300, 0,	//303  QLocale::NumberOptions::enum_type, int
    180, 300, 0,	//306  Qt::InputMethodHints::enum_type, int
    315, 0,	//309  void(*)(QtMsgType,const char*)
    10, 243, 0,	//311  QDataStream&, const QDate&
    259, 285, 255, 0,	//314  const QObject*, const QString&, const QMetaObject&
    213, 213, 0,	//318  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    197, 197, 0,	//321  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    316, 0,	//324  void*
    285, 121, 0,	//326  const QString&, QString::Null
    13, 278, 0,	//329  QDebug, const QSqlField&
    10, 75, 0,	//332  QDataStream&, QSizeF&
    288, 295, 0,	//335  const QStringRef&, const char*
    126, 300, 0,	//338  QTextCodec::ConversionFlags::enum_type, int
    264, 0,	//341  const QPointF&
    316, 306, 306, 306, 0,	//343  void*, size_t, size_t, size_t
    311, 0,	//348  unsigned long long
    241, 285, 0,	//350  const QByteArray&, const QString&
    13, 270, 0,	//353  QDebug, const QSize&
    285, 237, 0,	//356  const QString&, char
    79, 300, 0,	//359  QSql::ParamType::enum_type, int
    52, 52, 0,	//362  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    1, 1, 0,	//365  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    10, 290, 0,	//368  QDataStream&, const QUrl&
    194, 300, 0,	//371  Qt::MatchFlags::enum_type, int
    316, 300, 306, 0,	//374  void*, int, size_t
    126, 32, 0,	//378  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    221, 300, 0,	//381  Qt::TouchPointStates::enum_type, int
    10, 292, 0,	//384  QDataStream&, const QVariant&
    10, 55, 0,	//387  QDataStream&, QLine&
    15, 15, 0,	//390  QDir::Filters::enum_type, QDir::Filters::enum_type
    241, 300, 0,	//393  const QByteArray&, int
    314, 0,	//396  void(*)()
    19, 19, 0,	//398  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    262, 262, 0,	//401  const QPoint&, const QPoint&
    288, 285, 0,	//404  const QStringRef&, const QString&
    248, 248, 0,	//407  const QLatin1String&, const QLatin1String&
    17, 300, 0,	//410  QDirIterator::IteratorFlags::enum_type, int
    247, 247, 0,	//413  const QHashDummyValue&, const QHashDummyValue&
    295, 309, 0,	//416  const char*, unsigned int
    13, 254, 0,	//419  QDebug, const QMargins&
    295, 0,	//422  const char*
    127, 128, 0,	//424  QTextStream&, QTextStream&(*)(QTextStream&)
    17, 17, 0,	//427  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    13, 273, 0,	//430  QDebug, const QSqlDatabase&
    16, 16, 0,	//433  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    177, 300, 0,	//436  Qt::ImageConversionFlags::enum_type, int
    20, 20, 0,	//439  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    10, 250, 0,	//442  QDataStream&, const QLineF&
    52, 27, 0,	//445  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    238, 295, 309, 0,	//448  char*, const char*, unsigned int
    141, 300, 0,	//452  Qt::Alignment::enum_type, int
    166, 166, 0,	//455  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    122, 31, 0,	//458  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    10, 264, 0,	//461  QDataStream&, const QPointF&
    60, 29, 0,	//464  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    300, 0,	//467  int
    225, 225, 0,	//469  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    316, 306, 0,	//472  void*, size_t
    285, 285, 0,	//475  const QString&, const QString&
    295, 295, 295, 300, 0,	//478  const char*, const char*, const char*, int
    285, 288, 0,	//483  const QString&, const QStringRef&
    213, 46, 0,	//486  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    225, 49, 0,	//489  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    52, 300, 0,	//492  QIODevice::OpenMode::enum_type, int
    19, 25, 0,	//495  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    13, 281, 0,	//498  QDebug, const QSqlRecord&
    218, 47, 0,	//501  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    166, 300, 0,	//504  Qt::DropActions::enum_type, int
    295, 288, 0,	//507  const char*, const QStringRef&
    10, 74, 0,	//510  QDataStream&, QSize&
    10, 139, 0,	//513  QDataStream&, QVariant::Type&
    288, 248, 0,	//516  const QStringRef&, const QLatin1String&
    305, 0,	//519  signed char
    172, 172, 0,	//521  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    10, 272, 0,	//524  QDataStream&, const QSizeF&
    180, 40, 0,	//527  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    295, 295, 0,	//530  const char*, const char*
    163, 163, 0,	//533  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    237, 285, 0,	//536  char, const QString&
    163, 300, 0,	//539  Qt::DockWidgetAreas::enum_type, int
    13, 290, 0,	//542  QDebug, const QUrl&
    54, 54, 0,	//545  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    266, 266, 0,	//548  const QRectF&, const QRectF&
    298, 270, 0,	//551  double, const QSize&
    13, 249, 0,	//554  QDebug, const QLine&
    10, 239, 0,	//557  QDataStream&, const QBitArray&
    316, 297, 306, 0,	//560  void*, const void*, size_t
    298, 262, 0,	//564  double, const QPoint&
    13, 258, 0,	//567  QDebug, const QModelIndex&
    304, 0,	//570  short
    13, 244, 0,	//572  QDebug, const QDateTime&
    10, 262, 0,	//575  QDataStream&, const QPoint&
    241, 237, 0,	//578  const QByteArray&, char
    229, 50, 0,	//581  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    13, 259, 0,	//584  QDebug, const QObject*
    229, 229, 0,	//587  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    302, 300, 238, 0,	//590  long double, int, char*
    189, 42, 0,	//594  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    299, 299, 0,	//597  float, float
    238, 306, 295, 313, 0,	//600  char*, size_t, const char*, va_list
    10, 270, 0,	//605  QDataStream&, const QSize&
    10, 71, 0,	//608  QDataStream&, QRectF&
    221, 48, 0,	//611  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    10, 242, 0,	//614  QDataStream&, const QChar&
    236, 4, 0,	//617  bool, QBool
    310, 0,	//620  unsigned long
    13, 266, 0,	//622  QDebug, const QRectF&
    4, 236, 0,	//625  QBool, bool
    19, 300, 0,	//628  QEventLoop::ProcessEventsFlags::enum_type, int
    10, 124, 0,	//631  QDataStream&, QStringList&
    10, 265, 0,	//634  QDataStream&, const QRect&
    20, 300, 0,	//637  QFile::Permissions::enum_type, int
    189, 300, 0,	//640  Qt::KeyboardModifiers::enum_type, int
    270, 298, 0,	//643  const QSize&, double
    121, 285, 0,	//646  QString::Null, const QString&
    218, 300, 0,	//649  Qt::ToolBarAreas::enum_type, int
    10, 68, 0,	//652  QDataStream&, QPoint&
    13, 264, 0,	//655  QDebug, const QPointF&
    259, 285, 268, 255, 58, 0,	//658  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    10, 12, 0,	//664  QDataStream&, QDateTime&
    16, 300, 0,	//667  QDir::SortFlags::enum_type, int
    185, 300, 0,	//670  Qt::ItemFlags::enum_type, int
    316, 306, 306, 235, 0,	//673  void*, size_t, size_t, __compar_fn_t
    10, 289, 0,	//678  QDataStream&, const QTime&
    229, 300, 0,	//681  Qt::WindowStates::enum_type, int
    17, 24, 0,	//684  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    10, 291, 0,	//687  QDataStream&, const QUuid&
    15, 22, 0,	//690  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    127, 130, 0,	//693  QTextStream&, QTextStreamManipulator
    134, 134, 0,	//696  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    306, 306, 0,	//699  size_t, size_t
    296, 300, 300, 0,	//702  const unsigned char*, int, int
    296, 300, 0,	//706  const unsigned char*, int
    129, 129, 0,	//709  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    262, 0,	//712  const QPoint&
    200, 45, 0,	//714  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    10, 120, 0,	//717  QDataStream&, QString&
    10, 285, 0,	//720  QDataStream&, const QString&
    185, 41, 0,	//723  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    10, 8, 0,	//726  QDataStream&, QChar&
    13, 14, 0,	//729  QDebug, QDir::Filters
    285, 241, 0,	//732  const QString&, const QByteArray&
    129, 33, 0,	//735  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    10, 70, 0,	//738  QDataStream&, QRect&
    233, 295, 0,	//741  QtMsgType, const char*
    13, 277, 0,	//744  QDebug, const QSqlError&
    13, 265, 0,	//747  QDebug, const QRect&
    10, 293, 0,	//750  QDataStream&, const QVariant::Type
    10, 56, 0,	//753  QDataStream&, QLineF&
    141, 35, 0,	//756  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    79, 30, 0,	//759  QSql::ParamType::enum_type, QFlags<QSql::ParamType::enum_type>
    60, 60, 0,	//762  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    237, 0,	//765  char
    10, 244, 0,	//767  QDataStream&, const QDateTime&
    197, 300, 0,	//770  Qt::MouseButtons::enum_type, int
    10, 131, 0,	//773  QDataStream&, QTime&
    163, 36, 0,	//776  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    1, 300, 0,	//779  QAbstractFileEngine::FileFlags::enum_type, int
    180, 180, 0,	//782  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    13, 245, 0,	//785  QDebug, const QDir&
    172, 38, 0,	//788  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    122, 122, 0,	//791  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    10, 133, 0,	//794  QDataStream&, QUrl&
    285, 7, 0,	//797  const QString&, QChar
    141, 141, 0,	//800  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    197, 44, 0,	//803  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    306, 0,	//806  size_t
    13, 292, 0,	//808  QDebug, const QVariant&
    10, 252, 0,	//811  QDataStream&, const QLocale&
    18, 0,	//814  QEvent*
    66, 18, 0,	//816  QObject*, QEvent*
    132, 0,	//819  QTimerEvent*
    9, 0,	//821  QChildEvent*
    273, 0,	//823  const QSqlDatabase&
    81, 0,	//825  QSql::TableType
    77, 0,	//827  QSql::NumericalPrecisionPolicy
    85, 285, 0,	//829  QSqlDriver*, const QString&
    273, 285, 0,	//832  const QSqlDatabase&, const QString&
    285, 236, 0,	//835  const QString&, bool
    285, 89, 0,	//838  const QString&, QSqlDriverCreatorBase*
    85, 0,	//841  QSqlDriver*
    63, 300, 317, 0,	//843  QMetaObject::Call, int, void**
    66, 0,	//847  QObject*
    278, 236, 0,	//849  const QSqlField&, bool
    285, 87, 0,	//852  const QString&, QSqlDriver::IdentifierType
    88, 285, 281, 236, 0,	//855  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    86, 0,	//860  QSqlDriver::DriverFeature
    285, 285, 285, 285, 300, 285, 0,	//862  const QString&, const QString&, const QString&, const QString&, int, const QString&
    236, 0,	//869  bool
    277, 0,	//871  const QSqlError&
    278, 0,	//873  const QSqlField&
    285, 285, 285, 0,	//875  const QString&, const QString&, const QString&
    285, 285, 285, 285, 0,	//879  const QString&, const QString&, const QString&, const QString&
    285, 285, 285, 285, 300, 0,	//884  const QString&, const QString&, const QString&, const QString&, int
    275, 0,	//890  const QSqlDriverCreatorBase&
    276, 0,	//892  const QSqlDriverFactoryInterface&
    285, 285, 95, 300, 0,	//894  const QString&, const QString&, QSqlError::ErrorType, int
    95, 0,	//899  QSqlError::ErrorType
    285, 285, 95, 0,	//901  const QString&, const QString&, QSqlError::ErrorType
    285, 138, 0,	//905  const QString&, QVariant::Type
    292, 0,	//908  const QVariant&
    138, 0,	//910  QVariant::Type
    99, 0,	//912  QSqlField::RequiredStatus
    279, 0,	//914  const QSqlIndex&
    300, 236, 0,	//916  int, bool
    114, 0,	//919  QSqlResult*
    285, 82, 0,	//921  const QString&, QSqlDatabase
    82, 0,	//924  QSqlDatabase
    280, 0,	//926  const QSqlQuery&
    106, 0,	//928  QSqlQuery::BatchExecutionMode
    285, 292, 78, 0,	//930  const QString&, const QVariant&, QSql::ParamType
    300, 292, 78, 0,	//934  int, const QVariant&, QSql::ParamType
    292, 78, 0,	//938  const QVariant&, QSql::ParamType
    285, 292, 0,	//941  const QString&, const QVariant&
    300, 292, 0,	//944  int, const QVariant&
    258, 300, 0,	//947  const QModelIndex&, int
    300, 199, 300, 0,	//950  int, Qt::Orientation, int
    300, 199, 292, 300, 0,	//954  int, Qt::Orientation, const QVariant&, int
    285, 273, 0,	//959  const QString&, const QSqlDatabase&
    300, 199, 0,	//962  int, Qt::Orientation
    300, 199, 292, 0,	//965  int, Qt::Orientation, const QVariant&
    300, 300, 0,	//969  int, int
    281, 0,	//972  const QSqlRecord&
    300, 278, 0,	//974  int, const QSqlField&
    282, 0,	//977  const QSqlRelation&
    66, 82, 0,	//979  QObject*, QSqlDatabase
    300, 282, 0,	//982  int, const QSqlRelation&
    300, 281, 0,	//985  int, const QSqlRecord&
    258, 292, 0,	//988  const QModelIndex&, const QVariant&
    274, 0,	//991  const QSqlDriver*
    300, 316, 0,	//993  int, void*
    118, 0,	//996  QSqlTableModel::EditStrategy
    300, 109, 0,	//998  int, QSqlRecord&
    109, 0,	//1001  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LowPrecisionDouble",	//19
    "LowPrecisionInt32",	//20
    "LowPrecisionInt64",	//21
    "LowPrecisionNumbers",	//22
    "MultipleResultSets",	//23
    "NamedBinding",	//24
    "NamedPlaceholders",	//25
    "NextResult",	//26
    "NoError",	//27
    "OnFieldChange",	//28
    "OnManualSubmit",	//29
    "OnRowChange",	//30
    "Optional",	//31
    "Out",	//32
    "PositionalBinding",	//33
    "PositionalPlaceholders",	//34
    "PreparedQueries",	//35
    "QSqlDatabase",	//36
    "QSqlDatabase#",	//37
    "QSqlDatabase$",	//38
    "QSqlDriver",	//39
    "QSqlDriver#",	//40
    "QSqlDriverCreatorBase",	//41
    "QSqlDriverCreatorBase#",	//42
    "QSqlDriverFactoryInterface",	//43
    "QSqlDriverFactoryInterface#",	//44
    "QSqlDriverPlugin",	//45
    "QSqlDriverPlugin#",	//46
    "QSqlError",	//47
    "QSqlError#",	//48
    "QSqlError$",	//49
    "QSqlError$$",	//50
    "QSqlError$$$",	//51
    "QSqlError$$$$",	//52
    "QSqlField",	//53
    "QSqlField#",	//54
    "QSqlField$",	//55
    "QSqlField$$",	//56
    "QSqlIndex",	//57
    "QSqlIndex#",	//58
    "QSqlIndex$",	//59
    "QSqlIndex$$",	//60
    "QSqlQuery",	//61
    "QSqlQuery#",	//62
    "QSqlQuery$",	//63
    "QSqlQuery$#",	//64
    "QSqlQueryModel",	//65
    "QSqlQueryModel#",	//66
    "QSqlRecord",	//67
    "QSqlRecord#",	//68
    "QSqlRelation",	//69
    "QSqlRelation#",	//70
    "QSqlRelation$$$",	//71
    "QSqlRelationalTableModel",	//72
    "QSqlRelationalTableModel#",	//73
    "QSqlRelationalTableModel##",	//74
    "QSqlResult",	//75
    "QSqlResult#",	//76
    "QSqlTableModel",	//77
    "QSqlTableModel#",	//78
    "QSqlTableModel##",	//79
    "QtCriticalMsg",	//80
    "QtDebugMsg",	//81
    "QtFatalMsg",	//82
    "QtSystemMsg",	//83
    "QtWarningMsg",	//84
    "QuerySize",	//85
    "Required",	//86
    "SelectStatement",	//87
    "SetNumericalPrecision",	//88
    "SimpleLocking",	//89
    "StatementError",	//90
    "SystemTables",	//91
    "TableName",	//92
    "Tables",	//93
    "TransactionError",	//94
    "Transactions",	//95
    "Unicode",	//96
    "Unknown",	//97
    "UnknownError",	//98
    "UpdateStatement",	//99
    "ValuesAsColumns",	//100
    "ValuesAsRows",	//101
    "Views",	//102
    "WhereStatement",	//103
    "_IEEE_",	//104
    "_ISOC_",	//105
    "_POSIX_",	//106
    "_SVID_",	//107
    "_XOPEN_",	//108
    "__codecvt_error",	//109
    "__codecvt_noconv",	//110
    "__codecvt_ok",	//111
    "__codecvt_partial",	//112
    "addBindValue",	//113
    "addBindValue#",	//114
    "addBindValue#$",	//115
    "addDatabase",	//116
    "addDatabase#",	//117
    "addDatabase#$",	//118
    "addDatabase$",	//119
    "addDatabase$$",	//120
    "append",	//121
    "append#",	//122
    "append#$",	//123
    "at",	//124
    "beforeDelete",	//125
    "beforeDelete$",	//126
    "beforeInsert",	//127
    "beforeInsert#",	//128
    "beforeUpdate",	//129
    "beforeUpdate$#",	//130
    "beginTransaction",	//131
    "bindValue",	//132
    "bindValue$#",	//133
    "bindValue$#$",	//134
    "bindValueType",	//135
    "bindValueType$",	//136
    "bindingSyntax",	//137
    "boundValue",	//138
    "boundValue$",	//139
    "boundValueCount",	//140
    "boundValueName",	//141
    "boundValueName$",	//142
    "boundValues",	//143
    "buddy",	//144
    "canFetchMore",	//145
    "canFetchMore#",	//146
    "childEvent",	//147
    "clear",	//148
    "clearValues",	//149
    "cloneDatabase",	//150
    "cloneDatabase#$",	//151
    "close",	//152
    "columnCount",	//153
    "columnCount#",	//154
    "commit",	//155
    "commitTransaction",	//156
    "connectNotify",	//157
    "connectOptions",	//158
    "connectionName",	//159
    "connectionNames",	//160
    "contains",	//161
    "contains$",	//162
    "count",	//163
    "create",	//164
    "create$",	//165
    "createObject",	//166
    "createResult",	//167
    "cursorName",	//168
    "customEvent",	//169
    "data",	//170
    "data#",	//171
    "data#$",	//172
    "data$",	//173
    "database",	//174
    "database$",	//175
    "database$$",	//176
    "databaseName",	//177
    "databaseText",	//178
    "defaultConnection",	//179
    "defaultValue",	//180
    "deleteRowFromTable",	//181
    "deleteRowFromTable$",	//182
    "detachFromResultSet",	//183
    "disconnectNotify",	//184
    "displayColumn",	//185
    "driver",	//186
    "driverName",	//187
    "driverText",	//188
    "drivers",	//189
    "dropMimeData",	//190
    "editStrategy",	//191
    "escapeIdentifier",	//192
    "escapeIdentifier$$",	//193
    "event",	//194
    "eventFilter",	//195
    "exec",	//196
    "exec$",	//197
    "execBatch",	//198
    "execBatch$",	//199
    "executedQuery",	//200
    "fetch",	//201
    "fetch$",	//202
    "fetchFirst",	//203
    "fetchLast",	//204
    "fetchMore",	//205
    "fetchMore#",	//206
    "fetchNext",	//207
    "fetchPrevious",	//208
    "field",	//209
    "field$",	//210
    "fieldIndex",	//211
    "fieldIndex$",	//212
    "fieldName",	//213
    "fieldName$",	//214
    "filter",	//215
    "finish",	//216
    "first",	//217
    "flags",	//218
    "flags#",	//219
    "formatValue",	//220
    "formatValue#",	//221
    "formatValue#$",	//222
    "handle",	//223
    "hasFeature",	//224
    "hasFeature$",	//225
    "hasOutValues",	//226
    "headerData",	//227
    "headerData$$",	//228
    "headerData$$$",	//229
    "hostName",	//230
    "index",	//231
    "indexColumn",	//232
    "indexInQuery",	//233
    "indexInQuery#",	//234
    "indexOf",	//235
    "indexOf$",	//236
    "insert",	//237
    "insert$#",	//238
    "insertColumns",	//239
    "insertColumns$$",	//240
    "insertColumns$$#",	//241
    "insertRecord",	//242
    "insertRecord$#",	//243
    "insertRowIntoTable",	//244
    "insertRowIntoTable#",	//245
    "insertRows",	//246
    "insertRows$$",	//247
    "insertRows$$#",	//248
    "isActive",	//249
    "isAutoValue",	//250
    "isDescending",	//251
    "isDescending$",	//252
    "isDirty",	//253
    "isDirty#",	//254
    "isDriverAvailable",	//255
    "isDriverAvailable$",	//256
    "isEmpty",	//257
    "isForwardOnly",	//258
    "isGenerated",	//259
    "isGenerated$",	//260
    "isIdentifierEscaped",	//261
    "isIdentifierEscaped$$",	//262
    "isIdentifierEscapedImplementation",	//263
    "isIdentifierEscapedImplementation$$",	//264
    "isNull",	//265
    "isNull$",	//266
    "isOpen",	//267
    "isOpenError",	//268
    "isReadOnly",	//269
    "isSelect",	//270
    "isValid",	//271
    "itemData",	//272
    "keys",	//273
    "last",	//274
    "lastError",	//275
    "lastInsertId",	//276
    "lastQuery",	//277
    "length",	//278
    "match",	//279
    "metaObject",	//280
    "mimeData",	//281
    "mimeTypes",	//282
    "name",	//283
    "next",	//284
    "nextResult",	//285
    "notification",	//286
    "notification$",	//287
    "numRowsAffected",	//288
    "number",	//289
    "numericalPrecisionPolicy",	//290
    "open",	//291
    "open$",	//292
    "open$$",	//293
    "open$$$",	//294
    "open$$$$",	//295
    "open$$$$$",	//296
    "open$$$$$$",	//297
    "operator!=",	//298
    "operator!=#",	//299
    "operator!=##",	//300
    "operator!=#$",	//301
    "operator!=$#",	//302
    "operator!=$$",	//303
    "operator&",	//304
    "operator&##",	//305
    "operator*",	//306
    "operator*#$",	//307
    "operator*$#",	//308
    "operator+",	//309
    "operator+##",	//310
    "operator+#$",	//311
    "operator+$#",	//312
    "operator+$$",	//313
    "operator-",	//314
    "operator-#",	//315
    "operator-##",	//316
    "operator/",	//317
    "operator/#$",	//318
    "operator<",	//319
    "operator<##",	//320
    "operator<#$",	//321
    "operator<$#",	//322
    "operator<$$",	//323
    "operator<<",	//324
    "operator<<##",	//325
    "operator<<#$",	//326
    "operator<<#?",	//327
    "operator<=",	//328
    "operator<=##",	//329
    "operator<=#$",	//330
    "operator<=$#",	//331
    "operator<=$$",	//332
    "operator=",	//333
    "operator=#",	//334
    "operator==",	//335
    "operator==#",	//336
    "operator==##",	//337
    "operator==#$",	//338
    "operator==$#",	//339
    "operator==$$",	//340
    "operator>",	//341
    "operator>##",	//342
    "operator>#$",	//343
    "operator>$#",	//344
    "operator>$$",	//345
    "operator>=",	//346
    "operator>=##",	//347
    "operator>=#$",	//348
    "operator>=$#",	//349
    "operator>=$$",	//350
    "operator>>",	//351
    "operator>>##",	//352
    "operator>>#$",	//353
    "operator>>#?",	//354
    "operator^",	//355
    "operator^##",	//356
    "operator|",	//357
    "operator|##",	//358
    "operator|?$",	//359
    "operator|??",	//360
    "orderByClause",	//361
    "password",	//362
    "port",	//363
    "precision",	//364
    "prepare",	//365
    "prepare$",	//366
    "previous",	//367
    "primaryIndex",	//368
    "primaryIndex$",	//369
    "primaryKey",	//370
    "primeInsert",	//371
    "primeInsert$#",	//372
    "qAcos",	//373
    "qAcos$",	//374
    "qAddPostRoutine",	//375
    "qAddPostRoutine$",	//376
    "qAppName",	//377
    "qAsin",	//378
    "qAsin$",	//379
    "qAtan",	//380
    "qAtan$",	//381
    "qAtan2",	//382
    "qAtan2$$",	//383
    "qCeil",	//384
    "qCeil$",	//385
    "qChecksum",	//386
    "qChecksum$$",	//387
    "qCompress",	//388
    "qCompress#",	//389
    "qCompress#$",	//390
    "qCompress$$",	//391
    "qCompress$$$",	//392
    "qCos",	//393
    "qCos$",	//394
    "qCritical",	//395
    "qDebug",	//396
    "qExp",	//397
    "qExp$",	//398
    "qFabs",	//399
    "qFabs$",	//400
    "qFastCos",	//401
    "qFastCos$",	//402
    "qFastSin",	//403
    "qFastSin$",	//404
    "qFlagLocation",	//405
    "qFlagLocation$",	//406
    "qFloor",	//407
    "qFloor$",	//408
    "qFree",	//409
    "qFree$",	//410
    "qFreeAligned",	//411
    "qFreeAligned$",	//412
    "qFuzzyCompare",	//413
    "qFuzzyCompare$$",	//414
    "qFuzzyIsNull",	//415
    "qFuzzyIsNull$",	//416
    "qHash",	//417
    "qHash#",	//418
    "qHash$",	//419
    "qInf",	//420
    "qInstallMsgHandler",	//421
    "qInstallMsgHandler$",	//422
    "qIntCast",	//423
    "qIntCast$",	//424
    "qIsFinite",	//425
    "qIsFinite$",	//426
    "qIsInf",	//427
    "qIsInf$",	//428
    "qIsNaN",	//429
    "qIsNaN$",	//430
    "qIsNull",	//431
    "qIsNull$",	//432
    "qLn",	//433
    "qLn$",	//434
    "qMalloc",	//435
    "qMalloc?",	//436
    "qMallocAligned",	//437
    "qMallocAligned??",	//438
    "qMemCopy",	//439
    "qMemCopy$$?",	//440
    "qMemSet",	//441
    "qMemSet$$?",	//442
    "qPow",	//443
    "qPow$$",	//444
    "qQNaN",	//445
    "qRealloc",	//446
    "qRealloc$?",	//447
    "qReallocAligned",	//448
    "qReallocAligned$???",	//449
    "qRegisterStaticPluginInstanceFunction",	//450
    "qRegisterStaticPluginInstanceFunction#",	//451
    "qRemovePostRoutine",	//452
    "qRemovePostRoutine$",	//453
    "qRound",	//454
    "qRound$",	//455
    "qRound64",	//456
    "qRound64$",	//457
    "qSNaN",	//458
    "qSetFieldWidth",	//459
    "qSetFieldWidth$",	//460
    "qSetPadChar",	//461
    "qSetPadChar#",	//462
    "qSetRealNumberPrecision",	//463
    "qSetRealNumberPrecision$",	//464
    "qSharedBuild",	//465
    "qSin",	//466
    "qSin$",	//467
    "qSqrt",	//468
    "qSqrt$",	//469
    "qStringComparisonHelper",	//470
    "qStringComparisonHelper#$",	//471
    "qStringComparisonHelper$$",	//472
    "qTan",	//473
    "qTan$",	//474
    "qUncompress",	//475
    "qUncompress#",	//476
    "qUncompress$$",	//477
    "qVersion",	//478
    "qWarning",	//479
    "qbswap_helper",	//480
    "qbswap_helper$$$",	//481
    "qgcvt",	//482
    "qgcvt$$$",	//483
    "qgetenv",	//484
    "qgetenv$",	//485
    "qputenv",	//486
    "qputenv$#",	//487
    "qrand",	//488
    "qsort",	//489
    "qsort$???",	//490
    "qsrand",	//491
    "qsrand$",	//492
    "qstrcmp",	//493
    "qstrcmp##",	//494
    "qstrcmp#$",	//495
    "qstrcmp$#",	//496
    "qstrcmp$$",	//497
    "qstrcpy",	//498
    "qstrcpy$$",	//499
    "qstrdup",	//500
    "qstrdup$",	//501
    "qstricmp",	//502
    "qstricmp$$",	//503
    "qstrlen",	//504
    "qstrlen$",	//505
    "qstrncmp",	//506
    "qstrncmp$$$",	//507
    "qstrncpy",	//508
    "qstrncpy$$$",	//509
    "qstrnicmp",	//510
    "qstrnicmp$$$",	//511
    "qstrnlen",	//512
    "qstrnlen$$",	//513
    "qtTrId",	//514
    "qtTrId$",	//515
    "qtTrId$$",	//516
    "qt_assert",	//517
    "qt_assert$$$",	//518
    "qt_assert_x",	//519
    "qt_assert_x$$$$",	//520
    "qt_check_pointer",	//521
    "qt_check_pointer$$",	//522
    "qt_error_string",	//523
    "qt_error_string$",	//524
    "qt_message_output",	//525
    "qt_message_output$$",	//526
    "qt_metacall",	//527
    "qt_metacall$$?",	//528
    "qt_metacast",	//529
    "qt_metacast$",	//530
    "qt_noop",	//531
    "qt_qFindChild_helper",	//532
    "qt_qFindChild_helper#$#",	//533
    "qt_qFindChildren_helper",	//534
    "qt_qFindChildren_helper#$##?",	//535
    "query",	//536
    "queryChange",	//537
    "qvariant_cast_helper",	//538
    "qvariant_cast_helper#$$",	//539
    "qvsnprintf",	//540
    "qvsnprintf$?$?",	//541
    "record",	//542
    "record$",	//543
    "registerSqlDriver",	//544
    "registerSqlDriver$#",	//545
    "relation",	//546
    "relation$",	//547
    "relationModel",	//548
    "relationModel$",	//549
    "remove",	//550
    "remove$",	//551
    "removeColumns",	//552
    "removeColumns$$",	//553
    "removeColumns$$#",	//554
    "removeDatabase",	//555
    "removeDatabase$",	//556
    "removeRows",	//557
    "removeRows$$",	//558
    "removeRows$$#",	//559
    "replace",	//560
    "replace$#",	//561
    "requiredStatus",	//562
    "reset",	//563
    "reset$",	//564
    "result",	//565
    "revert",	//566
    "revertAll",	//567
    "revertRow",	//568
    "revertRow$",	//569
    "rollback",	//570
    "rollbackTransaction",	//571
    "rowCount",	//572
    "rowCount#",	//573
    "savePrepare",	//574
    "savePrepare$",	//575
    "seek",	//576
    "seek$",	//577
    "seek$$",	//578
    "select",	//579
    "selectStatement",	//580
    "setActive",	//581
    "setActive$",	//582
    "setAt",	//583
    "setAt$",	//584
    "setAutoValue",	//585
    "setAutoValue$",	//586
    "setConnectOptions",	//587
    "setConnectOptions$",	//588
    "setCursorName",	//589
    "setCursorName$",	//590
    "setData",	//591
    "setData##",	//592
    "setData##$",	//593
    "setDatabaseName",	//594
    "setDatabaseName$",	//595
    "setDatabaseText",	//596
    "setDatabaseText$",	//597
    "setDefaultConnection",	//598
    "setDefaultConnection$",	//599
    "setDefaultValue",	//600
    "setDefaultValue#",	//601
    "setDescending",	//602
    "setDescending$$",	//603
    "setDriverText",	//604
    "setDriverText$",	//605
    "setEditStrategy",	//606
    "setEditStrategy$",	//607
    "setFilter",	//608
    "setFilter$",	//609
    "setForwardOnly",	//610
    "setForwardOnly$",	//611
    "setGenerated",	//612
    "setGenerated$",	//613
    "setGenerated$$",	//614
    "setHeaderData",	//615
    "setHeaderData$$#",	//616
    "setHeaderData$$#$",	//617
    "setHostName",	//618
    "setHostName$",	//619
    "setItemData",	//620
    "setLastError",	//621
    "setLastError#",	//622
    "setLength",	//623
    "setLength$",	//624
    "setName",	//625
    "setName$",	//626
    "setNull",	//627
    "setNull$",	//628
    "setNumber",	//629
    "setNumber$",	//630
    "setNumericalPrecisionPolicy",	//631
    "setNumericalPrecisionPolicy$",	//632
    "setOpen",	//633
    "setOpen$",	//634
    "setOpenError",	//635
    "setOpenError$",	//636
    "setPassword",	//637
    "setPassword$",	//638
    "setPort",	//639
    "setPort$",	//640
    "setPrecision",	//641
    "setPrecision$",	//642
    "setPrimaryKey",	//643
    "setPrimaryKey#",	//644
    "setQuery",	//645
    "setQuery#",	//646
    "setQuery$",	//647
    "setQuery$#",	//648
    "setReadOnly",	//649
    "setReadOnly$",	//650
    "setRecord",	//651
    "setRecord$#",	//652
    "setRelation",	//653
    "setRelation$#",	//654
    "setRequired",	//655
    "setRequired$",	//656
    "setRequiredStatus",	//657
    "setRequiredStatus$",	//658
    "setSelect",	//659
    "setSelect$",	//660
    "setSort",	//661
    "setSort$$",	//662
    "setSqlType",	//663
    "setSqlType$",	//664
    "setTable",	//665
    "setTable$",	//666
    "setType",	//667
    "setType$",	//668
    "setUserName",	//669
    "setUserName$",	//670
    "setValue",	//671
    "setValue#",	//672
    "setValue$#",	//673
    "size",	//674
    "sort",	//675
    "sort$$",	//676
    "span",	//677
    "sqlStatement",	//678
    "sqlStatement$$#$",	//679
    "staticMetaObject",	//680
    "stripDelimiters",	//681
    "stripDelimiters$$",	//682
    "stripDelimitersImplementation",	//683
    "stripDelimitersImplementation$$",	//684
    "submit",	//685
    "submitAll",	//686
    "subscribeToNotification",	//687
    "subscribeToNotification$",	//688
    "subscribeToNotificationImplementation",	//689
    "subscribeToNotificationImplementation$",	//690
    "subscribedToNotifications",	//691
    "subscribedToNotificationsImplementation",	//692
    "supportedDropActions",	//693
    "tableName",	//694
    "tables",	//695
    "tables$",	//696
    "text",	//697
    "timerEvent",	//698
    "tr",	//699
    "tr$",	//700
    "tr$$",	//701
    "tr$$$",	//702
    "trUtf8",	//703
    "trUtf8$",	//704
    "trUtf8$$",	//705
    "trUtf8$$$",	//706
    "transaction",	//707
    "type",	//708
    "typeID",	//709
    "unsubscribeFromNotification",	//710
    "unsubscribeFromNotification$",	//711
    "unsubscribeFromNotificationImplementation",	//712
    "unsubscribeFromNotificationImplementation$",	//713
    "updateRowInTable",	//714
    "updateRowInTable$#",	//715
    "userName",	//716
    "value",	//717
    "value$",	//718
    "virtual_hook",	//719
    "virtual_hook$$",	//720
    "~QSqlDatabase",	//721
    "~QSqlDriver",	//722
    "~QSqlDriverCreatorBase",	//723
    "~QSqlDriverFactoryInterface",	//724
    "~QSqlDriverPlugin",	//725
    "~QSqlError",	//726
    "~QSqlField",	//727
    "~QSqlIndex",	//728
    "~QSqlQuery",	//729
    "~QSqlQueryModel",	//730
    "~QSqlRecord",	//731
    "~QSqlRelation",	//732
    "~QSqlRelationalTableModel",	//733
    "~QSqlResult",	//734
    "~QSqlTableModel",	//735
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 591, 1, 3, Smoke::mf_virtual, 236, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 272, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 620, 7, 2, Smoke::mf_virtual, 236, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 281, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 246, 12, 3, Smoke::mf_virtual, 236, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 557, 12, 3, Smoke::mf_virtual, 236, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 218, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 184, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 675, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 144, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 65, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 279, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {1, 677, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 685, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 236, 0},	//14 QAbstractItemModel::submit()
    {1, 566, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 231, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 65, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 190, 25, 5, Smoke::mf_virtual, 236, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 304, 31, 2, Smoke::mf_static, 2, 1},	//19 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 395, 0, 0, Smoke::mf_static, 13, 2},	//20 QGlobalSpace::qCritical()
    {16, 417, 34, 1, Smoke::mf_static, 309, 3},	//21 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 517, 36, 3, Smoke::mf_static, 0, 4},	//22 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 357, 40, 2, Smoke::mf_static, 21, 5},	//23 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {16, 306, 43, 2, Smoke::mf_static, 261, 6},	//24 QGlobalSpace::operator*(const QPoint&, double)
    {16, 427, 46, 1, Smoke::mf_static, 236, 7},	//25 QGlobalSpace::qIsInf(double)
    {16, 306, 48, 2, Smoke::mf_static, 263, 8},	//26 QGlobalSpace::operator*(double, const QPointF&)
    {16, 298, 51, 2, Smoke::mf_static, 236, 9},	//27 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 306, 54, 2, Smoke::mf_static, 271, 10},	//28 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 324, 57, 2, Smoke::mf_static, 13, 11},	//29 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 498, 60, 2, Smoke::mf_static, 238, 12},	//30 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 357, 63, 2, Smoke::mf_static, 47, 13},	//31 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {16, 298, 66, 2, Smoke::mf_static, 236, 14},	//32 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 309, 69, 2, Smoke::mf_static, 269, 15},	//33 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 399, 46, 1, Smoke::mf_static, 298, 16},	//34 QGlobalSpace::qFabs(double)
    {16, 324, 72, 2, Smoke::mf_static, 13, 17},	//35 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 445, 0, 0, Smoke::mf_static, 298, 18},	//36 QGlobalSpace::qQNaN()
    {16, 417, 75, 1, Smoke::mf_static, 309, 19},	//37 QGlobalSpace::qHash(unsigned char)
    {16, 478, 0, 0, Smoke::mf_static, 295, 20},	//38 QGlobalSpace::qVersion()
    {16, 357, 77, 2, Smoke::mf_static, 30, 21},	//39 QGlobalSpace::operator|(QSql::ParamType::enum_type, QSql::ParamType::enum_type)
    {16, 357, 80, 2, Smoke::mf_static, 37, 22},	//40 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {16, 357, 83, 2, Smoke::mf_static, 53, 23},	//41 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {16, 335, 51, 2, Smoke::mf_static, 236, 24},	//42 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 357, 86, 2, Smoke::mf_static, 53, 25},	//43 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {16, 324, 89, 2, Smoke::mf_static, 10, 26},	//44 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 306, 92, 2, Smoke::mf_static, 271, 27},	//45 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 341, 95, 2, Smoke::mf_static, 236, 28},	//46 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 384, 46, 1, Smoke::mf_static, 300, 29},	//47 QGlobalSpace::qCeil(double)
    {16, 488, 0, 0, Smoke::mf_static, 300, 30},	//48 QGlobalSpace::qrand()
    {16, 314, 98, 2, Smoke::mf_static, 271, 31},	//49 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 346, 101, 2, Smoke::mf_static, 236, 32},	//50 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 335, 104, 2, Smoke::mf_static, 236, 33},	//51 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 324, 107, 2, Smoke::mf_static, 13, 34},	//52 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 298, 110, 2, Smoke::mf_static, 236, 35},	//53 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 335, 113, 2, Smoke::mf_static, 236, 36},	//54 QGlobalSpace::operator==(QBool, QBool)
    {16, 417, 116, 1, Smoke::mf_static, 309, 37},	//55 QGlobalSpace::qHash(const QStringRef&)
    {16, 335, 118, 2, Smoke::mf_static, 236, 38},	//56 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 324, 121, 2, Smoke::mf_static, 10, 39},	//57 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 351, 124, 2, Smoke::mf_static, 10, 40},	//58 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 309, 127, 2, Smoke::mf_static, 284, 41},	//59 QGlobalSpace::operator+(QChar, const QString&)
    {16, 357, 130, 2, Smoke::mf_static, 28, 42},	//60 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {16, 324, 133, 2, Smoke::mf_static, 13, 43},	//61 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 324, 136, 2, Smoke::mf_static, 10, 44},	//62 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 324, 139, 2, Smoke::mf_static, 13, 45},	//63 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 417, 142, 1, Smoke::mf_static, 309, 46},	//64 QGlobalSpace::qHash(const QBitArray&)
    {16, 480, 144, 3, Smoke::mf_static, 0, 47},	//65 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 380, 46, 1, Smoke::mf_static, 298, 48},	//66 QGlobalSpace::qAtan(double)
    {16, 357, 148, 2, Smoke::mf_static, 53, 49},	//67 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {16, 324, 151, 2, Smoke::mf_static, 13, 50},	//68 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {16, 538, 154, 3, Smoke::mf_static, 236, 51},	//69 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 417, 158, 1, Smoke::mf_static, 309, 52},	//70 QGlobalSpace::qHash(const QString&)
    {16, 357, 160, 2, Smoke::mf_static, 39, 53},	//71 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {16, 417, 163, 1, Smoke::mf_static, 309, 54},	//72 QGlobalSpace::qHash(unsigned short)
    {16, 450, 165, 1, Smoke::mf_static, 0, 55},	//73 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 417, 167, 1, Smoke::mf_static, 309, 56},	//74 QGlobalSpace::qHash(long)
    {16, 417, 169, 1, Smoke::mf_static, 309, 57},	//75 QGlobalSpace::qHash(long long)
    {16, 309, 98, 2, Smoke::mf_static, 271, 58},	//76 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 324, 171, 2, Smoke::mf_static, 10, 59},	//77 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 393, 46, 1, Smoke::mf_static, 298, 60},	//78 QGlobalSpace::qCos(double)
    {16, 491, 174, 1, Smoke::mf_static, 0, 61},	//79 QGlobalSpace::qsrand(unsigned int)
    {16, 427, 176, 1, Smoke::mf_static, 236, 62},	//80 QGlobalSpace::qIsInf(float)
    {16, 357, 178, 2, Smoke::mf_static, 42, 63},	//81 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {16, 324, 181, 2, Smoke::mf_static, 10, 64},	//82 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 319, 184, 2, Smoke::mf_static, 236, 65},	//83 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 324, 187, 2, Smoke::mf_static, 13, 66},	//84 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 357, 190, 2, Smoke::mf_static, 26, 67},	//85 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {16, 357, 193, 2, Smoke::mf_static, 53, 68},	//86 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {16, 357, 196, 2, Smoke::mf_static, 48, 69},	//87 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {16, 479, 0, 0, Smoke::mf_static, 13, 70},	//88 QGlobalSpace::qWarning()
    {16, 357, 199, 2, Smoke::mf_static, 23, 71},	//89 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {16, 357, 202, 2, Smoke::mf_static, 53, 72},	//90 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {16, 357, 205, 2, Smoke::mf_static, 32, 73},	//91 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {16, 351, 208, 2, Smoke::mf_static, 10, 74},	//92 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 309, 211, 2, Smoke::mf_static, 284, 75},	//93 QGlobalSpace::operator+(const QString&, const char*)
    {16, 324, 214, 2, Smoke::mf_static, 13, 76},	//94 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 357, 217, 2, Smoke::mf_static, 43, 77},	//95 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {16, 351, 220, 2, Smoke::mf_static, 10, 78},	//96 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 357, 223, 2, Smoke::mf_static, 45, 79},	//97 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {16, 309, 226, 2, Smoke::mf_static, 240, 80},	//98 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 317, 43, 2, Smoke::mf_static, 261, 81},	//99 QGlobalSpace::operator/(const QPoint&, double)
    {16, 357, 229, 2, Smoke::mf_static, 39, 82},	//100 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {16, 309, 232, 2, Smoke::mf_static, 284, 83},	//101 QGlobalSpace::operator+(const char*, const QString&)
    {16, 335, 235, 2, Smoke::mf_static, 236, 84},	//102 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 429, 176, 1, Smoke::mf_static, 236, 85},	//103 QGlobalSpace::qIsNaN(float)
    {16, 351, 238, 2, Smoke::mf_static, 10, 86},	//104 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 413, 241, 2, Smoke::mf_static, 236, 87},	//105 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 357, 244, 2, Smoke::mf_static, 53, 88},	//106 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {16, 431, 176, 1, Smoke::mf_static, 236, 89},	//107 QGlobalSpace::qIsNull(float)
    {16, 351, 247, 2, Smoke::mf_static, 10, 90},	//108 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 351, 250, 2, Smoke::mf_static, 10, 91},	//109 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 351, 253, 2, Smoke::mf_static, 10, 92},	//110 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 335, 256, 2, Smoke::mf_static, 236, 93},	//111 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 328, 232, 2, Smoke::mf_static, 236, 94},	//112 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 357, 259, 2, Smoke::mf_static, 53, 95},	//113 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {16, 357, 262, 2, Smoke::mf_static, 41, 96},	//114 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {16, 298, 265, 2, Smoke::mf_static, 236, 97},	//115 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 357, 268, 2, Smoke::mf_static, 43, 98},	//116 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {16, 324, 271, 2, Smoke::mf_static, 13, 99},	//117 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 319, 274, 2, Smoke::mf_static, 236, 100},	//118 QGlobalSpace::operator<(QChar, QChar)
    {16, 346, 95, 2, Smoke::mf_static, 236, 101},	//119 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 510, 277, 3, Smoke::mf_static, 300, 102},	//120 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 417, 281, 1, Smoke::mf_static, 309, 103},	//121 QGlobalSpace::qHash(const QByteArray&)
    {16, 357, 283, 2, Smoke::mf_static, 53, 104},	//122 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {16, 357, 286, 2, Smoke::mf_static, 34, 105},	//123 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {16, 521, 289, 2, Smoke::mf_static, 0, 106},	//124 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 357, 292, 2, Smoke::mf_static, 53, 107},	//125 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {16, 351, 295, 2, Smoke::mf_static, 10, 108},	//126 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 306, 298, 2, Smoke::mf_static, 263, 109},	//127 QGlobalSpace::operator*(const QPointF&, double)
    {16, 493, 101, 2, Smoke::mf_static, 300, 110},	//128 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 461, 301, 1, Smoke::mf_static, 130, 111},	//129 QGlobalSpace::qSetPadChar(QChar)
    {16, 357, 303, 2, Smoke::mf_static, 53, 112},	//130 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {16, 493, 184, 2, Smoke::mf_static, 300, 113},	//131 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 357, 306, 2, Smoke::mf_static, 53, 114},	//132 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {16, 335, 69, 2, Smoke::mf_static, 236, 115},	//133 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 465, 0, 0, Smoke::mf_static, 236, 116},	//134 QGlobalSpace::qSharedBuild()
    {16, 421, 309, 1, Smoke::mf_static, 315, 117},	//135 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 324, 311, 2, Smoke::mf_static, 10, 118},	//136 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 532, 314, 3, Smoke::mf_static, 66, 119},	//137 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 335, 95, 2, Smoke::mf_static, 236, 120},	//138 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 357, 318, 2, Smoke::mf_static, 46, 121},	//139 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {16, 298, 101, 2, Smoke::mf_static, 236, 122},	//140 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 357, 321, 2, Smoke::mf_static, 44, 123},	//141 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {16, 317, 92, 2, Smoke::mf_static, 271, 124},	//142 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 341, 274, 2, Smoke::mf_static, 236, 125},	//143 QGlobalSpace::operator>(QChar, QChar)
    {16, 346, 235, 2, Smoke::mf_static, 236, 126},	//144 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 411, 324, 1, Smoke::mf_static, 0, 127},	//145 QGlobalSpace::qFreeAligned(void*)
    {16, 335, 326, 2, Smoke::mf_static, 236, 128},	//146 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 423, 176, 1, Smoke::mf_static, 300, 129},	//147 QGlobalSpace::qIntCast(float)
    {16, 319, 101, 2, Smoke::mf_static, 236, 130},	//148 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 486, 235, 2, Smoke::mf_static, 236, 131},	//149 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 324, 329, 2, Smoke::mf_static, 13, 132},	//150 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 351, 332, 2, Smoke::mf_static, 10, 133},	//151 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 470, 335, 2, Smoke::mf_static, 236, 134},	//152 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 357, 338, 2, Smoke::mf_static, 53, 135},	//153 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {16, 506, 277, 3, Smoke::mf_static, 300, 136},	//154 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 314, 341, 1, Smoke::mf_static, 263, 137},	//155 QGlobalSpace::operator-(const QPointF&)
    {16, 448, 343, 4, Smoke::mf_static, 316, 138},	//156 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 417, 348, 1, Smoke::mf_static, 309, 139},	//157 QGlobalSpace::qHash(unsigned long long)
    {16, 309, 350, 2, Smoke::mf_static, 284, 140},	//158 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 324, 353, 2, Smoke::mf_static, 13, 141},	//159 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 309, 356, 2, Smoke::mf_static, 284, 142},	//160 QGlobalSpace::operator+(const QString&, char)
    {16, 346, 265, 2, Smoke::mf_static, 236, 143},	//161 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 377, 0, 0, Smoke::mf_static, 119, 144},	//162 QGlobalSpace::qAppName()
    {16, 417, 301, 1, Smoke::mf_static, 309, 145},	//163 QGlobalSpace::qHash(QChar)
    {16, 335, 110, 2, Smoke::mf_static, 236, 146},	//164 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 415, 46, 1, Smoke::mf_static, 236, 147},	//165 QGlobalSpace::qFuzzyIsNull(double)
    {16, 357, 359, 2, Smoke::mf_static, 53, 148},	//166 QGlobalSpace::operator|(QSql::ParamType::enum_type, int)
    {16, 357, 362, 2, Smoke::mf_static, 27, 149},	//167 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {16, 357, 365, 2, Smoke::mf_static, 21, 150},	//168 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {16, 324, 368, 2, Smoke::mf_static, 10, 151},	//169 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 357, 371, 2, Smoke::mf_static, 53, 152},	//170 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {16, 441, 374, 3, Smoke::mf_static, 316, 153},	//171 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 357, 378, 2, Smoke::mf_static, 32, 154},	//172 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {16, 382, 241, 2, Smoke::mf_static, 298, 155},	//173 QGlobalSpace::qAtan2(double, double)
    {16, 357, 381, 2, Smoke::mf_static, 53, 156},	//174 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {16, 324, 384, 2, Smoke::mf_static, 10, 157},	//175 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 351, 387, 2, Smoke::mf_static, 10, 158},	//176 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 357, 390, 2, Smoke::mf_static, 22, 159},	//177 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {16, 388, 393, 2, Smoke::mf_static, 5, 160},	//178 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 388, 281, 1, Smoke::mf_static, 5, 161},	//179 QGlobalSpace::qCompress(const QByteArray&)
    {16, 319, 235, 2, Smoke::mf_static, 236, 162},	//180 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 375, 396, 1, Smoke::mf_static, 0, 163},	//181 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 357, 398, 2, Smoke::mf_static, 25, 164},	//182 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {16, 397, 46, 1, Smoke::mf_static, 298, 165},	//183 QGlobalSpace::qExp(double)
    {16, 298, 69, 2, Smoke::mf_static, 236, 166},	//184 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 328, 184, 2, Smoke::mf_static, 236, 167},	//185 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 298, 401, 2, Smoke::mf_static, 236, 168},	//186 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 335, 404, 2, Smoke::mf_static, 236, 169},	//187 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 431, 46, 1, Smoke::mf_static, 236, 170},	//188 QGlobalSpace::qIsNull(double)
    {16, 346, 407, 2, Smoke::mf_static, 236, 171},	//189 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 357, 410, 2, Smoke::mf_static, 53, 172},	//190 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {16, 335, 413, 2, Smoke::mf_static, 236, 173},	//191 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 423, 46, 1, Smoke::mf_static, 300, 174},	//192 QGlobalSpace::qIntCast(double)
    {16, 355, 31, 2, Smoke::mf_static, 2, 175},	//193 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 386, 416, 2, Smoke::mf_static, 312, 176},	//194 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 319, 265, 2, Smoke::mf_static, 236, 177},	//195 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 324, 419, 2, Smoke::mf_static, 13, 178},	//196 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 484, 422, 1, Smoke::mf_static, 5, 179},	//197 QGlobalSpace::qgetenv(const char*)
    {16, 298, 335, 2, Smoke::mf_static, 236, 180},	//198 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 351, 424, 2, Smoke::mf_static, 127, 181},	//199 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 298, 235, 2, Smoke::mf_static, 236, 182},	//200 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 373, 46, 1, Smoke::mf_static, 298, 183},	//201 QGlobalSpace::qAcos(double)
    {16, 341, 265, 2, Smoke::mf_static, 236, 184},	//202 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 357, 427, 2, Smoke::mf_static, 24, 185},	//203 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {16, 324, 430, 2, Smoke::mf_static, 13, 186},	//204 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 357, 433, 2, Smoke::mf_static, 23, 187},	//205 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {16, 357, 436, 2, Smoke::mf_static, 53, 188},	//206 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {16, 357, 439, 2, Smoke::mf_static, 26, 189},	//207 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {16, 324, 442, 2, Smoke::mf_static, 10, 190},	//208 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 357, 445, 2, Smoke::mf_static, 27, 191},	//209 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {16, 508, 448, 3, Smoke::mf_static, 238, 192},	//210 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 357, 452, 2, Smoke::mf_static, 53, 193},	//211 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {16, 357, 455, 2, Smoke::mf_static, 37, 194},	//212 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {16, 357, 458, 2, Smoke::mf_static, 31, 195},	//213 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {16, 324, 461, 2, Smoke::mf_static, 10, 196},	//214 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 357, 464, 2, Smoke::mf_static, 29, 197},	//215 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {16, 425, 176, 1, Smoke::mf_static, 236, 198},	//216 QGlobalSpace::qIsFinite(float)
    {16, 523, 467, 1, Smoke::mf_static, 119, 199},	//217 QGlobalSpace::qt_error_string(int)
    {16, 523, 0, 0, Smoke::mf_static, 119, 200},	//218 QGlobalSpace::qt_error_string()
    {16, 357, 469, 2, Smoke::mf_static, 49, 201},	//219 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {16, 446, 472, 2, Smoke::mf_static, 316, 202},	//220 QGlobalSpace::qRealloc(void*, size_t)
    {16, 309, 475, 2, Smoke::mf_static, 284, 203},	//221 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 519, 478, 4, Smoke::mf_static, 0, 204},	//222 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 319, 232, 2, Smoke::mf_static, 236, 205},	//223 QGlobalSpace::operator<(const char*, const QString&)
    {16, 298, 232, 2, Smoke::mf_static, 236, 206},	//224 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 298, 184, 2, Smoke::mf_static, 236, 207},	//225 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 298, 483, 2, Smoke::mf_static, 236, 208},	//226 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 357, 486, 2, Smoke::mf_static, 46, 209},	//227 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {16, 357, 489, 2, Smoke::mf_static, 49, 210},	//228 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {16, 357, 492, 2, Smoke::mf_static, 53, 211},	//229 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {16, 341, 101, 2, Smoke::mf_static, 236, 212},	//230 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 454, 46, 1, Smoke::mf_static, 300, 213},	//231 QGlobalSpace::qRound(double)
    {16, 328, 95, 2, Smoke::mf_static, 236, 214},	//232 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 335, 401, 2, Smoke::mf_static, 236, 215},	//233 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 357, 495, 2, Smoke::mf_static, 25, 216},	//234 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {16, 324, 498, 2, Smoke::mf_static, 13, 217},	//235 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 357, 501, 2, Smoke::mf_static, 47, 218},	//236 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {16, 357, 504, 2, Smoke::mf_static, 53, 219},	//237 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {16, 357, 31, 2, Smoke::mf_static, 2, 220},	//238 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 335, 507, 2, Smoke::mf_static, 236, 221},	//239 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 309, 235, 2, Smoke::mf_static, 240, 222},	//240 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 328, 265, 2, Smoke::mf_static, 236, 223},	//241 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 351, 510, 2, Smoke::mf_static, 10, 224},	//242 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 351, 513, 2, Smoke::mf_static, 10, 225},	//243 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 335, 274, 2, Smoke::mf_static, 236, 226},	//244 QGlobalSpace::operator==(QChar, QChar)
    {16, 298, 404, 2, Smoke::mf_static, 236, 227},	//245 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 298, 516, 2, Smoke::mf_static, 236, 228},	//246 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 417, 519, 1, Smoke::mf_static, 309, 229},	//247 QGlobalSpace::qHash(signed char)
    {16, 357, 521, 2, Smoke::mf_static, 38, 230},	//248 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {16, 324, 524, 2, Smoke::mf_static, 10, 231},	//249 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 357, 527, 2, Smoke::mf_static, 40, 232},	//250 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {16, 468, 46, 1, Smoke::mf_static, 298, 233},	//251 QGlobalSpace::qSqrt(double)
    {16, 493, 530, 2, Smoke::mf_static, 300, 234},	//252 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 357, 533, 2, Smoke::mf_static, 36, 235},	//253 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {16, 309, 536, 2, Smoke::mf_static, 284, 236},	//254 QGlobalSpace::operator+(char, const QString&)
    {16, 298, 104, 2, Smoke::mf_static, 236, 237},	//255 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 298, 274, 2, Smoke::mf_static, 236, 238},	//256 QGlobalSpace::operator!=(QChar, QChar)
    {16, 512, 416, 2, Smoke::mf_static, 309, 239},	//257 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 335, 407, 2, Smoke::mf_static, 236, 240},	//258 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 357, 539, 2, Smoke::mf_static, 53, 241},	//259 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {16, 407, 46, 1, Smoke::mf_static, 300, 242},	//260 QGlobalSpace::qFloor(double)
    {16, 324, 542, 2, Smoke::mf_static, 13, 243},	//261 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 357, 545, 2, Smoke::mf_static, 28, 244},	//262 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {16, 335, 98, 2, Smoke::mf_static, 236, 245},	//263 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 335, 265, 2, Smoke::mf_static, 236, 246},	//264 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 298, 548, 2, Smoke::mf_static, 236, 247},	//265 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 306, 551, 2, Smoke::mf_static, 269, 248},	//266 QGlobalSpace::operator*(double, const QSize&)
    {16, 417, 5, 1, Smoke::mf_static, 309, 249},	//267 QGlobalSpace::qHash(const QModelIndex&)
    {16, 324, 554, 2, Smoke::mf_static, 13, 250},	//268 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 452, 396, 1, Smoke::mf_static, 0, 251},	//269 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 324, 557, 2, Smoke::mf_static, 10, 252},	//270 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 405, 422, 1, Smoke::mf_static, 295, 253},	//271 QGlobalSpace::qFlagLocation(const char*)
    {16, 439, 560, 3, Smoke::mf_static, 316, 254},	//272 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 346, 184, 2, Smoke::mf_static, 236, 255},	//273 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 306, 564, 2, Smoke::mf_static, 261, 256},	//274 QGlobalSpace::operator*(double, const QPoint&)
    {16, 429, 46, 1, Smoke::mf_static, 236, 257},	//275 QGlobalSpace::qIsNaN(double)
    {16, 324, 567, 2, Smoke::mf_static, 13, 258},	//276 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 417, 570, 1, Smoke::mf_static, 309, 259},	//277 QGlobalSpace::qHash(short)
    {16, 420, 0, 0, Smoke::mf_static, 298, 260},	//278 QGlobalSpace::qInf()
    {16, 324, 572, 2, Smoke::mf_static, 13, 261},	//279 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 324, 575, 2, Smoke::mf_static, 10, 262},	//280 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 309, 578, 2, Smoke::mf_static, 240, 263},	//281 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 317, 298, 2, Smoke::mf_static, 263, 264},	//282 QGlobalSpace::operator/(const QPointF&, double)
    {16, 475, 281, 1, Smoke::mf_static, 5, 265},	//283 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 346, 274, 2, Smoke::mf_static, 236, 266},	//284 QGlobalSpace::operator>=(QChar, QChar)
    {16, 357, 581, 2, Smoke::mf_static, 50, 267},	//285 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {16, 328, 101, 2, Smoke::mf_static, 236, 268},	//286 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 463, 467, 1, Smoke::mf_static, 130, 269},	//287 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 324, 584, 2, Smoke::mf_static, 13, 270},	//288 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 466, 46, 1, Smoke::mf_static, 298, 271},	//289 QGlobalSpace::qSin(double)
    {16, 378, 46, 1, Smoke::mf_static, 298, 272},	//290 QGlobalSpace::qAsin(double)
    {16, 357, 587, 2, Smoke::mf_static, 50, 273},	//291 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {16, 502, 530, 2, Smoke::mf_static, 300, 274},	//292 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 482, 590, 3, Smoke::mf_static, 238, 275},	//293 QGlobalSpace::qgcvt(long double, int, char*)
    {16, 357, 594, 2, Smoke::mf_static, 42, 276},	//294 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {16, 413, 597, 2, Smoke::mf_static, 236, 277},	//295 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 328, 407, 2, Smoke::mf_static, 236, 278},	//296 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 540, 600, 4, Smoke::mf_static, 300, 279},	//297 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 324, 605, 2, Smoke::mf_static, 10, 280},	//298 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 531, 0, 0, Smoke::mf_static, 0, 281},	//299 QGlobalSpace::qt_noop()
    {16, 341, 235, 2, Smoke::mf_static, 236, 282},	//300 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 351, 608, 2, Smoke::mf_static, 10, 283},	//301 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 459, 467, 1, Smoke::mf_static, 130, 284},	//302 QGlobalSpace::qSetFieldWidth(int)
    {16, 357, 611, 2, Smoke::mf_static, 48, 285},	//303 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {16, 324, 614, 2, Smoke::mf_static, 10, 286},	//304 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 335, 548, 2, Smoke::mf_static, 236, 287},	//305 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 298, 617, 2, Smoke::mf_static, 236, 288},	//306 QGlobalSpace::operator!=(bool, QBool)
    {16, 417, 620, 1, Smoke::mf_static, 309, 289},	//307 QGlobalSpace::qHash(unsigned long)
    {16, 324, 622, 2, Smoke::mf_static, 13, 290},	//308 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 298, 625, 2, Smoke::mf_static, 236, 291},	//309 QGlobalSpace::operator!=(QBool, bool)
    {16, 314, 401, 2, Smoke::mf_static, 261, 292},	//310 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 357, 628, 2, Smoke::mf_static, 53, 293},	//311 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {16, 433, 46, 1, Smoke::mf_static, 298, 294},	//312 QGlobalSpace::qLn(double)
    {16, 351, 631, 2, Smoke::mf_static, 10, 295},	//313 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 504, 422, 1, Smoke::mf_static, 309, 296},	//314 QGlobalSpace::qstrlen(const char*)
    {16, 309, 184, 2, Smoke::mf_static, 240, 297},	//315 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 324, 634, 2, Smoke::mf_static, 10, 298},	//316 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 328, 235, 2, Smoke::mf_static, 236, 299},	//317 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 298, 98, 2, Smoke::mf_static, 236, 300},	//318 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 357, 637, 2, Smoke::mf_static, 53, 301},	//319 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {16, 335, 483, 2, Smoke::mf_static, 236, 302},	//320 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 357, 640, 2, Smoke::mf_static, 53, 303},	//321 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {16, 298, 407, 2, Smoke::mf_static, 236, 304},	//322 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 306, 643, 2, Smoke::mf_static, 269, 305},	//323 QGlobalSpace::operator*(const QSize&, double)
    {16, 335, 646, 2, Smoke::mf_static, 236, 306},	//324 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 357, 649, 2, Smoke::mf_static, 53, 307},	//325 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {16, 351, 652, 2, Smoke::mf_static, 10, 308},	//326 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 324, 655, 2, Smoke::mf_static, 13, 309},	//327 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 335, 184, 2, Smoke::mf_static, 236, 310},	//328 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 534, 658, 5, Smoke::mf_static, 0, 311},	//329 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 351, 664, 2, Smoke::mf_static, 10, 312},	//330 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 341, 232, 2, Smoke::mf_static, 236, 313},	//331 QGlobalSpace::operator>(const char*, const QString&)
    {16, 357, 667, 2, Smoke::mf_static, 53, 314},	//332 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {16, 357, 670, 2, Smoke::mf_static, 53, 315},	//333 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {16, 489, 673, 4, Smoke::mf_static, 0, 316},	//334 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {16, 324, 678, 2, Smoke::mf_static, 10, 317},	//335 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 341, 184, 2, Smoke::mf_static, 236, 318},	//336 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 319, 95, 2, Smoke::mf_static, 236, 319},	//337 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 357, 681, 2, Smoke::mf_static, 53, 320},	//338 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {16, 357, 684, 2, Smoke::mf_static, 24, 321},	//339 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {16, 309, 401, 2, Smoke::mf_static, 261, 322},	//340 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 324, 687, 2, Smoke::mf_static, 10, 323},	//341 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 409, 324, 1, Smoke::mf_static, 0, 324},	//342 QGlobalSpace::qFree(void*)
    {16, 357, 690, 2, Smoke::mf_static, 22, 325},	//343 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {16, 328, 274, 2, Smoke::mf_static, 236, 326},	//344 QGlobalSpace::operator<=(QChar, QChar)
    {16, 324, 693, 2, Smoke::mf_static, 127, 327},	//345 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 417, 174, 1, Smoke::mf_static, 309, 328},	//346 QGlobalSpace::qHash(unsigned int)
    {16, 298, 646, 2, Smoke::mf_static, 236, 329},	//347 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 456, 46, 1, Smoke::mf_static, 303, 330},	//348 QGlobalSpace::qRound64(double)
    {16, 341, 407, 2, Smoke::mf_static, 236, 331},	//349 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 357, 696, 2, Smoke::mf_static, 34, 332},	//350 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {16, 437, 699, 2, Smoke::mf_static, 316, 333},	//351 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 298, 326, 2, Smoke::mf_static, 236, 334},	//352 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 388, 702, 3, Smoke::mf_static, 5, 335},	//353 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 388, 706, 2, Smoke::mf_static, 5, 336},	//354 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 357, 709, 2, Smoke::mf_static, 33, 337},	//355 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {16, 500, 422, 1, Smoke::mf_static, 238, 338},	//356 QGlobalSpace::qstrdup(const char*)
    {16, 396, 0, 0, Smoke::mf_static, 13, 339},	//357 QGlobalSpace::qDebug()
    {16, 314, 712, 1, Smoke::mf_static, 261, 340},	//358 QGlobalSpace::operator-(const QPoint&)
    {16, 493, 235, 2, Smoke::mf_static, 300, 341},	//359 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 357, 714, 2, Smoke::mf_static, 45, 342},	//360 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {16, 473, 46, 1, Smoke::mf_static, 298, 343},	//361 QGlobalSpace::qTan(double)
    {16, 351, 717, 2, Smoke::mf_static, 10, 344},	//362 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 335, 101, 2, Smoke::mf_static, 236, 345},	//363 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 324, 720, 2, Smoke::mf_static, 10, 346},	//364 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 417, 467, 1, Smoke::mf_static, 309, 347},	//365 QGlobalSpace::qHash(int)
    {16, 314, 256, 2, Smoke::mf_static, 263, 348},	//366 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 357, 723, 2, Smoke::mf_static, 41, 349},	//367 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {16, 319, 407, 2, Smoke::mf_static, 236, 350},	//368 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 351, 726, 2, Smoke::mf_static, 10, 351},	//369 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 443, 241, 2, Smoke::mf_static, 298, 352},	//370 QGlobalSpace::qPow(double, double)
    {16, 335, 335, 2, Smoke::mf_static, 236, 353},	//371 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 324, 729, 2, Smoke::mf_static, 13, 354},	//372 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {16, 298, 507, 2, Smoke::mf_static, 236, 355},	//373 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 309, 101, 2, Smoke::mf_static, 240, 356},	//374 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 309, 732, 2, Smoke::mf_static, 284, 357},	//375 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 470, 211, 2, Smoke::mf_static, 236, 358},	//376 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 357, 735, 2, Smoke::mf_static, 33, 359},	//377 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {16, 351, 738, 2, Smoke::mf_static, 10, 360},	//378 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 525, 741, 2, Smoke::mf_static, 0, 361},	//379 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 324, 744, 2, Smoke::mf_static, 13, 362},	//380 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 335, 232, 2, Smoke::mf_static, 236, 363},	//381 QGlobalSpace::operator==(const char*, const QString&)
    {16, 324, 747, 2, Smoke::mf_static, 13, 364},	//382 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 401, 46, 1, Smoke::mf_static, 298, 365},	//383 QGlobalSpace::qFastCos(double)
    {16, 324, 750, 2, Smoke::mf_static, 10, 366},	//384 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 317, 643, 2, Smoke::mf_static, 269, 367},	//385 QGlobalSpace::operator/(const QSize&, double)
    {16, 351, 753, 2, Smoke::mf_static, 10, 368},	//386 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 335, 617, 2, Smoke::mf_static, 236, 369},	//387 QGlobalSpace::operator==(bool, QBool)
    {16, 357, 756, 2, Smoke::mf_static, 35, 370},	//388 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {16, 357, 759, 2, Smoke::mf_static, 30, 371},	//389 QGlobalSpace::operator|(QSql::ParamType::enum_type, QFlags<QSql::ParamType::enum_type>)
    {16, 357, 762, 2, Smoke::mf_static, 29, 372},	//390 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {16, 346, 232, 2, Smoke::mf_static, 236, 373},	//391 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 417, 765, 1, Smoke::mf_static, 309, 374},	//392 QGlobalSpace::qHash(char)
    {16, 324, 767, 2, Smoke::mf_static, 10, 375},	//393 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 357, 770, 2, Smoke::mf_static, 53, 376},	//394 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {16, 351, 773, 2, Smoke::mf_static, 10, 377},	//395 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 298, 256, 2, Smoke::mf_static, 236, 378},	//396 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 357, 776, 2, Smoke::mf_static, 36, 379},	//397 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {16, 425, 46, 1, Smoke::mf_static, 236, 380},	//398 QGlobalSpace::qIsFinite(double)
    {16, 314, 69, 2, Smoke::mf_static, 269, 381},	//399 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 458, 0, 0, Smoke::mf_static, 298, 382},	//400 QGlobalSpace::qSNaN()
    {16, 357, 779, 2, Smoke::mf_static, 53, 383},	//401 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {16, 415, 176, 1, Smoke::mf_static, 236, 384},	//402 QGlobalSpace::qFuzzyIsNull(float)
    {16, 357, 782, 2, Smoke::mf_static, 40, 385},	//403 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {16, 475, 706, 2, Smoke::mf_static, 5, 386},	//404 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 298, 95, 2, Smoke::mf_static, 236, 387},	//405 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 403, 46, 1, Smoke::mf_static, 298, 388},	//406 QGlobalSpace::qFastSin(double)
    {16, 324, 785, 2, Smoke::mf_static, 13, 389},	//407 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 309, 256, 2, Smoke::mf_static, 263, 390},	//408 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 335, 625, 2, Smoke::mf_static, 236, 391},	//409 QGlobalSpace::operator==(QBool, bool)
    {16, 335, 66, 2, Smoke::mf_static, 236, 392},	//410 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 357, 788, 2, Smoke::mf_static, 38, 393},	//411 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {16, 357, 791, 2, Smoke::mf_static, 31, 394},	//412 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {16, 514, 289, 2, Smoke::mf_static, 119, 395},	//413 QGlobalSpace::qtTrId(const char*, int)
    {16, 514, 422, 1, Smoke::mf_static, 119, 396},	//414 QGlobalSpace::qtTrId(const char*)
    {16, 351, 794, 2, Smoke::mf_static, 10, 397},	//415 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 309, 797, 2, Smoke::mf_static, 284, 398},	//416 QGlobalSpace::operator+(const QString&, QChar)
    {16, 298, 118, 2, Smoke::mf_static, 236, 399},	//417 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 298, 113, 2, Smoke::mf_static, 236, 400},	//418 QGlobalSpace::operator!=(QBool, QBool)
    {16, 357, 800, 2, Smoke::mf_static, 35, 401},	//419 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {16, 357, 803, 2, Smoke::mf_static, 44, 402},	//420 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {16, 324, 424, 2, Smoke::mf_static, 127, 403},	//421 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 435, 806, 1, Smoke::mf_static, 316, 404},	//422 QGlobalSpace::qMalloc(size_t)
    {16, 324, 808, 2, Smoke::mf_static, 13, 405},	//423 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 335, 516, 2, Smoke::mf_static, 236, 406},	//424 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 324, 811, 2, Smoke::mf_static, 10, 407},	//425 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 408},	//426 QGlobalSpace::_IEEE_ (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 409},	//427 QGlobalSpace::_SVID_ (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 410},	//428 QGlobalSpace::_XOPEN_ (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 411},	//429 QGlobalSpace::_POSIX_ (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 412},	//430 QGlobalSpace::_ISOC_ (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 413},	//431 QGlobalSpace::QtDebugMsg (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 414},	//432 QGlobalSpace::QtWarningMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 415},	//433 QGlobalSpace::QtCriticalMsg (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 416},	//434 QGlobalSpace::QtFatalMsg (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 417},	//435 QGlobalSpace::QtSystemMsg (enum)
    {16, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 418},	//436 QGlobalSpace::__codecvt_ok (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 419},	//437 QGlobalSpace::__codecvt_partial (enum)
    {16, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 420},	//438 QGlobalSpace::__codecvt_error (enum)
    {16, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 421},	//439 QGlobalSpace::__codecvt_noconv (enum)
    {27, 194, 814, 1, Smoke::mf_virtual, 236, 0},	//440 QObject::event(QEvent*)
    {27, 195, 816, 2, Smoke::mf_virtual, 236, 0},	//441 QObject::eventFilter(QObject*, QEvent*)
    {27, 698, 819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//442 QObject::timerEvent(QTimerEvent*)
    {27, 147, 821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//443 QObject::childEvent(QChildEvent*)
    {27, 169, 814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//444 QObject::customEvent(QEvent*)
    {27, 157, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//445 QObject::connectNotify(const char*)
    {27, 184, 422, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//446 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 1},	//447 QSql::In (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 2},	//448 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 3},	//449 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 4},	//450 QSql::Binary (enum)
    {36, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 5},	//451 QSql::LowPrecisionInt32 (enum)
    {36, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 6},	//452 QSql::LowPrecisionInt64 (enum)
    {36, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 7},	//453 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 8},	//454 QSql::HighPrecision (enum)
    {36, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 9},	//455 QSql::Tables (enum)
    {36, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 10},	//456 QSql::SystemTables (enum)
    {36, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 11},	//457 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 12},	//458 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 13},	//459 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 14},	//460 QSql::AfterLastRow (enum)
    {37, 36, 0, 0, Smoke::mf_ctor, 84, 1},	//461 QSqlDatabase::QSqlDatabase()
    {37, 36, 823, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//462 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 333, 823, 1, 0, 83, 3},	//463 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 291, 0, 0, 0, 236, 4},	//464 QSqlDatabase::open()
    {37, 291, 475, 2, 0, 236, 5},	//465 QSqlDatabase::open(const QString&, const QString&)
    {37, 152, 0, 0, 0, 0, 6},	//466 QSqlDatabase::close()
    {37, 267, 0, 0, Smoke::mf_const, 236, 7},	//467 QSqlDatabase::isOpen() const
    {37, 268, 0, 0, Smoke::mf_const, 236, 8},	//468 QSqlDatabase::isOpenError() const
    {37, 695, 825, 1, Smoke::mf_const, 123, 9},	//469 QSqlDatabase::tables(QSql::TableType) const
    {37, 368, 158, 1, Smoke::mf_const, 100, 10},	//470 QSqlDatabase::primaryIndex(const QString&) const
    {37, 542, 158, 1, Smoke::mf_const, 108, 11},	//471 QSqlDatabase::record(const QString&) const
    {37, 196, 158, 1, Smoke::mf_const, 103, 12},	//472 QSqlDatabase::exec(const QString&) const
    {37, 275, 0, 0, Smoke::mf_const, 92, 13},	//473 QSqlDatabase::lastError() const
    {37, 271, 0, 0, Smoke::mf_const, 236, 14},	//474 QSqlDatabase::isValid() const
    {37, 707, 0, 0, 0, 236, 15},	//475 QSqlDatabase::transaction()
    {37, 155, 0, 0, 0, 236, 16},	//476 QSqlDatabase::commit()
    {37, 570, 0, 0, 0, 236, 17},	//477 QSqlDatabase::rollback()
    {37, 594, 158, 1, 0, 0, 18},	//478 QSqlDatabase::setDatabaseName(const QString&)
    {37, 669, 158, 1, 0, 0, 19},	//479 QSqlDatabase::setUserName(const QString&)
    {37, 637, 158, 1, 0, 0, 20},	//480 QSqlDatabase::setPassword(const QString&)
    {37, 618, 158, 1, 0, 0, 21},	//481 QSqlDatabase::setHostName(const QString&)
    {37, 639, 467, 1, 0, 0, 22},	//482 QSqlDatabase::setPort(int)
    {37, 587, 158, 1, 0, 0, 23},	//483 QSqlDatabase::setConnectOptions(const QString&)
    {37, 177, 0, 0, Smoke::mf_const, 119, 24},	//484 QSqlDatabase::databaseName() const
    {37, 716, 0, 0, Smoke::mf_const, 119, 25},	//485 QSqlDatabase::userName() const
    {37, 362, 0, 0, Smoke::mf_const, 119, 26},	//486 QSqlDatabase::password() const
    {37, 230, 0, 0, Smoke::mf_const, 119, 27},	//487 QSqlDatabase::hostName() const
    {37, 187, 0, 0, Smoke::mf_const, 119, 28},	//488 QSqlDatabase::driverName() const
    {37, 363, 0, 0, Smoke::mf_const, 300, 29},	//489 QSqlDatabase::port() const
    {37, 158, 0, 0, Smoke::mf_const, 119, 30},	//490 QSqlDatabase::connectOptions() const
    {37, 159, 0, 0, Smoke::mf_const, 119, 31},	//491 QSqlDatabase::connectionName() const
    {37, 631, 827, 1, 0, 0, 32},	//492 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 290, 0, 0, Smoke::mf_const, 77, 33},	//493 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 186, 0, 0, Smoke::mf_const, 85, 34},	//494 QSqlDatabase::driver() const
    {37, 116, 475, 2, Smoke::mf_static, 82, 35},	//495 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 116, 829, 2, Smoke::mf_static, 82, 36},	//496 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 150, 832, 2, Smoke::mf_static, 82, 37},	//497 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 174, 835, 2, Smoke::mf_static, 82, 38},	//498 QSqlDatabase::database(const QString&, bool)
    {37, 555, 158, 1, Smoke::mf_static, 0, 39},	//499 QSqlDatabase::removeDatabase(const QString&)
    {37, 161, 158, 1, Smoke::mf_static, 236, 40},	//500 QSqlDatabase::contains(const QString&)
    {37, 189, 0, 0, Smoke::mf_static, 123, 41},	//501 QSqlDatabase::drivers()
    {37, 160, 0, 0, Smoke::mf_static, 123, 42},	//502 QSqlDatabase::connectionNames()
    {37, 544, 838, 2, Smoke::mf_static, 0, 43},	//503 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 255, 158, 1, Smoke::mf_static, 236, 44},	//504 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 36, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 84, 45},	//505 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 36, 841, 1, Smoke::mf_ctor|Smoke::mf_protected, 84, 46},	//506 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 695, 0, 0, Smoke::mf_const, 123, 47},	//507 QSqlDatabase::tables() const
    {37, 196, 0, 0, Smoke::mf_const, 103, 48},	//508 QSqlDatabase::exec() const
    {37, 587, 0, 0, 0, 0, 49},	//509 QSqlDatabase::setConnectOptions()
    {37, 116, 158, 1, Smoke::mf_static, 82, 50},	//510 QSqlDatabase::addDatabase(const QString&)
    {37, 116, 841, 1, Smoke::mf_static, 82, 51},	//511 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 174, 0, 0, Smoke::mf_static, 82, 52},	//512 QSqlDatabase::database()
    {37, 174, 158, 1, Smoke::mf_static, 82, 53},	//513 QSqlDatabase::database(const QString&)
    {37, 161, 0, 0, Smoke::mf_static, 236, 54},	//514 QSqlDatabase::contains()
    {37, 179, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 55},	//515 QSqlDatabase::defaultConnection() const
    {37, 598, 422, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//516 QSqlDatabase::setDefaultConnection(const char*)
    {37, 721, 0, 0, Smoke::mf_dtor, 0, 57 },	//517 QSqlDatabase::~QSqlDatabase()
    {38, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 1},	//518 QSqlDriver::metaObject() const
    {38, 529, 422, 1, Smoke::mf_virtual, 316, 2},	//519 QSqlDriver::qt_metacast(const char*)
    {38, 699, 530, 2, Smoke::mf_static, 119, 3},	//520 QSqlDriver::tr(const char*, const char*)
    {38, 703, 530, 2, Smoke::mf_static, 119, 4},	//521 QSqlDriver::trUtf8(const char*, const char*)
    {38, 699, 36, 3, Smoke::mf_static, 119, 5},	//522 QSqlDriver::tr(const char*, const char*, int)
    {38, 703, 36, 3, Smoke::mf_static, 119, 6},	//523 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 527, 843, 3, Smoke::mf_virtual, 300, 7},	//524 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 39, 847, 1, Smoke::mf_ctor, 85, 8},	//525 QSqlDriver::QSqlDriver(QObject*)
    {38, 267, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 236, 9},	//526 QSqlDriver::isOpen() const
    {38, 268, 0, 0, Smoke::mf_const, 236, 10},	//527 QSqlDriver::isOpenError() const
    {38, 131, 0, 0, Smoke::mf_virtual, 236, 11},	//528 QSqlDriver::beginTransaction()
    {38, 156, 0, 0, Smoke::mf_virtual, 236, 12},	//529 QSqlDriver::commitTransaction()
    {38, 571, 0, 0, Smoke::mf_virtual, 236, 13},	//530 QSqlDriver::rollbackTransaction()
    {38, 695, 825, 1, Smoke::mf_const|Smoke::mf_virtual, 123, 14},	//531 QSqlDriver::tables(QSql::TableType) const
    {38, 368, 158, 1, Smoke::mf_const|Smoke::mf_virtual, 100, 15},	//532 QSqlDriver::primaryIndex(const QString&) const
    {38, 542, 158, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 16},	//533 QSqlDriver::record(const QString&) const
    {38, 220, 849, 2, Smoke::mf_const|Smoke::mf_virtual, 119, 17},	//534 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 192, 852, 2, Smoke::mf_const|Smoke::mf_virtual, 119, 18},	//535 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 678, 855, 4, Smoke::mf_const|Smoke::mf_virtual, 119, 19},	//536 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 275, 0, 0, Smoke::mf_const, 92, 20},	//537 QSqlDriver::lastError() const
    {38, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 136, 21},	//538 QSqlDriver::handle() const
    {38, 224, 860, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 22},	//539 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 152, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//540 QSqlDriver::close() [pure virtual]
    {38, 167, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 114, 24},	//541 QSqlDriver::createResult() const [pure virtual]
    {38, 291, 862, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 25},	//542 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 687, 158, 1, 0, 236, 26},	//543 QSqlDriver::subscribeToNotification(const QString&)
    {38, 710, 158, 1, 0, 236, 27},	//544 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 691, 0, 0, Smoke::mf_const, 123, 28},	//545 QSqlDriver::subscribedToNotifications() const
    {38, 261, 852, 2, Smoke::mf_const, 236, 29},	//546 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 681, 852, 2, Smoke::mf_const, 119, 30},	//547 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 631, 827, 1, 0, 0, 31},	//548 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 290, 0, 0, Smoke::mf_const, 77, 32},	//549 QSqlDriver::numericalPrecisionPolicy() const
    {38, 286, 158, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//550 QSqlDriver::notification(const QString&)
    {38, 633, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//551 QSqlDriver::setOpen(bool)
    {38, 635, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//552 QSqlDriver::setOpenError(bool)
    {38, 621, 871, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//553 QSqlDriver::setLastError(const QSqlError&)
    {38, 689, 158, 1, Smoke::mf_protected|Smoke::mf_slot, 236, 37},	//554 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 712, 158, 1, Smoke::mf_protected|Smoke::mf_slot, 236, 38},	//555 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 692, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 123, 39},	//556 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 263, 852, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 236, 40},	//557 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 683, 852, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 119, 41},	//558 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 699, 422, 1, Smoke::mf_static, 119, 42},	//559 QSqlDriver::tr(const char*)
    {38, 703, 422, 1, Smoke::mf_static, 119, 43},	//560 QSqlDriver::trUtf8(const char*)
    {38, 39, 0, 0, Smoke::mf_ctor, 85, 44},	//561 QSqlDriver::QSqlDriver()
    {38, 220, 873, 1, Smoke::mf_const, 119, 45},	//562 QSqlDriver::formatValue(const QSqlField&) const
    {38, 291, 158, 1, Smoke::mf_purevirtual, 236, 46},	//563 QSqlDriver::open(const QString&) [pure virtual]
    {38, 291, 475, 2, Smoke::mf_purevirtual, 236, 47},	//564 QSqlDriver::open(const QString&, const QString&) [pure virtual]
    {38, 291, 875, 3, Smoke::mf_purevirtual, 236, 48},	//565 QSqlDriver::open(const QString&, const QString&, const QString&) [pure virtual]
    {38, 291, 879, 4, Smoke::mf_purevirtual, 236, 49},	//566 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {38, 291, 884, 5, Smoke::mf_purevirtual, 236, 50},	//567 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int) [pure virtual]
    {38, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 255, 51},	//568 QSqlDriver::staticMetaObject() const
    {38, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 52},	//569 QSqlDriver::Transactions (enum)
    {38, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 53},	//570 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 54},	//571 QSqlDriver::BLOB (enum)
    {38, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 55},	//572 QSqlDriver::Unicode (enum)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 56},	//573 QSqlDriver::PreparedQueries (enum)
    {38, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 57},	//574 QSqlDriver::NamedPlaceholders (enum)
    {38, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 58},	//575 QSqlDriver::PositionalPlaceholders (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 59},	//576 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 60},	//577 QSqlDriver::BatchOperations (enum)
    {38, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 61},	//578 QSqlDriver::SimpleLocking (enum)
    {38, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 62},	//579 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 63},	//580 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 64},	//581 QSqlDriver::FinishQuery (enum)
    {38, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 65},	//582 QSqlDriver::MultipleResultSets (enum)
    {38, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 66},	//583 QSqlDriver::WhereStatement (enum)
    {38, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 67},	//584 QSqlDriver::SelectStatement (enum)
    {38, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 68},	//585 QSqlDriver::UpdateStatement (enum)
    {38, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 69},	//586 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 70},	//587 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 71},	//588 QSqlDriver::FieldName (enum)
    {38, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 72},	//589 QSqlDriver::TableName (enum)
    {38, 722, 0, 0, Smoke::mf_dtor, 0, 73 },	//590 QSqlDriver::~QSqlDriver()
    {39, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 85, 1},	//591 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 41, 0, 0, Smoke::mf_ctor, 89, 2},	//592 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 41, 890, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 3},	//593 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 723, 0, 0, Smoke::mf_dtor, 0, 4 },	//594 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 164, 158, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 85, 1},	//595 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 43, 0, 0, Smoke::mf_ctor, 90, 2},	//596 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 43, 892, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 3},	//597 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 724, 0, 0, Smoke::mf_dtor, 0, 4 },	//598 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 1},	//599 QSqlDriverPlugin::metaObject() const
    {41, 529, 422, 1, Smoke::mf_virtual, 316, 2},	//600 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 699, 530, 2, Smoke::mf_static, 119, 3},	//601 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 703, 530, 2, Smoke::mf_static, 119, 4},	//602 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 699, 36, 3, Smoke::mf_static, 119, 5},	//603 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 703, 36, 3, Smoke::mf_static, 119, 6},	//604 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 527, 843, 3, Smoke::mf_virtual, 300, 7},	//605 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 45, 847, 1, Smoke::mf_ctor, 91, 8},	//606 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 9},	//607 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 164, 158, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 85, 10},	//608 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 699, 422, 1, Smoke::mf_static, 119, 11},	//609 QSqlDriverPlugin::tr(const char*)
    {41, 703, 422, 1, Smoke::mf_static, 119, 12},	//610 QSqlDriverPlugin::trUtf8(const char*)
    {41, 45, 0, 0, Smoke::mf_ctor, 91, 13},	//611 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 255, 14},	//612 QSqlDriverPlugin::staticMetaObject() const
    {41, 725, 0, 0, Smoke::mf_dtor, 0, 15 },	//613 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 47, 894, 4, Smoke::mf_ctor, 94, 1},	//614 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 47, 871, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//615 QSqlError::QSqlError(const QSqlError&)
    {42, 333, 871, 1, 0, 93, 3},	//616 QSqlError::operator=(const QSqlError&)
    {42, 188, 0, 0, Smoke::mf_const, 119, 4},	//617 QSqlError::driverText() const
    {42, 604, 158, 1, 0, 0, 5},	//618 QSqlError::setDriverText(const QString&)
    {42, 178, 0, 0, Smoke::mf_const, 119, 6},	//619 QSqlError::databaseText() const
    {42, 596, 158, 1, 0, 0, 7},	//620 QSqlError::setDatabaseText(const QString&)
    {42, 708, 0, 0, Smoke::mf_const, 95, 8},	//621 QSqlError::type() const
    {42, 667, 899, 1, 0, 0, 9},	//622 QSqlError::setType(QSqlError::ErrorType)
    {42, 289, 0, 0, Smoke::mf_const, 300, 10},	//623 QSqlError::number() const
    {42, 629, 467, 1, 0, 0, 11},	//624 QSqlError::setNumber(int)
    {42, 697, 0, 0, Smoke::mf_const, 119, 12},	//625 QSqlError::text() const
    {42, 271, 0, 0, Smoke::mf_const, 236, 13},	//626 QSqlError::isValid() const
    {42, 47, 0, 0, Smoke::mf_ctor, 94, 14},	//627 QSqlError::QSqlError()
    {42, 47, 158, 1, Smoke::mf_ctor, 94, 15},	//628 QSqlError::QSqlError(const QString&)
    {42, 47, 475, 2, Smoke::mf_ctor, 94, 16},	//629 QSqlError::QSqlError(const QString&, const QString&)
    {42, 47, 901, 3, Smoke::mf_ctor, 94, 17},	//630 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 18},	//631 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 19},	//632 QSqlError::ConnectionError (enum)
    {42, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 20},	//633 QSqlError::StatementError (enum)
    {42, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 21},	//634 QSqlError::TransactionError (enum)
    {42, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 22},	//635 QSqlError::UnknownError (enum)
    {42, 726, 0, 0, Smoke::mf_dtor, 0, 23 },	//636 QSqlError::~QSqlError()
    {43, 53, 905, 2, Smoke::mf_ctor, 98, 1},	//637 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 53, 873, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//638 QSqlField::QSqlField(const QSqlField&)
    {43, 333, 873, 1, 0, 97, 3},	//639 QSqlField::operator=(const QSqlField&)
    {43, 335, 873, 1, Smoke::mf_const, 236, 4},	//640 QSqlField::operator==(const QSqlField&) const
    {43, 298, 873, 1, Smoke::mf_const, 236, 5},	//641 QSqlField::operator!=(const QSqlField&) const
    {43, 671, 908, 1, 0, 0, 6},	//642 QSqlField::setValue(const QVariant&)
    {43, 717, 0, 0, Smoke::mf_const, 136, 7},	//643 QSqlField::value() const
    {43, 625, 158, 1, 0, 0, 8},	//644 QSqlField::setName(const QString&)
    {43, 283, 0, 0, Smoke::mf_const, 119, 9},	//645 QSqlField::name() const
    {43, 265, 0, 0, Smoke::mf_const, 236, 10},	//646 QSqlField::isNull() const
    {43, 649, 869, 1, 0, 0, 11},	//647 QSqlField::setReadOnly(bool)
    {43, 269, 0, 0, Smoke::mf_const, 236, 12},	//648 QSqlField::isReadOnly() const
    {43, 148, 0, 0, 0, 0, 13},	//649 QSqlField::clear()
    {43, 708, 0, 0, Smoke::mf_const, 138, 14},	//650 QSqlField::type() const
    {43, 250, 0, 0, Smoke::mf_const, 236, 15},	//651 QSqlField::isAutoValue() const
    {43, 667, 910, 1, 0, 0, 16},	//652 QSqlField::setType(QVariant::Type)
    {43, 657, 912, 1, 0, 0, 17},	//653 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 655, 869, 1, 0, 0, 18},	//654 QSqlField::setRequired(bool)
    {43, 623, 467, 1, 0, 0, 19},	//655 QSqlField::setLength(int)
    {43, 641, 467, 1, 0, 0, 20},	//656 QSqlField::setPrecision(int)
    {43, 600, 908, 1, 0, 0, 21},	//657 QSqlField::setDefaultValue(const QVariant&)
    {43, 663, 467, 1, 0, 0, 22},	//658 QSqlField::setSqlType(int)
    {43, 612, 869, 1, 0, 0, 23},	//659 QSqlField::setGenerated(bool)
    {43, 585, 869, 1, 0, 0, 24},	//660 QSqlField::setAutoValue(bool)
    {43, 562, 0, 0, Smoke::mf_const, 99, 25},	//661 QSqlField::requiredStatus() const
    {43, 278, 0, 0, Smoke::mf_const, 300, 26},	//662 QSqlField::length() const
    {43, 364, 0, 0, Smoke::mf_const, 300, 27},	//663 QSqlField::precision() const
    {43, 180, 0, 0, Smoke::mf_const, 136, 28},	//664 QSqlField::defaultValue() const
    {43, 709, 0, 0, Smoke::mf_const, 300, 29},	//665 QSqlField::typeID() const
    {43, 259, 0, 0, Smoke::mf_const, 236, 30},	//666 QSqlField::isGenerated() const
    {43, 271, 0, 0, Smoke::mf_const, 236, 31},	//667 QSqlField::isValid() const
    {43, 53, 0, 0, Smoke::mf_ctor, 98, 32},	//668 QSqlField::QSqlField()
    {43, 53, 158, 1, Smoke::mf_ctor, 98, 33},	//669 QSqlField::QSqlField(const QString&)
    {43, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 34},	//670 QSqlField::Unknown (enum)
    {43, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 35},	//671 QSqlField::Optional (enum)
    {43, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 36},	//672 QSqlField::Required (enum)
    {43, 727, 0, 0, Smoke::mf_dtor, 0, 37 },	//673 QSqlField::~QSqlField()
    {44, 57, 475, 2, Smoke::mf_ctor, 102, 1},	//674 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 57, 914, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//675 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 333, 914, 1, 0, 101, 3},	//676 QSqlIndex::operator=(const QSqlIndex&)
    {44, 589, 158, 1, 0, 0, 4},	//677 QSqlIndex::setCursorName(const QString&)
    {44, 168, 0, 0, Smoke::mf_const, 119, 5},	//678 QSqlIndex::cursorName() const
    {44, 625, 158, 1, 0, 0, 6},	//679 QSqlIndex::setName(const QString&)
    {44, 283, 0, 0, Smoke::mf_const, 119, 7},	//680 QSqlIndex::name() const
    {44, 121, 873, 1, 0, 0, 8},	//681 QSqlIndex::append(const QSqlField&)
    {44, 121, 849, 2, 0, 0, 9},	//682 QSqlIndex::append(const QSqlField&, bool)
    {44, 251, 467, 1, Smoke::mf_const, 236, 10},	//683 QSqlIndex::isDescending(int) const
    {44, 602, 916, 2, 0, 0, 11},	//684 QSqlIndex::setDescending(int, bool)
    {44, 57, 0, 0, Smoke::mf_ctor, 102, 12},	//685 QSqlIndex::QSqlIndex()
    {44, 57, 158, 1, Smoke::mf_ctor, 102, 13},	//686 QSqlIndex::QSqlIndex(const QString&)
    {44, 728, 0, 0, Smoke::mf_dtor, 0, 14 },	//687 QSqlIndex::~QSqlIndex()
    {45, 61, 919, 1, Smoke::mf_ctor, 105, 1},	//688 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 61, 921, 2, Smoke::mf_ctor, 105, 2},	//689 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 61, 924, 1, Smoke::mf_ctor, 105, 3},	//690 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 61, 926, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 4},	//691 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 333, 926, 1, 0, 104, 5},	//692 QSqlQuery::operator=(const QSqlQuery&)
    {45, 271, 0, 0, Smoke::mf_const, 236, 6},	//693 QSqlQuery::isValid() const
    {45, 249, 0, 0, Smoke::mf_const, 236, 7},	//694 QSqlQuery::isActive() const
    {45, 265, 467, 1, Smoke::mf_const, 236, 8},	//695 QSqlQuery::isNull(int) const
    {45, 124, 0, 0, Smoke::mf_const, 300, 9},	//696 QSqlQuery::at() const
    {45, 277, 0, 0, Smoke::mf_const, 119, 10},	//697 QSqlQuery::lastQuery() const
    {45, 288, 0, 0, Smoke::mf_const, 300, 11},	//698 QSqlQuery::numRowsAffected() const
    {45, 275, 0, 0, Smoke::mf_const, 92, 12},	//699 QSqlQuery::lastError() const
    {45, 270, 0, 0, Smoke::mf_const, 236, 13},	//700 QSqlQuery::isSelect() const
    {45, 674, 0, 0, Smoke::mf_const, 300, 14},	//701 QSqlQuery::size() const
    {45, 186, 0, 0, Smoke::mf_const, 274, 15},	//702 QSqlQuery::driver() const
    {45, 565, 0, 0, Smoke::mf_const, 283, 16},	//703 QSqlQuery::result() const
    {45, 258, 0, 0, Smoke::mf_const, 236, 17},	//704 QSqlQuery::isForwardOnly() const
    {45, 542, 0, 0, Smoke::mf_const, 108, 18},	//705 QSqlQuery::record() const
    {45, 610, 869, 1, 0, 0, 19},	//706 QSqlQuery::setForwardOnly(bool)
    {45, 196, 158, 1, 0, 236, 20},	//707 QSqlQuery::exec(const QString&)
    {45, 717, 467, 1, Smoke::mf_const, 136, 21},	//708 QSqlQuery::value(int) const
    {45, 631, 827, 1, 0, 0, 22},	//709 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 290, 0, 0, Smoke::mf_const, 77, 23},	//710 QSqlQuery::numericalPrecisionPolicy() const
    {45, 576, 916, 2, 0, 236, 24},	//711 QSqlQuery::seek(int, bool)
    {45, 284, 0, 0, 0, 236, 25},	//712 QSqlQuery::next()
    {45, 367, 0, 0, 0, 236, 26},	//713 QSqlQuery::previous()
    {45, 217, 0, 0, 0, 236, 27},	//714 QSqlQuery::first()
    {45, 274, 0, 0, 0, 236, 28},	//715 QSqlQuery::last()
    {45, 148, 0, 0, 0, 0, 29},	//716 QSqlQuery::clear()
    {45, 196, 0, 0, 0, 236, 30},	//717 QSqlQuery::exec()
    {45, 198, 928, 1, 0, 236, 31},	//718 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 365, 158, 1, 0, 236, 32},	//719 QSqlQuery::prepare(const QString&)
    {45, 132, 930, 3, 0, 0, 33},	//720 QSqlQuery::bindValue(const QString&, const QVariant&, QSql::ParamType)
    {45, 132, 934, 3, 0, 0, 34},	//721 QSqlQuery::bindValue(int, const QVariant&, QSql::ParamType)
    {45, 113, 938, 2, 0, 0, 35},	//722 QSqlQuery::addBindValue(const QVariant&, QSql::ParamType)
    {45, 138, 158, 1, Smoke::mf_const, 136, 36},	//723 QSqlQuery::boundValue(const QString&) const
    {45, 138, 467, 1, Smoke::mf_const, 136, 37},	//724 QSqlQuery::boundValue(int) const
    {45, 143, 0, 0, Smoke::mf_const, 61, 38},	//725 QSqlQuery::boundValues() const
    {45, 200, 0, 0, Smoke::mf_const, 119, 39},	//726 QSqlQuery::executedQuery() const
    {45, 276, 0, 0, Smoke::mf_const, 136, 40},	//727 QSqlQuery::lastInsertId() const
    {45, 216, 0, 0, 0, 0, 41},	//728 QSqlQuery::finish()
    {45, 285, 0, 0, 0, 236, 42},	//729 QSqlQuery::nextResult()
    {45, 61, 0, 0, Smoke::mf_ctor, 105, 43},	//730 QSqlQuery::QSqlQuery()
    {45, 61, 158, 1, Smoke::mf_ctor, 105, 44},	//731 QSqlQuery::QSqlQuery(const QString&)
    {45, 576, 467, 1, 0, 236, 45},	//732 QSqlQuery::seek(int)
    {45, 198, 0, 0, 0, 236, 46},	//733 QSqlQuery::execBatch()
    {45, 132, 941, 2, 0, 0, 47},	//734 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 132, 944, 2, 0, 0, 48},	//735 QSqlQuery::bindValue(int, const QVariant&)
    {45, 113, 908, 1, 0, 0, 49},	//736 QSqlQuery::addBindValue(const QVariant&)
    {45, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 50},	//737 QSqlQuery::ValuesAsRows (enum)
    {45, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 51},	//738 QSqlQuery::ValuesAsColumns (enum)
    {45, 729, 0, 0, Smoke::mf_dtor, 0, 52 },	//739 QSqlQuery::~QSqlQuery()
    {46, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 1},	//740 QSqlQueryModel::metaObject() const
    {46, 529, 422, 1, Smoke::mf_virtual, 316, 2},	//741 QSqlQueryModel::qt_metacast(const char*)
    {46, 699, 530, 2, Smoke::mf_static, 119, 3},	//742 QSqlQueryModel::tr(const char*, const char*)
    {46, 703, 530, 2, Smoke::mf_static, 119, 4},	//743 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 699, 36, 3, Smoke::mf_static, 119, 5},	//744 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 703, 36, 3, Smoke::mf_static, 119, 6},	//745 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 527, 843, 3, Smoke::mf_virtual, 300, 7},	//746 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 65, 847, 1, Smoke::mf_ctor, 107, 8},	//747 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 572, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 300, 9},	//748 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 153, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 300, 10},	//749 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 542, 467, 1, Smoke::mf_const, 108, 11},	//750 QSqlQueryModel::record(int) const
    {46, 542, 0, 0, Smoke::mf_const, 108, 12},	//751 QSqlQueryModel::record() const
    {46, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 136, 13},	//752 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 227, 950, 3, Smoke::mf_const|Smoke::mf_virtual, 136, 14},	//753 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 615, 954, 4, Smoke::mf_virtual, 236, 15},	//754 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 239, 12, 3, Smoke::mf_virtual, 236, 16},	//755 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 552, 12, 3, Smoke::mf_virtual, 236, 17},	//756 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 645, 926, 1, 0, 0, 18},	//757 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 645, 959, 2, 0, 0, 19},	//758 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 536, 0, 0, Smoke::mf_const, 103, 20},	//759 QSqlQueryModel::query() const
    {46, 148, 0, 0, Smoke::mf_virtual, 0, 21},	//760 QSqlQueryModel::clear()
    {46, 275, 0, 0, Smoke::mf_const, 92, 22},	//761 QSqlQueryModel::lastError() const
    {46, 205, 5, 1, Smoke::mf_virtual, 0, 23},	//762 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 145, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 236, 24},	//763 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 537, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//764 QSqlQueryModel::queryChange()
    {46, 233, 5, 1, Smoke::mf_const|Smoke::mf_protected, 65, 26},	//765 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 621, 871, 1, Smoke::mf_protected, 0, 27},	//766 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 699, 422, 1, Smoke::mf_static, 119, 28},	//767 QSqlQueryModel::tr(const char*)
    {46, 703, 422, 1, Smoke::mf_static, 119, 29},	//768 QSqlQueryModel::trUtf8(const char*)
    {46, 65, 0, 0, Smoke::mf_ctor, 107, 30},	//769 QSqlQueryModel::QSqlQueryModel()
    {46, 572, 0, 0, Smoke::mf_const, 300, 31},	//770 QSqlQueryModel::rowCount() const
    {46, 153, 0, 0, Smoke::mf_const, 300, 32},	//771 QSqlQueryModel::columnCount() const
    {46, 170, 5, 1, Smoke::mf_const, 136, 33},	//772 QSqlQueryModel::data(const QModelIndex&) const
    {46, 227, 962, 2, Smoke::mf_const, 136, 34},	//773 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 615, 965, 3, 0, 236, 35},	//774 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 239, 969, 2, 0, 236, 36},	//775 QSqlQueryModel::insertColumns(int, int)
    {46, 552, 969, 2, 0, 236, 37},	//776 QSqlQueryModel::removeColumns(int, int)
    {46, 645, 158, 1, 0, 0, 38},	//777 QSqlQueryModel::setQuery(const QString&)
    {46, 205, 0, 0, 0, 0, 39},	//778 QSqlQueryModel::fetchMore()
    {46, 145, 0, 0, Smoke::mf_const, 236, 40},	//779 QSqlQueryModel::canFetchMore() const
    {46, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 255, 41},	//780 QSqlQueryModel::staticMetaObject() const
    {46, 730, 0, 0, Smoke::mf_dtor, 0, 42 },	//781 QSqlQueryModel::~QSqlQueryModel()
    {47, 67, 0, 0, Smoke::mf_ctor, 110, 1},	//782 QSqlRecord::QSqlRecord()
    {47, 67, 972, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//783 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 333, 972, 1, 0, 109, 3},	//784 QSqlRecord::operator=(const QSqlRecord&)
    {47, 335, 972, 1, Smoke::mf_const, 236, 4},	//785 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 298, 972, 1, Smoke::mf_const, 236, 5},	//786 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 717, 467, 1, Smoke::mf_const, 136, 6},	//787 QSqlRecord::value(int) const
    {47, 717, 158, 1, Smoke::mf_const, 136, 7},	//788 QSqlRecord::value(const QString&) const
    {47, 671, 944, 2, 0, 0, 8},	//789 QSqlRecord::setValue(int, const QVariant&)
    {47, 671, 941, 2, 0, 0, 9},	//790 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 627, 467, 1, 0, 0, 10},	//791 QSqlRecord::setNull(int)
    {47, 627, 158, 1, 0, 0, 11},	//792 QSqlRecord::setNull(const QString&)
    {47, 265, 467, 1, Smoke::mf_const, 236, 12},	//793 QSqlRecord::isNull(int) const
    {47, 265, 158, 1, Smoke::mf_const, 236, 13},	//794 QSqlRecord::isNull(const QString&) const
    {47, 235, 158, 1, Smoke::mf_const, 300, 14},	//795 QSqlRecord::indexOf(const QString&) const
    {47, 213, 467, 1, Smoke::mf_const, 119, 15},	//796 QSqlRecord::fieldName(int) const
    {47, 209, 467, 1, Smoke::mf_const, 96, 16},	//797 QSqlRecord::field(int) const
    {47, 209, 158, 1, Smoke::mf_const, 96, 17},	//798 QSqlRecord::field(const QString&) const
    {47, 259, 467, 1, Smoke::mf_const, 236, 18},	//799 QSqlRecord::isGenerated(int) const
    {47, 259, 158, 1, Smoke::mf_const, 236, 19},	//800 QSqlRecord::isGenerated(const QString&) const
    {47, 612, 835, 2, 0, 0, 20},	//801 QSqlRecord::setGenerated(const QString&, bool)
    {47, 612, 916, 2, 0, 0, 21},	//802 QSqlRecord::setGenerated(int, bool)
    {47, 121, 873, 1, 0, 0, 22},	//803 QSqlRecord::append(const QSqlField&)
    {47, 560, 974, 2, 0, 0, 23},	//804 QSqlRecord::replace(int, const QSqlField&)
    {47, 237, 974, 2, 0, 0, 24},	//805 QSqlRecord::insert(int, const QSqlField&)
    {47, 550, 467, 1, 0, 0, 25},	//806 QSqlRecord::remove(int)
    {47, 257, 0, 0, Smoke::mf_const, 236, 26},	//807 QSqlRecord::isEmpty() const
    {47, 161, 158, 1, Smoke::mf_const, 236, 27},	//808 QSqlRecord::contains(const QString&) const
    {47, 148, 0, 0, 0, 0, 28},	//809 QSqlRecord::clear()
    {47, 149, 0, 0, 0, 0, 29},	//810 QSqlRecord::clearValues()
    {47, 163, 0, 0, Smoke::mf_const, 300, 30},	//811 QSqlRecord::count() const
    {47, 731, 0, 0, Smoke::mf_dtor, 0, 31 },	//812 QSqlRecord::~QSqlRecord()
    {48, 69, 0, 0, Smoke::mf_ctor, 112, 1},	//813 QSqlRelation::QSqlRelation()
    {48, 69, 875, 3, Smoke::mf_ctor, 112, 2},	//814 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 694, 0, 0, Smoke::mf_const, 119, 3},	//815 QSqlRelation::tableName() const
    {48, 232, 0, 0, Smoke::mf_const, 119, 4},	//816 QSqlRelation::indexColumn() const
    {48, 185, 0, 0, Smoke::mf_const, 119, 5},	//817 QSqlRelation::displayColumn() const
    {48, 271, 0, 0, Smoke::mf_const, 236, 6},	//818 QSqlRelation::isValid() const
    {48, 69, 977, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 112, 7},	//819 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 732, 0, 0, Smoke::mf_dtor, 0, 8 },	//820 QSqlRelation::~QSqlRelation()
    {49, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 1},	//821 QSqlRelationalTableModel::metaObject() const
    {49, 529, 422, 1, Smoke::mf_virtual, 316, 2},	//822 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 699, 530, 2, Smoke::mf_static, 119, 3},	//823 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 703, 530, 2, Smoke::mf_static, 119, 4},	//824 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 699, 36, 3, Smoke::mf_static, 119, 5},	//825 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 703, 36, 3, Smoke::mf_static, 119, 6},	//826 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 527, 843, 3, Smoke::mf_virtual, 300, 7},	//827 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 72, 979, 2, Smoke::mf_ctor, 113, 8},	//828 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 136, 9},	//829 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 591, 1, 3, Smoke::mf_virtual, 236, 10},	//830 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 552, 12, 3, Smoke::mf_virtual, 236, 11},	//831 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 148, 0, 0, Smoke::mf_virtual, 0, 12},	//832 QSqlRelationalTableModel::clear()
    {49, 579, 0, 0, Smoke::mf_virtual, 236, 13},	//833 QSqlRelationalTableModel::select()
    {49, 665, 158, 1, Smoke::mf_virtual, 0, 14},	//834 QSqlRelationalTableModel::setTable(const QString&)
    {49, 653, 982, 2, Smoke::mf_virtual, 0, 15},	//835 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 546, 467, 1, Smoke::mf_const, 111, 16},	//836 QSqlRelationalTableModel::relation(int) const
    {49, 548, 467, 1, Smoke::mf_const|Smoke::mf_virtual, 117, 17},	//837 QSqlRelationalTableModel::relationModel(int) const
    {49, 568, 467, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//838 QSqlRelationalTableModel::revertRow(int)
    {49, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 119, 19},	//839 QSqlRelationalTableModel::selectStatement() const
    {49, 714, 985, 2, Smoke::mf_protected|Smoke::mf_virtual, 236, 20},	//840 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 244, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 236, 21},	//841 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 119, 22},	//842 QSqlRelationalTableModel::orderByClause() const
    {49, 699, 422, 1, Smoke::mf_static, 119, 23},	//843 QSqlRelationalTableModel::tr(const char*)
    {49, 703, 422, 1, Smoke::mf_static, 119, 24},	//844 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 72, 0, 0, Smoke::mf_ctor, 113, 25},	//845 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 72, 847, 1, Smoke::mf_ctor, 113, 26},	//846 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 170, 5, 1, Smoke::mf_const, 136, 27},	//847 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 591, 988, 2, 0, 236, 28},	//848 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 552, 969, 2, 0, 236, 29},	//849 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 255, 30},	//850 QSqlRelationalTableModel::staticMetaObject() const
    {49, 733, 0, 0, Smoke::mf_dtor, 0, 31 },	//851 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 136, 1},	//852 QSqlResult::handle() const
    {50, 75, 991, 1, Smoke::mf_ctor|Smoke::mf_protected, 114, 2},	//853 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 124, 0, 0, Smoke::mf_const|Smoke::mf_protected, 300, 3},	//854 QSqlResult::at() const
    {50, 277, 0, 0, Smoke::mf_const|Smoke::mf_protected, 119, 4},	//855 QSqlResult::lastQuery() const
    {50, 275, 0, 0, Smoke::mf_const|Smoke::mf_protected, 92, 5},	//856 QSqlResult::lastError() const
    {50, 271, 0, 0, Smoke::mf_const|Smoke::mf_protected, 236, 6},	//857 QSqlResult::isValid() const
    {50, 249, 0, 0, Smoke::mf_const|Smoke::mf_protected, 236, 7},	//858 QSqlResult::isActive() const
    {50, 270, 0, 0, Smoke::mf_const|Smoke::mf_protected, 236, 8},	//859 QSqlResult::isSelect() const
    {50, 258, 0, 0, Smoke::mf_const|Smoke::mf_protected, 236, 9},	//860 QSqlResult::isForwardOnly() const
    {50, 186, 0, 0, Smoke::mf_const|Smoke::mf_protected, 274, 10},	//861 QSqlResult::driver() const
    {50, 583, 467, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//862 QSqlResult::setAt(int)
    {50, 581, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//863 QSqlResult::setActive(bool)
    {50, 621, 871, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//864 QSqlResult::setLastError(const QSqlError&)
    {50, 645, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//865 QSqlResult::setQuery(const QString&)
    {50, 659, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//866 QSqlResult::setSelect(bool)
    {50, 610, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//867 QSqlResult::setForwardOnly(bool)
    {50, 196, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 236, 17},	//868 QSqlResult::exec()
    {50, 365, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 236, 18},	//869 QSqlResult::prepare(const QString&)
    {50, 574, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 236, 19},	//870 QSqlResult::savePrepare(const QString&)
    {50, 132, 934, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//871 QSqlResult::bindValue(int, const QVariant&, QSql::ParamType)
    {50, 132, 930, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//872 QSqlResult::bindValue(const QString&, const QVariant&, QSql::ParamType)
    {50, 113, 938, 2, Smoke::mf_protected, 0, 22},	//873 QSqlResult::addBindValue(const QVariant&, QSql::ParamType)
    {50, 138, 158, 1, Smoke::mf_const|Smoke::mf_protected, 136, 23},	//874 QSqlResult::boundValue(const QString&) const
    {50, 138, 467, 1, Smoke::mf_const|Smoke::mf_protected, 136, 24},	//875 QSqlResult::boundValue(int) const
    {50, 135, 158, 1, Smoke::mf_const|Smoke::mf_protected, 78, 25},	//876 QSqlResult::bindValueType(const QString&) const
    {50, 135, 467, 1, Smoke::mf_const|Smoke::mf_protected, 78, 26},	//877 QSqlResult::bindValueType(int) const
    {50, 140, 0, 0, Smoke::mf_const|Smoke::mf_protected, 300, 27},	//878 QSqlResult::boundValueCount() const
    {50, 143, 0, 0, Smoke::mf_const|Smoke::mf_protected, 140, 28},	//879 QSqlResult::boundValues() const
    {50, 200, 0, 0, Smoke::mf_const|Smoke::mf_protected, 119, 29},	//880 QSqlResult::executedQuery() const
    {50, 141, 467, 1, Smoke::mf_const|Smoke::mf_protected, 119, 30},	//881 QSqlResult::boundValueName(int) const
    {50, 148, 0, 0, Smoke::mf_protected, 0, 31},	//882 QSqlResult::clear()
    {50, 226, 0, 0, Smoke::mf_const|Smoke::mf_protected, 236, 32},	//883 QSqlResult::hasOutValues() const
    {50, 137, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 33},	//884 QSqlResult::bindingSyntax() const
    {50, 170, 467, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 136, 34},	//885 QSqlResult::data(int) [pure virtual]
    {50, 265, 467, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 35},	//886 QSqlResult::isNull(int) [pure virtual]
    {50, 563, 158, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 36},	//887 QSqlResult::reset(const QString&) [pure virtual]
    {50, 201, 467, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 37},	//888 QSqlResult::fetch(int) [pure virtual]
    {50, 207, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 236, 38},	//889 QSqlResult::fetchNext()
    {50, 208, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 236, 39},	//890 QSqlResult::fetchPrevious()
    {50, 203, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 40},	//891 QSqlResult::fetchFirst() [pure virtual]
    {50, 204, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 41},	//892 QSqlResult::fetchLast() [pure virtual]
    {50, 674, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 300, 42},	//893 QSqlResult::size() [pure virtual]
    {50, 288, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 300, 43},	//894 QSqlResult::numRowsAffected() [pure virtual]
    {50, 542, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 108, 44},	//895 QSqlResult::record() const
    {50, 276, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 136, 45},	//896 QSqlResult::lastInsertId() const
    {50, 719, 993, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//897 QSqlResult::virtual_hook(int, void*)
    {50, 198, 869, 1, Smoke::mf_protected, 236, 47},	//898 QSqlResult::execBatch(bool)
    {50, 183, 0, 0, Smoke::mf_protected, 0, 48},	//899 QSqlResult::detachFromResultSet()
    {50, 631, 827, 1, Smoke::mf_protected, 0, 49},	//900 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected, 77, 50},	//901 QSqlResult::numericalPrecisionPolicy() const
    {50, 285, 0, 0, Smoke::mf_protected, 236, 51},	//902 QSqlResult::nextResult()
    {50, 198, 0, 0, Smoke::mf_protected, 236, 52},	//903 QSqlResult::execBatch()
    {50, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 53},	//904 QSqlResult::PositionalBinding (enum)
    {50, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 54},	//905 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 55},	//906 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 56},	//907 QSqlResult::DetachFromResultSet (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 57},	//908 QSqlResult::SetNumericalPrecision (enum)
    {50, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 58},	//909 QSqlResult::NextResult (enum)
    {50, 734, 0, 0, Smoke::mf_dtor, 0, 59 },	//910 QSqlResult::~QSqlResult()
    {51, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 1},	//911 QSqlTableModel::metaObject() const
    {51, 529, 422, 1, Smoke::mf_virtual, 316, 2},	//912 QSqlTableModel::qt_metacast(const char*)
    {51, 699, 530, 2, Smoke::mf_static, 119, 3},	//913 QSqlTableModel::tr(const char*, const char*)
    {51, 703, 530, 2, Smoke::mf_static, 119, 4},	//914 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 699, 36, 3, Smoke::mf_static, 119, 5},	//915 QSqlTableModel::tr(const char*, const char*, int)
    {51, 703, 36, 3, Smoke::mf_static, 119, 6},	//916 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 527, 843, 3, Smoke::mf_virtual, 300, 7},	//917 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 77, 979, 2, Smoke::mf_ctor, 117, 8},	//918 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 579, 0, 0, Smoke::mf_virtual, 236, 9},	//919 QSqlTableModel::select()
    {51, 665, 158, 1, Smoke::mf_virtual, 0, 10},	//920 QSqlTableModel::setTable(const QString&)
    {51, 694, 0, 0, Smoke::mf_const, 119, 11},	//921 QSqlTableModel::tableName() const
    {51, 218, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 184, 12},	//922 QSqlTableModel::flags(const QModelIndex&) const
    {51, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 136, 13},	//923 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 591, 1, 3, Smoke::mf_virtual, 236, 14},	//924 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 227, 950, 3, Smoke::mf_const|Smoke::mf_virtual, 136, 15},	//925 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 253, 5, 1, Smoke::mf_const, 236, 16},	//926 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 148, 0, 0, Smoke::mf_virtual, 0, 17},	//927 QSqlTableModel::clear()
    {51, 606, 996, 1, Smoke::mf_virtual, 0, 18},	//928 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 191, 0, 0, Smoke::mf_const, 118, 19},	//929 QSqlTableModel::editStrategy() const
    {51, 370, 0, 0, Smoke::mf_const, 100, 20},	//930 QSqlTableModel::primaryKey() const
    {51, 174, 0, 0, Smoke::mf_const, 82, 21},	//931 QSqlTableModel::database() const
    {51, 211, 158, 1, Smoke::mf_const, 300, 22},	//932 QSqlTableModel::fieldIndex(const QString&) const
    {51, 675, 16, 2, Smoke::mf_virtual, 0, 23},	//933 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 661, 16, 2, Smoke::mf_virtual, 0, 24},	//934 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 215, 0, 0, Smoke::mf_const, 119, 25},	//935 QSqlTableModel::filter() const
    {51, 608, 158, 1, Smoke::mf_virtual, 0, 26},	//936 QSqlTableModel::setFilter(const QString&)
    {51, 572, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 300, 27},	//937 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 552, 12, 3, Smoke::mf_virtual, 236, 28},	//938 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 557, 12, 3, Smoke::mf_virtual, 236, 29},	//939 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 246, 12, 3, Smoke::mf_virtual, 236, 30},	//940 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 242, 985, 2, 0, 236, 31},	//941 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 651, 985, 2, 0, 236, 32},	//942 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 568, 467, 1, Smoke::mf_virtual, 0, 33},	//943 QSqlTableModel::revertRow(int)
    {51, 685, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 236, 34},	//944 QSqlTableModel::submit()
    {51, 566, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//945 QSqlTableModel::revert()
    {51, 686, 0, 0, Smoke::mf_slot, 236, 36},	//946 QSqlTableModel::submitAll()
    {51, 567, 0, 0, Smoke::mf_slot, 0, 37},	//947 QSqlTableModel::revertAll()
    {51, 371, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//948 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 127, 1001, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//949 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 129, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//950 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 125, 467, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//951 QSqlTableModel::beforeDelete(int)
    {51, 714, 985, 2, Smoke::mf_protected|Smoke::mf_virtual, 236, 42},	//952 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 244, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 236, 43},	//953 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 181, 467, 1, Smoke::mf_protected|Smoke::mf_virtual, 236, 44},	//954 QSqlTableModel::deleteRowFromTable(int)
    {51, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 119, 45},	//955 QSqlTableModel::orderByClause() const
    {51, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 119, 46},	//956 QSqlTableModel::selectStatement() const
    {51, 643, 914, 1, Smoke::mf_protected, 0, 47},	//957 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 645, 926, 1, Smoke::mf_protected, 0, 48},	//958 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 233, 5, 1, Smoke::mf_const|Smoke::mf_protected, 65, 49},	//959 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 699, 422, 1, Smoke::mf_static, 119, 50},	//960 QSqlTableModel::tr(const char*)
    {51, 703, 422, 1, Smoke::mf_static, 119, 51},	//961 QSqlTableModel::trUtf8(const char*)
    {51, 77, 0, 0, Smoke::mf_ctor, 117, 52},	//962 QSqlTableModel::QSqlTableModel()
    {51, 77, 847, 1, Smoke::mf_ctor, 117, 53},	//963 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 170, 5, 1, Smoke::mf_const, 136, 54},	//964 QSqlTableModel::data(const QModelIndex&) const
    {51, 591, 988, 2, 0, 236, 55},	//965 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 227, 962, 2, Smoke::mf_const, 136, 56},	//966 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 572, 0, 0, Smoke::mf_const, 300, 57},	//967 QSqlTableModel::rowCount() const
    {51, 552, 969, 2, 0, 236, 58},	//968 QSqlTableModel::removeColumns(int, int)
    {51, 557, 969, 2, 0, 236, 59},	//969 QSqlTableModel::removeRows(int, int)
    {51, 246, 969, 2, 0, 236, 60},	//970 QSqlTableModel::insertRows(int, int)
    {51, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 255, 61},	//971 QSqlTableModel::staticMetaObject() const
    {51, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 62},	//972 QSqlTableModel::OnFieldChange (enum)
    {51, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 63},	//973 QSqlTableModel::OnRowChange (enum)
    {51, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 64},	//974 QSqlTableModel::OnManualSubmit (enum)
    {51, 735, 0, 0, Smoke::mf_dtor, 0, 65 },	//975 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    688,  // QSqlQuery::QSqlQuery(QSqlResult*)
    690,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    691,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    734,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    735,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    720,  // QSqlQuery::bindValue(const QString&, const QVariant&, QSql::ParamType)
    721,  // QSqlQuery::bindValue(int, const QVariant&, QSql::ParamType)
    0,
    723,  // QSqlQuery::boundValue(const QString&) const
    724,  // QSqlQuery::boundValue(int) const
    0,
    27,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    32,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    53,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    115,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    140,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    184,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    186,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    246,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    255,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    256,  // QGlobalSpace::operator!=(QChar, QChar)
    265,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    318,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    322,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    396,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    417,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    418,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    198,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    225,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    245,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    309,  // QGlobalSpace::operator!=(QBool, bool)
    347,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    200,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    226,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    306,  // QGlobalSpace::operator!=(bool, QBool)
    352,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    373,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    405,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    24,  // QGlobalSpace::operator*(const QPoint&, double)
    45,  // QGlobalSpace::operator*(const QSizeF&, double)
    127,  // QGlobalSpace::operator*(const QPointF&, double)
    323,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    26,  // QGlobalSpace::operator*(double, const QPointF&)
    28,  // QGlobalSpace::operator*(double, const QSizeF&)
    266,  // QGlobalSpace::operator*(double, const QSize&)
    274,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    33,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    76,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    340,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    374,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    408,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    59,  // QGlobalSpace::operator+(QChar, const QString&)
    158,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    281,  // QGlobalSpace::operator+(const QByteArray&, char)
    315,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    98,  // QGlobalSpace::operator+(char, const QByteArray&)
    240,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    375,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    416,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    93,  // QGlobalSpace::operator+(const QString&, const char*)
    101,  // QGlobalSpace::operator+(const char*, const QString&)
    160,  // QGlobalSpace::operator+(const QString&, char)
    221,  // QGlobalSpace::operator+(const QString&, const QString&)
    254,  // QGlobalSpace::operator+(char, const QString&)
    0,
    155,  // QGlobalSpace::operator-(const QPointF&)
    358,  // QGlobalSpace::operator-(const QPoint&)
    0,
    49,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    310,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    366,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    399,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    99,  // QGlobalSpace::operator/(const QPoint&, double)
    142,  // QGlobalSpace::operator/(const QSizeF&, double)
    282,  // QGlobalSpace::operator/(const QPointF&, double)
    385,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    118,  // QGlobalSpace::operator<(QChar, QChar)
    148,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    195,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    368,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    180,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    337,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    29,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    35,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    57,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    61,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    63,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    84,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    94,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    117,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    136,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    150,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    159,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    169,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    175,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    196,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    204,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    208,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    214,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    235,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    249,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    261,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    268,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    270,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    276,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    279,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    280,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    288,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    298,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    308,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    316,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    327,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    345,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    380,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    382,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    393,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    407,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    421,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    423,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    52,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    68,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    364,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    372,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    384,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    241,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    286,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    296,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    344,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    232,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    317,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    42,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    51,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    54,  // QGlobalSpace::operator==(QBool, QBool)
    56,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    111,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    133,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    164,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    191,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    233,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    244,  // QGlobalSpace::operator==(QChar, QChar)
    258,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    263,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    264,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    305,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    363,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    410,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    424,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    187,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    324,  // QGlobalSpace::operator==(QString::Null, const QString&)
    328,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    371,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    409,  // QGlobalSpace::operator==(QBool, bool)
    0,
    102,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    138,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    146,  // QGlobalSpace::operator==(const QString&, QString::Null)
    239,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    320,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    387,  // QGlobalSpace::operator==(bool, QBool)
    0,
    143,  // QGlobalSpace::operator>(QChar, QChar)
    202,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    230,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    349,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    46,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    300,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    50,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    161,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    189,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    284,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    119,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    144,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    58,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    92,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    96,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    104,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    108,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    109,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    110,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    126,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    151,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    199,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    242,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    301,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    326,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    378,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    243,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    362,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    41,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    43,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    67,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    86,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    90,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    106,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    113,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    122,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    125,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    130,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    132,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    153,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    166,  // QGlobalSpace::operator|(QSql::ParamType::enum_type, int)
    170,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    174,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    190,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    206,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    211,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    229,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    237,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    259,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    311,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    319,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    321,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    325,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    332,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    333,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    338,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    394,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    401,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    0,
    23,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    31,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    39,  // QGlobalSpace::operator|(QSql::ParamType::enum_type, QSql::ParamType::enum_type)
    40,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    60,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    71,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    81,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    85,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    87,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    89,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    91,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    95,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    97,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    100,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    114,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    116,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    123,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    139,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    141,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    167,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    168,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    172,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    177,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    182,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    203,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    205,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    207,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    209,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    212,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    213,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    215,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    219,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    227,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    228,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    234,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    236,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    248,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    250,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    253,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    262,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    285,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    291,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    294,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    303,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    339,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    343,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    350,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    355,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    360,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    367,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    377,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    388,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    389,  // QGlobalSpace::operator|(QSql::ParamType::enum_type, QFlags<QSql::ParamType::enum_type>)
    390,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    397,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    403,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    411,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    412,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    419,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    420,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
    105,  // QGlobalSpace::qFuzzyCompare(double, double)
    295,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    165,  // QGlobalSpace::qFuzzyIsNull(double)
    402,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    21,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    55,  // QGlobalSpace::qHash(const QStringRef&)
    64,  // QGlobalSpace::qHash(const QBitArray&)
    121,  // QGlobalSpace::qHash(const QByteArray&)
    163,  // QGlobalSpace::qHash(QChar)
    267,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    37,  // QGlobalSpace::qHash(unsigned char)
    70,  // QGlobalSpace::qHash(const QString&)
    72,  // QGlobalSpace::qHash(unsigned short)
    74,  // QGlobalSpace::qHash(long)
    75,  // QGlobalSpace::qHash(long long)
    157,  // QGlobalSpace::qHash(unsigned long long)
    247,  // QGlobalSpace::qHash(signed char)
    277,  // QGlobalSpace::qHash(short)
    307,  // QGlobalSpace::qHash(unsigned long)
    346,  // QGlobalSpace::qHash(unsigned int)
    365,  // QGlobalSpace::qHash(int)
    392,  // QGlobalSpace::qHash(char)
    0,
    147,  // QGlobalSpace::qIntCast(float)
    192,  // QGlobalSpace::qIntCast(double)
    0,
    216,  // QGlobalSpace::qIsFinite(float)
    398,  // QGlobalSpace::qIsFinite(double)
    0,
    25,  // QGlobalSpace::qIsInf(double)
    80,  // QGlobalSpace::qIsInf(float)
    0,
    103,  // QGlobalSpace::qIsNaN(float)
    275,  // QGlobalSpace::qIsNaN(double)
    0,
    107,  // QGlobalSpace::qIsNull(float)
    188,  // QGlobalSpace::qIsNull(double)
    0,
    797,  // QSqlRecord::field(int) const
    798,  // QSqlRecord::field(const QString&) const
    0,
    799,  // QSqlRecord::isGenerated(int) const
    800,  // QSqlRecord::isGenerated(const QString&) const
    0,
    793,  // QSqlRecord::isNull(int) const
    794,  // QSqlRecord::isNull(const QString&) const
    0,
    801,  // QSqlRecord::setGenerated(const QString&, bool)
    802,  // QSqlRecord::setGenerated(int, bool)
    0,
    791,  // QSqlRecord::setNull(int)
    792,  // QSqlRecord::setNull(const QString&)
    0,
    789,  // QSqlRecord::setValue(int, const QVariant&)
    790,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    787,  // QSqlRecord::value(int) const
    788,  // QSqlRecord::value(const QString&) const
    0,
    871,  // QSqlResult::bindValue(int, const QVariant&, QSql::ParamType)
    872,  // QSqlResult::bindValue(const QString&, const QVariant&, QSql::ParamType)
    0,
    876,  // QSqlResult::bindValueType(const QString&) const
    877,  // QSqlResult::bindValueType(int) const
    0,
    874,  // QSqlResult::boundValue(const QString&) const
    875,  // QSqlResult::boundValue(int) const
    0,
    462,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    506,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 80, 433},	// QGlobalSpace::QtCriticalMsg
    {16, 81, 431},	// QGlobalSpace::QtDebugMsg
    {16, 82, 434},	// QGlobalSpace::QtFatalMsg
    {16, 83, 435},	// QGlobalSpace::QtSystemMsg
    {16, 84, 432},	// QGlobalSpace::QtWarningMsg
    {16, 104, 426},	// QGlobalSpace::_IEEE_
    {16, 105, 430},	// QGlobalSpace::_ISOC_
    {16, 106, 429},	// QGlobalSpace::_POSIX_
    {16, 107, 427},	// QGlobalSpace::_SVID_
    {16, 108, 428},	// QGlobalSpace::_XOPEN_
    {16, 109, 438},	// QGlobalSpace::__codecvt_error
    {16, 110, 439},	// QGlobalSpace::__codecvt_noconv
    {16, 111, 436},	// QGlobalSpace::__codecvt_ok
    {16, 112, 437},	// QGlobalSpace::__codecvt_partial
    {16, 300, -14},	// QGlobalSpace::operator!=##
    {16, 301, -31},	// QGlobalSpace::operator!=#$
    {16, 302, -37},	// QGlobalSpace::operator!=$#
    {16, 303, 224},	// QGlobalSpace::operator!=$$
    {16, 305, 19},	// QGlobalSpace::operator&##
    {16, 307, -44},	// QGlobalSpace::operator*#$
    {16, 308, -49},	// QGlobalSpace::operator*$#
    {16, 310, -54},	// QGlobalSpace::operator+##
    {16, 311, -60},	// QGlobalSpace::operator+#$
    {16, 312, -65},	// QGlobalSpace::operator+$#
    {16, 313, -70},	// QGlobalSpace::operator+$$
    {16, 315, -76},	// QGlobalSpace::operator-#
    {16, 316, -79},	// QGlobalSpace::operator-##
    {16, 318, -84},	// QGlobalSpace::operator/#$
    {16, 320, -89},	// QGlobalSpace::operator<##
    {16, 321, 83},	// QGlobalSpace::operator<#$
    {16, 322, -94},	// QGlobalSpace::operator<$#
    {16, 323, 223},	// QGlobalSpace::operator<$$
    {16, 325, -97},	// QGlobalSpace::operator<<##
    {16, 326, -142},	// QGlobalSpace::operator<<#$
    {16, 327, 77},	// QGlobalSpace::operator<<#?
    {16, 329, -148},	// QGlobalSpace::operator<=##
    {16, 330, 185},	// QGlobalSpace::operator<=#$
    {16, 331, -153},	// QGlobalSpace::operator<=$#
    {16, 332, 112},	// QGlobalSpace::operator<=$$
    {16, 337, -156},	// QGlobalSpace::operator==##
    {16, 338, -174},	// QGlobalSpace::operator==#$
    {16, 339, -180},	// QGlobalSpace::operator==$#
    {16, 340, 381},	// QGlobalSpace::operator==$$
    {16, 342, -187},	// QGlobalSpace::operator>##
    {16, 343, 336},	// QGlobalSpace::operator>#$
    {16, 344, -192},	// QGlobalSpace::operator>$#
    {16, 345, 331},	// QGlobalSpace::operator>$$
    {16, 347, -195},	// QGlobalSpace::operator>=##
    {16, 348, 273},	// QGlobalSpace::operator>=#$
    {16, 349, -200},	// QGlobalSpace::operator>=$#
    {16, 350, 391},	// QGlobalSpace::operator>=$$
    {16, 352, -203},	// QGlobalSpace::operator>>##
    {16, 353, -224},	// QGlobalSpace::operator>>#$
    {16, 354, 313},	// QGlobalSpace::operator>>#?
    {16, 356, 193},	// QGlobalSpace::operator^##
    {16, 358, 238},	// QGlobalSpace::operator|##
    {16, 359, -227},	// QGlobalSpace::operator|?$
    {16, 360, -258},	// QGlobalSpace::operator|??
    {16, 374, 201},	// QGlobalSpace::qAcos$
    {16, 376, 181},	// QGlobalSpace::qAddPostRoutine$
    {16, 377, 162},	// QGlobalSpace::qAppName
    {16, 379, 290},	// QGlobalSpace::qAsin$
    {16, 381, 66},	// QGlobalSpace::qAtan$
    {16, 383, 173},	// QGlobalSpace::qAtan2$$
    {16, 385, 47},	// QGlobalSpace::qCeil$
    {16, 387, 194},	// QGlobalSpace::qChecksum$$
    {16, 389, 179},	// QGlobalSpace::qCompress#
    {16, 390, 178},	// QGlobalSpace::qCompress#$
    {16, 391, 354},	// QGlobalSpace::qCompress$$
    {16, 392, 353},	// QGlobalSpace::qCompress$$$
    {16, 394, 78},	// QGlobalSpace::qCos$
    {16, 395, 20},	// QGlobalSpace::qCritical
    {16, 396, 357},	// QGlobalSpace::qDebug
    {16, 398, 183},	// QGlobalSpace::qExp$
    {16, 400, 34},	// QGlobalSpace::qFabs$
    {16, 402, 383},	// QGlobalSpace::qFastCos$
    {16, 404, 406},	// QGlobalSpace::qFastSin$
    {16, 406, 271},	// QGlobalSpace::qFlagLocation$
    {16, 408, 260},	// QGlobalSpace::qFloor$
    {16, 410, 342},	// QGlobalSpace::qFree$
    {16, 412, 145},	// QGlobalSpace::qFreeAligned$
    {16, 414, -319},	// QGlobalSpace::qFuzzyCompare$$
    {16, 416, -322},	// QGlobalSpace::qFuzzyIsNull$
    {16, 418, -325},	// QGlobalSpace::qHash#
    {16, 419, -332},	// QGlobalSpace::qHash$
    {16, 420, 278},	// QGlobalSpace::qInf
    {16, 422, 135},	// QGlobalSpace::qInstallMsgHandler$
    {16, 424, -345},	// QGlobalSpace::qIntCast$
    {16, 426, -348},	// QGlobalSpace::qIsFinite$
    {16, 428, -351},	// QGlobalSpace::qIsInf$
    {16, 430, -354},	// QGlobalSpace::qIsNaN$
    {16, 432, -357},	// QGlobalSpace::qIsNull$
    {16, 434, 312},	// QGlobalSpace::qLn$
    {16, 436, 422},	// QGlobalSpace::qMalloc?
    {16, 438, 351},	// QGlobalSpace::qMallocAligned??
    {16, 440, 272},	// QGlobalSpace::qMemCopy$$?
    {16, 442, 171},	// QGlobalSpace::qMemSet$$?
    {16, 444, 370},	// QGlobalSpace::qPow$$
    {16, 445, 36},	// QGlobalSpace::qQNaN
    {16, 447, 220},	// QGlobalSpace::qRealloc$?
    {16, 449, 156},	// QGlobalSpace::qReallocAligned$???
    {16, 451, 73},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 453, 269},	// QGlobalSpace::qRemovePostRoutine$
    {16, 455, 231},	// QGlobalSpace::qRound$
    {16, 457, 348},	// QGlobalSpace::qRound64$
    {16, 458, 400},	// QGlobalSpace::qSNaN
    {16, 460, 302},	// QGlobalSpace::qSetFieldWidth$
    {16, 462, 129},	// QGlobalSpace::qSetPadChar#
    {16, 464, 287},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 465, 134},	// QGlobalSpace::qSharedBuild
    {16, 467, 289},	// QGlobalSpace::qSin$
    {16, 469, 251},	// QGlobalSpace::qSqrt$
    {16, 471, 152},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 472, 376},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 474, 361},	// QGlobalSpace::qTan$
    {16, 476, 283},	// QGlobalSpace::qUncompress#
    {16, 477, 404},	// QGlobalSpace::qUncompress$$
    {16, 478, 38},	// QGlobalSpace::qVersion
    {16, 479, 88},	// QGlobalSpace::qWarning
    {16, 481, 65},	// QGlobalSpace::qbswap_helper$$$
    {16, 483, 293},	// QGlobalSpace::qgcvt$$$
    {16, 485, 197},	// QGlobalSpace::qgetenv$
    {16, 487, 149},	// QGlobalSpace::qputenv$#
    {16, 488, 48},	// QGlobalSpace::qrand
    {16, 490, 334},	// QGlobalSpace::qsort$???
    {16, 492, 79},	// QGlobalSpace::qsrand$
    {16, 494, 128},	// QGlobalSpace::qstrcmp##
    {16, 495, 131},	// QGlobalSpace::qstrcmp#$
    {16, 496, 359},	// QGlobalSpace::qstrcmp$#
    {16, 497, 252},	// QGlobalSpace::qstrcmp$$
    {16, 499, 30},	// QGlobalSpace::qstrcpy$$
    {16, 501, 356},	// QGlobalSpace::qstrdup$
    {16, 503, 292},	// QGlobalSpace::qstricmp$$
    {16, 505, 314},	// QGlobalSpace::qstrlen$
    {16, 507, 154},	// QGlobalSpace::qstrncmp$$$
    {16, 509, 210},	// QGlobalSpace::qstrncpy$$$
    {16, 511, 120},	// QGlobalSpace::qstrnicmp$$$
    {16, 513, 257},	// QGlobalSpace::qstrnlen$$
    {16, 515, 414},	// QGlobalSpace::qtTrId$
    {16, 516, 413},	// QGlobalSpace::qtTrId$$
    {16, 518, 22},	// QGlobalSpace::qt_assert$$$
    {16, 520, 222},	// QGlobalSpace::qt_assert_x$$$$
    {16, 522, 124},	// QGlobalSpace::qt_check_pointer$$
    {16, 523, 218},	// QGlobalSpace::qt_error_string
    {16, 524, 217},	// QGlobalSpace::qt_error_string$
    {16, 526, 379},	// QGlobalSpace::qt_message_output$$
    {16, 531, 299},	// QGlobalSpace::qt_noop
    {16, 533, 137},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 535, 329},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 539, 69},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 541, 297},	// QGlobalSpace::qvsnprintf$?$?
    {36, 1, 460},	// QSql::AfterLastRow
    {36, 2, 458},	// QSql::AllTables
    {36, 6, 459},	// QSql::BeforeFirstRow
    {36, 7, 450},	// QSql::Binary
    {36, 14, 454},	// QSql::HighPrecision
    {36, 15, 447},	// QSql::In
    {36, 16, 449},	// QSql::InOut
    {36, 19, 453},	// QSql::LowPrecisionDouble
    {36, 20, 451},	// QSql::LowPrecisionInt32
    {36, 21, 452},	// QSql::LowPrecisionInt64
    {36, 32, 448},	// QSql::Out
    {36, 91, 456},	// QSql::SystemTables
    {36, 93, 455},	// QSql::Tables
    {36, 102, 457},	// QSql::Views
    {37, 36, 461},	// QSqlDatabase::QSqlDatabase
    {37, 37, -390},	// QSqlDatabase::QSqlDatabase#
    {37, 38, 505},	// QSqlDatabase::QSqlDatabase$
    {37, 117, 511},	// QSqlDatabase::addDatabase#
    {37, 118, 496},	// QSqlDatabase::addDatabase#$
    {37, 119, 510},	// QSqlDatabase::addDatabase$
    {37, 120, 495},	// QSqlDatabase::addDatabase$$
    {37, 151, 497},	// QSqlDatabase::cloneDatabase#$
    {37, 152, 466},	// QSqlDatabase::close
    {37, 155, 476},	// QSqlDatabase::commit
    {37, 158, 490},	// QSqlDatabase::connectOptions
    {37, 159, 491},	// QSqlDatabase::connectionName
    {37, 160, 502},	// QSqlDatabase::connectionNames
    {37, 161, 514},	// QSqlDatabase::contains
    {37, 162, 500},	// QSqlDatabase::contains$
    {37, 174, 512},	// QSqlDatabase::database
    {37, 175, 513},	// QSqlDatabase::database$
    {37, 176, 498},	// QSqlDatabase::database$$
    {37, 177, 484},	// QSqlDatabase::databaseName
    {37, 179, 515},	// QSqlDatabase::defaultConnection
    {37, 186, 494},	// QSqlDatabase::driver
    {37, 187, 488},	// QSqlDatabase::driverName
    {37, 189, 501},	// QSqlDatabase::drivers
    {37, 196, 508},	// QSqlDatabase::exec
    {37, 197, 472},	// QSqlDatabase::exec$
    {37, 230, 487},	// QSqlDatabase::hostName
    {37, 256, 504},	// QSqlDatabase::isDriverAvailable$
    {37, 267, 467},	// QSqlDatabase::isOpen
    {37, 268, 468},	// QSqlDatabase::isOpenError
    {37, 271, 474},	// QSqlDatabase::isValid
    {37, 275, 473},	// QSqlDatabase::lastError
    {37, 290, 493},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 291, 464},	// QSqlDatabase::open
    {37, 293, 465},	// QSqlDatabase::open$$
    {37, 334, 463},	// QSqlDatabase::operator=#
    {37, 362, 486},	// QSqlDatabase::password
    {37, 363, 489},	// QSqlDatabase::port
    {37, 369, 470},	// QSqlDatabase::primaryIndex$
    {37, 543, 471},	// QSqlDatabase::record$
    {37, 545, 503},	// QSqlDatabase::registerSqlDriver$#
    {37, 556, 499},	// QSqlDatabase::removeDatabase$
    {37, 570, 477},	// QSqlDatabase::rollback
    {37, 587, 509},	// QSqlDatabase::setConnectOptions
    {37, 588, 483},	// QSqlDatabase::setConnectOptions$
    {37, 595, 478},	// QSqlDatabase::setDatabaseName$
    {37, 599, 516},	// QSqlDatabase::setDefaultConnection$
    {37, 619, 481},	// QSqlDatabase::setHostName$
    {37, 632, 492},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 638, 480},	// QSqlDatabase::setPassword$
    {37, 640, 482},	// QSqlDatabase::setPort$
    {37, 670, 479},	// QSqlDatabase::setUserName$
    {37, 695, 507},	// QSqlDatabase::tables
    {37, 696, 469},	// QSqlDatabase::tables$
    {37, 707, 475},	// QSqlDatabase::transaction
    {37, 716, 485},	// QSqlDatabase::userName
    {37, 721, 517},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 571},	// QSqlDriver::BLOB
    {38, 5, 577},	// QSqlDriver::BatchOperations
    {38, 9, 587},	// QSqlDriver::DeleteStatement
    {38, 11, 580},	// QSqlDriver::EventNotifications
    {38, 12, 588},	// QSqlDriver::FieldName
    {38, 13, 581},	// QSqlDriver::FinishQuery
    {38, 17, 586},	// QSqlDriver::InsertStatement
    {38, 18, 576},	// QSqlDriver::LastInsertId
    {38, 22, 579},	// QSqlDriver::LowPrecisionNumbers
    {38, 23, 582},	// QSqlDriver::MultipleResultSets
    {38, 25, 574},	// QSqlDriver::NamedPlaceholders
    {38, 34, 575},	// QSqlDriver::PositionalPlaceholders
    {38, 35, 573},	// QSqlDriver::PreparedQueries
    {38, 39, 561},	// QSqlDriver::QSqlDriver
    {38, 40, 525},	// QSqlDriver::QSqlDriver#
    {38, 85, 570},	// QSqlDriver::QuerySize
    {38, 87, 584},	// QSqlDriver::SelectStatement
    {38, 89, 578},	// QSqlDriver::SimpleLocking
    {38, 92, 589},	// QSqlDriver::TableName
    {38, 95, 569},	// QSqlDriver::Transactions
    {38, 96, 572},	// QSqlDriver::Unicode
    {38, 99, 585},	// QSqlDriver::UpdateStatement
    {38, 103, 583},	// QSqlDriver::WhereStatement
    {38, 131, 528},	// QSqlDriver::beginTransaction
    {38, 152, 540},	// QSqlDriver::close
    {38, 156, 529},	// QSqlDriver::commitTransaction
    {38, 167, 541},	// QSqlDriver::createResult
    {38, 193, 535},	// QSqlDriver::escapeIdentifier$$
    {38, 221, 562},	// QSqlDriver::formatValue#
    {38, 222, 534},	// QSqlDriver::formatValue#$
    {38, 223, 538},	// QSqlDriver::handle
    {38, 225, 539},	// QSqlDriver::hasFeature$
    {38, 262, 546},	// QSqlDriver::isIdentifierEscaped$$
    {38, 264, 557},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 267, 526},	// QSqlDriver::isOpen
    {38, 268, 527},	// QSqlDriver::isOpenError
    {38, 275, 537},	// QSqlDriver::lastError
    {38, 280, 518},	// QSqlDriver::metaObject
    {38, 287, 550},	// QSqlDriver::notification$
    {38, 290, 549},	// QSqlDriver::numericalPrecisionPolicy
    {38, 292, 563},	// QSqlDriver::open$
    {38, 293, 564},	// QSqlDriver::open$$
    {38, 294, 565},	// QSqlDriver::open$$$
    {38, 295, 566},	// QSqlDriver::open$$$$
    {38, 296, 567},	// QSqlDriver::open$$$$$
    {38, 297, 542},	// QSqlDriver::open$$$$$$
    {38, 369, 532},	// QSqlDriver::primaryIndex$
    {38, 528, 524},	// QSqlDriver::qt_metacall$$?
    {38, 530, 519},	// QSqlDriver::qt_metacast$
    {38, 543, 533},	// QSqlDriver::record$
    {38, 571, 530},	// QSqlDriver::rollbackTransaction
    {38, 622, 553},	// QSqlDriver::setLastError#
    {38, 632, 548},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 634, 551},	// QSqlDriver::setOpen$
    {38, 636, 552},	// QSqlDriver::setOpenError$
    {38, 679, 536},	// QSqlDriver::sqlStatement$$#$
    {38, 680, 568},	// QSqlDriver::staticMetaObject
    {38, 682, 547},	// QSqlDriver::stripDelimiters$$
    {38, 684, 558},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 688, 543},	// QSqlDriver::subscribeToNotification$
    {38, 690, 554},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 691, 545},	// QSqlDriver::subscribedToNotifications
    {38, 692, 556},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 696, 531},	// QSqlDriver::tables$
    {38, 700, 559},	// QSqlDriver::tr$
    {38, 701, 520},	// QSqlDriver::tr$$
    {38, 702, 522},	// QSqlDriver::tr$$$
    {38, 704, 560},	// QSqlDriver::trUtf8$
    {38, 705, 521},	// QSqlDriver::trUtf8$$
    {38, 706, 523},	// QSqlDriver::trUtf8$$$
    {38, 711, 544},	// QSqlDriver::unsubscribeFromNotification$
    {38, 713, 555},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 722, 590},	// QSqlDriver::~QSqlDriver
    {39, 41, 592},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 42, 593},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 166, 591},	// QSqlDriverCreatorBase::createObject
    {39, 723, 594},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 43, 596},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 44, 597},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 165, 595},	// QSqlDriverFactoryInterface::create$
    {40, 724, 598},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 45, 611},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 46, 606},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 165, 608},	// QSqlDriverPlugin::create$
    {41, 273, 607},	// QSqlDriverPlugin::keys
    {41, 280, 599},	// QSqlDriverPlugin::metaObject
    {41, 528, 605},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 530, 600},	// QSqlDriverPlugin::qt_metacast$
    {41, 680, 612},	// QSqlDriverPlugin::staticMetaObject
    {41, 700, 609},	// QSqlDriverPlugin::tr$
    {41, 701, 601},	// QSqlDriverPlugin::tr$$
    {41, 702, 603},	// QSqlDriverPlugin::tr$$$
    {41, 704, 610},	// QSqlDriverPlugin::trUtf8$
    {41, 705, 602},	// QSqlDriverPlugin::trUtf8$$
    {41, 706, 604},	// QSqlDriverPlugin::trUtf8$$$
    {41, 725, 613},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 632},	// QSqlError::ConnectionError
    {42, 27, 631},	// QSqlError::NoError
    {42, 47, 627},	// QSqlError::QSqlError
    {42, 48, 615},	// QSqlError::QSqlError#
    {42, 49, 628},	// QSqlError::QSqlError$
    {42, 50, 629},	// QSqlError::QSqlError$$
    {42, 51, 630},	// QSqlError::QSqlError$$$
    {42, 52, 614},	// QSqlError::QSqlError$$$$
    {42, 90, 633},	// QSqlError::StatementError
    {42, 94, 634},	// QSqlError::TransactionError
    {42, 98, 635},	// QSqlError::UnknownError
    {42, 178, 619},	// QSqlError::databaseText
    {42, 188, 617},	// QSqlError::driverText
    {42, 271, 626},	// QSqlError::isValid
    {42, 289, 623},	// QSqlError::number
    {42, 334, 616},	// QSqlError::operator=#
    {42, 597, 620},	// QSqlError::setDatabaseText$
    {42, 605, 618},	// QSqlError::setDriverText$
    {42, 630, 624},	// QSqlError::setNumber$
    {42, 668, 622},	// QSqlError::setType$
    {42, 697, 625},	// QSqlError::text
    {42, 708, 621},	// QSqlError::type
    {42, 726, 636},	// QSqlError::~QSqlError
    {43, 31, 671},	// QSqlField::Optional
    {43, 53, 668},	// QSqlField::QSqlField
    {43, 54, 638},	// QSqlField::QSqlField#
    {43, 55, 669},	// QSqlField::QSqlField$
    {43, 56, 637},	// QSqlField::QSqlField$$
    {43, 86, 672},	// QSqlField::Required
    {43, 97, 670},	// QSqlField::Unknown
    {43, 148, 649},	// QSqlField::clear
    {43, 180, 664},	// QSqlField::defaultValue
    {43, 250, 651},	// QSqlField::isAutoValue
    {43, 259, 666},	// QSqlField::isGenerated
    {43, 265, 646},	// QSqlField::isNull
    {43, 269, 648},	// QSqlField::isReadOnly
    {43, 271, 667},	// QSqlField::isValid
    {43, 278, 662},	// QSqlField::length
    {43, 283, 645},	// QSqlField::name
    {43, 299, 641},	// QSqlField::operator!=#
    {43, 334, 639},	// QSqlField::operator=#
    {43, 336, 640},	// QSqlField::operator==#
    {43, 364, 663},	// QSqlField::precision
    {43, 562, 661},	// QSqlField::requiredStatus
    {43, 586, 660},	// QSqlField::setAutoValue$
    {43, 601, 657},	// QSqlField::setDefaultValue#
    {43, 613, 659},	// QSqlField::setGenerated$
    {43, 624, 655},	// QSqlField::setLength$
    {43, 626, 644},	// QSqlField::setName$
    {43, 642, 656},	// QSqlField::setPrecision$
    {43, 650, 647},	// QSqlField::setReadOnly$
    {43, 656, 654},	// QSqlField::setRequired$
    {43, 658, 653},	// QSqlField::setRequiredStatus$
    {43, 664, 658},	// QSqlField::setSqlType$
    {43, 668, 652},	// QSqlField::setType$
    {43, 672, 642},	// QSqlField::setValue#
    {43, 708, 650},	// QSqlField::type
    {43, 709, 665},	// QSqlField::typeID
    {43, 717, 643},	// QSqlField::value
    {43, 727, 673},	// QSqlField::~QSqlField
    {44, 57, 685},	// QSqlIndex::QSqlIndex
    {44, 58, 675},	// QSqlIndex::QSqlIndex#
    {44, 59, 686},	// QSqlIndex::QSqlIndex$
    {44, 60, 674},	// QSqlIndex::QSqlIndex$$
    {44, 122, 681},	// QSqlIndex::append#
    {44, 123, 682},	// QSqlIndex::append#$
    {44, 168, 678},	// QSqlIndex::cursorName
    {44, 252, 683},	// QSqlIndex::isDescending$
    {44, 283, 680},	// QSqlIndex::name
    {44, 334, 676},	// QSqlIndex::operator=#
    {44, 590, 677},	// QSqlIndex::setCursorName$
    {44, 603, 684},	// QSqlIndex::setDescending$$
    {44, 626, 679},	// QSqlIndex::setName$
    {44, 728, 687},	// QSqlIndex::~QSqlIndex
    {45, 61, 730},	// QSqlQuery::QSqlQuery
    {45, 62, -1},	// QSqlQuery::QSqlQuery#
    {45, 63, 731},	// QSqlQuery::QSqlQuery$
    {45, 64, 689},	// QSqlQuery::QSqlQuery$#
    {45, 100, 738},	// QSqlQuery::ValuesAsColumns
    {45, 101, 737},	// QSqlQuery::ValuesAsRows
    {45, 114, 736},	// QSqlQuery::addBindValue#
    {45, 115, 722},	// QSqlQuery::addBindValue#$
    {45, 124, 696},	// QSqlQuery::at
    {45, 133, -5},	// QSqlQuery::bindValue$#
    {45, 134, -8},	// QSqlQuery::bindValue$#$
    {45, 139, -11},	// QSqlQuery::boundValue$
    {45, 143, 725},	// QSqlQuery::boundValues
    {45, 148, 716},	// QSqlQuery::clear
    {45, 186, 702},	// QSqlQuery::driver
    {45, 196, 717},	// QSqlQuery::exec
    {45, 197, 707},	// QSqlQuery::exec$
    {45, 198, 733},	// QSqlQuery::execBatch
    {45, 199, 718},	// QSqlQuery::execBatch$
    {45, 200, 726},	// QSqlQuery::executedQuery
    {45, 216, 728},	// QSqlQuery::finish
    {45, 217, 714},	// QSqlQuery::first
    {45, 249, 694},	// QSqlQuery::isActive
    {45, 258, 704},	// QSqlQuery::isForwardOnly
    {45, 266, 695},	// QSqlQuery::isNull$
    {45, 270, 700},	// QSqlQuery::isSelect
    {45, 271, 693},	// QSqlQuery::isValid
    {45, 274, 715},	// QSqlQuery::last
    {45, 275, 699},	// QSqlQuery::lastError
    {45, 276, 727},	// QSqlQuery::lastInsertId
    {45, 277, 697},	// QSqlQuery::lastQuery
    {45, 284, 712},	// QSqlQuery::next
    {45, 285, 729},	// QSqlQuery::nextResult
    {45, 288, 698},	// QSqlQuery::numRowsAffected
    {45, 290, 710},	// QSqlQuery::numericalPrecisionPolicy
    {45, 334, 692},	// QSqlQuery::operator=#
    {45, 366, 719},	// QSqlQuery::prepare$
    {45, 367, 713},	// QSqlQuery::previous
    {45, 542, 705},	// QSqlQuery::record
    {45, 565, 703},	// QSqlQuery::result
    {45, 577, 732},	// QSqlQuery::seek$
    {45, 578, 711},	// QSqlQuery::seek$$
    {45, 611, 706},	// QSqlQuery::setForwardOnly$
    {45, 632, 709},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 674, 701},	// QSqlQuery::size
    {45, 718, 708},	// QSqlQuery::value$
    {45, 729, 739},	// QSqlQuery::~QSqlQuery
    {46, 65, 769},	// QSqlQueryModel::QSqlQueryModel
    {46, 66, 747},	// QSqlQueryModel::QSqlQueryModel#
    {46, 145, 779},	// QSqlQueryModel::canFetchMore
    {46, 146, 763},	// QSqlQueryModel::canFetchMore#
    {46, 148, 760},	// QSqlQueryModel::clear
    {46, 153, 771},	// QSqlQueryModel::columnCount
    {46, 154, 749},	// QSqlQueryModel::columnCount#
    {46, 171, 772},	// QSqlQueryModel::data#
    {46, 172, 752},	// QSqlQueryModel::data#$
    {46, 205, 778},	// QSqlQueryModel::fetchMore
    {46, 206, 762},	// QSqlQueryModel::fetchMore#
    {46, 228, 773},	// QSqlQueryModel::headerData$$
    {46, 229, 753},	// QSqlQueryModel::headerData$$$
    {46, 234, 765},	// QSqlQueryModel::indexInQuery#
    {46, 240, 775},	// QSqlQueryModel::insertColumns$$
    {46, 241, 755},	// QSqlQueryModel::insertColumns$$#
    {46, 275, 761},	// QSqlQueryModel::lastError
    {46, 280, 740},	// QSqlQueryModel::metaObject
    {46, 528, 746},	// QSqlQueryModel::qt_metacall$$?
    {46, 530, 741},	// QSqlQueryModel::qt_metacast$
    {46, 536, 759},	// QSqlQueryModel::query
    {46, 537, 764},	// QSqlQueryModel::queryChange
    {46, 542, 751},	// QSqlQueryModel::record
    {46, 543, 750},	// QSqlQueryModel::record$
    {46, 553, 776},	// QSqlQueryModel::removeColumns$$
    {46, 554, 756},	// QSqlQueryModel::removeColumns$$#
    {46, 572, 770},	// QSqlQueryModel::rowCount
    {46, 573, 748},	// QSqlQueryModel::rowCount#
    {46, 616, 774},	// QSqlQueryModel::setHeaderData$$#
    {46, 617, 754},	// QSqlQueryModel::setHeaderData$$#$
    {46, 622, 766},	// QSqlQueryModel::setLastError#
    {46, 646, 757},	// QSqlQueryModel::setQuery#
    {46, 647, 777},	// QSqlQueryModel::setQuery$
    {46, 648, 758},	// QSqlQueryModel::setQuery$#
    {46, 680, 780},	// QSqlQueryModel::staticMetaObject
    {46, 700, 767},	// QSqlQueryModel::tr$
    {46, 701, 742},	// QSqlQueryModel::tr$$
    {46, 702, 744},	// QSqlQueryModel::tr$$$
    {46, 704, 768},	// QSqlQueryModel::trUtf8$
    {46, 705, 743},	// QSqlQueryModel::trUtf8$$
    {46, 706, 745},	// QSqlQueryModel::trUtf8$$$
    {46, 730, 781},	// QSqlQueryModel::~QSqlQueryModel
    {47, 67, 782},	// QSqlRecord::QSqlRecord
    {47, 68, 783},	// QSqlRecord::QSqlRecord#
    {47, 122, 803},	// QSqlRecord::append#
    {47, 148, 809},	// QSqlRecord::clear
    {47, 149, 810},	// QSqlRecord::clearValues
    {47, 162, 808},	// QSqlRecord::contains$
    {47, 163, 811},	// QSqlRecord::count
    {47, 210, -360},	// QSqlRecord::field$
    {47, 214, 796},	// QSqlRecord::fieldName$
    {47, 236, 795},	// QSqlRecord::indexOf$
    {47, 238, 805},	// QSqlRecord::insert$#
    {47, 257, 807},	// QSqlRecord::isEmpty
    {47, 260, -363},	// QSqlRecord::isGenerated$
    {47, 266, -366},	// QSqlRecord::isNull$
    {47, 299, 786},	// QSqlRecord::operator!=#
    {47, 334, 784},	// QSqlRecord::operator=#
    {47, 336, 785},	// QSqlRecord::operator==#
    {47, 551, 806},	// QSqlRecord::remove$
    {47, 561, 804},	// QSqlRecord::replace$#
    {47, 614, -369},	// QSqlRecord::setGenerated$$
    {47, 628, -372},	// QSqlRecord::setNull$
    {47, 673, -375},	// QSqlRecord::setValue$#
    {47, 718, -378},	// QSqlRecord::value$
    {47, 731, 812},	// QSqlRecord::~QSqlRecord
    {48, 69, 813},	// QSqlRelation::QSqlRelation
    {48, 70, 819},	// QSqlRelation::QSqlRelation#
    {48, 71, 814},	// QSqlRelation::QSqlRelation$$$
    {48, 185, 817},	// QSqlRelation::displayColumn
    {48, 232, 816},	// QSqlRelation::indexColumn
    {48, 271, 818},	// QSqlRelation::isValid
    {48, 694, 815},	// QSqlRelation::tableName
    {48, 732, 820},	// QSqlRelation::~QSqlRelation
    {49, 72, 845},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 73, 846},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 74, 828},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 148, 832},	// QSqlRelationalTableModel::clear
    {49, 171, 847},	// QSqlRelationalTableModel::data#
    {49, 172, 829},	// QSqlRelationalTableModel::data#$
    {49, 245, 841},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 280, 821},	// QSqlRelationalTableModel::metaObject
    {49, 361, 842},	// QSqlRelationalTableModel::orderByClause
    {49, 528, 827},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 530, 822},	// QSqlRelationalTableModel::qt_metacast$
    {49, 547, 836},	// QSqlRelationalTableModel::relation$
    {49, 549, 837},	// QSqlRelationalTableModel::relationModel$
    {49, 553, 849},	// QSqlRelationalTableModel::removeColumns$$
    {49, 554, 831},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 569, 838},	// QSqlRelationalTableModel::revertRow$
    {49, 579, 833},	// QSqlRelationalTableModel::select
    {49, 580, 839},	// QSqlRelationalTableModel::selectStatement
    {49, 592, 848},	// QSqlRelationalTableModel::setData##
    {49, 593, 830},	// QSqlRelationalTableModel::setData##$
    {49, 654, 835},	// QSqlRelationalTableModel::setRelation$#
    {49, 666, 834},	// QSqlRelationalTableModel::setTable$
    {49, 680, 850},	// QSqlRelationalTableModel::staticMetaObject
    {49, 700, 843},	// QSqlRelationalTableModel::tr$
    {49, 701, 823},	// QSqlRelationalTableModel::tr$$
    {49, 702, 825},	// QSqlRelationalTableModel::tr$$$
    {49, 704, 844},	// QSqlRelationalTableModel::trUtf8$
    {49, 705, 824},	// QSqlRelationalTableModel::trUtf8$$
    {49, 706, 826},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 715, 840},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 733, 851},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 906},	// QSqlResult::BatchOperation
    {50, 10, 907},	// QSqlResult::DetachFromResultSet
    {50, 24, 905},	// QSqlResult::NamedBinding
    {50, 26, 909},	// QSqlResult::NextResult
    {50, 33, 904},	// QSqlResult::PositionalBinding
    {50, 76, 853},	// QSqlResult::QSqlResult#
    {50, 88, 908},	// QSqlResult::SetNumericalPrecision
    {50, 115, 873},	// QSqlResult::addBindValue#$
    {50, 124, 854},	// QSqlResult::at
    {50, 134, -381},	// QSqlResult::bindValue$#$
    {50, 136, -384},	// QSqlResult::bindValueType$
    {50, 137, 884},	// QSqlResult::bindingSyntax
    {50, 139, -387},	// QSqlResult::boundValue$
    {50, 140, 878},	// QSqlResult::boundValueCount
    {50, 142, 881},	// QSqlResult::boundValueName$
    {50, 143, 879},	// QSqlResult::boundValues
    {50, 148, 882},	// QSqlResult::clear
    {50, 173, 885},	// QSqlResult::data$
    {50, 183, 899},	// QSqlResult::detachFromResultSet
    {50, 186, 861},	// QSqlResult::driver
    {50, 196, 868},	// QSqlResult::exec
    {50, 198, 903},	// QSqlResult::execBatch
    {50, 199, 898},	// QSqlResult::execBatch$
    {50, 200, 880},	// QSqlResult::executedQuery
    {50, 202, 888},	// QSqlResult::fetch$
    {50, 203, 891},	// QSqlResult::fetchFirst
    {50, 204, 892},	// QSqlResult::fetchLast
    {50, 207, 889},	// QSqlResult::fetchNext
    {50, 208, 890},	// QSqlResult::fetchPrevious
    {50, 223, 852},	// QSqlResult::handle
    {50, 226, 883},	// QSqlResult::hasOutValues
    {50, 249, 858},	// QSqlResult::isActive
    {50, 258, 860},	// QSqlResult::isForwardOnly
    {50, 266, 886},	// QSqlResult::isNull$
    {50, 270, 859},	// QSqlResult::isSelect
    {50, 271, 857},	// QSqlResult::isValid
    {50, 275, 856},	// QSqlResult::lastError
    {50, 276, 896},	// QSqlResult::lastInsertId
    {50, 277, 855},	// QSqlResult::lastQuery
    {50, 285, 902},	// QSqlResult::nextResult
    {50, 288, 894},	// QSqlResult::numRowsAffected
    {50, 290, 901},	// QSqlResult::numericalPrecisionPolicy
    {50, 366, 869},	// QSqlResult::prepare$
    {50, 542, 895},	// QSqlResult::record
    {50, 564, 887},	// QSqlResult::reset$
    {50, 575, 870},	// QSqlResult::savePrepare$
    {50, 582, 863},	// QSqlResult::setActive$
    {50, 584, 862},	// QSqlResult::setAt$
    {50, 611, 867},	// QSqlResult::setForwardOnly$
    {50, 622, 864},	// QSqlResult::setLastError#
    {50, 632, 900},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 647, 865},	// QSqlResult::setQuery$
    {50, 660, 866},	// QSqlResult::setSelect$
    {50, 674, 893},	// QSqlResult::size
    {50, 720, 897},	// QSqlResult::virtual_hook$$
    {50, 734, 910},	// QSqlResult::~QSqlResult
    {51, 28, 972},	// QSqlTableModel::OnFieldChange
    {51, 29, 974},	// QSqlTableModel::OnManualSubmit
    {51, 30, 973},	// QSqlTableModel::OnRowChange
    {51, 77, 962},	// QSqlTableModel::QSqlTableModel
    {51, 78, 963},	// QSqlTableModel::QSqlTableModel#
    {51, 79, 918},	// QSqlTableModel::QSqlTableModel##
    {51, 126, 951},	// QSqlTableModel::beforeDelete$
    {51, 128, 949},	// QSqlTableModel::beforeInsert#
    {51, 130, 950},	// QSqlTableModel::beforeUpdate$#
    {51, 148, 927},	// QSqlTableModel::clear
    {51, 171, 964},	// QSqlTableModel::data#
    {51, 172, 923},	// QSqlTableModel::data#$
    {51, 174, 931},	// QSqlTableModel::database
    {51, 182, 954},	// QSqlTableModel::deleteRowFromTable$
    {51, 191, 929},	// QSqlTableModel::editStrategy
    {51, 212, 932},	// QSqlTableModel::fieldIndex$
    {51, 215, 935},	// QSqlTableModel::filter
    {51, 219, 922},	// QSqlTableModel::flags#
    {51, 228, 966},	// QSqlTableModel::headerData$$
    {51, 229, 925},	// QSqlTableModel::headerData$$$
    {51, 234, 959},	// QSqlTableModel::indexInQuery#
    {51, 243, 941},	// QSqlTableModel::insertRecord$#
    {51, 245, 953},	// QSqlTableModel::insertRowIntoTable#
    {51, 247, 970},	// QSqlTableModel::insertRows$$
    {51, 248, 940},	// QSqlTableModel::insertRows$$#
    {51, 254, 926},	// QSqlTableModel::isDirty#
    {51, 280, 911},	// QSqlTableModel::metaObject
    {51, 361, 955},	// QSqlTableModel::orderByClause
    {51, 370, 930},	// QSqlTableModel::primaryKey
    {51, 372, 948},	// QSqlTableModel::primeInsert$#
    {51, 528, 917},	// QSqlTableModel::qt_metacall$$?
    {51, 530, 912},	// QSqlTableModel::qt_metacast$
    {51, 553, 968},	// QSqlTableModel::removeColumns$$
    {51, 554, 938},	// QSqlTableModel::removeColumns$$#
    {51, 558, 969},	// QSqlTableModel::removeRows$$
    {51, 559, 939},	// QSqlTableModel::removeRows$$#
    {51, 566, 945},	// QSqlTableModel::revert
    {51, 567, 947},	// QSqlTableModel::revertAll
    {51, 569, 943},	// QSqlTableModel::revertRow$
    {51, 572, 967},	// QSqlTableModel::rowCount
    {51, 573, 937},	// QSqlTableModel::rowCount#
    {51, 579, 919},	// QSqlTableModel::select
    {51, 580, 956},	// QSqlTableModel::selectStatement
    {51, 592, 965},	// QSqlTableModel::setData##
    {51, 593, 924},	// QSqlTableModel::setData##$
    {51, 607, 928},	// QSqlTableModel::setEditStrategy$
    {51, 609, 936},	// QSqlTableModel::setFilter$
    {51, 644, 957},	// QSqlTableModel::setPrimaryKey#
    {51, 646, 958},	// QSqlTableModel::setQuery#
    {51, 652, 942},	// QSqlTableModel::setRecord$#
    {51, 662, 934},	// QSqlTableModel::setSort$$
    {51, 666, 920},	// QSqlTableModel::setTable$
    {51, 676, 933},	// QSqlTableModel::sort$$
    {51, 680, 971},	// QSqlTableModel::staticMetaObject
    {51, 685, 944},	// QSqlTableModel::submit
    {51, 686, 946},	// QSqlTableModel::submitAll
    {51, 694, 921},	// QSqlTableModel::tableName
    {51, 700, 960},	// QSqlTableModel::tr$
    {51, 701, 913},	// QSqlTableModel::tr$$
    {51, 702, 915},	// QSqlTableModel::tr$$$
    {51, 704, 961},	// QSqlTableModel::trUtf8$
    {51, 705, 914},	// QSqlTableModel::trUtf8$$
    {51, 706, 916},	// QSqlTableModel::trUtf8$$$
    {51, 715, 952},	// QSqlTableModel::updateRowInTable$#
    {51, 735, 975},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 976,
        __smokeqtsql::methodMaps, 665,
        __smokeqtsql::methodNames, 735,
        __smokeqtsql::types, 318,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
