#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsItem
      switch(to) {
        case 28: return (void*)(QGraphicsItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsObject
      switch(to) {
        case 58: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 29: return (void*)(QGraphicsObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 34: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QGraphicsSvgItem
      switch(to) {
        case 29: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 58: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 36:   //QHashDummyValue
      switch(to) {
        case 36: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 37:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 37: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QIODevice
      switch(to) {
        case 58: return (void*)(QObject*)(QIODevice*)xptr;
        case 38: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 39:   //QIcon
      switch(to) {
        case 39: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 40:   //QImage
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 40: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 41:   //QIncompatibleFlag
      switch(to) {
        case 41: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 42:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 42: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QItemSelectionRange
      switch(to) {
        case 43: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 44:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 44: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeySequence
      switch(to) {
        case 45: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 46:   //QLatin1String
      switch(to) {
        case 46: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 47:   //QLine
      switch(to) {
        case 47: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 48:   //QLineF
      switch(to) {
        case 48: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 49:   //QListWidgetItem
      switch(to) {
        case 49: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 50:   //QLocale
      switch(to) {
        case 50: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 51:   //QMargins
      switch(to) {
        case 51: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix
      switch(to) {
        case 52: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 53:   //QMatrix4x4
      switch(to) {
        case 53: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 54:   //QMetaObject
      switch(to) {
        case 54: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 55:   //QModelIndex
      switch(to) {
        case 55: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 56: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 57: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QObject
      switch(to) {
        case 58: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 91: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 92: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintDevice
      switch(to) {
        case 59: return (void*)(QPaintDevice*)xptr;
        case 90: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 92: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPainter
      switch(to) {
        case 62: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 63:   //QPainterPath
      switch(to) {
        case 63: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QPen
      switch(to) {
        case 65: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 66:   //QPersistentModelIndex
      switch(to) {
        case 66: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 67:   //QPicture
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 67: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 68:   //QPixmap
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 68: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 69:   //QPoint
      switch(to) {
        case 69: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 70:   //QPointF
      switch(to) {
        case 70: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygon
      switch(to) {
        case 71: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygonF
      switch(to) {
        case 72: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 73:   //QQuaternion
      switch(to) {
        case 73: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 74:   //QRect
      switch(to) {
        case 74: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 75:   //QRectF
      switch(to) {
        case 75: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 76:   //QRegExp
      switch(to) {
        case 76: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 77:   //QRegion
      switch(to) {
        case 77: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 78:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 78: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 79: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QSize
      switch(to) {
        case 80: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 81:   //QSizeF
      switch(to) {
        case 81: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 82:   //QSizePolicy
      switch(to) {
        case 82: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 83:   //QSplitter
      switch(to) {
        case 113: return (void*)(QWidget*)(QSplitter*)xptr;
        case 58: return (void*)(QObject*)(QSplitter*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 83: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 84:   //QStandardItem
      switch(to) {
        case 84: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 85:   //QString::Null
      switch(to) {
        case 85: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 86:   //QStringRef
      switch(to) {
        case 86: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 87:   //QStyle
      switch(to) {
        case 58: return (void*)(QObject*)(QStyle*)xptr;
        case 87: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOption
      switch(to) {
        case 88: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 89:   //QStyleOptionGraphicsItem
      switch(to) {
        case 88: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 89: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgGenerator
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 90: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgRenderer
      switch(to) {
        case 58: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 91: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 92:   //QSvgWidget
      switch(to) {
        case 113: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 58: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 93:   //QTableWidgetItem
      switch(to) {
        case 93: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 94:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 94: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTextCodec
      switch(to) {
        case 95: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 96:   //QTextFormat
      switch(to) {
        case 96: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 97:   //QTextLength
      switch(to) {
        case 97: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStream
      switch(to) {
        case 98: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 99:   //QTextStreamManipulator
      switch(to) {
        case 99: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 100:   //QTileRules
      switch(to) {
        case 100: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 101:   //QTime
      switch(to) {
        case 101: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 102:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 102: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QTransform
      switch(to) {
        case 103: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 104:   //QTreeWidgetItem
      switch(to) {
        case 104: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 105:   //QUrl
      switch(to) {
        case 105: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 106:   //QUuid
      switch(to) {
        case 106: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 107:   //QVariant
      switch(to) {
        case 107: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 108:   //QVariantComparisonHelper
      switch(to) {
        case 108: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 109:   //QVector2D
      switch(to) {
        case 109: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector3D
      switch(to) {
        case 110: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 111:   //QVector4D
      switch(to) {
        case 111: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 112:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 112: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 113:   //QWidget
      switch(to) {
        case 58: return (void*)(QObject*)(QWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 113: return (void*)(QWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 114:   //QXmlStreamReader
      switch(to) {
        case 114: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QGraphicsObject
    59, 0,	// 3: QPaintDevice
    58, 0,	// 5: QObject
    113, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsBlurEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMessageBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3DockWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrintPreviewWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListViewItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionGroupBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPinchGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionHeader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QListView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWizard(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsScene(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnMask(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionMenuItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileIconProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractPrintDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBoxV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFrameFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDockWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInputContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractItemView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFormLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStackedLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageWriter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBarV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturn(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPlainTextEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMovie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidgetV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCalendarWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextDocument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCompleter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontDatabase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractItemDelegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComplex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAccessible(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileSystemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFocusRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDesktopServices(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLCDNumber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextListFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFileDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV4(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSizeGrip(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTitleBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColormap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDialogButtonBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTab(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QClipboard(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataWidgetMapper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPrintEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCharFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSwipeGesture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHeaderView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGestureRecognizer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDateTimeEdit(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInputDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGraphicsPixmapItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDoubleValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemTrayIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageIOPlugin(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMdiSubWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QToolButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMdiArea(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWorkspace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImageIOHandler(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIconEngineV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTreeWidgetItemIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QBoxLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBaseV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSessionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFontComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProgressBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPageSetupDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QItemSelectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTouchEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//27
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//35
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//36
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//38
    { "QIcon", true, 0, 0, 0, 0, 0 },	//39
    { "QImage", true, 0, 0, 0, 0, 0 },	//40
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//41
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//43
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//45
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//46
    { "QLine", true, 0, 0, 0, 0, 0 },	//47
    { "QLineF", true, 0, 0, 0, 0, 0 },	//48
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//49
    { "QLocale", true, 0, 0, 0, 0, 0 },	//50
    { "QMargins", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//52
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//53
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//54
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QObject", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPainter", true, 0, 0, 0, 0, 0 },	//62
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QPen", true, 0, 0, 0, 0, 0 },	//65
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//66
    { "QPicture", true, 0, 0, 0, 0, 0 },	//67
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//68
    { "QPoint", true, 0, 0, 0, 0, 0 },	//69
    { "QPointF", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//72
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//73
    { "QRect", true, 0, 0, 0, 0, 0 },	//74
    { "QRectF", true, 0, 0, 0, 0, 0 },	//75
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//76
    { "QRegion", true, 0, 0, 0, 0, 0 },	//77
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QSize", true, 0, 0, 0, 0, 0 },	//80
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//81
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//82
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//83
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//84
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//85
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//86
    { "QStyle", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//88
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//89
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//90
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//91
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//92
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//93
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//95
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//96
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//98
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//99
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//100
    { "QTime", true, 0, 0, 0, 0, 0 },	//101
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QTransform", true, 0, 0, 0, 0, 0 },	//103
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//104
    { "QUrl", true, 0, 0, 0, 0, 0 },	//105
    { "QUuid", true, 0, 0, 0, 0, 0 },	//106
    { "QVariant", true, 0, 0, 0, 0, 0 },	//107
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//108
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//110
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//111
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//112
    { "QWidget", true, 0, 0, 0, 0, 0 },	//113
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//114
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTriggers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabled::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::Relation::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QAccessible::State::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Sections::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDrawBorderPixmap::DrawingHints", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QDrawPixmaps::DrawingHints", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFileDialog::Options::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<QAbstractItemView::EditTriggers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<QAbstractSpinBox::StepEnabled::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<QAccessible::Relation::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<QAccessible::State::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<QColorDialog::ColorDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<QDateTimeEdit::Sections::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<QDialogButtonBox::StandardButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<QDockWidget::DockWidgetFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFlags<QFileDialog::Options::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QFlags<QFontComboBox::FontFilters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QFlags<QFontDialog::FontDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFlags<QGestureRecognizer::Result::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsBlurEffect::BlurHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsEffect::ChangeFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsScene::SceneLayers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::CacheMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsView::OptimizationFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<QImageIOPlugin::Capabilities::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<QInputDialog::InputDialogOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFlags<QItemSelectionModel::SelectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QFlags<QMainWindow::DockOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QFlags<QMdiArea::AreaOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QFlags<QMdiSubWindow::SubWindowOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QFlags<QMessageBox::StandardButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::DirtyFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QFlags<QPaintEngine::PaintEngineFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<QPainter::RenderHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QFlags<QStyle::State::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QFlags<QStyle::SubControls::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionButton::ButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionTab::CornerWidgets::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QFlags<QTextDocument::FindFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QFlags<QTextEdit::AutoFormatting::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QFlags<QTextFormat::PageBreakFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QFlags<QTextItem::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QFlags<QTextOption::Flags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QFlags<QWizard::WizardOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//126
    { "QFontComboBox::FontFilters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QFontDialog::FontDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QGestureRecognizer::Result::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QGraphicsBlurEffect::BlurHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//130
    { "QGraphicsEffect::ChangeFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QGraphicsItem::Extension", 28, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemChange", 28, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsItem::GraphicsItemFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "QGraphicsItem::GraphicsItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//137
    { "QGraphicsObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsScene::SceneLayers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QGraphicsSceneContextMenuEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneDragDropEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSceneHoverEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsSceneMouseEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGraphicsSceneWheelEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QGraphicsSvgItem*", 35, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGraphicsView::CacheMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//146
    { "QGraphicsView::OptimizationFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//147
    { "QHideEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QIODevice*", 38, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//150
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//151
    { "QIcon&", 39, Smoke::t_class|Smoke::tf_ref },	//152
    { "QImage&", 40, Smoke::t_class|Smoke::tf_ref },	//153
    { "QImageIOPlugin::Capabilities::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QIncompatibleFlag", 41, Smoke::t_class|Smoke::tf_stack },	//155
    { "QInputDialog::InputDialogOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//156
    { "QInputMethodEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QItemSelectionModel::SelectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "QKeyEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref },	//160
    { "QKeySequence::StandardKey", 45, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QLine", 47, Smoke::t_class|Smoke::tf_stack },	//163
    { "QLine&", 47, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLineF", 48, Smoke::t_class|Smoke::tf_stack },	//165
    { "QLineF&", 48, Smoke::t_class|Smoke::tf_ref },	//166
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//167
    { "QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref },	//168
    { "QLocale&", 50, Smoke::t_class|Smoke::tf_ref },	//169
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QMainWindow::DockOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//171
    { "QMatrix", 52, Smoke::t_class|Smoke::tf_stack },	//172
    { "QMatrix&", 52, Smoke::t_class|Smoke::tf_ref },	//173
    { "QMatrix4x4", 53, Smoke::t_class|Smoke::tf_stack },	//174
    { "QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref },	//175
    { "QMdiArea::AreaOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QMdiSubWindow::SubWindowOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QMessageBox::StandardButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "QMetaObject::Call", 54, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QMouseEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QMoveEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QObject*", 58, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QObject*(*)()", 58, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QPaintDevice::PaintDeviceMetric", 59, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPaintEngine::DirtyFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//186
    { "QPaintEngine::PaintEngineFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//187
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QPainter*", 62, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QPainter::RenderHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//190
    { "QPainterPath", 63, Smoke::t_class|Smoke::tf_stack },	//191
    { "QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPalette&", 64, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPen&", 65, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPicture&", 67, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPixmap&", 68, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPoint", 69, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPoint&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPointF", 70, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPointF&", 70, Smoke::t_class|Smoke::tf_ref },	//200
    { "QPolygon", 71, Smoke::t_class|Smoke::tf_stack },	//201
    { "QPolygon&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QPolygonF", 72, Smoke::t_class|Smoke::tf_stack },	//203
    { "QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref },	//204
    { "QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRect", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRect&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRectF", 75, Smoke::t_class|Smoke::tf_stack },	//208
    { "QRectF&", 75, Smoke::t_class|Smoke::tf_ref },	//209
    { "QRegExp&", 76, Smoke::t_class|Smoke::tf_ref },	//210
    { "QRegion", 77, Smoke::t_class|Smoke::tf_stack },	//211
    { "QRegion&", 77, Smoke::t_class|Smoke::tf_ref },	//212
    { "QResizeEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QShowEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QSize", 80, Smoke::t_class|Smoke::tf_stack },	//215
    { "QSize&", 80, Smoke::t_class|Smoke::tf_ref },	//216
    { "QSizeF&", 81, Smoke::t_class|Smoke::tf_ref },	//217
    { "QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref },	//218
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QSplitter&", 83, Smoke::t_class|Smoke::tf_ref },	//220
    { "QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref },	//221
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//222
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//223
    { "QString::Null", 85, Smoke::t_class|Smoke::tf_stack },	//224
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//225
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//226
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//227
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//228
    { "QStyle&", 87, Smoke::t_class|Smoke::tf_ref },	//229
    { "QStyle::State", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QStyle::State::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "QStyle::SubControls::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "QStyleOptionButton::ButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//233
    { "QStyleOptionFrameV2::FrameFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//234
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//235
    { "QStyleOptionTab::CornerWidgets::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//236
    { "QStyleOptionToolBar::ToolBarFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//237
    { "QStyleOptionToolButton::ToolButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//238
    { "QStyleOptionViewItemV2::ViewItemFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "QSvgGenerator*", 90, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QSvgRenderer*", 91, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QSvgWidget*", 92, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref },	//243
    { "QTabletEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//244
    { "QTextCodec*", 95, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QTextDocument::FindFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QTextEdit::AutoFormatting::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextFormat::PageBreakFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QTextItem::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QTextLength&", 97, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTextOption::Flags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QTextStream&", 98, Smoke::t_class|Smoke::tf_ref },	//254
    { "QTextStream&(*)(QTextStream&)", 98, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QTextStreamManipulator", 99, Smoke::t_class|Smoke::tf_stack },	//257
    { "QTime&", 101, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTimerEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTransform", 103, Smoke::t_class|Smoke::tf_stack },	//260
    { "QTransform&", 103, Smoke::t_class|Smoke::tf_ref },	//261
    { "QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTreeWidgetItemIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//263
    { "QUrl&", 105, Smoke::t_class|Smoke::tf_ref },	//264
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "QUuid&", 106, Smoke::t_class|Smoke::tf_ref },	//266
    { "QVariant", 107, Smoke::t_class|Smoke::tf_stack },	//267
    { "QVariant&", 107, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QVariant::Type&", 107, Smoke::t_enum|Smoke::tf_ref },	//270
    { "QVector2D&", 109, Smoke::t_class|Smoke::tf_ref },	//271
    { "QVector3D", 110, Smoke::t_class|Smoke::tf_stack },	//272
    { "QVector3D&", 110, Smoke::t_class|Smoke::tf_ref },	//273
    { "QVector4D", 111, Smoke::t_class|Smoke::tf_stack },	//274
    { "QVector4D&", 111, Smoke::t_class|Smoke::tf_ref },	//275
    { "QWheelEvent*", 112, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QWidget*", 113, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "QWizard::WizardOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//279
    { "QXmlStreamReader*", 114, Smoke::t_class|Smoke::tf_ptr },	//280
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//303
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//317
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//320
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//338
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//356
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//364
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtMsgType", 27, Smoke::t_enum|Smoke::tf_stack },	//372
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "__codecvt_result", 27, Smoke::t_enum|Smoke::tf_stack },	//374
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//376
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//377
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//378
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//381
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//382
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const QHashDummyValue&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QIcon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QImage&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QItemSelectionRange&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QLatin1String&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QLine&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QLineF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QLocale&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMargins&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QMatrix&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QMetaObject&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QMetaObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QObject*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPen&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QPersistentModelIndex&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPicture&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QPixmap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QPoint", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QPoint&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QPointF", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const QPointF&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QPolygon&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QQuaternion", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//424
    { "const QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QRect&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QRectF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QRegExp&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QRegExp*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QRegion&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QSize", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//431
    { "const QSize&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QSizeF", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QSizeF&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QSplitter&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//438
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const QStringRef&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QStyleOption&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QStyleOption::OptionType&", 88, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QStyleOptionGraphicsItem*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QTextLength&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QTileRules&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QTime&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QTransform&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QUrl&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QUuid&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QVariant&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QVariantComparisonHelper&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVector2D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QVector2D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QVector3D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//460
    { "const QVector3D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QVector4D", 111, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//462
    { "const QVector4D&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//466
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//467
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//468
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//469
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//470
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//471
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//472
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//473
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//474
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//476
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//477
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//478
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//479
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//480
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//481
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//482
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//483
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//484
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//485
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//486
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    34, 469, 0,	//1  QDir::SortFlags::enum_type, int
    146, 146, 0,	//4  QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type
    442, 442, 0,	//7  const QStringRef&, const QStringRef&
    480, 0,	//10  unsigned long long
    467, 0,	//12  double
    407, 407, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    34, 59, 0,	//17  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    461, 461, 0,	//20  const QVector3D&, const QVector3D&
    459, 459, 0,	//23  const QVector2D&, const QVector2D&
    464, 478, 0,	//26  const char*, unsigned int
    485, 466, 475, 0,	//29  void*, const void*, size_t
    464, 400, 0,	//33  const char*, const QLatin1String&
    170, 170, 0,	//36  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    26, 152, 0,	//39  QDataStream&, QIcon&
    359, 359, 0,	//42  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    421, 406, 0,	//45  const QPointF&, const QMatrix&
    176, 81, 0,	//48  QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>
    10, 469, 0,	//51  QAccessible::State::enum_type, int
    442, 439, 0,	//54  const QStringRef&, const QString&
    432, 432, 0,	//57  const QSize&, const QSize&
    279, 279, 0,	//60  QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type
    26, 399, 0,	//63  QDataStream&, const QKeySequence&
    464, 383, 0,	//66  const char*, const QByteArray&
    26, 221, 0,	//69  QDataStream&, QStandardItem&
    439, 464, 0,	//72  const QString&, const char*
    26, 205, 0,	//75  QDataStream&, QQuaternion&
    151, 469, 0,	//78  QIODevice::OpenMode::enum_type, int
    421, 421, 0,	//81  const QPointF&, const QPointF&
    26, 423, 0,	//84  QDataStream&, const QPolygonF&
    467, 467, 0,	//87  double, double
    26, 217, 0,	//90  QDataStream&, QSizeF&
    383, 464, 0,	//93  const QByteArray&, const char*
    36, 61, 0,	//96  QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>
    468, 0,	//99  float
    464, 0,	//101  const char*
    474, 0,	//103  signed char
    439, 442, 0,	//105  const QString&, const QStringRef&
    231, 89, 0,	//108  QStyle::State::enum_type, QFlags<QStyle::State::enum_type>
    18, 0,	//111  QChar
    26, 430, 0,	//113  QDataStream&, const QRegion&
    127, 65, 0,	//116  QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>
    407, 419, 0,	//119  const QMatrix4x4&, const QPoint&
    368, 124, 0,	//122  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    47, 47, 0,	//125  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    26, 448, 0,	//128  QDataStream&, const QTextLength&
    30, 380, 0,	//131  QDebug, const QBrush&
    442, 400, 0,	//134  const QStringRef&, const QLatin1String&
    407, 463, 0,	//137  const QMatrix4x4&, const QVector4D&
    364, 364, 0,	//140  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    18, 18, 0,	//143  QChar, QChar
    30, 425, 0,	//146  QDebug, const QQuaternion&
    407, 0,	//149  const QMatrix4x4&
    364, 123, 0,	//151  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    383, 0,	//154  const QByteArray&
    407, 467, 0,	//156  const QMatrix4x4&, double
    26, 413, 0,	//159  QDataStream&, const QPalette&
    30, 453, 0,	//162  QDebug, const QUrl&
    250, 469, 0,	//165  QTextFormat::PageBreakFlags::enum_type, int
    26, 22, 0,	//168  QDataStream&, QColor&
    26, 243, 0,	//171  QDataStream&, QTableWidgetItem&
    146, 72, 0,	//174  QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>
    320, 320, 0,	//177  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    224, 439, 0,	//180  QString::Null, const QString&
    30, 135, 0,	//183  QDebug, QGraphicsItem::GraphicsItemFlag
    278, 107, 0,	//186  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    29, 29, 0,	//189  QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type
    3, 3, 0,	//192  QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type
    219, 219, 0,	//195  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    263, 263, 0,	//198  QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type
    464, 464, 0,	//201  const char*, const char*
    265, 265, 0,	//204  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    239, 239, 0,	//207  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type
    467, 434, 0,	//210  double, const QSizeF&
    425, 425, 0,	//213  const QQuaternion&, const QQuaternion&
    419, 419, 0,	//216  const QPoint&, const QPoint&
    234, 469, 0,	//219  QStyleOptionFrameV2::FrameFeatures::enum_type, int
    26, 427, 0,	//222  QDataStream&, const QRectF&
    236, 236, 0,	//225  QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type
    246, 98, 0,	//228  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    137, 469, 0,	//231  QGraphicsItem::GraphicsItemFlags::enum_type, int
    451, 467, 0,	//234  const QTransform&, double
    335, 335, 0,	//237  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    377, 0,	//240  char
    30, 405, 0,	//242  QDebug, const QMargins&
    351, 351, 0,	//245  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    48, 64, 0,	//248  QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>
    335, 118, 0,	//251  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    146, 469, 0,	//254  QGraphicsView::CacheMode::enum_type, int
    30, 32, 0,	//257  QDebug, QDir::Filters
    263, 105, 0,	//260  QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>
    128, 66, 0,	//263  QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>
    419, 467, 0,	//266  const QPoint&, double
    189, 469, 469, 469, 469, 413, 376, 381, 0,	//269  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    189, 469, 469, 469, 469, 413, 0,	//278  QPainter*, int, int, int, int, const QPalette&
    189, 469, 469, 469, 469, 413, 376, 0,	//285  QPainter*, int, int, int, int, const QPalette&, bool
    156, 469, 0,	//293  QInputDialog::InputDialogOptions::enum_type, int
    26, 451, 0,	//296  QDataStream&, const QTransform&
    30, 150, 0,	//299  QDebug, QIODevice::OpenMode
    439, 383, 0,	//302  const QString&, const QByteArray&
    434, 434, 0,	//305  const QSizeF&, const QSizeF&
    461, 407, 0,	//308  const QVector3D&, const QMatrix4x4&
    463, 463, 0,	//311  const QVector4D&, const QVector4D&
    219, 87, 0,	//314  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    30, 421, 0,	//317  QDebug, const QPointF&
    26, 417, 0,	//320  QDataStream&, const QPixmap&
    219, 469, 0,	//323  QSizePolicy::ControlTypes::enum_type, int
    47, 469, 0,	//326  QFile::Permissions::enum_type, int
    30, 402, 0,	//329  QDebug, const QLineF&
    478, 0,	//332  unsigned int
    30, 388, 0,	//334  QDebug, const QDateTime&
    464, 439, 0,	//337  const char*, const QString&
    469, 469, 469, 0,	//340  int, int, int
    26, 416, 0,	//344  QDataStream&, const QPicture&
    127, 127, 0,	//347  QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type
    236, 469, 0,	//350  QStyleOptionTab::CornerWidgets::enum_type, int
    29, 56, 0,	//353  QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>
    263, 469, 0,	//356  QTreeWidgetItemIterator::IteratorFlags::enum_type, int
    469, 0,	//359  int
    170, 469, 0,	//361  QLocale::NumberOptions::enum_type, int
    400, 400, 0,	//364  const QLatin1String&, const QLatin1String&
    465, 469, 0,	//367  const unsigned char*, int
    464, 464, 478, 0,	//370  const char*, const char*, unsigned int
    400, 442, 0,	//374  const QLatin1String&, const QStringRef&
    171, 469, 0,	//377  QMainWindow::DockOptions::enum_type, int
    159, 161, 0,	//380  QKeyEvent*, QKeySequence::StandardKey
    248, 469, 0,	//383  QTextEdit::AutoFormatting::enum_type, int
    254, 220, 0,	//386  QTextStream&, QSplitter&
    47, 63, 0,	//389  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    398, 0,	//392  const QItemSelectionRange&
    317, 317, 0,	//394  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    30, 419, 0,	//397  QDebug, const QPoint&
    26, 169, 0,	//400  QDataStream&, QLocale&
    338, 469, 0,	//403  Qt::Orientations::enum_type, int
    248, 100, 0,	//406  QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>
    439, 18, 0,	//409  const QString&, QChar
    224, 224, 0,	//412  QString::Null, QString::Null
    359, 122, 0,	//415  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    465, 477, 469, 0,	//418  const unsigned char*, unsigned char*, int
    232, 469, 0,	//422  QStyle::SubControls::enum_type, int
    485, 475, 475, 475, 0,	//425  void*, size_t, size_t, size_t
    26, 193, 0,	//430  QDataStream&, QPalette&
    26, 386, 0,	//433  QDataStream&, const QCursor&
    383, 439, 0,	//436  const QByteArray&, const QString&
    151, 74, 0,	//439  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    246, 246, 0,	//442  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    426, 426, 0,	//445  const QRect&, const QRect&
    379, 379, 0,	//448  const QBitArray&, const QBitArray&
    383, 383, 0,	//451  const QByteArray&, const QByteArray&
    177, 469, 0,	//454  QMdiSubWindow::SubWindowOptions::enum_type, int
    485, 475, 0,	//457  void*, size_t
    356, 356, 0,	//460  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    439, 0,	//463  const QString&
    4, 4, 0,	//465  QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type
    238, 238, 0,	//468  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type
    186, 186, 0,	//471  QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type
    26, 406, 0,	//474  QDataStream&, const QMatrix&
    26, 404, 0,	//477  QDataStream&, const QLocale&
    30, 391, 0,	//480  QDebug, const QEasingCurve&
    484, 0,	//483  void(*)(QtMsgType,const char*)
    410, 0,	//485  const QModelIndex&
    170, 79, 0,	//487  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    26, 28, 0,	//490  QDataStream&, QDateTime&
    30, 392, 0,	//493  QDebug, const QEvent*
    14, 14, 0,	//496  QBool, QBool
    464, 442, 0,	//499  const char*, const QStringRef&
    235, 469, 0,	//502  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int
    338, 119, 0,	//505  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    31, 57, 0,	//508  QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>
    368, 368, 0,	//511  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    26, 194, 0,	//514  QDataStream&, QPen&
    401, 451, 0,	//517  const QLine&, const QTransform&
    30, 423, 0,	//520  QDebug, const QPolygonF&
    177, 177, 0,	//523  QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type
    18, 439, 0,	//526  QChar, const QString&
    246, 469, 0,	//529  QTextCodec::ConversionFlags::enum_type, int
    189, 426, 405, 417, 426, 405, 449, 41, 0,	//532  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QDrawBorderPixmap::DrawingHints
    189, 426, 405, 417, 426, 405, 0,	//541  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    189, 426, 405, 417, 426, 405, 449, 0,	//548  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    368, 469, 0,	//556  Qt::WindowStates::enum_type, int
    256, 469, 0,	//559  QTextStream::NumberFlags::enum_type, int
    237, 469, 0,	//562  QStyleOptionToolBar::ToolBarFeatures::enum_type, int
    30, 134, 0,	//565  QDebug, QGraphicsItem::GraphicsItemChange
    26, 264, 0,	//568  QDataStream&, QUrl&
    2, 50, 0,	//571  QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>
    464, 464, 469, 0,	//574  const char*, const char*, int
    472, 0,	//578  long long
    425, 0,	//580  const QQuaternion&
    251, 251, 0,	//582  QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type
    439, 224, 0,	//585  const QString&, QString::Null
    328, 116, 0,	//588  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    451, 451, 0,	//591  const QTransform&, const QTransform&
    26, 15, 0,	//594  QDataStream&, QBrush&
    33, 58, 0,	//597  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    439, 377, 0,	//600  const QString&, char
    129, 129, 0,	//603  QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type
    412, 406, 0,	//606  const QPainterPath&, const QMatrix&
    26, 218, 0,	//609  QDataStream&, QSizePolicy&
    189, 469, 469, 469, 469, 385, 469, 381, 0,	//612  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    189, 469, 469, 469, 469, 385, 0,	//621  QPainter*, int, int, int, int, const QColor&
    189, 469, 469, 469, 469, 385, 469, 0,	//628  QPainter*, int, int, int, int, const QColor&, int
    171, 80, 0,	//636  QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>
    187, 469, 0,	//639  QPaintEngine::PaintEngineFeatures::enum_type, int
    128, 469, 0,	//642  QFontDialog::FontDialogOptions::enum_type, int
    425, 467, 0,	//645  const QQuaternion&, double
    378, 464, 0,	//648  char*, const char*
    430, 406, 0,	//651  const QRegion&, const QMatrix&
    419, 0,	//654  const QPoint&
    129, 469, 0,	//656  QGestureRecognizer::Result::enum_type, int
    26, 450, 0,	//659  QDataStream&, const QTime&
    1, 49, 0,	//662  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    405, 405, 0,	//665  const QMargins&, const QMargins&
    2, 469, 0,	//668  QAbstractItemView::EditTriggers::enum_type, int
    189, 426, 413, 376, 469, 469, 381, 0,	//671  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    189, 426, 413, 0,	//679  QPainter*, const QRect&, const QPalette&
    189, 426, 413, 376, 0,	//683  QPainter*, const QRect&, const QPalette&, bool
    189, 426, 413, 376, 469, 0,	//688  QPainter*, const QRect&, const QPalette&, bool, int
    189, 426, 413, 376, 469, 469, 0,	//694  QPainter*, const QRect&, const QPalette&, bool, int, int
    26, 412, 0,	//701  QDataStream&, const QPainterPath&
    303, 110, 0,	//704  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    1, 1, 0,	//707  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    463, 407, 0,	//710  const QVector4D&, const QMatrix4x4&
    183, 0,	//713  QObject*(*)()
    30, 398, 0,	//715  QDebug, const QItemSelectionRange&
    30, 399, 0,	//718  QDebug, const QKeySequence&
    31, 469, 0,	//721  QDialogButtonBox::StandardButtons::enum_type, int
    189, 426, 405, 417, 0,	//724  QPainter*, const QRect&, const QMargins&, const QPixmap&
    463, 467, 0,	//729  const QVector4D&, double
    254, 436, 0,	//732  QTextStream&, const QSplitter&
    475, 0,	//735  size_t
    328, 469, 0,	//737  Qt::KeyboardModifiers::enum_type, int
    26, 227, 0,	//740  QDataStream&, QStringList&
    311, 112, 0,	//743  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    26, 461, 0,	//746  QDataStream&, const QVector3D&
    30, 456, 0,	//749  QDebug, const QVariant::Type
    26, 459, 0,	//752  QDataStream&, const QVector2D&
    26, 380, 0,	//755  QDataStream&, const QBrush&
    317, 469, 0,	//758  Qt::ImageConversionFlags::enum_type, int
    187, 85, 0,	//761  QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>
    189, 426, 413, 376, 381, 0,	//764  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    154, 75, 0,	//770  QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>
    470, 0,	//773  long
    26, 452, 0,	//775  QDataStream&, const QTreeWidgetItem&
    154, 469, 0,	//778  QImageIOPlugin::Capabilities::enum_type, int
    265, 469, 0,	//781  QUrl::FormattingOptions::enum_type, int
    235, 235, 0,	//784  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type
    481, 0,	//787  unsigned short
    26, 166, 0,	//789  QDataStream&, QLineF&
    190, 469, 0,	//792  QPainter::RenderHints::enum_type, int
    48, 48, 0,	//795  QFileDialog::Options::enum_type, QFileDialog::Options::enum_type
    26, 397, 0,	//798  QDataStream&, const QImage&
    305, 111, 0,	//801  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    189, 426, 413, 376, 469, 381, 0,	//804  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    377, 439, 0,	//811  char, const QString&
    26, 216, 0,	//814  QDataStream&, QSize&
    131, 469, 0,	//817  QGraphicsEffect::ChangeFlags::enum_type, int
    26, 160, 0,	//820  QDataStream&, QKeySequence&
    317, 113, 0,	//823  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    225, 225, 0,	//826  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    279, 469, 0,	//829  QWizard::WizardOptions::enum_type, int
    415, 0,	//832  const QPersistentModelIndex&
    30, 430, 0,	//834  QDebug, const QRegion&
    26, 463, 0,	//837  QDataStream&, const QVector4D&
    177, 82, 0,	//840  QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>
    26, 396, 0,	//843  QDataStream&, const QIcon&
    26, 439, 0,	//846  QDataStream&, const QString&
    320, 469, 0,	//849  Qt::InputMethodHints::enum_type, int
    26, 388, 0,	//852  QDataStream&, const QDateTime&
    26, 273, 0,	//855  QDataStream&, QVector3D&
    411, 439, 408, 0,	//858  const QObject*, const QString&, const QMetaObject&
    189, 469, 469, 469, 469, 413, 376, 469, 381, 0,	//862  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    189, 469, 469, 469, 469, 413, 376, 469, 0,	//872  QPainter*, int, int, int, int, const QPalette&, bool, int
    26, 271, 0,	//881  QDataStream&, QVector2D&
    459, 467, 0,	//884  const QVector2D&, double
    421, 467, 0,	//887  const QPointF&, double
    376, 14, 0,	//890  bool, QBool
    35, 60, 0,	//893  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    147, 147, 0,	//896  QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type
    461, 467, 0,	//899  const QVector3D&, double
    351, 469, 0,	//902  Qt::TextInteractionFlags::enum_type, int
    378, 464, 478, 0,	//905  char*, const char*, unsigned int
    467, 459, 0,	//909  double, const QVector2D&
    463, 0,	//912  const QVector4D&
    247, 469, 0,	//914  QTextDocument::FindFlags::enum_type, int
    26, 175, 0,	//917  QDataStream&, QMatrix4x4&
    2, 2, 0,	//920  QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type
    151, 151, 0,	//923  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    26, 419, 0,	//926  QDataStream&, const QPoint&
    232, 232, 0,	//929  QStyle::SubControls::enum_type, QStyle::SubControls::enum_type
    26, 268, 0,	//932  QDataStream&, QVariant&
    421, 407, 0,	//935  const QPointF&, const QMatrix4x4&
    26, 153, 0,	//938  QDataStream&, QImage&
    421, 0,	//941  const QPointF&
    30, 443, 0,	//943  QDebug, const QStyleOption&
    26, 195, 0,	//946  QDataStream&, QPicture&
    30, 415, 0,	//949  QDebug, const QPersistentModelIndex&
    423, 406, 0,	//952  const QPolygonF&, const QMatrix&
    26, 275, 0,	//955  QDataStream&, QVector4D&
    464, 464, 464, 469, 0,	//958  const char*, const char*, const char*, int
    156, 76, 0,	//963  QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>
    10, 10, 0,	//966  QAccessible::State::enum_type, QAccessible::State::enum_type
    26, 407, 0,	//969  QDataStream&, const QMatrix4x4&
    338, 338, 0,	//972  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    237, 95, 0,	//975  QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>
    406, 406, 0,	//978  const QMatrix&, const QMatrix&
    427, 427, 0,	//981  const QRectF&, const QRectF&
    485, 475, 475, 375, 0,	//984  void*, size_t, size_t, __compar_fn_t
    469, 469, 469, 469, 0,	//989  int, int, int, int
    178, 178, 0,	//994  QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type
    139, 469, 0,	//997  QGraphicsScene::SceneLayers::enum_type, int
    26, 261, 0,	//1000  QDataStream&, QTransform&
    30, 138, 0,	//1003  QDebug, QGraphicsObject*
    26, 437, 0,	//1006  QDataStream&, const QStandardItem&
    36, 36, 0,	//1009  QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type
    190, 86, 0,	//1012  QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>
    467, 463, 0,	//1015  double, const QVector4D&
    303, 303, 0,	//1018  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    265, 106, 0,	//1021  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    253, 469, 0,	//1024  QTextOption::Flags::enum_type, int
    26, 440, 0,	//1027  QDataStream&, const QStringList&
    30, 407, 0,	//1030  QDebug, const QMatrix4x4&
    383, 377, 0,	//1033  const QByteArray&, char
    238, 469, 0,	//1036  QStyleOptionToolButton::ToolButtonFeatures::enum_type, int
    26, 198, 0,	//1039  QDataStream&, QPoint&
    225, 469, 0,	//1042  QString::SectionFlags::enum_type, int
    434, 467, 0,	//1045  const QSizeF&, double
    311, 469, 0,	//1048  Qt::GestureFlags::enum_type, int
    324, 324, 0,	//1051  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    247, 99, 0,	//1054  QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>
    26, 387, 0,	//1057  QDataStream&, const QDate&
    483, 0,	//1060  void(*)()
    235, 93, 0,	//1062  QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>
    465, 469, 469, 0,	//1065  const unsigned char*, int, int
    26, 401, 0,	//1069  QDataStream&, const QLine&
    26, 173, 0,	//1072  QDataStream&, QMatrix&
    26, 223, 0,	//1075  QDataStream&, QString&
    189, 390, 469, 417, 43, 0,	//1078  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QDrawPixmaps::DrawingHints
    189, 390, 469, 417, 0,	//1084  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    3, 469, 0,	//1089  QAbstractPrintDialog::PrintDialogOptions::enum_type, int
    190, 190, 0,	//1092  QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type
    26, 403, 0,	//1095  QDataStream&, const QListWidgetItem&
    9, 9, 0,	//1098  QAccessible::Relation::enum_type, QAccessible::Relation::enum_type
    239, 469, 0,	//1101  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int
    485, 0,	//1104  void*
    402, 406, 0,	//1106  const QLineF&, const QMatrix&
    26, 447, 0,	//1109  QDataStream&, const QTextFormat&
    26, 262, 0,	//1112  QDataStream&, QTreeWidgetItem&
    30, 389, 0,	//1115  QDebug, const QDir&
    254, 255, 0,	//1118  QTextStream&, QTextStream&(*)(QTextStream&)
    30, 414, 0,	//1121  QDebug, const QPen&
    467, 425, 0,	//1124  double, const QQuaternion&
    30, 410, 0,	//1127  QDebug, const QModelIndex&
    139, 71, 0,	//1130  QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>
    30, 461, 0,	//1133  QDebug, const QVector3D&
    278, 469, 0,	//1136  QWidget::RenderFlags::enum_type, int
    379, 0,	//1139  const QBitArray&
    30, 459, 0,	//1141  QDebug, const QVector2D&
    30, 450, 0,	//1144  QDebug, const QTime&
    254, 257, 0,	//1147  QTextStream&, QTextStreamManipulator
    35, 35, 0,	//1150  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    305, 305, 0,	//1153  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    30, 463, 0,	//1156  QDebug, const QVector4D&
    26, 249, 0,	//1159  QDataStream&, QTextFormat&
    239, 97, 0,	//1162  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>
    442, 464, 0,	//1165  const QStringRef&, const char*
    147, 73, 0,	//1168  QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>
    30, 136, 0,	//1171  QDebug, QGraphicsItem::GraphicsItemFlags
    130, 130, 0,	//1174  QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type
    332, 332, 0,	//1177  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    236, 94, 0,	//1180  QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>
    154, 154, 0,	//1183  QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type
    26, 13, 0,	//1186  QDataStream&, QBitArray&
    26, 202, 0,	//1189  QDataStream&, QPolygon&
    26, 212, 0,	//1192  QDataStream&, QRegion&
    233, 91, 0,	//1195  QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>
    26, 435, 0,	//1198  QDataStream&, const QSizePolicy&
    46, 62, 0,	//1201  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    475, 475, 0,	//1204  size_t, size_t
    278, 278, 0,	//1207  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    419, 451, 0,	//1210  const QPoint&, const QTransform&
    162, 78, 0,	//1213  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    23, 469, 0,	//1216  QColorDialog::ColorDialogOptions::enum_type, int
    30, 434, 0,	//1219  QDebug, const QSizeF&
    247, 247, 0,	//1222  QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type
    324, 469, 0,	//1225  Qt::ItemFlags::enum_type, int
    377, 383, 0,	//1228  char, const QByteArray&
    320, 114, 0,	//1231  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    26, 455, 0,	//1234  QDataStream&, const QVariant&
    30, 455, 0,	//1237  QDebug, const QVariant&
    26, 258, 0,	//1240  QDataStream&, QTime&
    234, 92, 0,	//1243  QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>
    26, 196, 0,	//1246  QDataStream&, QPixmap&
    238, 96, 0,	//1249  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>
    467, 421, 0,	//1252  double, const QPointF&
    279, 108, 0,	//1255  QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>
    430, 451, 0,	//1258  const QRegion&, const QTransform&
    127, 469, 0,	//1261  QFontComboBox::FontFilters::enum_type, int
    432, 467, 0,	//1264  const QSize&, double
    36, 469, 0,	//1267  QDockWidget::DockWidgetFeatures::enum_type, int
    30, 387, 0,	//1270  QDebug, const QDate&
    412, 451, 0,	//1273  const QPainterPath&, const QTransform&
    225, 88, 0,	//1276  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    378, 475, 464, 482, 0,	//1279  char*, size_t, const char*, va_list
    467, 419, 0,	//1284  double, const QPoint&
    423, 451, 0,	//1287  const QPolygonF&, const QTransform&
    485, 469, 475, 0,	//1290  void*, int, size_t
    26, 402, 0,	//1294  QDataStream&, const QLineF&
    171, 171, 0,	//1297  QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type
    464, 469, 0,	//1300  const char*, int
    130, 469, 0,	//1303  QGraphicsBlurEffect::BlurHints::enum_type, int
    473, 0,	//1306  short
    156, 156, 0,	//1308  QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type
    162, 469, 0,	//1311  QLibrary::LoadHints::enum_type, int
    256, 256, 0,	//1314  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    158, 158, 0,	//1317  QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type
    31, 31, 0,	//1320  QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type
    468, 468, 0,	//1323  float, float
    455, 457, 0,	//1326  const QVariant&, const QVariantComparisonHelper&
    471, 469, 378, 0,	//1329  long double, int, char*
    131, 131, 0,	//1333  QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type
    129, 67, 0,	//1336  QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>
    26, 414, 0,	//1339  QDataStream&, const QPen&
    26, 192, 0,	//1342  QDataStream&, QPainterPath&
    251, 469, 0,	//1345  QTextItem::RenderFlags::enum_type, int
    30, 401, 0,	//1348  QDebug, const QLine&
    189, 469, 469, 469, 469, 413, 376, 469, 469, 381, 0,	//1351  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    189, 469, 469, 469, 469, 413, 376, 469, 469, 0,	//1362  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    9, 53, 0,	//1372  QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>
    137, 137, 0,	//1375  QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type
    256, 104, 0,	//1378  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    26, 252, 0,	//1381  QDataStream&, QTextLength&
    30, 451, 0,	//1384  QDebug, const QTransform&
    250, 250, 0,	//1387  QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type
    383, 469, 0,	//1390  const QByteArray&, int
    30, 422, 0,	//1393  QDebug, const QPolygon&
    130, 68, 0,	//1396  QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>
    1, 469, 0,	//1399  QAbstractFileEngine::FileFlags::enum_type, int
    9, 469, 0,	//1402  QAccessible::Relation::enum_type, int
    33, 469, 0,	//1405  QDir::Filters::enum_type, int
    459, 0,	//1408  const QVector2D&
    26, 385, 0,	//1410  QDataStream&, const QColor&
    467, 407, 0,	//1413  double, const QMatrix4x4&
    26, 383, 0,	//1416  QDataStream&, const QByteArray&
    401, 406, 0,	//1419  const QLine&, const QMatrix&
    34, 34, 0,	//1422  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    26, 453, 0,	//1425  QDataStream&, const QUrl&
    305, 469, 0,	//1428  Qt::DropActions::enum_type, int
    30, 426, 0,	//1431  QDebug, const QRect&
    30, 393, 0,	//1434  QDebug, const QFont&
    162, 162, 0,	//1437  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    233, 233, 0,	//1440  QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type
    3, 51, 0,	//1443  QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>
    26, 207, 0,	//1446  QDataStream&, QRect&
    26, 432, 0,	//1449  QDataStream&, const QSize&
    253, 253, 0,	//1452  QTextOption::Flags::enum_type, QTextOption::Flags::enum_type
    26, 384, 0,	//1455  QDataStream&, const QChar&
    237, 237, 0,	//1458  QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type
    161, 159, 0,	//1461  QKeySequence::StandardKey, QKeyEvent*
    231, 231, 0,	//1464  QStyle::State::enum_type, QStyle::State::enum_type
    26, 168, 0,	//1467  QDataStream&, QListWidgetItem&
    26, 428, 0,	//1470  QDataStream&, const QRegExp&
    248, 248, 0,	//1473  QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type
    253, 103, 0,	//1476  QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>
    281, 469, 0,	//1479  Qt::Alignment::enum_type, int
    461, 0,	//1482  const QVector3D&
    30, 427, 0,	//1484  QDebug, const QRectF&
    324, 115, 0,	//1487  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    233, 469, 0,	//1490  QStyleOptionButton::ButtonFeatures::enum_type, int
    311, 311, 0,	//1493  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    26, 266, 0,	//1496  QDataStream&, QUuid&
    26, 126, 0,	//1499  QDataStream&, QFont&
    281, 109, 0,	//1502  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    189, 426, 385, 469, 381, 0,	//1505  QPainter*, const QRect&, const QColor&, int, const QBrush*
    189, 426, 385, 0,	//1511  QPainter*, const QRect&, const QColor&
    189, 426, 385, 469, 0,	//1515  QPainter*, const QRect&, const QColor&, int
    26, 204, 0,	//1520  QDataStream&, QPolygonF&
    26, 270, 0,	//1523  QDataStream&, QVariant::Type&
    455, 269, 485, 0,	//1526  const QVariant&, QVariant::Type, void*
    419, 407, 0,	//1530  const QPoint&, const QMatrix4x4&
    158, 469, 0,	//1533  QItemSelectionModel::SelectionFlags::enum_type, int
    419, 406, 0,	//1536  const QPoint&, const QMatrix&
    411, 439, 429, 408, 167, 0,	//1539  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    33, 33, 0,	//1545  QDir::Filters::enum_type, QDir::Filters::enum_type
    395, 395, 0,	//1548  const QHashDummyValue&, const QHashDummyValue&
    332, 469, 0,	//1551  Qt::MatchFlags::enum_type, int
    231, 469, 0,	//1554  QStyle::State::enum_type, int
    26, 200, 0,	//1557  QDataStream&, QPointF&
    186, 84, 0,	//1560  QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>
    407, 461, 0,	//1563  const QMatrix4x4&, const QVector3D&
    364, 469, 0,	//1566  Qt::WindowFlags::enum_type, int
    356, 121, 0,	//1569  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    26, 446, 0,	//1572  QDataStream&, const QTableWidgetItem&
    187, 187, 0,	//1575  QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type
    30, 132, 0,	//1578  QDebug, QGraphicsItem*
    189, 419, 419, 413, 376, 469, 469, 0,	//1581  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    189, 419, 419, 413, 0,	//1589  QPainter*, const QPoint&, const QPoint&, const QPalette&
    189, 419, 419, 413, 376, 0,	//1594  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    189, 419, 419, 413, 376, 469, 0,	//1600  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    356, 469, 0,	//1607  Qt::ToolBarAreas::enum_type, int
    407, 421, 0,	//1610  const QMatrix4x4&, const QPointF&
    26, 393, 0,	//1613  QDataStream&, const QFont&
    303, 469, 0,	//1616  Qt::DockWidgetAreas::enum_type, int
    422, 451, 0,	//1619  const QPolygon&, const QTransform&
    467, 432, 0,	//1622  double, const QSize&
    30, 230, 0,	//1625  QDebug, QStyle::State
    351, 120, 0,	//1628  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    251, 102, 0,	//1631  QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>
    14, 376, 0,	//1634  QBool, bool
    26, 164, 0,	//1637  QDataStream&, QLine&
    131, 69, 0,	//1640  QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>
    30, 432, 0,	//1643  QDebug, const QSize&
    402, 451, 0,	//1646  const QLineF&, const QTransform&
    4, 52, 0,	//1649  QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>
    281, 281, 0,	//1652  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    137, 70, 0,	//1655  QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>
    186, 469, 0,	//1658  QPaintEngine::DirtyFlags::enum_type, int
    29, 469, 0,	//1661  QDateTimeEdit::Sections::enum_type, int
    26, 456, 0,	//1664  QDataStream&, const QVariant::Type
    421, 451, 0,	//1667  const QPointF&, const QTransform&
    30, 385, 0,	//1670  QDebug, const QColor&
    30, 406, 0,	//1673  QDebug, const QMatrix&
    26, 454, 0,	//1676  QDataStream&, const QUuid&
    328, 328, 0,	//1679  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    139, 139, 0,	//1682  QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type
    48, 469, 0,	//1685  QFileDialog::Options::enum_type, int
    26, 209, 0,	//1688  QDataStream&, QRectF&
    10, 54, 0,	//1691  QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>
    176, 469, 0,	//1694  QMdiArea::AreaOptions::enum_type, int
    26, 25, 0,	//1697  QDataStream&, QCursor&
    23, 23, 0,	//1700  QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type
    46, 469, 0,	//1703  QEventLoop::ProcessEventsFlags::enum_type, int
    178, 83, 0,	//1706  QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>
    26, 426, 0,	//1709  QDataStream&, const QRect&
    26, 19, 0,	//1712  QDataStream&, QChar&
    26, 210, 0,	//1715  QDataStream&, QRegExp&
    479, 0,	//1718  unsigned long
    26, 425, 0,	//1720  QDataStream&, const QQuaternion&
    35, 469, 0,	//1723  QDirIterator::IteratorFlags::enum_type, int
    26, 421, 0,	//1726  QDataStream&, const QPointF&
    359, 469, 0,	//1729  Qt::TouchPointStates::enum_type, int
    26, 434, 0,	//1732  QDataStream&, const QSizeF&
    439, 439, 0,	//1735  const QString&, const QString&
    158, 77, 0,	//1738  QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>
    147, 469, 0,	//1741  QGraphicsView::OptimizationFlags::enum_type, int
    250, 101, 0,	//1744  QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>
    372, 464, 0,	//1747  QtMsgType, const char*
    178, 469, 0,	//1750  QMessageBox::StandardButtons::enum_type, int
    30, 412, 0,	//1753  QDebug, const QPainterPath&
    467, 461, 0,	//1756  double, const QVector3D&
    234, 234, 0,	//1759  QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type
    23, 55, 0,	//1762  QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>
    176, 176, 0,	//1765  QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type
    442, 0,	//1768  const QStringRef&
    232, 90, 0,	//1770  QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>
    4, 469, 0,	//1773  QAbstractSpinBox::StepEnabled::enum_type, int
    46, 46, 0,	//1776  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    128, 128, 0,	//1779  QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type
    332, 117, 0,	//1782  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    476, 0,	//1785  unsigned char
    26, 17, 0,	//1787  QDataStream&, QByteArray&
    422, 406, 0,	//1790  const QPolygon&, const QMatrix&
    30, 444, 0,	//1793  QDebug, const QStyleOption::OptionType&
    30, 411, 0,	//1796  QDebug, const QObject*
    335, 469, 0,	//1799  Qt::MouseButtons::enum_type, int
    26, 422, 0,	//1802  QDataStream&, const QPolygon&
    26, 27, 0,	//1805  QDataStream&, QDate&
    26, 379, 0,	//1808  QDataStream&, const QBitArray&
    394, 325, 0,	//1811  const QGraphicsItem*, Qt::ItemSelectionMode
    412, 325, 0,	//1814  const QPainterPath&, Qt::ItemSelectionMode
    394, 0,	//1817  const QGraphicsItem*
    132, 45, 0,	//1819  QGraphicsItem*, QEvent*
    45, 0,	//1822  QEvent*
    140, 0,	//1824  QGraphicsSceneContextMenuEvent*
    141, 0,	//1826  QGraphicsSceneDragDropEvent*
    125, 0,	//1828  QFocusEvent*
    142, 0,	//1830  QGraphicsSceneHoverEvent*
    159, 0,	//1832  QKeyEvent*
    143, 0,	//1834  QGraphicsSceneMouseEvent*
    144, 0,	//1836  QGraphicsSceneWheelEvent*
    157, 0,	//1838  QInputMethodEvent*
    321, 0,	//1840  Qt::InputMethodQuery
    134, 455, 0,	//1842  QGraphicsItem::GraphicsItemChange, const QVariant&
    133, 0,	//1845  QGraphicsItem::Extension
    133, 455, 0,	//1847  QGraphicsItem::Extension, const QVariant&
    455, 0,	//1850  const QVariant&
    179, 469, 486, 0,	//1852  QMetaObject::Call, int, void**
    132, 0,	//1856  QGraphicsItem*
    439, 132, 0,	//1858  const QString&, QGraphicsItem*
    241, 0,	//1861  QSvgRenderer*
    376, 0,	//1863  bool
    432, 0,	//1865  const QSize&
    189, 445, 277, 0,	//1867  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    189, 445, 0,	//1871  QPainter*, const QStyleOptionGraphicsItem*
    182, 45, 0,	//1874  QObject*, QEvent*
    259, 0,	//1877  QTimerEvent*
    20, 0,	//1879  QChildEvent*
    426, 0,	//1881  const QRect&
    427, 0,	//1883  const QRectF&
    149, 0,	//1885  QIODevice*
    184, 0,	//1887  QPaintDevice::PaintDeviceMetric
    182, 0,	//1889  QObject*
    439, 182, 0,	//1891  const QString&, QObject*
    383, 182, 0,	//1894  const QByteArray&, QObject*
    280, 182, 0,	//1897  QXmlStreamReader*, QObject*
    280, 0,	//1900  QXmlStreamReader*
    189, 0,	//1902  QPainter*
    189, 427, 0,	//1904  QPainter*, const QRectF&
    189, 439, 427, 0,	//1907  QPainter*, const QString&, const QRectF&
    189, 439, 0,	//1911  QPainter*, const QString&
    277, 0,	//1914  QWidget*
    439, 277, 0,	//1916  const QString&, QWidget*
    188, 0,	//1919  QPaintEvent*
    180, 0,	//1921  QMouseEvent*
    276, 0,	//1923  QWheelEvent*
    181, 0,	//1925  QMoveEvent*
    213, 0,	//1927  QResizeEvent*
    21, 0,	//1929  QCloseEvent*
    24, 0,	//1931  QContextMenuEvent*
    244, 0,	//1933  QTabletEvent*
    11, 0,	//1935  QActionEvent*
    37, 0,	//1937  QDragEnterEvent*
    39, 0,	//1939  QDragMoveEvent*
    38, 0,	//1941  QDragLeaveEvent*
    44, 0,	//1943  QDropEvent*
    214, 0,	//1945  QShowEvent*
    148, 0,	//1947  QHideEvent*
    373, 0,	//1949  _XEvent*
    229, 0,	//1951  QStyle&
    413, 0,	//1953  const QPalette&
    393, 0,	//1955  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemSceneChange",	//34
    "ItemSceneHasChanged",	//35
    "ItemScenePositionHasChanged",	//36
    "ItemSelectedChange",	//37
    "ItemSelectedHasChanged",	//38
    "ItemSendsGeometryChanges",	//39
    "ItemSendsScenePositionChanges",	//40
    "ItemStacksBehindParent",	//41
    "ItemToolTipChange",	//42
    "ItemToolTipHasChanged",	//43
    "ItemTransformChange",	//44
    "ItemTransformHasChanged",	//45
    "ItemUsesExtendedStyleOption",	//46
    "ItemVisibleChange",	//47
    "ItemVisibleHasChanged",	//48
    "ItemZValueChange",	//49
    "ItemZValueHasChanged",	//50
    "NoCache",	//51
    "NonModal",	//52
    "PanelModal",	//53
    "PdmDepth",	//54
    "PdmDpiX",	//55
    "PdmDpiY",	//56
    "PdmHeight",	//57
    "PdmHeightMM",	//58
    "PdmNumColors",	//59
    "PdmPhysicalDpiX",	//60
    "PdmPhysicalDpiY",	//61
    "PdmWidth",	//62
    "PdmWidthMM",	//63
    "QGraphicsSvgItem",	//64
    "QGraphicsSvgItem#",	//65
    "QGraphicsSvgItem$",	//66
    "QGraphicsSvgItem$#",	//67
    "QSvgGenerator",	//68
    "QSvgRenderer",	//69
    "QSvgRenderer#",	//70
    "QSvgRenderer##",	//71
    "QSvgRenderer$",	//72
    "QSvgRenderer$#",	//73
    "QSvgWidget",	//74
    "QSvgWidget#",	//75
    "QSvgWidget$",	//76
    "QSvgWidget$#",	//77
    "QtCriticalMsg",	//78
    "QtDebugMsg",	//79
    "QtFatalMsg",	//80
    "QtSystemMsg",	//81
    "QtWarningMsg",	//82
    "SceneModal",	//83
    "Type",	//84
    "UserExtension",	//85
    "UserType",	//86
    "_IEEE_",	//87
    "_ISOC_",	//88
    "_POSIX_",	//89
    "_SVID_",	//90
    "_XOPEN_",	//91
    "__codecvt_error",	//92
    "__codecvt_noconv",	//93
    "__codecvt_ok",	//94
    "__codecvt_partial",	//95
    "actionEvent",	//96
    "advance",	//97
    "animated",	//98
    "animationDuration",	//99
    "boundingRect",	//100
    "boundsOnElement",	//101
    "boundsOnElement$",	//102
    "changeEvent",	//103
    "childEvent",	//104
    "closeEvent",	//105
    "collidesWithItem",	//106
    "collidesWithPath",	//107
    "connectNotify",	//108
    "contains",	//109
    "contextMenuEvent",	//110
    "currentFrame",	//111
    "customEvent",	//112
    "defaultSize",	//113
    "description",	//114
    "devType",	//115
    "disconnectNotify",	//116
    "dragEnterEvent",	//117
    "dragLeaveEvent",	//118
    "dragMoveEvent",	//119
    "dropEvent",	//120
    "elementExists",	//121
    "elementExists$",	//122
    "elementId",	//123
    "enabledChange",	//124
    "enterEvent",	//125
    "event",	//126
    "eventFilter",	//127
    "extension",	//128
    "fileName",	//129
    "focusInEvent",	//130
    "focusNextPrevChild",	//131
    "focusOutEvent",	//132
    "fontChange",	//133
    "framesPerSecond",	//134
    "heightForWidth",	//135
    "hideEvent",	//136
    "hoverEnterEvent",	//137
    "hoverLeaveEvent",	//138
    "hoverMoveEvent",	//139
    "inputMethodEvent",	//140
    "inputMethodQuery",	//141
    "isCachingEnabled",	//142
    "isObscuredBy",	//143
    "isValid",	//144
    "itemChange",	//145
    "keyPressEvent",	//146
    "keyReleaseEvent",	//147
    "languageChange",	//148
    "leaveEvent",	//149
    "load",	//150
    "load#",	//151
    "load$",	//152
    "matrixForElement",	//153
    "matrixForElement$",	//154
    "maximumCacheSize",	//155
    "metaObject",	//156
    "metric",	//157
    "metric$",	//158
    "minimumSizeHint",	//159
    "mouseDoubleClickEvent",	//160
    "mouseMoveEvent",	//161
    "mousePressEvent",	//162
    "mouseReleaseEvent",	//163
    "moveEvent",	//164
    "opaqueArea",	//165
    "operator!=",	//166
    "operator!=##",	//167
    "operator!=#$",	//168
    "operator!=$#",	//169
    "operator!=$$",	//170
    "operator&",	//171
    "operator&##",	//172
    "operator*",	//173
    "operator*##",	//174
    "operator*#$",	//175
    "operator*$#",	//176
    "operator+",	//177
    "operator+##",	//178
    "operator+#$",	//179
    "operator+$#",	//180
    "operator+$$",	//181
    "operator-",	//182
    "operator-#",	//183
    "operator-##",	//184
    "operator-#$",	//185
    "operator/",	//186
    "operator/#$",	//187
    "operator<",	//188
    "operator<##",	//189
    "operator<#$",	//190
    "operator<$#",	//191
    "operator<$$",	//192
    "operator<<",	//193
    "operator<<##",	//194
    "operator<<#$",	//195
    "operator<<#?",	//196
    "operator<=",	//197
    "operator<=##",	//198
    "operator<=#$",	//199
    "operator<=$#",	//200
    "operator<=$$",	//201
    "operator==",	//202
    "operator==##",	//203
    "operator==#$",	//204
    "operator==$#",	//205
    "operator==$$",	//206
    "operator>",	//207
    "operator>##",	//208
    "operator>#$",	//209
    "operator>$#",	//210
    "operator>$$",	//211
    "operator>=",	//212
    "operator>=##",	//213
    "operator>=#$",	//214
    "operator>=$#",	//215
    "operator>=$$",	//216
    "operator>>",	//217
    "operator>>##",	//218
    "operator>>#$",	//219
    "operator>>#?",	//220
    "operator^",	//221
    "operator^##",	//222
    "operator|",	//223
    "operator|##",	//224
    "operator|?$",	//225
    "operator|??",	//226
    "outputDevice",	//227
    "paint",	//228
    "paint##",	//229
    "paint###",	//230
    "paintEngine",	//231
    "paintEvent",	//232
    "paintEvent#",	//233
    "paletteChange",	//234
    "qAccessibleActionCastHelper",	//235
    "qAccessibleEditableTextCastHelper",	//236
    "qAccessibleImageCastHelper",	//237
    "qAccessibleTableCastHelper",	//238
    "qAccessibleTextCastHelper",	//239
    "qAccessibleValueCastHelper",	//240
    "qAcos",	//241
    "qAcos$",	//242
    "qAddPostRoutine",	//243
    "qAddPostRoutine$",	//244
    "qAlpha",	//245
    "qAlpha$",	//246
    "qAppName",	//247
    "qAsin",	//248
    "qAsin$",	//249
    "qAtan",	//250
    "qAtan$",	//251
    "qAtan2",	//252
    "qAtan2$$",	//253
    "qBlue",	//254
    "qBlue$",	//255
    "qCeil",	//256
    "qCeil$",	//257
    "qChecksum",	//258
    "qChecksum$$",	//259
    "qCompress",	//260
    "qCompress#",	//261
    "qCompress#$",	//262
    "qCompress$$",	//263
    "qCompress$$$",	//264
    "qCos",	//265
    "qCos$",	//266
    "qCritical",	//267
    "qDebug",	//268
    "qDrawBorderPixmap",	//269
    "qDrawBorderPixmap####",	//270
    "qDrawBorderPixmap######",	//271
    "qDrawBorderPixmap#######",	//272
    "qDrawBorderPixmap#######$",	//273
    "qDrawPixmaps",	//274
    "qDrawPixmaps##$#",	//275
    "qDrawPixmaps##$#$",	//276
    "qDrawPlainRect",	//277
    "qDrawPlainRect###",	//278
    "qDrawPlainRect###$",	//279
    "qDrawPlainRect###$#",	//280
    "qDrawPlainRect#$$$$#",	//281
    "qDrawPlainRect#$$$$#$",	//282
    "qDrawPlainRect#$$$$#$#",	//283
    "qDrawShadeLine",	//284
    "qDrawShadeLine####",	//285
    "qDrawShadeLine####$",	//286
    "qDrawShadeLine####$$",	//287
    "qDrawShadeLine####$$$",	//288
    "qDrawShadeLine#$$$$#",	//289
    "qDrawShadeLine#$$$$#$",	//290
    "qDrawShadeLine#$$$$#$$",	//291
    "qDrawShadeLine#$$$$#$$$",	//292
    "qDrawShadePanel",	//293
    "qDrawShadePanel###",	//294
    "qDrawShadePanel###$",	//295
    "qDrawShadePanel###$$",	//296
    "qDrawShadePanel###$$#",	//297
    "qDrawShadePanel#$$$$#",	//298
    "qDrawShadePanel#$$$$#$",	//299
    "qDrawShadePanel#$$$$#$$",	//300
    "qDrawShadePanel#$$$$#$$#",	//301
    "qDrawShadeRect",	//302
    "qDrawShadeRect###",	//303
    "qDrawShadeRect###$",	//304
    "qDrawShadeRect###$$",	//305
    "qDrawShadeRect###$$$",	//306
    "qDrawShadeRect###$$$#",	//307
    "qDrawShadeRect#$$$$#",	//308
    "qDrawShadeRect#$$$$#$",	//309
    "qDrawShadeRect#$$$$#$$",	//310
    "qDrawShadeRect#$$$$#$$$",	//311
    "qDrawShadeRect#$$$$#$$$#",	//312
    "qDrawWinButton",	//313
    "qDrawWinButton###",	//314
    "qDrawWinButton###$",	//315
    "qDrawWinButton###$#",	//316
    "qDrawWinButton#$$$$#",	//317
    "qDrawWinButton#$$$$#$",	//318
    "qDrawWinButton#$$$$#$#",	//319
    "qDrawWinPanel",	//320
    "qDrawWinPanel###",	//321
    "qDrawWinPanel###$",	//322
    "qDrawWinPanel###$#",	//323
    "qDrawWinPanel#$$$$#",	//324
    "qDrawWinPanel#$$$$#$",	//325
    "qDrawWinPanel#$$$$#$#",	//326
    "qExp",	//327
    "qExp$",	//328
    "qFabs",	//329
    "qFabs$",	//330
    "qFastCos",	//331
    "qFastCos$",	//332
    "qFastSin",	//333
    "qFastSin$",	//334
    "qFlagLocation",	//335
    "qFlagLocation$",	//336
    "qFloor",	//337
    "qFloor$",	//338
    "qFree",	//339
    "qFree$",	//340
    "qFreeAligned",	//341
    "qFreeAligned$",	//342
    "qFuzzyCompare",	//343
    "qFuzzyCompare##",	//344
    "qFuzzyCompare$$",	//345
    "qFuzzyIsNull",	//346
    "qFuzzyIsNull$",	//347
    "qGray",	//348
    "qGray$",	//349
    "qGray$$$",	//350
    "qGreen",	//351
    "qGreen$",	//352
    "qHash",	//353
    "qHash#",	//354
    "qHash$",	//355
    "qInf",	//356
    "qInstallMsgHandler",	//357
    "qInstallMsgHandler$",	//358
    "qIntCast",	//359
    "qIntCast$",	//360
    "qIsFinite",	//361
    "qIsFinite$",	//362
    "qIsGray",	//363
    "qIsGray$",	//364
    "qIsInf",	//365
    "qIsInf$",	//366
    "qIsNaN",	//367
    "qIsNaN$",	//368
    "qIsNull",	//369
    "qIsNull$",	//370
    "qLn",	//371
    "qLn$",	//372
    "qMalloc",	//373
    "qMalloc?",	//374
    "qMallocAligned",	//375
    "qMallocAligned??",	//376
    "qMemCopy",	//377
    "qMemCopy$$?",	//378
    "qMemSet",	//379
    "qMemSet$$?",	//380
    "qPow",	//381
    "qPow$$",	//382
    "qQNaN",	//383
    "qRealloc",	//384
    "qRealloc$?",	//385
    "qReallocAligned",	//386
    "qReallocAligned$???",	//387
    "qRed",	//388
    "qRed$",	//389
    "qRegisterStaticPluginInstanceFunction",	//390
    "qRegisterStaticPluginInstanceFunction#",	//391
    "qRemovePostRoutine",	//392
    "qRemovePostRoutine$",	//393
    "qRgb",	//394
    "qRgb$$$",	//395
    "qRgba",	//396
    "qRgba$$$$",	//397
    "qRound",	//398
    "qRound$",	//399
    "qRound64",	//400
    "qRound64$",	//401
    "qSNaN",	//402
    "qSetFieldWidth",	//403
    "qSetFieldWidth$",	//404
    "qSetPadChar",	//405
    "qSetPadChar#",	//406
    "qSetRealNumberPrecision",	//407
    "qSetRealNumberPrecision$",	//408
    "qSharedBuild",	//409
    "qSin",	//410
    "qSin$",	//411
    "qSqrt",	//412
    "qSqrt$",	//413
    "qStringComparisonHelper",	//414
    "qStringComparisonHelper#$",	//415
    "qStringComparisonHelper$$",	//416
    "qTan",	//417
    "qTan$",	//418
    "qUncompress",	//419
    "qUncompress#",	//420
    "qUncompress$$",	//421
    "qVersion",	//422
    "qWarning",	//423
    "qbswap_helper",	//424
    "qbswap_helper$$$",	//425
    "qgcvt",	//426
    "qgcvt$$$",	//427
    "qgetenv",	//428
    "qgetenv$",	//429
    "qputenv",	//430
    "qputenv$#",	//431
    "qrand",	//432
    "qsort",	//433
    "qsort$???",	//434
    "qsrand",	//435
    "qsrand$",	//436
    "qstrcmp",	//437
    "qstrcmp##",	//438
    "qstrcmp#$",	//439
    "qstrcmp$#",	//440
    "qstrcmp$$",	//441
    "qstrcpy",	//442
    "qstrcpy$$",	//443
    "qstrdup",	//444
    "qstrdup$",	//445
    "qstricmp",	//446
    "qstricmp$$",	//447
    "qstrlen",	//448
    "qstrlen$",	//449
    "qstrncmp",	//450
    "qstrncmp$$$",	//451
    "qstrncpy",	//452
    "qstrncpy$$$",	//453
    "qstrnicmp",	//454
    "qstrnicmp$$$",	//455
    "qstrnlen",	//456
    "qstrnlen$$",	//457
    "qtTrId",	//458
    "qtTrId$",	//459
    "qtTrId$$",	//460
    "qt_assert",	//461
    "qt_assert$$$",	//462
    "qt_assert_x",	//463
    "qt_assert_x$$$$",	//464
    "qt_check_pointer",	//465
    "qt_check_pointer$$",	//466
    "qt_error_string",	//467
    "qt_error_string$",	//468
    "qt_message_output",	//469
    "qt_message_output$$",	//470
    "qt_metacall",	//471
    "qt_metacall$$?",	//472
    "qt_metacast",	//473
    "qt_metacast$",	//474
    "qt_noop",	//475
    "qt_qFindChild_helper",	//476
    "qt_qFindChild_helper#$#",	//477
    "qt_qFindChildren_helper",	//478
    "qt_qFindChildren_helper#$##?",	//479
    "qvariant_cast_helper",	//480
    "qvariant_cast_helper#$$",	//481
    "qvsnprintf",	//482
    "qvsnprintf$?$?",	//483
    "render",	//484
    "render#",	//485
    "render##",	//486
    "render#$",	//487
    "render#$#",	//488
    "renderer",	//489
    "repaintNeeded",	//490
    "resizeEvent",	//491
    "resolution",	//492
    "sceneEvent",	//493
    "sceneEventFilter",	//494
    "setCachingEnabled",	//495
    "setCachingEnabled$",	//496
    "setCurrentFrame",	//497
    "setCurrentFrame$",	//498
    "setDescription",	//499
    "setDescription$",	//500
    "setElementId",	//501
    "setElementId$",	//502
    "setExtension",	//503
    "setFileName",	//504
    "setFileName$",	//505
    "setFramesPerSecond",	//506
    "setFramesPerSecond$",	//507
    "setMaximumCacheSize",	//508
    "setMaximumCacheSize#",	//509
    "setOutputDevice",	//510
    "setOutputDevice#",	//511
    "setResolution",	//512
    "setResolution$",	//513
    "setSharedRenderer",	//514
    "setSharedRenderer#",	//515
    "setSize",	//516
    "setSize#",	//517
    "setTitle",	//518
    "setTitle$",	//519
    "setViewBox",	//520
    "setViewBox#",	//521
    "setVisible",	//522
    "shape",	//523
    "showEvent",	//524
    "size",	//525
    "sizeHint",	//526
    "staticMetaObject",	//527
    "styleChange",	//528
    "supportsExtension",	//529
    "tabletEvent",	//530
    "timerEvent",	//531
    "title",	//532
    "tr",	//533
    "tr$",	//534
    "tr$$",	//535
    "tr$$$",	//536
    "trUtf8",	//537
    "trUtf8$",	//538
    "trUtf8$$",	//539
    "trUtf8$$$",	//540
    "type",	//541
    "viewBox",	//542
    "viewBoxF",	//543
    "wheelEvent",	//544
    "windowActivationChange",	//545
    "x11Event",	//546
    "~QGraphicsSvgItem",	//547
    "~QSvgGenerator",	//548
    "~QSvgRenderer",	//549
    "~QSvgWidget",	//550
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 223, 1, 2, Smoke::mf_static, 155, 1},	//1 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {27, 223, 4, 2, Smoke::mf_static, 72, 2},	//2 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type)
    {27, 240, 0, 0, Smoke::mf_static, 8, 3},	//3 QGlobalSpace::qAccessibleValueCastHelper()
    {27, 212, 7, 2, Smoke::mf_static, 376, 4},	//4 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {27, 353, 10, 1, Smoke::mf_static, 478, 5},	//5 QGlobalSpace::qHash(unsigned long long)
    {27, 365, 12, 1, Smoke::mf_static, 376, 6},	//6 QGlobalSpace::qIsInf(double)
    {27, 182, 14, 2, Smoke::mf_static, 174, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {27, 223, 17, 2, Smoke::mf_static, 59, 8},	//8 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {27, 202, 20, 2, Smoke::mf_static, 376, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {27, 166, 23, 2, Smoke::mf_static, 376, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {27, 456, 26, 2, Smoke::mf_static, 478, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {27, 377, 29, 3, Smoke::mf_static, 485, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {27, 475, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {27, 202, 33, 2, Smoke::mf_static, 376, 14},	//14 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {27, 223, 36, 2, Smoke::mf_static, 79, 15},	//15 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {27, 217, 39, 2, Smoke::mf_static, 26, 16},	//16 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {27, 223, 42, 2, Smoke::mf_static, 122, 17},	//17 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {27, 173, 45, 2, Smoke::mf_static, 199, 18},	//18 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {27, 223, 48, 2, Smoke::mf_static, 81, 19},	//19 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>)
    {27, 223, 51, 2, Smoke::mf_static, 155, 20},	//20 QGlobalSpace::operator|(QAccessible::State::enum_type, int)
    {27, 202, 54, 2, Smoke::mf_static, 376, 21},	//21 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {27, 202, 57, 2, Smoke::mf_static, 376, 22},	//22 QGlobalSpace::operator==(const QSize&, const QSize&)
    {27, 223, 60, 2, Smoke::mf_static, 108, 23},	//23 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type)
    {27, 193, 63, 2, Smoke::mf_static, 26, 24},	//24 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {27, 177, 66, 2, Smoke::mf_static, 382, 25},	//25 QGlobalSpace::operator+(const char*, const QByteArray&)
    {27, 217, 69, 2, Smoke::mf_static, 26, 26},	//26 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {27, 414, 72, 2, Smoke::mf_static, 376, 27},	//27 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {27, 217, 75, 2, Smoke::mf_static, 26, 28},	//28 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {27, 223, 78, 2, Smoke::mf_static, 155, 29},	//29 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {27, 437, 66, 2, Smoke::mf_static, 469, 30},	//30 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {27, 202, 81, 2, Smoke::mf_static, 376, 31},	//31 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {27, 193, 84, 2, Smoke::mf_static, 26, 32},	//32 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {27, 252, 87, 2, Smoke::mf_static, 467, 33},	//33 QGlobalSpace::qAtan2(double, double)
    {27, 217, 90, 2, Smoke::mf_static, 26, 34},	//34 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {27, 212, 93, 2, Smoke::mf_static, 376, 35},	//35 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {27, 223, 96, 2, Smoke::mf_static, 61, 36},	//36 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>)
    {27, 365, 99, 1, Smoke::mf_static, 376, 37},	//37 QGlobalSpace::qIsInf(float)
    {27, 428, 101, 1, Smoke::mf_static, 16, 38},	//38 QGlobalSpace::qgetenv(const char*)
    {27, 353, 103, 1, Smoke::mf_static, 478, 39},	//39 QGlobalSpace::qHash(signed char)
    {27, 202, 105, 2, Smoke::mf_static, 376, 40},	//40 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {27, 207, 66, 2, Smoke::mf_static, 376, 41},	//41 QGlobalSpace::operator>(const char*, const QByteArray&)
    {27, 177, 14, 2, Smoke::mf_static, 174, 42},	//42 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {27, 359, 12, 1, Smoke::mf_static, 469, 43},	//43 QGlobalSpace::qIntCast(double)
    {27, 223, 108, 2, Smoke::mf_static, 89, 44},	//44 QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    {27, 405, 111, 1, Smoke::mf_static, 257, 45},	//45 QGlobalSpace::qSetPadChar(QChar)
    {27, 193, 113, 2, Smoke::mf_static, 26, 46},	//46 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {27, 223, 116, 2, Smoke::mf_static, 65, 47},	//47 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>)
    {27, 173, 119, 2, Smoke::mf_static, 197, 48},	//48 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {27, 223, 122, 2, Smoke::mf_static, 124, 49},	//49 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {27, 223, 125, 2, Smoke::mf_static, 63, 50},	//50 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {27, 193, 128, 2, Smoke::mf_static, 26, 51},	//51 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {27, 193, 131, 2, Smoke::mf_static, 30, 52},	//52 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {27, 202, 134, 2, Smoke::mf_static, 376, 53},	//53 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {27, 173, 137, 2, Smoke::mf_static, 274, 54},	//54 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {27, 223, 140, 2, Smoke::mf_static, 123, 55},	//55 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {27, 202, 143, 2, Smoke::mf_static, 376, 56},	//56 QGlobalSpace::operator==(QChar, QChar)
    {27, 193, 146, 2, Smoke::mf_static, 30, 57},	//57 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {27, 173, 14, 2, Smoke::mf_static, 174, 58},	//58 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {27, 182, 149, 1, Smoke::mf_static, 174, 59},	//59 QGlobalSpace::operator-(const QMatrix4x4&)
    {27, 223, 151, 2, Smoke::mf_static, 123, 60},	//60 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {27, 353, 154, 1, Smoke::mf_static, 478, 61},	//61 QGlobalSpace::qHash(const QByteArray&)
    {27, 173, 156, 2, Smoke::mf_static, 174, 62},	//62 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {27, 193, 159, 2, Smoke::mf_static, 26, 63},	//63 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {27, 193, 162, 2, Smoke::mf_static, 30, 64},	//64 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {27, 223, 165, 2, Smoke::mf_static, 155, 65},	//65 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, int)
    {27, 217, 168, 2, Smoke::mf_static, 26, 66},	//66 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {27, 188, 143, 2, Smoke::mf_static, 376, 67},	//67 QGlobalSpace::operator<(QChar, QChar)
    {27, 217, 171, 2, Smoke::mf_static, 26, 68},	//68 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {27, 223, 174, 2, Smoke::mf_static, 72, 69},	//69 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>)
    {27, 223, 177, 2, Smoke::mf_static, 114, 70},	//70 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {27, 212, 143, 2, Smoke::mf_static, 376, 71},	//71 QGlobalSpace::operator>=(QChar, QChar)
    {27, 166, 180, 2, Smoke::mf_static, 376, 72},	//72 QGlobalSpace::operator!=(QString::Null, const QString&)
    {27, 193, 183, 2, Smoke::mf_static, 30, 73},	//73 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {27, 223, 186, 2, Smoke::mf_static, 107, 74},	//74 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {27, 223, 189, 2, Smoke::mf_static, 56, 75},	//75 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type)
    {27, 223, 192, 2, Smoke::mf_static, 51, 76},	//76 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type)
    {27, 188, 66, 2, Smoke::mf_static, 376, 77},	//77 QGlobalSpace::operator<(const char*, const QByteArray&)
    {27, 223, 195, 2, Smoke::mf_static, 87, 78},	//78 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {27, 223, 198, 2, Smoke::mf_static, 105, 79},	//79 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type)
    {27, 437, 201, 2, Smoke::mf_static, 469, 80},	//80 QGlobalSpace::qstrcmp(const char*, const char*)
    {27, 223, 204, 2, Smoke::mf_static, 106, 81},	//81 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {27, 177, 20, 2, Smoke::mf_static, 460, 82},	//82 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {27, 265, 12, 1, Smoke::mf_static, 467, 83},	//83 QGlobalSpace::qCos(double)
    {27, 207, 143, 2, Smoke::mf_static, 376, 84},	//84 QGlobalSpace::operator>(QChar, QChar)
    {27, 223, 207, 2, Smoke::mf_static, 97, 85},	//85 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    {27, 173, 210, 2, Smoke::mf_static, 433, 86},	//86 QGlobalSpace::operator*(double, const QSizeF&)
    {27, 409, 0, 0, Smoke::mf_static, 376, 87},	//87 QGlobalSpace::qSharedBuild()
    {27, 202, 213, 2, Smoke::mf_static, 376, 88},	//88 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {27, 166, 7, 2, Smoke::mf_static, 376, 89},	//89 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {27, 182, 216, 2, Smoke::mf_static, 418, 90},	//90 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {27, 223, 219, 2, Smoke::mf_static, 155, 91},	//91 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    {27, 236, 0, 0, Smoke::mf_static, 8, 92},	//92 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {27, 193, 222, 2, Smoke::mf_static, 26, 93},	//93 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {27, 223, 225, 2, Smoke::mf_static, 94, 94},	//94 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    {27, 223, 228, 2, Smoke::mf_static, 98, 95},	//95 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {27, 223, 231, 2, Smoke::mf_static, 155, 96},	//96 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, int)
    {27, 182, 234, 2, Smoke::mf_static, 260, 97},	//97 QGlobalSpace::operator-(const QTransform&, double)
    {27, 223, 237, 2, Smoke::mf_static, 118, 98},	//98 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {27, 353, 240, 1, Smoke::mf_static, 478, 99},	//99 QGlobalSpace::qHash(char)
    {27, 173, 20, 2, Smoke::mf_static, 460, 100},	//100 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {27, 166, 54, 2, Smoke::mf_static, 376, 101},	//101 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {27, 193, 242, 2, Smoke::mf_static, 30, 102},	//102 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {27, 223, 245, 2, Smoke::mf_static, 120, 103},	//103 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {27, 223, 248, 2, Smoke::mf_static, 64, 104},	//104 QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>)
    {27, 223, 251, 2, Smoke::mf_static, 118, 105},	//105 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {27, 223, 254, 2, Smoke::mf_static, 155, 106},	//106 QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, int)
    {27, 193, 257, 2, Smoke::mf_static, 30, 107},	//107 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {27, 223, 260, 2, Smoke::mf_static, 105, 108},	//108 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>)
    {27, 223, 263, 2, Smoke::mf_static, 66, 109},	//109 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>)
    {27, 186, 266, 2, Smoke::mf_static, 418, 110},	//110 QGlobalSpace::operator/(const QPoint&, double)
    {27, 320, 269, 8, Smoke::mf_static, 0, 111},	//111 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 320, 278, 6, Smoke::mf_static, 0, 112},	//112 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 320, 285, 7, Smoke::mf_static, 0, 113},	//113 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 177, 216, 2, Smoke::mf_static, 418, 114},	//114 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {27, 223, 293, 2, Smoke::mf_static, 155, 115},	//115 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, int)
    {27, 193, 296, 2, Smoke::mf_static, 26, 116},	//116 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {27, 193, 299, 2, Smoke::mf_static, 30, 117},	//117 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {27, 177, 302, 2, Smoke::mf_static, 438, 118},	//118 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {27, 182, 305, 2, Smoke::mf_static, 433, 119},	//119 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {27, 173, 308, 2, Smoke::mf_static, 272, 120},	//120 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {27, 343, 311, 2, Smoke::mf_static, 376, 121},	//121 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {27, 223, 314, 2, Smoke::mf_static, 87, 122},	//122 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {27, 193, 317, 2, Smoke::mf_static, 30, 123},	//123 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {27, 182, 20, 2, Smoke::mf_static, 460, 124},	//124 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {27, 361, 12, 1, Smoke::mf_static, 376, 125},	//125 QGlobalSpace::qIsFinite(double)
    {27, 166, 93, 2, Smoke::mf_static, 376, 126},	//126 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {27, 193, 320, 2, Smoke::mf_static, 26, 127},	//127 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {27, 223, 323, 2, Smoke::mf_static, 155, 128},	//128 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {27, 223, 326, 2, Smoke::mf_static, 155, 129},	//129 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {27, 193, 329, 2, Smoke::mf_static, 30, 130},	//130 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {27, 245, 332, 1, Smoke::mf_static, 469, 131},	//131 QGlobalSpace::qAlpha(unsigned int)
    {27, 193, 334, 2, Smoke::mf_static, 30, 132},	//132 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {27, 188, 337, 2, Smoke::mf_static, 376, 133},	//133 QGlobalSpace::operator<(const char*, const QString&)
    {27, 348, 340, 3, Smoke::mf_static, 469, 134},	//134 QGlobalSpace::qGray(int, int, int)
    {27, 193, 344, 2, Smoke::mf_static, 26, 135},	//135 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {27, 223, 347, 2, Smoke::mf_static, 65, 136},	//136 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type)
    {27, 177, 57, 2, Smoke::mf_static, 431, 137},	//137 QGlobalSpace::operator+(const QSize&, const QSize&)
    {27, 223, 350, 2, Smoke::mf_static, 155, 138},	//138 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    {27, 223, 353, 2, Smoke::mf_static, 56, 139},	//139 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>)
    {27, 223, 356, 2, Smoke::mf_static, 155, 140},	//140 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, int)
    {27, 467, 359, 1, Smoke::mf_static, 222, 141},	//141 QGlobalSpace::qt_error_string(int)
    {27, 467, 0, 0, Smoke::mf_static, 222, 142},	//142 QGlobalSpace::qt_error_string()
    {27, 223, 361, 2, Smoke::mf_static, 155, 143},	//143 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {27, 177, 305, 2, Smoke::mf_static, 433, 144},	//144 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {27, 186, 156, 2, Smoke::mf_static, 174, 145},	//145 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {27, 182, 311, 2, Smoke::mf_static, 462, 146},	//146 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {27, 188, 364, 2, Smoke::mf_static, 376, 147},	//147 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {27, 419, 367, 2, Smoke::mf_static, 16, 148},	//148 QGlobalSpace::qUncompress(const unsigned char*, int)
    {27, 450, 370, 3, Smoke::mf_static, 469, 149},	//149 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {27, 417, 12, 1, Smoke::mf_static, 467, 150},	//150 QGlobalSpace::qTan(double)
    {27, 207, 33, 2, Smoke::mf_static, 376, 151},	//151 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {27, 166, 374, 2, Smoke::mf_static, 376, 152},	//152 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {27, 403, 359, 1, Smoke::mf_static, 257, 153},	//153 QGlobalSpace::qSetFieldWidth(int)
    {27, 223, 377, 2, Smoke::mf_static, 155, 154},	//154 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, int)
    {27, 202, 380, 2, Smoke::mf_static, 376, 155},	//155 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {27, 223, 383, 2, Smoke::mf_static, 155, 156},	//156 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, int)
    {27, 217, 386, 2, Smoke::mf_static, 254, 157},	//157 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {27, 223, 389, 2, Smoke::mf_static, 63, 158},	//158 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {27, 353, 392, 1, Smoke::mf_static, 478, 159},	//159 QGlobalSpace::qHash(const QItemSelectionRange&)
    {27, 388, 332, 1, Smoke::mf_static, 469, 160},	//160 QGlobalSpace::qRed(unsigned int)
    {27, 223, 394, 2, Smoke::mf_static, 113, 161},	//161 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {27, 173, 234, 2, Smoke::mf_static, 260, 162},	//162 QGlobalSpace::operator*(const QTransform&, double)
    {27, 337, 12, 1, Smoke::mf_static, 469, 163},	//163 QGlobalSpace::qFloor(double)
    {27, 193, 397, 2, Smoke::mf_static, 30, 164},	//164 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {27, 217, 400, 2, Smoke::mf_static, 26, 165},	//165 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {27, 223, 403, 2, Smoke::mf_static, 155, 166},	//166 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {27, 361, 99, 1, Smoke::mf_static, 376, 167},	//167 QGlobalSpace::qIsFinite(float)
    {27, 223, 406, 2, Smoke::mf_static, 100, 168},	//168 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>)
    {27, 177, 409, 2, Smoke::mf_static, 438, 169},	//169 QGlobalSpace::operator+(const QString&, QChar)
    {27, 166, 412, 2, Smoke::mf_static, 376, 170},	//170 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {27, 223, 415, 2, Smoke::mf_static, 122, 171},	//171 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {27, 173, 311, 2, Smoke::mf_static, 462, 172},	//172 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {27, 424, 418, 3, Smoke::mf_static, 0, 173},	//173 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {27, 177, 93, 2, Smoke::mf_static, 382, 174},	//174 QGlobalSpace::operator+(const QByteArray&, const char*)
    {27, 239, 0, 0, Smoke::mf_static, 8, 175},	//175 QGlobalSpace::qAccessibleTextCastHelper()
    {27, 177, 72, 2, Smoke::mf_static, 438, 176},	//176 QGlobalSpace::operator+(const QString&, const char*)
    {27, 207, 364, 2, Smoke::mf_static, 376, 177},	//177 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {27, 223, 422, 2, Smoke::mf_static, 155, 178},	//178 QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    {27, 386, 425, 4, Smoke::mf_static, 485, 179},	//179 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {27, 217, 430, 2, Smoke::mf_static, 26, 180},	//180 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {27, 193, 433, 2, Smoke::mf_static, 26, 181},	//181 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {27, 177, 436, 2, Smoke::mf_static, 438, 182},	//182 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {27, 353, 332, 1, Smoke::mf_static, 478, 183},	//183 QGlobalSpace::qHash(unsigned int)
    {27, 223, 439, 2, Smoke::mf_static, 74, 184},	//184 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {27, 343, 213, 2, Smoke::mf_static, 376, 185},	//185 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {27, 353, 111, 1, Smoke::mf_static, 478, 186},	//186 QGlobalSpace::qHash(QChar)
    {27, 223, 442, 2, Smoke::mf_static, 98, 187},	//187 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {27, 197, 93, 2, Smoke::mf_static, 376, 188},	//188 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {27, 359, 99, 1, Smoke::mf_static, 469, 189},	//189 QGlobalSpace::qIntCast(float)
    {27, 202, 445, 2, Smoke::mf_static, 376, 190},	//190 QGlobalSpace::operator==(const QRect&, const QRect&)
    {27, 221, 448, 2, Smoke::mf_static, 12, 191},	//191 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {27, 207, 451, 2, Smoke::mf_static, 376, 192},	//192 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {27, 223, 454, 2, Smoke::mf_static, 155, 193},	//193 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, int)
    {27, 384, 457, 2, Smoke::mf_static, 485, 194},	//194 QGlobalSpace::qRealloc(void*, size_t)
    {27, 223, 460, 2, Smoke::mf_static, 121, 195},	//195 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {27, 353, 463, 1, Smoke::mf_static, 478, 196},	//196 QGlobalSpace::qHash(const QString&)
    {27, 197, 364, 2, Smoke::mf_static, 376, 197},	//197 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {27, 177, 311, 2, Smoke::mf_static, 462, 198},	//198 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {27, 223, 465, 2, Smoke::mf_static, 52, 199},	//199 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    {27, 223, 468, 2, Smoke::mf_static, 96, 200},	//200 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    {27, 223, 471, 2, Smoke::mf_static, 84, 201},	//201 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type)
    {27, 193, 474, 2, Smoke::mf_static, 26, 202},	//202 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {27, 193, 477, 2, Smoke::mf_static, 26, 203},	//203 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {27, 193, 480, 2, Smoke::mf_static, 30, 204},	//204 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {27, 400, 12, 1, Smoke::mf_static, 472, 205},	//205 QGlobalSpace::qRound64(double)
    {27, 357, 483, 1, Smoke::mf_static, 484, 206},	//206 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {27, 412, 12, 1, Smoke::mf_static, 467, 207},	//207 QGlobalSpace::qSqrt(double)
    {27, 353, 485, 1, Smoke::mf_static, 478, 208},	//208 QGlobalSpace::qHash(const QModelIndex&)
    {27, 223, 487, 2, Smoke::mf_static, 79, 209},	//209 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {27, 331, 12, 1, Smoke::mf_static, 467, 210},	//210 QGlobalSpace::qFastCos(double)
    {27, 217, 490, 2, Smoke::mf_static, 26, 211},	//211 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {27, 193, 493, 2, Smoke::mf_static, 30, 212},	//212 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {27, 202, 496, 2, Smoke::mf_static, 376, 213},	//213 QGlobalSpace::operator==(QBool, QBool)
    {27, 202, 499, 2, Smoke::mf_static, 376, 214},	//214 QGlobalSpace::operator==(const char*, const QStringRef&)
    {27, 223, 502, 2, Smoke::mf_static, 155, 215},	//215 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int)
    {27, 223, 505, 2, Smoke::mf_static, 119, 216},	//216 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {27, 166, 337, 2, Smoke::mf_static, 376, 217},	//217 QGlobalSpace::operator!=(const char*, const QString&)
    {27, 367, 99, 1, Smoke::mf_static, 376, 218},	//218 QGlobalSpace::qIsNaN(float)
    {27, 223, 508, 2, Smoke::mf_static, 57, 219},	//219 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>)
    {27, 223, 511, 2, Smoke::mf_static, 124, 220},	//220 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {27, 197, 451, 2, Smoke::mf_static, 376, 221},	//221 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {27, 217, 514, 2, Smoke::mf_static, 26, 222},	//222 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {27, 335, 101, 1, Smoke::mf_static, 464, 223},	//223 QGlobalSpace::qFlagLocation(const char*)
    {27, 177, 234, 2, Smoke::mf_static, 260, 224},	//224 QGlobalSpace::operator+(const QTransform&, double)
    {27, 173, 517, 2, Smoke::mf_static, 163, 225},	//225 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {27, 193, 520, 2, Smoke::mf_static, 30, 226},	//226 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {27, 367, 12, 1, Smoke::mf_static, 376, 227},	//227 QGlobalSpace::qIsNaN(double)
    {27, 348, 332, 1, Smoke::mf_static, 469, 228},	//228 QGlobalSpace::qGray(unsigned int)
    {27, 223, 523, 2, Smoke::mf_static, 82, 229},	//229 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type)
    {27, 177, 526, 2, Smoke::mf_static, 438, 230},	//230 QGlobalSpace::operator+(QChar, const QString&)
    {27, 223, 529, 2, Smoke::mf_static, 155, 231},	//231 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {27, 269, 532, 8, Smoke::mf_static, 0, 232},	//232 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QDrawBorderPixmap::DrawingHints)
    {27, 269, 541, 6, Smoke::mf_static, 0, 233},	//233 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {27, 269, 548, 7, Smoke::mf_static, 0, 234},	//234 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {27, 223, 556, 2, Smoke::mf_static, 155, 235},	//235 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {27, 223, 559, 2, Smoke::mf_static, 155, 236},	//236 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {27, 223, 562, 2, Smoke::mf_static, 155, 237},	//237 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    {27, 193, 565, 2, Smoke::mf_static, 30, 238},	//238 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {27, 217, 568, 2, Smoke::mf_static, 26, 239},	//239 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {27, 223, 571, 2, Smoke::mf_static, 50, 240},	//240 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    {27, 461, 574, 3, Smoke::mf_static, 0, 241},	//241 QGlobalSpace::qt_assert(const char*, const char*, int)
    {27, 353, 578, 1, Smoke::mf_static, 478, 242},	//242 QGlobalSpace::qHash(long long)
    {27, 182, 580, 1, Smoke::mf_static, 424, 243},	//243 QGlobalSpace::operator-(const QQuaternion&)
    {27, 223, 582, 2, Smoke::mf_static, 102, 244},	//244 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type)
    {27, 166, 585, 2, Smoke::mf_static, 376, 245},	//245 QGlobalSpace::operator!=(const QString&, QString::Null)
    {27, 223, 588, 2, Smoke::mf_static, 116, 246},	//246 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {27, 343, 591, 2, Smoke::mf_static, 376, 247},	//247 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {27, 217, 594, 2, Smoke::mf_static, 26, 248},	//248 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {27, 223, 597, 2, Smoke::mf_static, 58, 249},	//249 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {27, 394, 340, 3, Smoke::mf_static, 478, 250},	//250 QGlobalSpace::qRgb(int, int, int)
    {27, 177, 600, 2, Smoke::mf_static, 438, 251},	//251 QGlobalSpace::operator+(const QString&, char)
    {27, 223, 603, 2, Smoke::mf_static, 67, 252},	//252 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type)
    {27, 166, 134, 2, Smoke::mf_static, 376, 253},	//253 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {27, 173, 606, 2, Smoke::mf_static, 191, 254},	//254 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {27, 182, 81, 2, Smoke::mf_static, 420, 255},	//255 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {27, 202, 412, 2, Smoke::mf_static, 376, 256},	//256 QGlobalSpace::operator==(QString::Null, QString::Null)
    {27, 217, 609, 2, Smoke::mf_static, 26, 257},	//257 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {27, 188, 451, 2, Smoke::mf_static, 376, 258},	//258 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {27, 238, 0, 0, Smoke::mf_static, 8, 259},	//259 QGlobalSpace::qAccessibleTableCastHelper()
    {27, 277, 612, 8, Smoke::mf_static, 0, 260},	//260 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {27, 277, 621, 6, Smoke::mf_static, 0, 261},	//261 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {27, 277, 628, 7, Smoke::mf_static, 0, 262},	//262 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {27, 346, 99, 1, Smoke::mf_static, 376, 263},	//263 QGlobalSpace::qFuzzyIsNull(float)
    {27, 223, 636, 2, Smoke::mf_static, 80, 264},	//264 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>)
    {27, 223, 639, 2, Smoke::mf_static, 155, 265},	//265 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, int)
    {27, 223, 642, 2, Smoke::mf_static, 155, 266},	//266 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, int)
    {27, 173, 645, 2, Smoke::mf_static, 424, 267},	//267 QGlobalSpace::operator*(const QQuaternion&, double)
    {27, 442, 648, 2, Smoke::mf_static, 378, 268},	//268 QGlobalSpace::qstrcpy(char*, const char*)
    {27, 353, 359, 1, Smoke::mf_static, 478, 269},	//269 QGlobalSpace::qHash(int)
    {27, 177, 81, 2, Smoke::mf_static, 420, 270},	//270 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {27, 173, 651, 2, Smoke::mf_static, 211, 271},	//271 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {27, 202, 305, 2, Smoke::mf_static, 376, 272},	//272 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {27, 182, 654, 1, Smoke::mf_static, 418, 273},	//273 QGlobalSpace::operator-(const QPoint&)
    {27, 223, 656, 2, Smoke::mf_static, 155, 274},	//274 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, int)
    {27, 193, 659, 2, Smoke::mf_static, 26, 275},	//275 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {27, 223, 662, 2, Smoke::mf_static, 49, 276},	//276 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {27, 327, 12, 1, Smoke::mf_static, 467, 277},	//277 QGlobalSpace::qExp(double)
    {27, 407, 359, 1, Smoke::mf_static, 257, 278},	//278 QGlobalSpace::qSetRealNumberPrecision(int)
    {27, 202, 665, 2, Smoke::mf_static, 376, 279},	//279 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {27, 371, 12, 1, Smoke::mf_static, 467, 280},	//280 QGlobalSpace::qLn(double)
    {27, 223, 668, 2, Smoke::mf_static, 155, 281},	//281 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    {27, 177, 23, 2, Smoke::mf_static, 458, 282},	//282 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {27, 302, 671, 7, Smoke::mf_static, 0, 283},	//283 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {27, 302, 679, 3, Smoke::mf_static, 0, 284},	//284 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {27, 302, 683, 4, Smoke::mf_static, 0, 285},	//285 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {27, 302, 688, 5, Smoke::mf_static, 0, 286},	//286 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 302, 694, 6, Smoke::mf_static, 0, 287},	//287 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {27, 193, 701, 2, Smoke::mf_static, 26, 288},	//288 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {27, 223, 704, 2, Smoke::mf_static, 110, 289},	//289 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {27, 223, 707, 2, Smoke::mf_static, 49, 290},	//290 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {27, 173, 710, 2, Smoke::mf_static, 274, 291},	//291 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {27, 166, 305, 2, Smoke::mf_static, 376, 292},	//292 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {27, 390, 713, 1, Smoke::mf_static, 0, 293},	//293 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {27, 193, 715, 2, Smoke::mf_static, 30, 294},	//294 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {27, 193, 718, 2, Smoke::mf_static, 30, 295},	//295 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {27, 258, 26, 2, Smoke::mf_static, 481, 296},	//296 QGlobalSpace::qChecksum(const char*, unsigned int)
    {27, 223, 721, 2, Smoke::mf_static, 155, 297},	//297 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, int)
    {27, 269, 724, 4, Smoke::mf_static, 0, 298},	//298 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {27, 186, 729, 2, Smoke::mf_static, 462, 299},	//299 QGlobalSpace::operator/(const QVector4D&, double)
    {27, 193, 732, 2, Smoke::mf_static, 254, 300},	//300 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {27, 373, 735, 1, Smoke::mf_static, 485, 301},	//301 QGlobalSpace::qMalloc(size_t)
    {27, 383, 0, 0, Smoke::mf_static, 467, 302},	//302 QGlobalSpace::qQNaN()
    {27, 223, 737, 2, Smoke::mf_static, 155, 303},	//303 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {27, 217, 740, 2, Smoke::mf_static, 26, 304},	//304 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {27, 430, 66, 2, Smoke::mf_static, 376, 305},	//305 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {27, 223, 743, 2, Smoke::mf_static, 112, 306},	//306 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {27, 193, 746, 2, Smoke::mf_static, 26, 307},	//307 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {27, 193, 749, 2, Smoke::mf_static, 30, 308},	//308 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {27, 254, 332, 1, Smoke::mf_static, 469, 309},	//309 QGlobalSpace::qBlue(unsigned int)
    {27, 173, 23, 2, Smoke::mf_static, 458, 310},	//310 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {27, 193, 752, 2, Smoke::mf_static, 26, 311},	//311 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {27, 193, 755, 2, Smoke::mf_static, 26, 312},	//312 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {27, 223, 758, 2, Smoke::mf_static, 155, 313},	//313 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {27, 223, 761, 2, Smoke::mf_static, 85, 314},	//314 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>)
    {27, 313, 764, 5, Smoke::mf_static, 0, 315},	//315 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 313, 679, 3, Smoke::mf_static, 0, 316},	//316 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {27, 313, 683, 4, Smoke::mf_static, 0, 317},	//317 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {27, 435, 332, 1, Smoke::mf_static, 0, 318},	//318 QGlobalSpace::qsrand(unsigned int)
    {27, 166, 213, 2, Smoke::mf_static, 376, 319},	//319 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {27, 223, 770, 2, Smoke::mf_static, 75, 320},	//320 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>)
    {27, 353, 773, 1, Smoke::mf_static, 478, 321},	//321 QGlobalSpace::qHash(long)
    {27, 193, 775, 2, Smoke::mf_static, 26, 322},	//322 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {27, 223, 778, 2, Smoke::mf_static, 155, 323},	//323 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, int)
    {27, 223, 781, 2, Smoke::mf_static, 155, 324},	//324 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {27, 207, 7, 2, Smoke::mf_static, 376, 325},	//325 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {27, 223, 784, 2, Smoke::mf_static, 93, 326},	//326 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type)
    {27, 353, 787, 1, Smoke::mf_static, 478, 327},	//327 QGlobalSpace::qHash(unsigned short)
    {27, 217, 789, 2, Smoke::mf_static, 26, 328},	//328 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {27, 223, 792, 2, Smoke::mf_static, 155, 329},	//329 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, int)
    {27, 223, 795, 2, Smoke::mf_static, 64, 330},	//330 QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFileDialog::Options::enum_type)
    {27, 166, 81, 2, Smoke::mf_static, 376, 331},	//331 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {27, 193, 798, 2, Smoke::mf_static, 26, 332},	//332 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {27, 182, 23, 2, Smoke::mf_static, 458, 333},	//333 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {27, 223, 801, 2, Smoke::mf_static, 111, 334},	//334 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {27, 293, 804, 6, Smoke::mf_static, 0, 335},	//335 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {27, 293, 679, 3, Smoke::mf_static, 0, 336},	//336 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {27, 293, 683, 4, Smoke::mf_static, 0, 337},	//337 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 293, 688, 5, Smoke::mf_static, 0, 338},	//338 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 454, 370, 3, Smoke::mf_static, 469, 339},	//339 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {27, 177, 811, 2, Smoke::mf_static, 438, 340},	//340 QGlobalSpace::operator+(char, const QString&)
    {27, 217, 814, 2, Smoke::mf_static, 26, 341},	//341 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {27, 223, 817, 2, Smoke::mf_static, 155, 342},	//342 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, int)
    {27, 202, 180, 2, Smoke::mf_static, 376, 343},	//343 QGlobalSpace::operator==(QString::Null, const QString&)
    {27, 217, 820, 2, Smoke::mf_static, 26, 344},	//344 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {27, 202, 374, 2, Smoke::mf_static, 376, 345},	//345 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {27, 223, 823, 2, Smoke::mf_static, 113, 346},	//346 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {27, 177, 451, 2, Smoke::mf_static, 382, 347},	//347 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {27, 223, 826, 2, Smoke::mf_static, 88, 348},	//348 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {27, 223, 829, 2, Smoke::mf_static, 155, 349},	//349 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, int)
    {27, 353, 832, 1, Smoke::mf_static, 478, 350},	//350 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {27, 207, 337, 2, Smoke::mf_static, 376, 351},	//351 QGlobalSpace::operator>(const char*, const QString&)
    {27, 193, 834, 2, Smoke::mf_static, 30, 352},	//352 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {27, 193, 837, 2, Smoke::mf_static, 26, 353},	//353 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {27, 223, 840, 2, Smoke::mf_static, 82, 354},	//354 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>)
    {27, 193, 843, 2, Smoke::mf_static, 26, 355},	//355 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {27, 193, 846, 2, Smoke::mf_static, 26, 356},	//356 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {27, 223, 849, 2, Smoke::mf_static, 155, 357},	//357 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {27, 193, 852, 2, Smoke::mf_static, 26, 358},	//358 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {27, 217, 855, 2, Smoke::mf_static, 26, 359},	//359 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {27, 476, 858, 3, Smoke::mf_static, 182, 360},	//360 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {27, 293, 862, 9, Smoke::mf_static, 0, 361},	//361 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {27, 293, 278, 6, Smoke::mf_static, 0, 362},	//362 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 293, 285, 7, Smoke::mf_static, 0, 363},	//363 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 293, 872, 8, Smoke::mf_static, 0, 364},	//364 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 217, 881, 2, Smoke::mf_static, 26, 365},	//365 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {27, 186, 884, 2, Smoke::mf_static, 458, 366},	//366 QGlobalSpace::operator/(const QVector2D&, double)
    {27, 186, 887, 2, Smoke::mf_static, 420, 367},	//367 QGlobalSpace::operator/(const QPointF&, double)
    {27, 166, 890, 2, Smoke::mf_static, 376, 368},	//368 QGlobalSpace::operator!=(bool, QBool)
    {27, 202, 364, 2, Smoke::mf_static, 376, 369},	//369 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {27, 223, 893, 2, Smoke::mf_static, 60, 370},	//370 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {27, 223, 896, 2, Smoke::mf_static, 73, 371},	//371 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type)
    {27, 186, 899, 2, Smoke::mf_static, 460, 372},	//372 QGlobalSpace::operator/(const QVector3D&, double)
    {27, 223, 902, 2, Smoke::mf_static, 155, 373},	//373 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {27, 452, 905, 3, Smoke::mf_static, 378, 374},	//374 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {27, 173, 909, 2, Smoke::mf_static, 458, 375},	//375 QGlobalSpace::operator*(double, const QVector2D&)
    {27, 182, 912, 1, Smoke::mf_static, 462, 376},	//376 QGlobalSpace::operator-(const QVector4D&)
    {27, 223, 914, 2, Smoke::mf_static, 155, 377},	//377 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, int)
    {27, 217, 917, 2, Smoke::mf_static, 26, 378},	//378 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {27, 419, 154, 1, Smoke::mf_static, 16, 379},	//379 QGlobalSpace::qUncompress(const QByteArray&)
    {27, 186, 234, 2, Smoke::mf_static, 260, 380},	//380 QGlobalSpace::operator/(const QTransform&, double)
    {27, 343, 14, 2, Smoke::mf_static, 376, 381},	//381 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {27, 223, 920, 2, Smoke::mf_static, 50, 382},	//382 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    {27, 223, 923, 2, Smoke::mf_static, 74, 383},	//383 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {27, 193, 926, 2, Smoke::mf_static, 26, 384},	//384 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {27, 223, 929, 2, Smoke::mf_static, 90, 385},	//385 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    {27, 217, 932, 2, Smoke::mf_static, 26, 386},	//386 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {27, 235, 0, 0, Smoke::mf_static, 8, 387},	//387 QGlobalSpace::qAccessibleActionCastHelper()
    {27, 173, 935, 2, Smoke::mf_static, 199, 388},	//388 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {27, 217, 938, 2, Smoke::mf_static, 26, 389},	//389 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {27, 182, 941, 1, Smoke::mf_static, 420, 390},	//390 QGlobalSpace::operator-(const QPointF&)
    {27, 193, 943, 2, Smoke::mf_static, 30, 391},	//391 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {27, 202, 890, 2, Smoke::mf_static, 376, 392},	//392 QGlobalSpace::operator==(bool, QBool)
    {27, 217, 946, 2, Smoke::mf_static, 26, 393},	//393 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {27, 432, 0, 0, Smoke::mf_static, 469, 394},	//394 QGlobalSpace::qrand()
    {27, 193, 949, 2, Smoke::mf_static, 30, 395},	//395 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {27, 173, 952, 2, Smoke::mf_static, 203, 396},	//396 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {27, 217, 955, 2, Smoke::mf_static, 26, 397},	//397 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {27, 463, 958, 4, Smoke::mf_static, 0, 398},	//398 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {27, 223, 963, 2, Smoke::mf_static, 76, 399},	//399 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>)
    {27, 171, 448, 2, Smoke::mf_static, 12, 400},	//400 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {27, 212, 66, 2, Smoke::mf_static, 376, 401},	//401 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {27, 223, 966, 2, Smoke::mf_static, 54, 402},	//402 QGlobalSpace::operator|(QAccessible::State::enum_type, QAccessible::State::enum_type)
    {27, 193, 969, 2, Smoke::mf_static, 26, 403},	//403 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {27, 223, 972, 2, Smoke::mf_static, 119, 404},	//404 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {27, 223, 975, 2, Smoke::mf_static, 95, 405},	//405 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    {27, 343, 978, 2, Smoke::mf_static, 376, 406},	//406 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {27, 166, 981, 2, Smoke::mf_static, 376, 407},	//407 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {27, 433, 984, 4, Smoke::mf_static, 0, 408},	//408 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {27, 396, 989, 4, Smoke::mf_static, 478, 409},	//409 QGlobalSpace::qRgba(int, int, int, int)
    {27, 223, 994, 2, Smoke::mf_static, 83, 410},	//410 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type)
    {27, 267, 0, 0, Smoke::mf_static, 30, 411},	//411 QGlobalSpace::qCritical()
    {27, 223, 997, 2, Smoke::mf_static, 155, 412},	//412 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, int)
    {27, 173, 729, 2, Smoke::mf_static, 462, 413},	//413 QGlobalSpace::operator*(const QVector4D&, double)
    {27, 217, 1000, 2, Smoke::mf_static, 26, 414},	//414 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {27, 193, 1003, 2, Smoke::mf_static, 30, 415},	//415 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {27, 193, 1006, 2, Smoke::mf_static, 26, 416},	//416 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {27, 166, 66, 2, Smoke::mf_static, 376, 417},	//417 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {27, 223, 1009, 2, Smoke::mf_static, 61, 418},	//418 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type)
    {27, 223, 1012, 2, Smoke::mf_static, 86, 419},	//419 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>)
    {27, 166, 216, 2, Smoke::mf_static, 376, 420},	//420 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {27, 188, 33, 2, Smoke::mf_static, 376, 421},	//421 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {27, 173, 1015, 2, Smoke::mf_static, 462, 422},	//422 QGlobalSpace::operator*(double, const QVector4D&)
    {27, 223, 1018, 2, Smoke::mf_static, 110, 423},	//423 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {27, 223, 1021, 2, Smoke::mf_static, 106, 424},	//424 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {27, 202, 981, 2, Smoke::mf_static, 376, 425},	//425 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {27, 223, 1024, 2, Smoke::mf_static, 155, 426},	//426 QGlobalSpace::operator|(QTextOption::Flags::enum_type, int)
    {27, 193, 1027, 2, Smoke::mf_static, 26, 427},	//427 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {27, 193, 1030, 2, Smoke::mf_static, 30, 428},	//428 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {27, 177, 1033, 2, Smoke::mf_static, 382, 429},	//429 QGlobalSpace::operator+(const QByteArray&, char)
    {27, 223, 1036, 2, Smoke::mf_static, 155, 430},	//430 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    {27, 217, 1039, 2, Smoke::mf_static, 26, 431},	//431 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {27, 223, 1042, 2, Smoke::mf_static, 155, 432},	//432 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {27, 186, 1045, 2, Smoke::mf_static, 433, 433},	//433 QGlobalSpace::operator/(const QSizeF&, double)
    {27, 212, 364, 2, Smoke::mf_static, 376, 434},	//434 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {27, 223, 1048, 2, Smoke::mf_static, 155, 435},	//435 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {27, 223, 1051, 2, Smoke::mf_static, 115, 436},	//436 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {27, 223, 1054, 2, Smoke::mf_static, 99, 437},	//437 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>)
    {27, 202, 311, 2, Smoke::mf_static, 376, 438},	//438 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {27, 193, 1057, 2, Smoke::mf_static, 26, 439},	//439 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {27, 202, 216, 2, Smoke::mf_static, 376, 440},	//440 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {27, 243, 1060, 1, Smoke::mf_static, 0, 441},	//441 QGlobalSpace::qAddPostRoutine(void(*)())
    {27, 223, 1062, 2, Smoke::mf_static, 93, 442},	//442 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>)
    {27, 260, 1065, 3, Smoke::mf_static, 16, 443},	//443 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {27, 260, 367, 2, Smoke::mf_static, 16, 444},	//444 QGlobalSpace::qCompress(const unsigned char*, int)
    {27, 197, 66, 2, Smoke::mf_static, 376, 445},	//445 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {27, 333, 12, 1, Smoke::mf_static, 467, 446},	//446 QGlobalSpace::qFastSin(double)
    {27, 197, 7, 2, Smoke::mf_static, 376, 447},	//447 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {27, 193, 1069, 2, Smoke::mf_static, 26, 448},	//448 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {27, 217, 1072, 2, Smoke::mf_static, 26, 449},	//449 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {27, 217, 1075, 2, Smoke::mf_static, 26, 450},	//450 QGlobalSpace::operator>>(QDataStream&, QString&)
    {27, 186, 645, 2, Smoke::mf_static, 424, 451},	//451 QGlobalSpace::operator/(const QQuaternion&, double)
    {27, 247, 0, 0, Smoke::mf_static, 222, 452},	//452 QGlobalSpace::qAppName()
    {27, 422, 0, 0, Smoke::mf_static, 464, 453},	//453 QGlobalSpace::qVersion()
    {27, 274, 1078, 5, Smoke::mf_static, 0, 454},	//454 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QDrawPixmaps::DrawingHints)
    {27, 274, 1084, 4, Smoke::mf_static, 0, 455},	//455 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {27, 223, 1089, 2, Smoke::mf_static, 155, 456},	//456 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, int)
    {27, 223, 1092, 2, Smoke::mf_static, 86, 457},	//457 QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type)
    {27, 193, 1095, 2, Smoke::mf_static, 26, 458},	//458 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {27, 223, 1098, 2, Smoke::mf_static, 53, 459},	//459 QGlobalSpace::operator|(QAccessible::Relation::enum_type, QAccessible::Relation::enum_type)
    {27, 223, 1101, 2, Smoke::mf_static, 155, 460},	//460 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    {27, 339, 1104, 1, Smoke::mf_static, 0, 461},	//461 QGlobalSpace::qFree(void*)
    {27, 173, 1106, 2, Smoke::mf_static, 165, 462},	//462 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {27, 193, 1109, 2, Smoke::mf_static, 26, 463},	//463 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {27, 341, 1104, 1, Smoke::mf_static, 0, 464},	//464 QGlobalSpace::qFreeAligned(void*)
    {27, 217, 1112, 2, Smoke::mf_static, 26, 465},	//465 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {27, 202, 585, 2, Smoke::mf_static, 376, 466},	//466 QGlobalSpace::operator==(const QString&, QString::Null)
    {27, 193, 1115, 2, Smoke::mf_static, 30, 467},	//467 QGlobalSpace::operator<<(QDebug, const QDir&)
    {27, 193, 1118, 2, Smoke::mf_static, 254, 468},	//468 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 188, 93, 2, Smoke::mf_static, 376, 469},	//469 QGlobalSpace::operator<(const QByteArray&, const char*)
    {27, 193, 1121, 2, Smoke::mf_static, 30, 470},	//470 QGlobalSpace::operator<<(QDebug, const QPen&)
    {27, 173, 1124, 2, Smoke::mf_static, 424, 471},	//471 QGlobalSpace::operator*(double, const QQuaternion&)
    {27, 173, 884, 2, Smoke::mf_static, 458, 472},	//472 QGlobalSpace::operator*(const QVector2D&, double)
    {27, 193, 1127, 2, Smoke::mf_static, 30, 473},	//473 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {27, 166, 311, 2, Smoke::mf_static, 376, 474},	//474 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {27, 223, 1130, 2, Smoke::mf_static, 71, 475},	//475 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>)
    {27, 193, 1133, 2, Smoke::mf_static, 30, 476},	//476 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {27, 173, 899, 2, Smoke::mf_static, 460, 477},	//477 QGlobalSpace::operator*(const QVector3D&, double)
    {27, 223, 1136, 2, Smoke::mf_static, 155, 478},	//478 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {27, 353, 1139, 1, Smoke::mf_static, 478, 479},	//479 QGlobalSpace::qHash(const QBitArray&)
    {27, 193, 1141, 2, Smoke::mf_static, 30, 480},	//480 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {27, 193, 1144, 2, Smoke::mf_static, 30, 481},	//481 QGlobalSpace::operator<<(QDebug, const QTime&)
    {27, 193, 1147, 2, Smoke::mf_static, 254, 482},	//482 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {27, 256, 12, 1, Smoke::mf_static, 469, 483},	//483 QGlobalSpace::qCeil(double)
    {27, 223, 1150, 2, Smoke::mf_static, 60, 484},	//484 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {27, 223, 1153, 2, Smoke::mf_static, 111, 485},	//485 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {27, 193, 1156, 2, Smoke::mf_static, 30, 486},	//486 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {27, 217, 1159, 2, Smoke::mf_static, 26, 487},	//487 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {27, 166, 143, 2, Smoke::mf_static, 376, 488},	//488 QGlobalSpace::operator!=(QChar, QChar)
    {27, 223, 1162, 2, Smoke::mf_static, 97, 489},	//489 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    {27, 414, 1165, 2, Smoke::mf_static, 376, 490},	//490 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {27, 223, 1168, 2, Smoke::mf_static, 73, 491},	//491 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>)
    {27, 444, 101, 1, Smoke::mf_static, 378, 492},	//492 QGlobalSpace::qstrdup(const char*)
    {27, 193, 1171, 2, Smoke::mf_static, 30, 493},	//493 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlags)
    {27, 223, 1174, 2, Smoke::mf_static, 68, 494},	//494 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type)
    {27, 223, 1177, 2, Smoke::mf_static, 117, 495},	//495 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {27, 223, 1180, 2, Smoke::mf_static, 94, 496},	//496 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    {27, 223, 1183, 2, Smoke::mf_static, 75, 497},	//497 QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type)
    {27, 237, 0, 0, Smoke::mf_static, 8, 498},	//498 QGlobalSpace::qAccessibleImageCastHelper()
    {27, 217, 1186, 2, Smoke::mf_static, 26, 499},	//499 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {27, 217, 1189, 2, Smoke::mf_static, 26, 500},	//500 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {27, 197, 337, 2, Smoke::mf_static, 376, 501},	//501 QGlobalSpace::operator<=(const char*, const QString&)
    {27, 166, 499, 2, Smoke::mf_static, 376, 502},	//502 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {27, 217, 1192, 2, Smoke::mf_static, 26, 503},	//503 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {27, 223, 1195, 2, Smoke::mf_static, 91, 504},	//504 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    {27, 193, 1198, 2, Smoke::mf_static, 26, 505},	//505 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {27, 223, 1201, 2, Smoke::mf_static, 62, 506},	//506 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {27, 268, 0, 0, Smoke::mf_static, 30, 507},	//507 QGlobalSpace::qDebug()
    {27, 375, 1204, 2, Smoke::mf_static, 485, 508},	//508 QGlobalSpace::qMallocAligned(size_t, size_t)
    {27, 223, 1207, 2, Smoke::mf_static, 107, 509},	//509 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {27, 173, 1210, 2, Smoke::mf_static, 197, 510},	//510 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {27, 223, 1213, 2, Smoke::mf_static, 78, 511},	//511 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {27, 166, 1165, 2, Smoke::mf_static, 376, 512},	//512 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {27, 223, 1216, 2, Smoke::mf_static, 155, 513},	//513 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, int)
    {27, 351, 332, 1, Smoke::mf_static, 469, 514},	//514 QGlobalSpace::qGreen(unsigned int)
    {27, 381, 87, 2, Smoke::mf_static, 467, 515},	//515 QGlobalSpace::qPow(double, double)
    {27, 197, 33, 2, Smoke::mf_static, 376, 516},	//516 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {27, 193, 1219, 2, Smoke::mf_static, 30, 517},	//517 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {27, 223, 1222, 2, Smoke::mf_static, 99, 518},	//518 QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type)
    {27, 223, 1225, 2, Smoke::mf_static, 155, 519},	//519 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {27, 217, 1118, 2, Smoke::mf_static, 254, 520},	//520 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 177, 1228, 2, Smoke::mf_static, 382, 521},	//521 QGlobalSpace::operator+(char, const QByteArray&)
    {27, 223, 1231, 2, Smoke::mf_static, 114, 522},	//522 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {27, 202, 66, 2, Smoke::mf_static, 376, 523},	//523 QGlobalSpace::operator==(const char*, const QByteArray&)
    {27, 193, 1234, 2, Smoke::mf_static, 26, 524},	//524 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {27, 182, 57, 2, Smoke::mf_static, 431, 525},	//525 QGlobalSpace::operator-(const QSize&, const QSize&)
    {27, 193, 1237, 2, Smoke::mf_static, 30, 526},	//526 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {27, 177, 337, 2, Smoke::mf_static, 438, 527},	//527 QGlobalSpace::operator+(const char*, const QString&)
    {27, 217, 1240, 2, Smoke::mf_static, 26, 528},	//528 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {27, 223, 1243, 2, Smoke::mf_static, 92, 529},	//529 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    {27, 217, 1246, 2, Smoke::mf_static, 26, 530},	//530 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {27, 223, 1249, 2, Smoke::mf_static, 96, 531},	//531 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    {27, 166, 665, 2, Smoke::mf_static, 376, 532},	//532 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {27, 173, 1252, 2, Smoke::mf_static, 420, 533},	//533 QGlobalSpace::operator*(double, const QPointF&)
    {27, 223, 1255, 2, Smoke::mf_static, 108, 534},	//534 QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>)
    {27, 173, 1258, 2, Smoke::mf_static, 211, 535},	//535 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {27, 223, 1261, 2, Smoke::mf_static, 155, 536},	//536 QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, int)
    {27, 202, 7, 2, Smoke::mf_static, 376, 537},	//537 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {27, 173, 1264, 2, Smoke::mf_static, 431, 538},	//538 QGlobalSpace::operator*(const QSize&, double)
    {27, 223, 1267, 2, Smoke::mf_static, 155, 539},	//539 QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, int)
    {27, 193, 1270, 2, Smoke::mf_static, 30, 540},	//540 QGlobalSpace::operator<<(QDebug, const QDate&)
    {27, 343, 23, 2, Smoke::mf_static, 376, 541},	//541 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {27, 173, 1273, 2, Smoke::mf_static, 191, 542},	//542 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {27, 223, 1276, 2, Smoke::mf_static, 88, 543},	//543 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {27, 482, 1279, 4, Smoke::mf_static, 469, 544},	//544 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {27, 173, 1284, 2, Smoke::mf_static, 418, 545},	//545 QGlobalSpace::operator*(double, const QPoint&)
    {27, 173, 1287, 2, Smoke::mf_static, 203, 546},	//546 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {27, 379, 1290, 3, Smoke::mf_static, 485, 547},	//547 QGlobalSpace::qMemSet(void*, int, size_t)
    {27, 193, 1294, 2, Smoke::mf_static, 26, 548},	//548 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {27, 223, 1297, 2, Smoke::mf_static, 80, 549},	//549 QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type)
    {27, 465, 1300, 2, Smoke::mf_static, 0, 550},	//550 QGlobalSpace::qt_check_pointer(const char*, int)
    {27, 223, 1303, 2, Smoke::mf_static, 155, 551},	//551 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, int)
    {27, 320, 764, 5, Smoke::mf_static, 0, 552},	//552 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 320, 679, 3, Smoke::mf_static, 0, 553},	//553 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {27, 320, 683, 4, Smoke::mf_static, 0, 554},	//554 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 353, 1306, 1, Smoke::mf_static, 478, 555},	//555 QGlobalSpace::qHash(short)
    {27, 329, 12, 1, Smoke::mf_static, 467, 556},	//556 QGlobalSpace::qFabs(double)
    {27, 223, 1308, 2, Smoke::mf_static, 76, 557},	//557 QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type)
    {27, 223, 1311, 2, Smoke::mf_static, 155, 558},	//558 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {27, 223, 1314, 2, Smoke::mf_static, 104, 559},	//559 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {27, 223, 1317, 2, Smoke::mf_static, 77, 560},	//560 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    {27, 437, 451, 2, Smoke::mf_static, 469, 561},	//561 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {27, 223, 1320, 2, Smoke::mf_static, 57, 562},	//562 QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type)
    {27, 343, 1323, 2, Smoke::mf_static, 376, 563},	//563 QGlobalSpace::qFuzzyCompare(float, float)
    {27, 202, 1326, 2, Smoke::mf_static, 376, 564},	//564 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {27, 426, 1329, 3, Smoke::mf_static, 378, 565},	//565 QGlobalSpace::qgcvt(long double, int, char*)
    {27, 223, 1333, 2, Smoke::mf_static, 69, 566},	//566 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type)
    {27, 241, 12, 1, Smoke::mf_static, 467, 567},	//567 QGlobalSpace::qAcos(double)
    {27, 223, 1336, 2, Smoke::mf_static, 67, 568},	//568 QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>)
    {27, 193, 1339, 2, Smoke::mf_static, 26, 569},	//569 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {27, 212, 451, 2, Smoke::mf_static, 376, 570},	//570 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {27, 217, 1342, 2, Smoke::mf_static, 26, 571},	//571 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {27, 223, 1345, 2, Smoke::mf_static, 155, 572},	//572 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, int)
    {27, 193, 1348, 2, Smoke::mf_static, 30, 573},	//573 QGlobalSpace::operator<<(QDebug, const QLine&)
    {27, 302, 1351, 10, Smoke::mf_static, 0, 574},	//574 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {27, 302, 278, 6, Smoke::mf_static, 0, 575},	//575 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {27, 302, 285, 7, Smoke::mf_static, 0, 576},	//576 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 302, 872, 8, Smoke::mf_static, 0, 577},	//577 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 302, 1362, 9, Smoke::mf_static, 0, 578},	//578 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 223, 1372, 2, Smoke::mf_static, 53, 579},	//579 QGlobalSpace::operator|(QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>)
    {27, 223, 1375, 2, Smoke::mf_static, 70, 580},	//580 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type)
    {27, 223, 1378, 2, Smoke::mf_static, 104, 581},	//581 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {27, 217, 1381, 2, Smoke::mf_static, 26, 582},	//582 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {27, 193, 1384, 2, Smoke::mf_static, 30, 583},	//583 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {27, 223, 1387, 2, Smoke::mf_static, 101, 584},	//584 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type)
    {27, 346, 12, 1, Smoke::mf_static, 376, 585},	//585 QGlobalSpace::qFuzzyIsNull(double)
    {27, 260, 1390, 2, Smoke::mf_static, 16, 586},	//586 QGlobalSpace::qCompress(const QByteArray&, int)
    {27, 260, 154, 1, Smoke::mf_static, 16, 587},	//587 QGlobalSpace::qCompress(const QByteArray&)
    {27, 193, 1393, 2, Smoke::mf_static, 30, 588},	//588 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {27, 223, 1396, 2, Smoke::mf_static, 68, 589},	//589 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>)
    {27, 223, 1399, 2, Smoke::mf_static, 155, 590},	//590 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {27, 223, 1402, 2, Smoke::mf_static, 155, 591},	//591 QGlobalSpace::operator|(QAccessible::Relation::enum_type, int)
    {27, 223, 1405, 2, Smoke::mf_static, 155, 592},	//592 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {27, 182, 1408, 1, Smoke::mf_static, 458, 593},	//593 QGlobalSpace::operator-(const QVector2D&)
    {27, 193, 1410, 2, Smoke::mf_static, 26, 594},	//594 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {27, 173, 1413, 2, Smoke::mf_static, 174, 595},	//595 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {27, 193, 1416, 2, Smoke::mf_static, 26, 596},	//596 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {27, 284, 1362, 9, Smoke::mf_static, 0, 597},	//597 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 284, 278, 6, Smoke::mf_static, 0, 598},	//598 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {27, 284, 285, 7, Smoke::mf_static, 0, 599},	//599 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 284, 872, 8, Smoke::mf_static, 0, 600},	//600 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 173, 1419, 2, Smoke::mf_static, 163, 601},	//601 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {27, 223, 1422, 2, Smoke::mf_static, 59, 602},	//602 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {27, 193, 1425, 2, Smoke::mf_static, 26, 603},	//603 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {27, 223, 1428, 2, Smoke::mf_static, 155, 604},	//604 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {27, 248, 12, 1, Smoke::mf_static, 467, 605},	//605 QGlobalSpace::qAsin(double)
    {27, 193, 1431, 2, Smoke::mf_static, 30, 606},	//606 QGlobalSpace::operator<<(QDebug, const QRect&)
    {27, 193, 1434, 2, Smoke::mf_static, 30, 607},	//607 QGlobalSpace::operator<<(QDebug, const QFont&)
    {27, 223, 1437, 2, Smoke::mf_static, 78, 608},	//608 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {27, 223, 1440, 2, Smoke::mf_static, 91, 609},	//609 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    {27, 166, 445, 2, Smoke::mf_static, 376, 610},	//610 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {27, 410, 12, 1, Smoke::mf_static, 467, 611},	//611 QGlobalSpace::qSin(double)
    {27, 202, 451, 2, Smoke::mf_static, 376, 612},	//612 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {27, 223, 1443, 2, Smoke::mf_static, 51, 613},	//613 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>)
    {27, 217, 1446, 2, Smoke::mf_static, 26, 614},	//614 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {27, 223, 448, 2, Smoke::mf_static, 12, 615},	//615 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {27, 193, 1449, 2, Smoke::mf_static, 26, 616},	//616 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {27, 223, 1452, 2, Smoke::mf_static, 103, 617},	//617 QGlobalSpace::operator|(QTextOption::Flags::enum_type, QTextOption::Flags::enum_type)
    {27, 343, 20, 2, Smoke::mf_static, 376, 618},	//618 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {27, 313, 269, 8, Smoke::mf_static, 0, 619},	//619 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 313, 278, 6, Smoke::mf_static, 0, 620},	//620 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {27, 313, 285, 7, Smoke::mf_static, 0, 621},	//621 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 193, 1455, 2, Smoke::mf_static, 26, 622},	//622 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {27, 223, 1458, 2, Smoke::mf_static, 95, 623},	//623 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    {27, 202, 1461, 2, Smoke::mf_static, 376, 624},	//624 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {27, 223, 1464, 2, Smoke::mf_static, 89, 625},	//625 QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    {27, 217, 1467, 2, Smoke::mf_static, 26, 626},	//626 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {27, 193, 1470, 2, Smoke::mf_static, 26, 627},	//627 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {27, 223, 1473, 2, Smoke::mf_static, 100, 628},	//628 QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type)
    {27, 458, 1300, 2, Smoke::mf_static, 222, 629},	//629 QGlobalSpace::qtTrId(const char*, int)
    {27, 458, 101, 1, Smoke::mf_static, 222, 630},	//630 QGlobalSpace::qtTrId(const char*)
    {27, 223, 1476, 2, Smoke::mf_static, 103, 631},	//631 QGlobalSpace::operator|(QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>)
    {27, 223, 1479, 2, Smoke::mf_static, 155, 632},	//632 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {27, 182, 1482, 1, Smoke::mf_static, 460, 633},	//633 QGlobalSpace::operator-(const QVector3D&)
    {27, 193, 1484, 2, Smoke::mf_static, 30, 634},	//634 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {27, 197, 143, 2, Smoke::mf_static, 376, 635},	//635 QGlobalSpace::operator<=(QChar, QChar)
    {27, 223, 1487, 2, Smoke::mf_static, 115, 636},	//636 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {27, 363, 332, 1, Smoke::mf_static, 376, 637},	//637 QGlobalSpace::qIsGray(unsigned int)
    {27, 223, 1490, 2, Smoke::mf_static, 155, 638},	//638 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    {27, 166, 1326, 2, Smoke::mf_static, 376, 639},	//639 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {27, 223, 1493, 2, Smoke::mf_static, 112, 640},	//640 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {27, 217, 1496, 2, Smoke::mf_static, 26, 641},	//641 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {27, 217, 1499, 2, Smoke::mf_static, 26, 642},	//642 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {27, 223, 1502, 2, Smoke::mf_static, 109, 643},	//643 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {27, 277, 1505, 5, Smoke::mf_static, 0, 644},	//644 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {27, 277, 1511, 3, Smoke::mf_static, 0, 645},	//645 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {27, 277, 1515, 4, Smoke::mf_static, 0, 646},	//646 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {27, 217, 1520, 2, Smoke::mf_static, 26, 647},	//647 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {27, 217, 1523, 2, Smoke::mf_static, 26, 648},	//648 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {27, 480, 1526, 3, Smoke::mf_static, 376, 649},	//649 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {27, 173, 1530, 2, Smoke::mf_static, 197, 650},	//650 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {27, 186, 1264, 2, Smoke::mf_static, 431, 651},	//651 QGlobalSpace::operator/(const QSize&, double)
    {27, 223, 1533, 2, Smoke::mf_static, 155, 652},	//652 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    {27, 173, 1536, 2, Smoke::mf_static, 197, 653},	//653 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {27, 369, 99, 1, Smoke::mf_static, 376, 654},	//654 QGlobalSpace::qIsNull(float)
    {27, 478, 1539, 5, Smoke::mf_static, 0, 655},	//655 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {27, 223, 1545, 2, Smoke::mf_static, 58, 656},	//656 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {27, 202, 1548, 2, Smoke::mf_static, 376, 657},	//657 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {27, 250, 12, 1, Smoke::mf_static, 467, 658},	//658 QGlobalSpace::qAtan(double)
    {27, 223, 1551, 2, Smoke::mf_static, 155, 659},	//659 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {27, 223, 1554, 2, Smoke::mf_static, 155, 660},	//660 QGlobalSpace::operator|(QStyle::State::enum_type, int)
    {27, 217, 1557, 2, Smoke::mf_static, 26, 661},	//661 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {27, 223, 1560, 2, Smoke::mf_static, 84, 662},	//662 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>)
    {27, 343, 87, 2, Smoke::mf_static, 376, 663},	//663 QGlobalSpace::qFuzzyCompare(double, double)
    {27, 173, 1563, 2, Smoke::mf_static, 272, 664},	//664 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {27, 223, 1566, 2, Smoke::mf_static, 155, 665},	//665 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {27, 166, 33, 2, Smoke::mf_static, 376, 666},	//666 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {27, 223, 1569, 2, Smoke::mf_static, 121, 667},	//667 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {27, 193, 1572, 2, Smoke::mf_static, 26, 668},	//668 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {27, 223, 1575, 2, Smoke::mf_static, 85, 669},	//669 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type)
    {27, 193, 1578, 2, Smoke::mf_static, 30, 670},	//670 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {27, 284, 1581, 7, Smoke::mf_static, 0, 671},	//671 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {27, 284, 1589, 4, Smoke::mf_static, 0, 672},	//672 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {27, 284, 1594, 5, Smoke::mf_static, 0, 673},	//673 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {27, 284, 1600, 6, Smoke::mf_static, 0, 674},	//674 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {27, 173, 266, 2, Smoke::mf_static, 418, 675},	//675 QGlobalSpace::operator*(const QPoint&, double)
    {27, 223, 1607, 2, Smoke::mf_static, 155, 676},	//676 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {27, 402, 0, 0, Smoke::mf_static, 467, 677},	//677 QGlobalSpace::qSNaN()
    {27, 173, 1610, 2, Smoke::mf_static, 199, 678},	//678 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {27, 202, 93, 2, Smoke::mf_static, 376, 679},	//679 QGlobalSpace::operator==(const QByteArray&, const char*)
    {27, 193, 1613, 2, Smoke::mf_static, 26, 680},	//680 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {27, 173, 1045, 2, Smoke::mf_static, 433, 681},	//681 QGlobalSpace::operator*(const QSizeF&, double)
    {27, 202, 1165, 2, Smoke::mf_static, 376, 682},	//682 QGlobalSpace::operator==(const QStringRef&, const char*)
    {27, 223, 1616, 2, Smoke::mf_static, 155, 683},	//683 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {27, 166, 20, 2, Smoke::mf_static, 376, 684},	//684 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {27, 202, 23, 2, Smoke::mf_static, 376, 685},	//685 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {27, 173, 1619, 2, Smoke::mf_static, 201, 686},	//686 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {27, 173, 1622, 2, Smoke::mf_static, 431, 687},	//687 QGlobalSpace::operator*(double, const QSize&)
    {27, 188, 7, 2, Smoke::mf_static, 376, 688},	//688 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {27, 193, 1625, 2, Smoke::mf_static, 30, 689},	//689 QGlobalSpace::operator<<(QDebug, QStyle::State)
    {27, 223, 1628, 2, Smoke::mf_static, 120, 690},	//690 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {27, 223, 1631, 2, Smoke::mf_static, 102, 691},	//691 QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>)
    {27, 166, 1634, 2, Smoke::mf_static, 376, 692},	//692 QGlobalSpace::operator!=(QBool, bool)
    {27, 166, 57, 2, Smoke::mf_static, 376, 693},	//693 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {27, 217, 1637, 2, Smoke::mf_static, 26, 694},	//694 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {27, 223, 1640, 2, Smoke::mf_static, 69, 695},	//695 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>)
    {27, 193, 1643, 2, Smoke::mf_static, 30, 696},	//696 QGlobalSpace::operator<<(QDebug, const QSize&)
    {27, 166, 364, 2, Smoke::mf_static, 376, 697},	//697 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {27, 173, 1646, 2, Smoke::mf_static, 165, 698},	//698 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {27, 182, 213, 2, Smoke::mf_static, 424, 699},	//699 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {27, 223, 1649, 2, Smoke::mf_static, 52, 700},	//700 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    {27, 173, 887, 2, Smoke::mf_static, 420, 701},	//701 QGlobalSpace::operator*(const QPointF&, double)
    {27, 223, 1652, 2, Smoke::mf_static, 109, 702},	//702 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {27, 446, 201, 2, Smoke::mf_static, 469, 703},	//703 QGlobalSpace::qstricmp(const char*, const char*)
    {27, 223, 1655, 2, Smoke::mf_static, 70, 704},	//704 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>)
    {27, 223, 1658, 2, Smoke::mf_static, 155, 705},	//705 QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, int)
    {27, 223, 1661, 2, Smoke::mf_static, 155, 706},	//706 QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, int)
    {27, 166, 105, 2, Smoke::mf_static, 376, 707},	//707 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {27, 398, 12, 1, Smoke::mf_static, 469, 708},	//708 QGlobalSpace::qRound(double)
    {27, 356, 0, 0, Smoke::mf_static, 467, 709},	//709 QGlobalSpace::qInf()
    {27, 193, 1664, 2, Smoke::mf_static, 26, 710},	//710 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {27, 173, 213, 2, Smoke::mf_static, 424, 711},	//711 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {27, 173, 1667, 2, Smoke::mf_static, 199, 712},	//712 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {27, 193, 1670, 2, Smoke::mf_static, 30, 713},	//713 QGlobalSpace::operator<<(QDebug, const QColor&)
    {27, 193, 1673, 2, Smoke::mf_static, 30, 714},	//714 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {27, 193, 1676, 2, Smoke::mf_static, 26, 715},	//715 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {27, 223, 1679, 2, Smoke::mf_static, 116, 716},	//716 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {27, 437, 93, 2, Smoke::mf_static, 469, 717},	//717 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {27, 223, 1682, 2, Smoke::mf_static, 71, 718},	//718 QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type)
    {27, 223, 1685, 2, Smoke::mf_static, 155, 719},	//719 QGlobalSpace::operator|(QFileDialog::Options::enum_type, int)
    {27, 392, 1060, 1, Smoke::mf_static, 0, 720},	//720 QGlobalSpace::qRemovePostRoutine(void(*)())
    {27, 177, 213, 2, Smoke::mf_static, 424, 721},	//721 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {27, 217, 1688, 2, Smoke::mf_static, 26, 722},	//722 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {27, 223, 1691, 2, Smoke::mf_static, 54, 723},	//723 QGlobalSpace::operator|(QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>)
    {27, 223, 1694, 2, Smoke::mf_static, 155, 724},	//724 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, int)
    {27, 217, 1697, 2, Smoke::mf_static, 26, 725},	//725 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {27, 223, 1700, 2, Smoke::mf_static, 55, 726},	//726 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type)
    {27, 223, 1703, 2, Smoke::mf_static, 155, 727},	//727 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {27, 223, 1706, 2, Smoke::mf_static, 83, 728},	//728 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>)
    {27, 193, 1709, 2, Smoke::mf_static, 26, 729},	//729 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {27, 423, 0, 0, Smoke::mf_static, 30, 730},	//730 QGlobalSpace::qWarning()
    {27, 448, 101, 1, Smoke::mf_static, 478, 731},	//731 QGlobalSpace::qstrlen(const char*)
    {27, 202, 1634, 2, Smoke::mf_static, 376, 732},	//732 QGlobalSpace::operator==(QBool, bool)
    {27, 217, 1712, 2, Smoke::mf_static, 26, 733},	//733 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {27, 217, 1715, 2, Smoke::mf_static, 26, 734},	//734 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {27, 353, 1718, 1, Smoke::mf_static, 478, 735},	//735 QGlobalSpace::qHash(unsigned long)
    {27, 193, 1720, 2, Smoke::mf_static, 26, 736},	//736 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {27, 223, 1723, 2, Smoke::mf_static, 155, 737},	//737 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {27, 193, 1726, 2, Smoke::mf_static, 26, 738},	//738 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {27, 223, 1729, 2, Smoke::mf_static, 155, 739},	//739 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {27, 193, 1732, 2, Smoke::mf_static, 26, 740},	//740 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {27, 202, 337, 2, Smoke::mf_static, 376, 741},	//741 QGlobalSpace::operator==(const char*, const QString&)
    {27, 177, 1735, 2, Smoke::mf_static, 438, 742},	//742 QGlobalSpace::operator+(const QString&, const QString&)
    {27, 166, 496, 2, Smoke::mf_static, 376, 743},	//743 QGlobalSpace::operator!=(QBool, QBool)
    {27, 223, 1738, 2, Smoke::mf_static, 77, 744},	//744 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    {27, 223, 1741, 2, Smoke::mf_static, 155, 745},	//745 QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, int)
    {27, 223, 1744, 2, Smoke::mf_static, 101, 746},	//746 QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>)
    {27, 469, 1747, 2, Smoke::mf_static, 0, 747},	//747 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {27, 223, 1750, 2, Smoke::mf_static, 155, 748},	//748 QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, int)
    {27, 193, 1753, 2, Smoke::mf_static, 30, 749},	//749 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {27, 173, 1756, 2, Smoke::mf_static, 460, 750},	//750 QGlobalSpace::operator*(double, const QVector3D&)
    {27, 223, 1759, 2, Smoke::mf_static, 92, 751},	//751 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    {27, 212, 337, 2, Smoke::mf_static, 376, 752},	//752 QGlobalSpace::operator>=(const char*, const QString&)
    {27, 223, 1762, 2, Smoke::mf_static, 55, 753},	//753 QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>)
    {27, 223, 1765, 2, Smoke::mf_static, 81, 754},	//754 QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type)
    {27, 353, 1768, 1, Smoke::mf_static, 478, 755},	//755 QGlobalSpace::qHash(const QStringRef&)
    {27, 223, 1770, 2, Smoke::mf_static, 90, 756},	//756 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    {27, 369, 12, 1, Smoke::mf_static, 376, 757},	//757 QGlobalSpace::qIsNull(double)
    {27, 223, 1773, 2, Smoke::mf_static, 155, 758},	//758 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    {27, 223, 1776, 2, Smoke::mf_static, 62, 759},	//759 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {27, 223, 1779, 2, Smoke::mf_static, 66, 760},	//760 QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type)
    {27, 212, 33, 2, Smoke::mf_static, 376, 761},	//761 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {27, 207, 93, 2, Smoke::mf_static, 376, 762},	//762 QGlobalSpace::operator>(const QByteArray&, const char*)
    {27, 223, 1782, 2, Smoke::mf_static, 117, 763},	//763 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {27, 353, 1785, 1, Smoke::mf_static, 478, 764},	//764 QGlobalSpace::qHash(unsigned char)
    {27, 217, 1787, 2, Smoke::mf_static, 26, 765},	//765 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {27, 173, 1790, 2, Smoke::mf_static, 201, 766},	//766 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {27, 193, 1793, 2, Smoke::mf_static, 30, 767},	//767 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {27, 193, 1796, 2, Smoke::mf_static, 30, 768},	//768 QGlobalSpace::operator<<(QDebug, const QObject*)
    {27, 223, 1799, 2, Smoke::mf_static, 155, 769},	//769 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {27, 166, 451, 2, Smoke::mf_static, 376, 770},	//770 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {27, 193, 1802, 2, Smoke::mf_static, 26, 771},	//771 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {27, 217, 1805, 2, Smoke::mf_static, 26, 772},	//772 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {27, 193, 1808, 2, Smoke::mf_static, 26, 773},	//773 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {27, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 774},	//774 QGlobalSpace::_IEEE_ (enum)
    {27, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 775},	//775 QGlobalSpace::_SVID_ (enum)
    {27, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 776},	//776 QGlobalSpace::_XOPEN_ (enum)
    {27, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 777},	//777 QGlobalSpace::_POSIX_ (enum)
    {27, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 778},	//778 QGlobalSpace::_ISOC_ (enum)
    {27, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 779},	//779 QGlobalSpace::QtDebugMsg (enum)
    {27, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 780},	//780 QGlobalSpace::QtWarningMsg (enum)
    {27, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 781},	//781 QGlobalSpace::QtCriticalMsg (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 782},	//782 QGlobalSpace::QtFatalMsg (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 783},	//783 QGlobalSpace::QtSystemMsg (enum)
    {27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 784},	//784 QGlobalSpace::__codecvt_ok (enum)
    {27, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 785},	//785 QGlobalSpace::__codecvt_partial (enum)
    {27, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 786},	//786 QGlobalSpace::__codecvt_error (enum)
    {27, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 787},	//787 QGlobalSpace::__codecvt_noconv (enum)
    {28, 97, 359, 1, Smoke::mf_virtual, 0, 0},	//788 QGraphicsItem::advance(int)
    {28, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 0},	//789 QGraphicsItem::shape() const
    {28, 109, 941, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//790 QGraphicsItem::contains(const QPointF&) const
    {28, 106, 1811, 2, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//791 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {28, 107, 1814, 2, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//792 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {28, 143, 1817, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//793 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {28, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 0},	//794 QGraphicsItem::opaqueArea() const
    {28, 494, 1819, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//795 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {28, 493, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//796 QGraphicsItem::sceneEvent(QEvent*)
    {28, 110, 1824, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//797 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {28, 117, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {28, 118, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {28, 119, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {28, 120, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {28, 130, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//802 QGraphicsItem::focusInEvent(QFocusEvent*)
    {28, 132, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {28, 137, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {28, 139, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {28, 138, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//806 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {28, 146, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {28, 147, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {28, 162, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {28, 161, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {28, 163, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {28, 160, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {28, 544, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {28, 140, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {28, 141, 1840, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 267, 0},	//815 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {28, 145, 1842, 2, Smoke::mf_protected|Smoke::mf_virtual, 267, 0},	//816 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {28, 529, 1845, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//817 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {28, 503, 1847, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {28, 128, 1850, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 267, 0},	//819 QGraphicsItem::extension(const QVariant&) const
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 33},	//820 QGraphicsItem::ItemIsMovable (enum)
    {28, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 34},	//821 QGraphicsItem::ItemIsSelectable (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 35},	//822 QGraphicsItem::ItemIsFocusable (enum)
    {28, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 36},	//823 QGraphicsItem::ItemClipsToShape (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 37},	//824 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 38},	//825 QGraphicsItem::ItemIgnoresTransformations (enum)
    {28, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 39},	//826 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {28, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 40},	//827 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {28, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 41},	//828 QGraphicsItem::ItemStacksBehindParent (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 42},	//829 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 43},	//830 QGraphicsItem::ItemHasNoContents (enum)
    {28, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 44},	//831 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {28, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 45},	//832 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 46},	//833 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {28, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 47},	//834 QGraphicsItem::ItemIsPanel (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 48},	//835 QGraphicsItem::ItemIsFocusScope (enum)
    {28, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 49},	//836 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {28, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 50},	//837 QGraphicsItem::ItemPositionChange (enum)
    {28, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 51},	//838 QGraphicsItem::ItemMatrixChange (enum)
    {28, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 52},	//839 QGraphicsItem::ItemVisibleChange (enum)
    {28, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 53},	//840 QGraphicsItem::ItemEnabledChange (enum)
    {28, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 54},	//841 QGraphicsItem::ItemSelectedChange (enum)
    {28, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 55},	//842 QGraphicsItem::ItemParentChange (enum)
    {28, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 56},	//843 QGraphicsItem::ItemChildAddedChange (enum)
    {28, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 57},	//844 QGraphicsItem::ItemChildRemovedChange (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 58},	//845 QGraphicsItem::ItemTransformChange (enum)
    {28, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 59},	//846 QGraphicsItem::ItemPositionHasChanged (enum)
    {28, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 60},	//847 QGraphicsItem::ItemTransformHasChanged (enum)
    {28, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 61},	//848 QGraphicsItem::ItemSceneChange (enum)
    {28, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 62},	//849 QGraphicsItem::ItemVisibleHasChanged (enum)
    {28, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 63},	//850 QGraphicsItem::ItemEnabledHasChanged (enum)
    {28, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 64},	//851 QGraphicsItem::ItemSelectedHasChanged (enum)
    {28, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 65},	//852 QGraphicsItem::ItemParentHasChanged (enum)
    {28, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 66},	//853 QGraphicsItem::ItemSceneHasChanged (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 67},	//854 QGraphicsItem::ItemCursorChange (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 68},	//855 QGraphicsItem::ItemCursorHasChanged (enum)
    {28, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 69},	//856 QGraphicsItem::ItemToolTipChange (enum)
    {28, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 70},	//857 QGraphicsItem::ItemToolTipHasChanged (enum)
    {28, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//858 QGraphicsItem::ItemFlagsChange (enum)
    {28, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//859 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {28, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//860 QGraphicsItem::ItemZValueChange (enum)
    {28, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//861 QGraphicsItem::ItemZValueHasChanged (enum)
    {28, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//862 QGraphicsItem::ItemOpacityChange (enum)
    {28, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//863 QGraphicsItem::ItemOpacityHasChanged (enum)
    {28, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//864 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {28, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 78},	//865 QGraphicsItem::NoCache (enum)
    {28, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 79},	//866 QGraphicsItem::ItemCoordinateCache (enum)
    {28, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 80},	//867 QGraphicsItem::DeviceCoordinateCache (enum)
    {28, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 81},	//868 QGraphicsItem::NonModal (enum)
    {28, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 82},	//869 QGraphicsItem::PanelModal (enum)
    {28, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 83},	//870 QGraphicsItem::SceneModal (enum)
    {28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 84},	//871 QGraphicsItem::Type (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 85},	//872 QGraphicsItem::UserType (enum)
    {28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 86},	//873 QGraphicsItem::UserExtension (enum)
    {35, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 409, 1},	//874 QGraphicsSvgItem::metaObject() const
    {35, 473, 101, 1, Smoke::mf_virtual, 485, 2},	//875 QGraphicsSvgItem::qt_metacast(const char*)
    {35, 533, 201, 2, Smoke::mf_static, 222, 3},	//876 QGraphicsSvgItem::tr(const char*, const char*)
    {35, 537, 201, 2, Smoke::mf_static, 222, 4},	//877 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {35, 533, 574, 3, Smoke::mf_static, 222, 5},	//878 QGraphicsSvgItem::tr(const char*, const char*, int)
    {35, 537, 574, 3, Smoke::mf_static, 222, 6},	//879 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {35, 471, 1852, 3, Smoke::mf_virtual, 469, 7},	//880 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {35, 64, 1856, 1, Smoke::mf_ctor, 145, 8},	//881 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {35, 64, 1858, 2, Smoke::mf_ctor, 145, 9},	//882 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {35, 514, 1861, 1, 0, 0, 10},	//883 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {35, 489, 0, 0, Smoke::mf_const, 241, 11},	//884 QGraphicsSvgItem::renderer() const
    {35, 501, 463, 1, Smoke::mf_property, 0, 12},	//885 QGraphicsSvgItem::setElementId(const QString&)
    {35, 123, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 13},	//886 QGraphicsSvgItem::elementId() const
    {35, 495, 1863, 1, 0, 0, 14},	//887 QGraphicsSvgItem::setCachingEnabled(bool)
    {35, 142, 0, 0, Smoke::mf_const, 376, 15},	//888 QGraphicsSvgItem::isCachingEnabled() const
    {35, 508, 1865, 1, Smoke::mf_property, 0, 16},	//889 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {35, 155, 0, 0, Smoke::mf_const|Smoke::mf_property, 215, 17},	//890 QGraphicsSvgItem::maximumCacheSize() const
    {35, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 18},	//891 QGraphicsSvgItem::boundingRect() const
    {35, 228, 1867, 3, Smoke::mf_virtual, 0, 19},	//892 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {35, 541, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 469, 20},	//893 QGraphicsSvgItem::type() const
    {35, 533, 101, 1, Smoke::mf_static, 222, 21},	//894 QGraphicsSvgItem::tr(const char*)
    {35, 537, 101, 1, Smoke::mf_static, 222, 22},	//895 QGraphicsSvgItem::trUtf8(const char*)
    {35, 64, 0, 0, Smoke::mf_ctor, 145, 23},	//896 QGraphicsSvgItem::QGraphicsSvgItem()
    {35, 64, 463, 1, Smoke::mf_ctor, 145, 24},	//897 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {35, 228, 1871, 2, 0, 0, 25},	//898 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {35, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 408, 26},	//899 QGraphicsSvgItem::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 470, 27},	//900 QGraphicsSvgItem::Type (enum)
    {35, 547, 0, 0, Smoke::mf_dtor, 0, 28 },	//901 QGraphicsSvgItem::~QGraphicsSvgItem()
    {58, 126, 1822, 1, Smoke::mf_virtual, 376, 0},	//902 QObject::event(QEvent*)
    {58, 127, 1874, 2, Smoke::mf_virtual, 376, 0},	//903 QObject::eventFilter(QObject*, QEvent*)
    {58, 531, 1877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//904 QObject::timerEvent(QTimerEvent*)
    {58, 104, 1879, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//905 QObject::childEvent(QChildEvent*)
    {58, 112, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//906 QObject::customEvent(QEvent*)
    {58, 108, 101, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//907 QObject::connectNotify(const char*)
    {58, 116, 101, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//908 QObject::disconnectNotify(const char*)
    {59, 115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 469, 0},	//909 QPaintDevice::devType() const
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 2},	//910 QPaintDevice::PdmWidth (enum)
    {59, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 3},	//911 QPaintDevice::PdmHeight (enum)
    {59, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 4},	//912 QPaintDevice::PdmWidthMM (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 5},	//913 QPaintDevice::PdmHeightMM (enum)
    {59, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 6},	//914 QPaintDevice::PdmNumColors (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 7},	//915 QPaintDevice::PdmDepth (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 8},	//916 QPaintDevice::PdmDpiX (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 9},	//917 QPaintDevice::PdmDpiY (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 10},	//918 QPaintDevice::PdmPhysicalDpiX (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 11},	//919 QPaintDevice::PdmPhysicalDpiY (enum)
    {90, 68, 0, 0, Smoke::mf_ctor, 240, 1},	//920 QSvgGenerator::QSvgGenerator()
    {90, 532, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 2},	//921 QSvgGenerator::title() const
    {90, 518, 463, 1, Smoke::mf_property, 0, 3},	//922 QSvgGenerator::setTitle(const QString&)
    {90, 114, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 4},	//923 QSvgGenerator::description() const
    {90, 499, 463, 1, Smoke::mf_property, 0, 5},	//924 QSvgGenerator::setDescription(const QString&)
    {90, 525, 0, 0, Smoke::mf_const|Smoke::mf_property, 215, 6},	//925 QSvgGenerator::size() const
    {90, 516, 1865, 1, Smoke::mf_property, 0, 7},	//926 QSvgGenerator::setSize(const QSize&)
    {90, 542, 0, 0, Smoke::mf_const, 206, 8},	//927 QSvgGenerator::viewBox() const
    {90, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 9},	//928 QSvgGenerator::viewBoxF() const
    {90, 520, 1881, 1, 0, 0, 10},	//929 QSvgGenerator::setViewBox(const QRect&)
    {90, 520, 1883, 1, Smoke::mf_property, 0, 11},	//930 QSvgGenerator::setViewBox(const QRectF&)
    {90, 129, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 12},	//931 QSvgGenerator::fileName() const
    {90, 504, 463, 1, Smoke::mf_property, 0, 13},	//932 QSvgGenerator::setFileName(const QString&)
    {90, 227, 0, 0, Smoke::mf_const|Smoke::mf_property, 149, 14},	//933 QSvgGenerator::outputDevice() const
    {90, 510, 1885, 1, Smoke::mf_property, 0, 15},	//934 QSvgGenerator::setOutputDevice(QIODevice*)
    {90, 512, 359, 1, Smoke::mf_property, 0, 16},	//935 QSvgGenerator::setResolution(int)
    {90, 492, 0, 0, Smoke::mf_const|Smoke::mf_property, 469, 17},	//936 QSvgGenerator::resolution() const
    {90, 231, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 18},	//937 QSvgGenerator::paintEngine() const
    {90, 157, 1887, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 469, 19},	//938 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {90, 548, 0, 0, Smoke::mf_dtor, 0, 20 },	//939 QSvgGenerator::~QSvgGenerator()
    {91, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 409, 1},	//940 QSvgRenderer::metaObject() const
    {91, 473, 101, 1, Smoke::mf_virtual, 485, 2},	//941 QSvgRenderer::qt_metacast(const char*)
    {91, 533, 201, 2, Smoke::mf_static, 222, 3},	//942 QSvgRenderer::tr(const char*, const char*)
    {91, 537, 201, 2, Smoke::mf_static, 222, 4},	//943 QSvgRenderer::trUtf8(const char*, const char*)
    {91, 533, 574, 3, Smoke::mf_static, 222, 5},	//944 QSvgRenderer::tr(const char*, const char*, int)
    {91, 537, 574, 3, Smoke::mf_static, 222, 6},	//945 QSvgRenderer::trUtf8(const char*, const char*, int)
    {91, 471, 1852, 3, Smoke::mf_virtual, 469, 7},	//946 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {91, 69, 1889, 1, Smoke::mf_ctor, 241, 8},	//947 QSvgRenderer::QSvgRenderer(QObject*)
    {91, 69, 1891, 2, Smoke::mf_ctor, 241, 9},	//948 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {91, 69, 1894, 2, Smoke::mf_ctor, 241, 10},	//949 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {91, 69, 1897, 2, Smoke::mf_ctor, 241, 11},	//950 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {91, 144, 0, 0, Smoke::mf_const, 376, 12},	//951 QSvgRenderer::isValid() const
    {91, 113, 0, 0, Smoke::mf_const, 215, 13},	//952 QSvgRenderer::defaultSize() const
    {91, 542, 0, 0, Smoke::mf_const, 206, 14},	//953 QSvgRenderer::viewBox() const
    {91, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 15},	//954 QSvgRenderer::viewBoxF() const
    {91, 520, 1881, 1, 0, 0, 16},	//955 QSvgRenderer::setViewBox(const QRect&)
    {91, 520, 1883, 1, Smoke::mf_property, 0, 17},	//956 QSvgRenderer::setViewBox(const QRectF&)
    {91, 98, 0, 0, Smoke::mf_const, 376, 18},	//957 QSvgRenderer::animated() const
    {91, 134, 0, 0, Smoke::mf_const|Smoke::mf_property, 469, 19},	//958 QSvgRenderer::framesPerSecond() const
    {91, 506, 359, 1, Smoke::mf_property, 0, 20},	//959 QSvgRenderer::setFramesPerSecond(int)
    {91, 111, 0, 0, Smoke::mf_const|Smoke::mf_property, 469, 21},	//960 QSvgRenderer::currentFrame() const
    {91, 497, 359, 1, Smoke::mf_property, 0, 22},	//961 QSvgRenderer::setCurrentFrame(int)
    {91, 99, 0, 0, Smoke::mf_const, 469, 23},	//962 QSvgRenderer::animationDuration() const
    {91, 101, 463, 1, Smoke::mf_const, 208, 24},	//963 QSvgRenderer::boundsOnElement(const QString&) const
    {91, 121, 463, 1, Smoke::mf_const, 376, 25},	//964 QSvgRenderer::elementExists(const QString&) const
    {91, 153, 463, 1, Smoke::mf_const, 172, 26},	//965 QSvgRenderer::matrixForElement(const QString&) const
    {91, 150, 463, 1, Smoke::mf_slot, 376, 27},	//966 QSvgRenderer::load(const QString&)
    {91, 150, 154, 1, Smoke::mf_slot, 376, 28},	//967 QSvgRenderer::load(const QByteArray&)
    {91, 150, 1900, 1, Smoke::mf_slot, 376, 29},	//968 QSvgRenderer::load(QXmlStreamReader*)
    {91, 484, 1902, 1, Smoke::mf_slot, 0, 30},	//969 QSvgRenderer::render(QPainter*)
    {91, 484, 1904, 2, Smoke::mf_slot, 0, 31},	//970 QSvgRenderer::render(QPainter*, const QRectF&)
    {91, 484, 1907, 3, Smoke::mf_slot, 0, 32},	//971 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {91, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//972 QSvgRenderer::repaintNeeded()
    {91, 533, 101, 1, Smoke::mf_static, 222, 34},	//973 QSvgRenderer::tr(const char*)
    {91, 537, 101, 1, Smoke::mf_static, 222, 35},	//974 QSvgRenderer::trUtf8(const char*)
    {91, 69, 0, 0, Smoke::mf_ctor, 241, 36},	//975 QSvgRenderer::QSvgRenderer()
    {91, 69, 463, 1, Smoke::mf_ctor, 241, 37},	//976 QSvgRenderer::QSvgRenderer(const QString&)
    {91, 69, 154, 1, Smoke::mf_ctor, 241, 38},	//977 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {91, 69, 1900, 1, Smoke::mf_ctor, 241, 39},	//978 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {91, 484, 1911, 2, Smoke::mf_slot, 0, 40},	//979 QSvgRenderer::render(QPainter*, const QString&)
    {91, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 408, 41},	//980 QSvgRenderer::staticMetaObject() const
    {91, 549, 0, 0, Smoke::mf_dtor, 0, 42 },	//981 QSvgRenderer::~QSvgRenderer()
    {92, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 409, 1},	//982 QSvgWidget::metaObject() const
    {92, 473, 101, 1, Smoke::mf_virtual, 485, 2},	//983 QSvgWidget::qt_metacast(const char*)
    {92, 533, 201, 2, Smoke::mf_static, 222, 3},	//984 QSvgWidget::tr(const char*, const char*)
    {92, 537, 201, 2, Smoke::mf_static, 222, 4},	//985 QSvgWidget::trUtf8(const char*, const char*)
    {92, 533, 574, 3, Smoke::mf_static, 222, 5},	//986 QSvgWidget::tr(const char*, const char*, int)
    {92, 537, 574, 3, Smoke::mf_static, 222, 6},	//987 QSvgWidget::trUtf8(const char*, const char*, int)
    {92, 471, 1852, 3, Smoke::mf_virtual, 469, 7},	//988 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {92, 74, 1914, 1, Smoke::mf_ctor, 242, 8},	//989 QSvgWidget::QSvgWidget(QWidget*)
    {92, 74, 1916, 2, Smoke::mf_ctor, 242, 9},	//990 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {92, 489, 0, 0, Smoke::mf_const, 241, 10},	//991 QSvgWidget::renderer() const
    {92, 526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//992 QSvgWidget::sizeHint() const
    {92, 150, 463, 1, Smoke::mf_slot, 0, 12},	//993 QSvgWidget::load(const QString&)
    {92, 150, 154, 1, Smoke::mf_slot, 0, 13},	//994 QSvgWidget::load(const QByteArray&)
    {92, 232, 1919, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//995 QSvgWidget::paintEvent(QPaintEvent*)
    {92, 533, 101, 1, Smoke::mf_static, 222, 15},	//996 QSvgWidget::tr(const char*)
    {92, 537, 101, 1, Smoke::mf_static, 222, 16},	//997 QSvgWidget::trUtf8(const char*)
    {92, 74, 0, 0, Smoke::mf_ctor, 242, 17},	//998 QSvgWidget::QSvgWidget()
    {92, 74, 463, 1, Smoke::mf_ctor, 242, 18},	//999 QSvgWidget::QSvgWidget(const QString&)
    {92, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 408, 19},	//1000 QSvgWidget::staticMetaObject() const
    {92, 550, 0, 0, Smoke::mf_dtor, 0, 20 },	//1001 QSvgWidget::~QSvgWidget()
    {113, 115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 469, 0},	//1002 QWidget::devType() const
    {113, 522, 1863, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1003 QWidget::setVisible(bool)
    {113, 159, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 215, 0},	//1004 QWidget::minimumSizeHint() const
    {113, 135, 359, 1, Smoke::mf_const|Smoke::mf_virtual, 469, 0},	//1005 QWidget::heightForWidth(int) const
    {113, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 0},	//1006 QWidget::paintEngine() const
    {113, 126, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1007 QWidget::event(QEvent*)
    {113, 162, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1008 QWidget::mousePressEvent(QMouseEvent*)
    {113, 163, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1009 QWidget::mouseReleaseEvent(QMouseEvent*)
    {113, 160, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1010 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {113, 161, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QWidget::mouseMoveEvent(QMouseEvent*)
    {113, 544, 1923, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1012 QWidget::wheelEvent(QWheelEvent*)
    {113, 146, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QWidget::keyPressEvent(QKeyEvent*)
    {113, 147, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1014 QWidget::keyReleaseEvent(QKeyEvent*)
    {113, 130, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1015 QWidget::focusInEvent(QFocusEvent*)
    {113, 132, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1016 QWidget::focusOutEvent(QFocusEvent*)
    {113, 125, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QWidget::enterEvent(QEvent*)
    {113, 149, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1018 QWidget::leaveEvent(QEvent*)
    {113, 164, 1925, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QWidget::moveEvent(QMoveEvent*)
    {113, 491, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1020 QWidget::resizeEvent(QResizeEvent*)
    {113, 105, 1929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1021 QWidget::closeEvent(QCloseEvent*)
    {113, 110, 1931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QWidget::contextMenuEvent(QContextMenuEvent*)
    {113, 530, 1933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::tabletEvent(QTabletEvent*)
    {113, 96, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::actionEvent(QActionEvent*)
    {113, 117, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::dragEnterEvent(QDragEnterEvent*)
    {113, 119, 1939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::dragMoveEvent(QDragMoveEvent*)
    {113, 118, 1941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {113, 120, 1943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::dropEvent(QDropEvent*)
    {113, 524, 1945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::showEvent(QShowEvent*)
    {113, 136, 1947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::hideEvent(QHideEvent*)
    {113, 546, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1031 QWidget::x11Event(_XEvent*)
    {113, 103, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::changeEvent(QEvent*)
    {113, 157, 1887, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 469, 0},	//1033 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {113, 140, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::inputMethodEvent(QInputMethodEvent*)
    {113, 141, 1840, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 0},	//1035 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {113, 131, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1036 QWidget::focusNextPrevChild(bool)
    {113, 528, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::styleChange(QStyle&)
    {113, 124, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1038 QWidget::enabledChange(bool)
    {113, 234, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1039 QWidget::paletteChange(const QPalette&)
    {113, 133, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::fontChange(const QFont&)
    {113, 545, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1041 QWidget::windowActivationChange(bool)
    {113, 148, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::languageChange()
    {113, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 42},	//1043 QWidget::DrawWindowBackground (enum)
    {113, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 43},	//1044 QWidget::DrawChildren (enum)
    {113, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//1045 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    947,  // QSvgRenderer::QSvgRenderer(QObject*)
    977,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    978,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    949,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    950,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    967,  // QSvgRenderer::load(const QByteArray&)
    968,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    955,  // QSvgRenderer::setViewBox(const QRect&)
    956,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    89,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    152,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    170,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    253,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    292,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    319,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    331,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    407,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    420,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    474,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    488,  // QGlobalSpace::operator!=(QChar, QChar)
    532,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    610,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    639,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    684,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    693,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    697,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    743,  // QGlobalSpace::operator!=(QBool, QBool)
    770,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    72,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    101,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    126,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    512,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    692,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    245,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    368,  // QGlobalSpace::operator!=(bool, QBool)
    417,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    502,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    666,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    707,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    18,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    48,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    54,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    58,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    100,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    120,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    172,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    225,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    254,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    271,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    291,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    310,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    388,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    396,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    462,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    510,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    535,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    542,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    546,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    601,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    650,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    653,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    664,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    678,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    686,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    698,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    711,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    712,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    766,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    62,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    162,  // QGlobalSpace::operator*(const QTransform&, double)
    267,  // QGlobalSpace::operator*(const QQuaternion&, double)
    413,  // QGlobalSpace::operator*(const QVector4D&, double)
    472,  // QGlobalSpace::operator*(const QVector2D&, double)
    477,  // QGlobalSpace::operator*(const QVector3D&, double)
    538,  // QGlobalSpace::operator*(const QSize&, double)
    675,  // QGlobalSpace::operator*(const QPoint&, double)
    681,  // QGlobalSpace::operator*(const QSizeF&, double)
    701,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    86,  // QGlobalSpace::operator*(double, const QSizeF&)
    375,  // QGlobalSpace::operator*(double, const QVector2D&)
    422,  // QGlobalSpace::operator*(double, const QVector4D&)
    471,  // QGlobalSpace::operator*(double, const QQuaternion&)
    533,  // QGlobalSpace::operator*(double, const QPointF&)
    545,  // QGlobalSpace::operator*(double, const QPoint&)
    595,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    687,  // QGlobalSpace::operator*(double, const QSize&)
    750,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    42,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    82,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    114,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    137,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    144,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    198,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    270,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    282,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    347,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    721,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    174,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    182,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    224,  // QGlobalSpace::operator+(const QTransform&, double)
    230,  // QGlobalSpace::operator+(QChar, const QString&)
    429,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    25,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    118,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    169,  // QGlobalSpace::operator+(const QString&, QChar)
    521,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    176,  // QGlobalSpace::operator+(const QString&, const char*)
    251,  // QGlobalSpace::operator+(const QString&, char)
    340,  // QGlobalSpace::operator+(char, const QString&)
    527,  // QGlobalSpace::operator+(const char*, const QString&)
    742,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    59,  // QGlobalSpace::operator-(const QMatrix4x4&)
    243,  // QGlobalSpace::operator-(const QQuaternion&)
    273,  // QGlobalSpace::operator-(const QPoint&)
    376,  // QGlobalSpace::operator-(const QVector4D&)
    390,  // QGlobalSpace::operator-(const QPointF&)
    593,  // QGlobalSpace::operator-(const QVector2D&)
    633,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    90,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    119,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    124,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    146,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    255,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    333,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    525,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    699,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    110,  // QGlobalSpace::operator/(const QPoint&, double)
    145,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    299,  // QGlobalSpace::operator/(const QVector4D&, double)
    366,  // QGlobalSpace::operator/(const QVector2D&, double)
    367,  // QGlobalSpace::operator/(const QPointF&, double)
    372,  // QGlobalSpace::operator/(const QVector3D&, double)
    380,  // QGlobalSpace::operator/(const QTransform&, double)
    433,  // QGlobalSpace::operator/(const QSizeF&, double)
    451,  // QGlobalSpace::operator/(const QQuaternion&, double)
    651,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    67,  // QGlobalSpace::operator<(QChar, QChar)
    147,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    258,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    688,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    77,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    421,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    24,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    32,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    51,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    52,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    57,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    63,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    64,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    93,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    102,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    116,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    123,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    127,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    130,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    132,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    135,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    164,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    202,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    203,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    204,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    212,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    226,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    275,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    288,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    294,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    295,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    300,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    322,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    352,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    353,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    358,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    384,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    391,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    395,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    403,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    415,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    416,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    428,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    439,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    448,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    458,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    463,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    467,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    468,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    470,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    473,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    476,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    480,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    481,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    482,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    486,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    505,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    517,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    524,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    526,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    540,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    548,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    573,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    583,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    588,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    603,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    606,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    607,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    622,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    634,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    668,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    670,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    680,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    696,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    713,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    714,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    715,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    729,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    736,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    738,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    740,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    749,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    768,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    771,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    773,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    73,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    107,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    117,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    238,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    308,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    356,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    493,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlags)
    689,  // QGlobalSpace::operator<<(QDebug, QStyle::State)
    710,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    767,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    197,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    221,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    447,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    635,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    445,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    516,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    22,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    31,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    56,  // QGlobalSpace::operator==(QChar, QChar)
    88,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    190,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    213,  // QGlobalSpace::operator==(QBool, QBool)
    256,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    272,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    279,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    345,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    369,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    425,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    438,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    440,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    537,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    564,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    612,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    657,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    685,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    21,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    155,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    343,  // QGlobalSpace::operator==(QString::Null, const QString&)
    679,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    682,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    732,  // QGlobalSpace::operator==(QBool, bool)
    0,
    14,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    40,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    214,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    392,  // QGlobalSpace::operator==(bool, QBool)
    466,  // QGlobalSpace::operator==(const QString&, QString::Null)
    523,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    624,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    84,  // QGlobalSpace::operator>(QChar, QChar)
    177,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    192,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    325,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    41,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    151,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    4,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    71,  // QGlobalSpace::operator>=(QChar, QChar)
    434,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    570,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    401,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    761,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    16,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    26,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    28,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    34,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    66,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    68,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    157,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    165,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    211,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    222,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    239,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    248,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    328,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    341,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    344,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    359,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    365,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    378,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    389,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    393,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    449,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    465,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    487,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    499,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    500,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    520,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    528,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    530,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    571,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    582,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    614,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    626,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    642,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    661,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    694,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    722,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    725,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    733,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    734,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    772,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    450,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    20,  // QGlobalSpace::operator|(QAccessible::State::enum_type, int)
    29,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    65,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, int)
    91,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    96,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, int)
    106,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, int)
    115,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, int)
    128,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    129,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    138,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    140,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, int)
    143,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    154,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, int)
    156,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, int)
    166,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    178,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    193,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, int)
    215,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, int)
    231,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    235,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    236,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    237,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    265,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, int)
    266,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, int)
    274,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, int)
    281,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    297,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, int)
    303,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    313,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    323,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, int)
    324,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    329,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, int)
    342,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, int)
    349,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, int)
    357,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    373,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    377,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, int)
    412,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, int)
    426,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, int)
    430,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    432,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    435,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    456,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, int)
    460,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    478,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    513,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, int)
    519,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    536,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, int)
    539,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, int)
    551,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, int)
    558,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    572,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, int)
    590,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    591,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, int)
    592,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    604,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    632,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    638,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    652,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    659,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    660,  // QGlobalSpace::operator|(QStyle::State::enum_type, int)
    665,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    676,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    683,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    705,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, int)
    706,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, int)
    719,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, int)
    724,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, int)
    727,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    737,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    739,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    745,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, int)
    748,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, int)
    758,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    769,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    2,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QGraphicsView::CacheMode::enum_type)
    8,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    15,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    17,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    19,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QFlags<QMdiArea::AreaOptions::enum_type>)
    23,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QWizard::WizardOptions::enum_type)
    36,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QFlags<QDockWidget::DockWidgetFeatures::enum_type>)
    44,  // QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    47,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFlags<QFontComboBox::FontFilters::enum_type>)
    49,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    50,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    55,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    60,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    69,  // QGlobalSpace::operator|(QGraphicsView::CacheMode::enum_type, QFlags<QGraphicsView::CacheMode::enum_type>)
    70,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    74,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    75,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QDateTimeEdit::Sections::enum_type)
    76,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QAbstractPrintDialog::PrintDialogOptions::enum_type)
    78,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    79,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QTreeWidgetItemIterator::IteratorFlags::enum_type)
    81,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    85,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    94,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    95,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    98,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    103,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    104,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFlags<QFileDialog::Options::enum_type>)
    105,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    108,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlags::enum_type, QFlags<QTreeWidgetItemIterator::IteratorFlags::enum_type>)
    109,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFlags<QFontDialog::FontDialogOptions::enum_type>)
    122,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    136,  // QGlobalSpace::operator|(QFontComboBox::FontFilters::enum_type, QFontComboBox::FontFilters::enum_type)
    139,  // QGlobalSpace::operator|(QDateTimeEdit::Sections::enum_type, QFlags<QDateTimeEdit::Sections::enum_type>)
    158,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    161,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    168,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QFlags<QTextEdit::AutoFormatting::enum_type>)
    171,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    184,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    187,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    195,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    199,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    200,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    201,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QPaintEngine::DirtyFlags::enum_type)
    209,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    216,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    219,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QFlags<QDialogButtonBox::StandardButtons::enum_type>)
    220,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    229,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QMdiSubWindow::SubWindowOptions::enum_type)
    240,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    244,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QTextItem::RenderFlags::enum_type)
    246,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    249,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    252,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QGestureRecognizer::Result::enum_type)
    264,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QFlags<QMainWindow::DockOptions::enum_type>)
    276,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    289,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    290,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    306,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    314,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QFlags<QPaintEngine::PaintEngineFeatures::enum_type>)
    320,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QFlags<QImageIOPlugin::Capabilities::enum_type>)
    326,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type)
    330,  // QGlobalSpace::operator|(QFileDialog::Options::enum_type, QFileDialog::Options::enum_type)
    334,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    346,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    348,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    354,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOptions::enum_type, QFlags<QMdiSubWindow::SubWindowOptions::enum_type>)
    370,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    371,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QGraphicsView::OptimizationFlags::enum_type)
    382,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    383,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    385,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    399,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QFlags<QInputDialog::InputDialogOptions::enum_type>)
    402,  // QGlobalSpace::operator|(QAccessible::State::enum_type, QAccessible::State::enum_type)
    404,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    405,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    410,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QMessageBox::StandardButtons::enum_type)
    418,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeatures::enum_type, QDockWidget::DockWidgetFeatures::enum_type)
    419,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QFlags<QPainter::RenderHints::enum_type>)
    423,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    424,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    436,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    437,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QFlags<QTextDocument::FindFlags::enum_type>)
    442,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures::enum_type>)
    457,  // QGlobalSpace::operator|(QPainter::RenderHints::enum_type, QPainter::RenderHints::enum_type)
    459,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, QAccessible::Relation::enum_type)
    475,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QFlags<QGraphicsScene::SceneLayers::enum_type>)
    484,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    485,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    489,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    491,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlags::enum_type, QFlags<QGraphicsView::OptimizationFlags::enum_type>)
    494,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QGraphicsBlurEffect::BlurHints::enum_type)
    495,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    496,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    497,  // QGlobalSpace::operator|(QImageIOPlugin::Capabilities::enum_type, QImageIOPlugin::Capabilities::enum_type)
    504,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    506,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    509,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    511,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    518,  // QGlobalSpace::operator|(QTextDocument::FindFlags::enum_type, QTextDocument::FindFlags::enum_type)
    522,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    529,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    531,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    534,  // QGlobalSpace::operator|(QWizard::WizardOptions::enum_type, QFlags<QWizard::WizardOptions::enum_type>)
    543,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    549,  // QGlobalSpace::operator|(QMainWindow::DockOptions::enum_type, QMainWindow::DockOptions::enum_type)
    557,  // QGlobalSpace::operator|(QInputDialog::InputDialogOptions::enum_type, QInputDialog::InputDialogOptions::enum_type)
    559,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    560,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    562,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButtons::enum_type, QDialogButtonBox::StandardButtons::enum_type)
    566,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QGraphicsEffect::ChangeFlags::enum_type)
    568,  // QGlobalSpace::operator|(QGestureRecognizer::Result::enum_type, QFlags<QGestureRecognizer::Result::enum_type>)
    579,  // QGlobalSpace::operator|(QAccessible::Relation::enum_type, QFlags<QAccessible::Relation::enum_type>)
    580,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QGraphicsItem::GraphicsItemFlags::enum_type)
    581,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    584,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QTextFormat::PageBreakFlags::enum_type)
    589,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHints::enum_type, QFlags<QGraphicsBlurEffect::BlurHints::enum_type>)
    602,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    608,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    609,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    613,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOptions::enum_type, QFlags<QAbstractPrintDialog::PrintDialogOptions::enum_type>)
    617,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, QTextOption::Flags::enum_type)
    623,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    625,  // QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    628,  // QGlobalSpace::operator|(QTextEdit::AutoFormatting::enum_type, QTextEdit::AutoFormatting::enum_type)
    631,  // QGlobalSpace::operator|(QTextOption::Flags::enum_type, QFlags<QTextOption::Flags::enum_type>)
    636,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    640,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    643,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    656,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    662,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlags::enum_type, QFlags<QPaintEngine::DirtyFlags::enum_type>)
    667,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    669,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeatures::enum_type, QPaintEngine::PaintEngineFeatures::enum_type)
    690,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    691,  // QGlobalSpace::operator|(QTextItem::RenderFlags::enum_type, QFlags<QTextItem::RenderFlags::enum_type>)
    695,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlags::enum_type, QFlags<QGraphicsEffect::ChangeFlags::enum_type>)
    700,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    702,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    704,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlags::enum_type, QFlags<QGraphicsItem::GraphicsItemFlags::enum_type>)
    716,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    718,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayers::enum_type, QGraphicsScene::SceneLayers::enum_type)
    723,  // QGlobalSpace::operator|(QAccessible::State::enum_type, QFlags<QAccessible::State::enum_type>)
    726,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QColorDialog::ColorDialogOptions::enum_type)
    728,  // QGlobalSpace::operator|(QMessageBox::StandardButtons::enum_type, QFlags<QMessageBox::StandardButtons::enum_type>)
    744,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    746,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlags::enum_type, QFlags<QTextFormat::PageBreakFlags::enum_type>)
    751,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    753,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOptions::enum_type, QFlags<QColorDialog::ColorDialogOptions::enum_type>)
    754,  // QGlobalSpace::operator|(QMdiArea::AreaOptions::enum_type, QMdiArea::AreaOptions::enum_type)
    756,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    759,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    760,  // QGlobalSpace::operator|(QFontDialog::FontDialogOptions::enum_type, QFontDialog::FontDialogOptions::enum_type)
    763,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    0,
    121,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    185,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    247,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    381,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    406,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    541,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    618,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    563,  // QGlobalSpace::qFuzzyCompare(float, float)
    663,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    263,  // QGlobalSpace::qFuzzyIsNull(float)
    585,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    61,  // QGlobalSpace::qHash(const QByteArray&)
    159,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    186,  // QGlobalSpace::qHash(QChar)
    208,  // QGlobalSpace::qHash(const QModelIndex&)
    350,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    479,  // QGlobalSpace::qHash(const QBitArray&)
    755,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    5,  // QGlobalSpace::qHash(unsigned long long)
    39,  // QGlobalSpace::qHash(signed char)
    99,  // QGlobalSpace::qHash(char)
    183,  // QGlobalSpace::qHash(unsigned int)
    196,  // QGlobalSpace::qHash(const QString&)
    242,  // QGlobalSpace::qHash(long long)
    269,  // QGlobalSpace::qHash(int)
    321,  // QGlobalSpace::qHash(long)
    327,  // QGlobalSpace::qHash(unsigned short)
    555,  // QGlobalSpace::qHash(short)
    735,  // QGlobalSpace::qHash(unsigned long)
    764,  // QGlobalSpace::qHash(unsigned char)
    0,
    43,  // QGlobalSpace::qIntCast(double)
    189,  // QGlobalSpace::qIntCast(float)
    0,
    125,  // QGlobalSpace::qIsFinite(double)
    167,  // QGlobalSpace::qIsFinite(float)
    0,
    6,  // QGlobalSpace::qIsInf(double)
    37,  // QGlobalSpace::qIsInf(float)
    0,
    218,  // QGlobalSpace::qIsNaN(float)
    227,  // QGlobalSpace::qIsNaN(double)
    0,
    654,  // QGlobalSpace::qIsNull(float)
    757,  // QGlobalSpace::qIsNull(double)
    0,
    929,  // QSvgGenerator::setViewBox(const QRect&)
    930,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 78, 781},	// QGlobalSpace::QtCriticalMsg
    {27, 79, 779},	// QGlobalSpace::QtDebugMsg
    {27, 80, 782},	// QGlobalSpace::QtFatalMsg
    {27, 81, 783},	// QGlobalSpace::QtSystemMsg
    {27, 82, 780},	// QGlobalSpace::QtWarningMsg
    {27, 87, 774},	// QGlobalSpace::_IEEE_
    {27, 88, 778},	// QGlobalSpace::_ISOC_
    {27, 89, 777},	// QGlobalSpace::_POSIX_
    {27, 90, 775},	// QGlobalSpace::_SVID_
    {27, 91, 776},	// QGlobalSpace::_XOPEN_
    {27, 92, 786},	// QGlobalSpace::__codecvt_error
    {27, 93, 787},	// QGlobalSpace::__codecvt_noconv
    {27, 94, 784},	// QGlobalSpace::__codecvt_ok
    {27, 95, 785},	// QGlobalSpace::__codecvt_partial
    {27, 167, -14},	// QGlobalSpace::operator!=##
    {27, 168, -35},	// QGlobalSpace::operator!=#$
    {27, 169, -41},	// QGlobalSpace::operator!=$#
    {27, 170, 217},	// QGlobalSpace::operator!=$$
    {27, 172, 400},	// QGlobalSpace::operator&##
    {27, 174, -48},	// QGlobalSpace::operator*##
    {27, 175, -78},	// QGlobalSpace::operator*#$
    {27, 176, -89},	// QGlobalSpace::operator*$#
    {27, 178, -99},	// QGlobalSpace::operator+##
    {27, 179, -110},	// QGlobalSpace::operator+#$
    {27, 180, -116},	// QGlobalSpace::operator+$#
    {27, 181, -121},	// QGlobalSpace::operator+$$
    {27, 183, -127},	// QGlobalSpace::operator-#
    {27, 184, -135},	// QGlobalSpace::operator-##
    {27, 185, 97},	// QGlobalSpace::operator-#$
    {27, 187, -145},	// QGlobalSpace::operator/#$
    {27, 189, -156},	// QGlobalSpace::operator<##
    {27, 190, 469},	// QGlobalSpace::operator<#$
    {27, 191, -161},	// QGlobalSpace::operator<$#
    {27, 192, 133},	// QGlobalSpace::operator<$$
    {27, 194, -164},	// QGlobalSpace::operator<<##
    {27, 195, -256},	// QGlobalSpace::operator<<#$
    {27, 196, 427},	// QGlobalSpace::operator<<#?
    {27, 198, -267},	// QGlobalSpace::operator<=##
    {27, 199, 188},	// QGlobalSpace::operator<=#$
    {27, 200, -272},	// QGlobalSpace::operator<=$#
    {27, 201, 501},	// QGlobalSpace::operator<=$$
    {27, 203, -275},	// QGlobalSpace::operator==##
    {27, 204, -297},	// QGlobalSpace::operator==#$
    {27, 205, -304},	// QGlobalSpace::operator==$#
    {27, 206, 741},	// QGlobalSpace::operator==$$
    {27, 208, -312},	// QGlobalSpace::operator>##
    {27, 209, 762},	// QGlobalSpace::operator>#$
    {27, 210, -317},	// QGlobalSpace::operator>$#
    {27, 211, 351},	// QGlobalSpace::operator>$$
    {27, 213, -320},	// QGlobalSpace::operator>=##
    {27, 214, 35},	// QGlobalSpace::operator>=#$
    {27, 215, -325},	// QGlobalSpace::operator>=$#
    {27, 216, 752},	// QGlobalSpace::operator>=$$
    {27, 218, -328},	// QGlobalSpace::operator>>##
    {27, 219, -379},	// QGlobalSpace::operator>>#$
    {27, 220, 304},	// QGlobalSpace::operator>>#?
    {27, 222, 191},	// QGlobalSpace::operator^##
    {27, 224, 615},	// QGlobalSpace::operator|##
    {27, 225, -382},	// QGlobalSpace::operator|?$
    {27, 226, -459},	// QGlobalSpace::operator|??
    {27, 235, 387},	// QGlobalSpace::qAccessibleActionCastHelper
    {27, 236, 92},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {27, 237, 498},	// QGlobalSpace::qAccessibleImageCastHelper
    {27, 238, 259},	// QGlobalSpace::qAccessibleTableCastHelper
    {27, 239, 175},	// QGlobalSpace::qAccessibleTextCastHelper
    {27, 240, 3},	// QGlobalSpace::qAccessibleValueCastHelper
    {27, 242, 567},	// QGlobalSpace::qAcos$
    {27, 244, 441},	// QGlobalSpace::qAddPostRoutine$
    {27, 246, 131},	// QGlobalSpace::qAlpha$
    {27, 247, 452},	// QGlobalSpace::qAppName
    {27, 249, 605},	// QGlobalSpace::qAsin$
    {27, 251, 658},	// QGlobalSpace::qAtan$
    {27, 253, 33},	// QGlobalSpace::qAtan2$$
    {27, 255, 309},	// QGlobalSpace::qBlue$
    {27, 257, 483},	// QGlobalSpace::qCeil$
    {27, 259, 296},	// QGlobalSpace::qChecksum$$
    {27, 261, 587},	// QGlobalSpace::qCompress#
    {27, 262, 586},	// QGlobalSpace::qCompress#$
    {27, 263, 444},	// QGlobalSpace::qCompress$$
    {27, 264, 443},	// QGlobalSpace::qCompress$$$
    {27, 266, 83},	// QGlobalSpace::qCos$
    {27, 267, 411},	// QGlobalSpace::qCritical
    {27, 268, 507},	// QGlobalSpace::qDebug
    {27, 270, 298},	// QGlobalSpace::qDrawBorderPixmap####
    {27, 271, 233},	// QGlobalSpace::qDrawBorderPixmap######
    {27, 272, 234},	// QGlobalSpace::qDrawBorderPixmap#######
    {27, 273, 232},	// QGlobalSpace::qDrawBorderPixmap#######$
    {27, 275, 455},	// QGlobalSpace::qDrawPixmaps##$#
    {27, 276, 454},	// QGlobalSpace::qDrawPixmaps##$#$
    {27, 278, 645},	// QGlobalSpace::qDrawPlainRect###
    {27, 279, 646},	// QGlobalSpace::qDrawPlainRect###$
    {27, 280, 644},	// QGlobalSpace::qDrawPlainRect###$#
    {27, 281, 261},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {27, 282, 262},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {27, 283, 260},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {27, 285, 672},	// QGlobalSpace::qDrawShadeLine####
    {27, 286, 673},	// QGlobalSpace::qDrawShadeLine####$
    {27, 287, 674},	// QGlobalSpace::qDrawShadeLine####$$
    {27, 288, 671},	// QGlobalSpace::qDrawShadeLine####$$$
    {27, 289, 598},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {27, 290, 599},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {27, 291, 600},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {27, 292, 597},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {27, 294, 336},	// QGlobalSpace::qDrawShadePanel###
    {27, 295, 337},	// QGlobalSpace::qDrawShadePanel###$
    {27, 296, 338},	// QGlobalSpace::qDrawShadePanel###$$
    {27, 297, 335},	// QGlobalSpace::qDrawShadePanel###$$#
    {27, 298, 362},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {27, 299, 363},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {27, 300, 364},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {27, 301, 361},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {27, 303, 284},	// QGlobalSpace::qDrawShadeRect###
    {27, 304, 285},	// QGlobalSpace::qDrawShadeRect###$
    {27, 305, 286},	// QGlobalSpace::qDrawShadeRect###$$
    {27, 306, 287},	// QGlobalSpace::qDrawShadeRect###$$$
    {27, 307, 283},	// QGlobalSpace::qDrawShadeRect###$$$#
    {27, 308, 575},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {27, 309, 576},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {27, 310, 577},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {27, 311, 578},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {27, 312, 574},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {27, 314, 316},	// QGlobalSpace::qDrawWinButton###
    {27, 315, 317},	// QGlobalSpace::qDrawWinButton###$
    {27, 316, 315},	// QGlobalSpace::qDrawWinButton###$#
    {27, 317, 620},	// QGlobalSpace::qDrawWinButton#$$$$#
    {27, 318, 621},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {27, 319, 619},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {27, 321, 553},	// QGlobalSpace::qDrawWinPanel###
    {27, 322, 554},	// QGlobalSpace::qDrawWinPanel###$
    {27, 323, 552},	// QGlobalSpace::qDrawWinPanel###$#
    {27, 324, 112},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {27, 325, 113},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {27, 326, 111},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {27, 328, 277},	// QGlobalSpace::qExp$
    {27, 330, 556},	// QGlobalSpace::qFabs$
    {27, 332, 210},	// QGlobalSpace::qFastCos$
    {27, 334, 446},	// QGlobalSpace::qFastSin$
    {27, 336, 223},	// QGlobalSpace::qFlagLocation$
    {27, 338, 163},	// QGlobalSpace::qFloor$
    {27, 340, 461},	// QGlobalSpace::qFree$
    {27, 342, 464},	// QGlobalSpace::qFreeAligned$
    {27, 344, -612},	// QGlobalSpace::qFuzzyCompare##
    {27, 345, -620},	// QGlobalSpace::qFuzzyCompare$$
    {27, 347, -623},	// QGlobalSpace::qFuzzyIsNull$
    {27, 349, 228},	// QGlobalSpace::qGray$
    {27, 350, 134},	// QGlobalSpace::qGray$$$
    {27, 352, 514},	// QGlobalSpace::qGreen$
    {27, 354, -626},	// QGlobalSpace::qHash#
    {27, 355, -634},	// QGlobalSpace::qHash$
    {27, 356, 709},	// QGlobalSpace::qInf
    {27, 358, 206},	// QGlobalSpace::qInstallMsgHandler$
    {27, 360, -647},	// QGlobalSpace::qIntCast$
    {27, 362, -650},	// QGlobalSpace::qIsFinite$
    {27, 364, 637},	// QGlobalSpace::qIsGray$
    {27, 366, -653},	// QGlobalSpace::qIsInf$
    {27, 368, -656},	// QGlobalSpace::qIsNaN$
    {27, 370, -659},	// QGlobalSpace::qIsNull$
    {27, 372, 280},	// QGlobalSpace::qLn$
    {27, 374, 301},	// QGlobalSpace::qMalloc?
    {27, 376, 508},	// QGlobalSpace::qMallocAligned??
    {27, 378, 12},	// QGlobalSpace::qMemCopy$$?
    {27, 380, 547},	// QGlobalSpace::qMemSet$$?
    {27, 382, 515},	// QGlobalSpace::qPow$$
    {27, 383, 302},	// QGlobalSpace::qQNaN
    {27, 385, 194},	// QGlobalSpace::qRealloc$?
    {27, 387, 179},	// QGlobalSpace::qReallocAligned$???
    {27, 389, 160},	// QGlobalSpace::qRed$
    {27, 391, 293},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {27, 393, 720},	// QGlobalSpace::qRemovePostRoutine$
    {27, 395, 250},	// QGlobalSpace::qRgb$$$
    {27, 397, 409},	// QGlobalSpace::qRgba$$$$
    {27, 399, 708},	// QGlobalSpace::qRound$
    {27, 401, 205},	// QGlobalSpace::qRound64$
    {27, 402, 677},	// QGlobalSpace::qSNaN
    {27, 404, 153},	// QGlobalSpace::qSetFieldWidth$
    {27, 406, 45},	// QGlobalSpace::qSetPadChar#
    {27, 408, 278},	// QGlobalSpace::qSetRealNumberPrecision$
    {27, 409, 87},	// QGlobalSpace::qSharedBuild
    {27, 411, 611},	// QGlobalSpace::qSin$
    {27, 413, 207},	// QGlobalSpace::qSqrt$
    {27, 415, 490},	// QGlobalSpace::qStringComparisonHelper#$
    {27, 416, 27},	// QGlobalSpace::qStringComparisonHelper$$
    {27, 418, 150},	// QGlobalSpace::qTan$
    {27, 420, 379},	// QGlobalSpace::qUncompress#
    {27, 421, 148},	// QGlobalSpace::qUncompress$$
    {27, 422, 453},	// QGlobalSpace::qVersion
    {27, 423, 730},	// QGlobalSpace::qWarning
    {27, 425, 173},	// QGlobalSpace::qbswap_helper$$$
    {27, 427, 565},	// QGlobalSpace::qgcvt$$$
    {27, 429, 38},	// QGlobalSpace::qgetenv$
    {27, 431, 305},	// QGlobalSpace::qputenv$#
    {27, 432, 394},	// QGlobalSpace::qrand
    {27, 434, 408},	// QGlobalSpace::qsort$???
    {27, 436, 318},	// QGlobalSpace::qsrand$
    {27, 438, 561},	// QGlobalSpace::qstrcmp##
    {27, 439, 717},	// QGlobalSpace::qstrcmp#$
    {27, 440, 30},	// QGlobalSpace::qstrcmp$#
    {27, 441, 80},	// QGlobalSpace::qstrcmp$$
    {27, 443, 268},	// QGlobalSpace::qstrcpy$$
    {27, 445, 492},	// QGlobalSpace::qstrdup$
    {27, 447, 703},	// QGlobalSpace::qstricmp$$
    {27, 449, 731},	// QGlobalSpace::qstrlen$
    {27, 451, 149},	// QGlobalSpace::qstrncmp$$$
    {27, 453, 374},	// QGlobalSpace::qstrncpy$$$
    {27, 455, 339},	// QGlobalSpace::qstrnicmp$$$
    {27, 457, 11},	// QGlobalSpace::qstrnlen$$
    {27, 459, 630},	// QGlobalSpace::qtTrId$
    {27, 460, 629},	// QGlobalSpace::qtTrId$$
    {27, 462, 241},	// QGlobalSpace::qt_assert$$$
    {27, 464, 398},	// QGlobalSpace::qt_assert_x$$$$
    {27, 466, 550},	// QGlobalSpace::qt_check_pointer$$
    {27, 467, 142},	// QGlobalSpace::qt_error_string
    {27, 468, 141},	// QGlobalSpace::qt_error_string$
    {27, 470, 747},	// QGlobalSpace::qt_message_output$$
    {27, 475, 13},	// QGlobalSpace::qt_noop
    {27, 477, 360},	// QGlobalSpace::qt_qFindChild_helper#$#
    {27, 479, 655},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {27, 481, 649},	// QGlobalSpace::qvariant_cast_helper#$$
    {27, 483, 544},	// QGlobalSpace::qvsnprintf$?$?
    {35, 64, 896},	// QGraphicsSvgItem::QGraphicsSvgItem
    {35, 65, 881},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {35, 66, 897},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {35, 67, 882},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {35, 84, 900},	// QGraphicsSvgItem::Type
    {35, 100, 891},	// QGraphicsSvgItem::boundingRect
    {35, 123, 886},	// QGraphicsSvgItem::elementId
    {35, 142, 888},	// QGraphicsSvgItem::isCachingEnabled
    {35, 155, 890},	// QGraphicsSvgItem::maximumCacheSize
    {35, 156, 874},	// QGraphicsSvgItem::metaObject
    {35, 229, 898},	// QGraphicsSvgItem::paint##
    {35, 230, 892},	// QGraphicsSvgItem::paint###
    {35, 472, 880},	// QGraphicsSvgItem::qt_metacall$$?
    {35, 474, 875},	// QGraphicsSvgItem::qt_metacast$
    {35, 489, 884},	// QGraphicsSvgItem::renderer
    {35, 496, 887},	// QGraphicsSvgItem::setCachingEnabled$
    {35, 502, 885},	// QGraphicsSvgItem::setElementId$
    {35, 509, 889},	// QGraphicsSvgItem::setMaximumCacheSize#
    {35, 515, 883},	// QGraphicsSvgItem::setSharedRenderer#
    {35, 527, 899},	// QGraphicsSvgItem::staticMetaObject
    {35, 534, 894},	// QGraphicsSvgItem::tr$
    {35, 535, 876},	// QGraphicsSvgItem::tr$$
    {35, 536, 878},	// QGraphicsSvgItem::tr$$$
    {35, 538, 895},	// QGraphicsSvgItem::trUtf8$
    {35, 539, 877},	// QGraphicsSvgItem::trUtf8$$
    {35, 540, 879},	// QGraphicsSvgItem::trUtf8$$$
    {35, 541, 893},	// QGraphicsSvgItem::type
    {35, 547, 901},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {90, 68, 920},	// QSvgGenerator::QSvgGenerator
    {90, 114, 923},	// QSvgGenerator::description
    {90, 129, 931},	// QSvgGenerator::fileName
    {90, 158, 938},	// QSvgGenerator::metric$
    {90, 227, 933},	// QSvgGenerator::outputDevice
    {90, 231, 937},	// QSvgGenerator::paintEngine
    {90, 492, 936},	// QSvgGenerator::resolution
    {90, 500, 924},	// QSvgGenerator::setDescription$
    {90, 505, 932},	// QSvgGenerator::setFileName$
    {90, 511, 934},	// QSvgGenerator::setOutputDevice#
    {90, 513, 935},	// QSvgGenerator::setResolution$
    {90, 517, 926},	// QSvgGenerator::setSize#
    {90, 519, 922},	// QSvgGenerator::setTitle$
    {90, 521, -662},	// QSvgGenerator::setViewBox#
    {90, 525, 925},	// QSvgGenerator::size
    {90, 532, 921},	// QSvgGenerator::title
    {90, 542, 927},	// QSvgGenerator::viewBox
    {90, 543, 928},	// QSvgGenerator::viewBoxF
    {90, 548, 939},	// QSvgGenerator::~QSvgGenerator
    {91, 69, 975},	// QSvgRenderer::QSvgRenderer
    {91, 70, -1},	// QSvgRenderer::QSvgRenderer#
    {91, 71, -5},	// QSvgRenderer::QSvgRenderer##
    {91, 72, 976},	// QSvgRenderer::QSvgRenderer$
    {91, 73, 948},	// QSvgRenderer::QSvgRenderer$#
    {91, 98, 957},	// QSvgRenderer::animated
    {91, 99, 962},	// QSvgRenderer::animationDuration
    {91, 102, 963},	// QSvgRenderer::boundsOnElement$
    {91, 111, 960},	// QSvgRenderer::currentFrame
    {91, 113, 952},	// QSvgRenderer::defaultSize
    {91, 122, 964},	// QSvgRenderer::elementExists$
    {91, 134, 958},	// QSvgRenderer::framesPerSecond
    {91, 144, 951},	// QSvgRenderer::isValid
    {91, 151, -8},	// QSvgRenderer::load#
    {91, 152, 966},	// QSvgRenderer::load$
    {91, 154, 965},	// QSvgRenderer::matrixForElement$
    {91, 156, 940},	// QSvgRenderer::metaObject
    {91, 472, 946},	// QSvgRenderer::qt_metacall$$?
    {91, 474, 941},	// QSvgRenderer::qt_metacast$
    {91, 485, 969},	// QSvgRenderer::render#
    {91, 486, 970},	// QSvgRenderer::render##
    {91, 487, 979},	// QSvgRenderer::render#$
    {91, 488, 971},	// QSvgRenderer::render#$#
    {91, 490, 972},	// QSvgRenderer::repaintNeeded
    {91, 498, 961},	// QSvgRenderer::setCurrentFrame$
    {91, 507, 959},	// QSvgRenderer::setFramesPerSecond$
    {91, 521, -11},	// QSvgRenderer::setViewBox#
    {91, 527, 980},	// QSvgRenderer::staticMetaObject
    {91, 534, 973},	// QSvgRenderer::tr$
    {91, 535, 942},	// QSvgRenderer::tr$$
    {91, 536, 944},	// QSvgRenderer::tr$$$
    {91, 538, 974},	// QSvgRenderer::trUtf8$
    {91, 539, 943},	// QSvgRenderer::trUtf8$$
    {91, 540, 945},	// QSvgRenderer::trUtf8$$$
    {91, 542, 953},	// QSvgRenderer::viewBox
    {91, 543, 954},	// QSvgRenderer::viewBoxF
    {91, 549, 981},	// QSvgRenderer::~QSvgRenderer
    {92, 74, 998},	// QSvgWidget::QSvgWidget
    {92, 75, 989},	// QSvgWidget::QSvgWidget#
    {92, 76, 999},	// QSvgWidget::QSvgWidget$
    {92, 77, 990},	// QSvgWidget::QSvgWidget$#
    {92, 151, 994},	// QSvgWidget::load#
    {92, 152, 993},	// QSvgWidget::load$
    {92, 156, 982},	// QSvgWidget::metaObject
    {92, 233, 995},	// QSvgWidget::paintEvent#
    {92, 472, 988},	// QSvgWidget::qt_metacall$$?
    {92, 474, 983},	// QSvgWidget::qt_metacast$
    {92, 489, 991},	// QSvgWidget::renderer
    {92, 526, 992},	// QSvgWidget::sizeHint
    {92, 527, 1000},	// QSvgWidget::staticMetaObject
    {92, 534, 996},	// QSvgWidget::tr$
    {92, 535, 984},	// QSvgWidget::tr$$
    {92, 536, 986},	// QSvgWidget::tr$$$
    {92, 538, 997},	// QSvgWidget::trUtf8$
    {92, 539, 985},	// QSvgWidget::trUtf8$$
    {92, 540, 987},	// QSvgWidget::trUtf8$$$
    {92, 550, 1001},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 114,
        __smokeqtsvg::methods, 1046,
        __smokeqtsvg::methodMaps, 324,
        __smokeqtsvg::methodNames, 550,
        __smokeqtsvg::types, 490,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
