#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//14
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//18
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//19
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//21
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//22
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//33
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//36
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//37
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//39
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//40
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//42
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//43
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//45
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//48
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//49
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//52
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//55
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//60
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//61
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//64
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//65
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//67
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//68
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//70
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//71
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//107
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//109
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//110
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//112
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//116
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//119
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//121
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//122
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//124
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//125
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//126
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//129
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//132
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//135
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//136
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//138
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//141
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//143
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//152
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//190
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//198
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//202
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//206
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//210
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//216
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//234
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//237
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//252
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//254
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//255
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//291
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//293
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//299
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//301
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//303
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//312
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//321
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//330
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//331
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//333
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//334
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//335
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//336
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//337
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//338
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//339
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//340
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//341
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//343
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//344
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//345
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//346
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//347
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//348
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//350
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//352
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//353
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    263, 0,	//1  const QDomAttr&
    304, 0,	//3  const QString&
    264, 0,	//5  const QDomCDATASection&
    265, 0,	//7  const QDomCharacterData&
    346, 346, 0,	//9  unsigned long, unsigned long
    346, 304, 0,	//12  unsigned long, const QString&
    346, 346, 304, 0,	//15  unsigned long, unsigned long, const QString&
    266, 0,	//19  const QDomComment&
    269, 0,	//21  const QDomDocumentType&
    267, 0,	//23  const QDomDocument&
    304, 304, 0,	//25  const QString&, const QString&
    275, 252, 0,	//28  const QDomNode&, bool
    258, 252, 125, 336, 336, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    304, 252, 125, 336, 336, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 252, 125, 336, 336, 0,	//43  QIODevice*, bool, QString*, int*, int*
    151, 252, 125, 336, 336, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    258, 125, 336, 336, 0,	//55  const QByteArray&, QString*, int*, int*
    304, 125, 336, 336, 0,	//60  const QString&, QString*, int*, int*
    104, 125, 336, 336, 0,	//65  QIODevice*, QString*, int*, int*
    151, 157, 125, 336, 336, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    335, 0,	//76  int
    258, 252, 0,	//78  const QByteArray&, bool
    258, 252, 125, 0,	//81  const QByteArray&, bool, QString*
    258, 252, 125, 336, 0,	//85  const QByteArray&, bool, QString*, int*
    304, 252, 0,	//90  const QString&, bool
    304, 252, 125, 0,	//93  const QString&, bool, QString*
    304, 252, 125, 336, 0,	//97  const QString&, bool, QString*, int*
    104, 252, 0,	//102  QIODevice*, bool
    104, 252, 125, 0,	//105  QIODevice*, bool, QString*
    104, 252, 125, 336, 0,	//109  QIODevice*, bool, QString*, int*
    151, 252, 0,	//114  QXmlInputSource*, bool
    151, 252, 125, 0,	//117  QXmlInputSource*, bool, QString*
    151, 252, 125, 336, 0,	//121  QXmlInputSource*, bool, QString*, int*
    258, 0,	//126  const QByteArray&
    258, 125, 0,	//128  const QByteArray&, QString*
    258, 125, 336, 0,	//131  const QByteArray&, QString*, int*
    304, 125, 0,	//135  const QString&, QString*
    304, 125, 336, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 125, 0,	//144  QIODevice*, QString*
    104, 125, 336, 0,	//147  QIODevice*, QString*, int*
    151, 157, 0,	//151  QXmlInputSource*, QXmlReader*
    151, 157, 125, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    151, 157, 125, 336, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    268, 0,	//163  const QDomDocumentFragment&
    270, 0,	//165  const QDomElement&
    304, 339, 0,	//167  const QString&, long long
    304, 347, 0,	//170  const QString&, unsigned long long
    304, 335, 0,	//173  const QString&, int
    304, 345, 0,	//176  const QString&, unsigned int
    304, 334, 0,	//179  const QString&, float
    304, 333, 0,	//182  const QString&, double
    303, 304, 304, 0,	//185  const QString, const QString&, const QString&
    303, 304, 335, 0,	//189  const QString, const QString&, int
    303, 304, 345, 0,	//193  const QString, const QString&, unsigned int
    303, 304, 339, 0,	//197  const QString, const QString&, long long
    303, 304, 347, 0,	//201  const QString, const QString&, unsigned long long
    303, 304, 333, 0,	//205  const QString, const QString&, double
    303, 304, 0,	//209  const QString, const QString&
    271, 0,	//212  const QDomEntity&
    272, 0,	//214  const QDomEntityReference&
    273, 0,	//216  const QDomImplementation&
    304, 304, 304, 0,	//218  const QString&, const QString&, const QString&
    304, 304, 269, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    51, 0,	//226  QDomImplementation::InvalidDataPolicy
    274, 0,	//228  const QDomNamedNodeMap&
    275, 0,	//230  const QDomNode&
    275, 275, 0,	//232  const QDomNode&, const QDomNode&
    252, 0,	//235  bool
    133, 335, 0,	//237  QTextStream&, int
    133, 335, 58, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    63, 0,	//244  QDomNodePrivate*
    276, 0,	//246  const QDomNodeList&
    277, 0,	//248  const QDomNotation&
    278, 0,	//250  const QDomProcessingInstruction&
    279, 0,	//252  const QDomText&
    256, 256, 0,	//254  const QBitArray&, const QBitArray&
    290, 0,	//257  const QPersistentModelIndex&
    329, 329, 335, 0,	//259  const char*, const char*, int
    1, 75, 0,	//263  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    292, 333, 0,	//266  const QPoint&, double
    333, 0,	//269  double
    333, 294, 0,	//271  double, const QPointF&
    286, 286, 0,	//274  const QMargins&, const QMargins&
    333, 302, 0,	//277  double, const QSizeF&
    13, 290, 0,	//280  QDebug, const QPersistentModelIndex&
    255, 329, 0,	//283  char*, const char*
    234, 234, 0,	//286  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    295, 295, 0,	//289  const QRect&, const QRect&
    300, 300, 0,	//292  const QSize&, const QSize&
    13, 292, 0,	//295  QDebug, const QPoint&
    343, 0,	//298  unsigned char
    184, 90, 0,	//300  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    127, 335, 0,	//303  QString::SectionFlags::enum_type, int
    139, 335, 0,	//306  QUrl::FormattingOptions::enum_type, int
    10, 283, 0,	//309  QDataStream&, const QLine&
    302, 333, 0,	//312  const QSizeF&, double
    329, 282, 0,	//315  const char*, const QLatin1String&
    302, 302, 0,	//318  const QSizeF&, const QSizeF&
    258, 258, 0,	//321  const QByteArray&, const QByteArray&
    282, 307, 0,	//324  const QLatin1String&, const QStringRef&
    13, 312, 0,	//327  QDebug, const QVariant::Type
    311, 313, 0,	//330  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//333  QBool, QBool
    307, 0,	//336  const QStringRef&
    126, 126, 0,	//338  QString::Null, QString::Null
    10, 296, 0,	//341  QDataStream&, const QRectF&
    10, 112, 0,	//344  QDataStream&, QLocale&
    8, 304, 0,	//347  QChar, const QString&
    108, 82, 0,	//350  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    13, 308, 0,	//353  QDebug, const QTime&
    10, 258, 0,	//356  QDataStream&, const QByteArray&
    13, 260, 0,	//359  QDebug, const QDate&
    256, 0,	//362  const QBitArray&
    330, 344, 335, 0,	//364  const unsigned char*, unsigned char*, int
    241, 335, 0,	//368  Qt::WindowFlags::enum_type, int
    13, 105, 0,	//371  QDebug, QIODevice::OpenMode
    311, 142, 352, 0,	//374  const QVariant&, QVariant::Type, void*
    195, 195, 0,	//378  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    348, 0,	//381  unsigned short
    115, 0,	//383  QObject*(*)()
    337, 0,	//385  long
    339, 0,	//387  long long
    10, 305, 0,	//389  QDataStream&, const QStringList&
    345, 0,	//392  unsigned int
    334, 0,	//394  float
    206, 206, 0,	//396  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    10, 297, 0,	//399  QDataStream&, const QRegExp&
    258, 329, 0,	//402  const QByteArray&, const char*
    13, 302, 0,	//405  QDebug, const QSizeF&
    74, 80, 0,	//408  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    108, 335, 0,	//411  QLibrary::LoadHints::enum_type, int
    237, 237, 0,	//414  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    16, 77, 0,	//417  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    15, 335, 0,	//420  QDir::Filters::enum_type, int
    132, 132, 0,	//423  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    10, 117, 0,	//426  QDataStream&, QPointF&
    304, 329, 0,	//429  const QString&, const char*
    13, 280, 0,	//432  QDebug, const QEasingCurve&
    210, 210, 0,	//435  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    10, 11, 0,	//438  QDataStream&, QDate&
    216, 216, 0,	//441  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    254, 258, 0,	//444  char, const QByteArray&
    195, 92, 0,	//447  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    329, 304, 0,	//450  const char*, const QString&
    329, 258, 0,	//453  const char*, const QByteArray&
    10, 140, 0,	//456  QDataStream&, QUuid&
    333, 333, 0,	//459  double, double
    190, 335, 0,	//462  Qt::GestureFlags::enum_type, int
    10, 6, 0,	//465  QDataStream&, QByteArray&
    10, 141, 0,	//468  QDataStream&, QVariant&
    10, 120, 0,	//471  QDataStream&, QRegExp&
    294, 294, 0,	//474  const QPointF&, const QPointF&
    229, 335, 0,	//477  Qt::TextInteractionFlags::enum_type, int
    202, 202, 0,	//480  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    307, 307, 0,	//483  const QStringRef&, const QStringRef&
    210, 96, 0,	//486  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    13, 284, 0,	//489  QDebug, const QLineF&
    8, 8, 0,	//492  QChar, QChar
    329, 329, 345, 0,	//495  const char*, const char*, unsigned int
    135, 335, 0,	//499  QTextStream::NumberFlags::enum_type, int
    139, 87, 0,	//502  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    329, 335, 0,	//505  const char*, int
    216, 335, 0,	//508  Qt::Orientations::enum_type, int
    10, 3, 0,	//511  QDataStream&, QBitArray&
    294, 333, 0,	//514  const QPointF&, double
    8, 0,	//517  QChar
    113, 335, 0,	//519  QLocale::NumberOptions::enum_type, int
    198, 335, 0,	//522  Qt::InputMethodHints::enum_type, int
    351, 0,	//525  void(*)(QtMsgType,const char*)
    10, 260, 0,	//527  QDataStream&, const QDate&
    289, 304, 287, 0,	//530  const QObject*, const QString&, const QMetaObject&
    229, 229, 0,	//534  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    213, 213, 0,	//537  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    352, 0,	//540  void*
    304, 126, 0,	//542  const QString&, QString::Null
    10, 122, 0,	//545  QDataStream&, QSizeF&
    307, 329, 0,	//548  const QStringRef&, const char*
    132, 335, 0,	//551  QTextCodec::ConversionFlags::enum_type, int
    294, 0,	//554  const QPointF&
    352, 342, 342, 342, 0,	//556  void*, size_t, size_t, size_t
    347, 0,	//561  unsigned long long
    258, 304, 0,	//563  const QByteArray&, const QString&
    13, 300, 0,	//566  QDebug, const QSize&
    304, 254, 0,	//569  const QString&, char
    106, 106, 0,	//572  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    1, 1, 0,	//575  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    10, 309, 0,	//578  QDataStream&, const QUrl&
    210, 335, 0,	//581  Qt::MatchFlags::enum_type, int
    352, 335, 342, 0,	//584  void*, int, size_t
    132, 85, 0,	//588  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    237, 335, 0,	//591  Qt::TouchPointStates::enum_type, int
    10, 311, 0,	//594  QDataStream&, const QVariant&
    10, 109, 0,	//597  QDataStream&, QLine&
    15, 15, 0,	//600  QDir::Filters::enum_type, QDir::Filters::enum_type
    258, 335, 0,	//603  const QByteArray&, int
    350, 0,	//606  void(*)()
    73, 73, 0,	//608  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    292, 292, 0,	//611  const QPoint&, const QPoint&
    307, 304, 0,	//614  const QStringRef&, const QString&
    282, 282, 0,	//617  const QLatin1String&, const QLatin1String&
    17, 335, 0,	//620  QDirIterator::IteratorFlags::enum_type, int
    281, 281, 0,	//623  const QHashDummyValue&, const QHashDummyValue&
    329, 345, 0,	//626  const char*, unsigned int
    13, 286, 0,	//629  QDebug, const QMargins&
    329, 0,	//632  const char*
    133, 134, 0,	//634  QTextStream&, QTextStream&(*)(QTextStream&)
    17, 17, 0,	//637  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    16, 16, 0,	//640  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    195, 335, 0,	//643  Qt::ImageConversionFlags::enum_type, int
    74, 74, 0,	//646  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    10, 284, 0,	//649  QDataStream&, const QLineF&
    106, 81, 0,	//652  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    255, 329, 345, 0,	//655  char*, const char*, unsigned int
    160, 335, 0,	//659  Qt::Alignment::enum_type, int
    184, 184, 0,	//662  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    127, 84, 0,	//665  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    10, 294, 0,	//668  QDataStream&, const QPointF&
    113, 83, 0,	//671  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    241, 241, 0,	//674  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    352, 342, 0,	//677  void*, size_t
    329, 329, 329, 335, 0,	//680  const char*, const char*, const char*, int
    304, 307, 0,	//685  const QString&, const QStringRef&
    229, 99, 0,	//688  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    241, 102, 0,	//691  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    106, 335, 0,	//694  QIODevice::OpenMode::enum_type, int
    73, 79, 0,	//697  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    234, 100, 0,	//700  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    184, 335, 0,	//703  Qt::DropActions::enum_type, int
    329, 307, 0,	//706  const char*, const QStringRef&
    10, 121, 0,	//709  QDataStream&, QSize&
    10, 143, 0,	//712  QDataStream&, QVariant::Type&
    307, 282, 0,	//715  const QStringRef&, const QLatin1String&
    341, 0,	//718  signed char
    190, 190, 0,	//720  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    10, 302, 0,	//723  QDataStream&, const QSizeF&
    198, 93, 0,	//726  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    329, 329, 0,	//729  const char*, const char*
    182, 182, 0,	//732  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    254, 304, 0,	//735  char, const QString&
    182, 335, 0,	//738  Qt::DockWidgetAreas::enum_type, int
    13, 309, 0,	//741  QDebug, const QUrl&
    108, 108, 0,	//744  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    296, 296, 0,	//747  const QRectF&, const QRectF&
    333, 300, 0,	//750  double, const QSize&
    288, 0,	//753  const QModelIndex&
    13, 283, 0,	//755  QDebug, const QLine&
    10, 256, 0,	//758  QDataStream&, const QBitArray&
    352, 332, 342, 0,	//761  void*, const void*, size_t
    333, 292, 0,	//765  double, const QPoint&
    13, 288, 0,	//768  QDebug, const QModelIndex&
    340, 0,	//771  short
    13, 261, 0,	//773  QDebug, const QDateTime&
    10, 292, 0,	//776  QDataStream&, const QPoint&
    258, 254, 0,	//779  const QByteArray&, char
    245, 103, 0,	//782  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    13, 289, 0,	//785  QDebug, const QObject*
    245, 245, 0,	//788  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    338, 335, 255, 0,	//791  long double, int, char*
    206, 95, 0,	//795  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    334, 334, 0,	//798  float, float
    255, 342, 329, 349, 0,	//801  char*, size_t, const char*, va_list
    10, 300, 0,	//806  QDataStream&, const QSize&
    10, 119, 0,	//809  QDataStream&, QRectF&
    237, 101, 0,	//812  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    10, 259, 0,	//815  QDataStream&, const QChar&
    252, 4, 0,	//818  bool, QBool
    346, 0,	//821  unsigned long
    13, 296, 0,	//823  QDebug, const QRectF&
    4, 252, 0,	//826  QBool, bool
    73, 335, 0,	//829  QEventLoop::ProcessEventsFlags::enum_type, int
    10, 129, 0,	//832  QDataStream&, QStringList&
    10, 295, 0,	//835  QDataStream&, const QRect&
    74, 335, 0,	//838  QFile::Permissions::enum_type, int
    206, 335, 0,	//841  Qt::KeyboardModifiers::enum_type, int
    300, 333, 0,	//844  const QSize&, double
    126, 304, 0,	//847  QString::Null, const QString&
    234, 335, 0,	//850  Qt::ToolBarAreas::enum_type, int
    10, 116, 0,	//853  QDataStream&, QPoint&
    13, 294, 0,	//856  QDebug, const QPointF&
    289, 304, 298, 287, 111, 0,	//859  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    10, 12, 0,	//865  QDataStream&, QDateTime&
    16, 335, 0,	//868  QDir::SortFlags::enum_type, int
    202, 335, 0,	//871  Qt::ItemFlags::enum_type, int
    352, 342, 342, 251, 0,	//874  void*, size_t, size_t, __compar_fn_t
    10, 308, 0,	//879  QDataStream&, const QTime&
    245, 335, 0,	//882  Qt::WindowStates::enum_type, int
    17, 78, 0,	//885  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    10, 310, 0,	//888  QDataStream&, const QUuid&
    15, 76, 0,	//891  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    133, 136, 0,	//894  QTextStream&, QTextStreamManipulator
    139, 139, 0,	//897  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    342, 342, 0,	//900  size_t, size_t
    330, 335, 335, 0,	//903  const unsigned char*, int, int
    330, 335, 0,	//907  const unsigned char*, int
    135, 135, 0,	//910  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    292, 0,	//913  const QPoint&
    133, 275, 0,	//915  QTextStream&, const QDomNode&
    216, 98, 0,	//918  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    10, 124, 0,	//921  QDataStream&, QString&
    10, 304, 0,	//924  QDataStream&, const QString&
    202, 94, 0,	//927  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    10, 9, 0,	//930  QDataStream&, QChar&
    13, 14, 0,	//933  QDebug, QDir::Filters
    304, 258, 0,	//936  const QString&, const QByteArray&
    135, 86, 0,	//939  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    10, 118, 0,	//942  QDataStream&, QRect&
    249, 329, 0,	//945  QtMsgType, const char*
    13, 295, 0,	//948  QDebug, const QRect&
    10, 312, 0,	//951  QDataStream&, const QVariant::Type
    10, 110, 0,	//954  QDataStream&, QLineF&
    160, 88, 0,	//957  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    113, 113, 0,	//960  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    254, 0,	//963  char
    10, 261, 0,	//965  QDataStream&, const QDateTime&
    213, 335, 0,	//968  Qt::MouseButtons::enum_type, int
    10, 137, 0,	//971  QDataStream&, QTime&
    182, 89, 0,	//974  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    1, 335, 0,	//977  QAbstractFileEngine::FileFlags::enum_type, int
    198, 198, 0,	//980  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    13, 262, 0,	//983  QDebug, const QDir&
    190, 91, 0,	//986  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    127, 127, 0,	//989  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    10, 138, 0,	//992  QDataStream&, QUrl&
    304, 8, 0,	//995  const QString&, QChar
    160, 160, 0,	//998  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    213, 97, 0,	//1001  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    342, 0,	//1004  size_t
    13, 311, 0,	//1006  QDebug, const QVariant&
    10, 285, 0,	//1009  QDataStream&, const QLocale&
    282, 0,	//1012  const QLatin1String&
    304, 304, 304, 304, 0,	//1014  const QString&, const QString&, const QString&, const QString&
    314, 0,	//1019  const QXmlAttributes&
    154, 0,	//1021  QXmlLocator*
    304, 304, 304, 314, 0,	//1023  const QString&, const QString&, const QString&, const QXmlAttributes&
    315, 0,	//1028  const QXmlContentHandler&
    316, 0,	//1030  const QXmlDTDHandler&
    304, 304, 304, 304, 304, 0,	//1032  const QString&, const QString&, const QString&, const QString&, const QString&
    317, 0,	//1038  const QXmlDeclHandler&
    324, 0,	//1040  const QXmlParseException&
    304, 304, 152, 0,	//1042  const QString&, const QString&, QXmlInputSource*&
    318, 0,	//1046  const QXmlEntityResolver&
    319, 0,	//1048  const QXmlErrorHandler&
    320, 0,	//1050  const QXmlInputSource&
    322, 0,	//1052  const QXmlLexicalHandler&
    323, 0,	//1054  const QXmlLocator&
    304, 124, 124, 0,	//1056  const QString&, QString&, QString&
    304, 252, 124, 124, 0,	//1060  const QString&, bool, QString&, QString&
    304, 335, 335, 304, 304, 0,	//1065  const QString&, int, int, const QString&, const QString&
    304, 335, 335, 0,	//1071  const QString&, int, int
    304, 335, 335, 304, 0,	//1075  const QString&, int, int, const QString&
    304, 253, 0,	//1080  const QString&, bool*
    304, 352, 0,	//1083  const QString&, void*
    149, 0,	//1086  QXmlEntityResolver*
    146, 0,	//1088  QXmlDTDHandler*
    145, 0,	//1090  QXmlContentHandler*
    150, 0,	//1092  QXmlErrorHandler*
    153, 0,	//1094  QXmlLexicalHandler*
    147, 0,	//1096  QXmlDeclHandler*
    321, 0,	//1098  const QXmlInputSource*
    325, 0,	//1100  const QXmlReader&
    321, 252, 0,	//1102  const QXmlInputSource*, bool
    7, 0,	//1105  QByteArray*
    125, 0,	//1107  QString*
    131, 0,	//1109  QTextCodec*
    326, 0,	//1111  const QXmlStreamAttribute&
    327, 0,	//1113  const QXmlStreamAttributes&
    328, 0,	//1115  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_IEEE_",	//96
    "_ISOC_",	//97
    "_POSIX_",	//98
    "_SVID_",	//99
    "_XOPEN_",	//100
    "__codecvt_error",	//101
    "__codecvt_noconv",	//102
    "__codecvt_ok",	//103
    "__codecvt_partial",	//104
    "append",	//105
    "append$$$$",	//106
    "appendChild",	//107
    "appendChild#",	//108
    "appendData",	//109
    "appendData$",	//110
    "at",	//111
    "at$",	//112
    "attribute",	//113
    "attribute$",	//114
    "attribute$$",	//115
    "attributeDecl",	//116
    "attributeDecl$$$$$",	//117
    "attributeNS",	//118
    "attributeNS$$",	//119
    "attributeNS$$$",	//120
    "attributeNode",	//121
    "attributeNode$",	//122
    "attributeNodeNS",	//123
    "attributeNodeNS$$",	//124
    "attributes",	//125
    "autoFormatting",	//126
    "autoFormattingIndent",	//127
    "characters",	//128
    "characters$",	//129
    "childNodes",	//130
    "clear",	//131
    "cloneNode",	//132
    "cloneNode$",	//133
    "codec",	//134
    "columnNumber",	//135
    "comment",	//136
    "comment$",	//137
    "contains",	//138
    "contains$",	//139
    "contentHandler",	//140
    "count",	//141
    "createAttribute",	//142
    "createAttribute$",	//143
    "createAttributeNS",	//144
    "createAttributeNS$$",	//145
    "createCDATASection",	//146
    "createCDATASection$",	//147
    "createComment",	//148
    "createComment$",	//149
    "createDocument",	//150
    "createDocument$$#",	//151
    "createDocumentFragment",	//152
    "createDocumentType",	//153
    "createDocumentType$$$",	//154
    "createElement",	//155
    "createElement$",	//156
    "createElementNS",	//157
    "createElementNS$$",	//158
    "createEntityReference",	//159
    "createEntityReference$",	//160
    "createProcessingInstruction",	//161
    "createProcessingInstruction$$",	//162
    "createTextNode",	//163
    "createTextNode$",	//164
    "data",	//165
    "declHandler",	//166
    "deleteData",	//167
    "deleteData$$",	//168
    "device",	//169
    "doctype",	//170
    "documentElement",	//171
    "elementById",	//172
    "elementById$",	//173
    "elementsByTagName",	//174
    "elementsByTagName$",	//175
    "elementsByTagNameNS",	//176
    "elementsByTagNameNS$$",	//177
    "endCDATA",	//178
    "endDTD",	//179
    "endDocument",	//180
    "endElement",	//181
    "endElement$$$",	//182
    "endEntity",	//183
    "endEntity$",	//184
    "endPrefixMapping",	//185
    "endPrefixMapping$",	//186
    "entities",	//187
    "entityResolver",	//188
    "error",	//189
    "error#",	//190
    "errorHandler",	//191
    "errorString",	//192
    "externalEntityDecl",	//193
    "externalEntityDecl$$$",	//194
    "fatalError",	//195
    "fatalError#",	//196
    "feature",	//197
    "feature$",	//198
    "feature$$",	//199
    "fetchData",	//200
    "firstChild",	//201
    "firstChildElement",	//202
    "firstChildElement$",	//203
    "fromRawData",	//204
    "fromRawData#",	//205
    "fromRawData#$",	//206
    "hasAttribute",	//207
    "hasAttribute$",	//208
    "hasAttributeNS",	//209
    "hasAttributeNS$$",	//210
    "hasAttributes",	//211
    "hasChildNodes",	//212
    "hasFeature",	//213
    "hasFeature$",	//214
    "hasFeature$$",	//215
    "hasProperty",	//216
    "hasProperty$",	//217
    "ignorableWhitespace",	//218
    "ignorableWhitespace$",	//219
    "impl",	//220
    "implementation",	//221
    "importNode",	//222
    "importNode#$",	//223
    "index",	//224
    "index#",	//225
    "index$",	//226
    "index$$",	//227
    "insertAfter",	//228
    "insertAfter##",	//229
    "insertBefore",	//230
    "insertBefore##",	//231
    "insertData",	//232
    "insertData$$",	//233
    "internalEntityDecl",	//234
    "internalEntityDecl$$",	//235
    "internalSubset",	//236
    "invalidDataPolicy",	//237
    "isAttr",	//238
    "isCDATASection",	//239
    "isCharacterData",	//240
    "isComment",	//241
    "isDocument",	//242
    "isDocumentFragment",	//243
    "isDocumentType",	//244
    "isElement",	//245
    "isEmpty",	//246
    "isEntity",	//247
    "isEntityReference",	//248
    "isNotation",	//249
    "isNull",	//250
    "isProcessingInstruction",	//251
    "isSupported",	//252
    "isSupported$$",	//253
    "isText",	//254
    "item",	//255
    "item$",	//256
    "lastChild",	//257
    "lastChildElement",	//258
    "lastChildElement$",	//259
    "length",	//260
    "lexicalHandler",	//261
    "lineNumber",	//262
    "localName",	//263
    "localName$",	//264
    "message",	//265
    "name",	//266
    "namedItem",	//267
    "namedItem$",	//268
    "namedItemNS",	//269
    "namedItemNS$$",	//270
    "namespaceURI",	//271
    "next",	//272
    "nextSibling",	//273
    "nextSiblingElement",	//274
    "nextSiblingElement$",	//275
    "nodeName",	//276
    "nodeType",	//277
    "nodeValue",	//278
    "normalize",	//279
    "notationDecl",	//280
    "notationDecl$$$",	//281
    "notationName",	//282
    "notations",	//283
    "operator!=",	//284
    "operator!=#",	//285
    "operator!=##",	//286
    "operator!=#$",	//287
    "operator!=$#",	//288
    "operator!=$$",	//289
    "operator&",	//290
    "operator&##",	//291
    "operator*",	//292
    "operator*#$",	//293
    "operator*$#",	//294
    "operator+",	//295
    "operator+##",	//296
    "operator+#$",	//297
    "operator+$#",	//298
    "operator+$$",	//299
    "operator-",	//300
    "operator-#",	//301
    "operator-##",	//302
    "operator/",	//303
    "operator/#$",	//304
    "operator<",	//305
    "operator<##",	//306
    "operator<#$",	//307
    "operator<$#",	//308
    "operator<$$",	//309
    "operator<<",	//310
    "operator<<##",	//311
    "operator<<#$",	//312
    "operator<<#?",	//313
    "operator<=",	//314
    "operator<=##",	//315
    "operator<=#$",	//316
    "operator<=$#",	//317
    "operator<=$$",	//318
    "operator=",	//319
    "operator=#",	//320
    "operator==",	//321
    "operator==#",	//322
    "operator==##",	//323
    "operator==#$",	//324
    "operator==$#",	//325
    "operator==$$",	//326
    "operator>",	//327
    "operator>##",	//328
    "operator>#$",	//329
    "operator>$#",	//330
    "operator>$$",	//331
    "operator>=",	//332
    "operator>=##",	//333
    "operator>=#$",	//334
    "operator>=$#",	//335
    "operator>=$$",	//336
    "operator>>",	//337
    "operator>>##",	//338
    "operator>>#$",	//339
    "operator>>#?",	//340
    "operator^",	//341
    "operator^##",	//342
    "operator|",	//343
    "operator|##",	//344
    "operator|?$",	//345
    "operator|??",	//346
    "ownerDocument",	//347
    "ownerElement",	//348
    "parentNode",	//349
    "parse",	//350
    "parse#",	//351
    "parse#$",	//352
    "parseContinue",	//353
    "popContext",	//354
    "prefix",	//355
    "prefix$",	//356
    "prefixes",	//357
    "prefixes$",	//358
    "previousSibling",	//359
    "previousSiblingElement",	//360
    "previousSiblingElement$",	//361
    "processName",	//362
    "processName$$$$",	//363
    "processingInstruction",	//364
    "processingInstruction$$",	//365
    "property",	//366
    "property$",	//367
    "property$$",	//368
    "publicId",	//369
    "pushContext",	//370
    "qAcos",	//371
    "qAcos$",	//372
    "qAddPostRoutine",	//373
    "qAddPostRoutine$",	//374
    "qAppName",	//375
    "qAsin",	//376
    "qAsin$",	//377
    "qAtan",	//378
    "qAtan$",	//379
    "qAtan2",	//380
    "qAtan2$$",	//381
    "qCeil",	//382
    "qCeil$",	//383
    "qChecksum",	//384
    "qChecksum$$",	//385
    "qCompress",	//386
    "qCompress#",	//387
    "qCompress#$",	//388
    "qCompress$$",	//389
    "qCompress$$$",	//390
    "qCos",	//391
    "qCos$",	//392
    "qCritical",	//393
    "qDebug",	//394
    "qExp",	//395
    "qExp$",	//396
    "qFabs",	//397
    "qFabs$",	//398
    "qFastCos",	//399
    "qFastCos$",	//400
    "qFastSin",	//401
    "qFastSin$",	//402
    "qFlagLocation",	//403
    "qFlagLocation$",	//404
    "qFloor",	//405
    "qFloor$",	//406
    "qFree",	//407
    "qFree$",	//408
    "qFreeAligned",	//409
    "qFreeAligned$",	//410
    "qFuzzyCompare",	//411
    "qFuzzyCompare$$",	//412
    "qFuzzyIsNull",	//413
    "qFuzzyIsNull$",	//414
    "qHash",	//415
    "qHash#",	//416
    "qHash$",	//417
    "qInf",	//418
    "qInstallMsgHandler",	//419
    "qInstallMsgHandler$",	//420
    "qIntCast",	//421
    "qIntCast$",	//422
    "qIsFinite",	//423
    "qIsFinite$",	//424
    "qIsInf",	//425
    "qIsInf$",	//426
    "qIsNaN",	//427
    "qIsNaN$",	//428
    "qIsNull",	//429
    "qIsNull$",	//430
    "qLn",	//431
    "qLn$",	//432
    "qMalloc",	//433
    "qMalloc?",	//434
    "qMallocAligned",	//435
    "qMallocAligned??",	//436
    "qMemCopy",	//437
    "qMemCopy$$?",	//438
    "qMemSet",	//439
    "qMemSet$$?",	//440
    "qName",	//441
    "qName$",	//442
    "qPow",	//443
    "qPow$$",	//444
    "qQNaN",	//445
    "qRealloc",	//446
    "qRealloc$?",	//447
    "qReallocAligned",	//448
    "qReallocAligned$???",	//449
    "qRegisterStaticPluginInstanceFunction",	//450
    "qRegisterStaticPluginInstanceFunction#",	//451
    "qRemovePostRoutine",	//452
    "qRemovePostRoutine$",	//453
    "qRound",	//454
    "qRound$",	//455
    "qRound64",	//456
    "qRound64$",	//457
    "qSNaN",	//458
    "qSetFieldWidth",	//459
    "qSetFieldWidth$",	//460
    "qSetPadChar",	//461
    "qSetPadChar#",	//462
    "qSetRealNumberPrecision",	//463
    "qSetRealNumberPrecision$",	//464
    "qSharedBuild",	//465
    "qSin",	//466
    "qSin$",	//467
    "qSqrt",	//468
    "qSqrt$",	//469
    "qStringComparisonHelper",	//470
    "qStringComparisonHelper#$",	//471
    "qStringComparisonHelper$$",	//472
    "qTan",	//473
    "qTan$",	//474
    "qUncompress",	//475
    "qUncompress#",	//476
    "qUncompress$$",	//477
    "qVersion",	//478
    "qWarning",	//479
    "qbswap_helper",	//480
    "qbswap_helper$$$",	//481
    "qgcvt",	//482
    "qgcvt$$$",	//483
    "qgetenv",	//484
    "qgetenv$",	//485
    "qputenv",	//486
    "qputenv$#",	//487
    "qrand",	//488
    "qsort",	//489
    "qsort$???",	//490
    "qsrand",	//491
    "qsrand$",	//492
    "qstrcmp",	//493
    "qstrcmp##",	//494
    "qstrcmp#$",	//495
    "qstrcmp$#",	//496
    "qstrcmp$$",	//497
    "qstrcpy",	//498
    "qstrcpy$$",	//499
    "qstrdup",	//500
    "qstrdup$",	//501
    "qstricmp",	//502
    "qstricmp$$",	//503
    "qstrlen",	//504
    "qstrlen$",	//505
    "qstrncmp",	//506
    "qstrncmp$$$",	//507
    "qstrncpy",	//508
    "qstrncpy$$$",	//509
    "qstrnicmp",	//510
    "qstrnicmp$$$",	//511
    "qstrnlen",	//512
    "qstrnlen$$",	//513
    "qtTrId",	//514
    "qtTrId$",	//515
    "qtTrId$$",	//516
    "qt_assert",	//517
    "qt_assert$$$",	//518
    "qt_assert_x",	//519
    "qt_assert_x$$$$",	//520
    "qt_check_pointer",	//521
    "qt_check_pointer$$",	//522
    "qt_error_string",	//523
    "qt_error_string$",	//524
    "qt_message_output",	//525
    "qt_message_output$$",	//526
    "qt_noop",	//527
    "qt_qFindChild_helper",	//528
    "qt_qFindChild_helper#$#",	//529
    "qt_qFindChildren_helper",	//530
    "qt_qFindChildren_helper#$##?",	//531
    "qvariant_cast_helper",	//532
    "qvariant_cast_helper#$$",	//533
    "qvsnprintf",	//534
    "qvsnprintf$?$?",	//535
    "removeAttribute",	//536
    "removeAttribute$",	//537
    "removeAttributeNS",	//538
    "removeAttributeNS$$",	//539
    "removeAttributeNode",	//540
    "removeAttributeNode#",	//541
    "removeChild",	//542
    "removeChild#",	//543
    "removeNamedItem",	//544
    "removeNamedItem$",	//545
    "removeNamedItemNS",	//546
    "removeNamedItemNS$$",	//547
    "replaceChild",	//548
    "replaceChild##",	//549
    "replaceData",	//550
    "replaceData$$$",	//551
    "reset",	//552
    "resolveEntity",	//553
    "resolveEntity$$#",	//554
    "save",	//555
    "save#$",	//556
    "save#$$",	//557
    "setAttribute",	//558
    "setAttribute$$",	//559
    "setAttributeNS",	//560
    "setAttributeNS$$$",	//561
    "setAttributeNode",	//562
    "setAttributeNode#",	//563
    "setAttributeNodeNS",	//564
    "setAttributeNodeNS#",	//565
    "setAutoFormatting",	//566
    "setAutoFormatting$",	//567
    "setAutoFormattingIndent",	//568
    "setAutoFormattingIndent$",	//569
    "setCodec",	//570
    "setCodec#",	//571
    "setCodec$",	//572
    "setContent",	//573
    "setContent#",	//574
    "setContent##",	//575
    "setContent##$",	//576
    "setContent##$$",	//577
    "setContent##$$$",	//578
    "setContent#$",	//579
    "setContent#$$",	//580
    "setContent#$$$",	//581
    "setContent#$$$$",	//582
    "setContent$",	//583
    "setContent$$",	//584
    "setContent$$$",	//585
    "setContent$$$$",	//586
    "setContent$$$$$",	//587
    "setContentHandler",	//588
    "setContentHandler#",	//589
    "setDTDHandler",	//590
    "setDTDHandler#",	//591
    "setData",	//592
    "setData#",	//593
    "setData$",	//594
    "setDeclHandler",	//595
    "setDeclHandler#",	//596
    "setDevice",	//597
    "setDevice#",	//598
    "setDocumentLocator",	//599
    "setDocumentLocator#",	//600
    "setEntityResolver",	//601
    "setEntityResolver#",	//602
    "setErrorHandler",	//603
    "setErrorHandler#",	//604
    "setFeature",	//605
    "setFeature$$",	//606
    "setImpl",	//607
    "setImpl#",	//608
    "setInvalidDataPolicy",	//609
    "setInvalidDataPolicy$",	//610
    "setLexicalHandler",	//611
    "setLexicalHandler#",	//612
    "setNamedItem",	//613
    "setNamedItem#",	//614
    "setNamedItemNS",	//615
    "setNamedItemNS#",	//616
    "setNodeValue",	//617
    "setNodeValue$",	//618
    "setPrefix",	//619
    "setPrefix$",	//620
    "setPrefix$$",	//621
    "setProperty",	//622
    "setProperty$$",	//623
    "setTagName",	//624
    "setTagName$",	//625
    "setValue",	//626
    "setValue$",	//627
    "size",	//628
    "skippedEntity",	//629
    "skippedEntity$",	//630
    "specified",	//631
    "splitName",	//632
    "splitName$$$",	//633
    "splitText",	//634
    "splitText$",	//635
    "startCDATA",	//636
    "startDTD",	//637
    "startDTD$$$",	//638
    "startDocument",	//639
    "startElement",	//640
    "startElement$$$#",	//641
    "startEntity",	//642
    "startEntity$",	//643
    "startPrefixMapping",	//644
    "startPrefixMapping$$",	//645
    "substringData",	//646
    "substringData$$",	//647
    "systemId",	//648
    "tagName",	//649
    "target",	//650
    "text",	//651
    "toAttr",	//652
    "toByteArray",	//653
    "toByteArray$",	//654
    "toCDATASection",	//655
    "toCharacterData",	//656
    "toComment",	//657
    "toDocument",	//658
    "toDocumentFragment",	//659
    "toDocumentType",	//660
    "toElement",	//661
    "toEntity",	//662
    "toEntityReference",	//663
    "toNotation",	//664
    "toProcessingInstruction",	//665
    "toString",	//666
    "toString$",	//667
    "toText",	//668
    "type",	//669
    "type$",	//670
    "type$$",	//671
    "unparsedEntityDecl",	//672
    "unparsedEntityDecl$$$$",	//673
    "uri",	//674
    "uri$",	//675
    "value",	//676
    "value#",	//677
    "value$",	//678
    "value$$",	//679
    "warning",	//680
    "warning#",	//681
    "writeAttribute",	//682
    "writeAttribute#",	//683
    "writeAttribute$$",	//684
    "writeAttribute$$$",	//685
    "writeAttributes",	//686
    "writeAttributes#",	//687
    "writeCDATA",	//688
    "writeCDATA$",	//689
    "writeCharacters",	//690
    "writeCharacters$",	//691
    "writeComment",	//692
    "writeComment$",	//693
    "writeCurrentToken",	//694
    "writeCurrentToken#",	//695
    "writeDTD",	//696
    "writeDTD$",	//697
    "writeDefaultNamespace",	//698
    "writeDefaultNamespace$",	//699
    "writeEmptyElement",	//700
    "writeEmptyElement$",	//701
    "writeEmptyElement$$",	//702
    "writeEndDocument",	//703
    "writeEndElement",	//704
    "writeEntityReference",	//705
    "writeEntityReference$",	//706
    "writeNamespace",	//707
    "writeNamespace$",	//708
    "writeNamespace$$",	//709
    "writeProcessingInstruction",	//710
    "writeProcessingInstruction$",	//711
    "writeProcessingInstruction$$",	//712
    "writeStartDocument",	//713
    "writeStartDocument$",	//714
    "writeStartDocument$$",	//715
    "writeStartElement",	//716
    "writeStartElement$",	//717
    "writeStartElement$$",	//718
    "writeTextElement",	//719
    "writeTextElement$$",	//720
    "writeTextElement$$$",	//721
    "~QDomAttr",	//722
    "~QDomCDATASection",	//723
    "~QDomCharacterData",	//724
    "~QDomComment",	//725
    "~QDomDocument",	//726
    "~QDomDocumentFragment",	//727
    "~QDomDocumentType",	//728
    "~QDomElement",	//729
    "~QDomEntity",	//730
    "~QDomEntityReference",	//731
    "~QDomImplementation",	//732
    "~QDomNamedNodeMap",	//733
    "~QDomNode",	//734
    "~QDomNodeList",	//735
    "~QDomNotation",	//736
    "~QDomProcessingInstruction",	//737
    "~QDomText",	//738
    "~QXmlAttributes",	//739
    "~QXmlContentHandler",	//740
    "~QXmlDTDHandler",	//741
    "~QXmlDeclHandler",	//742
    "~QXmlDefaultHandler",	//743
    "~QXmlEntityResolver",	//744
    "~QXmlErrorHandler",	//745
    "~QXmlInputSource",	//746
    "~QXmlLexicalHandler",	//747
    "~QXmlLocator",	//748
    "~QXmlNamespaceSupport",	//749
    "~QXmlParseException",	//750
    "~QXmlReader",	//751
    "~QXmlSimpleReader",	//752
    "~QXmlStreamWriter",	//753
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 20, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 319, 1, 1, 0, 19, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 266, 0, 0, Smoke::mf_const, 123, 4},	//4 QDomAttr::name() const
    {10, 631, 0, 0, Smoke::mf_const, 252, 5},	//5 QDomAttr::specified() const
    {10, 348, 0, 0, Smoke::mf_const, 39, 6},	//6 QDomAttr::ownerElement() const
    {10, 676, 0, 0, Smoke::mf_const, 123, 7},	//7 QDomAttr::value() const
    {10, 626, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 277, 0, 0, Smoke::mf_const, 59, 9},	//9 QDomAttr::nodeType() const
    {10, 722, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 23, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 319, 5, 1, 0, 22, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 277, 0, 0, Smoke::mf_const, 59, 4},	//14 QDomCDATASection::nodeType() const
    {11, 723, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 26, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 319, 7, 1, 0, 25, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 646, 9, 2, 0, 123, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 109, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 232, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 167, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 550, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 260, 0, 0, Smoke::mf_const, 345, 9},	//24 QDomCharacterData::length() const
    {12, 165, 0, 0, Smoke::mf_const, 123, 10},	//25 QDomCharacterData::data() const
    {12, 592, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 277, 0, 0, Smoke::mf_const, 59, 12},	//27 QDomCharacterData::nodeType() const
    {12, 724, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 29, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 319, 19, 1, 0, 28, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 277, 0, 0, Smoke::mf_const, 59, 4},	//32 QDomComment::nodeType() const
    {13, 725, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 32, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 32, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 32, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 319, 23, 1, 0, 31, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 155, 3, 1, 0, 39, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 152, 0, 0, 0, 33, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 163, 3, 1, 0, 70, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 148, 3, 1, 0, 27, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 146, 3, 1, 0, 21, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 161, 25, 2, 0, 67, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 142, 3, 1, 0, 18, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 159, 3, 1, 0, 45, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 174, 3, 1, Smoke::mf_const, 60, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 222, 28, 2, 0, 55, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 157, 25, 2, 0, 39, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 144, 25, 2, 0, 18, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 176, 25, 2, 0, 60, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 172, 3, 1, 0, 39, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 170, 0, 0, Smoke::mf_const, 36, 20},	//53 QDomDocument::doctype() const
    {14, 221, 0, 0, Smoke::mf_const, 48, 21},	//54 QDomDocument::implementation() const
    {14, 171, 0, 0, Smoke::mf_const, 39, 22},	//55 QDomDocument::documentElement() const
    {14, 277, 0, 0, Smoke::mf_const, 59, 23},	//56 QDomDocument::nodeType() const
    {14, 573, 31, 5, 0, 252, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 573, 37, 5, 0, 252, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 573, 43, 5, 0, 252, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 573, 49, 5, 0, 252, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 573, 55, 4, 0, 252, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 573, 60, 4, 0, 252, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 573, 65, 4, 0, 252, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 573, 70, 5, 0, 252, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 666, 76, 1, Smoke::mf_const, 123, 32},	//65 QDomDocument::toString(int) const
    {14, 653, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 573, 78, 2, 0, 252, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 573, 81, 3, 0, 252, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 573, 85, 4, 0, 252, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 573, 90, 2, 0, 252, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 573, 93, 3, 0, 252, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 573, 97, 4, 0, 252, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 573, 102, 2, 0, 252, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 573, 105, 3, 0, 252, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 573, 109, 4, 0, 252, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 573, 114, 2, 0, 252, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 573, 117, 3, 0, 252, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 573, 121, 4, 0, 252, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 573, 126, 1, 0, 252, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 573, 128, 2, 0, 252, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 573, 131, 3, 0, 252, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 573, 3, 1, 0, 252, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 573, 135, 2, 0, 252, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 573, 138, 3, 0, 252, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 573, 142, 1, 0, 252, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 573, 144, 2, 0, 252, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 573, 147, 3, 0, 252, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 573, 151, 2, 0, 252, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 573, 154, 3, 0, 252, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 573, 158, 4, 0, 252, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 666, 0, 0, Smoke::mf_const, 123, 58},	//91 QDomDocument::toString() const
    {14, 653, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 726, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 35, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 319, 163, 1, 0, 34, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 277, 0, 0, Smoke::mf_const, 59, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 727, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 38, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 319, 21, 1, 0, 37, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 266, 0, 0, Smoke::mf_const, 123, 4},	//102 QDomDocumentType::name() const
    {16, 187, 0, 0, Smoke::mf_const, 52, 5},	//103 QDomDocumentType::entities() const
    {16, 283, 0, 0, Smoke::mf_const, 52, 6},	//104 QDomDocumentType::notations() const
    {16, 369, 0, 0, Smoke::mf_const, 123, 7},	//105 QDomDocumentType::publicId() const
    {16, 648, 0, 0, Smoke::mf_const, 123, 8},	//106 QDomDocumentType::systemId() const
    {16, 236, 0, 0, Smoke::mf_const, 123, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 277, 0, 0, Smoke::mf_const, 59, 10},	//108 QDomDocumentType::nodeType() const
    {16, 728, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 41, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 319, 165, 1, 0, 40, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 113, 25, 2, Smoke::mf_const, 123, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 558, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 558, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 558, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 558, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 558, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 558, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 558, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 536, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 121, 3, 1, 0, 18, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 562, 1, 1, 0, 18, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 540, 1, 1, 0, 18, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 174, 3, 1, Smoke::mf_const, 60, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 207, 3, 1, Smoke::mf_const, 252, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 118, 185, 3, Smoke::mf_const, 123, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 560, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 560, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 560, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 560, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 560, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 560, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 538, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 123, 25, 2, 0, 18, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 564, 1, 1, 0, 18, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 176, 25, 2, Smoke::mf_const, 60, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 209, 25, 2, Smoke::mf_const, 252, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 649, 0, 0, Smoke::mf_const, 123, 30},	//139 QDomElement::tagName() const
    {17, 624, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 125, 0, 0, Smoke::mf_const, 52, 32},	//141 QDomElement::attributes() const
    {17, 277, 0, 0, Smoke::mf_const, 59, 33},	//142 QDomElement::nodeType() const
    {17, 651, 0, 0, Smoke::mf_const, 123, 34},	//143 QDomElement::text() const
    {17, 113, 3, 1, Smoke::mf_const, 123, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 118, 209, 2, Smoke::mf_const, 123, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 729, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 44, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 319, 212, 1, 0, 43, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 369, 0, 0, Smoke::mf_const, 123, 4},	//150 QDomEntity::publicId() const
    {18, 648, 0, 0, Smoke::mf_const, 123, 5},	//151 QDomEntity::systemId() const
    {18, 282, 0, 0, Smoke::mf_const, 123, 6},	//152 QDomEntity::notationName() const
    {18, 277, 0, 0, Smoke::mf_const, 59, 7},	//153 QDomEntity::nodeType() const
    {18, 730, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 47, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 319, 214, 1, 0, 46, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 277, 0, 0, Smoke::mf_const, 59, 4},	//158 QDomEntityReference::nodeType() const
    {19, 731, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 50, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 319, 216, 1, 0, 49, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 321, 216, 1, Smoke::mf_const, 252, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 284, 216, 1, Smoke::mf_const, 252, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 213, 25, 2, Smoke::mf_const, 252, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 153, 218, 3, 0, 36, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 150, 222, 3, 0, 30, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 237, 0, 0, Smoke::mf_static, 51, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 609, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 250, 0, 0, 0, 252, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 732, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 54, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 319, 228, 1, 0, 53, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 321, 228, 1, Smoke::mf_const, 252, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 284, 228, 1, Smoke::mf_const, 252, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 267, 3, 1, Smoke::mf_const, 55, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 613, 230, 1, 0, 55, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 544, 3, 1, 0, 55, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 255, 76, 1, Smoke::mf_const, 55, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 269, 25, 2, Smoke::mf_const, 55, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 615, 230, 1, 0, 55, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 546, 25, 2, 0, 55, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 260, 0, 0, Smoke::mf_const, 345, 13},	//187 QDomNamedNodeMap::length() const
    {21, 141, 0, 0, Smoke::mf_const, 335, 14},	//188 QDomNamedNodeMap::count() const
    {21, 628, 0, 0, Smoke::mf_const, 335, 15},	//189 QDomNamedNodeMap::size() const
    {21, 246, 0, 0, Smoke::mf_const, 252, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 138, 3, 1, Smoke::mf_const, 252, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 733, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 57, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 319, 230, 1, 0, 56, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 321, 230, 1, Smoke::mf_const, 252, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 284, 230, 1, Smoke::mf_const, 252, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 230, 232, 2, 0, 55, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 228, 232, 2, 0, 55, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 548, 232, 2, 0, 55, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 542, 230, 1, 0, 55, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 107, 230, 1, 0, 55, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 212, 0, 0, Smoke::mf_const, 252, 11},	//203 QDomNode::hasChildNodes() const
    {22, 132, 235, 1, Smoke::mf_const, 55, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 279, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 252, 25, 2, Smoke::mf_const, 252, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 276, 0, 0, Smoke::mf_const, 123, 15},	//207 QDomNode::nodeName() const
    {22, 277, 0, 0, Smoke::mf_const, 59, 16},	//208 QDomNode::nodeType() const
    {22, 349, 0, 0, Smoke::mf_const, 55, 17},	//209 QDomNode::parentNode() const
    {22, 130, 0, 0, Smoke::mf_const, 60, 18},	//210 QDomNode::childNodes() const
    {22, 201, 0, 0, Smoke::mf_const, 55, 19},	//211 QDomNode::firstChild() const
    {22, 257, 0, 0, Smoke::mf_const, 55, 20},	//212 QDomNode::lastChild() const
    {22, 359, 0, 0, Smoke::mf_const, 55, 21},	//213 QDomNode::previousSibling() const
    {22, 273, 0, 0, Smoke::mf_const, 55, 22},	//214 QDomNode::nextSibling() const
    {22, 125, 0, 0, Smoke::mf_const, 52, 23},	//215 QDomNode::attributes() const
    {22, 347, 0, 0, Smoke::mf_const, 30, 24},	//216 QDomNode::ownerDocument() const
    {22, 271, 0, 0, Smoke::mf_const, 123, 25},	//217 QDomNode::namespaceURI() const
    {22, 263, 0, 0, Smoke::mf_const, 123, 26},	//218 QDomNode::localName() const
    {22, 211, 0, 0, Smoke::mf_const, 252, 27},	//219 QDomNode::hasAttributes() const
    {22, 278, 0, 0, Smoke::mf_const, 123, 28},	//220 QDomNode::nodeValue() const
    {22, 617, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 355, 0, 0, Smoke::mf_const, 123, 30},	//222 QDomNode::prefix() const
    {22, 619, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 238, 0, 0, Smoke::mf_const, 252, 32},	//224 QDomNode::isAttr() const
    {22, 239, 0, 0, Smoke::mf_const, 252, 33},	//225 QDomNode::isCDATASection() const
    {22, 243, 0, 0, Smoke::mf_const, 252, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 242, 0, 0, Smoke::mf_const, 252, 35},	//227 QDomNode::isDocument() const
    {22, 244, 0, 0, Smoke::mf_const, 252, 36},	//228 QDomNode::isDocumentType() const
    {22, 245, 0, 0, Smoke::mf_const, 252, 37},	//229 QDomNode::isElement() const
    {22, 248, 0, 0, Smoke::mf_const, 252, 38},	//230 QDomNode::isEntityReference() const
    {22, 254, 0, 0, Smoke::mf_const, 252, 39},	//231 QDomNode::isText() const
    {22, 247, 0, 0, Smoke::mf_const, 252, 40},	//232 QDomNode::isEntity() const
    {22, 249, 0, 0, Smoke::mf_const, 252, 41},	//233 QDomNode::isNotation() const
    {22, 251, 0, 0, Smoke::mf_const, 252, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 240, 0, 0, Smoke::mf_const, 252, 43},	//235 QDomNode::isCharacterData() const
    {22, 241, 0, 0, Smoke::mf_const, 252, 44},	//236 QDomNode::isComment() const
    {22, 267, 3, 1, Smoke::mf_const, 55, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 250, 0, 0, Smoke::mf_const, 252, 46},	//238 QDomNode::isNull() const
    {22, 131, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 652, 0, 0, Smoke::mf_const, 18, 48},	//240 QDomNode::toAttr() const
    {22, 655, 0, 0, Smoke::mf_const, 21, 49},	//241 QDomNode::toCDATASection() const
    {22, 659, 0, 0, Smoke::mf_const, 33, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 658, 0, 0, Smoke::mf_const, 30, 51},	//243 QDomNode::toDocument() const
    {22, 660, 0, 0, Smoke::mf_const, 36, 52},	//244 QDomNode::toDocumentType() const
    {22, 661, 0, 0, Smoke::mf_const, 39, 53},	//245 QDomNode::toElement() const
    {22, 663, 0, 0, Smoke::mf_const, 45, 54},	//246 QDomNode::toEntityReference() const
    {22, 668, 0, 0, Smoke::mf_const, 70, 55},	//247 QDomNode::toText() const
    {22, 662, 0, 0, Smoke::mf_const, 42, 56},	//248 QDomNode::toEntity() const
    {22, 664, 0, 0, Smoke::mf_const, 64, 57},	//249 QDomNode::toNotation() const
    {22, 665, 0, 0, Smoke::mf_const, 67, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 656, 0, 0, Smoke::mf_const, 24, 59},	//251 QDomNode::toCharacterData() const
    {22, 657, 0, 0, Smoke::mf_const, 27, 60},	//252 QDomNode::toComment() const
    {22, 555, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 555, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 202, 3, 1, Smoke::mf_const, 39, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 258, 3, 1, Smoke::mf_const, 39, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 360, 3, 1, Smoke::mf_const, 39, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 274, 3, 1, Smoke::mf_const, 39, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 262, 0, 0, Smoke::mf_const, 335, 67},	//259 QDomNode::lineNumber() const
    {22, 135, 0, 0, Smoke::mf_const, 335, 68},	//260 QDomNode::columnNumber() const
    {22, 132, 0, 0, Smoke::mf_const, 55, 69},	//261 QDomNode::cloneNode() const
    {22, 202, 0, 0, Smoke::mf_const, 39, 70},	//262 QDomNode::firstChildElement() const
    {22, 258, 0, 0, Smoke::mf_const, 39, 71},	//263 QDomNode::lastChildElement() const
    {22, 360, 0, 0, Smoke::mf_const, 39, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 274, 0, 0, Smoke::mf_const, 39, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 220, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 63, 74},	//266 QDomNode::impl() const
    {22, 607, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 734, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 62, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 319, 246, 1, 0, 61, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 321, 246, 1, Smoke::mf_const, 252, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 284, 246, 1, Smoke::mf_const, 252, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 255, 76, 1, Smoke::mf_const, 55, 6},	//290 QDomNodeList::item(int) const
    {23, 111, 76, 1, Smoke::mf_const, 55, 7},	//291 QDomNodeList::at(int) const
    {23, 260, 0, 0, Smoke::mf_const, 345, 8},	//292 QDomNodeList::length() const
    {23, 141, 0, 0, Smoke::mf_const, 335, 9},	//293 QDomNodeList::count() const
    {23, 628, 0, 0, Smoke::mf_const, 335, 10},	//294 QDomNodeList::size() const
    {23, 246, 0, 0, Smoke::mf_const, 252, 11},	//295 QDomNodeList::isEmpty() const
    {23, 735, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 66, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 319, 248, 1, 0, 65, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 369, 0, 0, Smoke::mf_const, 123, 4},	//300 QDomNotation::publicId() const
    {25, 648, 0, 0, Smoke::mf_const, 123, 5},	//301 QDomNotation::systemId() const
    {25, 277, 0, 0, Smoke::mf_const, 59, 6},	//302 QDomNotation::nodeType() const
    {25, 736, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 69, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 319, 250, 1, 0, 68, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 650, 0, 0, Smoke::mf_const, 123, 4},	//307 QDomProcessingInstruction::target() const
    {26, 165, 0, 0, Smoke::mf_const, 123, 5},	//308 QDomProcessingInstruction::data() const
    {26, 592, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 277, 0, 0, Smoke::mf_const, 59, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 737, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 72, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 319, 252, 1, 0, 71, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 634, 76, 1, 0, 70, 4},	//315 QDomText::splitText(int)
    {27, 277, 0, 0, Smoke::mf_const, 59, 5},	//316 QDomText::nodeType() const
    {27, 738, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 290, 254, 2, Smoke::mf_static, 2, 1},	//318 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 393, 0, 0, Smoke::mf_static, 13, 2},	//319 QGlobalSpace::qCritical()
    {29, 415, 257, 1, Smoke::mf_static, 345, 3},	//320 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 517, 259, 3, Smoke::mf_static, 0, 4},	//321 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 343, 263, 2, Smoke::mf_static, 75, 5},	//322 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {29, 292, 266, 2, Smoke::mf_static, 291, 6},	//323 QGlobalSpace::operator*(const QPoint&, double)
    {29, 425, 269, 1, Smoke::mf_static, 252, 7},	//324 QGlobalSpace::qIsInf(double)
    {29, 292, 271, 2, Smoke::mf_static, 293, 8},	//325 QGlobalSpace::operator*(double, const QPointF&)
    {29, 284, 274, 2, Smoke::mf_static, 252, 9},	//326 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 292, 277, 2, Smoke::mf_static, 301, 10},	//327 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 310, 280, 2, Smoke::mf_static, 13, 11},	//328 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 498, 283, 2, Smoke::mf_static, 255, 12},	//329 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 343, 286, 2, Smoke::mf_static, 100, 13},	//330 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {29, 284, 289, 2, Smoke::mf_static, 252, 14},	//331 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 295, 292, 2, Smoke::mf_static, 299, 15},	//332 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 397, 269, 1, Smoke::mf_static, 333, 16},	//333 QGlobalSpace::qFabs(double)
    {29, 310, 295, 2, Smoke::mf_static, 13, 17},	//334 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 445, 0, 0, Smoke::mf_static, 333, 18},	//335 QGlobalSpace::qQNaN()
    {29, 415, 298, 1, Smoke::mf_static, 345, 19},	//336 QGlobalSpace::qHash(unsigned char)
    {29, 478, 0, 0, Smoke::mf_static, 329, 20},	//337 QGlobalSpace::qVersion()
    {29, 343, 300, 2, Smoke::mf_static, 90, 21},	//338 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {29, 343, 303, 2, Smoke::mf_static, 107, 22},	//339 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {29, 321, 274, 2, Smoke::mf_static, 252, 23},	//340 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 343, 306, 2, Smoke::mf_static, 107, 24},	//341 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {29, 310, 309, 2, Smoke::mf_static, 10, 25},	//342 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 292, 312, 2, Smoke::mf_static, 301, 26},	//343 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 327, 315, 2, Smoke::mf_static, 252, 27},	//344 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 382, 269, 1, Smoke::mf_static, 335, 28},	//345 QGlobalSpace::qCeil(double)
    {29, 488, 0, 0, Smoke::mf_static, 335, 29},	//346 QGlobalSpace::qrand()
    {29, 300, 318, 2, Smoke::mf_static, 301, 30},	//347 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 332, 321, 2, Smoke::mf_static, 252, 31},	//348 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 321, 324, 2, Smoke::mf_static, 252, 32},	//349 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 310, 327, 2, Smoke::mf_static, 13, 33},	//350 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 284, 330, 2, Smoke::mf_static, 252, 34},	//351 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 321, 333, 2, Smoke::mf_static, 252, 35},	//352 QGlobalSpace::operator==(QBool, QBool)
    {29, 415, 336, 1, Smoke::mf_static, 345, 36},	//353 QGlobalSpace::qHash(const QStringRef&)
    {29, 321, 338, 2, Smoke::mf_static, 252, 37},	//354 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 310, 341, 2, Smoke::mf_static, 10, 38},	//355 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 337, 344, 2, Smoke::mf_static, 10, 39},	//356 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 295, 347, 2, Smoke::mf_static, 303, 40},	//357 QGlobalSpace::operator+(QChar, const QString&)
    {29, 343, 350, 2, Smoke::mf_static, 82, 41},	//358 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {29, 310, 353, 2, Smoke::mf_static, 13, 42},	//359 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 310, 356, 2, Smoke::mf_static, 10, 43},	//360 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 310, 359, 2, Smoke::mf_static, 13, 44},	//361 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 415, 362, 1, Smoke::mf_static, 345, 45},	//362 QGlobalSpace::qHash(const QBitArray&)
    {29, 480, 364, 3, Smoke::mf_static, 0, 46},	//363 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 378, 269, 1, Smoke::mf_static, 333, 47},	//364 QGlobalSpace::qAtan(double)
    {29, 343, 368, 2, Smoke::mf_static, 107, 48},	//365 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {29, 310, 371, 2, Smoke::mf_static, 13, 49},	//366 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {29, 532, 374, 3, Smoke::mf_static, 252, 50},	//367 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 415, 3, 1, Smoke::mf_static, 345, 51},	//368 QGlobalSpace::qHash(const QString&)
    {29, 343, 378, 2, Smoke::mf_static, 92, 52},	//369 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {29, 415, 381, 1, Smoke::mf_static, 345, 53},	//370 QGlobalSpace::qHash(unsigned short)
    {29, 450, 383, 1, Smoke::mf_static, 0, 54},	//371 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 415, 385, 1, Smoke::mf_static, 345, 55},	//372 QGlobalSpace::qHash(long)
    {29, 415, 387, 1, Smoke::mf_static, 345, 56},	//373 QGlobalSpace::qHash(long long)
    {29, 295, 318, 2, Smoke::mf_static, 301, 57},	//374 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 310, 389, 2, Smoke::mf_static, 10, 58},	//375 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 391, 269, 1, Smoke::mf_static, 333, 59},	//376 QGlobalSpace::qCos(double)
    {29, 491, 392, 1, Smoke::mf_static, 0, 60},	//377 QGlobalSpace::qsrand(unsigned int)
    {29, 425, 394, 1, Smoke::mf_static, 252, 61},	//378 QGlobalSpace::qIsInf(float)
    {29, 343, 396, 2, Smoke::mf_static, 95, 62},	//379 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {29, 310, 399, 2, Smoke::mf_static, 10, 63},	//380 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 305, 402, 2, Smoke::mf_static, 252, 64},	//381 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 310, 405, 2, Smoke::mf_static, 13, 65},	//382 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 343, 408, 2, Smoke::mf_static, 80, 66},	//383 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {29, 343, 411, 2, Smoke::mf_static, 107, 67},	//384 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {29, 343, 414, 2, Smoke::mf_static, 101, 68},	//385 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {29, 479, 0, 0, Smoke::mf_static, 13, 69},	//386 QGlobalSpace::qWarning()
    {29, 343, 417, 2, Smoke::mf_static, 77, 70},	//387 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {29, 343, 420, 2, Smoke::mf_static, 107, 71},	//388 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {29, 343, 423, 2, Smoke::mf_static, 85, 72},	//389 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {29, 337, 426, 2, Smoke::mf_static, 10, 73},	//390 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 295, 429, 2, Smoke::mf_static, 303, 74},	//391 QGlobalSpace::operator+(const QString&, const char*)
    {29, 310, 432, 2, Smoke::mf_static, 13, 75},	//392 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 343, 435, 2, Smoke::mf_static, 96, 76},	//393 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {29, 337, 438, 2, Smoke::mf_static, 10, 77},	//394 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 343, 441, 2, Smoke::mf_static, 98, 78},	//395 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {29, 295, 444, 2, Smoke::mf_static, 257, 79},	//396 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 303, 266, 2, Smoke::mf_static, 291, 80},	//397 QGlobalSpace::operator/(const QPoint&, double)
    {29, 343, 447, 2, Smoke::mf_static, 92, 81},	//398 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {29, 295, 450, 2, Smoke::mf_static, 303, 82},	//399 QGlobalSpace::operator+(const char*, const QString&)
    {29, 321, 453, 2, Smoke::mf_static, 252, 83},	//400 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 427, 394, 1, Smoke::mf_static, 252, 84},	//401 QGlobalSpace::qIsNaN(float)
    {29, 337, 456, 2, Smoke::mf_static, 10, 85},	//402 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 411, 459, 2, Smoke::mf_static, 252, 86},	//403 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 343, 462, 2, Smoke::mf_static, 107, 87},	//404 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {29, 429, 394, 1, Smoke::mf_static, 252, 88},	//405 QGlobalSpace::qIsNull(float)
    {29, 337, 465, 2, Smoke::mf_static, 10, 89},	//406 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 337, 468, 2, Smoke::mf_static, 10, 90},	//407 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 337, 471, 2, Smoke::mf_static, 10, 91},	//408 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 321, 474, 2, Smoke::mf_static, 252, 92},	//409 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 314, 450, 2, Smoke::mf_static, 252, 93},	//410 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 343, 477, 2, Smoke::mf_static, 107, 94},	//411 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {29, 343, 480, 2, Smoke::mf_static, 94, 95},	//412 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {29, 284, 483, 2, Smoke::mf_static, 252, 96},	//413 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 343, 486, 2, Smoke::mf_static, 96, 97},	//414 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {29, 310, 489, 2, Smoke::mf_static, 13, 98},	//415 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 305, 492, 2, Smoke::mf_static, 252, 99},	//416 QGlobalSpace::operator<(QChar, QChar)
    {29, 332, 315, 2, Smoke::mf_static, 252, 100},	//417 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 510, 495, 3, Smoke::mf_static, 335, 101},	//418 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 415, 126, 1, Smoke::mf_static, 345, 102},	//419 QGlobalSpace::qHash(const QByteArray&)
    {29, 343, 499, 2, Smoke::mf_static, 107, 103},	//420 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {29, 343, 502, 2, Smoke::mf_static, 87, 104},	//421 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {29, 521, 505, 2, Smoke::mf_static, 0, 105},	//422 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 343, 508, 2, Smoke::mf_static, 107, 106},	//423 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {29, 337, 511, 2, Smoke::mf_static, 10, 107},	//424 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 292, 514, 2, Smoke::mf_static, 293, 108},	//425 QGlobalSpace::operator*(const QPointF&, double)
    {29, 493, 321, 2, Smoke::mf_static, 335, 109},	//426 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 461, 517, 1, Smoke::mf_static, 136, 110},	//427 QGlobalSpace::qSetPadChar(QChar)
    {29, 343, 519, 2, Smoke::mf_static, 107, 111},	//428 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {29, 493, 402, 2, Smoke::mf_static, 335, 112},	//429 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 343, 522, 2, Smoke::mf_static, 107, 113},	//430 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {29, 321, 292, 2, Smoke::mf_static, 252, 114},	//431 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 465, 0, 0, Smoke::mf_static, 252, 115},	//432 QGlobalSpace::qSharedBuild()
    {29, 419, 525, 1, Smoke::mf_static, 351, 116},	//433 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 310, 527, 2, Smoke::mf_static, 10, 117},	//434 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 528, 530, 3, Smoke::mf_static, 114, 118},	//435 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 321, 315, 2, Smoke::mf_static, 252, 119},	//436 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 343, 534, 2, Smoke::mf_static, 99, 120},	//437 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {29, 284, 321, 2, Smoke::mf_static, 252, 121},	//438 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 343, 537, 2, Smoke::mf_static, 97, 122},	//439 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {29, 303, 312, 2, Smoke::mf_static, 301, 123},	//440 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 327, 492, 2, Smoke::mf_static, 252, 124},	//441 QGlobalSpace::operator>(QChar, QChar)
    {29, 332, 453, 2, Smoke::mf_static, 252, 125},	//442 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 409, 540, 1, Smoke::mf_static, 0, 126},	//443 QGlobalSpace::qFreeAligned(void*)
    {29, 321, 542, 2, Smoke::mf_static, 252, 127},	//444 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 421, 394, 1, Smoke::mf_static, 335, 128},	//445 QGlobalSpace::qIntCast(float)
    {29, 305, 321, 2, Smoke::mf_static, 252, 129},	//446 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 486, 453, 2, Smoke::mf_static, 252, 130},	//447 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 337, 545, 2, Smoke::mf_static, 10, 131},	//448 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 470, 548, 2, Smoke::mf_static, 252, 132},	//449 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 343, 551, 2, Smoke::mf_static, 107, 133},	//450 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {29, 506, 495, 3, Smoke::mf_static, 335, 134},	//451 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 300, 554, 1, Smoke::mf_static, 293, 135},	//452 QGlobalSpace::operator-(const QPointF&)
    {29, 448, 556, 4, Smoke::mf_static, 352, 136},	//453 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 415, 561, 1, Smoke::mf_static, 345, 137},	//454 QGlobalSpace::qHash(unsigned long long)
    {29, 295, 563, 2, Smoke::mf_static, 303, 138},	//455 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 310, 566, 2, Smoke::mf_static, 13, 139},	//456 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 295, 569, 2, Smoke::mf_static, 303, 140},	//457 QGlobalSpace::operator+(const QString&, char)
    {29, 332, 483, 2, Smoke::mf_static, 252, 141},	//458 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 375, 0, 0, Smoke::mf_static, 123, 142},	//459 QGlobalSpace::qAppName()
    {29, 415, 517, 1, Smoke::mf_static, 345, 143},	//460 QGlobalSpace::qHash(QChar)
    {29, 321, 330, 2, Smoke::mf_static, 252, 144},	//461 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 413, 269, 1, Smoke::mf_static, 252, 145},	//462 QGlobalSpace::qFuzzyIsNull(double)
    {29, 343, 572, 2, Smoke::mf_static, 81, 146},	//463 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {29, 343, 575, 2, Smoke::mf_static, 75, 147},	//464 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {29, 310, 578, 2, Smoke::mf_static, 10, 148},	//465 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 343, 581, 2, Smoke::mf_static, 107, 149},	//466 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {29, 439, 584, 3, Smoke::mf_static, 352, 150},	//467 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 343, 588, 2, Smoke::mf_static, 85, 151},	//468 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {29, 380, 459, 2, Smoke::mf_static, 333, 152},	//469 QGlobalSpace::qAtan2(double, double)
    {29, 343, 591, 2, Smoke::mf_static, 107, 153},	//470 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {29, 310, 594, 2, Smoke::mf_static, 10, 154},	//471 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 337, 597, 2, Smoke::mf_static, 10, 155},	//472 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 343, 600, 2, Smoke::mf_static, 76, 156},	//473 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {29, 386, 603, 2, Smoke::mf_static, 5, 157},	//474 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 386, 126, 1, Smoke::mf_static, 5, 158},	//475 QGlobalSpace::qCompress(const QByteArray&)
    {29, 305, 453, 2, Smoke::mf_static, 252, 159},	//476 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 373, 606, 1, Smoke::mf_static, 0, 160},	//477 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 343, 608, 2, Smoke::mf_static, 79, 161},	//478 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {29, 395, 269, 1, Smoke::mf_static, 333, 162},	//479 QGlobalSpace::qExp(double)
    {29, 284, 292, 2, Smoke::mf_static, 252, 163},	//480 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 314, 402, 2, Smoke::mf_static, 252, 164},	//481 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 284, 611, 2, Smoke::mf_static, 252, 165},	//482 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 321, 614, 2, Smoke::mf_static, 252, 166},	//483 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 429, 269, 1, Smoke::mf_static, 252, 167},	//484 QGlobalSpace::qIsNull(double)
    {29, 332, 617, 2, Smoke::mf_static, 252, 168},	//485 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 343, 620, 2, Smoke::mf_static, 107, 169},	//486 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {29, 321, 623, 2, Smoke::mf_static, 252, 170},	//487 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 421, 269, 1, Smoke::mf_static, 335, 171},	//488 QGlobalSpace::qIntCast(double)
    {29, 341, 254, 2, Smoke::mf_static, 2, 172},	//489 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 384, 626, 2, Smoke::mf_static, 348, 173},	//490 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 305, 483, 2, Smoke::mf_static, 252, 174},	//491 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 310, 629, 2, Smoke::mf_static, 13, 175},	//492 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 484, 632, 1, Smoke::mf_static, 5, 176},	//493 QGlobalSpace::qgetenv(const char*)
    {29, 284, 548, 2, Smoke::mf_static, 252, 177},	//494 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 337, 634, 2, Smoke::mf_static, 133, 178},	//495 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 284, 453, 2, Smoke::mf_static, 252, 179},	//496 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 371, 269, 1, Smoke::mf_static, 333, 180},	//497 QGlobalSpace::qAcos(double)
    {29, 327, 483, 2, Smoke::mf_static, 252, 181},	//498 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 343, 637, 2, Smoke::mf_static, 78, 182},	//499 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {29, 343, 640, 2, Smoke::mf_static, 77, 183},	//500 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {29, 343, 643, 2, Smoke::mf_static, 107, 184},	//501 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {29, 343, 646, 2, Smoke::mf_static, 80, 185},	//502 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {29, 310, 649, 2, Smoke::mf_static, 10, 186},	//503 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 343, 652, 2, Smoke::mf_static, 81, 187},	//504 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {29, 508, 655, 3, Smoke::mf_static, 255, 188},	//505 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 343, 659, 2, Smoke::mf_static, 107, 189},	//506 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {29, 343, 662, 2, Smoke::mf_static, 90, 190},	//507 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {29, 343, 665, 2, Smoke::mf_static, 84, 191},	//508 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {29, 310, 668, 2, Smoke::mf_static, 10, 192},	//509 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 343, 671, 2, Smoke::mf_static, 83, 193},	//510 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {29, 423, 394, 1, Smoke::mf_static, 252, 194},	//511 QGlobalSpace::qIsFinite(float)
    {29, 523, 76, 1, Smoke::mf_static, 123, 195},	//512 QGlobalSpace::qt_error_string(int)
    {29, 523, 0, 0, Smoke::mf_static, 123, 196},	//513 QGlobalSpace::qt_error_string()
    {29, 343, 674, 2, Smoke::mf_static, 102, 197},	//514 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {29, 446, 677, 2, Smoke::mf_static, 352, 198},	//515 QGlobalSpace::qRealloc(void*, size_t)
    {29, 295, 25, 2, Smoke::mf_static, 303, 199},	//516 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 519, 680, 4, Smoke::mf_static, 0, 200},	//517 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 305, 450, 2, Smoke::mf_static, 252, 201},	//518 QGlobalSpace::operator<(const char*, const QString&)
    {29, 284, 450, 2, Smoke::mf_static, 252, 202},	//519 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 284, 402, 2, Smoke::mf_static, 252, 203},	//520 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 284, 685, 2, Smoke::mf_static, 252, 204},	//521 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 343, 688, 2, Smoke::mf_static, 99, 205},	//522 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {29, 343, 691, 2, Smoke::mf_static, 102, 206},	//523 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {29, 343, 694, 2, Smoke::mf_static, 107, 207},	//524 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {29, 327, 321, 2, Smoke::mf_static, 252, 208},	//525 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 454, 269, 1, Smoke::mf_static, 335, 209},	//526 QGlobalSpace::qRound(double)
    {29, 314, 315, 2, Smoke::mf_static, 252, 210},	//527 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 321, 611, 2, Smoke::mf_static, 252, 211},	//528 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 343, 697, 2, Smoke::mf_static, 79, 212},	//529 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {29, 343, 700, 2, Smoke::mf_static, 100, 213},	//530 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {29, 343, 703, 2, Smoke::mf_static, 107, 214},	//531 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {29, 343, 254, 2, Smoke::mf_static, 2, 215},	//532 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 321, 706, 2, Smoke::mf_static, 252, 216},	//533 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 295, 453, 2, Smoke::mf_static, 257, 217},	//534 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 314, 483, 2, Smoke::mf_static, 252, 218},	//535 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 337, 709, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 337, 712, 2, Smoke::mf_static, 10, 220},	//537 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 321, 492, 2, Smoke::mf_static, 252, 221},	//538 QGlobalSpace::operator==(QChar, QChar)
    {29, 284, 614, 2, Smoke::mf_static, 252, 222},	//539 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 284, 715, 2, Smoke::mf_static, 252, 223},	//540 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 415, 718, 1, Smoke::mf_static, 345, 224},	//541 QGlobalSpace::qHash(signed char)
    {29, 343, 720, 2, Smoke::mf_static, 91, 225},	//542 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {29, 310, 723, 2, Smoke::mf_static, 10, 226},	//543 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 343, 726, 2, Smoke::mf_static, 93, 227},	//544 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {29, 468, 269, 1, Smoke::mf_static, 333, 228},	//545 QGlobalSpace::qSqrt(double)
    {29, 493, 729, 2, Smoke::mf_static, 335, 229},	//546 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 343, 732, 2, Smoke::mf_static, 89, 230},	//547 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {29, 295, 735, 2, Smoke::mf_static, 303, 231},	//548 QGlobalSpace::operator+(char, const QString&)
    {29, 284, 324, 2, Smoke::mf_static, 252, 232},	//549 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 284, 492, 2, Smoke::mf_static, 252, 233},	//550 QGlobalSpace::operator!=(QChar, QChar)
    {29, 512, 626, 2, Smoke::mf_static, 345, 234},	//551 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 321, 617, 2, Smoke::mf_static, 252, 235},	//552 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 343, 738, 2, Smoke::mf_static, 107, 236},	//553 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {29, 405, 269, 1, Smoke::mf_static, 335, 237},	//554 QGlobalSpace::qFloor(double)
    {29, 310, 741, 2, Smoke::mf_static, 13, 238},	//555 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 343, 744, 2, Smoke::mf_static, 82, 239},	//556 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {29, 321, 318, 2, Smoke::mf_static, 252, 240},	//557 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 321, 483, 2, Smoke::mf_static, 252, 241},	//558 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 284, 747, 2, Smoke::mf_static, 252, 242},	//559 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 292, 750, 2, Smoke::mf_static, 299, 243},	//560 QGlobalSpace::operator*(double, const QSize&)
    {29, 415, 753, 1, Smoke::mf_static, 345, 244},	//561 QGlobalSpace::qHash(const QModelIndex&)
    {29, 310, 755, 2, Smoke::mf_static, 13, 245},	//562 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 452, 606, 1, Smoke::mf_static, 0, 246},	//563 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 310, 758, 2, Smoke::mf_static, 10, 247},	//564 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 403, 632, 1, Smoke::mf_static, 329, 248},	//565 QGlobalSpace::qFlagLocation(const char*)
    {29, 437, 761, 3, Smoke::mf_static, 352, 249},	//566 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 332, 402, 2, Smoke::mf_static, 252, 250},	//567 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 292, 765, 2, Smoke::mf_static, 291, 251},	//568 QGlobalSpace::operator*(double, const QPoint&)
    {29, 427, 269, 1, Smoke::mf_static, 252, 252},	//569 QGlobalSpace::qIsNaN(double)
    {29, 310, 768, 2, Smoke::mf_static, 13, 253},	//570 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 415, 771, 1, Smoke::mf_static, 345, 254},	//571 QGlobalSpace::qHash(short)
    {29, 418, 0, 0, Smoke::mf_static, 333, 255},	//572 QGlobalSpace::qInf()
    {29, 310, 773, 2, Smoke::mf_static, 13, 256},	//573 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 310, 776, 2, Smoke::mf_static, 10, 257},	//574 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 295, 779, 2, Smoke::mf_static, 257, 258},	//575 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 303, 514, 2, Smoke::mf_static, 293, 259},	//576 QGlobalSpace::operator/(const QPointF&, double)
    {29, 475, 126, 1, Smoke::mf_static, 5, 260},	//577 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 332, 492, 2, Smoke::mf_static, 252, 261},	//578 QGlobalSpace::operator>=(QChar, QChar)
    {29, 343, 782, 2, Smoke::mf_static, 103, 262},	//579 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {29, 314, 321, 2, Smoke::mf_static, 252, 263},	//580 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 463, 76, 1, Smoke::mf_static, 136, 264},	//581 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 310, 785, 2, Smoke::mf_static, 13, 265},	//582 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 466, 269, 1, Smoke::mf_static, 333, 266},	//583 QGlobalSpace::qSin(double)
    {29, 376, 269, 1, Smoke::mf_static, 333, 267},	//584 QGlobalSpace::qAsin(double)
    {29, 343, 788, 2, Smoke::mf_static, 103, 268},	//585 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {29, 502, 729, 2, Smoke::mf_static, 335, 269},	//586 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 482, 791, 3, Smoke::mf_static, 255, 270},	//587 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 343, 795, 2, Smoke::mf_static, 95, 271},	//588 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {29, 411, 798, 2, Smoke::mf_static, 252, 272},	//589 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 314, 617, 2, Smoke::mf_static, 252, 273},	//590 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 534, 801, 4, Smoke::mf_static, 335, 274},	//591 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 310, 806, 2, Smoke::mf_static, 10, 275},	//592 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 527, 0, 0, Smoke::mf_static, 0, 276},	//593 QGlobalSpace::qt_noop()
    {29, 327, 453, 2, Smoke::mf_static, 252, 277},	//594 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 337, 809, 2, Smoke::mf_static, 10, 278},	//595 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 459, 76, 1, Smoke::mf_static, 136, 279},	//596 QGlobalSpace::qSetFieldWidth(int)
    {29, 343, 812, 2, Smoke::mf_static, 101, 280},	//597 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {29, 310, 815, 2, Smoke::mf_static, 10, 281},	//598 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 321, 747, 2, Smoke::mf_static, 252, 282},	//599 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 284, 818, 2, Smoke::mf_static, 252, 283},	//600 QGlobalSpace::operator!=(bool, QBool)
    {29, 415, 821, 1, Smoke::mf_static, 345, 284},	//601 QGlobalSpace::qHash(unsigned long)
    {29, 310, 823, 2, Smoke::mf_static, 13, 285},	//602 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 284, 826, 2, Smoke::mf_static, 252, 286},	//603 QGlobalSpace::operator!=(QBool, bool)
    {29, 300, 611, 2, Smoke::mf_static, 291, 287},	//604 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 343, 829, 2, Smoke::mf_static, 107, 288},	//605 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {29, 431, 269, 1, Smoke::mf_static, 333, 289},	//606 QGlobalSpace::qLn(double)
    {29, 337, 832, 2, Smoke::mf_static, 10, 290},	//607 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 504, 632, 1, Smoke::mf_static, 345, 291},	//608 QGlobalSpace::qstrlen(const char*)
    {29, 295, 402, 2, Smoke::mf_static, 257, 292},	//609 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 310, 835, 2, Smoke::mf_static, 10, 293},	//610 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 314, 453, 2, Smoke::mf_static, 252, 294},	//611 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 284, 318, 2, Smoke::mf_static, 252, 295},	//612 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 343, 838, 2, Smoke::mf_static, 107, 296},	//613 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {29, 321, 685, 2, Smoke::mf_static, 252, 297},	//614 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 343, 841, 2, Smoke::mf_static, 107, 298},	//615 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {29, 284, 617, 2, Smoke::mf_static, 252, 299},	//616 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 292, 844, 2, Smoke::mf_static, 299, 300},	//617 QGlobalSpace::operator*(const QSize&, double)
    {29, 321, 847, 2, Smoke::mf_static, 252, 301},	//618 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 343, 850, 2, Smoke::mf_static, 107, 302},	//619 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {29, 337, 853, 2, Smoke::mf_static, 10, 303},	//620 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 310, 856, 2, Smoke::mf_static, 13, 304},	//621 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 321, 402, 2, Smoke::mf_static, 252, 305},	//622 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 530, 859, 5, Smoke::mf_static, 0, 306},	//623 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 337, 865, 2, Smoke::mf_static, 10, 307},	//624 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 327, 450, 2, Smoke::mf_static, 252, 308},	//625 QGlobalSpace::operator>(const char*, const QString&)
    {29, 343, 868, 2, Smoke::mf_static, 107, 309},	//626 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {29, 343, 871, 2, Smoke::mf_static, 107, 310},	//627 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {29, 489, 874, 4, Smoke::mf_static, 0, 311},	//628 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {29, 310, 879, 2, Smoke::mf_static, 10, 312},	//629 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 327, 402, 2, Smoke::mf_static, 252, 313},	//630 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 305, 315, 2, Smoke::mf_static, 252, 314},	//631 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 343, 882, 2, Smoke::mf_static, 107, 315},	//632 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {29, 343, 885, 2, Smoke::mf_static, 78, 316},	//633 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {29, 295, 611, 2, Smoke::mf_static, 291, 317},	//634 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 310, 888, 2, Smoke::mf_static, 10, 318},	//635 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 407, 540, 1, Smoke::mf_static, 0, 319},	//636 QGlobalSpace::qFree(void*)
    {29, 343, 891, 2, Smoke::mf_static, 76, 320},	//637 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {29, 314, 492, 2, Smoke::mf_static, 252, 321},	//638 QGlobalSpace::operator<=(QChar, QChar)
    {29, 310, 894, 2, Smoke::mf_static, 133, 322},	//639 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 415, 392, 1, Smoke::mf_static, 345, 323},	//640 QGlobalSpace::qHash(unsigned int)
    {29, 284, 847, 2, Smoke::mf_static, 252, 324},	//641 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 456, 269, 1, Smoke::mf_static, 339, 325},	//642 QGlobalSpace::qRound64(double)
    {29, 327, 617, 2, Smoke::mf_static, 252, 326},	//643 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 343, 897, 2, Smoke::mf_static, 87, 327},	//644 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {29, 435, 900, 2, Smoke::mf_static, 352, 328},	//645 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 284, 542, 2, Smoke::mf_static, 252, 329},	//646 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 386, 903, 3, Smoke::mf_static, 5, 330},	//647 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 386, 907, 2, Smoke::mf_static, 5, 331},	//648 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 343, 910, 2, Smoke::mf_static, 86, 332},	//649 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {29, 500, 632, 1, Smoke::mf_static, 255, 333},	//650 QGlobalSpace::qstrdup(const char*)
    {29, 394, 0, 0, Smoke::mf_static, 13, 334},	//651 QGlobalSpace::qDebug()
    {29, 300, 913, 1, Smoke::mf_static, 291, 335},	//652 QGlobalSpace::operator-(const QPoint&)
    {29, 493, 453, 2, Smoke::mf_static, 335, 336},	//653 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 310, 915, 2, Smoke::mf_static, 133, 337},	//654 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 343, 918, 2, Smoke::mf_static, 98, 338},	//655 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {29, 473, 269, 1, Smoke::mf_static, 333, 339},	//656 QGlobalSpace::qTan(double)
    {29, 337, 921, 2, Smoke::mf_static, 10, 340},	//657 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 321, 321, 2, Smoke::mf_static, 252, 341},	//658 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 310, 924, 2, Smoke::mf_static, 10, 342},	//659 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 415, 76, 1, Smoke::mf_static, 345, 343},	//660 QGlobalSpace::qHash(int)
    {29, 300, 474, 2, Smoke::mf_static, 293, 344},	//661 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 343, 927, 2, Smoke::mf_static, 94, 345},	//662 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {29, 305, 617, 2, Smoke::mf_static, 252, 346},	//663 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 337, 930, 2, Smoke::mf_static, 10, 347},	//664 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 443, 459, 2, Smoke::mf_static, 333, 348},	//665 QGlobalSpace::qPow(double, double)
    {29, 321, 548, 2, Smoke::mf_static, 252, 349},	//666 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 310, 933, 2, Smoke::mf_static, 13, 350},	//667 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {29, 284, 706, 2, Smoke::mf_static, 252, 351},	//668 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 295, 321, 2, Smoke::mf_static, 257, 352},	//669 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 295, 936, 2, Smoke::mf_static, 303, 353},	//670 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 470, 429, 2, Smoke::mf_static, 252, 354},	//671 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 343, 939, 2, Smoke::mf_static, 86, 355},	//672 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {29, 337, 942, 2, Smoke::mf_static, 10, 356},	//673 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 525, 945, 2, Smoke::mf_static, 0, 357},	//674 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 321, 450, 2, Smoke::mf_static, 252, 358},	//675 QGlobalSpace::operator==(const char*, const QString&)
    {29, 310, 948, 2, Smoke::mf_static, 13, 359},	//676 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 399, 269, 1, Smoke::mf_static, 333, 360},	//677 QGlobalSpace::qFastCos(double)
    {29, 310, 951, 2, Smoke::mf_static, 10, 361},	//678 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 303, 844, 2, Smoke::mf_static, 299, 362},	//679 QGlobalSpace::operator/(const QSize&, double)
    {29, 337, 954, 2, Smoke::mf_static, 10, 363},	//680 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 321, 818, 2, Smoke::mf_static, 252, 364},	//681 QGlobalSpace::operator==(bool, QBool)
    {29, 343, 957, 2, Smoke::mf_static, 88, 365},	//682 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {29, 343, 960, 2, Smoke::mf_static, 83, 366},	//683 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {29, 332, 450, 2, Smoke::mf_static, 252, 367},	//684 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 415, 963, 1, Smoke::mf_static, 345, 368},	//685 QGlobalSpace::qHash(char)
    {29, 310, 965, 2, Smoke::mf_static, 10, 369},	//686 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 343, 968, 2, Smoke::mf_static, 107, 370},	//687 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {29, 337, 971, 2, Smoke::mf_static, 10, 371},	//688 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 284, 474, 2, Smoke::mf_static, 252, 372},	//689 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 343, 974, 2, Smoke::mf_static, 89, 373},	//690 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {29, 423, 269, 1, Smoke::mf_static, 252, 374},	//691 QGlobalSpace::qIsFinite(double)
    {29, 300, 292, 2, Smoke::mf_static, 299, 375},	//692 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 458, 0, 0, Smoke::mf_static, 333, 376},	//693 QGlobalSpace::qSNaN()
    {29, 343, 977, 2, Smoke::mf_static, 107, 377},	//694 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {29, 413, 394, 1, Smoke::mf_static, 252, 378},	//695 QGlobalSpace::qFuzzyIsNull(float)
    {29, 343, 980, 2, Smoke::mf_static, 93, 379},	//696 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {29, 475, 907, 2, Smoke::mf_static, 5, 380},	//697 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 284, 315, 2, Smoke::mf_static, 252, 381},	//698 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 401, 269, 1, Smoke::mf_static, 333, 382},	//699 QGlobalSpace::qFastSin(double)
    {29, 310, 983, 2, Smoke::mf_static, 13, 383},	//700 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 295, 474, 2, Smoke::mf_static, 293, 384},	//701 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 321, 826, 2, Smoke::mf_static, 252, 385},	//702 QGlobalSpace::operator==(QBool, bool)
    {29, 321, 289, 2, Smoke::mf_static, 252, 386},	//703 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 343, 986, 2, Smoke::mf_static, 91, 387},	//704 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {29, 343, 989, 2, Smoke::mf_static, 84, 388},	//705 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {29, 514, 505, 2, Smoke::mf_static, 123, 389},	//706 QGlobalSpace::qtTrId(const char*, int)
    {29, 514, 632, 1, Smoke::mf_static, 123, 390},	//707 QGlobalSpace::qtTrId(const char*)
    {29, 337, 992, 2, Smoke::mf_static, 10, 391},	//708 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 295, 995, 2, Smoke::mf_static, 303, 392},	//709 QGlobalSpace::operator+(const QString&, QChar)
    {29, 284, 338, 2, Smoke::mf_static, 252, 393},	//710 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 284, 333, 2, Smoke::mf_static, 252, 394},	//711 QGlobalSpace::operator!=(QBool, QBool)
    {29, 343, 998, 2, Smoke::mf_static, 88, 395},	//712 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {29, 343, 1001, 2, Smoke::mf_static, 97, 396},	//713 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {29, 310, 634, 2, Smoke::mf_static, 133, 397},	//714 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 433, 1004, 1, Smoke::mf_static, 352, 398},	//715 QGlobalSpace::qMalloc(size_t)
    {29, 310, 1006, 2, Smoke::mf_static, 13, 399},	//716 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 321, 715, 2, Smoke::mf_static, 252, 400},	//717 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 310, 1009, 2, Smoke::mf_static, 10, 401},	//718 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 402},	//719 QGlobalSpace::_IEEE_ (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 403},	//720 QGlobalSpace::_SVID_ (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 404},	//721 QGlobalSpace::_XOPEN_ (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 405},	//722 QGlobalSpace::_POSIX_ (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 337, 406},	//723 QGlobalSpace::_ISOC_ (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 407},	//724 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 408},	//725 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 409},	//726 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 410},	//727 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 411},	//728 QGlobalSpace::QtSystemMsg (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 412},	//729 QGlobalSpace::__codecvt_ok (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 413},	//730 QGlobalSpace::__codecvt_partial (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 414},	//731 QGlobalSpace::__codecvt_error (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 415},	//732 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 144, 1},	//733 QXmlAttributes::QXmlAttributes()
    {59, 224, 3, 1, Smoke::mf_const, 335, 2},	//734 QXmlAttributes::index(const QString&) const
    {59, 224, 1012, 1, Smoke::mf_const, 335, 3},	//735 QXmlAttributes::index(const QLatin1String&) const
    {59, 224, 25, 2, Smoke::mf_const, 335, 4},	//736 QXmlAttributes::index(const QString&, const QString&) const
    {59, 260, 0, 0, Smoke::mf_const, 335, 5},	//737 QXmlAttributes::length() const
    {59, 141, 0, 0, Smoke::mf_const, 335, 6},	//738 QXmlAttributes::count() const
    {59, 263, 76, 1, Smoke::mf_const, 123, 7},	//739 QXmlAttributes::localName(int) const
    {59, 441, 76, 1, Smoke::mf_const, 123, 8},	//740 QXmlAttributes::qName(int) const
    {59, 674, 76, 1, Smoke::mf_const, 123, 9},	//741 QXmlAttributes::uri(int) const
    {59, 669, 76, 1, Smoke::mf_const, 123, 10},	//742 QXmlAttributes::type(int) const
    {59, 669, 3, 1, Smoke::mf_const, 123, 11},	//743 QXmlAttributes::type(const QString&) const
    {59, 669, 25, 2, Smoke::mf_const, 123, 12},	//744 QXmlAttributes::type(const QString&, const QString&) const
    {59, 676, 76, 1, Smoke::mf_const, 123, 13},	//745 QXmlAttributes::value(int) const
    {59, 676, 3, 1, Smoke::mf_const, 123, 14},	//746 QXmlAttributes::value(const QString&) const
    {59, 676, 1012, 1, Smoke::mf_const, 123, 15},	//747 QXmlAttributes::value(const QLatin1String&) const
    {59, 676, 25, 2, Smoke::mf_const, 123, 16},	//748 QXmlAttributes::value(const QString&, const QString&) const
    {59, 131, 0, 0, 0, 0, 17},	//749 QXmlAttributes::clear()
    {59, 105, 1014, 4, 0, 0, 18},	//750 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1019, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 19},	//751 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 739, 0, 0, Smoke::mf_dtor, 0, 20 },	//752 QXmlAttributes::~QXmlAttributes()
    {60, 599, 1021, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//753 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 639, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//754 QXmlContentHandler::startDocument() [pure virtual]
    {60, 180, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//755 QXmlContentHandler::endDocument() [pure virtual]
    {60, 644, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 4},	//756 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 185, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 5},	//757 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 640, 1023, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//758 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 181, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 7},	//759 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 128, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 8},	//760 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 218, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 9},	//761 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 364, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 10},	//762 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 629, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 11},	//763 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 12},	//764 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 145, 13},	//765 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1028, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 14},	//766 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 740, 0, 0, Smoke::mf_dtor, 0, 15 },	//767 QXmlContentHandler::~QXmlContentHandler()
    {61, 280, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//768 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 672, 1014, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//769 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 3},	//770 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 146, 4},	//771 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1030, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 5},	//772 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 741, 0, 0, Smoke::mf_dtor, 0, 6 },	//773 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 116, 1032, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//774 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 234, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//775 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 193, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//776 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 4},	//777 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 147, 5},	//778 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 6},	//779 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 742, 0, 0, Smoke::mf_dtor, 0, 7 },	//780 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 148, 1},	//781 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 599, 1021, 1, Smoke::mf_virtual, 0, 2},	//782 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 639, 0, 0, Smoke::mf_virtual, 252, 3},	//783 QXmlDefaultHandler::startDocument()
    {63, 180, 0, 0, Smoke::mf_virtual, 252, 4},	//784 QXmlDefaultHandler::endDocument()
    {63, 644, 25, 2, Smoke::mf_virtual, 252, 5},	//785 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 185, 3, 1, Smoke::mf_virtual, 252, 6},	//786 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 640, 1023, 4, Smoke::mf_virtual, 252, 7},	//787 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 181, 218, 3, Smoke::mf_virtual, 252, 8},	//788 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 128, 3, 1, Smoke::mf_virtual, 252, 9},	//789 QXmlDefaultHandler::characters(const QString&)
    {63, 218, 3, 1, Smoke::mf_virtual, 252, 10},	//790 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 364, 25, 2, Smoke::mf_virtual, 252, 11},	//791 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 629, 3, 1, Smoke::mf_virtual, 252, 12},	//792 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 680, 1040, 1, Smoke::mf_virtual, 252, 13},	//793 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 189, 1040, 1, Smoke::mf_virtual, 252, 14},	//794 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 195, 1040, 1, Smoke::mf_virtual, 252, 15},	//795 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 280, 218, 3, Smoke::mf_virtual, 252, 16},	//796 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 672, 1014, 4, Smoke::mf_virtual, 252, 17},	//797 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 553, 1042, 3, Smoke::mf_virtual, 252, 18},	//798 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 637, 218, 3, Smoke::mf_virtual, 252, 19},	//799 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 179, 0, 0, Smoke::mf_virtual, 252, 20},	//800 QXmlDefaultHandler::endDTD()
    {63, 642, 3, 1, Smoke::mf_virtual, 252, 21},	//801 QXmlDefaultHandler::startEntity(const QString&)
    {63, 183, 3, 1, Smoke::mf_virtual, 252, 22},	//802 QXmlDefaultHandler::endEntity(const QString&)
    {63, 636, 0, 0, Smoke::mf_virtual, 252, 23},	//803 QXmlDefaultHandler::startCDATA()
    {63, 178, 0, 0, Smoke::mf_virtual, 252, 24},	//804 QXmlDefaultHandler::endCDATA()
    {63, 136, 3, 1, Smoke::mf_virtual, 252, 25},	//805 QXmlDefaultHandler::comment(const QString&)
    {63, 116, 1032, 5, Smoke::mf_virtual, 252, 26},	//806 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 234, 25, 2, Smoke::mf_virtual, 252, 27},	//807 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 193, 218, 3, Smoke::mf_virtual, 252, 28},	//808 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 29},	//809 QXmlDefaultHandler::errorString() const
    {63, 743, 0, 0, Smoke::mf_dtor, 0, 30 },	//810 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 553, 1042, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//811 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 2},	//812 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 149, 3},	//813 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 4},	//814 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 744, 0, 0, Smoke::mf_dtor, 0, 5 },	//815 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 680, 1040, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//816 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 189, 1040, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//817 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 195, 1040, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//818 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 4},	//819 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 150, 5},	//820 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 6},	//821 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 745, 0, 0, Smoke::mf_dtor, 0, 7 },	//822 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 151, 1},	//823 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 151, 2},	//824 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 592, 3, 1, Smoke::mf_virtual, 0, 3},	//825 QXmlInputSource::setData(const QString&)
    {66, 592, 126, 1, Smoke::mf_virtual, 0, 4},	//826 QXmlInputSource::setData(const QByteArray&)
    {66, 200, 0, 0, Smoke::mf_virtual, 0, 5},	//827 QXmlInputSource::fetchData()
    {66, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 6},	//828 QXmlInputSource::data() const
    {66, 272, 0, 0, Smoke::mf_virtual, 8, 7},	//829 QXmlInputSource::next()
    {66, 552, 0, 0, Smoke::mf_virtual, 0, 8},	//830 QXmlInputSource::reset()
    {66, 204, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 123, 9},	//831 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1050, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 10},	//832 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 204, 126, 1, Smoke::mf_protected, 123, 11},	//833 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 331, 12},	//834 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 331, 13},	//835 QXmlInputSource::EndOfDocument() const
    {66, 746, 0, 0, Smoke::mf_dtor, 0, 14 },	//836 QXmlInputSource::~QXmlInputSource()
    {67, 637, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//837 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 179, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 2},	//838 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 642, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//839 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 183, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 4},	//840 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 636, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 5},	//841 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 178, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//842 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 136, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 7},	//843 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 8},	//844 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 153, 9},	//845 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1052, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 10},	//846 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 747, 0, 0, Smoke::mf_dtor, 0, 11 },	//847 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 154, 1},	//848 QXmlLocator::QXmlLocator()
    {68, 135, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 335, 2},	//849 QXmlLocator::columnNumber() const [pure virtual]
    {68, 262, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 335, 3},	//850 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 4},	//851 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 748, 0, 0, Smoke::mf_dtor, 0, 5 },	//852 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 155, 1},	//853 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 619, 25, 2, 0, 0, 2},	//854 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 355, 3, 1, Smoke::mf_const, 123, 3},	//855 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 674, 3, 1, Smoke::mf_const, 123, 4},	//856 QXmlNamespaceSupport::uri(const QString&) const
    {69, 632, 1056, 3, Smoke::mf_const, 0, 5},	//857 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 362, 1060, 4, Smoke::mf_const, 0, 6},	//858 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 357, 0, 0, Smoke::mf_const, 128, 7},	//859 QXmlNamespaceSupport::prefixes() const
    {69, 357, 3, 1, Smoke::mf_const, 128, 8},	//860 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 370, 0, 0, 0, 0, 9},	//861 QXmlNamespaceSupport::pushContext()
    {69, 354, 0, 0, 0, 0, 10},	//862 QXmlNamespaceSupport::popContext()
    {69, 552, 0, 0, 0, 0, 11},	//863 QXmlNamespaceSupport::reset()
    {69, 749, 0, 0, Smoke::mf_dtor, 0, 12 },	//864 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1065, 5, Smoke::mf_ctor, 156, 1},	//865 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1040, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 2},	//866 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 135, 0, 0, Smoke::mf_const, 335, 3},	//867 QXmlParseException::columnNumber() const
    {70, 262, 0, 0, Smoke::mf_const, 335, 4},	//868 QXmlParseException::lineNumber() const
    {70, 369, 0, 0, Smoke::mf_const, 123, 5},	//869 QXmlParseException::publicId() const
    {70, 648, 0, 0, Smoke::mf_const, 123, 6},	//870 QXmlParseException::systemId() const
    {70, 265, 0, 0, Smoke::mf_const, 123, 7},	//871 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 156, 8},	//872 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 156, 9},	//873 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 156, 10},	//874 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1071, 3, Smoke::mf_ctor, 156, 11},	//875 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1075, 4, Smoke::mf_ctor, 156, 12},	//876 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 750, 0, 0, Smoke::mf_dtor, 0, 13 },	//877 QXmlParseException::~QXmlParseException()
    {71, 197, 1080, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 1},	//878 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 605, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//879 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 213, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 3},	//880 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 366, 1080, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 352, 4},	//881 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 622, 1083, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//882 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 216, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 6},	//883 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 601, 1086, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//884 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 8},	//885 QXmlReader::entityResolver() const [pure virtual]
    {71, 590, 1088, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//886 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 10},	//887 QXmlReader::DTDHandler() const [pure virtual]
    {71, 588, 1090, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//888 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 12},	//889 QXmlReader::contentHandler() const [pure virtual]
    {71, 603, 1092, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//890 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 150, 14},	//891 QXmlReader::errorHandler() const [pure virtual]
    {71, 611, 1094, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//892 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 261, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 16},	//893 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 595, 1096, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//894 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 18},	//895 QXmlReader::declHandler() const [pure virtual]
    {71, 350, 1050, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 19},	//896 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 350, 1098, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 252, 20},	//897 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 157, 21},	//898 QXmlReader::QXmlReader()
    {71, 83, 1100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 22},	//899 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 197, 3, 1, Smoke::mf_const|Smoke::mf_purevirtual, 252, 23},	//900 QXmlReader::feature(const QString&) const [pure virtual]
    {71, 366, 3, 1, Smoke::mf_const|Smoke::mf_purevirtual, 352, 24},	//901 QXmlReader::property(const QString&) const [pure virtual]
    {71, 751, 0, 0, Smoke::mf_dtor, 0, 25 },	//902 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 158, 1},	//903 QXmlSimpleReader::QXmlSimpleReader()
    {72, 197, 1080, 2, Smoke::mf_const|Smoke::mf_virtual, 252, 2},	//904 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 605, 90, 2, Smoke::mf_virtual, 0, 3},	//905 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 213, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 252, 4},	//906 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 366, 1080, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 5},	//907 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 622, 1083, 2, Smoke::mf_virtual, 0, 6},	//908 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 216, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 252, 7},	//909 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 601, 1086, 1, Smoke::mf_virtual, 0, 8},	//910 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 9},	//911 QXmlSimpleReader::entityResolver() const
    {72, 590, 1088, 1, Smoke::mf_virtual, 0, 10},	//912 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 11},	//913 QXmlSimpleReader::DTDHandler() const
    {72, 588, 1090, 1, Smoke::mf_virtual, 0, 12},	//914 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 13},	//915 QXmlSimpleReader::contentHandler() const
    {72, 603, 1092, 1, Smoke::mf_virtual, 0, 14},	//916 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 15},	//917 QXmlSimpleReader::errorHandler() const
    {72, 611, 1094, 1, Smoke::mf_virtual, 0, 16},	//918 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 261, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 17},	//919 QXmlSimpleReader::lexicalHandler() const
    {72, 595, 1096, 1, Smoke::mf_virtual, 0, 18},	//920 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 147, 19},	//921 QXmlSimpleReader::declHandler() const
    {72, 350, 1050, 1, Smoke::mf_virtual, 252, 20},	//922 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 350, 1098, 1, Smoke::mf_virtual, 252, 21},	//923 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 350, 1102, 2, Smoke::mf_virtual, 252, 22},	//924 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 353, 0, 0, Smoke::mf_virtual, 252, 23},	//925 QXmlSimpleReader::parseContinue()
    {72, 197, 3, 1, Smoke::mf_const, 252, 24},	//926 QXmlSimpleReader::feature(const QString&) const
    {72, 366, 3, 1, Smoke::mf_const, 352, 25},	//927 QXmlSimpleReader::property(const QString&) const
    {72, 752, 0, 0, Smoke::mf_dtor, 0, 26 },	//928 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 159, 1},	//929 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 159, 2},	//930 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1105, 1, Smoke::mf_ctor, 159, 3},	//931 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1107, 1, Smoke::mf_ctor, 159, 4},	//932 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 597, 142, 1, 0, 0, 5},	//933 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 169, 0, 0, Smoke::mf_const, 104, 6},	//934 QXmlStreamWriter::device() const
    {76, 570, 1109, 1, 0, 0, 7},	//935 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 570, 632, 1, 0, 0, 8},	//936 QXmlStreamWriter::setCodec(const char*)
    {76, 134, 0, 0, Smoke::mf_const, 131, 9},	//937 QXmlStreamWriter::codec() const
    {76, 566, 235, 1, 0, 0, 10},	//938 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 126, 0, 0, Smoke::mf_const, 252, 11},	//939 QXmlStreamWriter::autoFormatting() const
    {76, 568, 76, 1, 0, 0, 12},	//940 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 127, 0, 0, Smoke::mf_const, 335, 13},	//941 QXmlStreamWriter::autoFormattingIndent() const
    {76, 682, 25, 2, 0, 0, 14},	//942 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 682, 218, 3, 0, 0, 15},	//943 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 682, 1111, 1, 0, 0, 16},	//944 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 686, 1113, 1, 0, 0, 17},	//945 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 688, 3, 1, 0, 0, 18},	//946 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 690, 3, 1, 0, 0, 19},	//947 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 692, 3, 1, 0, 0, 20},	//948 QXmlStreamWriter::writeComment(const QString&)
    {76, 696, 3, 1, 0, 0, 21},	//949 QXmlStreamWriter::writeDTD(const QString&)
    {76, 700, 3, 1, 0, 0, 22},	//950 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 700, 25, 2, 0, 0, 23},	//951 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 719, 25, 2, 0, 0, 24},	//952 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 719, 218, 3, 0, 0, 25},	//953 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 703, 0, 0, 0, 0, 26},	//954 QXmlStreamWriter::writeEndDocument()
    {76, 704, 0, 0, 0, 0, 27},	//955 QXmlStreamWriter::writeEndElement()
    {76, 705, 3, 1, 0, 0, 28},	//956 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 707, 25, 2, 0, 0, 29},	//957 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 698, 3, 1, 0, 0, 30},	//958 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 710, 25, 2, 0, 0, 31},	//959 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 713, 0, 0, 0, 0, 32},	//960 QXmlStreamWriter::writeStartDocument()
    {76, 713, 3, 1, 0, 0, 33},	//961 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 713, 90, 2, 0, 0, 34},	//962 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 716, 3, 1, 0, 0, 35},	//963 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 716, 25, 2, 0, 0, 36},	//964 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 694, 1115, 1, 0, 0, 37},	//965 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 707, 3, 1, 0, 0, 38},	//966 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 710, 3, 1, 0, 0, 39},	//967 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 753, 0, 0, Smoke::mf_dtor, 0, 40 },	//968 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    824,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    832,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    742,  // QXmlAttributes::type(int) const
    743,  // QXmlAttributes::type(const QString&) const
    0,
    745,  // QXmlAttributes::value(int) const
    746,  // QXmlAttributes::value(const QString&) const
    0,
    326,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    331,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    351,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    413,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    438,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    480,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    482,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    540,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    549,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    550,  // QGlobalSpace::operator!=(QChar, QChar)
    559,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    612,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    616,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    689,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    710,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    711,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    494,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    520,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    539,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    603,  // QGlobalSpace::operator!=(QBool, bool)
    641,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    496,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    521,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    600,  // QGlobalSpace::operator!=(bool, QBool)
    646,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    668,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    698,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    323,  // QGlobalSpace::operator*(const QPoint&, double)
    343,  // QGlobalSpace::operator*(const QSizeF&, double)
    425,  // QGlobalSpace::operator*(const QPointF&, double)
    617,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    325,  // QGlobalSpace::operator*(double, const QPointF&)
    327,  // QGlobalSpace::operator*(double, const QSizeF&)
    560,  // QGlobalSpace::operator*(double, const QSize&)
    568,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    332,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    374,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    634,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    669,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    701,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    357,  // QGlobalSpace::operator+(QChar, const QString&)
    455,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    575,  // QGlobalSpace::operator+(const QByteArray&, char)
    609,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    396,  // QGlobalSpace::operator+(char, const QByteArray&)
    534,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    670,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    709,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    391,  // QGlobalSpace::operator+(const QString&, const char*)
    399,  // QGlobalSpace::operator+(const char*, const QString&)
    457,  // QGlobalSpace::operator+(const QString&, char)
    516,  // QGlobalSpace::operator+(const QString&, const QString&)
    548,  // QGlobalSpace::operator+(char, const QString&)
    0,
    452,  // QGlobalSpace::operator-(const QPointF&)
    652,  // QGlobalSpace::operator-(const QPoint&)
    0,
    347,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    604,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    661,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    692,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    397,  // QGlobalSpace::operator/(const QPoint&, double)
    440,  // QGlobalSpace::operator/(const QSizeF&, double)
    576,  // QGlobalSpace::operator/(const QPointF&, double)
    679,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    416,  // QGlobalSpace::operator<(QChar, QChar)
    446,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    491,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    663,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    476,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    631,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    328,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    334,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    359,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    360,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    361,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    382,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    392,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    415,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    434,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    456,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    465,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    471,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    492,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    503,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    509,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    555,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    562,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    564,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    570,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    573,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    574,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    582,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    592,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    598,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    602,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    621,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    629,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    639,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    654,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    676,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    700,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    714,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    716,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    718,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    350,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    366,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    659,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    667,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    535,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    580,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    590,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    638,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    527,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    611,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    340,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    349,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    352,  // QGlobalSpace::operator==(QBool, QBool)
    354,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    409,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    431,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    461,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    487,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    528,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    538,  // QGlobalSpace::operator==(QChar, QChar)
    552,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    557,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    558,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    599,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    658,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    703,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    717,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    483,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    618,  // QGlobalSpace::operator==(QString::Null, const QString&)
    622,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    666,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    702,  // QGlobalSpace::operator==(QBool, bool)
    0,
    400,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    436,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    444,  // QGlobalSpace::operator==(const QString&, QString::Null)
    533,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    614,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    681,  // QGlobalSpace::operator==(bool, QBool)
    0,
    441,  // QGlobalSpace::operator>(QChar, QChar)
    498,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    525,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    643,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    344,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    594,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    348,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    458,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    485,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    578,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    417,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    442,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    356,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    394,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    407,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    408,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    448,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    472,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    495,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    536,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    595,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    620,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    664,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    673,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    680,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    688,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    537,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    657,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    339,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    341,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    365,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    384,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    388,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    404,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    411,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    420,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    423,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    428,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    430,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    450,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    466,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    470,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    486,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    501,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    506,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    524,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    531,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    553,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    605,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    613,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    615,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    619,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    626,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    627,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    632,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    687,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    694,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    0,
    322,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    330,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    338,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    358,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    369,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    379,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    383,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    385,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    387,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    389,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    393,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    395,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    398,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    412,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    414,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    421,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    437,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    439,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    463,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    464,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    468,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    473,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    478,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    499,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    500,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    502,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    504,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    507,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    508,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    510,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    514,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    522,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    523,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    529,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    530,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    542,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    544,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    547,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    556,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    579,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    585,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    588,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    597,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    633,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    637,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    644,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    649,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    655,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    662,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    672,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    682,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    683,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    690,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    696,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    704,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    705,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    712,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    713,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
    403,  // QGlobalSpace::qFuzzyCompare(double, double)
    589,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    462,  // QGlobalSpace::qFuzzyIsNull(double)
    695,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    320,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    353,  // QGlobalSpace::qHash(const QStringRef&)
    362,  // QGlobalSpace::qHash(const QBitArray&)
    419,  // QGlobalSpace::qHash(const QByteArray&)
    460,  // QGlobalSpace::qHash(QChar)
    561,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    336,  // QGlobalSpace::qHash(unsigned char)
    368,  // QGlobalSpace::qHash(const QString&)
    370,  // QGlobalSpace::qHash(unsigned short)
    372,  // QGlobalSpace::qHash(long)
    373,  // QGlobalSpace::qHash(long long)
    454,  // QGlobalSpace::qHash(unsigned long long)
    541,  // QGlobalSpace::qHash(signed char)
    571,  // QGlobalSpace::qHash(short)
    601,  // QGlobalSpace::qHash(unsigned long)
    640,  // QGlobalSpace::qHash(unsigned int)
    660,  // QGlobalSpace::qHash(int)
    685,  // QGlobalSpace::qHash(char)
    0,
    445,  // QGlobalSpace::qIntCast(float)
    488,  // QGlobalSpace::qIntCast(double)
    0,
    511,  // QGlobalSpace::qIsFinite(float)
    691,  // QGlobalSpace::qIsFinite(double)
    0,
    324,  // QGlobalSpace::qIsInf(double)
    378,  // QGlobalSpace::qIsInf(float)
    0,
    401,  // QGlobalSpace::qIsNaN(float)
    569,  // QGlobalSpace::qIsNaN(double)
    0,
    405,  // QGlobalSpace::qIsNull(float)
    484,  // QGlobalSpace::qIsNull(double)
    0,
    896,  // QXmlReader::parse(const QXmlInputSource&)
    897,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    930,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    931,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    922,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    923,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 266, 4},	// QDomAttr::name
    {10, 277, 9},	// QDomAttr::nodeType
    {10, 320, 3},	// QDomAttr::operator=#
    {10, 348, 6},	// QDomAttr::ownerElement
    {10, 627, 8},	// QDomAttr::setValue$
    {10, 631, 5},	// QDomAttr::specified
    {10, 676, 7},	// QDomAttr::value
    {10, 722, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 277, 14},	// QDomCDATASection::nodeType
    {11, 320, 13},	// QDomCDATASection::operator=#
    {11, 723, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 110, 20},	// QDomCharacterData::appendData$
    {12, 165, 25},	// QDomCharacterData::data
    {12, 168, 22},	// QDomCharacterData::deleteData$$
    {12, 233, 21},	// QDomCharacterData::insertData$$
    {12, 260, 24},	// QDomCharacterData::length
    {12, 277, 27},	// QDomCharacterData::nodeType
    {12, 320, 18},	// QDomCharacterData::operator=#
    {12, 551, 23},	// QDomCharacterData::replaceData$$$
    {12, 594, 26},	// QDomCharacterData::setData$
    {12, 647, 19},	// QDomCharacterData::substringData$$
    {12, 724, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 277, 32},	// QDomComment::nodeType
    {13, 320, 31},	// QDomComment::operator=#
    {13, 725, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -1},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 143, 45},	// QDomDocument::createAttribute$
    {14, 145, 50},	// QDomDocument::createAttributeNS$$
    {14, 147, 43},	// QDomDocument::createCDATASection$
    {14, 149, 42},	// QDomDocument::createComment$
    {14, 152, 40},	// QDomDocument::createDocumentFragment
    {14, 156, 39},	// QDomDocument::createElement$
    {14, 158, 49},	// QDomDocument::createElementNS$$
    {14, 160, 46},	// QDomDocument::createEntityReference$
    {14, 162, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 164, 41},	// QDomDocument::createTextNode$
    {14, 170, 53},	// QDomDocument::doctype
    {14, 171, 55},	// QDomDocument::documentElement
    {14, 173, 52},	// QDomDocument::elementById$
    {14, 175, 47},	// QDomDocument::elementsByTagName$
    {14, 177, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 221, 54},	// QDomDocument::implementation
    {14, 223, 48},	// QDomDocument::importNode#$
    {14, 277, 56},	// QDomDocument::nodeType
    {14, 320, 38},	// QDomDocument::operator=#
    {14, 574, -4},	// QDomDocument::setContent#
    {14, 575, 88},	// QDomDocument::setContent##
    {14, 576, 89},	// QDomDocument::setContent##$
    {14, 577, 90},	// QDomDocument::setContent##$$
    {14, 578, 64},	// QDomDocument::setContent##$$$
    {14, 579, -7},	// QDomDocument::setContent#$
    {14, 580, -13},	// QDomDocument::setContent#$$
    {14, 581, -19},	// QDomDocument::setContent#$$$
    {14, 582, -25},	// QDomDocument::setContent#$$$$
    {14, 583, 82},	// QDomDocument::setContent$
    {14, 584, -29},	// QDomDocument::setContent$$
    {14, 585, -32},	// QDomDocument::setContent$$$
    {14, 586, -35},	// QDomDocument::setContent$$$$
    {14, 587, 58},	// QDomDocument::setContent$$$$$
    {14, 653, 92},	// QDomDocument::toByteArray
    {14, 654, 66},	// QDomDocument::toByteArray$
    {14, 666, 91},	// QDomDocument::toString
    {14, 667, 65},	// QDomDocument::toString$
    {14, 726, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 277, 97},	// QDomDocumentFragment::nodeType
    {15, 320, 96},	// QDomDocumentFragment::operator=#
    {15, 727, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 187, 103},	// QDomDocumentType::entities
    {16, 236, 107},	// QDomDocumentType::internalSubset
    {16, 266, 102},	// QDomDocumentType::name
    {16, 277, 108},	// QDomDocumentType::nodeType
    {16, 283, 104},	// QDomDocumentType::notations
    {16, 320, 101},	// QDomDocumentType::operator=#
    {16, 369, 105},	// QDomDocumentType::publicId
    {16, 648, 106},	// QDomDocumentType::systemId
    {16, 728, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 114, 144},	// QDomElement::attribute$
    {17, 115, 113},	// QDomElement::attribute$$
    {17, 119, 145},	// QDomElement::attributeNS$$
    {17, 120, 127},	// QDomElement::attributeNS$$$
    {17, 122, 122},	// QDomElement::attributeNode$
    {17, 124, 135},	// QDomElement::attributeNodeNS$$
    {17, 125, 141},	// QDomElement::attributes
    {17, 175, 125},	// QDomElement::elementsByTagName$
    {17, 177, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 208, 126},	// QDomElement::hasAttribute$
    {17, 210, 138},	// QDomElement::hasAttributeNS$$
    {17, 277, 142},	// QDomElement::nodeType
    {17, 320, 112},	// QDomElement::operator=#
    {17, 537, 121},	// QDomElement::removeAttribute$
    {17, 539, 134},	// QDomElement::removeAttributeNS$$
    {17, 541, 124},	// QDomElement::removeAttributeNode#
    {17, 559, -396},	// QDomElement::setAttribute$$
    {17, 561, -404},	// QDomElement::setAttributeNS$$$
    {17, 563, 123},	// QDomElement::setAttributeNode#
    {17, 565, 136},	// QDomElement::setAttributeNodeNS#
    {17, 625, 140},	// QDomElement::setTagName$
    {17, 649, 139},	// QDomElement::tagName
    {17, 651, 143},	// QDomElement::text
    {17, 729, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 277, 153},	// QDomEntity::nodeType
    {18, 282, 152},	// QDomEntity::notationName
    {18, 320, 149},	// QDomEntity::operator=#
    {18, 369, 150},	// QDomEntity::publicId
    {18, 648, 151},	// QDomEntity::systemId
    {18, 730, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 277, 158},	// QDomEntityReference::nodeType
    {19, 320, 157},	// QDomEntityReference::operator=#
    {19, 731, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 151, 167},	// QDomImplementation::createDocument$$#
    {20, 154, 166},	// QDomImplementation::createDocumentType$$$
    {20, 215, 165},	// QDomImplementation::hasFeature$$
    {20, 237, 168},	// QDomImplementation::invalidDataPolicy
    {20, 250, 170},	// QDomImplementation::isNull
    {20, 285, 164},	// QDomImplementation::operator!=#
    {20, 320, 162},	// QDomImplementation::operator=#
    {20, 322, 163},	// QDomImplementation::operator==#
    {20, 610, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 732, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 139, 191},	// QDomNamedNodeMap::contains$
    {21, 141, 188},	// QDomNamedNodeMap::count
    {21, 246, 190},	// QDomNamedNodeMap::isEmpty
    {21, 256, 183},	// QDomNamedNodeMap::item$
    {21, 260, 187},	// QDomNamedNodeMap::length
    {21, 268, 180},	// QDomNamedNodeMap::namedItem$
    {21, 270, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 285, 179},	// QDomNamedNodeMap::operator!=#
    {21, 320, 177},	// QDomNamedNodeMap::operator=#
    {21, 322, 178},	// QDomNamedNodeMap::operator==#
    {21, 545, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 547, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 614, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 616, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 628, 189},	// QDomNamedNodeMap::size
    {21, 733, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 108, 202},	// QDomNode::appendChild#
    {22, 125, 215},	// QDomNode::attributes
    {22, 130, 210},	// QDomNode::childNodes
    {22, 131, 239},	// QDomNode::clear
    {22, 132, 261},	// QDomNode::cloneNode
    {22, 133, 204},	// QDomNode::cloneNode$
    {22, 135, 260},	// QDomNode::columnNumber
    {22, 201, 211},	// QDomNode::firstChild
    {22, 202, 262},	// QDomNode::firstChildElement
    {22, 203, 255},	// QDomNode::firstChildElement$
    {22, 211, 219},	// QDomNode::hasAttributes
    {22, 212, 203},	// QDomNode::hasChildNodes
    {22, 220, 266},	// QDomNode::impl
    {22, 229, 199},	// QDomNode::insertAfter##
    {22, 231, 198},	// QDomNode::insertBefore##
    {22, 238, 224},	// QDomNode::isAttr
    {22, 239, 225},	// QDomNode::isCDATASection
    {22, 240, 235},	// QDomNode::isCharacterData
    {22, 241, 236},	// QDomNode::isComment
    {22, 242, 227},	// QDomNode::isDocument
    {22, 243, 226},	// QDomNode::isDocumentFragment
    {22, 244, 228},	// QDomNode::isDocumentType
    {22, 245, 229},	// QDomNode::isElement
    {22, 247, 232},	// QDomNode::isEntity
    {22, 248, 230},	// QDomNode::isEntityReference
    {22, 249, 233},	// QDomNode::isNotation
    {22, 250, 238},	// QDomNode::isNull
    {22, 251, 234},	// QDomNode::isProcessingInstruction
    {22, 253, 206},	// QDomNode::isSupported$$
    {22, 254, 231},	// QDomNode::isText
    {22, 257, 212},	// QDomNode::lastChild
    {22, 258, 263},	// QDomNode::lastChildElement
    {22, 259, 256},	// QDomNode::lastChildElement$
    {22, 262, 259},	// QDomNode::lineNumber
    {22, 263, 218},	// QDomNode::localName
    {22, 268, 237},	// QDomNode::namedItem$
    {22, 271, 217},	// QDomNode::namespaceURI
    {22, 273, 214},	// QDomNode::nextSibling
    {22, 274, 265},	// QDomNode::nextSiblingElement
    {22, 275, 258},	// QDomNode::nextSiblingElement$
    {22, 276, 207},	// QDomNode::nodeName
    {22, 277, 208},	// QDomNode::nodeType
    {22, 278, 220},	// QDomNode::nodeValue
    {22, 279, 205},	// QDomNode::normalize
    {22, 285, 197},	// QDomNode::operator!=#
    {22, 320, 195},	// QDomNode::operator=#
    {22, 322, 196},	// QDomNode::operator==#
    {22, 347, 216},	// QDomNode::ownerDocument
    {22, 349, 209},	// QDomNode::parentNode
    {22, 355, 222},	// QDomNode::prefix
    {22, 359, 213},	// QDomNode::previousSibling
    {22, 360, 264},	// QDomNode::previousSiblingElement
    {22, 361, 257},	// QDomNode::previousSiblingElement$
    {22, 543, 201},	// QDomNode::removeChild#
    {22, 549, 200},	// QDomNode::replaceChild##
    {22, 556, 253},	// QDomNode::save#$
    {22, 557, 254},	// QDomNode::save#$$
    {22, 608, 267},	// QDomNode::setImpl#
    {22, 618, 221},	// QDomNode::setNodeValue$
    {22, 620, 223},	// QDomNode::setPrefix$
    {22, 652, 240},	// QDomNode::toAttr
    {22, 655, 241},	// QDomNode::toCDATASection
    {22, 656, 251},	// QDomNode::toCharacterData
    {22, 657, 252},	// QDomNode::toComment
    {22, 658, 243},	// QDomNode::toDocument
    {22, 659, 242},	// QDomNode::toDocumentFragment
    {22, 660, 244},	// QDomNode::toDocumentType
    {22, 661, 245},	// QDomNode::toElement
    {22, 662, 248},	// QDomNode::toEntity
    {22, 663, 246},	// QDomNode::toEntityReference
    {22, 664, 249},	// QDomNode::toNotation
    {22, 665, 250},	// QDomNode::toProcessingInstruction
    {22, 668, 247},	// QDomNode::toText
    {22, 734, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 112, 291},	// QDomNodeList::at$
    {23, 141, 293},	// QDomNodeList::count
    {23, 246, 295},	// QDomNodeList::isEmpty
    {23, 256, 290},	// QDomNodeList::item$
    {23, 260, 292},	// QDomNodeList::length
    {23, 285, 289},	// QDomNodeList::operator!=#
    {23, 320, 287},	// QDomNodeList::operator=#
    {23, 322, 288},	// QDomNodeList::operator==#
    {23, 628, 294},	// QDomNodeList::size
    {23, 735, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 277, 302},	// QDomNotation::nodeType
    {25, 320, 299},	// QDomNotation::operator=#
    {25, 369, 300},	// QDomNotation::publicId
    {25, 648, 301},	// QDomNotation::systemId
    {25, 736, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 165, 308},	// QDomProcessingInstruction::data
    {26, 277, 310},	// QDomProcessingInstruction::nodeType
    {26, 320, 306},	// QDomProcessingInstruction::operator=#
    {26, 594, 309},	// QDomProcessingInstruction::setData$
    {26, 650, 307},	// QDomProcessingInstruction::target
    {26, 737, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 277, 316},	// QDomText::nodeType
    {27, 320, 314},	// QDomText::operator=#
    {27, 635, 315},	// QDomText::splitText$
    {27, 738, 317},	// QDomText::~QDomText
    {29, 89, 726},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 724},	// QGlobalSpace::QtDebugMsg
    {29, 91, 727},	// QGlobalSpace::QtFatalMsg
    {29, 92, 728},	// QGlobalSpace::QtSystemMsg
    {29, 93, 725},	// QGlobalSpace::QtWarningMsg
    {29, 96, 719},	// QGlobalSpace::_IEEE_
    {29, 97, 723},	// QGlobalSpace::_ISOC_
    {29, 98, 722},	// QGlobalSpace::_POSIX_
    {29, 99, 720},	// QGlobalSpace::_SVID_
    {29, 100, 721},	// QGlobalSpace::_XOPEN_
    {29, 101, 731},	// QGlobalSpace::__codecvt_error
    {29, 102, 732},	// QGlobalSpace::__codecvt_noconv
    {29, 103, 729},	// QGlobalSpace::__codecvt_ok
    {29, 104, 730},	// QGlobalSpace::__codecvt_partial
    {29, 286, -47},	// QGlobalSpace::operator!=##
    {29, 287, -64},	// QGlobalSpace::operator!=#$
    {29, 288, -70},	// QGlobalSpace::operator!=$#
    {29, 289, 519},	// QGlobalSpace::operator!=$$
    {29, 291, 318},	// QGlobalSpace::operator&##
    {29, 293, -77},	// QGlobalSpace::operator*#$
    {29, 294, -82},	// QGlobalSpace::operator*$#
    {29, 296, -87},	// QGlobalSpace::operator+##
    {29, 297, -93},	// QGlobalSpace::operator+#$
    {29, 298, -98},	// QGlobalSpace::operator+$#
    {29, 299, -103},	// QGlobalSpace::operator+$$
    {29, 301, -109},	// QGlobalSpace::operator-#
    {29, 302, -112},	// QGlobalSpace::operator-##
    {29, 304, -117},	// QGlobalSpace::operator/#$
    {29, 306, -122},	// QGlobalSpace::operator<##
    {29, 307, 381},	// QGlobalSpace::operator<#$
    {29, 308, -127},	// QGlobalSpace::operator<$#
    {29, 309, 518},	// QGlobalSpace::operator<$$
    {29, 311, -130},	// QGlobalSpace::operator<<##
    {29, 312, -172},	// QGlobalSpace::operator<<#$
    {29, 313, 375},	// QGlobalSpace::operator<<#?
    {29, 315, -178},	// QGlobalSpace::operator<=##
    {29, 316, 481},	// QGlobalSpace::operator<=#$
    {29, 317, -183},	// QGlobalSpace::operator<=$#
    {29, 318, 410},	// QGlobalSpace::operator<=$$
    {29, 323, -186},	// QGlobalSpace::operator==##
    {29, 324, -204},	// QGlobalSpace::operator==#$
    {29, 325, -210},	// QGlobalSpace::operator==$#
    {29, 326, 675},	// QGlobalSpace::operator==$$
    {29, 328, -217},	// QGlobalSpace::operator>##
    {29, 329, 630},	// QGlobalSpace::operator>#$
    {29, 330, -222},	// QGlobalSpace::operator>$#
    {29, 331, 625},	// QGlobalSpace::operator>$$
    {29, 333, -225},	// QGlobalSpace::operator>=##
    {29, 334, 567},	// QGlobalSpace::operator>=#$
    {29, 335, -230},	// QGlobalSpace::operator>=$#
    {29, 336, 684},	// QGlobalSpace::operator>=$$
    {29, 338, -233},	// QGlobalSpace::operator>>##
    {29, 339, -254},	// QGlobalSpace::operator>>#$
    {29, 340, 607},	// QGlobalSpace::operator>>#?
    {29, 342, 489},	// QGlobalSpace::operator^##
    {29, 344, 532},	// QGlobalSpace::operator|##
    {29, 345, -257},	// QGlobalSpace::operator|?$
    {29, 346, -287},	// QGlobalSpace::operator|??
    {29, 372, 497},	// QGlobalSpace::qAcos$
    {29, 374, 477},	// QGlobalSpace::qAddPostRoutine$
    {29, 375, 459},	// QGlobalSpace::qAppName
    {29, 377, 584},	// QGlobalSpace::qAsin$
    {29, 379, 364},	// QGlobalSpace::qAtan$
    {29, 381, 469},	// QGlobalSpace::qAtan2$$
    {29, 383, 345},	// QGlobalSpace::qCeil$
    {29, 385, 490},	// QGlobalSpace::qChecksum$$
    {29, 387, 475},	// QGlobalSpace::qCompress#
    {29, 388, 474},	// QGlobalSpace::qCompress#$
    {29, 389, 648},	// QGlobalSpace::qCompress$$
    {29, 390, 647},	// QGlobalSpace::qCompress$$$
    {29, 392, 376},	// QGlobalSpace::qCos$
    {29, 393, 319},	// QGlobalSpace::qCritical
    {29, 394, 651},	// QGlobalSpace::qDebug
    {29, 396, 479},	// QGlobalSpace::qExp$
    {29, 398, 333},	// QGlobalSpace::qFabs$
    {29, 400, 677},	// QGlobalSpace::qFastCos$
    {29, 402, 699},	// QGlobalSpace::qFastSin$
    {29, 404, 565},	// QGlobalSpace::qFlagLocation$
    {29, 406, 554},	// QGlobalSpace::qFloor$
    {29, 408, 636},	// QGlobalSpace::qFree$
    {29, 410, 443},	// QGlobalSpace::qFreeAligned$
    {29, 412, -346},	// QGlobalSpace::qFuzzyCompare$$
    {29, 414, -349},	// QGlobalSpace::qFuzzyIsNull$
    {29, 416, -352},	// QGlobalSpace::qHash#
    {29, 417, -359},	// QGlobalSpace::qHash$
    {29, 418, 572},	// QGlobalSpace::qInf
    {29, 420, 433},	// QGlobalSpace::qInstallMsgHandler$
    {29, 422, -372},	// QGlobalSpace::qIntCast$
    {29, 424, -375},	// QGlobalSpace::qIsFinite$
    {29, 426, -378},	// QGlobalSpace::qIsInf$
    {29, 428, -381},	// QGlobalSpace::qIsNaN$
    {29, 430, -384},	// QGlobalSpace::qIsNull$
    {29, 432, 606},	// QGlobalSpace::qLn$
    {29, 434, 715},	// QGlobalSpace::qMalloc?
    {29, 436, 645},	// QGlobalSpace::qMallocAligned??
    {29, 438, 566},	// QGlobalSpace::qMemCopy$$?
    {29, 440, 467},	// QGlobalSpace::qMemSet$$?
    {29, 444, 665},	// QGlobalSpace::qPow$$
    {29, 445, 335},	// QGlobalSpace::qQNaN
    {29, 447, 515},	// QGlobalSpace::qRealloc$?
    {29, 449, 453},	// QGlobalSpace::qReallocAligned$???
    {29, 451, 371},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 453, 563},	// QGlobalSpace::qRemovePostRoutine$
    {29, 455, 526},	// QGlobalSpace::qRound$
    {29, 457, 642},	// QGlobalSpace::qRound64$
    {29, 458, 693},	// QGlobalSpace::qSNaN
    {29, 460, 596},	// QGlobalSpace::qSetFieldWidth$
    {29, 462, 427},	// QGlobalSpace::qSetPadChar#
    {29, 464, 581},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 465, 432},	// QGlobalSpace::qSharedBuild
    {29, 467, 583},	// QGlobalSpace::qSin$
    {29, 469, 545},	// QGlobalSpace::qSqrt$
    {29, 471, 449},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 472, 671},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 474, 656},	// QGlobalSpace::qTan$
    {29, 476, 577},	// QGlobalSpace::qUncompress#
    {29, 477, 697},	// QGlobalSpace::qUncompress$$
    {29, 478, 337},	// QGlobalSpace::qVersion
    {29, 479, 386},	// QGlobalSpace::qWarning
    {29, 481, 363},	// QGlobalSpace::qbswap_helper$$$
    {29, 483, 587},	// QGlobalSpace::qgcvt$$$
    {29, 485, 493},	// QGlobalSpace::qgetenv$
    {29, 487, 447},	// QGlobalSpace::qputenv$#
    {29, 488, 346},	// QGlobalSpace::qrand
    {29, 490, 628},	// QGlobalSpace::qsort$???
    {29, 492, 377},	// QGlobalSpace::qsrand$
    {29, 494, 426},	// QGlobalSpace::qstrcmp##
    {29, 495, 429},	// QGlobalSpace::qstrcmp#$
    {29, 496, 653},	// QGlobalSpace::qstrcmp$#
    {29, 497, 546},	// QGlobalSpace::qstrcmp$$
    {29, 499, 329},	// QGlobalSpace::qstrcpy$$
    {29, 501, 650},	// QGlobalSpace::qstrdup$
    {29, 503, 586},	// QGlobalSpace::qstricmp$$
    {29, 505, 608},	// QGlobalSpace::qstrlen$
    {29, 507, 451},	// QGlobalSpace::qstrncmp$$$
    {29, 509, 505},	// QGlobalSpace::qstrncpy$$$
    {29, 511, 418},	// QGlobalSpace::qstrnicmp$$$
    {29, 513, 551},	// QGlobalSpace::qstrnlen$$
    {29, 515, 707},	// QGlobalSpace::qtTrId$
    {29, 516, 706},	// QGlobalSpace::qtTrId$$
    {29, 518, 321},	// QGlobalSpace::qt_assert$$$
    {29, 520, 517},	// QGlobalSpace::qt_assert_x$$$$
    {29, 522, 422},	// QGlobalSpace::qt_check_pointer$$
    {29, 523, 513},	// QGlobalSpace::qt_error_string
    {29, 524, 512},	// QGlobalSpace::qt_error_string$
    {29, 526, 674},	// QGlobalSpace::qt_message_output$$
    {29, 527, 593},	// QGlobalSpace::qt_noop
    {29, 529, 435},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 531, 623},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 533, 367},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 535, 591},	// QGlobalSpace::qvsnprintf$?$?
    {59, 56, 733},	// QXmlAttributes::QXmlAttributes
    {59, 57, 751},	// QXmlAttributes::QXmlAttributes#
    {59, 106, 750},	// QXmlAttributes::append$$$$
    {59, 131, 749},	// QXmlAttributes::clear
    {59, 141, 738},	// QXmlAttributes::count
    {59, 225, 735},	// QXmlAttributes::index#
    {59, 226, 734},	// QXmlAttributes::index$
    {59, 227, 736},	// QXmlAttributes::index$$
    {59, 260, 737},	// QXmlAttributes::length
    {59, 264, 739},	// QXmlAttributes::localName$
    {59, 442, 740},	// QXmlAttributes::qName$
    {59, 670, -41},	// QXmlAttributes::type$
    {59, 671, 744},	// QXmlAttributes::type$$
    {59, 675, 741},	// QXmlAttributes::uri$
    {59, 677, 747},	// QXmlAttributes::value#
    {59, 678, -44},	// QXmlAttributes::value$
    {59, 679, 748},	// QXmlAttributes::value$$
    {59, 739, 752},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 765},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 766},	// QXmlContentHandler::QXmlContentHandler#
    {60, 129, 760},	// QXmlContentHandler::characters$
    {60, 180, 755},	// QXmlContentHandler::endDocument
    {60, 182, 759},	// QXmlContentHandler::endElement$$$
    {60, 186, 757},	// QXmlContentHandler::endPrefixMapping$
    {60, 192, 764},	// QXmlContentHandler::errorString
    {60, 219, 761},	// QXmlContentHandler::ignorableWhitespace$
    {60, 365, 762},	// QXmlContentHandler::processingInstruction$$
    {60, 600, 753},	// QXmlContentHandler::setDocumentLocator#
    {60, 630, 763},	// QXmlContentHandler::skippedEntity$
    {60, 639, 754},	// QXmlContentHandler::startDocument
    {60, 641, 758},	// QXmlContentHandler::startElement$$$#
    {60, 645, 756},	// QXmlContentHandler::startPrefixMapping$$
    {60, 740, 767},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 771},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 772},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 192, 770},	// QXmlDTDHandler::errorString
    {61, 281, 768},	// QXmlDTDHandler::notationDecl$$$
    {61, 673, 769},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 741, 773},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 778},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 779},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 117, 774},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 192, 777},	// QXmlDeclHandler::errorString
    {62, 194, 776},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 235, 775},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 742, 780},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 781},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 117, 806},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 129, 789},	// QXmlDefaultHandler::characters$
    {63, 137, 805},	// QXmlDefaultHandler::comment$
    {63, 178, 804},	// QXmlDefaultHandler::endCDATA
    {63, 179, 800},	// QXmlDefaultHandler::endDTD
    {63, 180, 784},	// QXmlDefaultHandler::endDocument
    {63, 182, 788},	// QXmlDefaultHandler::endElement$$$
    {63, 184, 802},	// QXmlDefaultHandler::endEntity$
    {63, 186, 786},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 190, 794},	// QXmlDefaultHandler::error#
    {63, 192, 809},	// QXmlDefaultHandler::errorString
    {63, 194, 808},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 196, 795},	// QXmlDefaultHandler::fatalError#
    {63, 219, 790},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 235, 807},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 281, 796},	// QXmlDefaultHandler::notationDecl$$$
    {63, 365, 791},	// QXmlDefaultHandler::processingInstruction$$
    {63, 554, 798},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 600, 782},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 630, 792},	// QXmlDefaultHandler::skippedEntity$
    {63, 636, 803},	// QXmlDefaultHandler::startCDATA
    {63, 638, 799},	// QXmlDefaultHandler::startDTD$$$
    {63, 639, 783},	// QXmlDefaultHandler::startDocument
    {63, 641, 787},	// QXmlDefaultHandler::startElement$$$#
    {63, 643, 801},	// QXmlDefaultHandler::startEntity$
    {63, 645, 785},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 673, 797},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 681, 793},	// QXmlDefaultHandler::warning#
    {63, 743, 810},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 813},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 814},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 192, 812},	// QXmlEntityResolver::errorString
    {64, 554, 811},	// QXmlEntityResolver::resolveEntity$$#
    {64, 744, 815},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 820},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 821},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 190, 817},	// QXmlErrorHandler::error#
    {65, 192, 819},	// QXmlErrorHandler::errorString
    {65, 196, 818},	// QXmlErrorHandler::fatalError#
    {65, 681, 816},	// QXmlErrorHandler::warning#
    {65, 745, 822},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 834},	// QXmlInputSource::EndOfData
    {66, 16, 835},	// QXmlInputSource::EndOfDocument
    {66, 69, 823},	// QXmlInputSource::QXmlInputSource
    {66, 70, -38},	// QXmlInputSource::QXmlInputSource#
    {66, 165, 828},	// QXmlInputSource::data
    {66, 200, 827},	// QXmlInputSource::fetchData
    {66, 205, 833},	// QXmlInputSource::fromRawData#
    {66, 206, 831},	// QXmlInputSource::fromRawData#$
    {66, 272, 829},	// QXmlInputSource::next
    {66, 552, 830},	// QXmlInputSource::reset
    {66, 593, 826},	// QXmlInputSource::setData#
    {66, 594, 825},	// QXmlInputSource::setData$
    {66, 746, 836},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 845},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 846},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 137, 843},	// QXmlLexicalHandler::comment$
    {67, 178, 842},	// QXmlLexicalHandler::endCDATA
    {67, 179, 838},	// QXmlLexicalHandler::endDTD
    {67, 184, 840},	// QXmlLexicalHandler::endEntity$
    {67, 192, 844},	// QXmlLexicalHandler::errorString
    {67, 636, 841},	// QXmlLexicalHandler::startCDATA
    {67, 638, 837},	// QXmlLexicalHandler::startDTD$$$
    {67, 643, 839},	// QXmlLexicalHandler::startEntity$
    {67, 747, 847},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 848},	// QXmlLocator::QXmlLocator
    {68, 74, 851},	// QXmlLocator::QXmlLocator#
    {68, 135, 849},	// QXmlLocator::columnNumber
    {68, 262, 850},	// QXmlLocator::lineNumber
    {68, 748, 852},	// QXmlLocator::~QXmlLocator
    {69, 75, 853},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 354, 862},	// QXmlNamespaceSupport::popContext
    {69, 356, 855},	// QXmlNamespaceSupport::prefix$
    {69, 357, 859},	// QXmlNamespaceSupport::prefixes
    {69, 358, 860},	// QXmlNamespaceSupport::prefixes$
    {69, 363, 858},	// QXmlNamespaceSupport::processName$$$$
    {69, 370, 861},	// QXmlNamespaceSupport::pushContext
    {69, 552, 863},	// QXmlNamespaceSupport::reset
    {69, 621, 854},	// QXmlNamespaceSupport::setPrefix$$
    {69, 633, 857},	// QXmlNamespaceSupport::splitName$$$
    {69, 675, 856},	// QXmlNamespaceSupport::uri$
    {69, 749, 864},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 872},	// QXmlParseException::QXmlParseException
    {70, 77, 866},	// QXmlParseException::QXmlParseException#
    {70, 78, 873},	// QXmlParseException::QXmlParseException$
    {70, 79, 874},	// QXmlParseException::QXmlParseException$$
    {70, 80, 875},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 876},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 865},	// QXmlParseException::QXmlParseException$$$$$
    {70, 135, 867},	// QXmlParseException::columnNumber
    {70, 262, 868},	// QXmlParseException::lineNumber
    {70, 265, 871},	// QXmlParseException::message
    {70, 369, 869},	// QXmlParseException::publicId
    {70, 648, 870},	// QXmlParseException::systemId
    {70, 750, 877},	// QXmlParseException::~QXmlParseException
    {71, 7, 887},	// QXmlReader::DTDHandler
    {71, 83, 898},	// QXmlReader::QXmlReader
    {71, 84, 899},	// QXmlReader::QXmlReader#
    {71, 140, 889},	// QXmlReader::contentHandler
    {71, 166, 895},	// QXmlReader::declHandler
    {71, 188, 885},	// QXmlReader::entityResolver
    {71, 191, 891},	// QXmlReader::errorHandler
    {71, 198, 900},	// QXmlReader::feature$
    {71, 199, 878},	// QXmlReader::feature$$
    {71, 214, 880},	// QXmlReader::hasFeature$
    {71, 217, 883},	// QXmlReader::hasProperty$
    {71, 261, 893},	// QXmlReader::lexicalHandler
    {71, 351, -387},	// QXmlReader::parse#
    {71, 367, 901},	// QXmlReader::property$
    {71, 368, 881},	// QXmlReader::property$$
    {71, 589, 888},	// QXmlReader::setContentHandler#
    {71, 591, 886},	// QXmlReader::setDTDHandler#
    {71, 596, 894},	// QXmlReader::setDeclHandler#
    {71, 602, 884},	// QXmlReader::setEntityResolver#
    {71, 604, 890},	// QXmlReader::setErrorHandler#
    {71, 606, 879},	// QXmlReader::setFeature$$
    {71, 612, 892},	// QXmlReader::setLexicalHandler#
    {71, 623, 882},	// QXmlReader::setProperty$$
    {71, 751, 902},	// QXmlReader::~QXmlReader
    {72, 7, 913},	// QXmlSimpleReader::DTDHandler
    {72, 85, 903},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 140, 915},	// QXmlSimpleReader::contentHandler
    {72, 166, 921},	// QXmlSimpleReader::declHandler
    {72, 188, 911},	// QXmlSimpleReader::entityResolver
    {72, 191, 917},	// QXmlSimpleReader::errorHandler
    {72, 198, 926},	// QXmlSimpleReader::feature$
    {72, 199, 904},	// QXmlSimpleReader::feature$$
    {72, 214, 906},	// QXmlSimpleReader::hasFeature$
    {72, 217, 909},	// QXmlSimpleReader::hasProperty$
    {72, 261, 919},	// QXmlSimpleReader::lexicalHandler
    {72, 351, -393},	// QXmlSimpleReader::parse#
    {72, 352, 924},	// QXmlSimpleReader::parse#$
    {72, 353, 925},	// QXmlSimpleReader::parseContinue
    {72, 367, 927},	// QXmlSimpleReader::property$
    {72, 368, 907},	// QXmlSimpleReader::property$$
    {72, 589, 914},	// QXmlSimpleReader::setContentHandler#
    {72, 591, 912},	// QXmlSimpleReader::setDTDHandler#
    {72, 596, 920},	// QXmlSimpleReader::setDeclHandler#
    {72, 602, 910},	// QXmlSimpleReader::setEntityResolver#
    {72, 604, 916},	// QXmlSimpleReader::setErrorHandler#
    {72, 606, 905},	// QXmlSimpleReader::setFeature$$
    {72, 612, 918},	// QXmlSimpleReader::setLexicalHandler#
    {72, 623, 908},	// QXmlSimpleReader::setProperty$$
    {72, 752, 928},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 929},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -390},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 932},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 126, 939},	// QXmlStreamWriter::autoFormatting
    {76, 127, 941},	// QXmlStreamWriter::autoFormattingIndent
    {76, 134, 937},	// QXmlStreamWriter::codec
    {76, 169, 934},	// QXmlStreamWriter::device
    {76, 567, 938},	// QXmlStreamWriter::setAutoFormatting$
    {76, 569, 940},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 571, 935},	// QXmlStreamWriter::setCodec#
    {76, 572, 936},	// QXmlStreamWriter::setCodec$
    {76, 598, 933},	// QXmlStreamWriter::setDevice#
    {76, 683, 944},	// QXmlStreamWriter::writeAttribute#
    {76, 684, 942},	// QXmlStreamWriter::writeAttribute$$
    {76, 685, 943},	// QXmlStreamWriter::writeAttribute$$$
    {76, 687, 945},	// QXmlStreamWriter::writeAttributes#
    {76, 689, 946},	// QXmlStreamWriter::writeCDATA$
    {76, 691, 947},	// QXmlStreamWriter::writeCharacters$
    {76, 693, 948},	// QXmlStreamWriter::writeComment$
    {76, 695, 965},	// QXmlStreamWriter::writeCurrentToken#
    {76, 697, 949},	// QXmlStreamWriter::writeDTD$
    {76, 699, 958},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 701, 950},	// QXmlStreamWriter::writeEmptyElement$
    {76, 702, 951},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 703, 954},	// QXmlStreamWriter::writeEndDocument
    {76, 704, 955},	// QXmlStreamWriter::writeEndElement
    {76, 706, 956},	// QXmlStreamWriter::writeEntityReference$
    {76, 708, 966},	// QXmlStreamWriter::writeNamespace$
    {76, 709, 957},	// QXmlStreamWriter::writeNamespace$$
    {76, 711, 967},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 712, 959},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 713, 960},	// QXmlStreamWriter::writeStartDocument
    {76, 714, 961},	// QXmlStreamWriter::writeStartDocument$
    {76, 715, 962},	// QXmlStreamWriter::writeStartDocument$$
    {76, 717, 963},	// QXmlStreamWriter::writeStartElement$
    {76, 718, 964},	// QXmlStreamWriter::writeStartElement$$
    {76, 720, 952},	// QXmlStreamWriter::writeTextElement$$
    {76, 721, 953},	// QXmlStreamWriter::writeTextElement$$$
    {76, 753, 968},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 969,
        __smokeqtxml::methodMaps, 669,
        __smokeqtxml::methodNames, 753,
        __smokeqtxml::types, 353,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
