#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 26: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QUrl
      switch(to) {
        case 10: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 11:   //QVariant
      switch(to) {
        case 11: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Backend
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 13: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::BackendSetting
      switch(to) {
        case 14: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BindingSet
      switch(to) {
        case 15: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Error::Error
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::ErrorCache
      switch(to) {
        case 17: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorData
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::Locator
      switch(to) {
        case 19: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::ParserError
      switch(to) {
        case 16: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 20: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::FilterModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Inference::Rule
      switch(to) {
        case 23: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::LanguageTag
      switch(to) {
        case 24: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::LiteralValue
      switch(to) {
        case 25: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 26: return (void*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Node
      switch(to) {
        case 27: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::NodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Parser
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 29: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Plugin
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)xptr;
        case 35: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 13: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 29: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::PluginManager
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 31: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::QueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 33: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::RdfSchemaModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 34: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::Serializer
      switch(to) {
        case 30: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 35: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::Statement
      switch(to) {
        case 36: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::StatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::StorageModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 38: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::Util::AsyncModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 39: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 40: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncResult
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 42: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 21: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 26: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 17: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 43: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 28: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 44: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 37: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 45: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    30, 17, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    16, 0,	// 4: Soprano::Error::Error
    26, 0,	// 6: Soprano::Model
    21, 0,	// 8: Soprano::FilterModel
    6, 17, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    6, 0,	// 15: QObject
    28, 0,	// 17: Soprano::NodeIterator
    37, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__MutexModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QUrl", true, 0, 0, 0, 0, 0 },	//10
    { "QVariant", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano", false, 0, xcall_Soprano, 0, Smoke::cf_namespace, 0 },	//12
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//13
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//14
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//16
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//17
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//20
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//21
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//22
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//26
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//27
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//28
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//29
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//30
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//31
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//32
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//34
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//35
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//36
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//37
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//38
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//39
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//40
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//41
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//42
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//43
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//44
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//45
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//46
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//47
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//53
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//5
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//14
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//17
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//18
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QUrl", 10, Smoke::t_class|Smoke::tf_stack },	//20
    { "QVariant", 11, Smoke::t_class|Smoke::tf_stack },	//21
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Soprano::BackendFeature", 12, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Soprano::BackendFeatures", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "Soprano::BackendOption", 12, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Soprano::BackendSetting", 14, Smoke::t_class|Smoke::tf_stack },	//98
    { "Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref },	//99
    { "Soprano::BackendSetting*", 14, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Soprano::BindingSet", 15, Smoke::t_class|Smoke::tf_stack },	//101
    { "Soprano::Error::Error", 16, Smoke::t_class|Smoke::tf_stack },	//102
    { "Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref },	//103
    { "Soprano::Error::Error*", 16, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Soprano::Error::ErrorCache*", 17, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Soprano::Error::ErrorData*", 18, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Soprano::Error::Locator", 19, Smoke::t_class|Smoke::tf_stack },	//108
    { "Soprano::Error::ParserError", 20, Smoke::t_class|Smoke::tf_stack },	//109
    { "Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref },	//110
    { "Soprano::Error::ParserError*", 20, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Soprano::FilterModel*", 21, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Soprano::Inference::InferenceModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//115
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//116
    { "Soprano::LiteralValue", 25, Smoke::t_class|Smoke::tf_stack },	//117
    { "Soprano::Model*", 26, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Soprano::Node", 27, Smoke::t_class|Smoke::tf_stack },	//119
    { "Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref },	//120
    { "Soprano::Node*", 27, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Soprano::Node::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Soprano::NodeIterator", 28, Smoke::t_class|Smoke::tf_stack },	//123
    { "Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref },	//124
    { "Soprano::NodeIterator*", 28, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Soprano::Plugin*", 30, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Soprano::PluginManager*", 31, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Soprano::QueryResultIterator", 32, Smoke::t_class|Smoke::tf_stack },	//130
    { "Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref },	//131
    { "Soprano::QueryResultIterator*", 32, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Soprano::QueryResultIteratorBackend*", 33, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::RdfSchemaModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Soprano::RdfSerialization", 12, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Soprano::RdfSerializations", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Soprano::Statement", 36, Smoke::t_class|Smoke::tf_stack },	//138
    { "Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref },	//139
    { "Soprano::Statement*", 36, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Soprano::StatementIterator", 37, Smoke::t_class|Smoke::tf_stack },	//141
    { "Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref },	//142
    { "Soprano::StatementIterator*", 37, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Soprano::StorageModel*", 38, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Soprano::Util::AsyncModel*", 39, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Soprano::Util::AsyncModel::AsyncModelMode", 39, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Soprano::Util::AsyncQuery*", 40, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::Util::AsyncResult*", 41, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Util::ReadOnlyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::Util::SignalCacheModel*", 43, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref },	//151
    { "Soprano::Util::SimpleNodeIterator*", 44, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref },	//153
    { "Soprano::Util::SimpleStatementIterator*", 45, Smoke::t_class|Smoke::tf_ptr },	//154
    { "__codecvt_result", 4, Smoke::t_enum|Smoke::tf_stack },	//155
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//156
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//162
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//164
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//167
    { "const QUrl&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const QVariant&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Soprano::Backend&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Soprano::Backend*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//171
    { "const Soprano::BackendSetting&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Soprano::Error::Error&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Soprano::Error::ErrorCache&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Soprano::Error::Locator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Soprano::Error::ParserError&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Soprano::Inference::Rule&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Soprano::LanguageTag&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Soprano::LiteralValue&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Soprano::Node&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Soprano::NodeIterator&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Soprano::Parser&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Soprano::Parser*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//183
    { "const Soprano::Plugin&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Soprano::QueryResultIterator&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Soprano::Serializer&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Soprano::Serializer*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const Soprano::Statement&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Soprano::StatementIterator&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Soprano::Util::SimpleNodeIterator&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Soprano::Util::SimpleStatementIterator&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//193
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//194
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//195
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//196
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//197
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    13, 3, 0,	//3  QObject*, QEvent*
    19, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    192, 0,	//10  const char*
    96, 166, 0,	//12  Soprano::BackendFeatures, const QStringList&
    96, 0,	//15  Soprano::BackendFeatures
    5, 97, 165, 0,	//17  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    5, 97, 0,	//21  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    180, 0,	//24  const Soprano::Node&
    165, 0,	//26  const QString&
    135, 165, 0,	//28  Soprano::RdfSerialization, const QString&
    135, 0,	//31  Soprano::RdfSerialization
    157, 97, 169, 0,	//33  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    171, 0,	//37  const Soprano::Backend*
    178, 0,	//39  const Soprano::LanguageTag&
    157, 0,	//41  const QList<Soprano::BackendSetting>&
    157, 165, 169, 0,	//43  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    157, 165, 0,	//47  const QList<Soprano::BackendSetting>&, const QString&
    157, 97, 165, 0,	//50  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    157, 97, 0,	//54  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    179, 0,	//57  const Soprano::LiteralValue&
    5, 165, 0,	//59  QList<Soprano::BackendSetting>&, const QString&
    170, 0,	//62  const Soprano::Backend&
    97, 0,	//64  Soprano::BackendOption
    97, 169, 0,	//66  Soprano::BackendOption, const QVariant&
    165, 169, 0,	//69  const QString&, const QVariant&
    172, 0,	//72  const Soprano::BackendSetting&
    169, 0,	//74  const QVariant&
    165, 193, 0,	//76  const QString&, int
    173, 0,	//79  const Soprano::Error::Error&
    107, 0,	//81  Soprano::Error::ErrorData*
    174, 0,	//83  const Soprano::Error::ErrorCache&
    175, 165, 193, 0,	//85  const Soprano::Error::Locator&, const QString&, int
    176, 0,	//89  const Soprano::Error::ParserError&
    175, 0,	//91  const Soprano::Error::Locator&
    175, 165, 0,	//93  const Soprano::Error::Locator&, const QString&
    192, 192, 0,	//96  const char*, const char*
    192, 192, 193, 0,	//99  const char*, const char*, int
    12, 193, 197, 0,	//103  QMetaObject::Call, int, void**
    118, 0,	//107  Soprano::Model*
    188, 0,	//109  const Soprano::Statement&
    180, 180, 180, 180, 0,	//111  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    165, 129, 165, 0,	//116  const QString&, Soprano::Query::QueryLanguage, const QString&
    18, 0,	//120  QTextStream&
    180, 180, 180, 0,	//122  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    165, 129, 0,	//126  const QString&, Soprano::Query::QueryLanguage
    177, 0,	//129  const Soprano::Inference::Rule&
    158, 0,	//131  const QList<Soprano::Inference::Rule>&
    156, 0,	//133  bool
    160, 0,	//135  const QList<Soprano::Statement>&
    168, 0,	//137  const QUrl&
    179, 165, 0,	//139  const Soprano::LiteralValue&, const QString&
    115, 0,	//142  Soprano::IteratorBackend<Soprano::Node>*
    181, 0,	//144  const Soprano::NodeIterator&
    165, 168, 135, 165, 0,	//146  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    18, 168, 135, 165, 0,	//151  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    182, 0,	//156  const Soprano::Parser&
    165, 168, 135, 0,	//158  const QString&, const QUrl&, Soprano::RdfSerialization
    18, 168, 135, 0,	//162  QTextStream&, const QUrl&, Soprano::RdfSerialization
    184, 0,	//166  const Soprano::Plugin&
    166, 156, 0,	//168  const QStringList&, bool
    166, 0,	//171  const QStringList&
    185, 0,	//173  const Soprano::QueryResultIterator&
    133, 0,	//175  Soprano::QueryResultIteratorBackend*
    193, 0,	//177  int
    164, 0,	//179  const QString
    165, 165, 165, 165, 188, 0,	//181  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    165, 165, 165, 0,	//187  const QString&, const QString&, const QString&
    165, 165, 165, 165, 0,	//191  const QString&, const QString&, const QString&, const QString&
    180, 180, 0,	//196  const Soprano::Node&, const Soprano::Node&
    141, 18, 135, 165, 0,	//199  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    165, 168, 0,	//204  const QString&, const QUrl&
    186, 0,	//207  const Soprano::Serializer&
    141, 18, 135, 0,	//209  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    116, 0,	//213  Soprano::IteratorBackend<Soprano::Statement>*
    189, 0,	//215  const Soprano::StatementIterator&
    146, 0,	//217  Soprano::Util::AsyncModel::AsyncModelMode
    147, 0,	//219  Soprano::Util::AsyncQuery*
    118, 165, 129, 165, 0,	//221  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    118, 165, 129, 0,	//226  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    148, 0,	//230  Soprano::Util::AsyncResult*
    169, 173, 0,	//232  const QVariant&, const Soprano::Error::Error&
    159, 0,	//235  const QList<Soprano::Node>&
    190, 0,	//237  const Soprano::Util::SimpleNodeIterator&
    191, 0,	//239  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AllDifferent",	//1
    "Alt",	//2
    "Annotation",	//3
    "AnnotationProperty",	//4
    "Archive",	//5
    "ArchivedFile",	//6
    "AsymmetricProperty",	//7
    "AsyncModel",	//8
    "AsyncModel#",	//9
    "Audio",	//10
    "AudioList",	//11
    "Backend",	//12
    "Backend#",	//13
    "Backend$",	//14
    "BackendFeatureAddStatement",	//15
    "BackendFeatureAll",	//16
    "BackendFeatureContext",	//17
    "BackendFeatureInference",	//18
    "BackendFeatureInferenceOptional",	//19
    "BackendFeatureListStatements",	//20
    "BackendFeatureNone",	//21
    "BackendFeatureQuery",	//22
    "BackendFeatureRemoveStatements",	//23
    "BackendFeatureStorageMemory",	//24
    "BackendFeatureUser",	//25
    "BackendOptionEnableInference",	//26
    "BackendOptionHost",	//27
    "BackendOptionNone",	//28
    "BackendOptionPassword",	//29
    "BackendOptionPort",	//30
    "BackendOptionStorageDir",	//31
    "BackendOptionStorageMemory",	//32
    "BackendOptionUser",	//33
    "BackendOptionUsername",	//34
    "BackendSetting",	//35
    "BackendSetting#",	//36
    "BackendSetting$",	//37
    "BackendSetting$#",	//38
    "Bag",	//39
    "BlankNode",	//40
    "BlockDevice",	//41
    "Bookmark",	//42
    "Class",	//43
    "CommunicationChannel",	//44
    "Configuration",	//45
    "Contact",	//46
    "ContactGroup",	//47
    "Container",	//48
    "ContainerMembershipProperty",	//49
    "Content",	//50
    "Data",	//51
    "DataObject",	//52
    "DataRange",	//53
    "Datatype",	//54
    "DatatypeProperty",	//55
    "DefaultGraph",	//56
    "DeletedFile",	//57
    "DeprecatedClass",	//58
    "DeprecatedProperty",	//59
    "Document",	//60
    "DocumentGraph",	//61
    "Documentation",	//62
    "Email",	//63
    "EmailAttachment",	//64
    "EmbeddedObject",	//65
    "EmptyNode",	//66
    "Error",	//67
    "Error#",	//68
    "Error$",	//69
    "Error$$",	//70
    "ErrorCache",	//71
    "ErrorCache#",	//72
    "ExternalViewSpecification",	//73
    "File",	//74
    "FileSystem",	//75
    "Filelike",	//76
    "FilterModel",	//77
    "FilterModel#",	//78
    "Folder",	//79
    "FreeDesktopIcon",	//80
    "FunctionalProperty",	//81
    "Graph",	//82
    "GraphMetadata",	//83
    "GraphView",	//84
    "IMAP4Message",	//85
    "IMMessage",	//86
    "Image",	//87
    "InferenceGraph",	//88
    "InferenceMetaData",	//89
    "InferenceModel",	//90
    "InferenceModel#",	//91
    "InstanceBase",	//92
    "InverseFunctionalProperty",	//93
    "KnowledgeBase",	//94
    "List",	//95
    "Literal",	//96
    "LiteralNode",	//97
    "MailingList",	//98
    "MailingListEmail",	//99
    "Media",	//100
    "MediaList",	//101
    "Message",	//102
    "MessageboxMessage",	//103
    "Model",	//104
    "MultiThreaded",	//105
    "Music",	//106
    "NewsGroup",	//107
    "NewsGroupEmail",	//108
    "Node",	//109
    "Node#",	//110
    "Node#$",	//111
    "Node$",	//112
    "NodeIterator",	//113
    "NodeIterator#",	//114
    "NodeIterator?",	//115
    "Nothing",	//116
    "ObjectProperty",	//117
    "OfflineMedia",	//118
    "Ontology",	//119
    "OntologyProperty",	//120
    "Organization",	//121
    "POP3Message",	//122
    "Parser",	//123
    "Parser#",	//124
    "Parser$",	//125
    "ParserError",	//126
    "ParserError#",	//127
    "ParserError#$",	//128
    "ParserError#$$",	//129
    "Party",	//130
    "Person",	//131
    "PersonalEmail",	//132
    "Photo",	//133
    "Plugin",	//134
    "Plugin#",	//135
    "Plugin$",	//136
    "Presentation",	//137
    "Project",	//138
    "Property",	//139
    "Q_COMPLEX_TYPE",	//140
    "Q_DUMMY_TYPE",	//141
    "Q_MOVABLE_TYPE",	//142
    "Q_PRIMITIVE_TYPE",	//143
    "Q_STATIC_TYPE",	//144
    "QtCriticalMsg",	//145
    "QtDebugMsg",	//146
    "QtFatalMsg",	//147
    "QtSystemMsg",	//148
    "QtWarningMsg",	//149
    "QueryResultIterator",	//150
    "QueryResultIterator#",	//151
    "RSSFeed",	//152
    "RSSMessage",	//153
    "RdfSchemaModel",	//154
    "RdfSchemaModel#",	//155
    "ReadOnlyModel",	//156
    "ReadOnlyModel#",	//157
    "ReflexiveProperty",	//158
    "RemoteFile",	//159
    "RemoteMessageboxMessage",	//160
    "RemoteResource",	//161
    "Resource",	//162
    "ResourceNode",	//163
    "Restriction",	//164
    "RevisionControlledFile",	//165
    "RevisionControlledRepository",	//166
    "RuleViewSpecification",	//167
    "Schema",	//168
    "Semantics",	//169
    "Seq",	//170
    "SerializationN3",	//171
    "SerializationNQuads",	//172
    "SerializationNTriples",	//173
    "SerializationRdfXml",	//174
    "SerializationTrig",	//175
    "SerializationTurtle",	//176
    "SerializationUnknown",	//177
    "SerializationUser",	//178
    "Serializer",	//179
    "Serializer#",	//180
    "Serializer$",	//181
    "SignalCacheModel",	//182
    "SignalCacheModel#",	//183
    "SimpleNodeIterator",	//184
    "SimpleNodeIterator#",	//185
    "SimpleNodeIterator?",	//186
    "SimpleStatementIterator",	//187
    "SimpleStatementIterator#",	//188
    "SimpleStatementIterator?",	//189
    "SingleThreaded",	//190
    "SoftwarePackage",	//191
    "Source",	//192
    "SourceCode",	//193
    "Spreadsheet",	//194
    "Statement",	//195
    "Statement#",	//196
    "Statement###",	//197
    "Statement####",	//198
    "StatementIterator",	//199
    "StatementIterator#",	//200
    "StatementIterator?",	//201
    "StorageModel",	//202
    "StorageModel#",	//203
    "Symbol",	//204
    "SymmetricProperty",	//205
    "SystemResource",	//206
    "Tag",	//207
    "Text",	//208
    "TextDocument",	//209
    "Thing",	//210
    "TransitiveProperty",	//211
    "UncategorizedText",	//212
    "Video",	//213
    "ViewSpecification",	//214
    "Visual",	//215
    "XML",	//216
    "XMLLiteral",	//217
    "__codecvt_error",	//218
    "__codecvt_noconv",	//219
    "__codecvt_ok",	//220
    "__codecvt_partial",	//221
    "acl",	//222
    "addPrefix",	//223
    "addPrefix$#",	//224
    "addRule",	//225
    "addRule#",	//226
    "addStatement",	//227
    "addStatement#",	//228
    "addStatement###",	//229
    "addStatement####",	//230
    "addStatementAsync",	//231
    "addStatementAsync#",	//232
    "addStatementAsync###",	//233
    "addStatementAsync####",	//234
    "addStatements",	//235
    "addStatements?",	//236
    "addStatementsAsync",	//237
    "addStatementsAsync?",	//238
    "album",	//239
    "albumArtist",	//240
    "albumGain",	//241
    "albumPeakGain",	//242
    "albumTrackCount",	//243
    "allBackends",	//244
    "allBindings",	//245
    "allNodes",	//246
    "allParsers",	//247
    "allSerializers",	//248
    "allStatements",	//249
    "allValuesFrom",	//250
    "altLabel",	//251
    "altSymbol",	//252
    "annotation",	//253
    "aperture",	//254
    "artist",	//255
    "asText",	//256
    "aspectRatio",	//257
    "attachmentEncoding",	//258
    "audioBPM",	//259
    "audioBitrate",	//260
    "audioChannels",	//261
    "audioCodec",	//262
    "audioCodecType",	//263
    "audioSampleBitDepth",	//264
    "audioSampleCount",	//265
    "audioSampleDataType",	//266
    "audioSampleRate",	//267
    "author",	//268
    "autoRating",	//269
    "backend",	//270
    "backwardCompatibleWith",	//271
    "base64Binary",	//272
    "baseRevisionID",	//273
    "bcc",	//274
    "binding",	//275
    "binding$",	//276
    "bindingCount",	//277
    "bindingNames",	//278
    "birthDate",	//279
    "blankToN3",	//280
    "blankToN3$",	//281
    "blogContactURL",	//282
    "boolValue",	//283
    "boolean",	//284
    "cacheTime",	//285
    "cameraManufacturer",	//286
    "cameraModel",	//287
    "cardinality",	//288
    "cc",	//289
    "ccdWidth",	//290
    "cellPhoneNumber",	//291
    "changeCommitTime",	//292
    "changeCommitter",	//293
    "characterCount",	//294
    "charset",	//295
    "chatRoom",	//296
    "childEvent",	//297
    "classes",	//298
    "clearError",	//299
    "clearInference",	//300
    "clearPrefixes",	//301
    "close",	//302
    "code",	//303
    "colorCount",	//304
    "colorSpace",	//305
    "columnCount",	//306
    "comment",	//307
    "commentCharacterCount",	//308
    "commitDiff",	//309
    "communicationChannel",	//310
    "complementOf",	//311
    "composer",	//312
    "compressionAlgorithm",	//313
    "compressionLevel",	//314
    "conflicts",	//315
    "connectNotify",	//316
    "contactMedium",	//317
    "contactNick",	//318
    "contactURL",	//319
    "contains",	//320
    "containsAnyStatement",	//321
    "containsAnyStatement#",	//322
    "containsAnyStatement###",	//323
    "containsAnyStatement####",	//324
    "containsAnyStatementAsync",	//325
    "containsAnyStatementAsync#",	//326
    "containsAnyStatementAsync###",	//327
    "containsAnyStatementAsync####",	//328
    "containsContext",	//329
    "containsContext#",	//330
    "containsStatement",	//331
    "containsStatement#",	//332
    "containsStatement###",	//333
    "containsStatement####",	//334
    "containsStatementAsync",	//335
    "containsStatementAsync#",	//336
    "containsStatementAsync###",	//337
    "containsStatementAsync####",	//338
    "contentComment",	//339
    "contentCreated",	//340
    "contentKeyword",	//341
    "contentModified",	//342
    "contentType",	//343
    "context",	//344
    "contributor",	//345
    "copyright",	//346
    "coreGraphMetadataFor",	//347
    "createBlankNode",	//348
    "createBlankNode$",	//349
    "createBlankNodeAsync",	//350
    "createEmptyNode",	//351
    "createLiteralNode",	//352
    "createLiteralNode#",	//353
    "createLiteralNode#$",	//354
    "createModel",	//355
    "createModel?",	//356
    "createResourceNode",	//357
    "createResourceNode#",	//358
    "createResult",	//359
    "created",	//360
    "creator",	//361
    "currentBindings",	//362
    "currentStatement",	//363
    "customEvent",	//364
    "dataType",	//365
    "date",	//366
    "dateTime",	//367
    "decimal",	//368
    "definesClass",	//369
    "definesFunction",	//370
    "definesGlobalVariable",	//371
    "deleteModelData",	//372
    "deleteModelData?",	//373
    "deletionTime",	//374
    "depends",	//375
    "derivedFrom",	//376
    "description",	//377
    "differentFrom",	//378
    "directSubClassOf",	//379
    "directSubClassOf#",	//380
    "directSubClassOf##",	//381
    "directSubPropertyOf",	//382
    "directSubPropertyOf#",	//383
    "directSubPropertyOf##",	//384
    "directType",	//385
    "directType##",	//386
    "discNumber",	//387
    "disclaimer",	//388
    "disconnectNotify",	//389
    "discoverBackendByFeatures",	//390
    "discoverBackendByFeatures$",	//391
    "discoverBackendByFeatures$?",	//392
    "discoverBackendByName",	//393
    "discoverBackendByName$",	//394
    "discoverParserByName",	//395
    "discoverParserByName$",	//396
    "discoverParserForSerialization",	//397
    "discoverParserForSerialization$",	//398
    "discoverParserForSerialization$$",	//399
    "discoverSerializerByName",	//400
    "discoverSerializerByName$",	//401
    "discoverSerializerForSerialization",	//402
    "discoverSerializerForSerialization$",	//403
    "discoverSerializerForSerialization$$",	//404
    "disjointWith",	//405
    "distinctMembers",	//406
    "documentCategory",	//407
    "domain",	//408
    "domain##",	//409
    "emailAddress",	//410
    "engineeringTool",	//411
    "equivalentClass",	//412
    "equivalentGraph",	//413
    "equivalentProperty",	//414
    "errorCode",	//415
    "event",	//416
    "eventFilter",	//417
    "executeQuery",	//418
    "executeQuery#$$",	//419
    "executeQuery#$$$",	//420
    "executeQuery$$",	//421
    "executeQuery$$$",	//422
    "executeQueryAsync",	//423
    "executeQueryAsync$$",	//424
    "executeQueryAsync$$$",	//425
    "exposureBias",	//426
    "exposureProgram",	//427
    "exposureTime",	//428
    "externalRealizer",	//429
    "familyName",	//430
    "faxPhoneNumber",	//431
    "fileExtension",	//432
    "fileSystemType",	//433
    "fingerprint",	//434
    "finished",	//435
    "finished#",	//436
    "first",	//437
    "firstUsed",	//438
    "flashUsed",	//439
    "focalLength",	//440
    "focusDistance",	//441
    "formatSubtype",	//442
    "frameCount",	//443
    "frameRate",	//444
    "freeSpace",	//445
    "gender",	//446
    "generator",	//447
    "generatorOptions",	//448
    "genre",	//449
    "givenName",	//450
    "graphMetadataFor",	//451
    "group",	//452
    "hasDefaultNamespace",	//453
    "hasDefaultNamespaceAbbreviation",	//454
    "hasSemantics",	//455
    "hasSpecification",	//456
    "hasSubResource",	//457
    "hasSuperResource",	//458
    "hasSymbol",	//459
    "hasTag",	//460
    "hasTopic",	//461
    "hasValue",	//462
    "height",	//463
    "homeEmailAddress",	//464
    "homePhoneNumber",	//465
    "homePostalAddress",	//466
    "homepageContactURL",	//467
    "honorificPrefix",	//468
    "honorificSuffix",	//469
    "horizontalResolution",	//470
    "iconName",	//471
    "id",	//472
    "identifier",	//473
    "imContactMedium",	//474
    "imports",	//475
    "inReplyTo",	//476
    "incompatibleWith",	//477
    "instance",	//478
    "integer",	//479
    "interest",	//480
    "interlaceMode",	//481
    "intersectionOf",	//482
    "inverseOf",	//483
    "inverseProperty",	//484
    "ircContactMedium",	//485
    "isAvailable",	//486
    "isBinding",	//487
    "isBlank",	//488
    "isBool",	//489
    "isClass",	//490
    "isClass#",	//491
    "isContentEncrypted",	//492
    "isDefinedBy",	//493
    "isDirectSubClassOf",	//494
    "isDirectSubClassOf##",	//495
    "isDirectSubPropertyOf",	//496
    "isDirectSubPropertyOf##",	//497
    "isDirectType",	//498
    "isDirectType##",	//499
    "isEmpty",	//500
    "isEmptyAsync",	//501
    "isEncrypted",	//502
    "isGraph",	//503
    "isImportant",	//504
    "isInProgress",	//505
    "isLiteral",	//506
    "isOptionInSettings",	//507
    "isOptionInSettings?$",	//508
    "isOptionInSettings?$$",	//509
    "isParserError",	//510
    "isProperty",	//511
    "isProperty#",	//512
    "isPublicChannel",	//513
    "isRead",	//514
    "isRelated",	//515
    "isResource",	//516
    "isSourceEncrypted",	//517
    "isSubClassOf",	//518
    "isSubClassOf##",	//519
    "isSubPropertyOf",	//520
    "isSubPropertyOf##",	//521
    "isTagFor",	//522
    "isTopicOf",	//523
    "isType",	//524
    "isType##",	//525
    "isValid",	//526
    "isoEquivalent",	//527
    "iterateBindings",	//528
    "iterateBindings$",	//529
    "iterateContexts",	//530
    "iterateObjects",	//531
    "iteratePredicates",	//532
    "iterateStatements",	//533
    "iterateStatementsFromBindings",	//534
    "iterateStatementsFromBindings$$$",	//535
    "iterateStatementsFromBindings$$$$",	//536
    "iterateStatementsFromBindings$$$$#",	//537
    "iterateSubjects",	//538
    "jabberContactMedium",	//539
    "keyword",	//540
    "knows",	//541
    "label",	//542
    "language",	//543
    "lastError",	//544
    "lastModified",	//545
    "lastRefreshed",	//546
    "lastUsed",	//547
    "legal",	//548
    "license",	//549
    "licenseType",	//550
    "lineCount",	//551
    "links",	//552
    "listContexts",	//553
    "listContextsAsync",	//554
    "listStatements",	//555
    "listStatements#",	//556
    "listStatements###",	//557
    "listStatements####",	//558
    "listStatementsAsync",	//559
    "listStatementsAsync#",	//560
    "listStatementsAsync###",	//561
    "listStatementsAsync####",	//562
    "listStatementsInContext",	//563
    "listStatementsInContext#",	//564
    "literal",	//565
    "literalToN3",	//566
    "literalToN3#",	//567
    "loadCustomBackend",	//568
    "loadCustomBackend$",	//569
    "loadCustomParser",	//570
    "loadCustomParser$",	//571
    "loadCustomPlugin",	//572
    "loadCustomPlugin$",	//573
    "loadCustomSerializer",	//574
    "loadCustomSerializer$",	//575
    "localRevision",	//576
    "locator",	//577
    "lyricist",	//578
    "mailingList",	//579
    "mailingPostalAddress",	//580
    "maintainer",	//581
    "markupCharacterCount",	//582
    "matches",	//583
    "matches#",	//584
    "maxCardinality",	//585
    "md5Hash",	//586
    "mediaBitrate",	//587
    "mediaCodec",	//588
    "mediaCodecType",	//589
    "mediaDuration",	//590
    "member",	//591
    "mergeConflict",	//592
    "message",	//593
    "metaObject",	//594
    "meteringMode",	//595
    "mimeType",	//596
    "mimeTypeToSerialization",	//597
    "mimeTypeToSerialization$",	//598
    "minCardinality",	//599
    "mode",	//600
    "modified",	//601
    "mountPoint",	//602
    "name",	//603
    "naoNamespace",	//604
    "negativeInteger",	//605
    "newsGroup",	//606
    "next",	//607
    "nextReady",	//608
    "nextReady#",	//609
    "nil",	//610
    "node",	//611
    "nodeIterator",	//612
    "nonNegativeInteger",	//613
    "nrlNamespace",	//614
    "numericRating",	//615
    "object",	//616
    "occupiedSpace",	//617
    "onProperty",	//618
    "oneOf",	//619
    "operator bool",	//620
    "operator!=",	//621
    "operator!=#",	//622
    "operator=",	//623
    "operator=#",	//624
    "operator==",	//625
    "operator==#",	//626
    "operator=?",	//627
    "operator[]",	//628
    "operator[]$",	//629
    "option",	//630
    "orientation",	//631
    "originURL",	//632
    "originalLocation",	//633
    "otherName",	//634
    "owlNamespace",	//635
    "owner",	//636
    "pageCount",	//637
    "paragraphCount",	//638
    "parentModel",	//639
    "parentStatementAdded",	//640
    "parentStatementAdded#",	//641
    "parentStatementRemoved",	//642
    "parentStatementRemoved#",	//643
    "parentStatementsAdded",	//644
    "parentStatementsRemoved",	//645
    "parseFile",	//646
    "parseFile$#$",	//647
    "parseFile$#$$",	//648
    "parseStream",	//649
    "parseStream##$",	//650
    "parseStream##$$",	//651
    "parseString",	//652
    "parseString$#$",	//653
    "parseString$#$$",	//654
    "performInference",	//655
    "performer",	//656
    "permissions",	//657
    "personPhoto",	//658
    "personalIdentifier",	//659
    "phoneNumber",	//660
    "pixelDataBitDepth",	//661
    "pixelDataType",	//662
    "pluginName",	//663
    "pluralPrefLabel",	//664
    "postalAddress",	//665
    "predicate",	//666
    "prefLabel",	//667
    "prefSymbol",	//668
    "prefixes",	//669
    "primaryRecipient",	//670
    "priorVersion",	//671
    "programmingLanguage",	//672
    "properties",	//673
    "qHash",	//674
    "qHash#",	//675
    "qt_metacall",	//676
    "qt_metacall$$?",	//677
    "qt_metacast",	//678
    "qt_metacast$",	//679
    "queryResultIterator",	//680
    "range",	//681
    "range##",	//682
    "rating",	//683
    "rdfNamespace",	//684
    "rdfsNamespace",	//685
    "realizes",	//686
    "receptionTime",	//687
    "recipient",	//688
    "related",	//689
    "remotePassword",	//690
    "remotePort",	//691
    "remoteServer",	//692
    "remoteUser",	//693
    "removeAllStatements",	//694
    "removeAllStatements#",	//695
    "removeAllStatements###",	//696
    "removeAllStatements####",	//697
    "removeAllStatementsAsync",	//698
    "removeAllStatementsAsync#",	//699
    "removeAllStatementsAsync###",	//700
    "removeAllStatementsAsync####",	//701
    "removeContext",	//702
    "removeContext#",	//703
    "removeStatement",	//704
    "removeStatement#",	//705
    "removeStatement###",	//706
    "removeStatement####",	//707
    "removeStatementAsync",	//708
    "removeStatementAsync#",	//709
    "removeStatementAsync###",	//710
    "removeStatementAsync####",	//711
    "removeStatements",	//712
    "removeStatements?",	//713
    "removeStatementsAsync",	//714
    "removeStatementsAsync?",	//715
    "replyTo",	//716
    "resourceToN3",	//717
    "resourceToN3#",	//718
    "rest",	//719
    "resultReady",	//720
    "resultReady#",	//721
    "rowCount",	//722
    "rssFeed",	//723
    "rule",	//724
    "ruleLanguage",	//725
    "sameAs",	//726
    "sampleConfiguration",	//727
    "sampleDataBitDepth",	//728
    "sampleDataType",	//729
    "score",	//730
    "scoreParameter",	//731
    "secondaryRecipient",	//732
    "seeAlso",	//733
    "seenAttachedAs",	//734
    "semanticsDefinedBy",	//735
    "serializationLanguage",	//736
    "serializationMimeType",	//737
    "serializationMimeType$",	//738
    "serializationMimeType$$",	//739
    "serialize",	//740
    "serialize##$",	//741
    "serialize##$$",	//742
    "setCacheTime",	//743
    "setCacheTime$",	//744
    "setCompressedSourceStatements",	//745
    "setCompressedSourceStatements$",	//746
    "setContext",	//747
    "setContext#",	//748
    "setCount",	//749
    "setError",	//750
    "setError#",	//751
    "setError$",	//752
    "setError$$",	//753
    "setMode",	//754
    "setMode$",	//755
    "setObject",	//756
    "setObject#",	//757
    "setOptimizedQueriesEnabled",	//758
    "setOptimizedQueriesEnabled$",	//759
    "setParentModel",	//760
    "setParentModel#",	//761
    "setPluginSearchPath",	//762
    "setPluginSearchPath?",	//763
    "setPluginSearchPath?$",	//764
    "setPredicate",	//765
    "setPredicate#",	//766
    "setRate",	//767
    "setResult",	//768
    "setResult##",	//769
    "setRules",	//770
    "setRules?",	//771
    "setSubject",	//772
    "setSubject#",	//773
    "setUsedBackend",	//774
    "setUsedBackend#",	//775
    "setValue",	//776
    "setValue#",	//777
    "settingInSettings",	//778
    "settingInSettings?",	//779
    "settingInSettings?$",	//780
    "settingInSettings?$$",	//781
    "sha1Hash",	//782
    "silNamespace",	//783
    "size",	//784
    "someValuesFrom",	//785
    "sourceCreated",	//786
    "sourceModified",	//787
    "sourceStatement",	//788
    "statementAdded",	//789
    "statementAdded#",	//790
    "statementCount",	//791
    "statementCountAsync",	//792
    "statementIterator",	//793
    "statementRemoved",	//794
    "statementRemoved#",	//795
    "statementsAdded",	//796
    "statementsRemoved",	//797
    "staticMetaObject",	//798
    "status",	//799
    "storageSize",	//800
    "string",	//801
    "subClassOf",	//802
    "subClassOf#",	//803
    "subClassOf##",	//804
    "subGraphOf",	//805
    "subPropertyOf",	//806
    "subPropertyOf#",	//807
    "subPropertyOf##",	//808
    "subject",	//809
    "summary",	//810
    "superGraphOf",	//811
    "supercedes",	//812
    "supportedFeatures",	//813
    "supportedSerializations",	//814
    "supportedUserFeatures",	//815
    "supportedUserSerializations",	//816
    "supportsFeatures",	//817
    "supportsFeatures$",	//818
    "supportsFeatures$?",	//819
    "supportsSerialization",	//820
    "supportsSerialization$",	//821
    "supportsSerialization$$",	//822
    "targetQuality",	//823
    "time",	//824
    "timerEvent",	//825
    "timerEvent#",	//826
    "title",	//827
    "to",	//828
    "toN3",	//829
    "toParserError",	//830
    "toString",	//831
    "totalSpace",	//832
    "totalUncompressedSize",	//833
    "tr",	//834
    "tr$",	//835
    "tr$$",	//836
    "tr$$$",	//837
    "trUtf8",	//838
    "trUtf8$",	//839
    "trUtf8$$",	//840
    "trUtf8$$$",	//841
    "trackGain",	//842
    "trackNumber",	//843
    "trackPeakGain",	//844
    "type",	//845
    "type##",	//846
    "unionOf",	//847
    "unsignedInt",	//848
    "unsignedLong",	//849
    "unsignedShort",	//850
    "updatable",	//851
    "uri",	//852
    "url",	//853
    "useCount",	//854
    "usedBackend",	//855
    "userComment",	//856
    "userKeyword",	//857
    "userOptionName",	//858
    "userRating",	//859
    "usesNamespace",	//860
    "value",	//861
    "valueInSettings",	//862
    "valueInSettings?$",	//863
    "valueInSettings?$#",	//864
    "valueInSettings?$$",	//865
    "valueInSettingsWithDefault",	//866
    "valueInSettingsWithDefault?$#",	//867
    "version",	//868
    "versionInfo",	//869
    "versionMajor",	//870
    "versionMinor",	//871
    "versionRelease",	//872
    "versionString",	//873
    "verticalResolution",	//874
    "videoBitrate",	//875
    "videoCodec",	//876
    "videoCodecType",	//877
    "viewOn",	//878
    "whiteBalance",	//879
    "width",	//880
    "wordCount",	//881
    "workEmailAddress",	//882
    "workPhoneNumber",	//883
    "workPostalAddress",	//884
    "write",	//885
    "write#",	//886
    "xesam35mmEquivalent",	//887
    "xesamNamespace",	//888
    "xsdDouble",	//889
    "xsdFloat",	//890
    "xsdInt",	//891
    "xsdLong",	//892
    "xsdNamespace",	//893
    "xsdShort",	//894
    "~AsyncModel",	//895
    "~AsyncQuery",	//896
    "~AsyncResult",	//897
    "~Backend",	//898
    "~BackendSetting",	//899
    "~Error",	//900
    "~ErrorCache",	//901
    "~FilterModel",	//902
    "~InferenceModel",	//903
    "~Model",	//904
    "~Node",	//905
    "~NodeIterator",	//906
    "~Parser",	//907
    "~ParserError",	//908
    "~Plugin",	//909
    "~PluginManager",	//910
    "~QueryResultIterator",	//911
    "~RdfSchemaModel",	//912
    "~ReadOnlyModel",	//913
    "~Serializer",	//914
    "~SignalCacheModel",	//915
    "~SimpleNodeIterator",	//916
    "~SimpleStatementIterator",	//917
    "~Statement",	//918
    "~StatementIterator",	//919
    "~StorageModel",	//920
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 6},	//6 QGlobalSpace::__codecvt_ok (enum)
    {4, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 7},	//7 QGlobalSpace::__codecvt_partial (enum)
    {4, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 8},	//8 QGlobalSpace::__codecvt_error (enum)
    {4, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 9},	//9 QGlobalSpace::__codecvt_noconv (enum)
    {4, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 10},	//10 QGlobalSpace::QtDebugMsg (enum)
    {4, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 11},	//11 QGlobalSpace::QtWarningMsg (enum)
    {4, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 12},	//12 QGlobalSpace::QtCriticalMsg (enum)
    {4, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 13},	//13 QGlobalSpace::QtFatalMsg (enum)
    {4, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 14},	//14 QGlobalSpace::QtSystemMsg (enum)
    {6, 416, 1, 1, Smoke::mf_virtual, 156, 0},	//15 QObject::event(QEvent*)
    {6, 417, 3, 2, Smoke::mf_virtual, 156, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {6, 825, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {6, 297, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {6, 364, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {6, 316, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {6, 389, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {12, 390, 12, 2, Smoke::mf_static, 171, 1},	//22 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
    {12, 390, 15, 1, Smoke::mf_static, 171, 2},	//23 Soprano::discoverBackendByFeatures(Soprano::BackendFeatures)
    {12, 778, 17, 3, Smoke::mf_static, 99, 3},	//24 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 778, 21, 2, Smoke::mf_static, 99, 4},	//25 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 674, 24, 1, Smoke::mf_static, 195, 5},	//26 Soprano::qHash(const Soprano::Node&)
    {12, 597, 26, 1, Smoke::mf_static, 135, 6},	//27 Soprano::mimeTypeToSerialization(const QString&)
    {12, 737, 28, 2, Smoke::mf_static, 15, 7},	//28 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {12, 737, 31, 1, Smoke::mf_static, 15, 8},	//29 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {12, 393, 26, 1, Smoke::mf_static, 171, 9},	//30 Soprano::discoverBackendByName(const QString&)
    {12, 866, 33, 3, Smoke::mf_static, 21, 10},	//31 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {12, 774, 37, 1, Smoke::mf_static, 0, 11},	//32 Soprano::setUsedBackend(const Soprano::Backend*)
    {12, 674, 39, 1, Smoke::mf_static, 195, 12},	//33 Soprano::qHash(const Soprano::LanguageTag&)
    {12, 355, 41, 1, Smoke::mf_static, 118, 13},	//34 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {12, 355, 0, 0, Smoke::mf_static, 118, 14},	//35 Soprano::createModel()
    {12, 862, 43, 3, Smoke::mf_static, 21, 15},	//36 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {12, 862, 47, 2, Smoke::mf_static, 21, 16},	//37 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 778, 50, 3, Smoke::mf_static, 98, 17},	//38 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 778, 54, 2, Smoke::mf_static, 98, 18},	//39 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 778, 47, 2, Smoke::mf_static, 98, 19},	//40 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {12, 778, 41, 1, Smoke::mf_static, 98, 20},	//41 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {12, 507, 50, 3, Smoke::mf_static, 156, 21},	//42 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 507, 54, 2, Smoke::mf_static, 156, 22},	//43 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 873, 0, 0, Smoke::mf_static, 192, 23},	//44 Soprano::versionString()
    {12, 870, 0, 0, Smoke::mf_static, 195, 24},	//45 Soprano::versionMajor()
    {12, 872, 0, 0, Smoke::mf_static, 195, 25},	//46 Soprano::versionRelease()
    {12, 674, 57, 1, Smoke::mf_static, 195, 26},	//47 Soprano::qHash(const Soprano::LiteralValue&)
    {12, 862, 50, 3, Smoke::mf_static, 21, 27},	//48 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {12, 862, 54, 2, Smoke::mf_static, 21, 28},	//49 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {12, 855, 0, 0, Smoke::mf_static, 171, 29},	//50 Soprano::usedBackend()
    {12, 778, 59, 2, Smoke::mf_static, 99, 30},	//51 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {12, 871, 0, 0, Smoke::mf_static, 195, 31},	//52 Soprano::versionMinor()
    {12, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 32},	//53 Soprano::SerializationUnknown (enum)
    {12, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 33},	//54 Soprano::SerializationRdfXml (enum)
    {12, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 34},	//55 Soprano::SerializationN3 (enum)
    {12, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 35},	//56 Soprano::SerializationNTriples (enum)
    {12, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 36},	//57 Soprano::SerializationTurtle (enum)
    {12, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 37},	//58 Soprano::SerializationTrig (enum)
    {12, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 38},	//59 Soprano::SerializationNQuads (enum)
    {12, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 39},	//60 Soprano::SerializationUser (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 40},	//61 Soprano::BackendFeatureNone (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 41},	//62 Soprano::BackendFeatureAddStatement (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 42},	//63 Soprano::BackendFeatureRemoveStatements (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 43},	//64 Soprano::BackendFeatureListStatements (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 44},	//65 Soprano::BackendFeatureQuery (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 45},	//66 Soprano::BackendFeatureInference (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 46},	//67 Soprano::BackendFeatureInferenceOptional (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 47},	//68 Soprano::BackendFeatureContext (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 48},	//69 Soprano::BackendFeatureStorageMemory (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 49},	//70 Soprano::BackendFeatureAll (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 50},	//71 Soprano::BackendFeatureUser (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 51},	//72 Soprano::BackendOptionNone (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 52},	//73 Soprano::BackendOptionStorageMemory (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 53},	//74 Soprano::BackendOptionEnableInference (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 54},	//75 Soprano::BackendOptionStorageDir (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 55},	//76 Soprano::BackendOptionHost (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 56},	//77 Soprano::BackendOptionPort (enum)
    {12, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 57},	//78 Soprano::BackendOptionUsername (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 58},	//79 Soprano::BackendOptionPassword (enum)
    {12, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 59},	//80 Soprano::BackendOptionUser (enum)
    {13, 12, 26, 1, Smoke::mf_ctor, 94, 1},	//81 Soprano::Backend::Backend(const QString&)
    {13, 355, 41, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 2},	//82 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 372, 41, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 3},	//83 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {13, 813, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 4},	//84 Soprano::Backend::supportedFeatures() const [pure virtual]
    {13, 815, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 16, 5},	//85 Soprano::Backend::supportedUserFeatures() const
    {13, 817, 12, 2, Smoke::mf_const, 156, 6},	//86 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures, const QStringList&) const
    {13, 12, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 7},	//87 Soprano::Backend::Backend(const Soprano::Backend&)
    {13, 355, 0, 0, Smoke::mf_const|Smoke::mf_purevirtual, 144, 8},	//88 Soprano::Backend::createModel() const [pure virtual]
    {13, 817, 15, 1, Smoke::mf_const, 156, 9},	//89 Soprano::Backend::supportsFeatures(Soprano::BackendFeatures) const
    {13, 898, 0, 0, Smoke::mf_dtor, 0, 10 },	//90 Soprano::Backend::~Backend()
    {14, 35, 0, 0, Smoke::mf_ctor, 100, 1},	//91 Soprano::BackendSetting::BackendSetting()
    {14, 35, 64, 1, Smoke::mf_ctor, 100, 2},	//92 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {14, 35, 66, 2, Smoke::mf_ctor, 100, 3},	//93 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {14, 35, 69, 2, Smoke::mf_ctor, 100, 4},	//94 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {14, 35, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 5},	//95 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {14, 623, 72, 1, 0, 99, 6},	//96 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {14, 630, 0, 0, Smoke::mf_const, 97, 7},	//97 Soprano::BackendSetting::option() const
    {14, 858, 0, 0, Smoke::mf_const, 15, 8},	//98 Soprano::BackendSetting::userOptionName() const
    {14, 861, 0, 0, Smoke::mf_const, 21, 9},	//99 Soprano::BackendSetting::value() const
    {14, 776, 74, 1, 0, 0, 10},	//100 Soprano::BackendSetting::setValue(const QVariant&)
    {14, 899, 0, 0, Smoke::mf_dtor, 0, 11 },	//101 Soprano::BackendSetting::~BackendSetting()
    {16, 67, 0, 0, Smoke::mf_ctor, 104, 1},	//102 Soprano::Error::Error::Error()
    {16, 67, 76, 2, Smoke::mf_ctor, 104, 2},	//103 Soprano::Error::Error::Error(const QString&, int)
    {16, 67, 79, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 3},	//104 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {16, 623, 79, 1, 0, 103, 4},	//105 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {16, 620, 0, 0, Smoke::mf_const, 156, 5},	//106 Soprano::Error::Error::operator bool() const
    {16, 593, 0, 0, Smoke::mf_const, 15, 6},	//107 Soprano::Error::Error::message() const
    {16, 303, 0, 0, Smoke::mf_const, 193, 7},	//108 Soprano::Error::Error::code() const
    {16, 510, 0, 0, Smoke::mf_const, 156, 8},	//109 Soprano::Error::Error::isParserError() const
    {16, 830, 0, 0, Smoke::mf_const, 109, 9},	//110 Soprano::Error::Error::toParserError() const
    {16, 67, 81, 1, Smoke::mf_ctor|Smoke::mf_protected, 104, 10},	//111 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {16, 67, 26, 1, Smoke::mf_ctor, 104, 11},	//112 Soprano::Error::Error::Error(const QString&)
    {16, 900, 0, 0, Smoke::mf_dtor, 0, 12 },	//113 Soprano::Error::Error::~Error()
    {17, 544, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 102, 1},	//114 Soprano::Error::ErrorCache::lastError() const
    {17, 71, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 105, 2},	//115 Soprano::Error::ErrorCache::ErrorCache()
    {17, 299, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//116 Soprano::Error::ErrorCache::clearError() const
    {17, 750, 79, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//117 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {17, 750, 76, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//118 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {17, 71, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 6},	//119 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {17, 750, 26, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//120 Soprano::Error::ErrorCache::setError(const QString&) const
    {17, 901, 0, 0, Smoke::mf_dtor, 0, 8 },	//121 Soprano::Error::ErrorCache::~ErrorCache()
    {20, 126, 0, 0, Smoke::mf_ctor, 111, 1},	//122 Soprano::Error::ParserError::ParserError()
    {20, 126, 85, 3, Smoke::mf_ctor, 111, 2},	//123 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {20, 126, 79, 1, Smoke::mf_ctor, 111, 3},	//124 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {20, 623, 79, 1, 0, 110, 4},	//125 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {20, 577, 0, 0, Smoke::mf_const, 108, 5},	//126 Soprano::Error::ParserError::locator() const
    {20, 126, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 6},	//127 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {20, 126, 91, 1, Smoke::mf_ctor, 111, 7},	//128 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {20, 126, 93, 2, Smoke::mf_ctor, 111, 8},	//129 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {20, 908, 0, 0, Smoke::mf_dtor, 0, 9 },	//130 Soprano::Error::ParserError::~ParserError()
    {21, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//131 Soprano::FilterModel::metaObject() const
    {21, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//132 Soprano::FilterModel::qt_metacast(const char*)
    {21, 834, 96, 2, Smoke::mf_static, 15, 3},	//133 Soprano::FilterModel::tr(const char*, const char*)
    {21, 838, 96, 2, Smoke::mf_static, 15, 4},	//134 Soprano::FilterModel::trUtf8(const char*, const char*)
    {21, 834, 99, 3, Smoke::mf_static, 15, 5},	//135 Soprano::FilterModel::tr(const char*, const char*, int)
    {21, 838, 99, 3, Smoke::mf_static, 15, 6},	//136 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {21, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//137 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {21, 760, 107, 1, Smoke::mf_virtual, 0, 8},	//138 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {21, 639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 9},	//139 Soprano::FilterModel::parentModel() const
    {21, 227, 109, 1, Smoke::mf_virtual, 106, 10},	//140 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {21, 227, 111, 4, 0, 106, 11},	//141 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 704, 109, 1, Smoke::mf_virtual, 106, 12},	//142 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {21, 704, 111, 4, 0, 106, 13},	//143 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 694, 109, 1, Smoke::mf_virtual, 106, 14},	//144 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {21, 694, 111, 4, 0, 106, 15},	//145 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 555, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 16},	//146 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {21, 555, 111, 4, Smoke::mf_const, 141, 17},	//147 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 18},	//148 Soprano::FilterModel::listContexts() const
    {21, 418, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 130, 19},	//149 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {21, 331, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 20},	//150 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {21, 331, 111, 4, Smoke::mf_const, 156, 21},	//151 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 321, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 22},	//152 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {21, 321, 111, 4, Smoke::mf_const, 156, 23},	//153 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 24},	//154 Soprano::FilterModel::isEmpty() const
    {21, 791, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 25},	//155 Soprano::FilterModel::statementCount() const
    {21, 885, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 26},	//156 Soprano::FilterModel::write(QTextStream&) const
    {21, 348, 0, 0, Smoke::mf_virtual, 119, 27},	//157 Soprano::FilterModel::createBlankNode()
    {21, 694, 0, 0, 0, 106, 28},	//158 Soprano::FilterModel::removeAllStatements()
    {21, 555, 0, 0, Smoke::mf_const, 141, 29},	//159 Soprano::FilterModel::listStatements() const
    {21, 77, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 112, 30},	//160 Soprano::FilterModel::FilterModel()
    {21, 77, 107, 1, Smoke::mf_ctor|Smoke::mf_protected, 112, 31},	//161 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {21, 644, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//162 Soprano::FilterModel::parentStatementsAdded()
    {21, 645, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//163 Soprano::FilterModel::parentStatementsRemoved()
    {21, 640, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//164 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {21, 642, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//165 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {21, 834, 10, 1, Smoke::mf_static, 15, 36},	//166 Soprano::FilterModel::tr(const char*)
    {21, 838, 10, 1, Smoke::mf_static, 15, 37},	//167 Soprano::FilterModel::trUtf8(const char*)
    {21, 227, 122, 3, 0, 106, 38},	//168 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 704, 122, 3, 0, 106, 39},	//169 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 694, 122, 3, 0, 106, 40},	//170 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {21, 555, 122, 3, Smoke::mf_const, 141, 41},	//171 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 418, 126, 2, Smoke::mf_const, 130, 42},	//172 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {21, 331, 122, 3, Smoke::mf_const, 156, 43},	//173 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 321, 122, 3, Smoke::mf_const, 156, 44},	//174 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {21, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 45},	//175 Soprano::FilterModel::staticMetaObject() const
    {21, 902, 0, 0, Smoke::mf_dtor, 0, 46 },	//176 Soprano::FilterModel::~FilterModel()
    {22, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//177 Soprano::Inference::InferenceModel::metaObject() const
    {22, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//178 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {22, 834, 96, 2, Smoke::mf_static, 15, 3},	//179 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {22, 838, 96, 2, Smoke::mf_static, 15, 4},	//180 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {22, 834, 99, 3, Smoke::mf_static, 15, 5},	//181 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {22, 838, 99, 3, Smoke::mf_static, 15, 6},	//182 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {22, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//183 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 90, 107, 1, Smoke::mf_ctor, 113, 8},	//184 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {22, 227, 109, 1, Smoke::mf_virtual, 106, 9},	//185 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {22, 704, 109, 1, Smoke::mf_virtual, 106, 10},	//186 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {22, 694, 109, 1, Smoke::mf_virtual, 106, 11},	//187 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {22, 225, 129, 1, 0, 0, 12},	//188 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {22, 770, 131, 1, 0, 0, 13},	//189 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {22, 227, 111, 4, 0, 106, 14},	//190 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 704, 111, 4, 0, 106, 15},	//191 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 694, 111, 4, 0, 106, 16},	//192 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 694, 0, 0, 0, 106, 17},	//193 Soprano::Inference::InferenceModel::removeAllStatements()
    {22, 655, 0, 0, Smoke::mf_slot, 0, 18},	//194 Soprano::Inference::InferenceModel::performInference()
    {22, 300, 0, 0, Smoke::mf_slot, 0, 19},	//195 Soprano::Inference::InferenceModel::clearInference()
    {22, 745, 133, 1, Smoke::mf_slot, 0, 20},	//196 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {22, 758, 133, 1, Smoke::mf_slot, 0, 21},	//197 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {22, 834, 10, 1, Smoke::mf_static, 15, 22},	//198 Soprano::Inference::InferenceModel::tr(const char*)
    {22, 838, 10, 1, Smoke::mf_static, 15, 23},	//199 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {22, 227, 122, 3, 0, 106, 24},	//200 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 704, 122, 3, 0, 106, 25},	//201 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 694, 122, 3, 0, 106, 26},	//202 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 27},	//203 Soprano::Inference::InferenceModel::staticMetaObject() const
    {22, 903, 0, 0, Smoke::mf_dtor, 0, 28 },	//204 Soprano::Inference::InferenceModel::~InferenceModel()
    {26, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//205 Soprano::Model::metaObject() const
    {26, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//206 Soprano::Model::qt_metacast(const char*)
    {26, 834, 96, 2, Smoke::mf_static, 15, 3},	//207 Soprano::Model::tr(const char*, const char*)
    {26, 838, 96, 2, Smoke::mf_static, 15, 4},	//208 Soprano::Model::trUtf8(const char*, const char*)
    {26, 834, 99, 3, Smoke::mf_static, 15, 5},	//209 Soprano::Model::tr(const char*, const char*, int)
    {26, 838, 99, 3, Smoke::mf_static, 15, 6},	//210 Soprano::Model::trUtf8(const char*, const char*, int)
    {26, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//211 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {26, 227, 109, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 106, 8},	//212 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {26, 227, 111, 4, 0, 106, 9},	//213 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 235, 135, 1, 0, 106, 10},	//214 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {26, 704, 109, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 106, 11},	//215 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {26, 704, 111, 4, 0, 106, 12},	//216 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 694, 109, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 106, 13},	//217 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {26, 694, 111, 4, 0, 106, 14},	//218 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 712, 135, 1, 0, 106, 15},	//219 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {26, 702, 24, 1, 0, 106, 16},	//220 Soprano::Model::removeContext(const Soprano::Node&)
    {26, 694, 0, 0, 0, 106, 17},	//221 Soprano::Model::removeAllStatements()
    {26, 555, 109, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 18},	//222 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {26, 555, 111, 4, Smoke::mf_const, 141, 19},	//223 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 555, 0, 0, Smoke::mf_const, 141, 20},	//224 Soprano::Model::listStatements() const
    {26, 563, 24, 1, Smoke::mf_const, 141, 21},	//225 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {26, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 22},	//226 Soprano::Model::listContexts() const [pure virtual]
    {26, 418, 116, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 130, 23},	//227 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {26, 321, 109, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 24},	//228 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {26, 321, 111, 4, Smoke::mf_const, 156, 25},	//229 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 331, 109, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 26},	//230 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {26, 331, 111, 4, Smoke::mf_const, 156, 27},	//231 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 329, 24, 1, Smoke::mf_const, 156, 28},	//232 Soprano::Model::containsContext(const Soprano::Node&) const
    {26, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 29},	//233 Soprano::Model::isEmpty() const [pure virtual]
    {26, 791, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 30},	//234 Soprano::Model::statementCount() const [pure virtual]
    {26, 885, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 31},	//235 Soprano::Model::write(QTextStream&) const
    {26, 348, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 119, 32},	//236 Soprano::Model::createBlankNode() [pure virtual]
    {26, 796, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//237 Soprano::Model::statementsAdded()
    {26, 797, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//238 Soprano::Model::statementsRemoved()
    {26, 789, 109, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//239 Soprano::Model::statementAdded(const Soprano::Statement&)
    {26, 794, 109, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//240 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {26, 104, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 118, 37},	//241 Soprano::Model::Model()
    {26, 834, 10, 1, Smoke::mf_static, 15, 38},	//242 Soprano::Model::tr(const char*)
    {26, 838, 10, 1, Smoke::mf_static, 15, 39},	//243 Soprano::Model::trUtf8(const char*)
    {26, 227, 122, 3, 0, 106, 40},	//244 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 704, 122, 3, 0, 106, 41},	//245 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 694, 122, 3, 0, 106, 42},	//246 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {26, 555, 122, 3, Smoke::mf_const, 141, 43},	//247 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 418, 126, 2, Smoke::mf_const|Smoke::mf_purevirtual, 130, 44},	//248 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const [pure virtual]
    {26, 321, 122, 3, Smoke::mf_const, 156, 45},	//249 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 331, 122, 3, Smoke::mf_const, 156, 46},	//250 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {26, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 47},	//251 Soprano::Model::staticMetaObject() const
    {26, 904, 0, 0, Smoke::mf_dtor, 0, 48 },	//252 Soprano::Model::~Model()
    {27, 109, 0, 0, Smoke::mf_ctor, 121, 1},	//253 Soprano::Node::Node()
    {27, 109, 137, 1, Smoke::mf_ctor, 121, 2},	//254 Soprano::Node::Node(const QUrl&)
    {27, 109, 26, 1, Smoke::mf_ctor, 121, 3},	//255 Soprano::Node::Node(const QString&)
    {27, 109, 57, 1, Smoke::mf_ctor, 121, 4},	//256 Soprano::Node::Node(const Soprano::LiteralValue&)
    {27, 109, 139, 2, Smoke::mf_ctor, 121, 5},	//257 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {27, 109, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 6},	//258 Soprano::Node::Node(const Soprano::Node&)
    {27, 623, 24, 1, 0, 120, 7},	//259 Soprano::Node::operator=(const Soprano::Node&)
    {27, 623, 137, 1, 0, 120, 8},	//260 Soprano::Node::operator=(const QUrl&)
    {27, 623, 57, 1, 0, 120, 9},	//261 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {27, 625, 24, 1, Smoke::mf_const, 156, 10},	//262 Soprano::Node::operator==(const Soprano::Node&) const
    {27, 621, 24, 1, Smoke::mf_const, 156, 11},	//263 Soprano::Node::operator!=(const Soprano::Node&) const
    {27, 625, 137, 1, Smoke::mf_const, 156, 12},	//264 Soprano::Node::operator==(const QUrl&) const
    {27, 625, 57, 1, Smoke::mf_const, 156, 13},	//265 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {27, 583, 24, 1, Smoke::mf_const, 156, 14},	//266 Soprano::Node::matches(const Soprano::Node&) const
    {27, 845, 0, 0, Smoke::mf_const, 122, 15},	//267 Soprano::Node::type() const
    {27, 500, 0, 0, Smoke::mf_const, 156, 16},	//268 Soprano::Node::isEmpty() const
    {27, 526, 0, 0, Smoke::mf_const, 156, 17},	//269 Soprano::Node::isValid() const
    {27, 506, 0, 0, Smoke::mf_const, 156, 18},	//270 Soprano::Node::isLiteral() const
    {27, 516, 0, 0, Smoke::mf_const, 156, 19},	//271 Soprano::Node::isResource() const
    {27, 488, 0, 0, Smoke::mf_const, 156, 20},	//272 Soprano::Node::isBlank() const
    {27, 852, 0, 0, Smoke::mf_const, 20, 21},	//273 Soprano::Node::uri() const
    {27, 473, 0, 0, Smoke::mf_const, 15, 22},	//274 Soprano::Node::identifier() const
    {27, 565, 0, 0, Smoke::mf_const, 117, 23},	//275 Soprano::Node::literal() const
    {27, 365, 0, 0, Smoke::mf_const, 20, 24},	//276 Soprano::Node::dataType() const
    {27, 543, 0, 0, Smoke::mf_const, 15, 25},	//277 Soprano::Node::language() const
    {27, 831, 0, 0, Smoke::mf_const, 15, 26},	//278 Soprano::Node::toString() const
    {27, 829, 0, 0, Smoke::mf_const, 15, 27},	//279 Soprano::Node::toN3() const
    {27, 351, 0, 0, Smoke::mf_static, 119, 28},	//280 Soprano::Node::createEmptyNode()
    {27, 357, 137, 1, Smoke::mf_static, 119, 29},	//281 Soprano::Node::createResourceNode(const QUrl&)
    {27, 348, 26, 1, Smoke::mf_static, 119, 30},	//282 Soprano::Node::createBlankNode(const QString&)
    {27, 352, 57, 1, Smoke::mf_static, 119, 31},	//283 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {27, 352, 139, 2, 0, 119, 32},	//284 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {27, 717, 137, 1, Smoke::mf_static, 15, 33},	//285 Soprano::Node::resourceToN3(const QUrl&)
    {27, 280, 26, 1, Smoke::mf_static, 15, 34},	//286 Soprano::Node::blankToN3(const QString&)
    {27, 566, 57, 1, Smoke::mf_static, 15, 35},	//287 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//288 Soprano::Node::EmptyNode (enum)
    {27, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 37},	//289 Soprano::Node::ResourceNode (enum)
    {27, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 38},	//290 Soprano::Node::LiteralNode (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 39},	//291 Soprano::Node::BlankNode (enum)
    {27, 905, 0, 0, Smoke::mf_dtor, 0, 40 },	//292 Soprano::Node::~Node()
    {28, 113, 0, 0, Smoke::mf_ctor, 125, 1},	//293 Soprano::NodeIterator::NodeIterator()
    {28, 113, 142, 1, Smoke::mf_ctor, 125, 2},	//294 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {28, 113, 144, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 3},	//295 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {28, 623, 144, 1, 0, 124, 4},	//296 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {28, 246, 0, 0, 0, 7, 5},	//297 Soprano::NodeIterator::allNodes()
    {28, 906, 0, 0, Smoke::mf_dtor, 0, 6 },	//298 Soprano::NodeIterator::~NodeIterator()
    {29, 814, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 136, 1},	//299 Soprano::Parser::supportedSerializations() const [pure virtual]
    {29, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 16, 2},	//300 Soprano::Parser::supportedUserSerializations() const
    {29, 820, 28, 2, Smoke::mf_const, 156, 3},	//301 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {29, 646, 146, 4, Smoke::mf_const|Smoke::mf_virtual, 141, 4},	//302 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 652, 146, 4, Smoke::mf_const|Smoke::mf_virtual, 141, 5},	//303 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {29, 649, 151, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 6},	//304 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {29, 123, 26, 1, Smoke::mf_ctor|Smoke::mf_protected, 126, 7},	//305 Soprano::Parser::Parser(const QString&)
    {29, 123, 156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 8},	//306 Soprano::Parser::Parser(const Soprano::Parser&)
    {29, 820, 31, 1, Smoke::mf_const, 156, 9},	//307 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {29, 646, 158, 3, Smoke::mf_const, 141, 10},	//308 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 652, 158, 3, Smoke::mf_const, 141, 11},	//309 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {29, 649, 162, 3, Smoke::mf_const|Smoke::mf_purevirtual, 141, 12},	//310 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const [pure virtual]
    {29, 907, 0, 0, Smoke::mf_dtor, 0, 13 },	//311 Soprano::Parser::~Parser()
    {30, 663, 0, 0, Smoke::mf_const, 15, 1},	//312 Soprano::Plugin::pluginName() const
    {30, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 2},	//313 Soprano::Plugin::isAvailable() const
    {30, 134, 26, 1, Smoke::mf_ctor|Smoke::mf_protected, 127, 3},	//314 Soprano::Plugin::Plugin(const QString&)
    {30, 134, 166, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 4},	//315 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {30, 909, 0, 0, Smoke::mf_dtor, 0, 5 },	//316 Soprano::Plugin::~Plugin()
    {31, 594, 0, 0, Smoke::mf_const, 162, 1},	//317 Soprano::PluginManager::metaObject() const
    {31, 678, 10, 1, 0, 196, 2},	//318 Soprano::PluginManager::qt_metacast(const char*)
    {31, 834, 96, 2, Smoke::mf_static, 15, 3},	//319 Soprano::PluginManager::tr(const char*, const char*)
    {31, 838, 96, 2, Smoke::mf_static, 15, 4},	//320 Soprano::PluginManager::trUtf8(const char*, const char*)
    {31, 834, 99, 3, Smoke::mf_static, 15, 5},	//321 Soprano::PluginManager::tr(const char*, const char*, int)
    {31, 838, 99, 3, Smoke::mf_static, 15, 6},	//322 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {31, 676, 103, 3, 0, 193, 7},	//323 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {31, 762, 168, 2, 0, 0, 8},	//324 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {31, 572, 26, 1, 0, 156, 9},	//325 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {31, 568, 26, 1, 0, 171, 10},	//326 Soprano::PluginManager::loadCustomBackend(const QString&)
    {31, 570, 26, 1, 0, 183, 11},	//327 Soprano::PluginManager::loadCustomParser(const QString&)
    {31, 574, 26, 1, 0, 187, 12},	//328 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {31, 393, 26, 1, 0, 171, 13},	//329 Soprano::PluginManager::discoverBackendByName(const QString&)
    {31, 390, 12, 2, 0, 171, 14},	//330 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures, const QStringList&)
    {31, 244, 0, 0, 0, 9, 15},	//331 Soprano::PluginManager::allBackends()
    {31, 395, 26, 1, 0, 183, 16},	//332 Soprano::PluginManager::discoverParserByName(const QString&)
    {31, 397, 28, 2, 0, 183, 17},	//333 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 247, 0, 0, 0, 10, 18},	//334 Soprano::PluginManager::allParsers()
    {31, 400, 26, 1, 0, 187, 19},	//335 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {31, 402, 28, 2, 0, 187, 20},	//336 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {31, 248, 0, 0, 0, 11, 21},	//337 Soprano::PluginManager::allSerializers()
    {31, 478, 0, 0, Smoke::mf_static, 128, 22},	//338 Soprano::PluginManager::instance()
    {31, 834, 10, 1, Smoke::mf_static, 15, 23},	//339 Soprano::PluginManager::tr(const char*)
    {31, 838, 10, 1, Smoke::mf_static, 15, 24},	//340 Soprano::PluginManager::trUtf8(const char*)
    {31, 762, 171, 1, 0, 0, 25},	//341 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {31, 390, 15, 1, 0, 171, 26},	//342 Soprano::PluginManager::discoverBackendByFeatures(Soprano::BackendFeatures)
    {31, 397, 31, 1, 0, 183, 27},	//343 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {31, 402, 31, 1, 0, 187, 28},	//344 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {31, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 29},	//345 Soprano::PluginManager::staticMetaObject() const
    {31, 910, 0, 0, Smoke::mf_dtor, 0, 30 },	//346 Soprano::PluginManager::~PluginManager()
    {32, 150, 0, 0, Smoke::mf_ctor, 132, 1},	//347 Soprano::QueryResultIterator::QueryResultIterator()
    {32, 150, 173, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//348 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {32, 150, 175, 1, Smoke::mf_ctor, 132, 3},	//349 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {32, 623, 173, 1, 0, 131, 4},	//350 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {32, 363, 0, 0, Smoke::mf_const, 138, 5},	//351 Soprano::QueryResultIterator::currentStatement() const
    {32, 362, 0, 0, Smoke::mf_const, 101, 6},	//352 Soprano::QueryResultIterator::currentBindings() const
    {32, 283, 0, 0, Smoke::mf_const, 156, 7},	//353 Soprano::QueryResultIterator::boolValue() const
    {32, 628, 177, 1, Smoke::mf_const, 119, 8},	//354 Soprano::QueryResultIterator::operator[](int) const
    {32, 628, 179, 1, Smoke::mf_const, 119, 9},	//355 Soprano::QueryResultIterator::operator[](const QString) const
    {32, 275, 26, 1, Smoke::mf_const, 119, 10},	//356 Soprano::QueryResultIterator::binding(const QString&) const
    {32, 275, 177, 1, Smoke::mf_const, 119, 11},	//357 Soprano::QueryResultIterator::binding(int) const
    {32, 277, 0, 0, Smoke::mf_const, 193, 12},	//358 Soprano::QueryResultIterator::bindingCount() const
    {32, 278, 0, 0, Smoke::mf_const, 16, 13},	//359 Soprano::QueryResultIterator::bindingNames() const
    {32, 503, 0, 0, Smoke::mf_const, 156, 14},	//360 Soprano::QueryResultIterator::isGraph() const
    {32, 487, 0, 0, Smoke::mf_const, 156, 15},	//361 Soprano::QueryResultIterator::isBinding() const
    {32, 489, 0, 0, Smoke::mf_const, 156, 16},	//362 Soprano::QueryResultIterator::isBool() const
    {32, 245, 0, 0, 0, 6, 17},	//363 Soprano::QueryResultIterator::allBindings()
    {32, 533, 0, 0, Smoke::mf_const, 141, 18},	//364 Soprano::QueryResultIterator::iterateStatements() const
    {32, 528, 26, 1, Smoke::mf_const, 123, 19},	//365 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {32, 528, 177, 1, Smoke::mf_const, 123, 20},	//366 Soprano::QueryResultIterator::iterateBindings(int) const
    {32, 534, 181, 5, Smoke::mf_const, 141, 21},	//367 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {32, 534, 187, 3, Smoke::mf_const, 141, 22},	//368 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {32, 534, 191, 4, Smoke::mf_const, 141, 23},	//369 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {32, 911, 0, 0, Smoke::mf_dtor, 0, 24 },	//370 Soprano::QueryResultIterator::~QueryResultIterator()
    {34, 154, 107, 1, Smoke::mf_ctor, 134, 1},	//371 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {34, 298, 0, 0, Smoke::mf_const, 141, 2},	//372 Soprano::RdfSchemaModel::classes() const
    {34, 379, 196, 2, Smoke::mf_const, 141, 3},	//373 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 382, 196, 2, Smoke::mf_const, 141, 4},	//374 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 385, 196, 2, Smoke::mf_const, 141, 5},	//375 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {34, 408, 196, 2, Smoke::mf_const, 141, 6},	//376 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {34, 673, 0, 0, Smoke::mf_const, 141, 7},	//377 Soprano::RdfSchemaModel::properties() const
    {34, 681, 196, 2, Smoke::mf_const, 141, 8},	//378 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {34, 802, 196, 2, Smoke::mf_const, 141, 9},	//379 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 806, 196, 2, Smoke::mf_const, 141, 10},	//380 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 845, 196, 2, Smoke::mf_const, 141, 11},	//381 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {34, 490, 24, 1, Smoke::mf_const, 156, 12},	//382 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {34, 511, 24, 1, Smoke::mf_const, 156, 13},	//383 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {34, 494, 196, 2, Smoke::mf_const, 156, 14},	//384 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 496, 196, 2, Smoke::mf_const, 156, 15},	//385 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 498, 196, 2, Smoke::mf_const, 156, 16},	//386 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {34, 518, 196, 2, Smoke::mf_const, 156, 17},	//387 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 520, 196, 2, Smoke::mf_const, 156, 18},	//388 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {34, 524, 196, 2, Smoke::mf_const, 156, 19},	//389 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {34, 154, 0, 0, Smoke::mf_ctor, 134, 20},	//390 Soprano::RdfSchemaModel::RdfSchemaModel()
    {34, 379, 24, 1, Smoke::mf_const, 141, 21},	//391 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {34, 382, 24, 1, Smoke::mf_const, 141, 22},	//392 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {34, 802, 24, 1, Smoke::mf_const, 141, 23},	//393 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {34, 806, 24, 1, Smoke::mf_const, 141, 24},	//394 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {34, 912, 0, 0, Smoke::mf_dtor, 0, 25 },	//395 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {35, 814, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 136, 1},	//396 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {35, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 16, 2},	//397 Soprano::Serializer::supportedUserSerializations() const
    {35, 820, 28, 2, Smoke::mf_const, 156, 3},	//398 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {35, 740, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 4},	//399 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {35, 223, 204, 2, Smoke::mf_const, 0, 5},	//400 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {35, 301, 0, 0, Smoke::mf_const, 0, 6},	//401 Soprano::Serializer::clearPrefixes() const
    {35, 669, 0, 0, Smoke::mf_const, 4, 7},	//402 Soprano::Serializer::prefixes() const
    {35, 179, 26, 1, Smoke::mf_ctor|Smoke::mf_protected, 137, 8},	//403 Soprano::Serializer::Serializer(const QString&)
    {35, 179, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 9},	//404 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {35, 820, 31, 1, Smoke::mf_const, 156, 10},	//405 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {35, 740, 209, 3, Smoke::mf_const|Smoke::mf_purevirtual, 156, 11},	//406 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const [pure virtual]
    {35, 914, 0, 0, Smoke::mf_dtor, 0, 12 },	//407 Soprano::Serializer::~Serializer()
    {36, 195, 0, 0, Smoke::mf_ctor, 140, 1},	//408 Soprano::Statement::Statement()
    {36, 195, 111, 4, Smoke::mf_ctor, 140, 2},	//409 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 195, 109, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 3},	//410 Soprano::Statement::Statement(const Soprano::Statement&)
    {36, 623, 109, 1, 0, 139, 4},	//411 Soprano::Statement::operator=(const Soprano::Statement&)
    {36, 625, 109, 1, Smoke::mf_const, 156, 5},	//412 Soprano::Statement::operator==(const Soprano::Statement&) const
    {36, 621, 109, 1, Smoke::mf_const, 156, 6},	//413 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {36, 583, 109, 1, Smoke::mf_const, 156, 7},	//414 Soprano::Statement::matches(const Soprano::Statement&) const
    {36, 526, 0, 0, Smoke::mf_const, 156, 8},	//415 Soprano::Statement::isValid() const
    {36, 809, 0, 0, Smoke::mf_const, 119, 9},	//416 Soprano::Statement::subject() const
    {36, 666, 0, 0, Smoke::mf_const, 119, 10},	//417 Soprano::Statement::predicate() const
    {36, 616, 0, 0, Smoke::mf_const, 119, 11},	//418 Soprano::Statement::object() const
    {36, 344, 0, 0, Smoke::mf_const, 119, 12},	//419 Soprano::Statement::context() const
    {36, 772, 24, 1, 0, 0, 13},	//420 Soprano::Statement::setSubject(const Soprano::Node&)
    {36, 765, 24, 1, 0, 0, 14},	//421 Soprano::Statement::setPredicate(const Soprano::Node&)
    {36, 756, 24, 1, 0, 0, 15},	//422 Soprano::Statement::setObject(const Soprano::Node&)
    {36, 747, 24, 1, 0, 0, 16},	//423 Soprano::Statement::setContext(const Soprano::Node&)
    {36, 195, 122, 3, Smoke::mf_ctor, 140, 17},	//424 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {36, 918, 0, 0, Smoke::mf_dtor, 0, 18 },	//425 Soprano::Statement::~Statement()
    {37, 199, 0, 0, Smoke::mf_ctor, 143, 1},	//426 Soprano::StatementIterator::StatementIterator()
    {37, 199, 213, 1, Smoke::mf_ctor, 143, 2},	//427 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {37, 199, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 3},	//428 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {37, 623, 215, 1, 0, 142, 4},	//429 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {37, 249, 0, 0, 0, 8, 5},	//430 Soprano::StatementIterator::allStatements()
    {37, 538, 0, 0, Smoke::mf_const, 123, 6},	//431 Soprano::StatementIterator::iterateSubjects() const
    {37, 532, 0, 0, Smoke::mf_const, 123, 7},	//432 Soprano::StatementIterator::iteratePredicates() const
    {37, 531, 0, 0, Smoke::mf_const, 123, 8},	//433 Soprano::StatementIterator::iterateObjects() const
    {37, 530, 0, 0, Smoke::mf_const, 123, 9},	//434 Soprano::StatementIterator::iterateContexts() const
    {37, 919, 0, 0, Smoke::mf_dtor, 0, 10 },	//435 Soprano::StatementIterator::~StatementIterator()
    {38, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//436 Soprano::StorageModel::metaObject() const
    {38, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//437 Soprano::StorageModel::qt_metacast(const char*)
    {38, 834, 96, 2, Smoke::mf_static, 15, 3},	//438 Soprano::StorageModel::tr(const char*, const char*)
    {38, 838, 96, 2, Smoke::mf_static, 15, 4},	//439 Soprano::StorageModel::trUtf8(const char*, const char*)
    {38, 834, 99, 3, Smoke::mf_static, 15, 5},	//440 Soprano::StorageModel::tr(const char*, const char*, int)
    {38, 838, 99, 3, Smoke::mf_static, 15, 6},	//441 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {38, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//442 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {38, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 8},	//443 Soprano::StorageModel::isEmpty() const
    {38, 331, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 9},	//444 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {38, 321, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 10},	//445 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {38, 694, 109, 1, Smoke::mf_virtual, 106, 11},	//446 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {38, 270, 0, 0, Smoke::mf_const, 171, 12},	//447 Soprano::StorageModel::backend() const
    {38, 694, 111, 4, 0, 106, 13},	//448 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 694, 0, 0, 0, 106, 14},	//449 Soprano::StorageModel::removeAllStatements()
    {38, 331, 111, 4, Smoke::mf_const, 156, 15},	//450 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 321, 111, 4, Smoke::mf_const, 156, 16},	//451 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 202, 37, 1, Smoke::mf_ctor|Smoke::mf_protected, 144, 17},	//452 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {38, 834, 10, 1, Smoke::mf_static, 15, 18},	//453 Soprano::StorageModel::tr(const char*)
    {38, 838, 10, 1, Smoke::mf_static, 15, 19},	//454 Soprano::StorageModel::trUtf8(const char*)
    {38, 694, 122, 3, 0, 106, 20},	//455 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 331, 122, 3, Smoke::mf_const, 156, 21},	//456 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 321, 122, 3, Smoke::mf_const, 156, 22},	//457 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {38, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 23},	//458 Soprano::StorageModel::staticMetaObject() const
    {38, 920, 0, 0, Smoke::mf_dtor, 0, 24 },	//459 Soprano::StorageModel::~StorageModel()
    {39, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//460 Soprano::Util::AsyncModel::metaObject() const
    {39, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//461 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {39, 834, 96, 2, Smoke::mf_static, 15, 3},	//462 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {39, 838, 96, 2, Smoke::mf_static, 15, 4},	//463 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {39, 834, 99, 3, Smoke::mf_static, 15, 5},	//464 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {39, 838, 99, 3, Smoke::mf_static, 15, 6},	//465 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {39, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//466 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {39, 8, 107, 1, Smoke::mf_ctor, 145, 8},	//467 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {39, 754, 217, 1, 0, 0, 9},	//468 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {39, 600, 0, 0, Smoke::mf_const, 146, 10},	//469 Soprano::Util::AsyncModel::mode() const
    {39, 231, 109, 1, 0, 148, 11},	//470 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {39, 231, 111, 4, 0, 148, 12},	//471 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 237, 135, 1, 0, 148, 13},	//472 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {39, 708, 109, 1, 0, 148, 14},	//473 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {39, 708, 111, 4, 0, 148, 15},	//474 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 714, 135, 1, 0, 148, 16},	//475 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {39, 698, 109, 1, 0, 148, 17},	//476 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {39, 698, 111, 4, 0, 148, 18},	//477 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 501, 0, 0, Smoke::mf_const, 148, 19},	//478 Soprano::Util::AsyncModel::isEmptyAsync() const
    {39, 792, 0, 0, Smoke::mf_const, 148, 20},	//479 Soprano::Util::AsyncModel::statementCountAsync() const
    {39, 559, 109, 1, Smoke::mf_const, 148, 21},	//480 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {39, 559, 111, 4, Smoke::mf_const, 148, 22},	//481 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 559, 0, 0, Smoke::mf_const, 148, 23},	//482 Soprano::Util::AsyncModel::listStatementsAsync() const
    {39, 554, 0, 0, Smoke::mf_const, 148, 24},	//483 Soprano::Util::AsyncModel::listContextsAsync() const
    {39, 423, 116, 3, Smoke::mf_const, 148, 25},	//484 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 335, 109, 1, Smoke::mf_const, 148, 26},	//485 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {39, 335, 111, 4, Smoke::mf_const, 148, 27},	//486 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 325, 109, 1, Smoke::mf_const, 148, 28},	//487 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {39, 325, 111, 4, Smoke::mf_const, 148, 29},	//488 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 350, 0, 0, 0, 148, 30},	//489 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {39, 555, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 31},	//490 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {39, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 32},	//491 Soprano::Util::AsyncModel::listContexts() const
    {39, 418, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 130, 33},	//492 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {39, 227, 109, 1, Smoke::mf_virtual, 106, 34},	//493 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {39, 227, 111, 4, 0, 106, 35},	//494 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 704, 109, 1, Smoke::mf_virtual, 106, 36},	//495 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {39, 704, 111, 4, 0, 106, 37},	//496 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 694, 109, 1, Smoke::mf_virtual, 106, 38},	//497 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {39, 694, 111, 4, 0, 106, 39},	//498 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 694, 0, 0, 0, 106, 40},	//499 Soprano::Util::AsyncModel::removeAllStatements()
    {39, 555, 111, 4, Smoke::mf_const, 141, 41},	//500 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 555, 0, 0, Smoke::mf_const, 141, 42},	//501 Soprano::Util::AsyncModel::listStatements() const
    {39, 331, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 43},	//502 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {39, 331, 111, 4, Smoke::mf_const, 156, 44},	//503 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 321, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 45},	//504 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {39, 321, 111, 4, Smoke::mf_const, 156, 46},	//505 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 834, 10, 1, Smoke::mf_static, 15, 47},	//506 Soprano::Util::AsyncModel::tr(const char*)
    {39, 838, 10, 1, Smoke::mf_static, 15, 48},	//507 Soprano::Util::AsyncModel::trUtf8(const char*)
    {39, 8, 0, 0, Smoke::mf_ctor, 145, 49},	//508 Soprano::Util::AsyncModel::AsyncModel()
    {39, 231, 122, 3, 0, 148, 50},	//509 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 708, 122, 3, 0, 148, 51},	//510 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 698, 122, 3, 0, 148, 52},	//511 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 559, 122, 3, Smoke::mf_const, 148, 53},	//512 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 423, 126, 2, Smoke::mf_const, 148, 54},	//513 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {39, 335, 122, 3, Smoke::mf_const, 148, 55},	//514 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 325, 122, 3, Smoke::mf_const, 148, 56},	//515 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 418, 126, 2, Smoke::mf_const, 130, 57},	//516 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {39, 227, 122, 3, 0, 106, 58},	//517 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 704, 122, 3, 0, 106, 59},	//518 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 694, 122, 3, 0, 106, 60},	//519 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {39, 555, 122, 3, Smoke::mf_const, 141, 61},	//520 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 331, 122, 3, Smoke::mf_const, 156, 62},	//521 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 321, 122, 3, Smoke::mf_const, 156, 63},	//522 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {39, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 64},	//523 Soprano::Util::AsyncModel::staticMetaObject() const
    {39, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//524 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {39, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//525 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {39, 895, 0, 0, Smoke::mf_dtor, 0, 67 },	//526 Soprano::Util::AsyncModel::~AsyncModel()
    {40, 594, 0, 0, Smoke::mf_const, 162, 1},	//527 Soprano::Util::AsyncQuery::metaObject() const
    {40, 678, 10, 1, 0, 196, 2},	//528 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {40, 834, 96, 2, Smoke::mf_static, 15, 3},	//529 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {40, 838, 96, 2, Smoke::mf_static, 15, 4},	//530 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {40, 834, 99, 3, Smoke::mf_static, 15, 5},	//531 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {40, 838, 99, 3, Smoke::mf_static, 15, 6},	//532 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {40, 676, 103, 3, 0, 193, 7},	//533 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {40, 363, 0, 0, Smoke::mf_const, 138, 8},	//534 Soprano::Util::AsyncQuery::currentStatement() const
    {40, 362, 0, 0, Smoke::mf_const, 101, 9},	//535 Soprano::Util::AsyncQuery::currentBindings() const
    {40, 283, 0, 0, Smoke::mf_const, 156, 10},	//536 Soprano::Util::AsyncQuery::boolValue() const
    {40, 275, 26, 1, Smoke::mf_const, 119, 11},	//537 Soprano::Util::AsyncQuery::binding(const QString&) const
    {40, 275, 177, 1, Smoke::mf_const, 119, 12},	//538 Soprano::Util::AsyncQuery::binding(int) const
    {40, 277, 0, 0, Smoke::mf_const, 193, 13},	//539 Soprano::Util::AsyncQuery::bindingCount() const
    {40, 278, 0, 0, Smoke::mf_const, 16, 14},	//540 Soprano::Util::AsyncQuery::bindingNames() const
    {40, 503, 0, 0, Smoke::mf_const, 156, 15},	//541 Soprano::Util::AsyncQuery::isGraph() const
    {40, 487, 0, 0, Smoke::mf_const, 156, 16},	//542 Soprano::Util::AsyncQuery::isBinding() const
    {40, 489, 0, 0, Smoke::mf_const, 156, 17},	//543 Soprano::Util::AsyncQuery::isBool() const
    {40, 607, 0, 0, Smoke::mf_slot, 156, 18},	//544 Soprano::Util::AsyncQuery::next()
    {40, 302, 0, 0, Smoke::mf_slot, 0, 19},	//545 Soprano::Util::AsyncQuery::close()
    {40, 608, 219, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//546 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {40, 435, 219, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//547 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {40, 418, 221, 4, Smoke::mf_static, 147, 22},	//548 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {40, 834, 10, 1, Smoke::mf_static, 15, 23},	//549 Soprano::Util::AsyncQuery::tr(const char*)
    {40, 838, 10, 1, Smoke::mf_static, 15, 24},	//550 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {40, 418, 226, 3, Smoke::mf_static, 147, 25},	//551 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {40, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 26},	//552 Soprano::Util::AsyncQuery::staticMetaObject() const
    {40, 896, 0, 0, Smoke::mf_dtor, 0, 27 },	//553 Soprano::Util::AsyncQuery::~AsyncQuery()
    {41, 594, 0, 0, Smoke::mf_const, 162, 1},	//554 Soprano::Util::AsyncResult::metaObject() const
    {41, 678, 10, 1, 0, 196, 2},	//555 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {41, 834, 96, 2, Smoke::mf_static, 15, 3},	//556 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {41, 838, 96, 2, Smoke::mf_static, 15, 4},	//557 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {41, 834, 99, 3, Smoke::mf_static, 15, 5},	//558 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {41, 838, 99, 3, Smoke::mf_static, 15, 6},	//559 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {41, 676, 103, 3, 0, 193, 7},	//560 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {41, 720, 230, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//561 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {41, 359, 0, 0, Smoke::mf_static, 148, 9},	//562 Soprano::Util::AsyncResult::createResult()
    {41, 861, 0, 0, Smoke::mf_const, 21, 10},	//563 Soprano::Util::AsyncResult::value() const
    {41, 415, 0, 0, Smoke::mf_const, 106, 11},	//564 Soprano::Util::AsyncResult::errorCode() const
    {41, 793, 0, 0, Smoke::mf_const, 141, 12},	//565 Soprano::Util::AsyncResult::statementIterator() const
    {41, 612, 0, 0, Smoke::mf_const, 123, 13},	//566 Soprano::Util::AsyncResult::nodeIterator() const
    {41, 680, 0, 0, Smoke::mf_const, 130, 14},	//567 Soprano::Util::AsyncResult::queryResultIterator() const
    {41, 611, 0, 0, Smoke::mf_const, 119, 15},	//568 Soprano::Util::AsyncResult::node() const
    {41, 768, 232, 2, 0, 0, 16},	//569 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {41, 834, 10, 1, Smoke::mf_static, 15, 17},	//570 Soprano::Util::AsyncResult::tr(const char*)
    {41, 838, 10, 1, Smoke::mf_static, 15, 18},	//571 Soprano::Util::AsyncResult::trUtf8(const char*)
    {41, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 19},	//572 Soprano::Util::AsyncResult::staticMetaObject() const
    {41, 897, 0, 0, Smoke::mf_dtor, 0, 20 },	//573 Soprano::Util::AsyncResult::~AsyncResult()
    {42, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//574 Soprano::Util::ReadOnlyModel::metaObject() const
    {42, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//575 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {42, 834, 96, 2, Smoke::mf_static, 15, 3},	//576 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {42, 838, 96, 2, Smoke::mf_static, 15, 4},	//577 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {42, 834, 99, 3, Smoke::mf_static, 15, 5},	//578 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {42, 838, 99, 3, Smoke::mf_static, 15, 6},	//579 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {42, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//580 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {42, 156, 107, 1, Smoke::mf_ctor, 149, 8},	//581 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {42, 760, 107, 1, 0, 0, 9},	//582 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {42, 555, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 10},	//583 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {42, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 11},	//584 Soprano::Util::ReadOnlyModel::listContexts() const
    {42, 418, 116, 3, Smoke::mf_const|Smoke::mf_virtual, 130, 12},	//585 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {42, 331, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 13},	//586 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {42, 321, 109, 1, Smoke::mf_const|Smoke::mf_virtual, 156, 14},	//587 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {42, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 15},	//588 Soprano::Util::ReadOnlyModel::isEmpty() const
    {42, 791, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 16},	//589 Soprano::Util::ReadOnlyModel::statementCount() const
    {42, 227, 109, 1, Smoke::mf_virtual, 106, 17},	//590 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {42, 704, 109, 1, Smoke::mf_virtual, 106, 18},	//591 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {42, 694, 109, 1, Smoke::mf_virtual, 106, 19},	//592 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {42, 348, 0, 0, Smoke::mf_virtual, 119, 20},	//593 Soprano::Util::ReadOnlyModel::createBlankNode()
    {42, 227, 111, 4, 0, 106, 21},	//594 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 704, 111, 4, 0, 106, 22},	//595 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 694, 111, 4, 0, 106, 23},	//596 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 694, 0, 0, 0, 106, 24},	//597 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {42, 555, 111, 4, Smoke::mf_const, 141, 25},	//598 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 555, 0, 0, Smoke::mf_const, 141, 26},	//599 Soprano::Util::ReadOnlyModel::listStatements() const
    {42, 331, 111, 4, Smoke::mf_const, 156, 27},	//600 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 321, 111, 4, Smoke::mf_const, 156, 28},	//601 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 834, 10, 1, Smoke::mf_static, 15, 29},	//602 Soprano::Util::ReadOnlyModel::tr(const char*)
    {42, 838, 10, 1, Smoke::mf_static, 15, 30},	//603 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {42, 156, 0, 0, Smoke::mf_ctor, 149, 31},	//604 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {42, 418, 126, 2, Smoke::mf_const, 130, 32},	//605 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {42, 227, 122, 3, 0, 106, 33},	//606 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 704, 122, 3, 0, 106, 34},	//607 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 694, 122, 3, 0, 106, 35},	//608 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {42, 555, 122, 3, Smoke::mf_const, 141, 36},	//609 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 331, 122, 3, Smoke::mf_const, 156, 37},	//610 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 321, 122, 3, Smoke::mf_const, 156, 38},	//611 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {42, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 39},	//612 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {42, 913, 0, 0, Smoke::mf_dtor, 0, 40 },	//613 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {43, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 162, 1},	//614 Soprano::Util::SignalCacheModel::metaObject() const
    {43, 678, 10, 1, Smoke::mf_virtual, 196, 2},	//615 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {43, 834, 96, 2, Smoke::mf_static, 15, 3},	//616 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {43, 838, 96, 2, Smoke::mf_static, 15, 4},	//617 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {43, 834, 99, 3, Smoke::mf_static, 15, 5},	//618 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {43, 838, 99, 3, Smoke::mf_static, 15, 6},	//619 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {43, 676, 103, 3, Smoke::mf_virtual, 193, 7},	//620 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {43, 182, 107, 1, Smoke::mf_ctor, 150, 8},	//621 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {43, 285, 0, 0, Smoke::mf_const, 193, 9},	//622 Soprano::Util::SignalCacheModel::cacheTime() const
    {43, 743, 177, 1, Smoke::mf_slot, 0, 10},	//623 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {43, 644, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//624 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {43, 645, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//625 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {43, 825, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//626 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {43, 834, 10, 1, Smoke::mf_static, 15, 14},	//627 Soprano::Util::SignalCacheModel::tr(const char*)
    {43, 838, 10, 1, Smoke::mf_static, 15, 15},	//628 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {43, 182, 0, 0, Smoke::mf_ctor, 150, 16},	//629 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {43, 798, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 161, 17},	//630 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {43, 915, 0, 0, Smoke::mf_dtor, 0, 18 },	//631 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {44, 184, 0, 0, Smoke::mf_ctor, 152, 1},	//632 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {44, 184, 235, 1, Smoke::mf_ctor, 152, 2},	//633 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {44, 184, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 3},	//634 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {44, 623, 235, 1, 0, 151, 4},	//635 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {44, 623, 237, 1, 0, 151, 5},	//636 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {44, 916, 0, 0, Smoke::mf_dtor, 0, 6 },	//637 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {45, 187, 0, 0, Smoke::mf_ctor, 154, 1},	//638 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {45, 187, 135, 1, Smoke::mf_ctor, 154, 2},	//639 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {45, 187, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 3},	//640 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {45, 623, 135, 1, 0, 153, 4},	//641 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {45, 623, 239, 1, 0, 153, 5},	//642 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {45, 917, 0, 0, Smoke::mf_dtor, 0, 6 },	//643 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {46, 615, 0, 0, Smoke::mf_static, 20, 1},	//644 Soprano::Vocabulary::NAO::numericRating()
    {46, 868, 0, 0, Smoke::mf_static, 20, 2},	//645 Soprano::Vocabulary::NAO::version()
    {46, 522, 0, 0, Smoke::mf_static, 20, 3},	//646 Soprano::Vocabulary::NAO::isTagFor()
    {46, 252, 0, 0, Smoke::mf_static, 20, 4},	//647 Soprano::Vocabulary::NAO::altSymbol()
    {46, 683, 0, 0, Smoke::mf_static, 20, 5},	//648 Soprano::Vocabulary::NAO::rating()
    {46, 664, 0, 0, Smoke::mf_static, 20, 6},	//649 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {46, 253, 0, 0, Smoke::mf_static, 20, 7},	//650 Soprano::Vocabulary::NAO::annotation()
    {46, 731, 0, 0, Smoke::mf_static, 20, 8},	//651 Soprano::Vocabulary::NAO::scoreParameter()
    {46, 523, 0, 0, Smoke::mf_static, 20, 9},	//652 Soprano::Vocabulary::NAO::isTopicOf()
    {46, 377, 0, 0, Smoke::mf_static, 20, 10},	//653 Soprano::Vocabulary::NAO::description()
    {46, 659, 0, 0, Smoke::mf_static, 20, 11},	//654 Soprano::Vocabulary::NAO::personalIdentifier()
    {46, 207, 0, 0, Smoke::mf_static, 20, 12},	//655 Soprano::Vocabulary::NAO::Tag()
    {46, 204, 0, 0, Smoke::mf_static, 20, 13},	//656 Soprano::Vocabulary::NAO::Symbol()
    {46, 799, 0, 0, Smoke::mf_static, 20, 14},	//657 Soprano::Vocabulary::NAO::status()
    {46, 601, 0, 0, Smoke::mf_static, 20, 15},	//658 Soprano::Vocabulary::NAO::modified()
    {46, 458, 0, 0, Smoke::mf_static, 20, 16},	//659 Soprano::Vocabulary::NAO::hasSuperResource()
    {46, 668, 0, 0, Smoke::mf_static, 20, 17},	//660 Soprano::Vocabulary::NAO::prefSymbol()
    {46, 604, 0, 0, Smoke::mf_static, 20, 18},	//661 Soprano::Vocabulary::NAO::naoNamespace()
    {46, 130, 0, 0, Smoke::mf_static, 20, 19},	//662 Soprano::Vocabulary::NAO::Party()
    {46, 545, 0, 0, Smoke::mf_static, 20, 20},	//663 Soprano::Vocabulary::NAO::lastModified()
    {46, 667, 0, 0, Smoke::mf_static, 20, 21},	//664 Soprano::Vocabulary::NAO::prefLabel()
    {46, 459, 0, 0, Smoke::mf_static, 20, 22},	//665 Soprano::Vocabulary::NAO::hasSymbol()
    {46, 345, 0, 0, Smoke::mf_static, 20, 23},	//666 Soprano::Vocabulary::NAO::contributor()
    {46, 360, 0, 0, Smoke::mf_static, 20, 24},	//667 Soprano::Vocabulary::NAO::created()
    {46, 457, 0, 0, Smoke::mf_static, 20, 25},	//668 Soprano::Vocabulary::NAO::hasSubResource()
    {46, 473, 0, 0, Smoke::mf_static, 20, 26},	//669 Soprano::Vocabulary::NAO::identifier()
    {46, 461, 0, 0, Smoke::mf_static, 20, 27},	//670 Soprano::Vocabulary::NAO::hasTopic()
    {46, 471, 0, 0, Smoke::mf_static, 20, 28},	//671 Soprano::Vocabulary::NAO::iconName()
    {46, 454, 0, 0, Smoke::mf_static, 20, 29},	//672 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {46, 515, 0, 0, Smoke::mf_static, 20, 30},	//673 Soprano::Vocabulary::NAO::isRelated()
    {46, 80, 0, 0, Smoke::mf_static, 20, 31},	//674 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {46, 736, 0, 0, Smoke::mf_static, 20, 32},	//675 Soprano::Vocabulary::NAO::serializationLanguage()
    {46, 453, 0, 0, Smoke::mf_static, 20, 33},	//676 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {46, 411, 0, 0, Smoke::mf_static, 20, 34},	//677 Soprano::Vocabulary::NAO::engineeringTool()
    {46, 251, 0, 0, Smoke::mf_static, 20, 35},	//678 Soprano::Vocabulary::NAO::altLabel()
    {46, 460, 0, 0, Smoke::mf_static, 20, 36},	//679 Soprano::Vocabulary::NAO::hasTag()
    {46, 361, 0, 0, Smoke::mf_static, 20, 37},	//680 Soprano::Vocabulary::NAO::creator()
    {46, 730, 0, 0, Smoke::mf_static, 20, 38},	//681 Soprano::Vocabulary::NAO::score()
    {47, 735, 0, 0, Smoke::mf_static, 20, 1},	//682 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {47, 686, 0, 0, Smoke::mf_static, 20, 2},	//683 Soprano::Vocabulary::NRL::realizes()
    {47, 61, 0, 0, Smoke::mf_static, 20, 3},	//684 Soprano::Vocabulary::NRL::DocumentGraph()
    {47, 56, 0, 0, Smoke::mf_static, 20, 4},	//685 Soprano::Vocabulary::NRL::DefaultGraph()
    {47, 599, 0, 0, Smoke::mf_static, 20, 5},	//686 Soprano::Vocabulary::NRL::minCardinality()
    {47, 167, 0, 0, Smoke::mf_static, 20, 6},	//687 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {47, 347, 0, 0, Smoke::mf_static, 20, 7},	//688 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {47, 81, 0, 0, Smoke::mf_static, 20, 8},	//689 Soprano::Vocabulary::NRL::FunctionalProperty()
    {47, 168, 0, 0, Smoke::mf_static, 20, 9},	//690 Soprano::Vocabulary::NRL::Schema()
    {47, 45, 0, 0, Smoke::mf_static, 20, 10},	//691 Soprano::Vocabulary::NRL::Configuration()
    {47, 211, 0, 0, Smoke::mf_static, 20, 11},	//692 Soprano::Vocabulary::NRL::TransitiveProperty()
    {47, 84, 0, 0, Smoke::mf_static, 20, 12},	//693 Soprano::Vocabulary::NRL::GraphView()
    {47, 169, 0, 0, Smoke::mf_static, 20, 13},	//694 Soprano::Vocabulary::NRL::Semantics()
    {47, 484, 0, 0, Smoke::mf_static, 20, 14},	//695 Soprano::Vocabulary::NRL::inverseProperty()
    {47, 119, 0, 0, Smoke::mf_static, 20, 15},	//696 Soprano::Vocabulary::NRL::Ontology()
    {47, 158, 0, 0, Smoke::mf_static, 20, 16},	//697 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {47, 94, 0, 0, Smoke::mf_static, 20, 17},	//698 Soprano::Vocabulary::NRL::KnowledgeBase()
    {47, 455, 0, 0, Smoke::mf_static, 20, 18},	//699 Soprano::Vocabulary::NRL::hasSemantics()
    {47, 451, 0, 0, Smoke::mf_static, 20, 19},	//700 Soprano::Vocabulary::NRL::graphMetadataFor()
    {47, 475, 0, 0, Smoke::mf_static, 20, 20},	//701 Soprano::Vocabulary::NRL::imports()
    {47, 878, 0, 0, Smoke::mf_static, 20, 21},	//702 Soprano::Vocabulary::NRL::viewOn()
    {47, 851, 0, 0, Smoke::mf_static, 20, 22},	//703 Soprano::Vocabulary::NRL::updatable()
    {47, 73, 0, 0, Smoke::mf_static, 20, 23},	//704 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {47, 429, 0, 0, Smoke::mf_static, 20, 24},	//705 Soprano::Vocabulary::NRL::externalRealizer()
    {47, 456, 0, 0, Smoke::mf_static, 20, 25},	//706 Soprano::Vocabulary::NRL::hasSpecification()
    {47, 82, 0, 0, Smoke::mf_static, 20, 26},	//707 Soprano::Vocabulary::NRL::Graph()
    {47, 83, 0, 0, Smoke::mf_static, 20, 27},	//708 Soprano::Vocabulary::NRL::GraphMetadata()
    {47, 413, 0, 0, Smoke::mf_static, 20, 28},	//709 Soprano::Vocabulary::NRL::equivalentGraph()
    {47, 205, 0, 0, Smoke::mf_static, 20, 29},	//710 Soprano::Vocabulary::NRL::SymmetricProperty()
    {47, 92, 0, 0, Smoke::mf_static, 20, 30},	//711 Soprano::Vocabulary::NRL::InstanceBase()
    {47, 585, 0, 0, Smoke::mf_static, 20, 31},	//712 Soprano::Vocabulary::NRL::maxCardinality()
    {47, 725, 0, 0, Smoke::mf_static, 20, 32},	//713 Soprano::Vocabulary::NRL::ruleLanguage()
    {47, 51, 0, 0, Smoke::mf_static, 20, 33},	//714 Soprano::Vocabulary::NRL::Data()
    {47, 614, 0, 0, Smoke::mf_static, 20, 34},	//715 Soprano::Vocabulary::NRL::nrlNamespace()
    {47, 288, 0, 0, Smoke::mf_static, 20, 35},	//716 Soprano::Vocabulary::NRL::cardinality()
    {47, 7, 0, 0, Smoke::mf_static, 20, 36},	//717 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {47, 724, 0, 0, Smoke::mf_static, 20, 37},	//718 Soprano::Vocabulary::NRL::rule()
    {47, 805, 0, 0, Smoke::mf_static, 20, 38},	//719 Soprano::Vocabulary::NRL::subGraphOf()
    {47, 93, 0, 0, Smoke::mf_static, 20, 39},	//720 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {47, 811, 0, 0, Smoke::mf_static, 20, 40},	//721 Soprano::Vocabulary::NRL::superGraphOf()
    {47, 214, 0, 0, Smoke::mf_static, 20, 41},	//722 Soprano::Vocabulary::NRL::ViewSpecification()
    {48, 635, 0, 0, Smoke::mf_static, 20, 1},	//723 Soprano::Vocabulary::OWL::owlNamespace()
    {48, 477, 0, 0, Smoke::mf_static, 20, 2},	//724 Soprano::Vocabulary::OWL::incompatibleWith()
    {48, 4, 0, 0, Smoke::mf_static, 20, 3},	//725 Soprano::Vocabulary::OWL::AnnotationProperty()
    {48, 58, 0, 0, Smoke::mf_static, 20, 4},	//726 Soprano::Vocabulary::OWL::DeprecatedClass()
    {48, 405, 0, 0, Smoke::mf_static, 20, 5},	//727 Soprano::Vocabulary::OWL::disjointWith()
    {48, 53, 0, 0, Smoke::mf_static, 20, 6},	//728 Soprano::Vocabulary::OWL::DataRange()
    {48, 475, 0, 0, Smoke::mf_static, 20, 7},	//729 Soprano::Vocabulary::OWL::imports()
    {48, 120, 0, 0, Smoke::mf_static, 20, 8},	//730 Soprano::Vocabulary::OWL::OntologyProperty()
    {48, 483, 0, 0, Smoke::mf_static, 20, 9},	//731 Soprano::Vocabulary::OWL::inverseOf()
    {48, 116, 0, 0, Smoke::mf_static, 20, 10},	//732 Soprano::Vocabulary::OWL::Nothing()
    {48, 59, 0, 0, Smoke::mf_static, 20, 11},	//733 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {48, 482, 0, 0, Smoke::mf_static, 20, 12},	//734 Soprano::Vocabulary::OWL::intersectionOf()
    {48, 205, 0, 0, Smoke::mf_static, 20, 13},	//735 Soprano::Vocabulary::OWL::SymmetricProperty()
    {48, 164, 0, 0, Smoke::mf_static, 20, 14},	//736 Soprano::Vocabulary::OWL::Restriction()
    {48, 726, 0, 0, Smoke::mf_static, 20, 15},	//737 Soprano::Vocabulary::OWL::sameAs()
    {48, 81, 0, 0, Smoke::mf_static, 20, 16},	//738 Soprano::Vocabulary::OWL::FunctionalProperty()
    {48, 93, 0, 0, Smoke::mf_static, 20, 17},	//739 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {48, 271, 0, 0, Smoke::mf_static, 20, 18},	//740 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {48, 869, 0, 0, Smoke::mf_static, 20, 19},	//741 Soprano::Vocabulary::OWL::versionInfo()
    {48, 412, 0, 0, Smoke::mf_static, 20, 20},	//742 Soprano::Vocabulary::OWL::equivalentClass()
    {48, 406, 0, 0, Smoke::mf_static, 20, 21},	//743 Soprano::Vocabulary::OWL::distinctMembers()
    {48, 619, 0, 0, Smoke::mf_static, 20, 22},	//744 Soprano::Vocabulary::OWL::oneOf()
    {48, 585, 0, 0, Smoke::mf_static, 20, 23},	//745 Soprano::Vocabulary::OWL::maxCardinality()
    {48, 311, 0, 0, Smoke::mf_static, 20, 24},	//746 Soprano::Vocabulary::OWL::complementOf()
    {48, 119, 0, 0, Smoke::mf_static, 20, 25},	//747 Soprano::Vocabulary::OWL::Ontology()
    {48, 671, 0, 0, Smoke::mf_static, 20, 26},	//748 Soprano::Vocabulary::OWL::priorVersion()
    {48, 599, 0, 0, Smoke::mf_static, 20, 27},	//749 Soprano::Vocabulary::OWL::minCardinality()
    {48, 378, 0, 0, Smoke::mf_static, 20, 28},	//750 Soprano::Vocabulary::OWL::differentFrom()
    {48, 847, 0, 0, Smoke::mf_static, 20, 29},	//751 Soprano::Vocabulary::OWL::unionOf()
    {48, 210, 0, 0, Smoke::mf_static, 20, 30},	//752 Soprano::Vocabulary::OWL::Thing()
    {48, 785, 0, 0, Smoke::mf_static, 20, 31},	//753 Soprano::Vocabulary::OWL::someValuesFrom()
    {48, 211, 0, 0, Smoke::mf_static, 20, 32},	//754 Soprano::Vocabulary::OWL::TransitiveProperty()
    {48, 618, 0, 0, Smoke::mf_static, 20, 33},	//755 Soprano::Vocabulary::OWL::onProperty()
    {48, 117, 0, 0, Smoke::mf_static, 20, 34},	//756 Soprano::Vocabulary::OWL::ObjectProperty()
    {48, 414, 0, 0, Smoke::mf_static, 20, 35},	//757 Soprano::Vocabulary::OWL::equivalentProperty()
    {48, 55, 0, 0, Smoke::mf_static, 20, 36},	//758 Soprano::Vocabulary::OWL::DatatypeProperty()
    {48, 288, 0, 0, Smoke::mf_static, 20, 37},	//759 Soprano::Vocabulary::OWL::cardinality()
    {48, 1, 0, 0, Smoke::mf_static, 20, 38},	//760 Soprano::Vocabulary::OWL::AllDifferent()
    {48, 43, 0, 0, Smoke::mf_static, 20, 39},	//761 Soprano::Vocabulary::OWL::Class()
    {48, 462, 0, 0, Smoke::mf_static, 20, 40},	//762 Soprano::Vocabulary::OWL::hasValue()
    {48, 250, 0, 0, Smoke::mf_static, 20, 41},	//763 Soprano::Vocabulary::OWL::allValuesFrom()
    {49, 195, 0, 0, Smoke::mf_static, 20, 1},	//764 Soprano::Vocabulary::RDF::Statement()
    {49, 2, 0, 0, Smoke::mf_static, 20, 2},	//765 Soprano::Vocabulary::RDF::Alt()
    {49, 139, 0, 0, Smoke::mf_static, 20, 3},	//766 Soprano::Vocabulary::RDF::Property()
    {49, 809, 0, 0, Smoke::mf_static, 20, 4},	//767 Soprano::Vocabulary::RDF::subject()
    {49, 437, 0, 0, Smoke::mf_static, 20, 5},	//768 Soprano::Vocabulary::RDF::first()
    {49, 95, 0, 0, Smoke::mf_static, 20, 6},	//769 Soprano::Vocabulary::RDF::List()
    {49, 861, 0, 0, Smoke::mf_static, 20, 7},	//770 Soprano::Vocabulary::RDF::value()
    {49, 170, 0, 0, Smoke::mf_static, 20, 8},	//771 Soprano::Vocabulary::RDF::Seq()
    {49, 616, 0, 0, Smoke::mf_static, 20, 9},	//772 Soprano::Vocabulary::RDF::object()
    {49, 719, 0, 0, Smoke::mf_static, 20, 10},	//773 Soprano::Vocabulary::RDF::rest()
    {49, 666, 0, 0, Smoke::mf_static, 20, 11},	//774 Soprano::Vocabulary::RDF::predicate()
    {49, 39, 0, 0, Smoke::mf_static, 20, 12},	//775 Soprano::Vocabulary::RDF::Bag()
    {49, 217, 0, 0, Smoke::mf_static, 20, 13},	//776 Soprano::Vocabulary::RDF::XMLLiteral()
    {49, 845, 0, 0, Smoke::mf_static, 20, 14},	//777 Soprano::Vocabulary::RDF::type()
    {49, 610, 0, 0, Smoke::mf_static, 20, 15},	//778 Soprano::Vocabulary::RDF::nil()
    {49, 684, 0, 0, Smoke::mf_static, 20, 16},	//779 Soprano::Vocabulary::RDF::rdfNamespace()
    {50, 681, 0, 0, Smoke::mf_static, 20, 1},	//780 Soprano::Vocabulary::RDFS::range()
    {50, 542, 0, 0, Smoke::mf_static, 20, 2},	//781 Soprano::Vocabulary::RDFS::label()
    {50, 591, 0, 0, Smoke::mf_static, 20, 3},	//782 Soprano::Vocabulary::RDFS::member()
    {50, 493, 0, 0, Smoke::mf_static, 20, 4},	//783 Soprano::Vocabulary::RDFS::isDefinedBy()
    {50, 96, 0, 0, Smoke::mf_static, 20, 5},	//784 Soprano::Vocabulary::RDFS::Literal()
    {50, 54, 0, 0, Smoke::mf_static, 20, 6},	//785 Soprano::Vocabulary::RDFS::Datatype()
    {50, 806, 0, 0, Smoke::mf_static, 20, 7},	//786 Soprano::Vocabulary::RDFS::subPropertyOf()
    {50, 307, 0, 0, Smoke::mf_static, 20, 8},	//787 Soprano::Vocabulary::RDFS::comment()
    {50, 802, 0, 0, Smoke::mf_static, 20, 9},	//788 Soprano::Vocabulary::RDFS::subClassOf()
    {50, 408, 0, 0, Smoke::mf_static, 20, 10},	//789 Soprano::Vocabulary::RDFS::domain()
    {50, 49, 0, 0, Smoke::mf_static, 20, 11},	//790 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {50, 685, 0, 0, Smoke::mf_static, 20, 12},	//791 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {50, 162, 0, 0, Smoke::mf_static, 20, 13},	//792 Soprano::Vocabulary::RDFS::Resource()
    {50, 733, 0, 0, Smoke::mf_static, 20, 14},	//793 Soprano::Vocabulary::RDFS::seeAlso()
    {50, 43, 0, 0, Smoke::mf_static, 20, 15},	//794 Soprano::Vocabulary::RDFS::Class()
    {50, 48, 0, 0, Smoke::mf_static, 20, 16},	//795 Soprano::Vocabulary::RDFS::Container()
    {51, 788, 0, 0, Smoke::mf_static, 20, 1},	//796 Soprano::Vocabulary::SIL::sourceStatement()
    {51, 89, 0, 0, Smoke::mf_static, 20, 2},	//797 Soprano::Vocabulary::SIL::InferenceMetaData()
    {51, 783, 0, 0, Smoke::mf_static, 20, 3},	//798 Soprano::Vocabulary::SIL::silNamespace()
    {51, 344, 0, 0, Smoke::mf_static, 20, 4},	//799 Soprano::Vocabulary::SIL::context()
    {51, 88, 0, 0, Smoke::mf_static, 20, 5},	//800 Soprano::Vocabulary::SIL::InferenceGraph()
    {52, 272, 0, 0, Smoke::mf_static, 20, 1},	//801 Soprano::Vocabulary::XMLSchema::base64Binary()
    {52, 889, 0, 0, Smoke::mf_static, 20, 2},	//802 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {52, 848, 0, 0, Smoke::mf_static, 20, 3},	//803 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {52, 284, 0, 0, Smoke::mf_static, 20, 4},	//804 Soprano::Vocabulary::XMLSchema::boolean()
    {52, 850, 0, 0, Smoke::mf_static, 20, 5},	//805 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {52, 367, 0, 0, Smoke::mf_static, 20, 6},	//806 Soprano::Vocabulary::XMLSchema::dateTime()
    {52, 368, 0, 0, Smoke::mf_static, 20, 7},	//807 Soprano::Vocabulary::XMLSchema::decimal()
    {52, 891, 0, 0, Smoke::mf_static, 20, 8},	//808 Soprano::Vocabulary::XMLSchema::xsdInt()
    {52, 893, 0, 0, Smoke::mf_static, 20, 9},	//809 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {52, 605, 0, 0, Smoke::mf_static, 20, 10},	//810 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {52, 849, 0, 0, Smoke::mf_static, 20, 11},	//811 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {52, 824, 0, 0, Smoke::mf_static, 20, 12},	//812 Soprano::Vocabulary::XMLSchema::time()
    {52, 801, 0, 0, Smoke::mf_static, 20, 13},	//813 Soprano::Vocabulary::XMLSchema::string()
    {52, 890, 0, 0, Smoke::mf_static, 20, 14},	//814 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {52, 894, 0, 0, Smoke::mf_static, 20, 15},	//815 Soprano::Vocabulary::XMLSchema::xsdShort()
    {52, 479, 0, 0, Smoke::mf_static, 20, 16},	//816 Soprano::Vocabulary::XMLSchema::integer()
    {52, 892, 0, 0, Smoke::mf_static, 20, 17},	//817 Soprano::Vocabulary::XMLSchema::xsdLong()
    {52, 613, 0, 0, Smoke::mf_static, 20, 18},	//818 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {52, 366, 0, 0, Smoke::mf_static, 20, 19},	//819 Soprano::Vocabulary::XMLSchema::date()
    {53, 670, 0, 0, Smoke::mf_static, 20, 1},	//820 Soprano::Vocabulary::Xesam::primaryRecipient()
    {53, 306, 0, 0, Smoke::mf_static, 20, 2},	//821 Soprano::Vocabulary::Xesam::columnCount()
    {53, 133, 0, 0, Smoke::mf_static, 20, 3},	//822 Soprano::Vocabulary::Xesam::Photo()
    {53, 688, 0, 0, Smoke::mf_static, 20, 4},	//823 Soprano::Vocabulary::Xesam::recipient()
    {53, 65, 0, 0, Smoke::mf_static, 20, 5},	//824 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {53, 884, 0, 0, Smoke::mf_static, 20, 6},	//825 Soprano::Vocabulary::Xesam::workPostalAddress()
    {53, 782, 0, 0, Smoke::mf_static, 20, 7},	//826 Soprano::Vocabulary::Xesam::sha1Hash()
    {53, 463, 0, 0, Smoke::mf_static, 20, 8},	//827 Soprano::Vocabulary::Xesam::height()
    {53, 485, 0, 0, Smoke::mf_static, 20, 9},	//828 Soprano::Vocabulary::Xesam::ircContactMedium()
    {53, 514, 0, 0, Smoke::mf_static, 20, 10},	//829 Soprano::Vocabulary::Xesam::isRead()
    {53, 79, 0, 0, Smoke::mf_static, 20, 11},	//830 Soprano::Vocabulary::Xesam::Folder()
    {53, 269, 0, 0, Smoke::mf_static, 20, 12},	//831 Soprano::Vocabulary::Xesam::autoRating()
    {53, 315, 0, 0, Smoke::mf_static, 20, 13},	//832 Soprano::Vocabulary::Xesam::conflicts()
    {53, 137, 0, 0, Smoke::mf_static, 20, 14},	//833 Soprano::Vocabulary::Xesam::Presentation()
    {53, 550, 0, 0, Smoke::mf_static, 20, 15},	//834 Soprano::Vocabulary::Xesam::licenseType()
    {53, 241, 0, 0, Smoke::mf_static, 20, 16},	//835 Soprano::Vocabulary::Xesam::albumGain()
    {53, 41, 0, 0, Smoke::mf_static, 20, 17},	//836 Soprano::Vocabulary::Xesam::BlockDevice()
    {53, 293, 0, 0, Smoke::mf_static, 20, 18},	//837 Soprano::Vocabulary::Xesam::changeCommitter()
    {53, 279, 0, 0, Smoke::mf_static, 20, 19},	//838 Soprano::Vocabulary::Xesam::birthDate()
    {53, 3, 0, 0, Smoke::mf_static, 20, 20},	//839 Soprano::Vocabulary::Xesam::Annotation()
    {53, 638, 0, 0, Smoke::mf_static, 20, 21},	//840 Soprano::Vocabulary::Xesam::paragraphCount()
    {53, 589, 0, 0, Smoke::mf_static, 20, 22},	//841 Soprano::Vocabulary::Xesam::mediaCodecType()
    {53, 888, 0, 0, Smoke::mf_static, 20, 23},	//842 Soprano::Vocabulary::Xesam::xesamNamespace()
    {53, 549, 0, 0, Smoke::mf_static, 20, 24},	//843 Soprano::Vocabulary::Xesam::license()
    {53, 76, 0, 0, Smoke::mf_static, 20, 25},	//844 Soprano::Vocabulary::Xesam::Filelike()
    {53, 159, 0, 0, Smoke::mf_static, 20, 26},	//845 Soprano::Vocabulary::Xesam::RemoteFile()
    {53, 443, 0, 0, Smoke::mf_static, 20, 27},	//846 Soprano::Vocabulary::Xesam::frameCount()
    {53, 481, 0, 0, Smoke::mf_static, 20, 28},	//847 Soprano::Vocabulary::Xesam::interlaceMode()
    {53, 75, 0, 0, Smoke::mf_static, 20, 29},	//848 Soprano::Vocabulary::Xesam::FileSystem()
    {53, 596, 0, 0, Smoke::mf_static, 20, 30},	//849 Soprano::Vocabulary::Xesam::mimeType()
    {53, 361, 0, 0, Smoke::mf_static, 20, 31},	//850 Soprano::Vocabulary::Xesam::creator()
    {53, 340, 0, 0, Smoke::mf_static, 20, 32},	//851 Soprano::Vocabulary::Xesam::contentCreated()
    {53, 582, 0, 0, Smoke::mf_static, 20, 33},	//852 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {53, 687, 0, 0, Smoke::mf_static, 20, 34},	//853 Soprano::Vocabulary::Xesam::receptionTime()
    {53, 749, 0, 0, Smoke::mf_static, 20, 35},	//854 Soprano::Vocabulary::Xesam::setCount()
    {53, 192, 0, 0, Smoke::mf_static, 20, 36},	//855 Soprano::Vocabulary::Xesam::Source()
    {53, 307, 0, 0, Smoke::mf_static, 20, 37},	//856 Soprano::Vocabulary::Xesam::comment()
    {53, 346, 0, 0, Smoke::mf_static, 20, 38},	//857 Soprano::Vocabulary::Xesam::copyright()
    {53, 213, 0, 0, Smoke::mf_static, 20, 39},	//858 Soprano::Vocabulary::Xesam::Video()
    {53, 881, 0, 0, Smoke::mf_static, 20, 40},	//859 Soprano::Vocabulary::Xesam::wordCount()
    {53, 310, 0, 0, Smoke::mf_static, 20, 41},	//860 Soprano::Vocabulary::Xesam::communicationChannel()
    {53, 452, 0, 0, Smoke::mf_static, 20, 42},	//861 Soprano::Vocabulary::Xesam::group()
    {53, 430, 0, 0, Smoke::mf_static, 20, 43},	//862 Soprano::Vocabulary::Xesam::familyName()
    {53, 576, 0, 0, Smoke::mf_static, 20, 44},	//863 Soprano::Vocabulary::Xesam::localRevision()
    {53, 317, 0, 0, Smoke::mf_static, 20, 45},	//864 Soprano::Vocabulary::Xesam::contactMedium()
    {53, 312, 0, 0, Smoke::mf_static, 20, 46},	//865 Soprano::Vocabulary::Xesam::composer()
    {53, 260, 0, 0, Smoke::mf_static, 20, 47},	//866 Soprano::Vocabulary::Xesam::audioBitrate()
    {53, 665, 0, 0, Smoke::mf_static, 20, 48},	//867 Soprano::Vocabulary::Xesam::postalAddress()
    {53, 590, 0, 0, Smoke::mf_static, 20, 49},	//868 Soprano::Vocabulary::Xesam::mediaDuration()
    {53, 467, 0, 0, Smoke::mf_static, 20, 50},	//869 Soprano::Vocabulary::Xesam::homepageContactURL()
    {53, 853, 0, 0, Smoke::mf_static, 20, 51},	//870 Soprano::Vocabulary::Xesam::url()
    {53, 320, 0, 0, Smoke::mf_static, 20, 52},	//871 Soprano::Vocabulary::Xesam::contains()
    {53, 101, 0, 0, Smoke::mf_static, 20, 53},	//872 Soprano::Vocabulary::Xesam::MediaList()
    {53, 309, 0, 0, Smoke::mf_static, 20, 54},	//873 Soprano::Vocabulary::Xesam::commitDiff()
    {53, 449, 0, 0, Smoke::mf_static, 20, 55},	//874 Soprano::Vocabulary::Xesam::genre()
    {53, 377, 0, 0, Smoke::mf_static, 20, 56},	//875 Soprano::Vocabulary::Xesam::description()
    {53, 387, 0, 0, Smoke::mf_static, 20, 57},	//876 Soprano::Vocabulary::Xesam::discNumber()
    {53, 102, 0, 0, Smoke::mf_static, 20, 58},	//877 Soprano::Vocabulary::Xesam::Message()
    {53, 263, 0, 0, Smoke::mf_static, 20, 59},	//878 Soprano::Vocabulary::Xesam::audioCodecType()
    {53, 121, 0, 0, Smoke::mf_static, 20, 60},	//879 Soprano::Vocabulary::Xesam::Organization()
    {53, 632, 0, 0, Smoke::mf_static, 20, 61},	//880 Soprano::Vocabulary::Xesam::originURL()
    {53, 843, 0, 0, Smoke::mf_static, 20, 62},	//881 Soprano::Vocabulary::Xesam::trackNumber()
    {53, 289, 0, 0, Smoke::mf_static, 20, 63},	//882 Soprano::Vocabulary::Xesam::cc()
    {53, 122, 0, 0, Smoke::mf_static, 20, 64},	//883 Soprano::Vocabulary::Xesam::POP3Message()
    {53, 369, 0, 0, Smoke::mf_static, 20, 65},	//884 Soprano::Vocabulary::Xesam::definesClass()
    {53, 633, 0, 0, Smoke::mf_static, 20, 66},	//885 Soprano::Vocabulary::Xesam::originalLocation()
    {53, 258, 0, 0, Smoke::mf_static, 20, 67},	//886 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {53, 474, 0, 0, Smoke::mf_static, 20, 68},	//887 Soprano::Vocabulary::Xesam::imContactMedium()
    {53, 592, 0, 0, Smoke::mf_static, 20, 69},	//888 Soprano::Vocabulary::Xesam::mergeConflict()
    {53, 434, 0, 0, Smoke::mf_static, 20, 70},	//889 Soprano::Vocabulary::Xesam::fingerprint()
    {53, 469, 0, 0, Smoke::mf_static, 20, 71},	//890 Soprano::Vocabulary::Xesam::honorificSuffix()
    {53, 527, 0, 0, Smoke::mf_static, 20, 72},	//891 Soprano::Vocabulary::Xesam::isoEquivalent()
    {53, 883, 0, 0, Smoke::mf_static, 20, 73},	//892 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {53, 266, 0, 0, Smoke::mf_static, 20, 74},	//893 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {53, 410, 0, 0, Smoke::mf_static, 20, 75},	//894 Soprano::Vocabulary::Xesam::emailAddress()
    {53, 314, 0, 0, Smoke::mf_static, 20, 76},	//895 Soprano::Vocabulary::Xesam::compressionLevel()
    {53, 827, 0, 0, Smoke::mf_static, 20, 77},	//896 Soprano::Vocabulary::Xesam::title()
    {53, 292, 0, 0, Smoke::mf_static, 20, 78},	//897 Soprano::Vocabulary::Xesam::changeCommitTime()
    {53, 100, 0, 0, Smoke::mf_static, 20, 79},	//898 Soprano::Vocabulary::Xesam::Media()
    {53, 427, 0, 0, Smoke::mf_static, 20, 80},	//899 Soprano::Vocabulary::Xesam::exposureProgram()
    {53, 502, 0, 0, Smoke::mf_static, 20, 81},	//900 Soprano::Vocabulary::Xesam::isEncrypted()
    {53, 57, 0, 0, Smoke::mf_static, 20, 82},	//901 Soprano::Vocabulary::Xesam::DeletedFile()
    {53, 602, 0, 0, Smoke::mf_static, 20, 83},	//902 Soprano::Vocabulary::Xesam::mountPoint()
    {53, 433, 0, 0, Smoke::mf_static, 20, 84},	//903 Soprano::Vocabulary::Xesam::fileSystemType()
    {53, 296, 0, 0, Smoke::mf_static, 20, 85},	//904 Soprano::Vocabulary::Xesam::chatRoom()
    {53, 432, 0, 0, Smoke::mf_static, 20, 86},	//905 Soprano::Vocabulary::Xesam::fileExtension()
    {53, 132, 0, 0, Smoke::mf_static, 20, 87},	//906 Soprano::Vocabulary::Xesam::PersonalEmail()
    {53, 431, 0, 0, Smoke::mf_static, 20, 88},	//907 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {53, 42, 0, 0, Smoke::mf_static, 20, 89},	//908 Soprano::Vocabulary::Xesam::Bookmark()
    {53, 103, 0, 0, Smoke::mf_static, 20, 90},	//909 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {53, 476, 0, 0, Smoke::mf_static, 20, 91},	//910 Soprano::Vocabulary::Xesam::inReplyTo()
    {53, 513, 0, 0, Smoke::mf_static, 20, 92},	//911 Soprano::Vocabulary::Xesam::isPublicChannel()
    {53, 588, 0, 0, Smoke::mf_static, 20, 93},	//912 Soprano::Vocabulary::Xesam::mediaCodec()
    {53, 887, 0, 0, Smoke::mf_static, 20, 94},	//913 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {53, 691, 0, 0, Smoke::mf_static, 20, 95},	//914 Soprano::Vocabulary::Xesam::remotePort()
    {53, 727, 0, 0, Smoke::mf_static, 20, 96},	//915 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {53, 634, 0, 0, Smoke::mf_static, 20, 97},	//916 Soprano::Vocabulary::Xesam::otherName()
    {53, 291, 0, 0, Smoke::mf_static, 20, 98},	//917 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {53, 492, 0, 0, Smoke::mf_static, 20, 99},	//918 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {53, 617, 0, 0, Smoke::mf_static, 20, 100},	//919 Soprano::Vocabulary::Xesam::occupiedSpace()
    {53, 10, 0, 0, Smoke::mf_static, 20, 101},	//920 Soprano::Vocabulary::Xesam::Audio()
    {53, 87, 0, 0, Smoke::mf_static, 20, 102},	//921 Soprano::Vocabulary::Xesam::Image()
    {53, 603, 0, 0, Smoke::mf_static, 20, 103},	//922 Soprano::Vocabulary::Xesam::name()
    {53, 11, 0, 0, Smoke::mf_static, 20, 104},	//923 Soprano::Vocabulary::Xesam::AudioList()
    {53, 587, 0, 0, Smoke::mf_static, 20, 105},	//924 Soprano::Vocabulary::Xesam::mediaBitrate()
    {53, 661, 0, 0, Smoke::mf_static, 20, 106},	//925 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {53, 212, 0, 0, Smoke::mf_static, 20, 107},	//926 Soprano::Vocabulary::Xesam::UncategorizedText()
    {53, 304, 0, 0, Smoke::mf_static, 20, 108},	//927 Soprano::Vocabulary::Xesam::colorCount()
    {53, 294, 0, 0, Smoke::mf_static, 20, 109},	//928 Soprano::Vocabulary::Xesam::characterCount()
    {53, 341, 0, 0, Smoke::mf_static, 20, 110},	//929 Soprano::Vocabulary::Xesam::contentKeyword()
    {53, 240, 0, 0, Smoke::mf_static, 20, 111},	//930 Soprano::Vocabulary::Xesam::albumArtist()
    {53, 264, 0, 0, Smoke::mf_static, 20, 112},	//931 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {53, 784, 0, 0, Smoke::mf_static, 20, 113},	//932 Soprano::Vocabulary::Xesam::size()
    {53, 546, 0, 0, Smoke::mf_static, 20, 114},	//933 Soprano::Vocabulary::Xesam::lastRefreshed()
    {53, 877, 0, 0, Smoke::mf_static, 20, 115},	//934 Soprano::Vocabulary::Xesam::videoCodecType()
    {53, 693, 0, 0, Smoke::mf_static, 20, 116},	//935 Soprano::Vocabulary::Xesam::remoteUser()
    {53, 438, 0, 0, Smoke::mf_static, 20, 117},	//936 Soprano::Vocabulary::Xesam::firstUsed()
    {53, 859, 0, 0, Smoke::mf_static, 20, 118},	//937 Soprano::Vocabulary::Xesam::userRating()
    {53, 787, 0, 0, Smoke::mf_static, 20, 119},	//938 Soprano::Vocabulary::Xesam::sourceModified()
    {53, 595, 0, 0, Smoke::mf_static, 20, 120},	//939 Soprano::Vocabulary::Xesam::meteringMode()
    {53, 879, 0, 0, Smoke::mf_static, 20, 121},	//940 Soprano::Vocabulary::Xesam::whiteBalance()
    {53, 85, 0, 0, Smoke::mf_static, 20, 122},	//941 Soprano::Vocabulary::Xesam::IMAP4Message()
    {53, 586, 0, 0, Smoke::mf_static, 20, 123},	//942 Soprano::Vocabulary::Xesam::md5Hash()
    {53, 444, 0, 0, Smoke::mf_static, 20, 124},	//943 Soprano::Vocabulary::Xesam::frameRate()
    {53, 541, 0, 0, Smoke::mf_static, 20, 125},	//944 Soprano::Vocabulary::Xesam::knows()
    {53, 580, 0, 0, Smoke::mf_static, 20, 126},	//945 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {53, 161, 0, 0, Smoke::mf_static, 20, 127},	//946 Soprano::Vocabulary::Xesam::RemoteResource()
    {53, 222, 0, 0, Smoke::mf_static, 20, 128},	//947 Soprano::Vocabulary::Xesam::acl()
    {53, 505, 0, 0, Smoke::mf_static, 20, 129},	//948 Soprano::Vocabulary::Xesam::isInProgress()
    {53, 857, 0, 0, Smoke::mf_static, 20, 130},	//949 Soprano::Vocabulary::Xesam::userKeyword()
    {53, 318, 0, 0, Smoke::mf_static, 20, 131},	//950 Soprano::Vocabulary::Xesam::contactNick()
    {53, 470, 0, 0, Smoke::mf_static, 20, 132},	//951 Soprano::Vocabulary::Xesam::horizontalResolution()
    {53, 875, 0, 0, Smoke::mf_static, 20, 133},	//952 Soprano::Vocabulary::Xesam::videoBitrate()
    {53, 47, 0, 0, Smoke::mf_static, 20, 134},	//953 Soprano::Vocabulary::Xesam::ContactGroup()
    {53, 548, 0, 0, Smoke::mf_static, 20, 135},	//954 Soprano::Vocabulary::Xesam::legal()
    {53, 86, 0, 0, Smoke::mf_static, 20, 136},	//955 Soprano::Vocabulary::Xesam::IMMessage()
    {53, 874, 0, 0, Smoke::mf_static, 20, 137},	//956 Soprano::Vocabulary::Xesam::verticalResolution()
    {53, 445, 0, 0, Smoke::mf_static, 20, 138},	//957 Soprano::Vocabulary::Xesam::freeSpace()
    {53, 722, 0, 0, Smoke::mf_static, 20, 139},	//958 Soprano::Vocabulary::Xesam::rowCount()
    {53, 672, 0, 0, Smoke::mf_static, 20, 140},	//959 Soprano::Vocabulary::Xesam::programmingLanguage()
    {53, 371, 0, 0, Smoke::mf_static, 20, 141},	//960 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {53, 833, 0, 0, Smoke::mf_static, 20, 142},	//961 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {53, 50, 0, 0, Smoke::mf_static, 20, 143},	//962 Soprano::Vocabulary::Xesam::Content()
    {53, 261, 0, 0, Smoke::mf_static, 20, 144},	//963 Soprano::Vocabulary::Xesam::audioChannels()
    {53, 426, 0, 0, Smoke::mf_static, 20, 145},	//964 Soprano::Vocabulary::Xesam::exposureBias()
    {53, 287, 0, 0, Smoke::mf_static, 20, 146},	//965 Soprano::Vocabulary::Xesam::cameraModel()
    {53, 428, 0, 0, Smoke::mf_static, 20, 147},	//966 Soprano::Vocabulary::Xesam::exposureTime()
    {53, 374, 0, 0, Smoke::mf_static, 20, 148},	//967 Soprano::Vocabulary::Xesam::deletionTime()
    {53, 540, 0, 0, Smoke::mf_static, 20, 149},	//968 Soprano::Vocabulary::Xesam::keyword()
    {53, 854, 0, 0, Smoke::mf_static, 20, 150},	//969 Soprano::Vocabulary::Xesam::useCount()
    {53, 844, 0, 0, Smoke::mf_static, 20, 151},	//970 Soprano::Vocabulary::Xesam::trackPeakGain()
    {53, 446, 0, 0, Smoke::mf_static, 20, 152},	//971 Soprano::Vocabulary::Xesam::gender()
    {53, 842, 0, 0, Smoke::mf_static, 20, 153},	//972 Soprano::Vocabulary::Xesam::trackGain()
    {53, 209, 0, 0, Smoke::mf_static, 20, 154},	//973 Soprano::Vocabulary::Xesam::TextDocument()
    {53, 581, 0, 0, Smoke::mf_static, 20, 155},	//974 Soprano::Vocabulary::Xesam::maintainer()
    {53, 689, 0, 0, Smoke::mf_static, 20, 156},	//975 Soprano::Vocabulary::Xesam::related()
    {53, 832, 0, 0, Smoke::mf_static, 20, 157},	//976 Soprano::Vocabulary::Xesam::totalSpace()
    {53, 153, 0, 0, Smoke::mf_static, 20, 158},	//977 Soprano::Vocabulary::Xesam::RSSMessage()
    {53, 286, 0, 0, Smoke::mf_static, 20, 159},	//978 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {53, 880, 0, 0, Smoke::mf_static, 20, 160},	//979 Soprano::Vocabulary::Xesam::width()
    {53, 716, 0, 0, Smoke::mf_static, 20, 161},	//980 Soprano::Vocabulary::Xesam::replyTo()
    {53, 636, 0, 0, Smoke::mf_static, 20, 162},	//981 Soprano::Vocabulary::Xesam::owner()
    {53, 118, 0, 0, Smoke::mf_static, 20, 163},	//982 Soprano::Vocabulary::Xesam::OfflineMedia()
    {53, 828, 0, 0, Smoke::mf_static, 20, 164},	//983 Soprano::Vocabulary::Xesam::to()
    {53, 767, 0, 0, Smoke::mf_static, 20, 165},	//984 Soprano::Vocabulary::Xesam::setRate()
    {53, 166, 0, 0, Smoke::mf_static, 20, 166},	//985 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {53, 465, 0, 0, Smoke::mf_static, 20, 167},	//986 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {53, 480, 0, 0, Smoke::mf_static, 20, 168},	//987 Soprano::Vocabulary::Xesam::interest()
    {53, 268, 0, 0, Smoke::mf_static, 20, 169},	//988 Soprano::Vocabulary::Xesam::author()
    {53, 552, 0, 0, Smoke::mf_static, 20, 170},	//989 Soprano::Vocabulary::Xesam::links()
    {53, 191, 0, 0, Smoke::mf_static, 20, 171},	//990 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {53, 108, 0, 0, Smoke::mf_static, 20, 172},	//991 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {53, 63, 0, 0, Smoke::mf_static, 20, 173},	//992 Soprano::Vocabulary::Xesam::Email()
    {53, 262, 0, 0, Smoke::mf_static, 20, 174},	//993 Soprano::Vocabulary::Xesam::audioCodec()
    {53, 215, 0, 0, Smoke::mf_static, 20, 175},	//994 Soprano::Vocabulary::Xesam::Visual()
    {53, 809, 0, 0, Smoke::mf_static, 20, 176},	//995 Soprano::Vocabulary::Xesam::subject()
    {53, 606, 0, 0, Smoke::mf_static, 20, 177},	//996 Soprano::Vocabulary::Xesam::newsGroup()
    {53, 504, 0, 0, Smoke::mf_static, 20, 178},	//997 Soprano::Vocabulary::Xesam::isImportant()
    {53, 466, 0, 0, Smoke::mf_static, 20, 179},	//998 Soprano::Vocabulary::Xesam::homePostalAddress()
    {53, 547, 0, 0, Smoke::mf_static, 20, 180},	//999 Soprano::Vocabulary::Xesam::lastUsed()
    {53, 243, 0, 0, Smoke::mf_static, 20, 181},	//1000 Soprano::Vocabulary::Xesam::albumTrackCount()
    {53, 295, 0, 0, Smoke::mf_static, 20, 182},	//1001 Soprano::Vocabulary::Xesam::charset()
    {53, 812, 0, 0, Smoke::mf_static, 20, 183},	//1002 Soprano::Vocabulary::Xesam::supercedes()
    {53, 856, 0, 0, Smoke::mf_static, 20, 184},	//1003 Soprano::Vocabulary::Xesam::userComment()
    {53, 448, 0, 0, Smoke::mf_static, 20, 185},	//1004 Soprano::Vocabulary::Xesam::generatorOptions()
    {53, 407, 0, 0, Smoke::mf_static, 20, 186},	//1005 Soprano::Vocabulary::Xesam::documentCategory()
    {53, 800, 0, 0, Smoke::mf_static, 20, 187},	//1006 Soprano::Vocabulary::Xesam::storageSize()
    {53, 376, 0, 0, Smoke::mf_static, 20, 188},	//1007 Soprano::Vocabulary::Xesam::derivedFrom()
    {53, 578, 0, 0, Smoke::mf_static, 20, 189},	//1008 Soprano::Vocabulary::Xesam::lyricist()
    {53, 206, 0, 0, Smoke::mf_static, 20, 190},	//1009 Soprano::Vocabulary::Xesam::SystemResource()
    {53, 631, 0, 0, Smoke::mf_static, 20, 191},	//1010 Soprano::Vocabulary::Xesam::orientation()
    {53, 282, 0, 0, Smoke::mf_static, 20, 192},	//1011 Soprano::Vocabulary::Xesam::blogContactURL()
    {53, 257, 0, 0, Smoke::mf_static, 20, 193},	//1012 Soprano::Vocabulary::Xesam::aspectRatio()
    {53, 305, 0, 0, Smoke::mf_static, 20, 194},	//1013 Soprano::Vocabulary::Xesam::colorSpace()
    {53, 375, 0, 0, Smoke::mf_static, 20, 195},	//1014 Soprano::Vocabulary::Xesam::depends()
    {53, 265, 0, 0, Smoke::mf_static, 20, 196},	//1015 Soprano::Vocabulary::Xesam::audioSampleCount()
    {53, 662, 0, 0, Smoke::mf_static, 20, 197},	//1016 Soprano::Vocabulary::Xesam::pixelDataType()
    {53, 308, 0, 0, Smoke::mf_static, 20, 198},	//1017 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {53, 343, 0, 0, Smoke::mf_static, 20, 199},	//1018 Soprano::Vocabulary::Xesam::contentType()
    {53, 637, 0, 0, Smoke::mf_static, 20, 200},	//1019 Soprano::Vocabulary::Xesam::pageCount()
    {53, 860, 0, 0, Smoke::mf_static, 20, 201},	//1020 Soprano::Vocabulary::Xesam::usesNamespace()
    {53, 441, 0, 0, Smoke::mf_static, 20, 202},	//1021 Soprano::Vocabulary::Xesam::focusDistance()
    {53, 543, 0, 0, Smoke::mf_static, 20, 203},	//1022 Soprano::Vocabulary::Xesam::language()
    {53, 810, 0, 0, Smoke::mf_static, 20, 204},	//1023 Soprano::Vocabulary::Xesam::summary()
    {53, 388, 0, 0, Smoke::mf_static, 20, 205},	//1024 Soprano::Vocabulary::Xesam::disclaimer()
    {53, 657, 0, 0, Smoke::mf_static, 20, 206},	//1025 Soprano::Vocabulary::Xesam::permissions()
    {53, 692, 0, 0, Smoke::mf_static, 20, 207},	//1026 Soprano::Vocabulary::Xesam::remoteServer()
    {53, 106, 0, 0, Smoke::mf_static, 20, 208},	//1027 Soprano::Vocabulary::Xesam::Music()
    {53, 274, 0, 0, Smoke::mf_static, 20, 209},	//1028 Soprano::Vocabulary::Xesam::bcc()
    {53, 107, 0, 0, Smoke::mf_static, 20, 210},	//1029 Soprano::Vocabulary::Xesam::NewsGroup()
    {53, 660, 0, 0, Smoke::mf_static, 20, 211},	//1030 Soprano::Vocabulary::Xesam::phoneNumber()
    {53, 440, 0, 0, Smoke::mf_static, 20, 212},	//1031 Soprano::Vocabulary::Xesam::focalLength()
    {53, 99, 0, 0, Smoke::mf_static, 20, 213},	//1032 Soprano::Vocabulary::Xesam::MailingListEmail()
    {53, 208, 0, 0, Smoke::mf_static, 20, 214},	//1033 Soprano::Vocabulary::Xesam::Text()
    {53, 239, 0, 0, Smoke::mf_static, 20, 215},	//1034 Soprano::Vocabulary::Xesam::album()
    {53, 242, 0, 0, Smoke::mf_static, 20, 216},	//1035 Soprano::Vocabulary::Xesam::albumPeakGain()
    {53, 439, 0, 0, Smoke::mf_static, 20, 217},	//1036 Soprano::Vocabulary::Xesam::flashUsed()
    {53, 46, 0, 0, Smoke::mf_static, 20, 218},	//1037 Soprano::Vocabulary::Xesam::Contact()
    {53, 472, 0, 0, Smoke::mf_static, 20, 219},	//1038 Soprano::Vocabulary::Xesam::id()
    {53, 52, 0, 0, Smoke::mf_static, 20, 220},	//1039 Soprano::Vocabulary::Xesam::DataObject()
    {53, 313, 0, 0, Smoke::mf_static, 20, 221},	//1040 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {53, 690, 0, 0, Smoke::mf_static, 20, 222},	//1041 Soprano::Vocabulary::Xesam::remotePassword()
    {53, 160, 0, 0, Smoke::mf_static, 20, 223},	//1042 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {53, 370, 0, 0, Smoke::mf_static, 20, 224},	//1043 Soprano::Vocabulary::Xesam::definesFunction()
    {53, 447, 0, 0, Smoke::mf_static, 20, 225},	//1044 Soprano::Vocabulary::Xesam::generator()
    {53, 723, 0, 0, Smoke::mf_static, 20, 226},	//1045 Soprano::Vocabulary::Xesam::rssFeed()
    {53, 267, 0, 0, Smoke::mf_static, 20, 227},	//1046 Soprano::Vocabulary::Xesam::audioSampleRate()
    {53, 98, 0, 0, Smoke::mf_static, 20, 228},	//1047 Soprano::Vocabulary::Xesam::MailingList()
    {53, 823, 0, 0, Smoke::mf_static, 20, 229},	//1048 Soprano::Vocabulary::Xesam::targetQuality()
    {53, 193, 0, 0, Smoke::mf_static, 20, 230},	//1049 Soprano::Vocabulary::Xesam::SourceCode()
    {53, 728, 0, 0, Smoke::mf_static, 20, 231},	//1050 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {53, 74, 0, 0, Smoke::mf_static, 20, 232},	//1051 Soprano::Vocabulary::Xesam::File()
    {53, 450, 0, 0, Smoke::mf_static, 20, 233},	//1052 Soprano::Vocabulary::Xesam::givenName()
    {53, 658, 0, 0, Smoke::mf_static, 20, 234},	//1053 Soprano::Vocabulary::Xesam::personPhoto()
    {53, 345, 0, 0, Smoke::mf_static, 20, 235},	//1054 Soprano::Vocabulary::Xesam::contributor()
    {53, 255, 0, 0, Smoke::mf_static, 20, 236},	//1055 Soprano::Vocabulary::Xesam::artist()
    {53, 194, 0, 0, Smoke::mf_static, 20, 237},	//1056 Soprano::Vocabulary::Xesam::Spreadsheet()
    {53, 319, 0, 0, Smoke::mf_static, 20, 238},	//1057 Soprano::Vocabulary::Xesam::contactURL()
    {53, 254, 0, 0, Smoke::mf_static, 20, 239},	//1058 Soprano::Vocabulary::Xesam::aperture()
    {53, 468, 0, 0, Smoke::mf_static, 20, 240},	//1059 Soprano::Vocabulary::Xesam::honorificPrefix()
    {53, 259, 0, 0, Smoke::mf_static, 20, 241},	//1060 Soprano::Vocabulary::Xesam::audioBPM()
    {53, 290, 0, 0, Smoke::mf_static, 20, 242},	//1061 Soprano::Vocabulary::Xesam::ccdWidth()
    {53, 517, 0, 0, Smoke::mf_static, 20, 243},	//1062 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {53, 539, 0, 0, Smoke::mf_static, 20, 244},	//1063 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {53, 62, 0, 0, Smoke::mf_static, 20, 245},	//1064 Soprano::Vocabulary::Xesam::Documentation()
    {53, 216, 0, 0, Smoke::mf_static, 20, 246},	//1065 Soprano::Vocabulary::Xesam::XML()
    {53, 165, 0, 0, Smoke::mf_static, 20, 247},	//1066 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {53, 273, 0, 0, Smoke::mf_static, 20, 248},	//1067 Soprano::Vocabulary::Xesam::baseRevisionID()
    {53, 5, 0, 0, Smoke::mf_static, 20, 249},	//1068 Soprano::Vocabulary::Xesam::Archive()
    {53, 256, 0, 0, Smoke::mf_static, 20, 250},	//1069 Soprano::Vocabulary::Xesam::asText()
    {53, 44, 0, 0, Smoke::mf_static, 20, 251},	//1070 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {53, 464, 0, 0, Smoke::mf_static, 20, 252},	//1071 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {53, 882, 0, 0, Smoke::mf_static, 20, 253},	//1072 Soprano::Vocabulary::Xesam::workEmailAddress()
    {53, 342, 0, 0, Smoke::mf_static, 20, 254},	//1073 Soprano::Vocabulary::Xesam::contentModified()
    {53, 152, 0, 0, Smoke::mf_static, 20, 255},	//1074 Soprano::Vocabulary::Xesam::RSSFeed()
    {53, 60, 0, 0, Smoke::mf_static, 20, 256},	//1075 Soprano::Vocabulary::Xesam::Document()
    {53, 579, 0, 0, Smoke::mf_static, 20, 257},	//1076 Soprano::Vocabulary::Xesam::mailingList()
    {53, 551, 0, 0, Smoke::mf_static, 20, 258},	//1077 Soprano::Vocabulary::Xesam::lineCount()
    {53, 656, 0, 0, Smoke::mf_static, 20, 259},	//1078 Soprano::Vocabulary::Xesam::performer()
    {53, 6, 0, 0, Smoke::mf_static, 20, 260},	//1079 Soprano::Vocabulary::Xesam::ArchivedFile()
    {53, 64, 0, 0, Smoke::mf_static, 20, 261},	//1080 Soprano::Vocabulary::Xesam::EmailAttachment()
    {53, 339, 0, 0, Smoke::mf_static, 20, 262},	//1081 Soprano::Vocabulary::Xesam::contentComment()
    {53, 732, 0, 0, Smoke::mf_static, 20, 263},	//1082 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {53, 442, 0, 0, Smoke::mf_static, 20, 264},	//1083 Soprano::Vocabulary::Xesam::formatSubtype()
    {53, 138, 0, 0, Smoke::mf_static, 20, 265},	//1084 Soprano::Vocabulary::Xesam::Project()
    {53, 734, 0, 0, Smoke::mf_static, 20, 266},	//1085 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {53, 786, 0, 0, Smoke::mf_static, 20, 267},	//1086 Soprano::Vocabulary::Xesam::sourceCreated()
    {53, 207, 0, 0, Smoke::mf_static, 20, 268},	//1087 Soprano::Vocabulary::Xesam::Tag()
    {53, 868, 0, 0, Smoke::mf_static, 20, 269},	//1088 Soprano::Vocabulary::Xesam::version()
    {53, 876, 0, 0, Smoke::mf_static, 20, 270},	//1089 Soprano::Vocabulary::Xesam::videoCodec()
    {53, 729, 0, 0, Smoke::mf_static, 20, 271},	//1090 Soprano::Vocabulary::Xesam::sampleDataType()
    {53, 131, 0, 0, Smoke::mf_static, 20, 272},	//1091 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    537,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    538,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    124,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    127,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    128,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    254,  // Soprano::Node::Node(const QUrl&)
    256,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    258,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    259,  // Soprano::Node::operator=(const Soprano::Node&)
    260,  // Soprano::Node::operator=(const QUrl&)
    261,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    262,  // Soprano::Node::operator==(const Soprano::Node&) const
    264,  // Soprano::Node::operator==(const QUrl&) const
    265,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    26,  // Soprano::qHash(const Soprano::Node&)
    33,  // Soprano::qHash(const Soprano::LanguageTag&)
    47,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    25,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    39,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    40,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    51,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    24,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    38,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    37,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    49,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
    348,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    349,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    356,  // Soprano::QueryResultIterator::binding(const QString&) const
    357,  // Soprano::QueryResultIterator::binding(int) const
    0,
    365,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    366,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    354,  // Soprano::QueryResultIterator::operator[](int) const
    355,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    104,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    111,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    93,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    94,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 140, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 141, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 142, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 143, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 144, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 145, 12},	// QGlobalSpace::QtCriticalMsg
    {4, 146, 10},	// QGlobalSpace::QtDebugMsg
    {4, 147, 13},	// QGlobalSpace::QtFatalMsg
    {4, 148, 14},	// QGlobalSpace::QtSystemMsg
    {4, 149, 11},	// QGlobalSpace::QtWarningMsg
    {4, 218, 8},	// QGlobalSpace::__codecvt_error
    {4, 219, 9},	// QGlobalSpace::__codecvt_noconv
    {4, 220, 6},	// QGlobalSpace::__codecvt_ok
    {4, 221, 7},	// QGlobalSpace::__codecvt_partial
    {12, 15, 62},	// Soprano::BackendFeatureAddStatement
    {12, 16, 70},	// Soprano::BackendFeatureAll
    {12, 17, 68},	// Soprano::BackendFeatureContext
    {12, 18, 66},	// Soprano::BackendFeatureInference
    {12, 19, 67},	// Soprano::BackendFeatureInferenceOptional
    {12, 20, 64},	// Soprano::BackendFeatureListStatements
    {12, 21, 61},	// Soprano::BackendFeatureNone
    {12, 22, 65},	// Soprano::BackendFeatureQuery
    {12, 23, 63},	// Soprano::BackendFeatureRemoveStatements
    {12, 24, 69},	// Soprano::BackendFeatureStorageMemory
    {12, 25, 71},	// Soprano::BackendFeatureUser
    {12, 26, 74},	// Soprano::BackendOptionEnableInference
    {12, 27, 76},	// Soprano::BackendOptionHost
    {12, 28, 72},	// Soprano::BackendOptionNone
    {12, 29, 79},	// Soprano::BackendOptionPassword
    {12, 30, 77},	// Soprano::BackendOptionPort
    {12, 31, 75},	// Soprano::BackendOptionStorageDir
    {12, 32, 73},	// Soprano::BackendOptionStorageMemory
    {12, 33, 80},	// Soprano::BackendOptionUser
    {12, 34, 78},	// Soprano::BackendOptionUsername
    {12, 171, 55},	// Soprano::SerializationN3
    {12, 172, 59},	// Soprano::SerializationNQuads
    {12, 173, 56},	// Soprano::SerializationNTriples
    {12, 174, 54},	// Soprano::SerializationRdfXml
    {12, 175, 58},	// Soprano::SerializationTrig
    {12, 176, 57},	// Soprano::SerializationTurtle
    {12, 177, 53},	// Soprano::SerializationUnknown
    {12, 178, 60},	// Soprano::SerializationUser
    {12, 355, 35},	// Soprano::createModel
    {12, 356, 34},	// Soprano::createModel?
    {12, 391, 23},	// Soprano::discoverBackendByFeatures$
    {12, 392, 22},	// Soprano::discoverBackendByFeatures$?
    {12, 394, 30},	// Soprano::discoverBackendByName$
    {12, 508, 43},	// Soprano::isOptionInSettings?$
    {12, 509, 42},	// Soprano::isOptionInSettings?$$
    {12, 598, 27},	// Soprano::mimeTypeToSerialization$
    {12, 675, -20},	// Soprano::qHash#
    {12, 738, 29},	// Soprano::serializationMimeType$
    {12, 739, 28},	// Soprano::serializationMimeType$$
    {12, 775, 32},	// Soprano::setUsedBackend#
    {12, 779, 41},	// Soprano::settingInSettings?
    {12, 780, -24},	// Soprano::settingInSettings?$
    {12, 781, -29},	// Soprano::settingInSettings?$$
    {12, 855, 50},	// Soprano::usedBackend
    {12, 863, -32},	// Soprano::valueInSettings?$
    {12, 864, 36},	// Soprano::valueInSettings?$#
    {12, 865, 48},	// Soprano::valueInSettings?$$
    {12, 867, 31},	// Soprano::valueInSettingsWithDefault?$#
    {12, 870, 45},	// Soprano::versionMajor
    {12, 871, 52},	// Soprano::versionMinor
    {12, 872, 46},	// Soprano::versionRelease
    {12, 873, 44},	// Soprano::versionString
    {13, 13, 87},	// Soprano::Backend::Backend#
    {13, 14, 81},	// Soprano::Backend::Backend$
    {13, 355, 88},	// Soprano::Backend::createModel
    {13, 356, 82},	// Soprano::Backend::createModel?
    {13, 373, 83},	// Soprano::Backend::deleteModelData?
    {13, 813, 84},	// Soprano::Backend::supportedFeatures
    {13, 815, 85},	// Soprano::Backend::supportedUserFeatures
    {13, 818, 89},	// Soprano::Backend::supportsFeatures$
    {13, 819, 86},	// Soprano::Backend::supportsFeatures$?
    {13, 898, 90},	// Soprano::Backend::~Backend
    {14, 35, 91},	// Soprano::BackendSetting::BackendSetting
    {14, 36, 95},	// Soprano::BackendSetting::BackendSetting#
    {14, 37, 92},	// Soprano::BackendSetting::BackendSetting$
    {14, 38, -50},	// Soprano::BackendSetting::BackendSetting$#
    {14, 624, 96},	// Soprano::BackendSetting::operator=#
    {14, 630, 97},	// Soprano::BackendSetting::option
    {14, 777, 100},	// Soprano::BackendSetting::setValue#
    {14, 858, 98},	// Soprano::BackendSetting::userOptionName
    {14, 861, 99},	// Soprano::BackendSetting::value
    {14, 899, 101},	// Soprano::BackendSetting::~BackendSetting
    {16, 67, 102},	// Soprano::Error::Error::Error
    {16, 68, -47},	// Soprano::Error::Error::Error#
    {16, 69, 112},	// Soprano::Error::Error::Error$
    {16, 70, 103},	// Soprano::Error::Error::Error$$
    {16, 303, 108},	// Soprano::Error::Error::code
    {16, 510, 109},	// Soprano::Error::Error::isParserError
    {16, 593, 107},	// Soprano::Error::Error::message
    {16, 620, 106},	// Soprano::Error::Error::operator bool
    {16, 624, 105},	// Soprano::Error::Error::operator=#
    {16, 830, 110},	// Soprano::Error::Error::toParserError
    {16, 900, 113},	// Soprano::Error::Error::~Error
    {17, 71, 115},	// Soprano::Error::ErrorCache::ErrorCache
    {17, 72, 119},	// Soprano::Error::ErrorCache::ErrorCache#
    {17, 299, 116},	// Soprano::Error::ErrorCache::clearError
    {17, 544, 114},	// Soprano::Error::ErrorCache::lastError
    {17, 751, 117},	// Soprano::Error::ErrorCache::setError#
    {17, 752, 120},	// Soprano::Error::ErrorCache::setError$
    {17, 753, 118},	// Soprano::Error::ErrorCache::setError$$
    {17, 901, 121},	// Soprano::Error::ErrorCache::~ErrorCache
    {20, 126, 122},	// Soprano::Error::ParserError::ParserError
    {20, 127, -4},	// Soprano::Error::ParserError::ParserError#
    {20, 128, 129},	// Soprano::Error::ParserError::ParserError#$
    {20, 129, 123},	// Soprano::Error::ParserError::ParserError#$$
    {20, 577, 126},	// Soprano::Error::ParserError::locator
    {20, 624, 125},	// Soprano::Error::ParserError::operator=#
    {20, 908, 130},	// Soprano::Error::ParserError::~ParserError
    {21, 77, 160},	// Soprano::FilterModel::FilterModel
    {21, 78, 161},	// Soprano::FilterModel::FilterModel#
    {21, 228, 140},	// Soprano::FilterModel::addStatement#
    {21, 229, 168},	// Soprano::FilterModel::addStatement###
    {21, 230, 141},	// Soprano::FilterModel::addStatement####
    {21, 322, 152},	// Soprano::FilterModel::containsAnyStatement#
    {21, 323, 174},	// Soprano::FilterModel::containsAnyStatement###
    {21, 324, 153},	// Soprano::FilterModel::containsAnyStatement####
    {21, 332, 150},	// Soprano::FilterModel::containsStatement#
    {21, 333, 173},	// Soprano::FilterModel::containsStatement###
    {21, 334, 151},	// Soprano::FilterModel::containsStatement####
    {21, 348, 157},	// Soprano::FilterModel::createBlankNode
    {21, 421, 172},	// Soprano::FilterModel::executeQuery$$
    {21, 422, 149},	// Soprano::FilterModel::executeQuery$$$
    {21, 500, 154},	// Soprano::FilterModel::isEmpty
    {21, 553, 148},	// Soprano::FilterModel::listContexts
    {21, 555, 159},	// Soprano::FilterModel::listStatements
    {21, 556, 146},	// Soprano::FilterModel::listStatements#
    {21, 557, 171},	// Soprano::FilterModel::listStatements###
    {21, 558, 147},	// Soprano::FilterModel::listStatements####
    {21, 594, 131},	// Soprano::FilterModel::metaObject
    {21, 639, 139},	// Soprano::FilterModel::parentModel
    {21, 641, 164},	// Soprano::FilterModel::parentStatementAdded#
    {21, 643, 165},	// Soprano::FilterModel::parentStatementRemoved#
    {21, 644, 162},	// Soprano::FilterModel::parentStatementsAdded
    {21, 645, 163},	// Soprano::FilterModel::parentStatementsRemoved
    {21, 677, 137},	// Soprano::FilterModel::qt_metacall$$?
    {21, 679, 132},	// Soprano::FilterModel::qt_metacast$
    {21, 694, 158},	// Soprano::FilterModel::removeAllStatements
    {21, 695, 144},	// Soprano::FilterModel::removeAllStatements#
    {21, 696, 170},	// Soprano::FilterModel::removeAllStatements###
    {21, 697, 145},	// Soprano::FilterModel::removeAllStatements####
    {21, 705, 142},	// Soprano::FilterModel::removeStatement#
    {21, 706, 169},	// Soprano::FilterModel::removeStatement###
    {21, 707, 143},	// Soprano::FilterModel::removeStatement####
    {21, 761, 138},	// Soprano::FilterModel::setParentModel#
    {21, 791, 155},	// Soprano::FilterModel::statementCount
    {21, 798, 175},	// Soprano::FilterModel::staticMetaObject
    {21, 835, 166},	// Soprano::FilterModel::tr$
    {21, 836, 133},	// Soprano::FilterModel::tr$$
    {21, 837, 135},	// Soprano::FilterModel::tr$$$
    {21, 839, 167},	// Soprano::FilterModel::trUtf8$
    {21, 840, 134},	// Soprano::FilterModel::trUtf8$$
    {21, 841, 136},	// Soprano::FilterModel::trUtf8$$$
    {21, 886, 156},	// Soprano::FilterModel::write#
    {21, 902, 176},	// Soprano::FilterModel::~FilterModel
    {22, 91, 184},	// Soprano::Inference::InferenceModel::InferenceModel#
    {22, 226, 188},	// Soprano::Inference::InferenceModel::addRule#
    {22, 228, 185},	// Soprano::Inference::InferenceModel::addStatement#
    {22, 229, 200},	// Soprano::Inference::InferenceModel::addStatement###
    {22, 230, 190},	// Soprano::Inference::InferenceModel::addStatement####
    {22, 300, 195},	// Soprano::Inference::InferenceModel::clearInference
    {22, 594, 177},	// Soprano::Inference::InferenceModel::metaObject
    {22, 655, 194},	// Soprano::Inference::InferenceModel::performInference
    {22, 677, 183},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {22, 679, 178},	// Soprano::Inference::InferenceModel::qt_metacast$
    {22, 694, 193},	// Soprano::Inference::InferenceModel::removeAllStatements
    {22, 695, 187},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {22, 696, 202},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {22, 697, 192},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {22, 705, 186},	// Soprano::Inference::InferenceModel::removeStatement#
    {22, 706, 201},	// Soprano::Inference::InferenceModel::removeStatement###
    {22, 707, 191},	// Soprano::Inference::InferenceModel::removeStatement####
    {22, 746, 196},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {22, 759, 197},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {22, 771, 189},	// Soprano::Inference::InferenceModel::setRules?
    {22, 798, 203},	// Soprano::Inference::InferenceModel::staticMetaObject
    {22, 835, 198},	// Soprano::Inference::InferenceModel::tr$
    {22, 836, 179},	// Soprano::Inference::InferenceModel::tr$$
    {22, 837, 181},	// Soprano::Inference::InferenceModel::tr$$$
    {22, 839, 199},	// Soprano::Inference::InferenceModel::trUtf8$
    {22, 840, 180},	// Soprano::Inference::InferenceModel::trUtf8$$
    {22, 841, 182},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {22, 903, 204},	// Soprano::Inference::InferenceModel::~InferenceModel
    {26, 104, 241},	// Soprano::Model::Model
    {26, 228, 212},	// Soprano::Model::addStatement#
    {26, 229, 244},	// Soprano::Model::addStatement###
    {26, 230, 213},	// Soprano::Model::addStatement####
    {26, 236, 214},	// Soprano::Model::addStatements?
    {26, 322, 228},	// Soprano::Model::containsAnyStatement#
    {26, 323, 249},	// Soprano::Model::containsAnyStatement###
    {26, 324, 229},	// Soprano::Model::containsAnyStatement####
    {26, 330, 232},	// Soprano::Model::containsContext#
    {26, 332, 230},	// Soprano::Model::containsStatement#
    {26, 333, 250},	// Soprano::Model::containsStatement###
    {26, 334, 231},	// Soprano::Model::containsStatement####
    {26, 348, 236},	// Soprano::Model::createBlankNode
    {26, 421, 248},	// Soprano::Model::executeQuery$$
    {26, 422, 227},	// Soprano::Model::executeQuery$$$
    {26, 500, 233},	// Soprano::Model::isEmpty
    {26, 553, 226},	// Soprano::Model::listContexts
    {26, 555, 224},	// Soprano::Model::listStatements
    {26, 556, 222},	// Soprano::Model::listStatements#
    {26, 557, 247},	// Soprano::Model::listStatements###
    {26, 558, 223},	// Soprano::Model::listStatements####
    {26, 564, 225},	// Soprano::Model::listStatementsInContext#
    {26, 594, 205},	// Soprano::Model::metaObject
    {26, 677, 211},	// Soprano::Model::qt_metacall$$?
    {26, 679, 206},	// Soprano::Model::qt_metacast$
    {26, 694, 221},	// Soprano::Model::removeAllStatements
    {26, 695, 217},	// Soprano::Model::removeAllStatements#
    {26, 696, 246},	// Soprano::Model::removeAllStatements###
    {26, 697, 218},	// Soprano::Model::removeAllStatements####
    {26, 703, 220},	// Soprano::Model::removeContext#
    {26, 705, 215},	// Soprano::Model::removeStatement#
    {26, 706, 245},	// Soprano::Model::removeStatement###
    {26, 707, 216},	// Soprano::Model::removeStatement####
    {26, 713, 219},	// Soprano::Model::removeStatements?
    {26, 790, 239},	// Soprano::Model::statementAdded#
    {26, 791, 234},	// Soprano::Model::statementCount
    {26, 795, 240},	// Soprano::Model::statementRemoved#
    {26, 796, 237},	// Soprano::Model::statementsAdded
    {26, 797, 238},	// Soprano::Model::statementsRemoved
    {26, 798, 251},	// Soprano::Model::staticMetaObject
    {26, 835, 242},	// Soprano::Model::tr$
    {26, 836, 207},	// Soprano::Model::tr$$
    {26, 837, 209},	// Soprano::Model::tr$$$
    {26, 839, 243},	// Soprano::Model::trUtf8$
    {26, 840, 208},	// Soprano::Model::trUtf8$$
    {26, 841, 210},	// Soprano::Model::trUtf8$$$
    {26, 886, 235},	// Soprano::Model::write#
    {26, 904, 252},	// Soprano::Model::~Model
    {27, 40, 291},	// Soprano::Node::BlankNode
    {27, 66, 288},	// Soprano::Node::EmptyNode
    {27, 97, 290},	// Soprano::Node::LiteralNode
    {27, 109, 253},	// Soprano::Node::Node
    {27, 110, -8},	// Soprano::Node::Node#
    {27, 111, 257},	// Soprano::Node::Node#$
    {27, 112, 255},	// Soprano::Node::Node$
    {27, 163, 289},	// Soprano::Node::ResourceNode
    {27, 281, 286},	// Soprano::Node::blankToN3$
    {27, 349, 282},	// Soprano::Node::createBlankNode$
    {27, 351, 280},	// Soprano::Node::createEmptyNode
    {27, 353, 283},	// Soprano::Node::createLiteralNode#
    {27, 354, 284},	// Soprano::Node::createLiteralNode#$
    {27, 358, 281},	// Soprano::Node::createResourceNode#
    {27, 365, 276},	// Soprano::Node::dataType
    {27, 473, 274},	// Soprano::Node::identifier
    {27, 488, 272},	// Soprano::Node::isBlank
    {27, 500, 268},	// Soprano::Node::isEmpty
    {27, 506, 270},	// Soprano::Node::isLiteral
    {27, 516, 271},	// Soprano::Node::isResource
    {27, 526, 269},	// Soprano::Node::isValid
    {27, 543, 277},	// Soprano::Node::language
    {27, 565, 275},	// Soprano::Node::literal
    {27, 567, 287},	// Soprano::Node::literalToN3#
    {27, 584, 266},	// Soprano::Node::matches#
    {27, 622, 263},	// Soprano::Node::operator!=#
    {27, 624, -12},	// Soprano::Node::operator=#
    {27, 626, -16},	// Soprano::Node::operator==#
    {27, 718, 285},	// Soprano::Node::resourceToN3#
    {27, 829, 279},	// Soprano::Node::toN3
    {27, 831, 278},	// Soprano::Node::toString
    {27, 845, 267},	// Soprano::Node::type
    {27, 852, 273},	// Soprano::Node::uri
    {27, 905, 292},	// Soprano::Node::~Node
    {28, 113, 293},	// Soprano::NodeIterator::NodeIterator
    {28, 114, 295},	// Soprano::NodeIterator::NodeIterator#
    {28, 115, 294},	// Soprano::NodeIterator::NodeIterator?
    {28, 246, 297},	// Soprano::NodeIterator::allNodes
    {28, 624, 296},	// Soprano::NodeIterator::operator=#
    {28, 906, 298},	// Soprano::NodeIterator::~NodeIterator
    {29, 124, 306},	// Soprano::Parser::Parser#
    {29, 125, 305},	// Soprano::Parser::Parser$
    {29, 647, 308},	// Soprano::Parser::parseFile$#$
    {29, 648, 302},	// Soprano::Parser::parseFile$#$$
    {29, 650, 310},	// Soprano::Parser::parseStream##$
    {29, 651, 304},	// Soprano::Parser::parseStream##$$
    {29, 653, 309},	// Soprano::Parser::parseString$#$
    {29, 654, 303},	// Soprano::Parser::parseString$#$$
    {29, 814, 299},	// Soprano::Parser::supportedSerializations
    {29, 816, 300},	// Soprano::Parser::supportedUserSerializations
    {29, 821, 307},	// Soprano::Parser::supportsSerialization$
    {29, 822, 301},	// Soprano::Parser::supportsSerialization$$
    {29, 907, 311},	// Soprano::Parser::~Parser
    {30, 135, 315},	// Soprano::Plugin::Plugin#
    {30, 136, 314},	// Soprano::Plugin::Plugin$
    {30, 486, 313},	// Soprano::Plugin::isAvailable
    {30, 663, 312},	// Soprano::Plugin::pluginName
    {30, 909, 316},	// Soprano::Plugin::~Plugin
    {31, 244, 331},	// Soprano::PluginManager::allBackends
    {31, 247, 334},	// Soprano::PluginManager::allParsers
    {31, 248, 337},	// Soprano::PluginManager::allSerializers
    {31, 391, 342},	// Soprano::PluginManager::discoverBackendByFeatures$
    {31, 392, 330},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {31, 394, 329},	// Soprano::PluginManager::discoverBackendByName$
    {31, 396, 332},	// Soprano::PluginManager::discoverParserByName$
    {31, 398, 343},	// Soprano::PluginManager::discoverParserForSerialization$
    {31, 399, 333},	// Soprano::PluginManager::discoverParserForSerialization$$
    {31, 401, 335},	// Soprano::PluginManager::discoverSerializerByName$
    {31, 403, 344},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {31, 404, 336},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {31, 478, 338},	// Soprano::PluginManager::instance
    {31, 569, 326},	// Soprano::PluginManager::loadCustomBackend$
    {31, 571, 327},	// Soprano::PluginManager::loadCustomParser$
    {31, 573, 325},	// Soprano::PluginManager::loadCustomPlugin$
    {31, 575, 328},	// Soprano::PluginManager::loadCustomSerializer$
    {31, 594, 317},	// Soprano::PluginManager::metaObject
    {31, 677, 323},	// Soprano::PluginManager::qt_metacall$$?
    {31, 679, 318},	// Soprano::PluginManager::qt_metacast$
    {31, 763, 341},	// Soprano::PluginManager::setPluginSearchPath?
    {31, 764, 324},	// Soprano::PluginManager::setPluginSearchPath?$
    {31, 798, 345},	// Soprano::PluginManager::staticMetaObject
    {31, 835, 339},	// Soprano::PluginManager::tr$
    {31, 836, 319},	// Soprano::PluginManager::tr$$
    {31, 837, 321},	// Soprano::PluginManager::tr$$$
    {31, 839, 340},	// Soprano::PluginManager::trUtf8$
    {31, 840, 320},	// Soprano::PluginManager::trUtf8$$
    {31, 841, 322},	// Soprano::PluginManager::trUtf8$$$
    {31, 910, 346},	// Soprano::PluginManager::~PluginManager
    {32, 150, 347},	// Soprano::QueryResultIterator::QueryResultIterator
    {32, 151, -35},	// Soprano::QueryResultIterator::QueryResultIterator#
    {32, 245, 363},	// Soprano::QueryResultIterator::allBindings
    {32, 276, -38},	// Soprano::QueryResultIterator::binding$
    {32, 277, 358},	// Soprano::QueryResultIterator::bindingCount
    {32, 278, 359},	// Soprano::QueryResultIterator::bindingNames
    {32, 283, 353},	// Soprano::QueryResultIterator::boolValue
    {32, 362, 352},	// Soprano::QueryResultIterator::currentBindings
    {32, 363, 351},	// Soprano::QueryResultIterator::currentStatement
    {32, 487, 361},	// Soprano::QueryResultIterator::isBinding
    {32, 489, 362},	// Soprano::QueryResultIterator::isBool
    {32, 503, 360},	// Soprano::QueryResultIterator::isGraph
    {32, 529, -41},	// Soprano::QueryResultIterator::iterateBindings$
    {32, 533, 364},	// Soprano::QueryResultIterator::iterateStatements
    {32, 535, 368},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {32, 536, 369},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {32, 537, 367},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {32, 624, 350},	// Soprano::QueryResultIterator::operator=#
    {32, 629, -44},	// Soprano::QueryResultIterator::operator[]$
    {32, 911, 370},	// Soprano::QueryResultIterator::~QueryResultIterator
    {34, 154, 390},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {34, 155, 371},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {34, 298, 372},	// Soprano::RdfSchemaModel::classes
    {34, 380, 391},	// Soprano::RdfSchemaModel::directSubClassOf#
    {34, 381, 373},	// Soprano::RdfSchemaModel::directSubClassOf##
    {34, 383, 392},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {34, 384, 374},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {34, 386, 375},	// Soprano::RdfSchemaModel::directType##
    {34, 409, 376},	// Soprano::RdfSchemaModel::domain##
    {34, 491, 382},	// Soprano::RdfSchemaModel::isClass#
    {34, 495, 384},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {34, 497, 385},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {34, 499, 386},	// Soprano::RdfSchemaModel::isDirectType##
    {34, 512, 383},	// Soprano::RdfSchemaModel::isProperty#
    {34, 519, 387},	// Soprano::RdfSchemaModel::isSubClassOf##
    {34, 521, 388},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {34, 525, 389},	// Soprano::RdfSchemaModel::isType##
    {34, 673, 377},	// Soprano::RdfSchemaModel::properties
    {34, 682, 378},	// Soprano::RdfSchemaModel::range##
    {34, 803, 393},	// Soprano::RdfSchemaModel::subClassOf#
    {34, 804, 379},	// Soprano::RdfSchemaModel::subClassOf##
    {34, 807, 394},	// Soprano::RdfSchemaModel::subPropertyOf#
    {34, 808, 380},	// Soprano::RdfSchemaModel::subPropertyOf##
    {34, 846, 381},	// Soprano::RdfSchemaModel::type##
    {34, 912, 395},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {35, 180, 404},	// Soprano::Serializer::Serializer#
    {35, 181, 403},	// Soprano::Serializer::Serializer$
    {35, 224, 400},	// Soprano::Serializer::addPrefix$#
    {35, 301, 401},	// Soprano::Serializer::clearPrefixes
    {35, 669, 402},	// Soprano::Serializer::prefixes
    {35, 741, 406},	// Soprano::Serializer::serialize##$
    {35, 742, 399},	// Soprano::Serializer::serialize##$$
    {35, 814, 396},	// Soprano::Serializer::supportedSerializations
    {35, 816, 397},	// Soprano::Serializer::supportedUserSerializations
    {35, 821, 405},	// Soprano::Serializer::supportsSerialization$
    {35, 822, 398},	// Soprano::Serializer::supportsSerialization$$
    {35, 914, 407},	// Soprano::Serializer::~Serializer
    {36, 195, 408},	// Soprano::Statement::Statement
    {36, 196, 410},	// Soprano::Statement::Statement#
    {36, 197, 424},	// Soprano::Statement::Statement###
    {36, 198, 409},	// Soprano::Statement::Statement####
    {36, 344, 419},	// Soprano::Statement::context
    {36, 526, 415},	// Soprano::Statement::isValid
    {36, 584, 414},	// Soprano::Statement::matches#
    {36, 616, 418},	// Soprano::Statement::object
    {36, 622, 413},	// Soprano::Statement::operator!=#
    {36, 624, 411},	// Soprano::Statement::operator=#
    {36, 626, 412},	// Soprano::Statement::operator==#
    {36, 666, 417},	// Soprano::Statement::predicate
    {36, 748, 423},	// Soprano::Statement::setContext#
    {36, 757, 422},	// Soprano::Statement::setObject#
    {36, 766, 421},	// Soprano::Statement::setPredicate#
    {36, 773, 420},	// Soprano::Statement::setSubject#
    {36, 809, 416},	// Soprano::Statement::subject
    {36, 918, 425},	// Soprano::Statement::~Statement
    {37, 199, 426},	// Soprano::StatementIterator::StatementIterator
    {37, 200, 428},	// Soprano::StatementIterator::StatementIterator#
    {37, 201, 427},	// Soprano::StatementIterator::StatementIterator?
    {37, 249, 430},	// Soprano::StatementIterator::allStatements
    {37, 530, 434},	// Soprano::StatementIterator::iterateContexts
    {37, 531, 433},	// Soprano::StatementIterator::iterateObjects
    {37, 532, 432},	// Soprano::StatementIterator::iteratePredicates
    {37, 538, 431},	// Soprano::StatementIterator::iterateSubjects
    {37, 624, 429},	// Soprano::StatementIterator::operator=#
    {37, 919, 435},	// Soprano::StatementIterator::~StatementIterator
    {38, 203, 452},	// Soprano::StorageModel::StorageModel#
    {38, 270, 447},	// Soprano::StorageModel::backend
    {38, 322, 445},	// Soprano::StorageModel::containsAnyStatement#
    {38, 323, 457},	// Soprano::StorageModel::containsAnyStatement###
    {38, 324, 451},	// Soprano::StorageModel::containsAnyStatement####
    {38, 332, 444},	// Soprano::StorageModel::containsStatement#
    {38, 333, 456},	// Soprano::StorageModel::containsStatement###
    {38, 334, 450},	// Soprano::StorageModel::containsStatement####
    {38, 500, 443},	// Soprano::StorageModel::isEmpty
    {38, 594, 436},	// Soprano::StorageModel::metaObject
    {38, 677, 442},	// Soprano::StorageModel::qt_metacall$$?
    {38, 679, 437},	// Soprano::StorageModel::qt_metacast$
    {38, 694, 449},	// Soprano::StorageModel::removeAllStatements
    {38, 695, 446},	// Soprano::StorageModel::removeAllStatements#
    {38, 696, 455},	// Soprano::StorageModel::removeAllStatements###
    {38, 697, 448},	// Soprano::StorageModel::removeAllStatements####
    {38, 798, 458},	// Soprano::StorageModel::staticMetaObject
    {38, 835, 453},	// Soprano::StorageModel::tr$
    {38, 836, 438},	// Soprano::StorageModel::tr$$
    {38, 837, 440},	// Soprano::StorageModel::tr$$$
    {38, 839, 454},	// Soprano::StorageModel::trUtf8$
    {38, 840, 439},	// Soprano::StorageModel::trUtf8$$
    {38, 841, 441},	// Soprano::StorageModel::trUtf8$$$
    {38, 920, 459},	// Soprano::StorageModel::~StorageModel
    {39, 8, 508},	// Soprano::Util::AsyncModel::AsyncModel
    {39, 9, 467},	// Soprano::Util::AsyncModel::AsyncModel#
    {39, 105, 525},	// Soprano::Util::AsyncModel::MultiThreaded
    {39, 190, 524},	// Soprano::Util::AsyncModel::SingleThreaded
    {39, 228, 493},	// Soprano::Util::AsyncModel::addStatement#
    {39, 229, 517},	// Soprano::Util::AsyncModel::addStatement###
    {39, 230, 494},	// Soprano::Util::AsyncModel::addStatement####
    {39, 232, 470},	// Soprano::Util::AsyncModel::addStatementAsync#
    {39, 233, 509},	// Soprano::Util::AsyncModel::addStatementAsync###
    {39, 234, 471},	// Soprano::Util::AsyncModel::addStatementAsync####
    {39, 238, 472},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {39, 322, 504},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {39, 323, 522},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {39, 324, 505},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {39, 326, 487},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {39, 327, 515},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {39, 328, 488},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {39, 332, 502},	// Soprano::Util::AsyncModel::containsStatement#
    {39, 333, 521},	// Soprano::Util::AsyncModel::containsStatement###
    {39, 334, 503},	// Soprano::Util::AsyncModel::containsStatement####
    {39, 336, 485},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {39, 337, 514},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {39, 338, 486},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {39, 350, 489},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {39, 421, 516},	// Soprano::Util::AsyncModel::executeQuery$$
    {39, 422, 492},	// Soprano::Util::AsyncModel::executeQuery$$$
    {39, 424, 513},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {39, 425, 484},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {39, 501, 478},	// Soprano::Util::AsyncModel::isEmptyAsync
    {39, 553, 491},	// Soprano::Util::AsyncModel::listContexts
    {39, 554, 483},	// Soprano::Util::AsyncModel::listContextsAsync
    {39, 555, 501},	// Soprano::Util::AsyncModel::listStatements
    {39, 556, 490},	// Soprano::Util::AsyncModel::listStatements#
    {39, 557, 520},	// Soprano::Util::AsyncModel::listStatements###
    {39, 558, 500},	// Soprano::Util::AsyncModel::listStatements####
    {39, 559, 482},	// Soprano::Util::AsyncModel::listStatementsAsync
    {39, 560, 480},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {39, 561, 512},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {39, 562, 481},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {39, 594, 460},	// Soprano::Util::AsyncModel::metaObject
    {39, 600, 469},	// Soprano::Util::AsyncModel::mode
    {39, 677, 466},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {39, 679, 461},	// Soprano::Util::AsyncModel::qt_metacast$
    {39, 694, 499},	// Soprano::Util::AsyncModel::removeAllStatements
    {39, 695, 497},	// Soprano::Util::AsyncModel::removeAllStatements#
    {39, 696, 519},	// Soprano::Util::AsyncModel::removeAllStatements###
    {39, 697, 498},	// Soprano::Util::AsyncModel::removeAllStatements####
    {39, 699, 476},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {39, 700, 511},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {39, 701, 477},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {39, 705, 495},	// Soprano::Util::AsyncModel::removeStatement#
    {39, 706, 518},	// Soprano::Util::AsyncModel::removeStatement###
    {39, 707, 496},	// Soprano::Util::AsyncModel::removeStatement####
    {39, 709, 473},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {39, 710, 510},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {39, 711, 474},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {39, 715, 475},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {39, 755, 468},	// Soprano::Util::AsyncModel::setMode$
    {39, 792, 479},	// Soprano::Util::AsyncModel::statementCountAsync
    {39, 798, 523},	// Soprano::Util::AsyncModel::staticMetaObject
    {39, 835, 506},	// Soprano::Util::AsyncModel::tr$
    {39, 836, 462},	// Soprano::Util::AsyncModel::tr$$
    {39, 837, 464},	// Soprano::Util::AsyncModel::tr$$$
    {39, 839, 507},	// Soprano::Util::AsyncModel::trUtf8$
    {39, 840, 463},	// Soprano::Util::AsyncModel::trUtf8$$
    {39, 841, 465},	// Soprano::Util::AsyncModel::trUtf8$$$
    {39, 895, 526},	// Soprano::Util::AsyncModel::~AsyncModel
    {40, 276, -1},	// Soprano::Util::AsyncQuery::binding$
    {40, 277, 539},	// Soprano::Util::AsyncQuery::bindingCount
    {40, 278, 540},	// Soprano::Util::AsyncQuery::bindingNames
    {40, 283, 536},	// Soprano::Util::AsyncQuery::boolValue
    {40, 302, 545},	// Soprano::Util::AsyncQuery::close
    {40, 362, 535},	// Soprano::Util::AsyncQuery::currentBindings
    {40, 363, 534},	// Soprano::Util::AsyncQuery::currentStatement
    {40, 419, 551},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {40, 420, 548},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {40, 436, 547},	// Soprano::Util::AsyncQuery::finished#
    {40, 487, 542},	// Soprano::Util::AsyncQuery::isBinding
    {40, 489, 543},	// Soprano::Util::AsyncQuery::isBool
    {40, 503, 541},	// Soprano::Util::AsyncQuery::isGraph
    {40, 594, 527},	// Soprano::Util::AsyncQuery::metaObject
    {40, 607, 544},	// Soprano::Util::AsyncQuery::next
    {40, 609, 546},	// Soprano::Util::AsyncQuery::nextReady#
    {40, 677, 533},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {40, 679, 528},	// Soprano::Util::AsyncQuery::qt_metacast$
    {40, 798, 552},	// Soprano::Util::AsyncQuery::staticMetaObject
    {40, 835, 549},	// Soprano::Util::AsyncQuery::tr$
    {40, 836, 529},	// Soprano::Util::AsyncQuery::tr$$
    {40, 837, 531},	// Soprano::Util::AsyncQuery::tr$$$
    {40, 839, 550},	// Soprano::Util::AsyncQuery::trUtf8$
    {40, 840, 530},	// Soprano::Util::AsyncQuery::trUtf8$$
    {40, 841, 532},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {40, 896, 553},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {41, 359, 562},	// Soprano::Util::AsyncResult::createResult
    {41, 415, 564},	// Soprano::Util::AsyncResult::errorCode
    {41, 594, 554},	// Soprano::Util::AsyncResult::metaObject
    {41, 611, 568},	// Soprano::Util::AsyncResult::node
    {41, 612, 566},	// Soprano::Util::AsyncResult::nodeIterator
    {41, 677, 560},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {41, 679, 555},	// Soprano::Util::AsyncResult::qt_metacast$
    {41, 680, 567},	// Soprano::Util::AsyncResult::queryResultIterator
    {41, 721, 561},	// Soprano::Util::AsyncResult::resultReady#
    {41, 769, 569},	// Soprano::Util::AsyncResult::setResult##
    {41, 793, 565},	// Soprano::Util::AsyncResult::statementIterator
    {41, 798, 572},	// Soprano::Util::AsyncResult::staticMetaObject
    {41, 835, 570},	// Soprano::Util::AsyncResult::tr$
    {41, 836, 556},	// Soprano::Util::AsyncResult::tr$$
    {41, 837, 558},	// Soprano::Util::AsyncResult::tr$$$
    {41, 839, 571},	// Soprano::Util::AsyncResult::trUtf8$
    {41, 840, 557},	// Soprano::Util::AsyncResult::trUtf8$$
    {41, 841, 559},	// Soprano::Util::AsyncResult::trUtf8$$$
    {41, 861, 563},	// Soprano::Util::AsyncResult::value
    {41, 897, 573},	// Soprano::Util::AsyncResult::~AsyncResult
    {42, 156, 604},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {42, 157, 581},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {42, 228, 590},	// Soprano::Util::ReadOnlyModel::addStatement#
    {42, 229, 606},	// Soprano::Util::ReadOnlyModel::addStatement###
    {42, 230, 594},	// Soprano::Util::ReadOnlyModel::addStatement####
    {42, 322, 587},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {42, 323, 611},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {42, 324, 601},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {42, 332, 586},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {42, 333, 610},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {42, 334, 600},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {42, 348, 593},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {42, 421, 605},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {42, 422, 585},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {42, 500, 588},	// Soprano::Util::ReadOnlyModel::isEmpty
    {42, 553, 584},	// Soprano::Util::ReadOnlyModel::listContexts
    {42, 555, 599},	// Soprano::Util::ReadOnlyModel::listStatements
    {42, 556, 583},	// Soprano::Util::ReadOnlyModel::listStatements#
    {42, 557, 609},	// Soprano::Util::ReadOnlyModel::listStatements###
    {42, 558, 598},	// Soprano::Util::ReadOnlyModel::listStatements####
    {42, 594, 574},	// Soprano::Util::ReadOnlyModel::metaObject
    {42, 677, 580},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {42, 679, 575},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {42, 694, 597},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {42, 695, 592},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {42, 696, 608},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {42, 697, 596},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {42, 705, 591},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {42, 706, 607},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {42, 707, 595},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {42, 761, 582},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {42, 791, 589},	// Soprano::Util::ReadOnlyModel::statementCount
    {42, 798, 612},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {42, 835, 602},	// Soprano::Util::ReadOnlyModel::tr$
    {42, 836, 576},	// Soprano::Util::ReadOnlyModel::tr$$
    {42, 837, 578},	// Soprano::Util::ReadOnlyModel::tr$$$
    {42, 839, 603},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {42, 840, 577},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {42, 841, 579},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {42, 913, 613},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {43, 182, 629},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {43, 183, 621},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {43, 285, 622},	// Soprano::Util::SignalCacheModel::cacheTime
    {43, 594, 614},	// Soprano::Util::SignalCacheModel::metaObject
    {43, 644, 624},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {43, 645, 625},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {43, 677, 620},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {43, 679, 615},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {43, 744, 623},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {43, 798, 630},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {43, 826, 626},	// Soprano::Util::SignalCacheModel::timerEvent#
    {43, 835, 627},	// Soprano::Util::SignalCacheModel::tr$
    {43, 836, 616},	// Soprano::Util::SignalCacheModel::tr$$
    {43, 837, 618},	// Soprano::Util::SignalCacheModel::tr$$$
    {43, 839, 628},	// Soprano::Util::SignalCacheModel::trUtf8$
    {43, 840, 617},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {43, 841, 619},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {43, 915, 631},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {44, 184, 632},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {44, 185, 634},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {44, 186, 633},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {44, 624, 636},	// Soprano::Util::SimpleNodeIterator::operator=#
    {44, 627, 635},	// Soprano::Util::SimpleNodeIterator::operator=?
    {44, 916, 637},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {45, 187, 638},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {45, 188, 640},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {45, 189, 639},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {45, 624, 642},	// Soprano::Util::SimpleStatementIterator::operator=#
    {45, 627, 641},	// Soprano::Util::SimpleStatementIterator::operator=?
    {45, 917, 643},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {46, 80, 674},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {46, 130, 662},	// Soprano::Vocabulary::NAO::Party
    {46, 204, 656},	// Soprano::Vocabulary::NAO::Symbol
    {46, 207, 655},	// Soprano::Vocabulary::NAO::Tag
    {46, 251, 678},	// Soprano::Vocabulary::NAO::altLabel
    {46, 252, 647},	// Soprano::Vocabulary::NAO::altSymbol
    {46, 253, 650},	// Soprano::Vocabulary::NAO::annotation
    {46, 345, 666},	// Soprano::Vocabulary::NAO::contributor
    {46, 360, 667},	// Soprano::Vocabulary::NAO::created
    {46, 361, 680},	// Soprano::Vocabulary::NAO::creator
    {46, 377, 653},	// Soprano::Vocabulary::NAO::description
    {46, 411, 677},	// Soprano::Vocabulary::NAO::engineeringTool
    {46, 453, 676},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {46, 454, 672},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {46, 457, 668},	// Soprano::Vocabulary::NAO::hasSubResource
    {46, 458, 659},	// Soprano::Vocabulary::NAO::hasSuperResource
    {46, 459, 665},	// Soprano::Vocabulary::NAO::hasSymbol
    {46, 460, 679},	// Soprano::Vocabulary::NAO::hasTag
    {46, 461, 670},	// Soprano::Vocabulary::NAO::hasTopic
    {46, 471, 671},	// Soprano::Vocabulary::NAO::iconName
    {46, 473, 669},	// Soprano::Vocabulary::NAO::identifier
    {46, 515, 673},	// Soprano::Vocabulary::NAO::isRelated
    {46, 522, 646},	// Soprano::Vocabulary::NAO::isTagFor
    {46, 523, 652},	// Soprano::Vocabulary::NAO::isTopicOf
    {46, 545, 663},	// Soprano::Vocabulary::NAO::lastModified
    {46, 601, 658},	// Soprano::Vocabulary::NAO::modified
    {46, 604, 661},	// Soprano::Vocabulary::NAO::naoNamespace
    {46, 615, 644},	// Soprano::Vocabulary::NAO::numericRating
    {46, 659, 654},	// Soprano::Vocabulary::NAO::personalIdentifier
    {46, 664, 649},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {46, 667, 664},	// Soprano::Vocabulary::NAO::prefLabel
    {46, 668, 660},	// Soprano::Vocabulary::NAO::prefSymbol
    {46, 683, 648},	// Soprano::Vocabulary::NAO::rating
    {46, 730, 681},	// Soprano::Vocabulary::NAO::score
    {46, 731, 651},	// Soprano::Vocabulary::NAO::scoreParameter
    {46, 736, 675},	// Soprano::Vocabulary::NAO::serializationLanguage
    {46, 799, 657},	// Soprano::Vocabulary::NAO::status
    {46, 868, 645},	// Soprano::Vocabulary::NAO::version
    {47, 7, 717},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {47, 45, 691},	// Soprano::Vocabulary::NRL::Configuration
    {47, 51, 714},	// Soprano::Vocabulary::NRL::Data
    {47, 56, 685},	// Soprano::Vocabulary::NRL::DefaultGraph
    {47, 61, 684},	// Soprano::Vocabulary::NRL::DocumentGraph
    {47, 73, 704},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {47, 81, 689},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {47, 82, 707},	// Soprano::Vocabulary::NRL::Graph
    {47, 83, 708},	// Soprano::Vocabulary::NRL::GraphMetadata
    {47, 84, 693},	// Soprano::Vocabulary::NRL::GraphView
    {47, 92, 711},	// Soprano::Vocabulary::NRL::InstanceBase
    {47, 93, 720},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {47, 94, 698},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {47, 119, 696},	// Soprano::Vocabulary::NRL::Ontology
    {47, 158, 697},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {47, 167, 687},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {47, 168, 690},	// Soprano::Vocabulary::NRL::Schema
    {47, 169, 694},	// Soprano::Vocabulary::NRL::Semantics
    {47, 205, 710},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {47, 211, 692},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {47, 214, 722},	// Soprano::Vocabulary::NRL::ViewSpecification
    {47, 288, 716},	// Soprano::Vocabulary::NRL::cardinality
    {47, 347, 688},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {47, 413, 709},	// Soprano::Vocabulary::NRL::equivalentGraph
    {47, 429, 705},	// Soprano::Vocabulary::NRL::externalRealizer
    {47, 451, 700},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {47, 455, 699},	// Soprano::Vocabulary::NRL::hasSemantics
    {47, 456, 706},	// Soprano::Vocabulary::NRL::hasSpecification
    {47, 475, 701},	// Soprano::Vocabulary::NRL::imports
    {47, 484, 695},	// Soprano::Vocabulary::NRL::inverseProperty
    {47, 585, 712},	// Soprano::Vocabulary::NRL::maxCardinality
    {47, 599, 686},	// Soprano::Vocabulary::NRL::minCardinality
    {47, 614, 715},	// Soprano::Vocabulary::NRL::nrlNamespace
    {47, 686, 683},	// Soprano::Vocabulary::NRL::realizes
    {47, 724, 718},	// Soprano::Vocabulary::NRL::rule
    {47, 725, 713},	// Soprano::Vocabulary::NRL::ruleLanguage
    {47, 735, 682},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {47, 805, 719},	// Soprano::Vocabulary::NRL::subGraphOf
    {47, 811, 721},	// Soprano::Vocabulary::NRL::superGraphOf
    {47, 851, 703},	// Soprano::Vocabulary::NRL::updatable
    {47, 878, 702},	// Soprano::Vocabulary::NRL::viewOn
    {48, 1, 760},	// Soprano::Vocabulary::OWL::AllDifferent
    {48, 4, 725},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {48, 43, 761},	// Soprano::Vocabulary::OWL::Class
    {48, 53, 728},	// Soprano::Vocabulary::OWL::DataRange
    {48, 55, 758},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {48, 58, 726},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {48, 59, 733},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {48, 81, 738},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {48, 93, 739},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {48, 116, 732},	// Soprano::Vocabulary::OWL::Nothing
    {48, 117, 756},	// Soprano::Vocabulary::OWL::ObjectProperty
    {48, 119, 747},	// Soprano::Vocabulary::OWL::Ontology
    {48, 120, 730},	// Soprano::Vocabulary::OWL::OntologyProperty
    {48, 164, 736},	// Soprano::Vocabulary::OWL::Restriction
    {48, 205, 735},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {48, 210, 752},	// Soprano::Vocabulary::OWL::Thing
    {48, 211, 754},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {48, 250, 763},	// Soprano::Vocabulary::OWL::allValuesFrom
    {48, 271, 740},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {48, 288, 759},	// Soprano::Vocabulary::OWL::cardinality
    {48, 311, 746},	// Soprano::Vocabulary::OWL::complementOf
    {48, 378, 750},	// Soprano::Vocabulary::OWL::differentFrom
    {48, 405, 727},	// Soprano::Vocabulary::OWL::disjointWith
    {48, 406, 743},	// Soprano::Vocabulary::OWL::distinctMembers
    {48, 412, 742},	// Soprano::Vocabulary::OWL::equivalentClass
    {48, 414, 757},	// Soprano::Vocabulary::OWL::equivalentProperty
    {48, 462, 762},	// Soprano::Vocabulary::OWL::hasValue
    {48, 475, 729},	// Soprano::Vocabulary::OWL::imports
    {48, 477, 724},	// Soprano::Vocabulary::OWL::incompatibleWith
    {48, 482, 734},	// Soprano::Vocabulary::OWL::intersectionOf
    {48, 483, 731},	// Soprano::Vocabulary::OWL::inverseOf
    {48, 585, 745},	// Soprano::Vocabulary::OWL::maxCardinality
    {48, 599, 749},	// Soprano::Vocabulary::OWL::minCardinality
    {48, 618, 755},	// Soprano::Vocabulary::OWL::onProperty
    {48, 619, 744},	// Soprano::Vocabulary::OWL::oneOf
    {48, 635, 723},	// Soprano::Vocabulary::OWL::owlNamespace
    {48, 671, 748},	// Soprano::Vocabulary::OWL::priorVersion
    {48, 726, 737},	// Soprano::Vocabulary::OWL::sameAs
    {48, 785, 753},	// Soprano::Vocabulary::OWL::someValuesFrom
    {48, 847, 751},	// Soprano::Vocabulary::OWL::unionOf
    {48, 869, 741},	// Soprano::Vocabulary::OWL::versionInfo
    {49, 2, 765},	// Soprano::Vocabulary::RDF::Alt
    {49, 39, 775},	// Soprano::Vocabulary::RDF::Bag
    {49, 95, 769},	// Soprano::Vocabulary::RDF::List
    {49, 139, 766},	// Soprano::Vocabulary::RDF::Property
    {49, 170, 771},	// Soprano::Vocabulary::RDF::Seq
    {49, 195, 764},	// Soprano::Vocabulary::RDF::Statement
    {49, 217, 776},	// Soprano::Vocabulary::RDF::XMLLiteral
    {49, 437, 768},	// Soprano::Vocabulary::RDF::first
    {49, 610, 778},	// Soprano::Vocabulary::RDF::nil
    {49, 616, 772},	// Soprano::Vocabulary::RDF::object
    {49, 666, 774},	// Soprano::Vocabulary::RDF::predicate
    {49, 684, 779},	// Soprano::Vocabulary::RDF::rdfNamespace
    {49, 719, 773},	// Soprano::Vocabulary::RDF::rest
    {49, 809, 767},	// Soprano::Vocabulary::RDF::subject
    {49, 845, 777},	// Soprano::Vocabulary::RDF::type
    {49, 861, 770},	// Soprano::Vocabulary::RDF::value
    {50, 43, 794},	// Soprano::Vocabulary::RDFS::Class
    {50, 48, 795},	// Soprano::Vocabulary::RDFS::Container
    {50, 49, 790},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {50, 54, 785},	// Soprano::Vocabulary::RDFS::Datatype
    {50, 96, 784},	// Soprano::Vocabulary::RDFS::Literal
    {50, 162, 792},	// Soprano::Vocabulary::RDFS::Resource
    {50, 307, 787},	// Soprano::Vocabulary::RDFS::comment
    {50, 408, 789},	// Soprano::Vocabulary::RDFS::domain
    {50, 493, 783},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {50, 542, 781},	// Soprano::Vocabulary::RDFS::label
    {50, 591, 782},	// Soprano::Vocabulary::RDFS::member
    {50, 681, 780},	// Soprano::Vocabulary::RDFS::range
    {50, 685, 791},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {50, 733, 793},	// Soprano::Vocabulary::RDFS::seeAlso
    {50, 802, 788},	// Soprano::Vocabulary::RDFS::subClassOf
    {50, 806, 786},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {51, 88, 800},	// Soprano::Vocabulary::SIL::InferenceGraph
    {51, 89, 797},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {51, 344, 799},	// Soprano::Vocabulary::SIL::context
    {51, 783, 798},	// Soprano::Vocabulary::SIL::silNamespace
    {51, 788, 796},	// Soprano::Vocabulary::SIL::sourceStatement
    {52, 272, 801},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {52, 284, 804},	// Soprano::Vocabulary::XMLSchema::boolean
    {52, 366, 819},	// Soprano::Vocabulary::XMLSchema::date
    {52, 367, 806},	// Soprano::Vocabulary::XMLSchema::dateTime
    {52, 368, 807},	// Soprano::Vocabulary::XMLSchema::decimal
    {52, 479, 816},	// Soprano::Vocabulary::XMLSchema::integer
    {52, 605, 810},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {52, 613, 818},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {52, 801, 813},	// Soprano::Vocabulary::XMLSchema::string
    {52, 824, 812},	// Soprano::Vocabulary::XMLSchema::time
    {52, 848, 803},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {52, 849, 811},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {52, 850, 805},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {52, 889, 802},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {52, 890, 814},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {52, 891, 808},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {52, 892, 817},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {52, 893, 809},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {52, 894, 815},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {53, 3, 839},	// Soprano::Vocabulary::Xesam::Annotation
    {53, 5, 1068},	// Soprano::Vocabulary::Xesam::Archive
    {53, 6, 1079},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {53, 10, 920},	// Soprano::Vocabulary::Xesam::Audio
    {53, 11, 923},	// Soprano::Vocabulary::Xesam::AudioList
    {53, 41, 836},	// Soprano::Vocabulary::Xesam::BlockDevice
    {53, 42, 908},	// Soprano::Vocabulary::Xesam::Bookmark
    {53, 44, 1070},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {53, 46, 1037},	// Soprano::Vocabulary::Xesam::Contact
    {53, 47, 953},	// Soprano::Vocabulary::Xesam::ContactGroup
    {53, 50, 962},	// Soprano::Vocabulary::Xesam::Content
    {53, 52, 1039},	// Soprano::Vocabulary::Xesam::DataObject
    {53, 57, 901},	// Soprano::Vocabulary::Xesam::DeletedFile
    {53, 60, 1075},	// Soprano::Vocabulary::Xesam::Document
    {53, 62, 1064},	// Soprano::Vocabulary::Xesam::Documentation
    {53, 63, 992},	// Soprano::Vocabulary::Xesam::Email
    {53, 64, 1080},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {53, 65, 824},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {53, 74, 1051},	// Soprano::Vocabulary::Xesam::File
    {53, 75, 848},	// Soprano::Vocabulary::Xesam::FileSystem
    {53, 76, 844},	// Soprano::Vocabulary::Xesam::Filelike
    {53, 79, 830},	// Soprano::Vocabulary::Xesam::Folder
    {53, 85, 941},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {53, 86, 955},	// Soprano::Vocabulary::Xesam::IMMessage
    {53, 87, 921},	// Soprano::Vocabulary::Xesam::Image
    {53, 98, 1047},	// Soprano::Vocabulary::Xesam::MailingList
    {53, 99, 1032},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {53, 100, 898},	// Soprano::Vocabulary::Xesam::Media
    {53, 101, 872},	// Soprano::Vocabulary::Xesam::MediaList
    {53, 102, 877},	// Soprano::Vocabulary::Xesam::Message
    {53, 103, 909},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {53, 106, 1027},	// Soprano::Vocabulary::Xesam::Music
    {53, 107, 1029},	// Soprano::Vocabulary::Xesam::NewsGroup
    {53, 108, 991},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {53, 118, 982},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {53, 121, 879},	// Soprano::Vocabulary::Xesam::Organization
    {53, 122, 883},	// Soprano::Vocabulary::Xesam::POP3Message
    {53, 131, 1091},	// Soprano::Vocabulary::Xesam::Person
    {53, 132, 906},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {53, 133, 822},	// Soprano::Vocabulary::Xesam::Photo
    {53, 137, 833},	// Soprano::Vocabulary::Xesam::Presentation
    {53, 138, 1084},	// Soprano::Vocabulary::Xesam::Project
    {53, 152, 1074},	// Soprano::Vocabulary::Xesam::RSSFeed
    {53, 153, 977},	// Soprano::Vocabulary::Xesam::RSSMessage
    {53, 159, 845},	// Soprano::Vocabulary::Xesam::RemoteFile
    {53, 160, 1042},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {53, 161, 946},	// Soprano::Vocabulary::Xesam::RemoteResource
    {53, 165, 1066},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {53, 166, 985},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {53, 191, 990},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {53, 192, 855},	// Soprano::Vocabulary::Xesam::Source
    {53, 193, 1049},	// Soprano::Vocabulary::Xesam::SourceCode
    {53, 194, 1056},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {53, 206, 1009},	// Soprano::Vocabulary::Xesam::SystemResource
    {53, 207, 1087},	// Soprano::Vocabulary::Xesam::Tag
    {53, 208, 1033},	// Soprano::Vocabulary::Xesam::Text
    {53, 209, 973},	// Soprano::Vocabulary::Xesam::TextDocument
    {53, 212, 926},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {53, 213, 858},	// Soprano::Vocabulary::Xesam::Video
    {53, 215, 994},	// Soprano::Vocabulary::Xesam::Visual
    {53, 216, 1065},	// Soprano::Vocabulary::Xesam::XML
    {53, 222, 947},	// Soprano::Vocabulary::Xesam::acl
    {53, 239, 1034},	// Soprano::Vocabulary::Xesam::album
    {53, 240, 930},	// Soprano::Vocabulary::Xesam::albumArtist
    {53, 241, 835},	// Soprano::Vocabulary::Xesam::albumGain
    {53, 242, 1035},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {53, 243, 1000},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {53, 254, 1058},	// Soprano::Vocabulary::Xesam::aperture
    {53, 255, 1055},	// Soprano::Vocabulary::Xesam::artist
    {53, 256, 1069},	// Soprano::Vocabulary::Xesam::asText
    {53, 257, 1012},	// Soprano::Vocabulary::Xesam::aspectRatio
    {53, 258, 886},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {53, 259, 1060},	// Soprano::Vocabulary::Xesam::audioBPM
    {53, 260, 866},	// Soprano::Vocabulary::Xesam::audioBitrate
    {53, 261, 963},	// Soprano::Vocabulary::Xesam::audioChannels
    {53, 262, 993},	// Soprano::Vocabulary::Xesam::audioCodec
    {53, 263, 878},	// Soprano::Vocabulary::Xesam::audioCodecType
    {53, 264, 931},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {53, 265, 1015},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {53, 266, 893},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {53, 267, 1046},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {53, 268, 988},	// Soprano::Vocabulary::Xesam::author
    {53, 269, 831},	// Soprano::Vocabulary::Xesam::autoRating
    {53, 273, 1067},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {53, 274, 1028},	// Soprano::Vocabulary::Xesam::bcc
    {53, 279, 838},	// Soprano::Vocabulary::Xesam::birthDate
    {53, 282, 1011},	// Soprano::Vocabulary::Xesam::blogContactURL
    {53, 286, 978},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {53, 287, 965},	// Soprano::Vocabulary::Xesam::cameraModel
    {53, 289, 882},	// Soprano::Vocabulary::Xesam::cc
    {53, 290, 1061},	// Soprano::Vocabulary::Xesam::ccdWidth
    {53, 291, 917},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {53, 292, 897},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {53, 293, 837},	// Soprano::Vocabulary::Xesam::changeCommitter
    {53, 294, 928},	// Soprano::Vocabulary::Xesam::characterCount
    {53, 295, 1001},	// Soprano::Vocabulary::Xesam::charset
    {53, 296, 904},	// Soprano::Vocabulary::Xesam::chatRoom
    {53, 304, 927},	// Soprano::Vocabulary::Xesam::colorCount
    {53, 305, 1013},	// Soprano::Vocabulary::Xesam::colorSpace
    {53, 306, 821},	// Soprano::Vocabulary::Xesam::columnCount
    {53, 307, 856},	// Soprano::Vocabulary::Xesam::comment
    {53, 308, 1017},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {53, 309, 873},	// Soprano::Vocabulary::Xesam::commitDiff
    {53, 310, 860},	// Soprano::Vocabulary::Xesam::communicationChannel
    {53, 312, 865},	// Soprano::Vocabulary::Xesam::composer
    {53, 313, 1040},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {53, 314, 895},	// Soprano::Vocabulary::Xesam::compressionLevel
    {53, 315, 832},	// Soprano::Vocabulary::Xesam::conflicts
    {53, 317, 864},	// Soprano::Vocabulary::Xesam::contactMedium
    {53, 318, 950},	// Soprano::Vocabulary::Xesam::contactNick
    {53, 319, 1057},	// Soprano::Vocabulary::Xesam::contactURL
    {53, 320, 871},	// Soprano::Vocabulary::Xesam::contains
    {53, 339, 1081},	// Soprano::Vocabulary::Xesam::contentComment
    {53, 340, 851},	// Soprano::Vocabulary::Xesam::contentCreated
    {53, 341, 929},	// Soprano::Vocabulary::Xesam::contentKeyword
    {53, 342, 1073},	// Soprano::Vocabulary::Xesam::contentModified
    {53, 343, 1018},	// Soprano::Vocabulary::Xesam::contentType
    {53, 345, 1054},	// Soprano::Vocabulary::Xesam::contributor
    {53, 346, 857},	// Soprano::Vocabulary::Xesam::copyright
    {53, 361, 850},	// Soprano::Vocabulary::Xesam::creator
    {53, 369, 884},	// Soprano::Vocabulary::Xesam::definesClass
    {53, 370, 1043},	// Soprano::Vocabulary::Xesam::definesFunction
    {53, 371, 960},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {53, 374, 967},	// Soprano::Vocabulary::Xesam::deletionTime
    {53, 375, 1014},	// Soprano::Vocabulary::Xesam::depends
    {53, 376, 1007},	// Soprano::Vocabulary::Xesam::derivedFrom
    {53, 377, 875},	// Soprano::Vocabulary::Xesam::description
    {53, 387, 876},	// Soprano::Vocabulary::Xesam::discNumber
    {53, 388, 1024},	// Soprano::Vocabulary::Xesam::disclaimer
    {53, 407, 1005},	// Soprano::Vocabulary::Xesam::documentCategory
    {53, 410, 894},	// Soprano::Vocabulary::Xesam::emailAddress
    {53, 426, 964},	// Soprano::Vocabulary::Xesam::exposureBias
    {53, 427, 899},	// Soprano::Vocabulary::Xesam::exposureProgram
    {53, 428, 966},	// Soprano::Vocabulary::Xesam::exposureTime
    {53, 430, 862},	// Soprano::Vocabulary::Xesam::familyName
    {53, 431, 907},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {53, 432, 905},	// Soprano::Vocabulary::Xesam::fileExtension
    {53, 433, 903},	// Soprano::Vocabulary::Xesam::fileSystemType
    {53, 434, 889},	// Soprano::Vocabulary::Xesam::fingerprint
    {53, 438, 936},	// Soprano::Vocabulary::Xesam::firstUsed
    {53, 439, 1036},	// Soprano::Vocabulary::Xesam::flashUsed
    {53, 440, 1031},	// Soprano::Vocabulary::Xesam::focalLength
    {53, 441, 1021},	// Soprano::Vocabulary::Xesam::focusDistance
    {53, 442, 1083},	// Soprano::Vocabulary::Xesam::formatSubtype
    {53, 443, 846},	// Soprano::Vocabulary::Xesam::frameCount
    {53, 444, 943},	// Soprano::Vocabulary::Xesam::frameRate
    {53, 445, 957},	// Soprano::Vocabulary::Xesam::freeSpace
    {53, 446, 971},	// Soprano::Vocabulary::Xesam::gender
    {53, 447, 1044},	// Soprano::Vocabulary::Xesam::generator
    {53, 448, 1004},	// Soprano::Vocabulary::Xesam::generatorOptions
    {53, 449, 874},	// Soprano::Vocabulary::Xesam::genre
    {53, 450, 1052},	// Soprano::Vocabulary::Xesam::givenName
    {53, 452, 861},	// Soprano::Vocabulary::Xesam::group
    {53, 463, 827},	// Soprano::Vocabulary::Xesam::height
    {53, 464, 1071},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {53, 465, 986},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {53, 466, 998},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {53, 467, 869},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {53, 468, 1059},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {53, 469, 890},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {53, 470, 951},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {53, 472, 1038},	// Soprano::Vocabulary::Xesam::id
    {53, 474, 887},	// Soprano::Vocabulary::Xesam::imContactMedium
    {53, 476, 910},	// Soprano::Vocabulary::Xesam::inReplyTo
    {53, 480, 987},	// Soprano::Vocabulary::Xesam::interest
    {53, 481, 847},	// Soprano::Vocabulary::Xesam::interlaceMode
    {53, 485, 828},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {53, 492, 918},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {53, 502, 900},	// Soprano::Vocabulary::Xesam::isEncrypted
    {53, 504, 997},	// Soprano::Vocabulary::Xesam::isImportant
    {53, 505, 948},	// Soprano::Vocabulary::Xesam::isInProgress
    {53, 513, 911},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {53, 514, 829},	// Soprano::Vocabulary::Xesam::isRead
    {53, 517, 1062},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {53, 527, 891},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {53, 539, 1063},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {53, 540, 968},	// Soprano::Vocabulary::Xesam::keyword
    {53, 541, 944},	// Soprano::Vocabulary::Xesam::knows
    {53, 543, 1022},	// Soprano::Vocabulary::Xesam::language
    {53, 546, 933},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {53, 547, 999},	// Soprano::Vocabulary::Xesam::lastUsed
    {53, 548, 954},	// Soprano::Vocabulary::Xesam::legal
    {53, 549, 843},	// Soprano::Vocabulary::Xesam::license
    {53, 550, 834},	// Soprano::Vocabulary::Xesam::licenseType
    {53, 551, 1077},	// Soprano::Vocabulary::Xesam::lineCount
    {53, 552, 989},	// Soprano::Vocabulary::Xesam::links
    {53, 576, 863},	// Soprano::Vocabulary::Xesam::localRevision
    {53, 578, 1008},	// Soprano::Vocabulary::Xesam::lyricist
    {53, 579, 1076},	// Soprano::Vocabulary::Xesam::mailingList
    {53, 580, 945},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {53, 581, 974},	// Soprano::Vocabulary::Xesam::maintainer
    {53, 582, 852},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {53, 586, 942},	// Soprano::Vocabulary::Xesam::md5Hash
    {53, 587, 924},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {53, 588, 912},	// Soprano::Vocabulary::Xesam::mediaCodec
    {53, 589, 841},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {53, 590, 868},	// Soprano::Vocabulary::Xesam::mediaDuration
    {53, 592, 888},	// Soprano::Vocabulary::Xesam::mergeConflict
    {53, 595, 939},	// Soprano::Vocabulary::Xesam::meteringMode
    {53, 596, 849},	// Soprano::Vocabulary::Xesam::mimeType
    {53, 602, 902},	// Soprano::Vocabulary::Xesam::mountPoint
    {53, 603, 922},	// Soprano::Vocabulary::Xesam::name
    {53, 606, 996},	// Soprano::Vocabulary::Xesam::newsGroup
    {53, 617, 919},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {53, 631, 1010},	// Soprano::Vocabulary::Xesam::orientation
    {53, 632, 880},	// Soprano::Vocabulary::Xesam::originURL
    {53, 633, 885},	// Soprano::Vocabulary::Xesam::originalLocation
    {53, 634, 916},	// Soprano::Vocabulary::Xesam::otherName
    {53, 636, 981},	// Soprano::Vocabulary::Xesam::owner
    {53, 637, 1019},	// Soprano::Vocabulary::Xesam::pageCount
    {53, 638, 840},	// Soprano::Vocabulary::Xesam::paragraphCount
    {53, 656, 1078},	// Soprano::Vocabulary::Xesam::performer
    {53, 657, 1025},	// Soprano::Vocabulary::Xesam::permissions
    {53, 658, 1053},	// Soprano::Vocabulary::Xesam::personPhoto
    {53, 660, 1030},	// Soprano::Vocabulary::Xesam::phoneNumber
    {53, 661, 925},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {53, 662, 1016},	// Soprano::Vocabulary::Xesam::pixelDataType
    {53, 665, 867},	// Soprano::Vocabulary::Xesam::postalAddress
    {53, 670, 820},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {53, 672, 959},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {53, 687, 853},	// Soprano::Vocabulary::Xesam::receptionTime
    {53, 688, 823},	// Soprano::Vocabulary::Xesam::recipient
    {53, 689, 975},	// Soprano::Vocabulary::Xesam::related
    {53, 690, 1041},	// Soprano::Vocabulary::Xesam::remotePassword
    {53, 691, 914},	// Soprano::Vocabulary::Xesam::remotePort
    {53, 692, 1026},	// Soprano::Vocabulary::Xesam::remoteServer
    {53, 693, 935},	// Soprano::Vocabulary::Xesam::remoteUser
    {53, 716, 980},	// Soprano::Vocabulary::Xesam::replyTo
    {53, 722, 958},	// Soprano::Vocabulary::Xesam::rowCount
    {53, 723, 1045},	// Soprano::Vocabulary::Xesam::rssFeed
    {53, 727, 915},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {53, 728, 1050},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {53, 729, 1090},	// Soprano::Vocabulary::Xesam::sampleDataType
    {53, 732, 1082},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {53, 734, 1085},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {53, 749, 854},	// Soprano::Vocabulary::Xesam::setCount
    {53, 767, 984},	// Soprano::Vocabulary::Xesam::setRate
    {53, 782, 826},	// Soprano::Vocabulary::Xesam::sha1Hash
    {53, 784, 932},	// Soprano::Vocabulary::Xesam::size
    {53, 786, 1086},	// Soprano::Vocabulary::Xesam::sourceCreated
    {53, 787, 938},	// Soprano::Vocabulary::Xesam::sourceModified
    {53, 800, 1006},	// Soprano::Vocabulary::Xesam::storageSize
    {53, 809, 995},	// Soprano::Vocabulary::Xesam::subject
    {53, 810, 1023},	// Soprano::Vocabulary::Xesam::summary
    {53, 812, 1002},	// Soprano::Vocabulary::Xesam::supercedes
    {53, 823, 1048},	// Soprano::Vocabulary::Xesam::targetQuality
    {53, 827, 896},	// Soprano::Vocabulary::Xesam::title
    {53, 828, 983},	// Soprano::Vocabulary::Xesam::to
    {53, 832, 976},	// Soprano::Vocabulary::Xesam::totalSpace
    {53, 833, 961},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {53, 842, 972},	// Soprano::Vocabulary::Xesam::trackGain
    {53, 843, 881},	// Soprano::Vocabulary::Xesam::trackNumber
    {53, 844, 970},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {53, 853, 870},	// Soprano::Vocabulary::Xesam::url
    {53, 854, 969},	// Soprano::Vocabulary::Xesam::useCount
    {53, 856, 1003},	// Soprano::Vocabulary::Xesam::userComment
    {53, 857, 949},	// Soprano::Vocabulary::Xesam::userKeyword
    {53, 859, 937},	// Soprano::Vocabulary::Xesam::userRating
    {53, 860, 1020},	// Soprano::Vocabulary::Xesam::usesNamespace
    {53, 868, 1088},	// Soprano::Vocabulary::Xesam::version
    {53, 874, 956},	// Soprano::Vocabulary::Xesam::verticalResolution
    {53, 875, 952},	// Soprano::Vocabulary::Xesam::videoBitrate
    {53, 876, 1089},	// Soprano::Vocabulary::Xesam::videoCodec
    {53, 877, 934},	// Soprano::Vocabulary::Xesam::videoCodecType
    {53, 879, 940},	// Soprano::Vocabulary::Xesam::whiteBalance
    {53, 880, 979},	// Soprano::Vocabulary::Xesam::width
    {53, 881, 859},	// Soprano::Vocabulary::Xesam::wordCount
    {53, 882, 1072},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {53, 883, 892},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {53, 884, 825},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {53, 887, 913},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {53, 888, 842},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 53,
        __smokesoprano::methods, 1092,
        __smokesoprano::methodMaps, 1063,
        __smokesoprano::methodNames, 920,
        __smokesoprano::types, 197,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
